webpackJsonp([0],[
/* 0 */,
/* 1 */,
/* 2 */,
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by lvchenyang on 2017/1/24.
 */
var Mediator = function () {
    var instance;
    var msg = {};
    function init() {
        return {
            subscribe: function subscribe(name, fn) {
                var that = this;
                if (!msg[name]) {
                    msg[name] = [];
                }
                msg[name].push({
                    context: that,
                    callback: fn
                });
            },
            publish: function publish(name) {
                if (!msg[name]) {
                    throw Error('there is no subscribe on this method:' + name);
                }
                var args = [];
                var result = null;
                for (var j = 1, l = arguments.length; j < l; j++) {
                    args.push(arguments[j]);
                }
                for (var i = 0, len = msg[name].length; i < len; i++) {
                    result = msg[name][i] && msg[name][i].callback.apply(msg[name][i].context, args);
                }
                return result;
            }
        };
    }
    return {
        getInstance: function getInstance() {
            if (!instance) {
                instance = init();
            }
            return instance;
        }
    };
}();

module.exports = Mediator;

/***/ }),
/* 4 */,
/* 5 */,
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by lvchenyang on 2017/2/4.
 * 该实例用于维护聊天过程中的全局变量(聊天上下文)
 */

var utils = __webpack_require__(1);
var dataManager = function () {
    var instance;
    var config = {};
    function set(key, value) {
        if (utils.isEmpty(key)) {
            return;
        }
        if (utils.isEmpty(value)) {
            return;
        }
        config[key] = value;
    }

    function get(key) {
        return config[key];
    }

    function del(key) {
        contains(key) && delete config[key];
    }

    function keys() {
        return Object.keys(config);
    }
    function getJson() {
        var temp = Object.assign({}, config);
        return temp;
    }

    function contains(key) {
        return config.hasOwnProperty(key);
    }

    function viewData() {
        return config;
    }

    function init() {
        return {
            set: set,
            get: get,
            delete: del,
            keys: keys,
            json: getJson,
            contains: contains,
            view: viewData
        };
    }
    return {
        getInstance: function getInstance() {
            if (!instance) {
                instance = init();
            }
            return instance;
        }
    };
}();

module.exports = dataManager;

/***/ }),
/* 7 */,
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by cdzhengwujiang on 2017/2/8.
 */

var $ = __webpack_require__(0);
var configs = __webpack_require__(2);
var Mediator = __webpack_require__(3);
var utils = __webpack_require__(1);
var Tmpl = __webpack_require__(13);
var TmplPlus = __webpack_require__(14);
var DataManager = __webpack_require__(6);
var expression = __webpack_require__(10);
var ChatConfig = __webpack_require__(4);
var component = __webpack_require__(19);
var IScroll = __webpack_require__(5);
// 加载 jquery.tmpl 插件
Tmpl.install($);
TmplPlus.install($);

var Render = function () {

    var instance;
    var serverMsgType = configs.msgType.server;
    var clientMsgType = configs.msgType.client;
    var dataManager = DataManager.getInstance();
    var mediator = Mediator.getInstance();
    var chatConfig = ChatConfig.getInstance();
    /**
     * manageHead 管理消息是否显示用户头像
     * @param  {String} type 消息类型标识
     * @return {Boolean}      根据消息类型得到的是否显示用户头像布尔标识
     */
    function manageHead(type) {
        var head = !!1;
        if (type === serverMsgType.GROUP || type === serverMsgType.TEMPLATE || type === serverMsgType.SYSTEM || type === serverMsgType.TIME || type === serverMsgType.RISK || type === serverMsgType.TRANS || type === clientMsgType.SKU_CARD || type === serverMsgType.SKU_CARD || type === serverMsgType.FIRST_CARD || type === clientMsgType.SPLIT_LINE) {
            head = !!0;
        }
        return head;
    }

    /**
     * manageClass 消息节点上追加的自定义css样式名称管理
     * @param  {String} type 消息类型标识
     * @return {String}      不同消息下对应的css样式名称，可能为空
     */
    function manageClass(type) {
        var cls = '';
        switch (type) {
            case serverMsgType.GROUP:
            case serverMsgType.TEMPLATE:
            case serverMsgType.FIRST_CARD:
            case serverMsgType.SEARCH_ANIMA:
            case clientMsgType.PAY_STATUS:
                cls = 'chat-tpl';
                break;
            case serverMsgType.SYSTEM:
                cls = 'chat-tips';
                break;
            case serverMsgType.TIME:
            case clientMsgType.SPLIT_LINE:
                cls = 'chat-time';
                break;
            case serverMsgType.RISK:
                cls = 'chat-risk';
                break;
            case serverMsgType.TRANS:
            case serverMsgType.OTHERBTN:
                cls = 'chat-line';
                break;
            case clientMsgType.SKU_CARD:
            case serverMsgType.SKU_CARD:
            case clientMsgType.ORDER_DETAIL:
                cls = 'chat-info';
                break;
            case clientMsgType.IMAGE:
            case serverMsgType.IMAGE:
                cls = 'chat-img';
                break;
            case clientMsgType.TICKETS_ITEM:
                cls = 'chat-opt';
                break;
            default:
                break;
        }
        return cls;
    }

    function init() {
        return {
            $: $,
            /**
             * 获取消息外框
             * @param cfg {JSONObject}
             *     @property head {Boolean} 是否包含头像
             *     @property style {String} 额外追加的class名称
             *     @property client {String} 客户消息OR无人客服消息，service/customer
             *     @property img {String} 头像图片地址
             */
            getChatItem: function getChatItem(cfg) {
                var data = {};
                var item;
                cfg = cfg || {};
                data.head = !!cfg.head;
                data.client = cfg.client || 'customer';
                data.img = cfg.img || configs.static.defaultHead;
                data.hasFmid = cfg.hasFmid;
                if (configs.isSdk) {
                    item = $.tmpl(configs.templates.chatItemSdk, data);
                } else {
                    item = $.tmpl(configs.templates.chatItem, data);
                }
                if (cfg.style) {
                    item.addClass(cfg.style);
                }
                return item;
            },
            parse: function parse(data) {
                var param = {
                    head: true
                };

                // 如果是历史消息的表单答案，则将historyForm 改为text
                var renderHistoryFlag = 0;
                if (data.type == configs.msgType.server.HISTORY_FORM) {
                    data.type = 'text';
                    renderHistoryFlag = 1;
                }

                var type = data.type;
                var chatItem;
                var msgType;
                var chatBody;
                var msgHeight;

                // 前端缓存消息数据
                // key值取消息id
                dataManager.set(data.id, Object.assign({}, data));

                // 如果是文本答案，替换答案中的表情code
                if (type === 'text') {
                    if (typeof data.content === 'string') {
                        data.content = expression.replaceToFace(data.content);
                    }
                    // 新增文本消息高度字段
                    // 用于控制“展开阅读”按钮显隐
                    msgHeight = utils.getMsgHeight({
                        msg: data.content,
                        wrapWidth: configs.static.maxWidth,
                        lineHeight: configs.static.lineHeight,
                        fontSize: configs.static.fontSize
                    });
                    if (msgHeight > configs.static.showLine * configs.static.lineHeight) {
                        data.height = configs.static.showLine * configs.static.lineHeight + 'px';
                    } else {
                        data.height = 'auto';
                    }
                }

                param.client = data.target || 'customer';
                param.head = manageHead(type);
                param.style = manageClass(type);
                param.hasFmid = !!data.fmid;

                chatItem = this.getChatItem(param);
                if (data.fmid) {
                    chatItem.attr('data-fmid', data.fmid);
                }
                if (data.history) {
                    chatItem.attr('data-rel', 'history');
                }
                if (data.relPosition) {
                    chatItem.attr('data-rel-posi', data.relPosition);
                }
                if (data.relId) {
                    chatItem.attr('data-rel-id', data.relId);
                }
                if (data.timestamp) {
                    chatItem.attr('data-time', data.timestamp);
                }
                if (!data.history && data.type) {
                    chatItem.attr('data-type', data.type);
                    if (data.optType) {
                        chatItem.attr('data-type-opt', data.optType);
                    }
                }
                if (type == 'loading') {
                    msgType = configs.templates[configs.msgType.client.IMAGE] || null;
                } else {
                    msgType = configs.templates[data.type] || null;
                }
                // 风控验证码消息，添加固定ID
                if (type === serverMsgType.RISK) {
                    chatItem.attr('id', configs.static.riskMsgId);
                    if (configs.isSdk) {
                        msgType = configs.templates[serverMsgType.RISKSDK] || null;
                    }
                }
                if (!msgType) {
                    return;
                }
                chatBody = $.tmpl(msgType, data);
                chatBody = replaceLink(chatBody);
                chatItem.attr('data-id', data.id).find('.J_MsgCont').append(chatBody);
                if (data.type == 'skuLink') {
                    if (configs.isSdk) {
                        setTimeout(function () {
                            replaceProductToCard(chatItem, data.history);
                        }, 200);
                    } else {
                        replaceProductToCard(chatItem, data.history);
                    }
                }
                if (data.uuid) {
                    chatItem.attr('uuid', data.uuid);
                }

                // 从线上去拉取表单模板，然后渲染数据，并对之前占位的消息进行替换
                if (renderHistoryFlag === 1) {
                    replaceTextToForm(chatItem, data);
                }

                return chatItem;
            },
            parseList: function parseList(type, data) {
                var tpl = configs.templates[type] || configs.templates['text'];
                var list = $('<div>').append($.tmpl(tpl, data)).html();
                return list;
            },
            renderEvaluate: function renderEvaluate(data) {
                var tpl = configs.templates.evaluate;
                var domStr = $('<div>').append($.tmpl(tpl, data)).html();
                return domStr;
            },
            renderRecommend: function renderRecommend(data) {
                var tpl = data.tpl || configs.templates.productList;
                var domStr = $('<div>').append($.tmpl(tpl, data)).html();
                return domStr;
            },
            renderReduceProduct: function renderReduceProduct(data) {
                var tpl = data.tpl || configs.templates.reduceList;
                data = data.list;
                var $dom = $('<div>').append($.tmpl(tpl, data));
                $dom = replaceLink($dom);
                var domStr = $dom.html();
                return domStr;
            },
            renderPhoneRecharge: function renderPhoneRecharge(data) {
                var tpl = data.tpl || configs.templates.phoneRecharge;
                data = data.list;
                var domStr = $('<div>').append($.tmpl(tpl, data)).html();
                return domStr;
            },
            renderPackList: function renderPackList(data) {
                var tpl = data.tpl || configs.templates.packList;
                var $dom = $('<div>').append($.tmpl(tpl, data));
                $dom = replaceLink($dom);
                var domStr = $dom.html();
                return domStr;
            },
            renderTemplate: function renderTemplate(data, isHistory, isOnlyBody) {
                var param = {
                    head: true
                };
                var type = data.type;
                var chatItem;
                var msgType;
                var chatBody;
                var state;
                var tplClass;
                var tplTxt;

                // 前端缓存消息数据
                // key值取消息id
                if (!isHistory) dataManager.set(data.id, data);

                param.client = data.target || 'customer';
                param.head = manageHead(type);
                param.style = manageClass(type);
                param.hasFmid = !!data.fmid;
                var answer = data.content;
                if (utils.isArray(answer)) {
                    answer = {
                        datas: answer,
                        answer_title: data.title
                    };
                    if (answer.datas.length > 1) {
                        answer.length = answer.datas.length;
                    } else {
                        $.extend(answer, answer.datas[0]);
                    }
                } else {
                    if (typeof answer.datas === 'undefined') {
                        answer.datas = {};
                    }
                }
                answer.answer_note = data.answer_note || '';
                answer.answer_title = data.title || '';
                answer.post_answer = data.postAnswer;

                // 搜索推荐特殊处理 
                if (answer.answer_note == 501 && answer.datas) {
                    $.each(answer.datas, function (i, n) {
                        n.tags = utils.getTagClass(n.tags);
                    });
                }

                if (answer.dataMap && JSON.stringify(answer.dataMap) !== '{}') {
                    if (answer.dataMap.hasOwnProperty(data.tid)) {
                        answer.dataMap = answer.dataMap[data.tid];
                        // 售后订单列表
                        var tidCode = answer.templateComponentCode || '';
                        if (tidCode.match(/^kmsform_all_order_list/gi)) {
                            answer.dataMap = typeof answer.dataMap == 'string' && answer.dataMap.constructor == String ? JSON.parse(answer.dataMap) : answer.dataMap;
                            var pretreatResult = component.dataPretreat(answer.dataMap);
                            answer.newDataMap = pretreatResult.result;
                            answer.count = pretreatResult.count;
                        }

                        if (data.tid.match(/kmsform_train_ticket__/) && utils.isArray(answer.dataMap)) {
                            $.each(answer.dataMap, function (i, n) {
                                var string = n.trainDate;
                                n.trainDate = string.replace(/^\d+\-/g, '').replace(/\-/g, '月') + '日';

                                $.each(n.trainInfoModelList, function (j, m) {
                                    if (m.trainStatus == 1) {
                                        m.trainSeatInfoModel.number = m.trainSeatInfoModel.number === '无票' ? m.trainSeatInfoModel.number : m.trainSeatInfoModel.number + '张';
                                    }
                                });
                            });
                        }
                        if (tidCode.match(/^kmsform_air_ticket/gi) && utils.isArray(answer.dataMap)) {
                            $.each(answer.dataMap, function (i, n) {
                                var string = n.depDate;
                                n.depDate = string.replace(/^\d+\-/g, '').replace(/\-/g, '月') + '日';

                                $.each(n.airFlightModelList, function (j, m) {
                                    var discount = m.airSeatModel.discount;
                                    var count = m.airSeatModel.seatNum;
                                    m.airSeatModel.discount = discount.match(/\d\.\d/) ? m.airSeatModel.discount + '折' : '全价';
                                    m.airSeatModel.seatNum = isNaN(count) ? count : count + '张';
                                });
                            });
                        }
                    }
                } else {
                    if (JSON.stringify(answer.dataMap) === '{}') {
                        data.content = configs.messages.sysError;
                        answer.type = serverMsgType.SYSTEM;
                    }
                }
                $.extend(data, answer);

                chatItem = this.getChatItem(param);
                msgType = configs.templates[data.type] || 'text';
                if (data.type == configs.msgType.server.TEMPLATE) {
                    msgType = data.template;
                    // 当模板消息的模板获取失败 显示loading
                    state = data.originData.state || 0;
                    data.time = new Date().getTime();
                    // state == 0 表示模板和答案都有
                    if (!msgType && state) {
                        if (state == 2) {
                            tplClass = configs.tplMsgType.ERR_TPL;
                            tplTxt = configs.messages.tplMsgTips2;
                        } else if (state == 1) {
                            tplClass = configs.tplMsgType.ERR_TPL_LOAD;
                            tplTxt = configs.messages.tplMsgTips1;
                        }
                        msgType = configs.templates.tplMsgLoading;
                        data.tplMsgInfo = {
                            state: state,
                            tplClass: tplClass,
                            tplTxt: tplTxt
                        };
                        chatItem.attr('data-tpl-type', 'tpl-load');
                    }
                }
                if (typeof data.dataMap === 'string') {
                    data.dataMap = JSON.parse(data.dataMap);
                }
                if (data.dataMap && data.dataMap.riskData) {
                    data.riskData = data.dataMap.riskData;
                }
                //if (/^kmsform_150882353188441/gi.test(data.tid)||/^kmsform_1508808991088361/gi.test(data.tid)||/^kmsform_1508823556115770/gi.test(data.tid)||/^kmsform_1498547161787910/gi.test(data.tid)) {
                if (/^kmsform_150882353188441/gi.test(data.tid) || /^kmsform_1508808991088361/gi.test(data.tid) || /^kmsform_1508823556115770/gi.test(data.tid)) {
                    //白条账单（保留带标记语言的模板）和银行卡组件
                    chatBody = msgType;
                } else {
                    chatBody = $.tmpl(msgType, data);
                    chatBody = replaceLink(chatBody);
                }
                var relChatItem = $('#J_ImChatList').find('.J_ChatItem[data-tpl-rel-id="' + data.id + '"]');
                if (relChatItem.length) {
                    relChatItem.hide();
                    /*if (isOnlyBody) {
                        relChatItem.remove();
                    } else {
                        relChatItem.find('.J_MsgCont').empty();
                        relChatItem.find('.J_MsgCont').append(chatBody);
                        chatItem = relChatItem;
                        if (chatItem.attr('template-data')) {
                            chatItem.attr('template-data', data);
                        }
                    }*/
                }
                if (chatItem.attr('data-tpl-type')) {
                    chatItem.attr('data-tpl-rel-id', data.id);
                } else {
                    chatItem.attr('data-id', data.id);
                }
                chatItem.find('.J_MsgCont').append(chatBody);
                if (chatItem.find('.J_SlideCon').length || chatItem.find('.J_MsgFaqWrap').length || chatItem.find('.J_PhoneUser').length || chatItem.find('.J_FastCard').length) {
                    chatItem.find('.dialog-box').addClass('dialog-oth');
                }
                changeCls(chatItem);
                if (isOnlyBody) {
                    return {
                        item: chatBody,
                        data: data
                    };
                } else {
                    return {
                        item: chatItem,
                        data: data
                    };
                }
            },
            parseFastLink: function parseFastLink(data) {
                if (data) {
                    var tpl = configs.templates.fastlink;
                    var jqObj = $.tmpl(tpl, data);
                    return jqObj;
                } else {
                    return !!0;
                }
            },
            /* 
             * tempJson {data: xxx, tpl: xxx}
            */
            parseLocalTem: function parseLocalTem(tempJson) {
                var tpl = tempJson.tpl;
                var data = tempJson.data;
                var domStr = $('<div>').append($.tmpl(tpl, data)).html();
                return domStr;
            },
            /* 
             * tempJson {backgroundUrl：XXXXXX}
            */
            chatBackgrund: function chatBackgrund(data) {
                setAttr();
                function setAttr() {
                    var height = $(window).height();
                    //SCSSDK.util.log('1   ' + height);
                    var $bodyBg = $('#J_Mainbig');
                    if ($bodyBg.length == 0) {
                        $('<div id="J_Mainbig" class="main-bg"></div>').insertBefore('body .main');
                        $bodyBg = $('#J_Mainbig');
                    }
                    $bodyBg.css({
                        'position': 'fixed',
                        'left': 0,
                        'top': 0,
                        'bottom': 0,
                        'width': '100%',
                        'height': height,
                        'content': ".",
                        'font-size': 0,
                        'line-height': 0,
                        'background': 'url(' + data.backgroundUrl + ') no-repeat center bottom',
                        'background-size': '100% 100%',
                        'z-index': '-1',
                        'overflow': 'hidden'
                    });
                    $('.main-bg:before').css({
                        'background-image': 'url(' + data.backgroundUrl + ')'
                    });
                }
                $(window).resize(function () {
                    setAttr();
                });
                /*                $("body").css({
                                    "background-image": "url(" + data.backgroundUrl + ")",
                                    "background-repeat": "no-repeat",
                                    "background-size": "100% 100%",
                                    "background-attachment":"fixed"
                                });*/
            },
            /* 
             * tempJson {className：xxx, cssPath: xxx, jsPath: xxx,funcName: xxx, param : {xxxx},}
            */
            chatAnimation: function chatAnimation(data) {
                var anma = data.welcomeAnimation;
                if ($("#" + anma.className).length > 0 && anma.jsPath && anma.cssPath) {
                    $($('head')[0]).append('<link rel="stylesheet" href="' + anma.cssPath + '"/>');
                    utils.loadJS(anma.jsPath, function () {
                        $("#" + anma.className)[anma.funcName](anma.param);
                    });
                }
            },

            replaceLink: replaceLink,
            parseDynamicEntry: function parseDynamicEntry(data) {
                // body...
                var OBJ = {};
                OBJ.data = data.data.answers.answer;
                return $.tmpl(configs.templates.dynamicEntry, OBJ);
            }

        };
    }

    /**
     * 将商品链接替换为商品详情卡片
     * @param $parent
     * @param isHistory
     */
    function replaceProductToCard($parent, isHistory) {

        if (!configs.isSdk) {
            $parent.css('height', '82px');
        }
        // $parent.css('height', '82px');
        // sdk 用
        var sdkPid = $parent.find('.J_SkuLink').data('id');
        $parent.attr('data-sdk', sdkPid);

        var options = {
            url: configs.api.getProduct,
            type: 'GET',
            dataType: 'JSON',
            data: {
                pid: $parent.find('.J_SkuLink').data('id'),
                _wid_: chatConfig.get('wid')
            }
        };
        var mType = chatConfig.get('mType');
        if (configs.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
            var info = {
                type: 'replace',
                isHistory: isHistory
            };
            SCSSDK.bridge.callSdk('httpRequest', {
                url: configs.api.getSoaOrderRecent,
                method: 'get',
                data: {
                    appId: chatConfig.get('customerAppId'),
                    ptype: 'product.getProduct2',
                    pid: $parent.find('.J_SkuLink').data('id'),
                    clientType: chatConfig.get('clientType'),
                    _pin_: chatConfig.get('pin'),
                    pin: chatConfig.get('pin'),
                    _token_: chatConfig.get('aid')
                },
                callback: 'getPidDetailCallback',
                h5Info: JSON.stringify(info)
            });
            return;
        }
        if (utils.supportHttps()) {
            options.url = utils.replaceToHttpsProtocol(options.url);
        }
        utils.ajax(options, function (result) {
            if (result.errorCode == '111') {
                // location.reload();
                mediator.publish(configs.operators.GO_NEW_LOGIN, result);
            }
            var price = result.price3;
            if (price) {
                price = price.replace(/(￥|¥)/g, '');
            } else {
                price = configs.messages.noPrice;
            }
            var product = {
                type: 'skuCard',
                content: {
                    imageUrl: result.imgurl || configs.static.noPic,
                    price: price,
                    id: result.pid,
                    name: result.name,
                    url: utils.getNewUrl(mType, result.pid)
                }
            };
            if (utils.supportHttps()) {
                if (product.content.imageUrl) {
                    product.content.imageUrl = utils.replaceToHttpsProtocol(product.content.imageUrl);
                }
                if (product.content.url) {
                    product.content.url = utils.replaceToHttpsProtocol(product.content.url);
                }
            }
            var $chatItem = instance.getChatItem({
                head: false,
                style: 'chat-tpl',
                client: 'service'
            });
            var $skuCard = $.tmpl(configs.templates[product.type || 'text'], product);
            $skuCard = replaceLink($skuCard);
            $chatItem.attr('data-id', $parent.data('id')).find('.J_MsgCont').append($skuCard);
            $parent.replaceWith($chatItem);
            mediator.publish(configs.operators.SCROLLER_REFRESH);
            if (!isHistory) {
                setTimeout(function () {
                    mediator.publish(configs.operators.SCROLL_TO_FOOT);
                }, 100);
            }
        });
    }

    function replaceLink(item) {
        var customerAppId = chatConfig.get('customerAppId');
        if (item.length && configs.isSdk) {
            var rOutLink = /^(https?:)?\/\//;
            var rImage = /\.(bmp|png|jpe?g|gif|webp)$/;

            item.find('a').each(function (i, n) {
                var linkNode = $(n);
                var link = linkNode.attr('href') || '';
                var frameSrc = linkNode.attr('frame-src') || '';
                link = frameSrc || link;
                var desc = linkNode.attr('desc');
                if (desc) {
                    var openPara = eval('(' + linkNode.attr('open-para') + ')');

                    var tourl = '{"category":"jump","des":"' + desc + '","sourceType":"m_customer"';
                    var OBJ = [];
                    OBJ.push(tourl);

                    for (var a in openPara) {
                        OBJ.push('"' + a + '":"' + openPara[a] + '"');
                    }
                    tourl = OBJ.join(',') + '}';
                    linkNode.attr('href', 'openApp.jdMobile://virtual?params=' + tourl);
                } else if (customerAppId != 'jr.customer') {
                    if (link.match(rOutLink) && !link.match(rImage)) {
                        if (link.match(/item(\.m)?\.jd\.com/g)) {
                            var sku;
                            var rSku = /\/(\d+)\.html/;
                            if (rSku.test(link)) {
                                sku = RegExp.$1;
                                linkNode.attr('href', 'openApp.jdMobile://virtual?params={"category":"jump","des":"productDetail","sourceValue":"","sourceType":"im_jimi","skuId":"' + sku + '"}');
                            } else {
                                link = link.match(/^\/\//) ? 'https:' + link : link;
                                linkNode.attr('href', link).attr('page-model', 'm');
                            }
                        } else {

                            link = link.match(/^\/\//) ? 'https:' + link : link;
                            if (linkNode.attr('link_question')) {
                                linkNode.removeAttr('href').addClass('J_LinkQuesiton');
                                return;
                            } else {
                                linkNode.attr('href', link).attr('page-model', 'm');
                            }
                            //var openLink = 'openApp.jdMobile://virtual?params=' + encodeURIComponent('{"category":"jump","des":"m","sourceValue":"","sourceType":"sourceType_test","url":"' + link + '"}');
                        }
                    } else if (link && link.match(/jd.com/)) {
                        link = link.match(/^\/\//) ? 'https:' + link : link;
                        linkNode.attr('href', link).attr('page-model', 'm');
                    }
                } else {
                    // 金融的跳转
                    var isLink = link.match(/^javascript/) || frameSrc.match(/^javascript/);
                    // link_question处理
                    if (linkNode.attr('link_question')) {
                        linkNode.removeAttr('href').addClass('J_LinkQuesiton');
                        return;
                    }
                    if (!isLink) {
                        if (!linkNode.hasClass('bridgeApp') && !linkNode.hasClass('J_ToCustomer') && !linkNode.hasClass('J_TelBtn') && !linkNode.hasClass('J_TextImageItem')) {
                            if (frameSrc) {
                                frameSrc = frameSrc.match(/^\/\//) ? 'https:' + frameSrc : frameSrc;
                                linkNode.attr('href', frameSrc).attr('page-model', 'm');
                            } else if (link) {
                                link = link.match(/^\/\//) ? 'https:' + link : link;
                                linkNode.attr('href', link).attr('page-model', 'm');
                            }
                        }
                    }
                }
            });
        } else if (item.length) {
            // M页跳转
            item.find('a').each(function (i, n) {
                var linkNode = $(n);
                var link = linkNode.attr('href') || '';
                var frameSrc = linkNode.attr('frame-src') || '';
                link = frameSrc || link;
                if (linkNode.attr('link_question')) {
                    linkNode.removeAttr('href').addClass('J_LinkQuesiton');
                    return item;
                }
                linkNode.attr('href', link);
            });
        }
        return item;
    }

    /**
     * 历史记录显示最后一次提交的表单
     * @param $parent
     * @param data
     */
    function replaceTextToForm($parent, data) {
        if (data.source && data.version && data.tid) {
            data.type = 'template';
            data.title = '';
            data.content = '';
            var options = {
                url: '//' + component.getHost() + configs.api.getTemplate,
                type: 'GET',
                dataType: 'json',
                data: {
                    componentCode: data.tid.replace(/_{2}\d+$/, ''),
                    version: data.version,
                    source: data.source
                }
            };
            if (!configs.isSdk && utils.supportHttps()) {
                options.url = utils.replaceToHttpsProtocol(options.url);
            }
            data.content = {
                datas: data.widgets
            };
            utils.ajax(options, function (result) {
                if (result.errorCode == '111') {
                    // location.reload();
                    mediator.publish(configs.operators.GO_NEW_LOGIN, result);
                }
                if (result.code == 1) {
                    data.template = result.template && result.template.componentHtml;
                }
                var answerObj = instance.renderTemplate(data, true);
                var item = answerObj.item;
                component.completeForm(item, answerObj.data.content.datas);

                item.find('input,select').prop('disabled', true);
                item.removeClass('hide-button').find('.customize-form-button').html('<span class="form_submitted">已提交</span>');
                $('.J_ChatItem[uuid="' + data.uuid + '"]').replaceWith(item);
                item.attr('data-rel', 'history');
                mediator.publish(configs.operators.SCROLLER_REFRESH);
            });
        }
    }
    /**
     * 根据条件改变dom展示样式class
     * @param dom
     */
    function changeCls(dom) {
        // 降价通知样式特殊处理
        if (dom.find(".price-notice-btn").length) {
            $(dom).children('.service').addClass('system').removeClass('service');
            $(dom).addClass('chat-line').removeClass('chat-tpl');
        }
        if (dom.find('.J_SlideCon').length || dom.find('.J_MsgFaqWrap').length || dom.find('.J_PhoneUser').length || dom.find('.SIwrap').length || dom.find('.wtSiWrap').length || dom.find('.bankSiWrap').length) {
            dom.find('.dialog-box').addClass('dialog-oth');
        }
    }

    return {
        getInstance: function getInstance() {
            if (!instance) {
                instance = init();
            }
            return instance;
        }
    };
}();

module.exports = Render;

/***/ }),
/* 9 */,
/* 10 */,
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(1);

module.exports = {
    parseOrderList: function parseOrderList(list) {
        var destList = [];
        list = utils.isEmpty(list) || !utils.isArray(list) ? [] : list;
        for (var i = 0, len = list.length; i < len; i++) {
            var pList = list[i].products;
            for (var j = 0, slen = pList.length; j < slen; j++) {
                var price = pList[j].price || list[i].orderPrice;
                pList[j].price = ('' + price).match(/^\D/) ? price : '&yen; ' + price;
                var newOrder = {
                    customer: list[i].customer,
                    orderId: list[i].orderId,
                    orderPrice: list[i].orderPrice,
                    status: list[i].status,
                    sourceTime: list[i].time,
                    time: new Date(list[i].time).format('{M}-{D} {H}:{I}'),
                    product: pList[j]
                };
                destList.push(newOrder);
            }
        }
        return destList;
    },

    parseOrderListForAnswer: function parseOrderListForAnswer(list) {
        var destList = [];
        list = utils.isEmpty(list) || !utils.isArray(list) ? [] : list;
        for (var i = 0, len = list.length; i < len; i++) {
            var pList = list[i].wares;
            for (var j = 0, slen = pList.length; j < slen; j++) {
                var price = pList[j].price != 'null' ? pList[j].price : list[i].price;
                pList[j].price = ('' + price).match(/^\D/) ? price : '&yen; ' + price;
                var prevTime = new Date(list[i].dateSubmit).format('{M}-{D} {H}:{I}');
                var newOrder = {
                    customer: list[i].customerName,
                    orderId: list[i].orderId,
                    orderPrice: list[i].price,
                    status: list[i].orderStateName,
                    sourceTime: list[i].dateSubmit,
                    time: /NaN/.test(prevTime) ? list[i].dateSubmit : prevTime,
                    product: pList[j]
                };
                var product = {
                    imageUrl: pList[j].imagePath,
                    name: pList[j].productName,
                    pid: pList[j].productId,
                    url: pList[j].wareUrl,
                    price: pList[j].price,
                    showAfterSaleBtn: pList[j].showAfterSaleBtn
                };
                if (utils.supportHttps()) {
                    if (product.imageUrl) {
                        product.imageUrl = utils.replaceToHttpsProtocol(product.imageUrl);
                    }
                    if (product.url) {
                        product.url = utils.replaceToHttpsProtocol(product.url);
                    }
                }
                newOrder.product = product;
                destList.push(newOrder);
            }
        }
        return destList;
    },

    parseServiceListForAnswer: function parseServiceListForAnswer(list) {
        var destList = [];
        list = utils.isEmpty(list) || !utils.isArray(list) ? [] : list;
        for (var i = 0, len = list.length; i < len; i++) {
            var pList = list[i].wares;
            for (var j = 0, slen = pList.length; j < slen; j++) {
                var price = pList[j].price != 'null' ? pList[j].price : list[i].price;
                pList[j].price = ('' + price).match(/^\D/) ? price : '&yen; ' + price;
                var prevTime = new Date(list[i].repairTime).format('{M}-{D} {H}:{I}');
                var newOrder = {
                    customer: list[i].customerName,
                    orderId: list[i].orderId,
                    time: /NaN/.test(prevTime) ? list[i].repairTime : prevTime,
                    product: pList[j]
                };
                var product = {
                    imageUrl: pList[j].imagePath,
                    name: pList[j].productName,
                    pid: pList[j].wareUrl.match(/\d+/g)[0],
                    rid: list[i].repairId,
                    url: pList[j].wareUrl
                };
                if (utils.supportHttps()) {
                    if (product.imageUrl) {
                        product.imageUrl = utils.replaceToHttpsProtocol(product.imageUrl);
                    }
                    if (product.url) {
                        product.url = utils.replaceToHttpsProtocol(product.url);
                    }
                }
                newOrder.product = product;
                destList.push(newOrder);
            }
        }
        return destList;
    },
    parseRecommendList: function parseRecommendList(data) {
        var dataList = [];
        var datas = [];
        if (data.componentType && data.componentType == "kms_form") {
            datas = data.dataMap;
        } else {
            datas = data.datas;
        }
        var list = datas;
        for (var i = 0, len = list.length; i < len; i++) {
            var pObj = list[i];
            var price = pObj.wmeprice || pObj.price;
            var img = pObj.imageurl || pObj.imagePath;
            var name = pObj.wname || pObj.productName;
            var url = pObj.url || pObj.wareUrl;
            var pid = pObj.wid || pObj.productId;
            var goodrate = pObj.goodrate || 0;
            var tags = pObj.tags ? utils.getTagClass(pObj.tags) : null;
            /*            var newProduct = {
                            orderId: '',
                            customer: '',
                            orderPrice: pObj.wmeprice || '',
                            status: '',
                            time: '',
                            product: {
                                price: ('' + pObj.wmeprice).match(/^\D/) ? pObj.wmeprice : '&yen; ' + pObj.wmeprice,
                                imageUrl: pObj.imageurl,
                                name: pObj.wname,
                                pid: pObj.wid,
                                url: pObj.url,
                                goodrate: pObj.goodrate || 0,
                                tags: utils.getTagClass(pObj.tags) || []
                            }
                        };*/

            var newProduct = {
                orderId: '',
                customer: '',
                orderPrice: pObj.wmeprice || '',
                status: '',
                time: '',
                product: {
                    price: ('' + price).match(/^\D/) ? price : '&yen; ' + price,
                    imageUrl: img,
                    name: name,
                    pid: pid,
                    url: url
                }
            };
            if (goodrate) {
                newProduct.product.goodrate = goodrate;
            }
            if (tags) {
                newProduct.product.tags = tags;
            }
            if (utils.supportHttps()) {
                if (newProduct.product.imageUrl) {
                    newProduct.product.imageUrl = utils.replaceToHttpsProtocol(newProduct.product.imageUrl);
                }
                if (newProduct.product.url) {
                    newProduct.product.url = utils.replaceToHttpsProtocol(newProduct.product.url);
                }
            }
            dataList.push(newProduct);
        }
        return dataList;
    },
    // 解析包装清单
    parsePackList: function parsePackList(data) {
        var dataList = [];
        var datas = [];
        if (data.componentType && data.componentType == "kms_form") {
            datas = data.dataMap;
        } else {
            datas = data.datas;
        }
        var orderId = '';
        if (datas[0].orderId) {
            orderId = datas[0].orderId;
            datas = datas[0].wares;
        }

        var list = datas;
        for (var i = 0, len = list.length; i < len; i++) {
            var pObj = list[i];
            var price = pObj.wmeprice || pObj.price;
            var img = pObj.imageurl || pObj.imagePath;
            var name = pObj.wname || pObj.productName;
            var url = pObj.url || pObj.wareUrl;
            var pid = pObj.wid || pObj.productId;
            var wareQd = pObj.wareQd || '';
            var goodrate = pObj.goodrate || 0;
            var tags = pObj.tags ? utils.getTagClass(pObj.tags) : null;

            var newProduct = {
                orderId: '',
                customer: '',
                orderPrice: pObj.wmeprice || '',
                status: '',
                time: '',
                product: {
                    price: ('' + price).match(/^\D/) ? price : '&yen; ' + price,
                    imageUrl: img,
                    name: name,
                    pid: pid,
                    url: url,
                    wareQd: wareQd
                }
            };
            if (goodrate) {
                newProduct.product.goodrate = goodrate;
            }
            if (tags) {
                newProduct.product.tags = tags;
            }
            if (orderId !== '') {
                newProduct.orderId = orderId;
            }
            if (utils.supportHttps()) {
                if (newProduct.product.imageUrl) {
                    newProduct.product.imageUrl = utils.replaceToHttpsProtocol(newProduct.product.imageUrl);
                }
                if (newProduct.product.url) {
                    newProduct.product.url = utils.replaceToHttpsProtocol(newProduct.product.url);
                }
            }
            dataList.push(newProduct);
        }
        return dataList;
    },
    parseProductList: function parseProductList(orderList) {
        return this.parseOrderList(orderList);
    },
    parseRecentList: function parseRecentList(list) {
        var destList = [];
        for (var i = 0, len = list.length; i < len; i++) {
            var pObj = list[i];
            var newProduct = {
                orderId: '',
                customer: '',
                orderPrice: pObj.price3,
                status: '',
                time: new Date(pObj.browseDate).format('{M}-{D} {H}:{I}'),
                product: {
                    price: ('' + pObj.price3).match(/^\D/) ? pObj.price3 : '&yen; ' + pObj.price3,
                    imageUrl: pObj.imgurl,
                    name: pObj.name,
                    pid: pObj.pid,
                    url: pObj.url
                }
            };
            if (utils.supportHttps()) {
                if (newProduct.product.imageUrl) {
                    newProduct.product.imageUrl = utils.replaceToHttpsProtocol(newProduct.product.imageUrl);
                }
                if (newProduct.product.url) {
                    newProduct.product.url = utils.replaceToHttpsProtocol(newProduct.product.url);
                }
            }
            destList.push(newProduct);
        }
        return destList;
    },
    parseCouponList: function parseCouponList(list) {}
};

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by lvchenyang on 2017/1/24.
 * 该实例通过Ajax向服务器端发送消息，发送的消息包含以下几种类型：
 */
var Mediator = __webpack_require__(3);
var configs = __webpack_require__(2);
var QuestionParser = __webpack_require__(17);
var ChatConfig = __webpack_require__(4);
var $ = __webpack_require__(0);
var AnswerParse = __webpack_require__(9);
var Render = __webpack_require__(8);
var utils = __webpack_require__(1);
var Component = __webpack_require__(19);
var dataTool = __webpack_require__(11);
var tplDataPretreat = __webpack_require__(41);
var dynamicEntry = __webpack_require__(38);
var IScroll = __webpack_require__(5);
var erectTimer = null;

var Sender = function () {
    var instance;
    var mediator = Mediator.getInstance();
    var questionParser = QuestionParser.getInstance();
    var answerParse = AnswerParse.getInstance();
    var chatConfig = ChatConfig.getInstance();
    var render = Render.getInstance();
    var options = {
        url: configs.api.send,
        type: 'POST',
        dataType: 'JSON',
        contentType: 'application/x-www-form-urlencoded; charset=utf-8'
    };
    // if(utils.supportHttps()) {
    //     options.url = utils.replaceToHttpsProtocol(options.url);
    // }
    /**
     * 向服务器端发送消息
     * @param data
     * @param callback
     */
    function sendMsg(data, callback) {
        var clickToIM = 0;
        if (data.content && data.content.trans) {
            clickToIM = 1;
        }
        var timestamp = new Date().getTime();
        data.fmid = 'J_Message_' + timestamp;
        if (!data.hidden) {
            showClientMsg(data);
        }
        if (!data.hidden && chatConfig.get('sessionType') === 'jimi' && data.type !== 'loading' && data.type !== 'product' && data.type !== 'order' && !data.opt) {
            // 正在输入
            createErect();
        }
        // opt 标识纯操作类，只展示不提交数据
        if (data.type === configs.msgType.client.LOADING || data.opt) {
            callback && callback(data);
            return;
        }
        options.url = configs.api.send + '?t=' + timestamp;
        options.data = questionParser.parse(data);
        utils.ajax(options, function (result) {
            if (!result.errorCode) {
                setChatContext(Object.assign({}, result));
                handleResponse(result);
                inviteEvaluation(result);
            }
            if (result.errorCode == '111') {
                mediator.publish(configs.operators.GO_NEW_LOGIN, result);
            }
            data.result = !result.errorCode;
            if (clickToIM && result.code == 191) {
                data.result = false;
            }
            data.resultBack = result;
            callback && callback(data);
            removeErect();
        }, function (result) {
            handleError(result);
            data.result = !!0;
            callback && callback(data);
            removeErect();
        });
    }

    function sendToSdk(data, callback) {
        // var clickToIM = 0;
        // if(data.content && data.content.trans) {
        //     clickToIM = 1;
        // }
        // SCSSDK.util.log('sendToSdk',data)

        var timestamp = new Date().getTime();
        var parsedData;
        var sendData;
        // var extInfo;
        // var chatinfo;
        var sourceData = data.sourceData || {};
        data = data || {};
        data.fmid = 'J_Message_' + timestamp;
        data.toServer = data.toServer === 0 ? 0 : 1;
        parsedData = questionParser.parse(data);
        parsedData.chatinfo = parsedData.info;
        delete parsedData.info;
        delete parsedData.sourceData;
        // chatinfo = typeof parsedData.chatinfo === 'string' ? JSON.parse(parsedData.chatinfo) : parsedData.chatinfo;
        // extInfo = SCSSDK.bridge.getExtinfoFrom(chatinfo);
        // parsedData.extinfo = JSON.stringify(extInfo);
        sendData = {
            // bodyType: parsedData.type || 'html',
            body: parsedData,
            info: sourceData.info || {
                state: 0,
                createFrom: 'h5'
            }
        };
        // 如果是已有消息，获取现有消息的uuid
        if (data.id) {
            sendData.id = data.id;
        }
        var sdkData = {
            action: 'sendMessage',
            data: sendData /*,
                           callback: 'chooseCouponCallback'*/
        };
        if (typeof callback == 'string') {
            sdkData.callback = callback;
        }
        /*        SCSSDK.bridge.callJs({  "result" : [    {      "data" : {        "from" : {          "app" : "jd.waiter",          "pin" : "jimi_vender_1"        },        "datetime" : "2017-06-12 16:59:05",        "id" : "01d32159f2000146bac1072dc"+ new Date().getTime(),        "ver" : "4.0",        "aid" : "7tIO2Kn3",        "type" : "jimi_message",        "to" : {          "app" : "im.customer",          "pin" : "jdkcs36",          "clientType" : "ios"        },        "body" : {          "extinfo" : {            "inviteFlag" : "false",            "id" : "54BC087A-7D5F-4878-B410-7F627B229322",            "moduleChinseName" : "非业务",            "classifyEnglishName" : "other",            "refreshContent" : "false",            "opensentenceUUID" : "5c5d8a8e-cc63-42ce-aa03-97149b854a89",            "classifyName" : "闲聊",            "sid" : "01d32148da000146bac1072dc",            "venderId" : "1",            "closeFlag" : "false",            "userGuideFlag" : "false",            "interactiveId" : "96417d37c69042df8739511db3bf9366",            "moduleEnglishName" : "SENTENCE_1"          },          "data" :{"crmSync":1,"answers":{"code_note":0,"answer_note":0,"code_answer":"","answer":"优惠券领取成功，赶紧买你心爱的宝贝去吧~"},"ptype":"m_customer_plain_text_answer"},          "code" : 1,          "chatinfo" : {            "venderId" : "1"          },          "html" : "优惠券领取成功，赶紧买你心爱的宝贝去吧~",          "msg" : "操作成功！",          "type" : "html",          "trans" : {            "transInfo" : {              "sid" : "01d32148da000146bac1072dc"            },            "leaveMsg" : 0,            "showSubmitArbit" : 0,            "telUrl" : "",            "code" : 0          }        }      },      "info" : {        "state" : 0,        "direction" : 1,        "readed" : 1      },      "type" : "jimi_message",      "bodyType" : "html"    }  ],  "method" : "chooseCouponCallback"})
                return;*/
        SCSSDK.bridge.callSdk('startSdkWork', sdkData);
    }

    /**
     * 发送表单消息
     * @param data
     */
    function sendFormMsg(data, callback) {
        var timestamp = new Date().getTime();
        options.url = configs.api.send + '?t=' + timestamp;
        options.data = questionParser.parse(data);
        utils.ajax(options, function (result) {
            if (result.errorCode) {
                if (result.errorCode == '111') {
                    // mediator.publish(configs.operators.OFFLINE_TIP);
                    mediator.publish(configs.operators.GO_NEW_LOGIN, result);
                }
                // handleError(result);
            } else {
                var tempObj = Object.assign({}, result);
                handleResponse(result);
                inviteEvaluation(result);
                setChatContext(tempObj);
                callback && callback(result);
            }
            data.result = !result.errorCode;
        }, function (result) {
            handleError(result);
            data.result = !!0;
        });
    }

    /**
     * 处理服务器响应
     * @param result
     */
    function handleResponse(result) {
        var answer;
        // 更新aid
        // if (result.aid) {
        //     chatConfig.set('aid', result.aid);
        // }
        answer = answerParse.parse(result);
        // 修改风控验证码的状态
        if (answer.type === configs.msgType.server.RISK) {
            configs.riskFlag = 1;
            mediator.publish(configs.operators.WAITING_INPUT_CODE);
            var code = answer.content.code;
            if (code == 185) {
                mediator.publish(configs.operators.RISK_CHECK_EXIST);
                showServerMessage(answer);
            } else if (code == 187) {
                // 验证码输入错误次数超限
                var riskNode = $('#' + configs.static.riskMsgId);
                if (!riskNode.length) {
                    var msg = answer.content.msg;
                    var answer = answerParse.getSystemAnswer(msg);
                    var answerObj = render.parse(answer);
                    callAppShowMsg(answerObj);
                } else {
                    mediator.publish(configs.operators.RISK_CODE_RESPONSE, answer);
                }
            } else if (code == 186) {
                // 验证码输入错误
                // 显示验证码
                var riskNode = $('#' + configs.static.riskMsgId);
                if (!riskNode.length) {
                    mediator.publish(configs.operators.RISK_CHECK_EXIST);
                    showServerMessage(answer);
                } else {
                    mediator.publish(configs.operators.RISK_CODE_RESPONSE, answer);
                }
            } else if (code == 192) {
                // 网络异常，需要重新输入验证码
                var riskNode = $('#' + configs.static.riskMsgId);
                if (!riskNode.length) {
                    var msg = configs.messages.sysError;
                    var answer = answerParse.getSystemAnswer(msg);
                    var answerObj = render.parse(answer);
                    callAppShowMsg(answerObj);
                } else {
                    mediator.publish(configs.operators.RISK_NET_BROKEN, answer);
                }
            } else if ([179, 184].includes(code)) {
                configs.riskFlag = 0;
                answer = answerParse.getSystemAnswer(answer.content.msg);
                showServerMessage(answer);
                mediator.publish(configs.operators.RISK_CHECK_SUCCESS);
                mediator.publish(configs.operators.CANCEL_WAITING_INPUT_CODE);
            }
        } else if (answer.type === configs.msgType.server.SECOND_OP) {
            // secondOp 类消息处理
            var op = answer.content;
            var opJson = {};
            switch (op) {
                case 1:
                    // 我的订单
                    configs.order.page = 1;
                    mediator.publish(configs.operators.GET_MY_ORDER, op, answer.groupId);
                    break;
                case 2:
                    // 最近浏览
                    configs.recent.page = 1;
                    mediator.publish(configs.operators.GET_RECENT_SEE, op, answer.groupId);
                    break;
                case 3:
                    // 最近购买
                    configs.buy.page = 1;
                    mediator.publish(configs.operators.GET_RECENT_BUY, op, answer.groupId);
                    break;
            }
        } else if (answer.type == configs.msgType.server.QUICK_ENTRY) {
            showEntryMessage(answer);
        } else {
            if (configs.riskFlag == 1 && configs.riskOptFlag) {
                configs.riskFlag = 0;
                var sysAnswer = answerParse.getSystemAnswer('验证码输入正确');
                showServerMessage(sysAnswer);
                if (configs.isSdk) {
                    // 重置是否提交过验证码
                    configs.riskOptFlag = !!0;
                }
            }
            mediator.publish(configs.operators.RISK_CHECK_SUCCESS);
            mediator.publish(configs.operators.CANCEL_WAITING_INPUT_CODE);
            showServerMessage(answer);
        }
        if (configs.isSdk) {
            transToIm(result.body || {});
        } else {
            transToIm(result);
        }
    }

    /**
     * 处理错误消息
     */
    function handleError() {}
    // var answer = answerParse.getSystemAnswer(configs.messages.networkBusy);
    // var answerObj = render.parse(answer);
    // callAppShowMsg(answerObj);


    /**
     * 判断答案中是否有Jimi邀请评价
     * @param result
     */
    function inviteEvaluation(result) {
        var inviteFlag = result.chatinfo && result.chatinfo.inviteFlag || false;
        if (inviteFlag === 'true' || inviteFlag === true) {
            var answer = {
                target: configs.msgTarget.SERVICE,
                type: configs.msgType.server.EVALUATE,
                content: {
                    msg: configs.messages.jimiInviteEvaluate,
                    appId: chatConfig.get('appId'),
                    venderId: chatConfig.get('venderId'),
                    groupId: chatConfig.get('groupId'),
                    sessionType: chatConfig.get('sessionType')
                }
            };
            var answerObj = render.parse(answer);
            callAppShowMsg(answerObj);
        }
    }

    /**
     * 判断是否有转人工消息
     * @param result
     */
    function transToIm(result) {
        if (!result.trans || result.trans && result.trans.code == 0) {
            return;
        }
        if (utils.notEmpty(result.trans.telUrl)) {
            result.trans.telUrl = utils.addParamsToUrl(result.trans.telUrl, {
                pid: chatConfig.get('pid') || chatConfig.get('productId') || '',
                orderId: chatConfig.get('orderId') || '',
                groupId: chatConfig.get('groupId') || '',
                venderId: chatConfig.get('venderId') || ''
            });
            if (!configs.isSdk && utils.supportHttps()) {
                result.trans.telUrl = utils.replaceToHttpsProtocol(result.trans.telUrl);
            }
        }
        result.trans.customerAppId = chatConfig.get('customerAppId');
        var answer = {
            id: configs.msgIdSuffix.SERVER + new Date().getTime(),
            target: configs.msgTarget.SYSTEM,
            type: configs.msgType.client.TRANS,
            content: result.trans,
            interactiveId: result.chatinfo && result.chatinfo.interactiveId,
            mid: result.chatinfo && result.chatinfo.id
        };
        // 以下逻辑移动到点击转人工按钮后处理了event-handler文件doToCustomer方法里
        /*        if([1, 2, 5].includes(result.trans.transDdDest)) {
                    chatConfig.del('groupId');
                    var venderId = chatConfig.get('venderId');
                    venderId == 1 && chatConfig.del('venderId');
                }
                if(result.trans.transDdDest == 4) {
                    chatConfig.del('pid');
                }*/
        chatConfig.set('transDdDest', result.trans.transDdDest);
        var answerObj = render.parse(answer);
        callAppShowMsg(answerObj);
    }

    /**
     * 显示用户发送的消息
     * @param data
     */
    function showClientMsg(data) {
        var msg = Object.assign({}, data);
        var msgObj;
        // 用户发送的消息没有ID，自动添加随机ID
        msg.id = msg.id || configs.msgIdSuffix.CLIENT + new Date().getTime();
        // 判断消息中是否包含商品URL
        switch (msg.type) {
            // 文本消息
            case configs.msgType.client.TEXT:
                var splitMsgs = answerParse.splitTextAnswer(msg);
                for (var i = 0, len = splitMsgs.length; i < len; i++) {
                    splitMsgs[i].content = utils.replaceSpecialHtmlChar(splitMsgs[i].content);
                    var type = splitMsgs[i].type || null;
                    // if (chatConfig.get('sessionType') == 'jimi' && type == 'skuLink') {
                    //     continue;
                    // } else {
                    msgObj = render.parse(splitMsgs[i]);
                    callAppShowMsg(msgObj);
                    //}  
                }
                break;
            /*            case configs.msgType.client.TICKETS_ITEM:
                            
                            break;*/
            case configs.msgType.client.HELLO:
                var pid_1 = msg.content.pid || msg.content.productId || msg.pid || false;
                if (chatConfig.get('sessionType') == 'jimi') {
                    var dateTimeAnswer = answerParse.getTimeAnswer();
                    callAppShowMsg(render.parse(dateTimeAnswer));
                }
                pid_1 && showProductInfo({
                    productId: pid_1,
                    reelect: false,
                    rel: msg.rel
                });
                break;
            case configs.msgType.client.TRANS:
                var pid_2 = msg.content.pid || msg.content.productId || false;
                pid_2 && showProductInfo({
                    productId: pid_2,
                    reelect: false,
                    rel: msg.rel
                });
                break;
            // 二级操作
            case configs.msgType.client.GROUP:
                var productId = msg.content.productId || msg.content.pid || false;
                var orderId = msg.content.orderId || false;
                if (productId) {
                    var info = {
                        productId: productId,
                        reelect: true,
                        rel: msg.rel
                    };
                    if (orderId) {
                        info.orderId = orderId;
                        info.parsedTime = msg.content.parsedTime;
                    }
                    showProductInfo(info);
                }
                break;
            // 点击选择商品
            case configs.msgType.client.PRODUCT:
                var reelect = true;
                if (utils.getAnswerNote(msg.content.answerNote)) {
                    reelect = false;
                }
                var note = msg.content.answerNote || null;
                var popDataType = msg.content.popDataType || null;
                if (!utils.getAnswerNote(note) || popDataType) {
                    showProductInfo({
                        productId: msg.content.pid || msg.content.productId,
                        reelect: reelect,
                        rel: msg.rel,
                        answerNote: msg.content.answerNote || ''
                    });
                }

                break;
            // 点击选择订单
            case configs.msgType.client.ORDER:
                showProductInfo({
                    productId: msg.content.pid || msg.content.productId,
                    orderId: msg.content.orderId,
                    parsedTime: msg.content.parsedTime,
                    status: msg.content.status,
                    reelect: true,
                    rel: msg.rel
                });
                break;
            case configs.msgType.client.LOADING:
                // msg.type = configs.msgType.client.IMAGE;
                msgObj = render.parse(msg);
                callAppShowMsg(msgObj);
                break;
            // 风控验证码，不显示
            // 表单消息，不显示
            case configs.msgType.client.RISK:
            case configs.msgType.client.FORM_TEMPLATE:
                break;
            // 单个订单
            case configs.msgType.client.ORDER_DETAIL:

                break;
            default:
                msg.timestamp = new Date().getTime();
                msg.target = configs.msgTarget.CUSTOMER;
                msgObj = render.parse(msg);
                callAppShowMsg(msgObj);
                break;
        }
        var isEnd = mediator.publish(configs.operators.IS_END);
        if (!isEnd) {
            mediator.publish(configs.operators.SCROLLER_REFRESH);
            mediator.publish(configs.operators.SCROLL_TO_FOOT);
        }
    }

    /**
     * 显示客户端收到的消息
     * @param answer
     */
    function showServerMessage(answer, isHistory) {
        if (!answer) {
            return;
        }
        var answerObj;
        switch (answer.type) {
            case configs.msgType.server.TEXT:
                // 普通文本答案，判断答案中是否包含商品链接
                var splitAnswers = answerParse.splitTextAnswer(answer);
                for (var i = 0, len = splitAnswers.length; i < len; i++) {
                    answerObj = render.parse(splitAnswers[i]);
                    callAppShowMsg(answerObj, isHistory);
                    if (!isHistory && configs.isSdk) {
                        SCSM.Voice.speak(splitAnswers[i].content);
                    }
                }
                if (typeof answer.crmSync != 'undefined') {
                    var uuid = answer.uuid;
                }
                break;
            case configs.msgType.server.TEMPLATE:
                // 工种机械化答案，从服务端获取答案模板
                if (!answer.tid) {
                    return;
                }

                var componentInit = function componentInit(answer) {
                    // alert(JSON.stringify(answer))
                    // sdk 模板渲染
                    if (configs.isSdk) {
                        return templateDeal(answer);
                        /*if (answer.template) {
                            return templateDeal(answer);
                        } else {
                            var answer = answerParse.getSystemAnswer(configs.messages.networkBusy);
                            var answerObj = render.parse(answer);
                            callAppShowMsg(answerObj);
                            return;
                        }*/
                    }

                    if (answer.template && answer.notGetTemplate) {
                        return templateDeal(answer);
                    }
                    // 渲染模板
                    function templateDeal(result) {
                        var originData = answer.originData;
                        /**
                         * [state description]
                         * 0： 模板和答案都有
                         * 2： 模板获取失败
                         * 1： sdk终端 特有的状态，模板获取中
                         */
                        var state = originData.state;
                        var answer_note = originData.answers.answer_note || null;
                        var answer_title = originData.answers.answer_title || '';

                        var ptype = answer.ptype;

                        var component_title = answer.componentTitle;
                        var popObj = null;
                        var item = null;
                        var newAnswerTitle = null;
                        var dataId = answer.id || null;
                        if (ptype == 'm_customer_interaction' || ptype == 'mweb_interaction' && state == 0) {
                            var title = answer.title;
                            if (utils.notEmpty(title)) {
                                var newAnswer = {
                                    "target": "service",
                                    "type": "text",
                                    "history": 0,
                                    "content": title,
                                    "relPosition": 'prev',
                                    "relId": dataId
                                };
                                showServerMessage(newAnswer);
                            }
                            popObj = {
                                operators: configs.operators.POPUP_FOR_BLANK
                            };
                        }

                        // 智能投资相关组件
                        // console.log(answer.template);
                        // SCSSDK?SCSSDK.util.log(answer.template):'';
                        if (ptype == 'm_customer_component_answer' && answer.tid.match(/^kmsform_jimi_wiki_platform/gi)) {
                            //百科活动场景
                            if (state == 0) {
                                var dataParam = answer.content.dataMap[answer.tid];
                                mediator.publish(configs.operators.HANDLE_WIKI_ACT, { 'data': dataParam });
                            }
                            return;
                        } else if (ptype == 'm_customer_component_answer' && state == 0 && (answer.tid === 'kmsform_train_ticket_select' || answer.tid == 'kmsform_air_ticket_select')) {
                            // 火车票场景类型
                            var title = answer.title;
                            if (utils.notEmpty(title)) {
                                var newAnswer = {
                                    "target": "service",
                                    "type": "text",
                                    "history": 0,
                                    "content": title,
                                    "relPosition": 'prev',
                                    "relId": dataId
                                };
                                showServerMessage(newAnswer);
                            }
                            // 针对火车票飞机票场景进行处理
                            var $msgTpl = $(answer.template);
                            if ($msgTpl.attr('data-show-type') === 'popup') {
                                // 获取类型
                                var msgTplType = $msgTpl.attr("data-rel");
                                // 转换后的数据
                                var transformerredData = tplDataPretreat.treat(answer, msgTplType);
                                // 获取模版名
                                var tplName = tplDataPretreat.getTplName(msgTplType);
                                var htmlStr = '';
                                if (tplName) {
                                    // html = template(tplName, transformerredData);
                                    var innerHtml = render.parseLocalTem({ data: transformerredData, tpl: configs.templates[tplName] });
                                    $(innerHtml).attr('data-type', msgTplType);
                                    htmlStr = $msgTpl.append($(innerHtml)).html();
                                }
                                // 重新组合进原来的数据
                                answer.template = htmlStr;
                            }
                            popObj = {
                                operators: configs.operators.POPUP_FOR_TICKETS
                            };
                        }

                        answerObj = render.renderTemplate(answer, !!0, popObj);
                        if (popObj) {
                            popObj.answerObj = answerObj;
                            popObj.answer = answer;
                        }
                        // answerObj && answer_title && (answer_note == 5 || answer_note == 501 || answer_note == 6)
                        //
                        if (answerObj && answer_title && (answer_note == 5 || answer_note == 501 || answer_note == 6 || ptype == 'm_customer_faq_consultdata') && state == 0) {
                            newAnswerTitle = {
                                "target": "service",
                                "type": "text",
                                "history": 0,
                                "content": answer_title,
                                "relPosition": 'prev',
                                "relId": dataId
                                //showServerMessage(newAnswerParam);
                            };
                        }
                        if (answerObj && component_title && state == 0) {
                            newAnswerTitle = {
                                "target": "service",
                                "type": "text",
                                "history": 0,
                                "content": component_title,
                                "relPosition": 'prev',
                                "relId": dataId
                            };
                        }
                        // 501 搜索场景特殊处理 由于需展示2600毫秒动画之后在展示内容
                        if (answer.answer_note == 501) {
                            if (state == 0) {
                                var animation = showAnimation(answer);
                                setTimeout(function () {
                                    animation.remove();
                                    if (newAnswerTitle && state == 0) {
                                        showServerMessage(newAnswerTitle);
                                    }
                                    item = callAppShowFormMsg(answerObj.item, answerObj.data.uuid, popObj);
                                    if (state == 0) {
                                        // 显示额外按钮
                                        showOtherBtn(answer);
                                    }
                                    if (item.find('.im-list01') && item.find('.im-list01').attr('data-rel') == 'productList') {
                                        item.find('.im-list01').prev('p').addClass('title product-title');
                                    }
                                    Component.init(item, answerObj.data);
                                    Component.completeForm(item, answerObj.data.dataMap);
                                    callback(item);
                                }, 2600);
                            } else {
                                item = callAppShowFormMsg(answerObj.item, answerObj.data.uuid, popObj);
                                if (item.find('.im-list01') && item.find('.im-list01').attr('data-rel') == 'productList') {
                                    item.find('.im-list01').prev('p').addClass('title product-title');
                                }
                                Component.init(item, answerObj.data);
                                Component.completeForm(item, answerObj.data.dataMap);
                                callback(item);
                            }
                            return;
                            var animation = showAnimation(answer);
                            setTimeout(function () {
                                animation.remove();
                                if (newAnswerTitle && state == 0) {
                                    showServerMessage(newAnswerTitle);
                                }
                                item = callAppShowFormMsg(answerObj.item, answerObj.data.uuid, popObj);
                                if (state == 0) {
                                    // 显示额外按钮
                                    showOtherBtn(answer);
                                }
                                if (item.find('.im-list01') && item.find('.im-list01').attr('data-rel') == 'productList') {
                                    item.find('.im-list01').prev('p').addClass('title product-title');
                                }
                                Component.init(item, answerObj.data);
                                Component.completeForm(item, answerObj.data.dataMap);
                                callback(item);
                            }, 2600);
                        } else {
                            var _HandleMsg = function _HandleMsg() {
                                item = callAppShowFormMsg(answerObj.item, answerObj.data.uuid, popObj, answer);
                                //直接在弹层中展现，item返回为null；
                                var interactiveNode = $(answerObj.item).find('[interactivetype]');
                                if (interactiveNode.length) {
                                    mediator.publish(configs.operators.HANDLE_INTERACTIVE_MSG, answerObj.item, answer);
                                    return null;
                                }
                                if (!item) {
                                    return;
                                }

                                if (state == 0) {
                                    // 显示额外按钮
                                    showOtherBtn(answer);
                                }
                                if (item.find('.im-list01') && item.find('.im-list01').attr('data-rel') == 'productList') {
                                    item.find('.im-list01').prev('p').addClass('title product-title');
                                }
                                Component.init(item, answerObj.data);
                                Component.completeForm(item, answerObj.data.dataMap);
                                callback(item);

                                // 充值
                                if (item.find('.J_PhoneUser').length) {
                                    item.find('.J_MsgCont').css({
                                        'display': 'block'
                                    });
                                    var id = item.find('.J_PhoneUser').attr('id');
                                    setTimeout(function () {
                                        var scroller = new IScroll('#' + id, {
                                            mouseWheel: true,
                                            scrollX: true,
                                            scrollY: false,
                                            click: true
                                        });
                                        item.find('.J_PhoneUser').data('scroller', scroller);
                                    }, 100);
                                }
                                // 快捷卡片
                                if (item.find('.J_FastCard').length) {
                                    var id = item.find('.J_FastCard').attr('id');
                                    setTimeout(function () {
                                        var scroller = new IScroll('#' + id, {
                                            mouseWheel: true,
                                            scrollX: true,
                                            scrollY: false,
                                            click: true
                                        });
                                        item.find('.J_FastCard').data('scroller', scroller);
                                    }, 100);
                                }
                                // 商详显示answer_title
                                if (answerObj && answer_title && answer_note == 4 && state == 0 && !configs.addCart) {
                                    var newAnswerTitle = {
                                        "target": "service",
                                        "type": "text",
                                        "history": 0,
                                        "content": answer_title,
                                        "relPosition": 'next',
                                        "relId": dataId
                                    };
                                    showServerMessage(newAnswerTitle);
                                    configs.addCart = !!0;
                                }
                            };

                            if (newAnswerTitle && state == 0) {
                                showServerMessage(newAnswerTitle);
                            }
                            if (answer.ptype == 'm_customer_multiimgtxt') {
                                utils.getWrapHeight(answerObj.item, function (height) {
                                    if (height > configs.static.showLine * configs.static.lineHeight) {
                                        var wrap = answerObj.item.find('.J_MultiTxt_Box');
                                        wrap.height(configs.static.showLine * configs.static.lineHeight + 'px');
                                        wrap.addClass('more-active');
                                    }
                                    _HandleMsg();
                                });
                            } else {
                                _HandleMsg();
                            }
                        }
                    }
                    Component.setHost(answer.templateHost);
                    var options = {
                        url: '//' + answer.templateHost + configs.api.getTemplate,
                        type: 'GET',
                        dataType: 'json',
                        data: {
                            componentCode: answer.tid.replace(/_{2}\d+$/, ''),
                            version: answer.version,
                            source: answer.source
                        }
                    };
                    if (utils.supportHttps()) {
                        options.url = utils.replaceToHttpsProtocol(options.url);
                    }
                    utils.ajax(options, function (result) {
                        if (result.errorCode == '111') {
                            mediator.publish(configs.operators.GO_NEW_LOGIN, result);
                        }
                        if (result.code == 1) {
                            answer.template = result.template && result.template.componentHtml;
                            answer.originData.state = 0;
                        }
                        templateDeal(result);
                    }, function () {
                        answer.originData.state = 2;
                        templateDeal(answer);
                        // handleError();
                    });
                };

                var callback = function callback() {};

                var triggerClick = function triggerClick(item) {
                    var pid = chatConfig.get('pid');
                    item.find('li[pid="' + pid + '"]').click();
                };
                if (chatConfig.get('orderId') && chatConfig.get('pid')) {
                    if (answer.tid.match(configs.regex.templateId) || answer.tid.match(configs.regex.oldOrderId)) {
                        callback = triggerClick;
                        componentInit(answer);
                        return;
                    }
                }
                if (answer.tid.match(configs.regex.templateId) && answer.guideIndex > 1) {
                    if (answer.guideIndex == 2) {
                        var data = {
                            list: dataTool.parseOrderListForAnswer(JSON.parse(answer.originData.answers.answer).dataMap[answer.tid])
                        };
                        var html = $.tmpl(configs.templates.orderList, data);

                        mediator.publish(configs.operators.POPUP_FOR_ORDER_LIST, html, answer);
                    } else if (answer.guideIndex == 3) {
                        var answer1 = {
                            type: 'text',
                            target: 'service',
                            content: '您好，请选择您要咨询的订单',
                            id: configs.msgIdSuffix.SERVER + new Date().getTime()
                        };
                        answerObj = render.parse(answer1);
                        callAppShowMsg(answerObj);
                        var id = configs.msgIdSuffix.SERVER + new Date().getTime();
                        answer1 = {
                            type: 'button',
                            content: {
                                text: '选择咨询的订单'
                            },
                            target: 'service',
                            id: id
                        };
                        answerObj = render.parse(answer1);
                        var item = callAppShowMsg(answerObj);
                        item.attr('template-data', JSON.stringify(answer));
                    } else {}
                } else {
                    componentInit(answer);
                }
                break;
            case configs.msgType.server.IMAGE_TEXT:
                answerObj = render.parse(answer);
                callAppShowMsg(answerObj);
                // mediator.publish(configs.operators.SET_JIMI_IMG_SHOW);
                break;
            case configs.msgType.server.FIRST_CARD:
                if (utils.notEmpty(answer.firstAnswer)) {
                    answerObj = render.parse(answer.firstAnswer);
                    callAppShowMsg(answerObj);
                    delete answer.firstAnswer;
                }
                if (utils.notEmpty(answer.content)) {
                    if (utils.notEmpty(answer.content.images) || utils.notEmpty(answer.content.texts)) {
                        answerObj = render.parse(answer);
                        callAppShowMsg(answerObj);
                    }
                }
                break;
            case configs.msgType.server.SECOND_OP:
                break;
            case configs.msgType.server.SHUNT:
                if (!configs.isSdk) {
                    mediator.publish(configs.operators.GET_SOA_INFO);
                }
                var curVenderId = answer.curVenderId || '';
                if (curVenderId && curVenderId != chatConfig.get('venderId')) {
                    mediator.publish(configs.operators.CLEAR_RECORD);
                }
                if (chatConfig.get('sessionType') === 'im') {
                    mediator.publish(configs.operators.SAY_HELLO);
                }
                break;
            case configs.msgType.server.ERROR_AUTH:
                mediator.publish(configs.operators.UPDATE_AID);
                break;
            case configs.msgType.server.INTERACTION:
                var title = answer.title;
                if (utils.notEmpty(title)) {
                    var newAnswer = {
                        "target": "service",
                        "type": "text",
                        "history": 1,
                        "content": title
                    };
                    showServerMessage(newAnswer);
                }
                answerObj = render.parseLocalTem({
                    data: answer.content,
                    tpl: configs.templates.blankBox
                });
                mediator.publish(configs.operators.POPUP_FOR_BLANK, answerObj, answer);
                break;
            default:
                answerObj = render.parse(answer);
                callAppShowMsg(answerObj);
                break;
        }
    }

    /**
     *显示动态快捷入口消息
     *@param result
    */
    function showEntryMessage(result) {
        var OBJ = render.parseDynamicEntry(result);
        dynamicEntry.refresh(OBJ);
    };

    /**
     * 从响应中获取聊天上下文，并设置
     * @param result
     */
    function setChatContext(result) {
        var chatInfo = {};
        if (result.chatinfo) {
            chatInfo = Object.assign(chatInfo, result.chatinfo);
        }
        if (result.sessionType) {
            chatInfo.sessionType = result.sessionType;
        }
        if (result.groupId) {
            chatInfo.groupId = result.groupId;
        }
        if (result.aid) {
            chatInfo.aid = result.aid;
        }
        mediator.publish(configs.operators.SET_CHAT_CONTEXT, chatInfo);
    }

    /**
     * 显示订单详情卡片
     * @param info
     */
    function getOrderInfo(info) {
        if (configs.isSdk) {
            var h5Info = JSON.stringify(info);
            SCSSDK.bridge.callSdk('httpRequest', {
                url: configs.api.getSoaOrderRecent,
                method: 'get',
                data: {
                    appId: chatConfig.get('customerAppId'),
                    orderId: info.orderId,
                    ptype: 'order.getOrderDetail',
                    clientType: chatConfig.get('clientType'),
                    _pin_: chatConfig.get('pin'),
                    pin: chatConfig.get('pin'),
                    _token_: chatConfig.get('aid')
                },
                callback: 'getOidDetailCallback',
                h5Info: h5Info
            });
            return;
        } else {
            var mType = chatConfig.get('mType');
            var options = {
                url: configs.api.getSoaOrderRecent,
                type: 'GET',
                dataType: 'JSONP',
                data: {
                    appId: chatConfig.get('customerAppId'),
                    orderId: info.orderId,
                    ptype: 'order.getOrderDetail',
                    clientType: chatConfig.get('clientType'),
                    _pin_: chatConfig.get('pin'),
                    pin: chatConfig.get('pin'),
                    _token_: chatConfig.get('aid')
                }
            };
            if (utils.supportHttps()) {
                options.url = utils.replaceToHttpsProtocol(options.url);
            }
            utils.ajax(options, function (res) {
                if (!res) {
                    return;
                }
                var param = {
                    result: res,
                    info: info
                };
                showOrderInfo(param);
            });
        }
    }
    // 渲染单个订单
    function showOrderInfo(parma) {
        var res = parma.result;
        var info = parma.info;
        if (res.code == 1) {
            var result = res.result;
            var products = result.products || [];
            if (products.length > 0) {
                var imageUrl = products[0].imageUrl;
                if (!imageUrl.match(/360buyimg.com/)) {
                    imageUrl = 'https://img10.360buyimg.com/n6/' + imageUrl;
                }
                var orderPrice = result.orderPrice || '暂无';
                var time = utils.formatDate(new Date(result.time), 'yyyy-MM-dd');
                var answer = {
                    target: configs.msgTarget.CUSTOMER,
                    type: configs.msgType.client.ORDER_DETAIL,
                    reelect: info.reelect,
                    rel: info.rel || 'order',
                    isShowBtn: info.isShowBtn || !!0,
                    content: {
                        imageUrl: imageUrl || configs.static.noPic,
                        price: orderPrice,
                        orderId: result.orderId,
                        time: time
                    }
                };
                var answerObj = render.parse(answer);
                callAppShowMsg(answerObj);
            }
        }
    }

    /**
     * 显示商品详情卡片
     * @param info
     */
    function showProductInfo(info) {
        var options = {
            url: configs.api.getProduct,
            type: 'GET',
            dataType: 'JSON',
            data: {
                pid: info.productId,
                _wid_: chatConfig.get('wid')
            }
        };
        var mType = chatConfig.get('mType');
        if (!configs.isSdk) {
            if (utils.supportHttps()) {
                options.url = utils.replaceToHttpsProtocol(options.url);
            }
        }
        if (configs.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
            var h5Info = JSON.stringify(info);
            SCSSDK.bridge.callSdk('httpRequest', {
                url: configs.api.getSoaOrderRecent,
                method: 'get',
                data: {
                    appId: chatConfig.get('customerAppId'),
                    ptype: 'product.getProduct2',
                    pid: info.productId,
                    clientType: chatConfig.get('clientType'),
                    _pin_: chatConfig.get('pin'),
                    pin: chatConfig.get('pin'),
                    _token_: chatConfig.get('aid')
                },
                callback: 'getPidDetailCallback',
                h5Info: JSON.stringify(info)
            });
            return;
        }
        utils.ajax(options, function (result) {
            if (result.errorCode == '111') {
                // mediator.publish(configs.operators.OFFLINE_TIP);
                mediator.publish(configs.operators.GO_NEW_LOGIN, result);
            }
            var price = result.price3;
            if (price) {
                price = price.replace(/(￥|¥)/g, '');
            } else {
                price = configs.messages.noPrice;
            }
            var answer = {
                target: configs.msgTarget.CUSTOMER,
                type: configs.msgType.server.SKU_CARD,
                reelect: info.reelect,
                rel: info.rel || 'product',
                isShowBtn: info.isShowBtn || !!0,
                content: {
                    imageUrl: result.imgurl || configs.static.noPic,
                    price: price,
                    id: result.pid,
                    name: result.name,
                    url: utils.getNewUrl(mType, info.productId)
                }
            };
            if (utils.supportHttps()) {
                if (answer.content.imageUrl) {
                    answer.content.imageUrl = utils.replaceToHttpsProtocol(answer.content.imageUrl);
                }
                if (answer.content.url) {
                    answer.content.url = utils.replaceToHttpsProtocol(answer.content.url);
                }
            }
            if (info.orderId) {
                answer.orderId = info.orderId;
            }
            if (info.parsedTime) {
                answer.content.orderTime = info.parsedTime;
            }
            if (info.status) {
                answer.content.status = info.status;
            }
            var answerObj = render.parse(answer);
            if (answer.rel.match(/recommend/g)) {
                var msgId = answer.rel.split('::')[1];
                var lists = $('[data-id="' + msgId + '"]');
                var note = lists.find('.im-list01').attr('data-answer-note') || null;
                // jimi 搜索推荐场景不需要替换列表
                if (utils.getAnswerNote(note)) {
                    callAppShowMsg(answerObj);
                    return;
                }
                var product = $('[data-rel*="' + msgId + '"]');
                var p_len = product.length;
                if (lists.length) {
                    lists.replaceWith(answerObj);
                } else if (p_len) {
                    callAppShowMsg(answerObj);
                    product.each(function (idx, p) {
                        var $p = $(p);
                        if (idx <= p_len - 1) {
                            $p.parents('.J_MsgCont').find('.im-list04').addClass('im-list05');
                            $p.parents('.J_ChatItem').removeClass('chat-info').addClass('chat-tpl');
                            $p.parent().remove();
                        }
                    });
                    /*                    product.find('.comon-more').remove();
                                        product.addClass('chat-tpl').removeClass('chat-info');
                                        product.find('ul.im-list04').addClass('im-list05');*/
                }
                return;
            }
            callAppShowMsg(answerObj);
        }, function () {
            var answer;
            if (info.orderId) {
                answer = answerParse.getSystemAnswer(configs.messages.orderErrTips);
            } else {
                answer = answerParse.getSystemAnswer(configs.messages.pidErrTips);
            }
            var answerObj = render.parse(answer);
            callAppShowMsg(answerObj);
        });
    }

    function replaceListsInfo(info) {
        var answer = {
            target: configs.msgTarget.CUSTOMER,
            type: configs.msgType.server.SKU_CARD,
            reelect: info.reelect,
            rel: info.rel || 'product',
            isShowBtn: info.isShowBtn || !!0,
            content: {
                imageUrl: info.imageUrl,
                price: info.price,
                id: info.productId,
                name: info.name,
                url: info.url
            }
        };
        if (utils.supportHttps()) {
            if (answer.content.imageUrl) {
                answer.content.imageUrl = utils.replaceToHttpsProtocol(answer.content.imageUrl);
            }
            if (answer.content.url) {
                answer.content.url = utils.replaceToHttpsProtocol(answer.content.url);
            }
        }
        if (info.orderId) {
            answer.orderId = info.orderId;
        }
        if (info.parsedTime) {
            answer.content.orderTime = info.parsedTime;
        }
        if (info.status) {
            answer.content.status = info.status;
        }
        var answerObj = render.parse(answer);
        if (answer.rel.match(/recommend/g)) {
            var msgId = answer.rel.split('::')[1];
            var lists = $('[data-id="' + msgId + '"]');

            var product = $('[data-rel*="' + answer.rel + '"]');
            var p_len = product.length;
            if (lists.length) {
                //lists.find('.J_MsgCont').replaceWith(answerObj.find('.J_MsgCont'));
                var clone = lists.clone();
                var isCoverd = !!clone.find('.J_Reelect').length;
                clone.find('.J_MsgCont').replaceWith($(answerObj).find('.J_MsgCont'));
                answerObj = clone;
                // answerObj.find('.J_Reelect').attr('nickname', info.type);
                if (isCoverd) {
                    lists.find('.J_MsgCont').find('.im-list04').addClass('im-list05');
                    lists.removeClass('chat-info').addClass('chat-tpl').removeAttr('data-id');
                } else {
                    lists.remove();
                }
            }
            callAppShowMsg(answerObj);
            if (p_len) {
                product.each(function (idx, p) {
                    var $p = $(p);
                    $p.parents('.J_MsgCont').find('.im-list04').addClass('im-list05');
                    $p.parents('.J_ChatItem').removeClass('chat-info').addClass('chat-tpl').removeAttr('data-id');
                    $p.parent().remove();
                });
                /*                    product.find('.comon-more').remove();
                                    product.addClass('chat-tpl').removeClass('chat-info');
                                    product.find('ul.im-list04').addClass('im-list05');*/
            }
        }
    }
    /**
     * 提交评价
     * @param data
     */
    function sendEvaluate(data) {
        if (!data.t) {
            data.t = new Date().getTime();
        }
        if (utils.isEmpty(data.appId)) {
            data.appId = chatConfig.get('appId');
        }
        if (utils.isEmpty(data.groupId)) {
            data.groupId = chatConfig.get('groupId');
        }
        if (utils.isEmpty('venderId')) {
            data.venderId = chatConfig.get('venderId');
        }
        if (utils.isEmpty('sessionType')) {
            data.sessionType = chatConfig.get('sessionType');
        }
        data.proVer = chatConfig.get('proVer');
        data.userType = chatConfig.get('userType');

        data._wid_ = chatConfig.get('wid');

        if (configs.isSdk) {
            data.toServer = 1;
            var evalTcp = Object.assign({}, data);
            var sendData;
            sendData = {
                type: chatConfig.get('sessionType') == 'im' || chatConfig.get('sessionType') == 1 ? 'chat_evaluate' : 'jimi_evaluate',
                body: evalTcp,
                info: {
                    state: 0,
                    createFrom: 'h5'
                }
            };
            SCSSDK.bridge.callSdk('startSdkWork', {
                action: 'sendMessage',
                data: sendData,
                callback: 'sendEvaluateCallback'
            });
        } else {
            var options = {
                url: configs.api.evaluate,
                type: 'POST',
                dataType: 'JSON',
                data: data
            };
            if (utils.supportHttps()) {
                options.url = utils.replaceToHttpsProtocol(options.url);
            }
            utils.ajax(options, function (result) {
                if (result.errorCode == '111') {
                    mediator.publish(configs.operators.GO_NEW_LOGIN, result);
                }
                var answer;
                if (result.code == 1) {
                    var nameTxt = chatConfig.get('customerAppId') == 'jr.customer' && chatConfig.get('sessionType') == 'im' ? '京东金融客服' : chatConfig.get('venderName');
                    answer = answerParse.getSystemAnswer('您对<strong>' + (nameTxt || '') + '</strong>评价成功！');
                } else {
                    answer = answerParse.parse(result);
                }
                var answerObj = render.parse(answer);
                callAppShowMsg(answerObj);
                mediator.publish(configs.operators.REFRESH_SCROLL, true);
            }, function () {
                handleError();
            });
        }
    }

    /**
     * 显示普通消息
     * @param msg
     * @returns {*}
     */
    function callAppShowMsg(msg, isHistory) {
        return mediator.publish(configs.operators.SHOW_MSG, msg, isHistory);
    }

    /**
     * 显示模板消息
     * @param msg
     * @param uuid
     * @param popObj 弹框展示
     * @returns {*}
     */
    function callAppShowFormMsg(msg, uuid, popObj, answer) {
        var isEnd = mediator.publish(configs.operators.IS_END);
        var item = '';

        var interactiveNode = $(msg).find('[interactivetype]');
        if (interactiveNode.length) {
            return null;
        }
        if (popObj) {
            mediator.publish(popObj.operators, popObj.answerObj.item, popObj.answer);
            item = $(popObj.answerObj.item);
        } else {
            item = Component.renderForm(msg, false, uuid);
            configs.closePopOptFlag = !!0;
        }
        mediator.publish(configs.operators.REFRESH_SCROLL, isEnd);
        // var component = $(msg).find('.SIwrap');
        if ($(msg).find('.SIwrap') && $(msg).find('.SIwrap').eq(0).attr('componentFun')) {
            var prveData = JSON.parse(answer.content.dataMap);
            if (typeof prveData == 'string') {
                prveData = JSON.parse(prveData);
            }
            mediator.publish(configs.operators.HAND_JRCB_ITEM, $(msg), prveData);
        }
        //白条账单组件
        if ($(msg).find('.wtSiWrap').length) {
            var prveData = JSON.parse(answer.content.dataMap);
            if (typeof prveData == 'string') {
                prveData = JSON.parse(prveData);
            }
            mediator.publish(configs.operators.HAND_BT_ITEM, $(msg), prveData);
        }
        //金融银行卡绑定列表组件
        if ($(msg).find('.bankSiWrap').length) {
            var prveData = JSON.parse(answer.content.dataMap);
            if (typeof prveData == 'string') {
                prveData = JSON.parse(prveData);
            }
            mediator.publish(configs.operators.HAND_BANKLIST_ITEM, $(msg), prveData);
        }

        return item;
    }

    /**
     * 初始化对象
     * @returns {{sendMsg: sendMsg, sendFormMsg: sendFormMsg, sendEvaluate: sendEvaluate}}
     */
    function init() {
        return {
            sendMsg: sendMsg,
            sendFormMsg: sendFormMsg,
            sendEvaluate: sendEvaluate,
            // 发送消息到SDK
            sendToSdk: sendToSdk,
            handleResponse: handleResponse,
            showProductInfo: showProductInfo,
            showOrderInfo: showOrderInfo,
            getOrderInfo: getOrderInfo,
            showClientMsg: showClientMsg,
            showOtherBtn: showOtherBtn,
            showServerMessage: showServerMessage,
            replaceListsInfo: replaceListsInfo
        };
    }
    /**
     * 显示椭圆形按钮
     * var tempObj = {
            name: '换一批，再看看',
            className: 'J_ChangeList'
        }
     */
    function showOtherBtn(answer, isHistory) {
        var arr = [];
        var note = answer.answer_note;
        var msgId = configs.msgIdSuffix.SERVER + new Date().getTime();
        var relId = answer.id;
        var dataRel = '';
        var pageObj = {};
        switch (note) {
            case 501:
                arr = [{
                    name: '换一批，再看看',
                    className: 'btn-change',
                    optClass: 'J_ChangeList'

                }];
                dataRel = 'productList';
                pageObj = {
                    page: 1,
                    pageSize: 3
                };
                var sourceData = answer.content;
                var sum = sourceData.length;
                var leave = sum % 3;
                var num = leave > 0 ? 1 : 0;
                pageObj.sum = sum;
                pageObj.leave = leave;
                pageObj.totalPage = parseInt(sum / pageObj.pageSize) + num;
                configs.recommendPage[msgId] = pageObj;

                var answer = {
                    id: msgId,
                    relId: relId,
                    target: configs.msgTarget.SYSTEM,
                    type: configs.msgType.server.OTHERBTN,
                    content: arr,
                    dataRel: dataRel
                };
                if (pageObj.sum > pageObj.pageSize) {
                    var answerObj = render.parse(answer);
                    callAppShowMsg(answerObj, isHistory);
                }
                break;
        }
    }
    /**
     * 搜索动画展示
     * @param
     */
    function showAnimation(answer) {
        var arr = [];
        var note = answer.answer_note;
        var msgId = configs.msgIdSuffix.SERVER + new Date().getTime();
        var relId = answer.id;
        if (note == '501') {
            var answer = {
                //id: msgId,
                relId: relId,
                target: configs.msgTarget.SERVICE,
                type: configs.msgType.server.SEARCH_ANIMA,
                relPosition: 'prev',
                content: {
                    className: 'd-searching',
                    url: 'https://img12.360buyimg.com/cms/jfs/t4870/301/1278251554/118546/a0359c67/58eed83dNc3679d82.gif'
                }
            };
            var animation = callAppShowMsg(render.parse(answer));
            return animation;
        }
    }
    /**
     * JIMI 发送消息展示“正在输入中...”
     * @param
     */

    function createErect() {
        var erectOject = null;
        var erectCount = 0;
        var erectContent = '正在输入中';
        var id = 'J_ServerMsg_' + new Date().getTime();
        var erectMsg;
        var $chatList = $("#J_ImChatList");

        if (erectTimer) {
            clearInterval(erectTimer);
            erectTimer = null;
        }

        if ($chatList.find('.J_erect').length) {
            $chatList.find('.J_erect').remove();
        }

        erectMsg = render.parse({
            id: id,
            type: 'text',
            target: 'service',
            content: erectContent
        });
        callAppShowMsg(erectMsg).addClass('J_erect');

        erectTimer = setInterval(function () {
            erectCount++;
            var content = getErectContent();
            $chatList.find('.J_erect .J_MsgCont').html(content);
        }, 300);

        function getErectContent() {
            erectCount = erectCount % 3;
            var dots = '';
            for (var i = 0; i <= erectCount; i++) {
                dots += '.';
            }
            return erectContent + dots;
        }
    }
    /**
     * JIMI 移除“正在输入中...”
     * @param
     */

    function removeErect() {
        $("#J_ImChatList").find('.J_erect:last').remove();
    }

    return {
        getInstance: function getInstance() {
            if (!instance) {
                instance = init();
            }
            return instance;
        }
    };
}();

module.exports = Sender;

/***/ }),
/* 13 */,
/* 14 */,
/* 15 */,
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/**
 * 2017-01-23  吕晨阳
 * App对象只用于无人客服聊天界面的交互
 */
var jQuery = __webpack_require__(0);
var $ = jQuery;
var IScroll = __webpack_require__(5);
var Mediator = __webpack_require__(3);
var Sender = __webpack_require__(12);
var Receiver = __webpack_require__(18);
var ChatConfig = __webpack_require__(4);
var Render = __webpack_require__(8);
var dataTool = __webpack_require__(11);
var config = __webpack_require__(2);
var utils = __webpack_require__(1);
var Auth = __webpack_require__(35);
var Toast = __webpack_require__(24);
var Popup = __webpack_require__(23);
var Popfull = __webpack_require__(48);
var expression = __webpack_require__(10);
var Tab = __webpack_require__(52);
var Upload = __webpack_require__(53);
var Loading = __webpack_require__(22);
var EvtHandler = __webpack_require__(21);
var Swipebox = __webpack_require__(51);
var Shadow = __webpack_require__(50);
var LandFill = __webpack_require__(7);
var DataManager = __webpack_require__(6);
// var Rectify = require('./commons/rectify');
//var frameModule = require('./commons/frameModule');
var TicketsModule = __webpack_require__(40);
var WikiActivity = __webpack_require__(54);
var Drag = __webpack_require__(46);
var Voice = __webpack_require__(42);

__webpack_require__(39);
// var rectify     = require('./commons/rectify');
// var TestObj = require('./chat/app-test');


Swipebox.install(window, document, $);
// var isMobile = !!navigator.userAgent.match(/mobile/i);
// var clickEvent = isMobile ? 'click' : 'click';
var clickEvent = 'click';
var firstLoad = !!1;
var isTapped = false;

var App = function App() {

    this.utils = utils;
    this.configs = config;
    // 获取聊天基础配置实例
    // 所有与服务器进行通信的基本参数都保存在此对象中
    // 比如用户信息(pin, token, aid etc.)，环境信息等
    this.chatConfig = ChatConfig.getInstance();
    // 获取消息发送器实例
    // 在上下文中，主要通过sender.sendMsg(data)方法向服务器发送客户端消息
    this.sender = Sender.getInstance();
    // 获取消息接收器实例
    // 该实例只需要调用receiver.start() 方法即可
    this.receiver = Receiver.getInstance();
    // 获取中介者实例
    // 该实例实现了中介者模式，使得模块之间的通信更加方便
    // 本应用主要用于订阅(subscribe)和发布(publish)消息显示逻辑
    this.mediator = Mediator.getInstance();

    // 事件函数管理实例
    this.evtHandler = EvtHandler.getInstance();

    this.render = Render.getInstance();

    this.dataManager = DataManager.getInstance();

    //    this.frameModule = frameModule;

    this.Voice = Voice;

    this.popup = Popup.getInstance({
        mask: true,
        idSelector: 'Im_test',
        toTopHeight: $(window).height() < 600 ? 110 : 150
    });

    this.popfull = Popfull.getInstance();

    this.loader = Loading.getInstance();

    this.shadow = Shadow.getInstance();

    this.ticketsModule = TicketsModule.getInstance(this);
    this.wikiActivity = WikiActivity.getInstance();

    // 表情管理
    this.expression = expression;

    this.auth = Auth.getInstance();

    this.activeTtl = 15000;

    this.$pollDown = $('#J_PullDown');
    this.$waiterLabel = $('#J_CustomServiceInfo');
    this.$chatPanel = $('#J_NbChat');
    this.$chatList = $('#J_ImChatList');

    // 弹框的IScroll 对象
    this.popScroller = null;
    this.linkScroller = null;
    this.$fastWrap = $('.im-chat-help');
    // this.$fastWrap = $('#J_FastLink');
    this.$toolbar = $('#J_Toolbar');
    this.$editor = $('#J_TextIn');
    this.$btnSend = $('#J_SendToggle');
    this.activeTtl = 15000;
    this.window = null;
    this.offLineTipFlag = true;
    // 屏幕中心消息提示
    // eg: this.toast.show('I am a tip.');
    this.toast = Toast.getInstance();
    this.firstPageLoaded = false;
    this.init();
};

App.install = function () {
    var app = new App();
    App.INSTANCE = app;
    return app;
};

App.tryTap = function () {
    if (isTapped) return false;

    isTapped = !0;
    return true;
};

App.resetTap = function () {
    setTimeout(function () {
        isTapped = !1;
    }, 100);
};

App.prototype.init = function () {
    var that = this;
    if (!config.isSdk) {}

    /*
     * 金融SDK需要考虑是否设置source
    */
    if (config.isSdk && that.chatConfig.get('customerAppId') != 'jr.customer') {
        that.chatConfig.set('source', 'jimitwo_service_smart_sdk');
    }

    // 订阅方法
    // SHOW_MSG             显示消息
    // SCROLL_TO_FOOT       滚动到会话列表底部
    // SCROLLER_REFRESH     滚动条刷新接口
    // CHANGE_MSG_STATUS    修改消息状态
    // RISK_CODE_RESPONSE   风控验证码提交并响应成功后处理函数
    // SET_CHAT_CONTEXT     设置消息上下文
    // INIT_FAST_LINK       订阅快速入口数据渲染方法
    that.mediator.subscribe.call(that, config.operators.SHOW_MSG, that.showMsg);
    that.mediator.subscribe.call(that, config.operators.REFRESH_SCROLL, that.refreshScroll);
    that.mediator.subscribe.call(that, config.operators.SCROLL_TO_FOOT, that.scrollToFoot);
    that.mediator.subscribe.call(that, config.operators.SCROLLER_REFRESH, that.scrollerRefresh);
    that.mediator.subscribe.call(that, config.operators.RISK_CODE_RESPONSE, that.riskCodeResponse);
    that.mediator.subscribe.call(that, config.operators.SET_CHAT_CONTEXT, that.setChatContext);
    that.mediator.subscribe.call(that, config.operators.INIT_FAST_LINK, that.initFastLink);
    that.mediator.subscribe.call(that, config.operators.RISK_CHECK_EXIST, that.riskCheckExist);
    that.mediator.subscribe.call(that, config.operators.INIT_POP_SCROLL, that.initPopScroll);
    that.mediator.subscribe.call(that, config.operators.GET_SOA_INFO, that.getSoaInfo);
    that.mediator.subscribe.call(that, config.operators.SET_JIMI_IMG_SHOW, that.setJimiImgShow);
    that.mediator.subscribe.call(that, config.operators.POPUP_FOR_ORDER_LIST, that.popupForOrderList);
    that.mediator.subscribe.call(that, config.operators.POPUP_FOR_TICKETS, that.popupForTickets);
    that.mediator.subscribe.call(that, config.operators.SEND_FORM_MSG, that.sendFormMsg);
    that.mediator.subscribe.call(that, config.operators.SET_NEW_WIN_TIPS, that.setNewWinTips);
    that.mediator.subscribe.call(that, config.operators.IS_END, that.isEnd);
    that.mediator.subscribe.call(that, config.operators.IS_END, that.isEnd);
    that.mediator.subscribe.call(that, config.operators.RISK_NET_BROKEN, that.riskNetBroken);
    that.mediator.subscribe.call(that, config.operators.RISK_CHECK_SUCCESS, that.riskCheckSuccess);
    that.mediator.subscribe.call(that, config.operators.GET_RECENT_SEE, that.getRecentSee);
    that.mediator.subscribe.call(that, config.operators.GET_MY_ORDER, that.getMyOrder);
    that.mediator.subscribe.call(that, config.operators.GET_RECENT_BUY, that.getRecentBuy);
    that.mediator.subscribe.call(that, config.operators.ADD_SPLIT_LINE, that.addSplitLine);
    that.mediator.subscribe.call(that, config.operators.SCROLL_TO_ELEMENT, that.scrollToElement);
    that.mediator.subscribe.call(that, config.operators.OFFLINE_TIP, that.offlineTip);
    that.mediator.subscribe.call(that, config.operators.GO_NEW_LOGIN, that.goNewLogin);
    that.mediator.subscribe.call(that, config.operators.HEAD_RERESH, that.headRefresh);
    that.mediator.subscribe.call(that, config.operators.UPDATE_AID, that.updateAid);
    that.mediator.subscribe.call(that, config.operators.WAITING_INPUT_CODE, that.waitingForInputCode);
    that.mediator.subscribe.call(that, config.operators.CANCEL_WAITING_INPUT_CODE, that.cancelWaitingForInputCode);
    that.mediator.subscribe.call(that, config.operators.SAY_HELLO, that.sayHello);
    that.mediator.subscribe.call(that, config.operators.POPUP_FOR_BLANK, that.popupForBlank);
    that.mediator.subscribe.call(that, config.operators.CLEAR_RECORD, that.clearRecord);
    that.mediator.subscribe.call(that, config.operators.HANDLE_RESPONSE, that.handleResponse);
    that.mediator.subscribe.call(that, config.operators.HANDLE_WIKI_ACT, that.handleWikiAct);
    that.mediator.subscribe.call(that, config.operators.SEND_MSG, that.sendMsg);
    that.mediator.subscribe.call(that, config.operators.HANDLE_INTERACTIVE_MSG, that.handleInteractiveMsg);
    that.mediator.subscribe.call(that, config.operators.PROTECT_PRICE_FROM_TEMPLATE, that.protectPriceFormTemplate);
    that.mediator.subscribe.call(that, config.operators.CLEAR_SENCE, that.clearSence);
    that.mediator.subscribe.call(that, config.operators.HAND_JRCB_ITEM, that.handJrcbItem);
    that.mediator.subscribe.call(that, config.operators.HAND_BT_ITEM, that.handBtItem);
    that.mediator.subscribe.call(that, config.operators.HAND_BANKLIST_ITEM, that.handBankListItem);
    that.mediator.subscribe.call(that, config.operators.REFRESH_LINK_SCROLL, that.refreshLinkScroll);

    config.firstChatMessage = true;

    that.resetLocalTime();
    // 绑定页面事件
    that.bindEvt();
    /*    if (location.protocol.match(/^http/)) {
            that.afterSdkReady();
        }*/
};

/*
 *  h5端参数初始化
 */
App.prototype.initH5prama = function () {
    var that = this;
    // 设置聊天上下文基本参数
    var entry = utils.getParamsFromUrl('entry');
    that.chatConfig.set('entry', entry);
    that.chatConfig.set('appId', $('#appId').val());
    that.chatConfig.set('customerAppId', $('#customerAppId').val());
    that.chatConfig.set('aid', $('#aid').val());
    that.chatConfig.set('venderId', $('#venderId').val());
    that.chatConfig.set('venderName', $('#venderName').val());
    that.chatConfig.set('pid', $('#pid').val());
    that.chatConfig.set('orderId', $('#orderId').val());
    that.chatConfig.set('orderImg', $('#orderImg').val());
    that.chatConfig.set('orderTime', $('#orderTime').val());
    that.chatConfig.set('orderPrice', $('#orderprice').val());
    that.chatConfig.set('sessionType', $('#sessionType').val());
    that.chatConfig.set('jimiAvatar', $('#jimiAvatar').val()); //默认客服头像
    that.chatConfig.set('jimiNick', $('#jimiNick').val()); //默认客服名字
    that.chatConfig.set('groupId', $('#groupId').val());
    that.chatConfig.set('wid', $('#window').val());
    that.chatConfig.set('action', 1);
    that.chatConfig.set('pin', $('#pin').val());
    that.chatConfig.set('clientType', 'm');
    that.chatConfig.set('entrance', $('#entrance').val());
    that.chatConfig.set('source', $('#source').val());
    // 新增字段
    that.chatConfig.set('userType', $('#userType').val());
    that.chatConfig.set('proVer', $('#proVer').val());

    // jimi的pin
    that.chatConfig.set('jimiPin', '');

    // 商品富文本信息相关变量
    that.chatConfig.set('pidImgURL', '');
    that.chatConfig.set('pidName', '');
    that.chatConfig.set('pidPrice', '');
    // 订单富文本信息相关变量
    that.chatConfig.set('orderPrice', '');
    that.chatConfig.set('orderTime', '');
    that.chatConfig.set('orderImg', '');
    // 商家的类型
    that.chatConfig.set('venderType', '');
    that.chatConfig.set('venderTypeTxt', '');
    that.chatConfig.set('venderLogo', '');
    // sessionId
    that.chatConfig.set('sid', $('#sid').val());
    // 店铺id
    that.chatConfig.set('shopId', $('#shopId').val());
    // 终端类型
    that.getUrlParms(function (obj) {
        var mType = obj && obj.mtype ? obj.mtype : null;
        if (mType) {
            that.chatConfig.set('mType', mType);
        }
        var sku = obj && obj.sku ? obj.sku : null;
        if (sku && !that.chatConfig.get('pid')) {
            that.chatConfig.set('pid', sku);
        }
    });

    if (!that.chatConfig.get('source')) {
        var prevSoure = that.chatConfig.get('customerAppId') == 'jr.customer' ? that.configs.jimiSource.jr : that.configs.jimiSource.jd;
        that.chatConfig.set('source', prevSoure);
        that.configs.deafultSource = prevSoure;
    }
    // 获取socketUrl地址
    var msgAcquireConfig = $('#msgAcquireConfig').val();
    if (msgAcquireConfig) {
        msgAcquireConfig = JSON.parse(msgAcquireConfig);
        // 启动消息接收器的socket实例
        if (utils.supportHttps() && msgAcquireConfig.ws_addr) {
            msgAcquireConfig.ws_addr = msgAcquireConfig.ws_addr.replace(/(ws:)?\/\//, 'wss://');
        }
    }
    var ws_addr = msgAcquireConfig && msgAcquireConfig.ws_addr ? msgAcquireConfig.ws_addr : 'ws://192.168.200.80:7180';
    that.receiver.setSocketUrl(ws_addr);
    that.receiver.socketStart();
    that.receiver.getFastLink();
    that.receiver.getBgAnimation();

    // 初始化input输入框
    that.setInputWidth();
    $(window).resize(function () {
        that.setInputWidth();
    });
    // 初始化头部信息
    that.getSoaInfo();

    // footer工具栏事件初始化
    that.toolInit();
    // 上传图片
    Upload.getInstance({
        wrapId: '.J_Photo',
        sendImgEvt: function sendImgEvt(data, callback) {
            if (data) {
                that.sendMsg(data, callback);
                $('.J_Photo').parent('li').removeClass('on');
            }
        }
    });
    // 横屏 竖屏
    that.setXchange();

    // sayHello
    // 如果后台返回的requestType等于1则不sayHello
    var requestType = $('#requestType').val() || 0;
    if (requestType == 0) {
        that.sayHello();
    } else {
        if (that.chatConfig.get('sessionType') === config.sessionType.IM) {
            that.sayHello();
        }
    }

    /*
        提前加载表情
    */
    that.evtHandler.initFaceMain(that);
};
/*
    get url地址的参数
*/
App.prototype.getUrlParms = function (callback) {
    var parms = {};
    var query = decodeURIComponent(window.location.search.substring(1));
    var pairs = query.split('&');
    var skuFlag = false;
    for (var i = 0; i < pairs.length; i++) {
        var pos = pairs[i].indexOf('=');
        if (pos == -1) continue;
        var argname = pairs[i].substring(0, pos);
        var value = pairs[i].substring(pos + 1);
        parms[argname] = unescape(value);
    }
    callback && callback(parms);
};
App.prototype.setXchange = function () {
    var that = this;
    // 判断手机横竖屏状态：
    window.addEventListener('onorientationchange' in window ? 'orientationchange' : 'resize', function () {
        if (window.orientation === 90 || window.orientation === -90) {
            // alert('横屏状态！');
            that.setInputWidth();
        }
        if (window.orientation === 180 || window.orientation === 0) {
            // alert('竖屏状态！');
            that.setInputWidth();
        }
    }, false);
};

App.prototype.setFixedBottom = function (flag) {
    var that = this;
    var fp = that.$fastWrap.parents('.J_FastLinkWrap');
    var st = $(window).scrollTop();
    var len = fp.find('li').length;
    if (len > 0) {
        if (flag) {
            fp.addClass('full-height').css('top', st);
            that.$fastWrap.addClass('change-to-absolute');
        } else {
            fp.removeClass('full-height').css('top', 'auto');
            that.$fastWrap.removeClass('change-to-absolute');
        }
    }
};

App.prototype.dealClientError = function (msg) {
    var relativeMsg = this.$chatList.find('.J_ChatItem[data-id="' + msg.id + '"]');
    var stateNode = relativeMsg.find('.J_SendStatus');
    stateNode.removeClass('err-load').addClass('err');
    this.toast.show('系统开小差了，请稍后再试！');
};
// sdk 安卓特有的方法
App.prototype.bindPopupForSdk = function () {
    var that = this;
    // 添加安卓端返回键控制浮层开关功能
    if (that.popup) {
        that.popup.addMethod('open', function () {
            SCSSDK.bridge.callSdk('startSdkWork', {
                action: 'setOpenFlag',
                data: 1
            });
        });
        that.popup.addMethod('close', function () {
            SCSSDK.bridge.callSdk('startSdkWork', {
                action: 'setOpenFlag',
                data: 0
            });
        });
    }
};
// sdk 端统一加入逻辑： 1、打开弹层隐藏工具栏；2、关闭弹层隐藏工具栏
App.prototype.setPopupForSdk = function () {
    var that = this;
    if (that.popup) {
        // 1、打开弹层隐藏工具栏
        that.popup.addMethod('open', function () {
            config.closePopOptFlag = !!0;
            if (config.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 0
                });
            }
        });
        // 2、关闭弹层隐藏工具栏
        that.popup.addMethod('close', function () {
            config.closePopOptFlag = !!1;
            if (config.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 1
                });
            }
        });
    }

    if (that.popfull) {
        that.popfull.addMethod('open', function () {
            SCSSDK.bridge.callSdk('startSdkWork', {
                action: 'showToolbar',
                data: 0
            });
        });
        that.popfull.addMethod('close', function () {
            SCSSDK.bridge.callSdk('startSdkWork', {
                action: 'showToolbar',
                data: 1
            });
        });
    }
};

App.prototype.afterSdkReady = function () {
    var that = this;
    var $wb = that.$waiterLabel.find('.J_WaiterBody');
    // var rectify = Rectify.getInstance();
    if (!config.isSdk) {
        this.listScroller = new IScroll('#J_Wrapper', {
            mouseWheel: true,
            probeType: 3,
            click: true,
            checkDOMChanges: true
        });
        // m页 下拉刷新
        that.listScroller.on('scroll', function () {
            var sy = this.y;
            if (sy < -30) {
                $wb.addClass('on');
            } else {
                $wb.removeClass('on');
            }
            if (sy > 30) {
                // if (sy <= 30) {
                that.$pollDown.css({
                    height: 30,
                    lineHeight: '30px'
                });
                // }
                this.minScrollY = 0;
                if (!that.$pollDown.hasClass('pulling')) {
                    that.$pollDown.addClass('pulling');
                }
            }
        });
        that.listScroller.on('scrollEnd', function () {
            var pd = that.$pollDown;
            var timeout;
            if (pd.hasClass('pulling')) {
                if (!that.firstPageLoaded) {
                    return;
                }
                that.receiver.getHistories({
                    page: config.history.page,
                    pageSize: config.history.pageSize
                }, function (rs) {
                    pd.css('height', 0);
                    pd.removeClass('pulling');
                    that.scrollerRefresh();
                    setTimeout(function () {
                        that.scrollerRefresh();
                    }, 1000);
                });
            }
        });
        that.initH5prama();
        // 图片的lightBox效果
        that.imgLightBox();
        // 拉取第一组历史消息
        that.receiver.getHistories({
            page: config.history.page,
            pageSize: config.history.pageSize
        }, function (list) {
            if (utils.isEmpty(list)) {
                $('.prev-chat-split').closest('li.J_ChatItem').remove();
            }
            that.showFirstHistories(list);
        });
        that.addSplitLine();
    } else {
        that.readySdk();
    }
    // that.addSplitLine();
    // sayHello
    // 如果后台返回的requestType等于1则不sayHello
    // var requestType = $('#requestType').val() || 0;
    // if(requestType == 0) {
    //     that.sayHello();
    // } else {
    //     if(that.chatConfig.get('sessionType') === config.sessionType.IM) {
    //         that.sayHello();
    //     }
    // }
    // 2017/05/02注释，由于欢迎话术可能由外部带入，改由SDK发送欢迎语
    // that.sayHello();
};

// SDK内嵌H5版a链接http外链统一拦截走SDK打开链接逻辑
App.prototype.handleSdkA = function () {
    var that = this;
    // var rOutLink = /^(https?:)?\/\//;
    // var rImage = /\.(bmp|png|jpe?g|gif|webp)$/;
    // $(document).on('touchstart', 'a', function(ev) {
    //     var linkNode = $(ev.currentTarget);
    //     var link = linkNode.attr('href') || '';shi lin  siu 
    //     if (link.match(rOutLink) && !link.match(rImage)) {
    //         if (link.indexOf('item.jd.com') > -1) {
    //             var sku;
    //             var rSku = /\/(\d+)\.html/;
    //             if (rSku.test(link)) {
    //                 sku = RegExp.$1;
    //                 linkNode.attr('href', 'openApp.jdMobile://virtual?params={"category":"jump","des":"productDetail","sourceValue":"","sourceType":"im_jimi","skuId":"' + sku + '"}');
    //             }
    //         } else {
    //             link = link.match(/^\/\//) ? 'https:' + link : link;
    //             ev.preventDefault();
    //             SCSSDK.bridge.callSdk('startSdkWork', {
    //                 action: 'linkRedirect',
    //                 data: {
    //                     link: link
    //                 }
    //             });
    //         }
    //     }

    // });
    $(document).on('touchstart', function (ev) {
        that.evtHandler.setWraperEvt(that, ev);
    });
};
App.prototype.readySdk = function () {
    var that = this;

    // 解决iOS弹出键盘导致fixed元素定位不准问题
    // 配合setFixedBottom方法
    $(window).on('scroll', function () {
        var fl = that.$fastWrap;
        var flw;
        if (fl.hasClass('change-to-absolute')) {
            flw = fl.parents('.J_FastLinkWrap');
            flw.css('top', $(window).scrollTop());
        }
    });
    this.listScroller = {
        refresh: function refresh() {},
        scrollToElement: function scrollToElement() {},
        wrapperHeight: 0,
        scrollerHeight: 0,
        on: function on() {}
    };
    that.showSdkEntryPid();
    that.showSdkEntryOrderId();
    // sdk 给弹层追加方法
    that.setPopupForSdk();
    // SDK 下拉刷新加载漫游逻辑
    that.dragUpLoad();
    // 动画

    that.receiver.getBgAnimation();
    // 埋点的参数初始化
    LandFill.init({
        'pin': that.chatConfig.get('pin'),
        'cid': that.chatConfig.get('sid'),
        'proVer': that.chatConfig.get('proVer'),
        'userType': that.chatConfig.get('userType'),
        // 没有source，使用默认source值
        'source': that.chatConfig.get('source') || 'jimitwo_service_smart_sdk',
        'entry': that.chatConfig.get('entry')
    });
    // 入口埋点
    LandFill.unmannedCustomerTriger();
};

// 初始化sdk下拉的最小高度
App.prototype.setChatDragWay = function () {
    var that = this;
    var height = parseInt($(window).height() * 0.72);
    that.$chatList.css('min-height', height);
    that.listScroller = {
        refresh: function refresh() {},
        scrollToElement: function scrollToElement() {},
        wrapperHeight: 0,
        scrollerHeight: 0,
        on: function on() {}
    };
};

App.prototype.showSdkEntryPid = function (pid) {
    var that = this;
    var pid = that.chatConfig.get('pid');
    if (!pid) {
        return;
    }
    that.sender.showProductInfo({
        productId: pid,
        reelect: false,
        rel: 'product',
        type: 'add',
        isShowBtn: !!1
    });
};
App.prototype.showSdkEntryOrderId = function () {
    var that = this;
    var orderId = that.chatConfig.get('orderId');
    if (!orderId) {
        return;
    }
    that.sender.getOrderInfo({
        orderId: orderId,
        reelect: false,
        rel: 'order',
        type: 'add',
        isShowBtn: !!1
    });
};
/* 转接服务商 分流商家
* sdk：本地venderId 和 globalParama 过来的venderId 不一致的时候 清除上一个venderId的聊天记录
* h5: 
*/

App.prototype.clearRecord = function () {
    var el = this.$chatList.find('.J_ChatItem');
    $.each(el, function (i, n) {
        n.remove();
    });
    // 服务商转接后 重置历史聊天记录页数
    config.history.page = 1;
};
App.prototype.setSdkFlag = function (client) {
    var that = this;
    var clientType = (client || '').toLowerCase();
    // 环境判断是否是sdk
    if (clientType == 'android' || clientType == 'ios') {
        config.isSdk = !!1;
    }
};

App.prototype.addSplitLine = function () {
    var lineMsg = this.render.parse({
        type: 'split',
        target: 'system'
    });
    this.showMsg(lineMsg);
};

App.prototype.resetLocalTime = function () {
    var sTime = $('#serverTime').val() || new Date().getTime();
    var lTime = new Date().getTime();
    var timeDiff = lTime - sTime;
    this.dataManager.set('prevTime', +sTime);
    this.dataManager.set('timeDiff', timeDiff);
};

// 检查是否显示发送按钮
App.prototype.setInputWidth = function () {
    var that = this;
    var imKey = $('.J_ImKey');
    var width = $('body').width() - 20;
    var cell02W = imKey.find('.cell02').width();
    var cell01 = imKey.find('.cell01');
    var pd = 20;
    if (imKey.hasClass('im-key-open')) {
        cell01.width(width - cell02W);
        that.$editor.css('width', width - cell02W - pd);
    } else {
        cell01.width(width);
        that.$editor.css('width', width - pd);
    }
};

// 检查是否显示发送按钮
App.prototype.setSendBtn = function () {
    var that = this;
    var imKey = $('.J_ImKey');
    if (that.$editor.val().length >= 1) {
        imKey.removeClass('im-key-close');
        imKey.addClass('im-key-open');
    } else {
        imKey.removeClass('im-key-open');
        imKey.addClass('im-key-close');
    }
    that.setInputWidth();
};

// 检查是否显示发送按钮
App.prototype.closeSendBtn = function () {
    var that = this;
    var imKey = $('.J_ImKey');
    imKey.removeClass('im-key-open');
    if (!imKey.hasClass('im-key-close')) {
        imKey.addClass('im-key-close');
    }
    that.setInputWidth();
};
// 检查是否显示发送按钮
App.prototype.openSendBtn = function () {
    var that = this;
    var imKey = $('.J_ImKey');
    imKey.removeClass('im-key-close');
    if (!imKey.hasClass('im-key-open')) {
        imKey.addClass('im-key-open');
    }
    that.setInputWidth();
};

App.prototype.handleResponse = function (data) {
    this.sender.handleResponse(data);
};

App.prototype.setEmojiItem = function () {
    var that = this;
    var imTool = this.$toolbar.find('.J_ToolSub');
    imTool.removeClass('im-tool-on');
    that.$toolbar.find('.J_Emoji').closest('li').removeClass('on');
    if (that.listScroller) {
        // 复位会话面板
        that.listScroller.refresh();
    }
};

// foot事件初始化
App.prototype.toolInit = function (ev) {
    var that = this;

    Tab.getInstance({
        isTrigger: false,
        cls: 'on',
        nodes: this.$toolbar.find('.J_ToolNav li'),
        handle: function handle(evt, dom, index) {
            var item = $(dom);
            var st = item.find('a');
            var dataRel = st.attr('data-rel');
            switch (dataRel) {
                // 评价
                case 'J_Estimate':
                    that.evtHandler.setEvaluate(that, evt);
                    that.$editor.blur();
                    break;
                // 上传
                case 'J_Photo':
                    break;
                // 我的订单
                case 'J_Order':
                    config.order.page = 1;
                    that.$editor.blur();
                    that.getMyOrder();
                    break;
                // 最近浏览
                case 'J_Recent':
                    config.recent.page = 1;
                    that.$editor.blur();
                    that.getRecentSee();
                    break;
                // 表情
                case 'J_Emoji':
                    that.evtHandler.setToolFace(that, st);
                    break;
            }
            if (dataRel != 'J_Emoji') {
                that.setEmojiItem();
            }
        }
    });
};

// 绑定事件
App.prototype.bindEvt = function () {
    var that = this;
    // SDK 下拉刷新加载漫游逻辑
    // that.dragUpLoad();
    // 点击发送消息事件
    that.$btnSend.on(clickEvent, function (ev) {
        that.evtHandler.sendTextMsg(that, ev);
    });
    // 输入框focus事件
    that.$editor.on(clickEvent, function (ev) {
        that.evtHandler.setTextInEvt(that, ev);
    });
    that.$editor.on('keyup', function (ev) {
        if (ev.keyCode === 13) {
            that.evtHandler.sendTextMsg(that, ev);
            that.$editor.blur();
            that.setSendBtn();
        }
    });
    // 首问语、问题预判被点击
    that.$chatList.on(clickEvent, '.J_FirstCardQa', function (ev) {
        var $this = $(ev.currentTarget);
        var $p = $this.parents('.J_ChatItem');
        if ($p.attr('data-rel') !== 'history') {
            that.evtHandler.sendFirstCard(that, ev);
        }
    });

    $(document).on(clickEvent, 'a', function (ev) {
        if (!config.isSdk) return;
        var item = $(ev.currentTarget);
        if (item.attr('href') && item.attr('page-model') === 'm') {
            ev.preventDefault();
            if (that.chatConfig.get('customerAppId') != 'jr.customer') {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'linkRedirect',
                    data: {
                        link: item.attr('href')
                    }
                });
            } else {
                var jump = {
                    jumpUrl: item.attr('href'),
                    jumpType: 4
                };
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'JdJrJavaScriptForward',
                    data: jump
                });
            }
        }
    });
    // $(document).on('click', 'button.protectPriceForm_button', function (ev) {
    //     alert(30);
    // });

    // 文本消息——展开阅读
    that.$chatList.on(clickEvent, '.J_ReadMore', function (ev) {
        that.evtHandler.readMore(that, ev);
        if (config.isSdk && typeof SCSSDK !== 'undefined') {
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 0
                });
            }
        }
    });

    that.$chatList.on(clickEvent, '.J_Multi_ReadMore', function (ev) {
        that.evtHandler.readMoreForMultitxt(that, ev);
        if (config.isSdk && typeof SCSSDK !== 'undefined') {
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 0
                });
            }
        }
    });
    // sdk里发送商品链接
    that.$chatList.on(clickEvent, '.J_SendLink', function (ev) {
        that.evtHandler.sendSkuLink(that, ev);
    });
    // 提交风控验证码
    that.$chatList.on(clickEvent, '.J_SendRiskCode', function (ev) {
        that.evtHandler.sendRiskCode(that, ev);
    });
    // 提交风控验证码
    that.$chatList.on(clickEvent, '.J_ChangeRiskImg', function (ev) {
        that.evtHandler.changeRiskImg(that, ev);
    });
    // 风控验证码输入框获得焦点
    that.$chatList.on(clickEvent, '.J_RiskCode', function () {
        $(this).removeClass('err');
    });
    // 消息气泡邀评事件绑定
    that.$chatList.on(clickEvent, '.J_EvalHeart', function (ev) {
        that.evtHandler.setHeartScore(that, ev);
    });
    that.popup.popup.on(clickEvent, '.J_EvalHeart', function (ev) {
        that.evtHandler.setHeartScore(that, ev);
        that.initPopScroll();
    });
    // 心评低于75分，出现原因多选事件绑定
    that.$chatList.on(clickEvent, '.J_EvalReason', function (ev) {
        that.evtHandler.chooseReasons(that, ev);
    });
    that.popup.popup.on(clickEvent, '.J_EvalReason', function (ev) {
        that.evtHandler.chooseReasons(that, ev);
    });
    that.$chatList.on(clickEvent, '.J_EvalPrev', function (ev) {
        that.evtHandler.setEvalTips(that, ev);
    });
    that.popup.popup.on(clickEvent, '.J_EvalPrev', function (ev) {
        that.evtHandler.setEvalTips(that, ev);
    });

    that.popup.popup.on(clickEvent, '.J_ArcOrderItem', function (ev) {
        that.evtHandler.choosePopOrder(that, ev);
    });

    that.popup.popup.on(clickEvent, '.J_ArcServiceItem', function (ev) {
        that.evtHandler.choosePopService(that, ev);
    });
    // 提交评价
    that.$chatList.on(clickEvent, '.J_EvaluateBtn', function (ev) {
        that.evtHandler.sendEvaluate(that, ev);
    });
    that.popup.popup.on(clickEvent, '.J_EvaluateBtn', function (ev) {
        that.evtHandler.sendEvaluate(that, ev);
    });

    // 点击会话面板窗口复位
    that.$chatList.on(clickEvent, function (ev) {
        that.evtHandler.setChatEvt(that, ev);
    });

    // 快速入口链接点击事件
    that.$fastWrap.on(clickEvent, '.J_FastLinkItem', function (ev) {
        that.evtHandler.doFastLink(that, ev);
    });

    // 快速卡片点击事件
    that.$chatList.on(clickEvent, '.J_FastCardItem', function (ev) {
        if (App.tryTap()) {
            that.evtHandler.doFastCard(that, ev);
            App.resetTap();
        }
    });
    // 快速入口链接点击事件
    /*    that.$fastWrap.on(clickEvent, '.J_FastAskItem', function(ev) {
            that.evtHandler.doFastLink(that, ev);
        });*/
    // “找JIMI聊聊”唤起键盘事件绑定，通过文本框获得焦点间接唤起键盘
    that.$chatList.on(clickEvent, '.J_CallKeyBoard', function (ev, flag) {
        that.$editor.focus();
        that.$editor.trigger(clickEvent);
        return false;
    });
    // alert(3);
    // 转人工按钮点击事件
    that.$chatList.on(clickEvent, '.J_ToCustomer', function (ev) {
        that.evtHandler.doToCustomer(that, ev);
    });
    that.$chatList.on(clickEvent, '.imJumpFlag', function (ev) {
        that.evtHandler.doToCustomer(that, ev);
    });
    // 填写纠纷单按钮点击事件
    that.$chatList.on(clickEvent, '.J_FillArbitBtn', function (ev) {
        that.evtHandler.fillArbition(that, ev);
    });
    // 技能组选择事件
    that.$chatList.on(clickEvent, '.J_GroupItem', function (ev) {
        that.evtHandler.selectGroup(that, ev);
    });
    // 重新发送
    // TODO: 体验优化
    that.$chatList.on(clickEvent, '.J_SendStatus', function (ev) {
        that.evtHandler.sendOnceMore(that, ev);
    });
    // 点选浮层订单列表
    that.popup.popup.on(clickEvent, '.J_OrderItem', function (ev) {
        if (that.orderBackMod) {
            that.evtHandler.sendProtectPrice(that, ev);
            delete that.orderBackMod;
        } else {
            that.evtHandler.sendOrderMsg(that, ev);
        }
    });
    // 点选浮层商品列表
    that.popup.popup.on(clickEvent, '.J_ProductItem', function (ev) {
        that.evtHandler.sendProductMsg(that, ev);
    });
    // // 点击选择包装清单
    // that.popup.popup.on(clickEvent, '.J_PackItem', function(ev) {
    //     that.evtHandler.sendPackMsg(that, ev);
    // });

    //点选浮层品牌列表
    that.popup.popup.on(clickEvent, '.J_BlankItem', function (ev) {
        that.evtHandler.sendBlankItem(that, ev);
    });
    // 重新选择订单/商品
    that.$chatList.on(clickEvent, '.J_Reelect', function (ev) {
        that.evtHandler.reelectMethod(that, ev);
        if (config.isSdk && typeof SCSSDK !== 'undefined') {
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 0
                });
            }
        }
    });

    that.$chatList.on(clickEvent, '[data-rel="feedbackList"]>li a', function (ev) {
        that.evtHandler.feedbackMethod(that, ev);
    });

    that.$chatList.on(clickEvent, '.comonMore[data-rel="orderList"]', function (ev) {
        that.evtHandler.showMoreOrder(that, ev);
        if (config.isSdk && typeof SCSSDK !== 'undefined') {
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 0
                });
            }
        }
        return false;
    });

    that.$chatList.on(clickEvent, '[data-rel="orderList"] li', function (ev) {
        that.evtHandler.chooseOrder(that, ev);
    });

    that.$chatList.on(clickEvent, 'a.J_JumpButton', function (ev) {
        that.evtHandler.showMoreOrder(that, ev);
    });

    that.$chatList.on(clickEvent, '[data-rel="productList"] li', function (ev) {
        that.evtHandler.chooseProduct(that, ev);
    });
    that.$chatList.on(clickEvent, '.comonMore[data-rel="productList"]', function (ev) {
        that.evtHandler.showMoreProduct(that, ev);
        if (config.isSdk && typeof SCSSDK !== 'undefined') {
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 0
                });
            }
        }
        return false;
    });
    // 降价提醒-查看更多
    that.$chatList.on(clickEvent, '.comonMore[data-rel="productReduceList"]', function (ev) {
        that.evtHandler.showMoreReduceList(that, ev);
    });
    // 包装清单
    that.$chatList.on(clickEvent, '.comonMore[data-rel="packList"]', function (ev) {
        that.evtHandler.showMorePackList(that, ev);
        if (config.isSdk && typeof SCSSDK !== 'undefined') {
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 0
                });
            }
        }
        return false;
    });
    // faq点击问题打开弹层
    that.$chatList.on(clickEvent, '.J_MsgFaqList li', function (ev) {
        that.evtHandler.showAnswerFaq(that, ev);
    });
    // faq展开显示所有问题
    that.$chatList.on(clickEvent, '.J_MsgFaqMore', function (ev) {
        that.evtHandler.showMoreFaq(that, ev);
    });
    // 充值场景----联系人选择
    that.$chatList.on(clickEvent, '.J_PhoneUser .btn-white', function (ev) {
        var outerDom = $(this).closest('.J_PhoneUser');
        if (App.tryTap()) {
            if (outerDom.attr("state") && outerDom.attr("state") == "1") {
                that.toast.show('正在努力加载中...');
            }
            outerDom.attr("state", "1");
            that.evtHandler.choosePerson(that, ev);
            App.resetTap();
        }
        return false;
    });
    // 充值场景----充值面额选择
    that.$chatList.on(clickEvent, '.J_PhonePriceList li', function (ev) {
        that.evtHandler.chooseMoney(that, ev);
    });
    that.$fastWrap.on(clickEvent, '.J_FastLinkJump', function (ev) {
        that.evtHandler.fastLinkJump(that, ev);
    });
    // 充值场景----立即支付
    that.$chatList.on(clickEvent, '.J_PhonePayBtn', function (ev) {
        that.evtHandler.payMoneyNow(that, ev);
    });
    // 推荐商品-购物车
    that.$chatList.on(clickEvent, '.J_Carting', function (ev) {
        that.evtHandler.addInCart(that, ev);
        ev.stopPropagation();
        return false;
    });
    // 推荐商品-详情
    that.$chatList.on(clickEvent, '.J_InDetail', function (ev) {
        ev.stopPropagation();
        //return false;
    });
    that.$chatList.on(clickEvent, '.i-info', function (ev) {
        ev.stopPropagation();
        //return false;
    });

    // 推荐商品-换一批
    that.$chatList.on(clickEvent, '.J_ChangeList', function (ev) {
        that.evtHandler.changeListForPid(that, ev);
    });
    // 优惠券-列表
    that.$chatList.on(clickEvent, '.J_Coupon li', function (ev) {
        that.evtHandler.chooseCoupon(that, ev);
    });
    // 优惠券-查看更多
    that.$chatList.on(clickEvent, '.comonMore[data-rel="couponList"]', function (ev) {
        that.evtHandler.showMoreCoupon(that, ev);
        return false;
    });
    // 优惠券-列表
    that.$chatList.on(clickEvent, '.J_Coupon li', function (ev) {
        that.evtHandler.chooseCoupon(that, ev);
    });
    that.popup.popup.on(clickEvent, '.J_Coupon li', function (ev) {
        that.evtHandler.chooseCoupon(that, ev);
        if (config.isSdk && typeof SCSSDK !== 'undefined') {
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 1
                });
            }
        }
    });
    // jimi应答-最近浏览-查看更多
    that.$chatList.on(clickEvent, '.comonMore[data-rel="viewProductList"]', function (ev) {
        that.evtHandler.showMoreView(that, ev);
        return false;
    });
    // jimi应答-最近浏览-列表
    that.$chatList.on(clickEvent, '.J_ViewProduct li', function (ev) {
        that.evtHandler.chooseView(that, ev);
    });
    that.popup.popup.on(clickEvent, '.J_ViewProduct li', function (ev) {
        that.evtHandler.chooseView(that, ev);
        if (config.isSdk && typeof SCSSDK !== 'undefined') {
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 1
                });
            }
        }
    });
    // jimi应答-降价通知
    that.$chatList.on(clickEvent, '.J_NoticeOpt, .price-notice-btn', function (ev) {
        that.evtHandler.showPriceNotice(that, ev);
    });
    // jimi应答-降价通知-确定按钮
    that.popup.popup.on(clickEvent, 'button.submit-price-notice', function (ev) {
        that.evtHandler.bindPriceNoticeBtn(that, ev);
    });

    // jimi应答-订单物流信息
    that.$chatList.on(clickEvent, '.J_SeeDetail', function (ev) {
        that.evtHandler.showMoreLogistics(that, ev);
        return false;
    });
    // jimi应答-我要催单
    that.$chatList.on(clickEvent, '.J_WeReminOrderBtn', function (ev) {
        that.evtHandler.showRemindOrder(that, ev);
        return false;
    });
    // jimi应答-我要催单-确定按钮
    that.$chatList.on(clickEvent, '.J_OrderRemind', function (ev) {
        that.evtHandler.bindRemindOrderBtn(that, ev);
    });

    that.popup.popup.on('touchend', '.J_InteractiveHead .tab-title', function (ev) {
        that.interactiveOrderTab(ev);
    });
    /*
     * use frame to show page
    */
    // that.$chatList.on(clickEvent, 'a[frame-src]', function(ev) {
    //     that.evtHandler.triggerFrame(that, ev);
    // });

    // that.popup.popup.on(clickEvent, 'a[frame-src]', function(ev) {
    //     that.evtHandler.triggerFrame(that, ev);
    // });

    // jimi应答-我要催单-客服回复方式
    that.popup.popup.on('touchend', '.J_ReType .mtype', function (ev) {
        that.evtHandler.bindRemindSelType(that, ev);
    });
    // jimi应答-我要催单-手机号码输入
    that.popup.popup.on('touchend', '.J_ReType + .phone-num input', function (ev) {
        that.evtHandler.bindRemindTextIn(that, ev);
    });
    that.popup.popup.on('touchend', '.J_ReType + .phone-num', function (ev) {
        that.evtHandler.bindRemindTextIn(that, ev);
    });

    /*    that.popup.popup.on('blur', '.J_ReType + .phone-num input', function(ev) {
            that.evtHandler.blurFn(that, ev);
        });*/
    // jimi应答-我要催单-留言输入
    that.popup.popup.on('touchend', '.J_ReType + .msg-mes', function (ev) {
        that.evtHandler.bindRemindMsg(that, ev);
    });
    that.popup.popup.on('touchend', '.J_ReType + .msg-mes textarea', function (ev) {
        that.evtHandler.bindRemindMsg(that, ev);
    });
    /*    that.popup.popup.on('blur', '.J_ReType + .msg-mes textarea', function(ev) {
            that.evtHandler.blurFn(that, ev);
        });*/

    that.$chatList.on(clickEvent, '.J_TplStatus', function (ev) {
        that.evtHandler.retryTemplate(that, ev);
    });

    // 个性化推荐
    // 换一个
    that.$chatList.on(clickEvent, '.J_ChangeOne', function (ev) {
        var $this = $(this);
        that.evtHandler.slideChange({
            domClass: $this,
            showBtn: true,
            direction: 'right'
        });
    });
    // 上一个
    that.$chatList.on(clickEvent, '.J_ChangePreOne', function (ev) {
        var $this = $(this);
        that.evtHandler.slideChange({
            domClass: $this
        });
    });
    // 下一个
    that.$chatList.on(clickEvent, '.J_ChangeNextOne', function (ev) {
        var $this = $(this);
        that.evtHandler.slideChange({
            domClass: $this,
            direction: 'right'

        });
    });

    // 电子书换一批
    that.$chatList.on(clickEvent, '.J_ChangeOneBook', function (ev) {
        var $this = $(this);
        that.evtHandler.slideChange({
            domClass: $this,
            showBtn: true,
            direction: 'right',
            num: 3,
            li: '.book-author',
            next: '.J_ChangeNextOneBook',
            pre: '.J_ChangePreOneBook'
        });
    });
    // 上一个
    that.$chatList.on(clickEvent, '.J_ChangePreOneBook', function (ev) {
        var $this = $(this);
        that.evtHandler.slideChange({
            domClass: $this,
            num: 3,
            li: '.book-author',
            next: '.J_ChangeNextOneBook',
            pre: '.J_ChangePreOneBook'
        });
    });
    // 下一个
    that.$chatList.on(clickEvent, '.J_ChangeNextOneBook', function (ev) {
        var $this = $(this);
        that.evtHandler.slideChange({
            domClass: $this,
            direction: 'right',
            num: 3,
            li: '.book-author',
            next: '.J_ChangeNextOneBook',
            pre: '.J_ChangePreOneBook'
        });
    });

    // jimi应答-主动推送-近期活动
    that.$chatList.on(clickEvent, '.comonMore[data-rel="activityList"]', function (ev) {
        that.evtHandler.showMoreActivity(that, ev);
        return false;
    });
    // 收藏夹降价提醒
    that.$chatList.on(clickEvent, '.J_InOrder', function () {});

    // 基金理财换一批
    that.$chatList.on(clickEvent, '.comonMore.lonely .txt', function (ev) {
        that.evtHandler.finacialSwichGroup(that, ev);
    }

    // 金融相关埋点
    // 金条白条还钱埋点
    );that.$chatList.on(clickEvent, '.repayment', function (ev) {
        that.evtHandler.jinbaitiaohuanqian(that, ev);
    }
    // 购买基金理财埋点
    );that.$chatList.on(clickEvent, '.btn-buy', function (ev) {
        that.evtHandler.buyFunds(that, ev);
    }

    // 白条、金条立即还款、更多明细(总)埋点
    );that.$chatList.on(clickEvent, '.more-pay a', function (ev) {
        that.evtHandler.jinBaiTiaoMoreBoom(that, ev);
    }

    //基金、理财类型埋点
    // that.popup.popup.on(clickEvent, '.J_BlankItem span', function(ev) {
    //     console.log('123')
    //     that.evtHandler.jrSelectClassify(that,ev)
    // });

    // 白条立即还款
    );that.$chatList.on(clickEvent, '.btRepayNow', function (ev) {
        that.evtHandler.bTPayNow(that, ev);
    }
    // 白条金条 更多明细
    );that.$chatList.on(clickEvent, '.whiteRepay, .goldRepay, .goldLend', function (ev) {
        that.evtHandler.finacialMoreDetail(that, ev);
    }
    // 金跳转原生金融APP
    );that.$chatList.on(clickEvent, '.bridgeApp', function (ev) {
        ev.preventDefault();
        ev.stopPropagation();
        that.evtHandler.bindJrJumpClickEvent(that, ev);
    });
    that.popup.popup.on(clickEvent, '.bridgeApp', function (ev) {
        ev.preventDefault();
        ev.stopPropagation();
        that.evtHandler.bindJrJumpClickEvent(that, ev);
    });
    that.$chatList.on(clickEvent, '.J_LinkQuesiton', function (ev) {
        ev.preventDefault();
        ev.stopPropagation();
        that.evtHandler.bindLinkQuestion(that, ev);
    });
    that.popup.popup.on(clickEvent, '.J_LinkQuesiton', function (ev) {
        ev.preventDefault();
        ev.stopPropagation();
        that.evtHandler.bindLinkQuestion(that, ev);
    }

    /* *****************埋点相关处理*************************** */
    // 埋点的参数初始化
    );LandFill.init({
        'pin': that.chatConfig.get('pin'),
        'cid': that.chatConfig.get('sid'),
        'proVer': that.chatConfig.get('proVer'),
        'userType': that.chatConfig.get('userType'),
        // 没有source，使用默认source值
        'source': that.chatConfig.get('source') || that.configs.deafultSource
    });
    // 入口埋点
    LandFill.unmannedCustomerTriger();
    // 首问题语卡片图片banner埋点
    that.$chatList.on(clickEvent, '.J_FirstCardImg', function (ev) {
        that.evtHandler.sendFirstBanner(that, ev);
    });
    // 首问题语卡片图片banner埋点
    that.$chatList.on(clickEvent, '.J_TelBtn', function (ev) {
        that.evtHandler.doToTell(that, ev);
    });

    that.$chatList.on(clickEvent, '.J_JimiAskLink, .J_JimiAskBtn', function (ev) {
        that.evtHandler.doAsk(that, ev);
    });

    //申请保价

    that.$chatList.on(clickEvent, '.J_PriceProtect', function (ev) {
        that.evtHandler.applyPriceProtect(that, ev);
    }

    //有货先发
    );that.$chatList.on(clickEvent, '.J_ProductSend', function (ev) {
        that.evtHandler.doProductSend(that, ev);
    });

    that.$chatList.on(clickEvent, '.protectPriceForm_button', function (ev) {
        var payload = $(this).parents('.J_ChatItem').eq(0).data('data');
        //ev = $(ev.currentTarget).parents('.J_ChatItem').eq(0)[0];
        config.order.page = 1;
        that.$editor.blur();
        that.orderBackMod = payload.orderBackMod;
        that.chatConfig.set('ppsid', payload.answer.templateData.sid);
        switch (payload.orderBackMod) {
            case 'protect_price':
                that.getMyOrder(10);
                //that.getMyProtectPriceOrder(payload.api);
                break;
            case 'cancel_order':
                that.evtHandler.protectPriceCoverPoint(that, ev, payload.answer, 'cancel_order');
                break;
            case 'customer_service':
                that.evtHandler.protectPriceCoverPoint(that, ev, payload.answer, 'customer_service');
                break;
            // case 'cancel_order':
            //     that.evtHandler.protectPriceCoverPoint(that, ev, payload.answer);
            //     if (config.isSdk) {
            //         location.href = 'openApp.jdMobile://virtual?params=' + encodeURIComponent('{"category":"jump","des":"orderlist"}');
            //     } else {
            //         location.href = 'http://wqs.jd.com/order/orderlist_merge.shtml?tab=1';
            //     }
            //     break;
            // case 'customer_service':
            //     that.evtHandler.protectPriceCoverPoint(that, ev, payload.answer);
            //     if (config.isSdk) {
            //         if (that.chatConfig.get('clientType') === 'ios') {
            //             //location.href = 'openApp.jdMobile://virtual?params=' + encodeURIComponent('{"category":"jump","needlogin":"1","des":"m",url:"https://tuihuan.jd.com/afs/orders"}');
            //             SCSSDK.bridge.callSdk('startSdkWork', {
            //                 action: 'linkRedirect',
            //                 data: {
            //                     link: 'https://tuihuan.jd.com/afs/orders'
            //                 }
            //             });
            //         } else {
            //             location.href = 'openApp.jdMobile://virtual?params=' + encodeURIComponent('{"category":"jump","des":"personal_myback_and_exchange"}');
            //         }
            //     } else {
            //         location.href = 'https://tuihuan.jd.com/afs/orders';
            //     }

            //     break;
        }
        that.listScroller.refresh();
        that.scrollToFoot();
    });
};

// 商品推荐点击“重新选择”后显示浮层商品列表
App.prototype.showRecommendList = function (data) {
    var that = this;

    var destData = dataTool.parseRecommendList(data);
    var popStr = that.render.renderRecommend({
        answer_note: data.answer_note,
        list: destData,
        tpl: data.recommendTpl
    });
    that.popup.set('messageId', data.id);
    that.popup.set('rel', 'recommend::' + data.id);
    that.popup.open({
        title: '请选择您要咨询的商品',
        contentHtml: popStr,
        openCallback: function openCallback() {
            that.initPopScroll();
        },
        closeCallback: function closeCallback() {
            that.popup.set('messageId', undefined);
            that.popup.set('rel', undefined);
            if (config.isSdk && typeof SCSSDK !== 'undefined') {
                if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'showToolbar',
                        data: 1
                    });
                }
            }
        }
    });
};

// 点击显示包装清单
App.prototype.showPackList = function (data) {
    var that = this;
    var destData = dataTool.parsePackList(data);
    var popStr = that.render.renderPackList({
        answer_note: data.answer_note,
        list: destData,
        tpl: data.recommendTpl
    });
    that.popup.set('messageId', data.id);
    that.popup.set('rel', 'packlist::' + data.id);
    that.popup.open({
        title: '请您查看包装清单',
        contentHtml: popStr,
        openCallback: function openCallback() {
            that.initPopScroll();
        },
        closeCallback: function closeCallback() {
            that.popup.set('messageId', undefined);
            that.popup.set('rel', undefined);
            if (config.isSdk && typeof SCSSDK !== 'undefined') {
                if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'showToolbar',
                        data: 1
                    });
                }
            }
        }
    });
};

// 选择联系人回调
App.prototype.chooseUserInfo = function (res, options) {
    var that = this;
    var outerDom = $('body');
    var initSrcoll = null;
    if (res) {
        var html = that.render.renderPhoneRecharge({
            list: res
        });
        var updateIndex = function updateIndex() {
            outerDom.find('.phone-ext-number').each(function (i, item) {
                $(this).find('.num').html(i + 3);
            });
        };
        var phoneReg = function phoneReg(data, $dom) {
            var $item = $dom.closest('.phone-item');
            if (data.length != 0) {
                var regPhone = /(^1\d{10}$)|(^1\d{2}\*{5}\d{3}$)/;
                if (!regPhone.test(data)) {
                    $item.addClass('error');
                    return false;
                } else {
                    $item.removeClass('error');
                    return true;
                }
            } else {
                $item.removeClass('error');
                return true;
            }
        };
        outerDom.off(clickEvent, ".J_PhoneAddNum").on(clickEvent, ".J_PhoneAddNum", function (ev) {
            if ($(this).closest('.pop-phone').find('.phone-ext-number').length < 8) {
                var tempHtml = '<div class="phone-item phone-ext-number">' + '<div class="p-label">' + '<span class="num"></span>' + '<input class="p-inpt-02" maxlength="10" type="text" name="name" placeholder="请输入姓名" value="" >' + '<div class="operate">' + '<button class="J_PhoneEditName">编辑昵称</button>' + '<button class="J_PhoneDelNum">删除</button>' + '</div>' + '</div>' + '<div class="p-group">' + '<input class="p-inpt" stype="number" maxlength="11" name="pnumber" placeholder="请输入手机号码"  value="" >' + '</div>' + '</div>';
                $(this).closest('.phone-item').before(tempHtml);
                updateIndex();
                initSrcoll.refresh();
            } else {
                that.toast.show("最多可存储十条信息额");
            }
        });
        outerDom.off(clickEvent, ".J_PhoneRmindCheck").on(clickEvent, ".J_PhoneRmindCheck", function (ev) {
            if ($(this).hasClass('checked')) {
                $(this).removeClass('checked');
            } else {
                $(this).addClass('checked');
            }
        });
        outerDom.off(clickEvent, ".J_PhoneEditName").on(clickEvent, ".J_PhoneEditName", function (ev) {
            $(this).closest('.operate').siblings('input[name="name"]').focus();
        });
        outerDom.off(clickEvent, ".J_PhoneDelNum").on(clickEvent, ".J_PhoneDelNum", function (ev) {
            $(this).closest('.phone-item').remove();
            updateIndex();
            that.listScroller.refresh();
        });
        outerDom.on('blur', 'input', function (ev) {
            var $this = $(this);
            var name = $this.attr("name");
            var val = $this.val();
            if (name == "name") {
                return false;
            } else {
                phoneReg(val, $this);
            }
        });
        outerDom.off(clickEvent, ".J_PhoneSaveSubmit").on(clickEvent, ".J_PhoneSaveSubmit", function (ev) {
            var $item = $('#popFullBody');
            var param = {};
            var flag = true;
            param.phoneNumber = $item.find('input[name="phoneNumber"]').val() || '';
            if (param.phoneNumber) {
                flag = phoneReg(param.phoneNumber, $item.find('input[name="phoneNumber"]'));
                if (!flag) {
                    return false;
                }
            }
            param.lastNumber = $item.find('input[name="lastNumber"]').val() || '';
            if (param.lastNumber) {
                flag = phoneReg(param.lastNumber, $item.find('input[name="lastNumber"]'));
                if (!flag) {
                    return false;
                }
            }
            param.extNumber = [];
            $item.find('.phone-ext-number').each(function () {
                var pname = $(this).find('input[name="name"]').val() || '';
                var pnumber = $(this).find('input[name="pnumber"]').val() || '';
                if (pname) {
                    if (pnumber) {
                        flag = phoneReg(pnumber, $(this).find('input[name="pnumber"]'));
                        if (!flag) {
                            return false;
                        }
                    }
                    param.extNumber.push({ "name": pname, "pnumber": pnumber });
                }
                if (!pname && pnumber) {
                    $(this).addClass('error');
                    flag = false;
                    return false;
                } else {
                    $(this).removeClass('error');
                }
            });
            if (!flag) {
                return false;
            }
            param.remindSwitch = $item.find('.J_PhoneRmindCheck').hasClass('checked') ? true : false;
            param.remindConent = {};
            param.remindConent.rmdRule = $item.find('select[name="rmdRule"]').val();
            param.remindConent.rmdPrice = $item.find('select[name="rmdPrice"]').val();
            var dataParam = $.extend(res.data, param);
            var data = {
                code: 'phonebill_update_user_info',
                type: 1,
                param: { userData: JSON.stringify(dataParam) }
            };
            var paramInfo = {
                phoneNumber: param.phoneNumber,
                lastNumber: param.lastNumber,
                extNumber: param.extNumber,
                parentId: options.parentId || ''
            };
            that.receiver.getHttpGateway(data, 'updatePersonCallback', function (res) {
                that.handleUserInfo(res, paramInfo);
            }, paramInfo);
        });
        that.popfull.open({
            title: '我的充值定制',
            contentHtml: html,
            openCallback: function openCallback() {
                setTimeout(function () {
                    that.popfull.setAttr();
                    initSrcoll = new IScroll('#popFullBody', {
                        hScrollbar: false
                    });
                    initSrcoll.scrollToElement(".J_PhoneSaveSubmit", 100);
                }, 100);
            },
            closeCallback: function closeCallback() {
                outerDom.off(clickEvent, '.J_PhoneAddNum');
                outerDom.off(clickEvent, '.J_PhoneRmindCheck');
                outerDom.off(clickEvent, '.J_PhoneSaveSubmit');
                outerDom.off(clickEvent, '.J_PhoneEditName');
                outerDom.off(clickEvent, '.J_PhoneDelNum');
                that.popup.set('messageId', undefined);
                that.popup.set('rel', undefined);
            }
        });
    } else {
        context.sendMsg({
            type: 'text',
            target: 'customer',
            content: res.errorMsg
        });
    }
    $('#' + options.parentId).attr("state", "0");
};
// 保存、更新联系人回调
App.prototype.handleUserInfo = function (res, param) {
    var outerDom = $('body');
    var parentId = param.parentId || '';
    var that = this;
    if (res && res.code == 1) {
        // 解除事件绑定
        /*outerDom.off(clickEvent, '.J_PhoneAddNum');
        outerDom.off(clickEvent, '.J_PhoneRmindCheck'); 
        outerDom.off(clickEvent, '.J_PhoneSaveSubmit');
        outerDom.off(clickEvent, '.J_PhoneEditName');
        outerDom.off(clickEvent, '.J_PhoneDelNum');*/
        that.popfull.hide();
        that.payUserViewCallback(param);
    } else {
        that.toast.show(res.data.errMsg);
    }
};
// 充值定制回显
App.prototype.payUserViewCallback = function (param) {
    var parentId = param.parentId || '';
    var $item = $('#' + parentId);
    if ($item.length > 0) {
        var $parent = $item.find('.phone-userInfo-list');
        var tempList = '<a class="btn-white" href="javascript:;" data-phone="' + param.phoneNumber + '">自己</a>' + '<a class="btn-white" href="javascript:;" data-phone="' + param.lastNumber + '">上次输入</a>';
        if (param.extNumber.length > 0) {
            $.each(param.extNumber, function (i, item) {
                tempList += '<a class="btn-white" href="javascript:;" data-phone="' + item.pnumber + '">' + item.name + '</a>';
            });
        }
        tempList += '<a class="btn-white" href="javascript:;" data-phone="">+</a>';
        $parent.html('').append(tempList);
        $item.data('scroller').refresh();
    } else {
        return false;
    }
};
// 我的充值定制 
App.prototype.payUserInfo = function (phoneNumber, parentId) {
    var that = this;
    var phoneNumber = phoneNumber || '';
    var data = {
        code: 'phonebill_get_user_info',
        type: 1,
        param: { "number": phoneNumber }
    };
    var info = {
        parentId: parentId
    };
    that.receiver.getHttpGateway(data, 'choosePersonCallback', function (res) {
        that.chooseUserInfo(res, info);
    }, info);
};

// 初始化快速入口数据
App.prototype.initFastLink = function (domObj) {
    var that = this;
    // var fastWrapper = that.$fastWrap;
    var fastWrapper = $('#J_FastLink');
    var fastScroller;
    var items;
    if (!domObj) {
        return;
    }
    fastWrapper.html('').append(domObj);
    that.$chatList.addClass('im-chat-pb');
    fastScroller = fastWrapper.find('.J_HelpList');

    (function () {
        if (config.isSdk) {
            fastWrapper.find('.J_FastLinkJump').each(function (i, n) {
                var item = $(n);
                /*
                 * 金融SDK需要使用@2的逻辑
                */
                if (that.chatConfig.get('customerAppId') != 'jr.customer') {
                    var link = item.attr('href');
                    if (link.match(/^openApp\./)) return;

                    var openLink = 'openApp.jdMobile://virtual?params=' + encodeURIComponent('{"category":"jump","des":"m","sourceValue":"","sourceType":"sourceType_test","url":"' + link + '"}');
                    item.attr('href', openLink);
                } else {
                    item.prop('target', '_blank');
                    item.attr('page-model', 'm');
                }
                /* @2
                item.prop('target', '_blank');
                item.attr('page-model', 'm');
                */
            });
        }
    })();

    // 奇技淫巧设置是不是应该设置IScroll click true
    function iScrollClick() {
        if (/iPhone|iPad|iPod|Macintosh/i.test(navigator.userAgent)) return false;
        if (/Chrome/i.test(navigator.userAgent)) {
            return !(navigator.userAgent.split('Chrome/')[1].match(/\d+/) > 43);
        };
        if (/Silk/i.test(navigator.userAgent)) return false;
        if (/Android/i.test(navigator.userAgent)) {
            var s = navigator.userAgent.substr(navigator.userAgent.indexOf('Android') + 8, 3);
            return parseFloat(s[0] + s[3]) < 44 ? false : true;
        }
    }
    // alert(!(navigator.userAgent.split('Chrome/')[1].match(/\d+/) > 43))
    // 设置宽度属性
    $('#customEntry').empty();
    $('#J_FastLink').css('display', 'block');
    function setFastWin() {
        // var maxWidth = 0;
        // var wapperWidth = $(window).width() - 20;
        // fastWrapper.css('width',wapperWidth);
        // items = fastWrapper.find('.J_FastLinkBase');
        // items.each(function(idx, item) {
        //     var $item = $(item);
        //     maxWidth += $item.outerWidth() + parseFloat($item.css('marginRight'));
        // });
        // fastScroller.css('width', maxWidth + 100);


        // if (!that.linkScroller) {
        //     // 初始化横向滚动
        if (that.linkScroller) that.linkScroller.destroy();
        that.linkScroller = new IScroll('#J_FastLink', {
            mouseWheel: true,
            scrollX: true,
            scrollY: false,
            // click: iScrollClick()
            click: true
            // tab:iScrollClick()
        });

        // } else {
        //     that.linkScroller.refresh();
        // }
    }

    setTimeout(function () {
        setFastWin();
    }, 500);

    that.refreshScroll(true);
    $(window).resize(function () {
        setFastWin();
        that.refreshScroll(true);
    });
};

/**
 *  百科活动详情内容处理
 */
App.prototype.handleWikiAct = function (data) {
    var that = this;
    var actData = data.data;
    //让按钮恢复可点击状态
    if (that.$fastWrap.find('.isTaped').length > 0) {
        that.$fastWrap.find('.isTaped').removeClass("isTaped");
    }
    //数据缓存
    if (data.id) {
        this.configs.wikiActDataArr[data.id + ''] = actData;
    }
    if (this.configs.isSdk) {
        this.wikiActivity.init({
            actData: actData,
            wrapper: ".J_FastLinkWrap",
            exitCallBack: function exitCallBack() {
                that.linkScroller && that.linkScroller.refresh();
            }
        });
        return false;
    } else {
        this.wikiActivity.init({
            actData: actData,
            wrapper: "#J_Toolbar",
            exitCallBack: function exitCallBack() {
                that.linkScroller && that.linkScroller.refresh();
            }
        });
    }
};

App.prototype.refreshLinkScroll = function () {
    var that = this;

    that.linkScroller && that.linkScroller.refresh();
};

/**
 * 开放滚动条更新接口
 */
App.prototype.scrollerRefresh = function () {
    this.listScroller.refresh();
};

App.prototype.addTimeLine = function () {
    var timeDiff = this.dataManager.get('timeDiff');
    var prevTime = this.dataManager.get('prevTime');
    var curr = new Date().getTime();
    var servCurr = curr - timeDiff;
    var prevDiff;
    var timeMsg;
    if (prevTime) {
        prevDiff = servCurr - new Date(prevTime).getTime();
    } else {
        // this.dataManager.set('prevTime', curr);
        prevDiff = 2 * 60 * 1000 + 1;
    }
    if (prevDiff > 2 * 60 * 1000) {
        timeMsg = this.render.parse({
            id: config.msgIdSuffix.CLIENT + curr,
            type: 'time',
            target: 'system',
            content: new Date(servCurr).format('{H}:{I}')
        });
        this.showMsg(timeMsg);
        this.dataManager.set('prevTime', servCurr);
    }
};

/**
 * 显示消息
 * msg的基本结构为：
 * {
 *     timestamp: 时间戳，当做此条消息的ID（可用于查找到消息并更新消息状态）,
 *     type: 消息的类型(text, html, image, file etc.)
 *     content/url: 消息的具体内容
 *     info:{}  聊天基本参数
 * }
 * 最终根据消息的类型对消息进行展示
 * @param msg
 */
App.prototype.showMsg = function (html, isHistory) {
    var that = this;
    config.closePopOptFlag = !!0;
    var childs = that.$chatList.children();
    var isEnd;
    var $item = $(html);
    var itemId = $item.attr('data-id') || $item.attr('data-rel-id');
    var sourceData = that.dataManager.get(itemId) || null;

    // 金融智投
    if ($item.find('.SIwrap') && $item.find('.SIwrap').eq(0).attr('componentFun')) {
        var tplMapData = sourceData.content.dataMap;
        if (typeof tplMapData == 'String') {
            tplMapData = JSON.parse(tplMapData);
        }
        that.handJrcbItem($item, tplMapData);
    }
    // loadig 状态的dom
    var relTplItem = $('.J_ChatItem[data-tpl-rel-id="' + itemId + '"]');
    var relPosition = $item.attr('data-rel-posi') || null;
    if (isHistory) {
        if ($item.find('[interactivetype]').length) return;
        if (!$item.attr('data-rel')) {
            $item.attr('data-rel', 'history');
        }
        if (childs.length) {
            $item.insertBefore(childs.eq(0));
        } else {
            $item.appendTo(that.$chatList);
        }
        if ($item.attr('data-type') == 'otherBtn') {
            var relId = $item.find('div[data-rel="productList"]').attr('data-rel-id');
            //var $relItem = $('.J_ChatItem[data-id='+ relId +']');
            $item.insertAfter('.J_ChatItem[data-id=' + relId + ']');
        }
        if ($item.find('.J_TextImageList').length > 0) {
            that.setJimiImgShow(1);
        }

        if ($item.find('.J_MultiTxt_Box').length) {
            utils.getWrapHeight($item, function (height) {
                if (height > config.static.showLine * config.static.lineHeight) {
                    var wrap = $item.find('.J_MultiTxt_Box');
                    wrap.height(config.static.showLine * config.static.lineHeight + 'px');
                    wrap.addClass('more-active');
                }
                that.listScroller.refresh();
            });
        }
    } else {
        isEnd = that.isEnd() || $item.hasClass('chat-line');
        var $images = $item.find('img');
        if ($images.length > 0) {
            var imageCount = $images.length;
            $item.appendTo(that.$chatList);
            $images.each(function (index, item) {
                (function (src) {
                    setTimeout(function () {
                        var img = new Image();
                        img.src = src;
                        if (img.complete) {
                            imageCount -= 1;
                            if (imageCount == 0) {
                                var $imgList = $item.find('.J_TextImageList');
                                if ($imgList.length > 0) {
                                    that.setJimiImgShow();
                                }
                                that.listScroller.refresh();
                                if (isEnd) {
                                    that.scrollToFoot();
                                }
                            }
                        } else {
                            img.onload = function () {
                                imageCount -= 1;
                                if (imageCount == 0) {
                                    // $item.appendTo(that.$chatList);
                                    var $imgList = $item.find('.J_TextImageList');
                                    if ($imgList.length > 0) {
                                        that.setJimiImgShow();
                                    }
                                    that.listScroller.refresh();
                                    if (isEnd) {
                                        that.scrollToFoot();
                                    }
                                }
                            };
                            img.onerror = function () {
                                imageCount -= 1;
                                if (imageCount == 0) {
                                    // $item.appendTo(that.$chatList);
                                    var $imgList = $item.find('.J_TextImageList');
                                    if ($imgList.length > 0) {
                                        that.setJimiImgShow();
                                    }
                                    that.listScroller.refresh();
                                    if (isEnd) {
                                        that.scrollToFoot();
                                    }
                                }
                            };
                        }
                    }, 20);
                })(item.src);
            });
        } else {
            var $split = that.$chatList.find('J_ChatItem[data-type="split"]');
            if ($split.length == 0 && $item.attr('data-type') == 'split') {
                if (that.$chatList.children().length > 0) {
                    $item.insertAfter(that.$chatList.children('li[data-rel="history"]:last'));
                } else {
                    $item.appendTo(that.$chatList);
                }
            } else {
                if (relTplItem.length) {
                    //$item.insertAfter(relTplItem);
                    //
                    if (relPosition == 'prev') {
                        $item.insertBefore(relTplItem);
                    } else if (relPosition == 'next') {
                        $item.insertAfter(relTplItem);
                    } else {
                        $item.insertAfter(relTplItem);
                        relTplItem.remove();
                    }
                } else {
                    if ($item.attr('data-type') == 'otherBtn') {
                        var relId = $item.find('div[data-rel="productList"]').attr('data-rel-id');
                        $item.insertAfter('.J_ChatItem[data-id=' + relId + ']');
                    } else if (relPosition) {
                        var relId = $item.attr('data-rel-id');
                        var $referItem = $('.J_ChatItem[data-id=' + relId + ']') || relTplItem;
                        if (relPosition == 'prev' && $referItem.length) {
                            $item.insertBefore($referItem);
                        } else if (relPosition == 'next' && $referItem.length) {
                            $item.insertAfter($referItem);
                        } else {
                            $item.appendTo(that.$chatList);
                        }
                    } else {
                        $item.appendTo(that.$chatList);
                        // 消息按时间顺序排
                        /*var prevOne = that.$chatList.children('li:last');
                        if (prevOne.length) {
                            var prevStamp = prevOne.attr('data-time');
                            var stamp = $item.attr('data-time');
                            var diff = stamp - prevStamp;
                            if (diff >= 0) {
                                $item.appendTo(that.$chatList);
                            } else {
                                $item.insertBefore(prevOne);
                            }
                        } else {
                            $item.appendTo(that.$chatList);
                        }*/
                    }
                }
            }
            if (isEnd) {
                that.listScroller && that.listScroller.refresh();
                that.scrollToFoot();
            }
        }
    }
    // 模板的loading 超时后重置
    if ($item.attr('data-tpl-type') == 'tpl-load') {
        setTimeout(function () {
            $item.find('.J_TplStatus').removeAttr('data-status').removeClass(config.tplMsgType.ERR_TPL_LOAD).addClass(config.tplMsgType.ERR_TPL);
            $item.find('.J_TplStatusTxt').html('点击重新加载');
        }, 700);
    }
    // 如果有多媒体文件，加载会异步进行
    // 滚动条刷新必须在文件load完成后执行
    // 否则高度计算不准确
    // var source = $item.find('audio,video,img');
    // var lastSource;
    // var lastSrc;
    // var timestamp;
    // if (source.length) {
    //     lastSource = source.last();
    //     lastSrc = lastSource.attr('src');
    //     lastSource.on('load', function() {
    //         that.listScroller.refresh();
    //         if (isEnd && !firstLoad) {
    //             that.scrollToFoot();
    //         }
    //     }).on('error', function() {
    //         that.listScroller.refresh();
    //         if (isEnd && !firstLoad) {
    //             that.scrollToFoot();
    //         }
    //     });
    //     // 防止缓存资源不触发load
    //     if (typeof lastSrc === 'string') {
    //         timestamp = new Date().getTime();
    //         lastSrc = lastSrc.indexOf('?') > -1 ? lastSrc.replace('?_t=' + timestamp) : lastSrc + '?_t=' + timestamp;
    //     }
    //     lastSource.attr('src', lastSrc);
    // } else {
    //     that.listScroller.refresh();
    //     if (isEnd && !firstLoad) {
    //         that.scrollToFoot();
    //     }
    // }

    return $item;
};

//App.prototype.changeMessageStatus = function (data, state) {
App.prototype.handJrcbItem = function (obj, mapData) {
    var that = this;
    that.evtHandler.handJrcbItem(obj, mapData, that);
};
App.prototype.handBtItem = function (obj, mapData) {
    var that = this;
    that.evtHandler.handBtItem(obj, mapData, that);
};
App.prototype.handBankListItem = function (obj, mapData) {
    var that = this;
    that.evtHandler.handBankListItem(obj, mapData, that);
};
App.prototype.handleInteractiveMsg = function (msg, data) {
    var that = this;

    var msgNode = $(msg);
    var wrapper = msgNode.find('[interactivetype]');
    var interactiveType = wrapper.attr('interactivetype');
    var msgType = wrapper.attr('msgtype');

    var productList = null;
    var orderList = null;
    var pageInex = null;

    that.popup.set('popDataType', 'interactive_for_order');

    if (interactiveType == 'pop') {
        if (msgType == 'tab_interactive_for_order') {

            var isFirst = !0;
            var type = null;
            var pageIndex = 1;

            $.each(data.dataMap, function (i, n) {
                var OBJ = JSON.parse(n.data);
                if (n.type == 'orderlist') {
                    orderList = {
                        list: dataTool.parseOrderListForAnswer(OBJ)
                    };
                } else {
                    var datas = {};
                    datas.datas = OBJ;
                    productList = {
                        list: dataTool.parseRecommendList({ datas: OBJ })
                    };
                }
                isFirst = n.pageIndex <= 1;
                type = n.type;
                pageIndex = n.pageIndex;
            });
            var orderLists, productLists;
            //移动仓库element
            if (isFirst) {
                that.popup.set('msgId', data.id);
                try {
                    $('.J_InteractiveStore').remove();
                } catch (e) {}
                wrapper.find('.J_InteractiveStore').appendTo('body');
                var OBJ = {
                    orderlist: 1,
                    productlist: 1,
                    type: 'orderlist'
                };

                that.popup.set('interactiveData', OBJ);
            } else {
                var OBJ = that.popup.get('interactiveData');
                if (type == 'orderlist') {
                    orderLists = $($.tmpl(that.configs.templates['orderList'], orderList));
                    var items = $(orderLists.find('.J_OrderListWrap').html());
                    if (OBJ.orderlist + 1 == pageIndex) {
                        $('.J_InteractiveStore').find('.J_OrderListWrap').append(items);
                        OBJ.orderlist = pageIndex;
                        if (OBJ.type == 'orderlist') {
                            that.popup.popup.find('.J_InteractiveWrapper ul').append(items);
                            that.initPopScroll();
                        }
                    }
                } else {
                    productLists = $($.tmpl(that.configs.templates['productList'], productList));
                    var items = $(productLists.find('.J_ProductListWrap').html());
                    if (OBJ.productlist + 1 == pageIndex) {
                        $('.J_InteractiveStore').find('.J_ProductListWrap').append(items);
                        OBJ.productlist = pageIndex;
                        if (OBJ.type == 'productlist') {
                            that.popup.popup.find('.J_InteractiveWrapper ul').append(items);
                            that.initPopScroll();
                        }
                    }
                }
                that.popup.set('interactiveData', OBJ);
                return;
            }
            var orderLists = isFirst && orderList.list.length == 0 ? $(that.render.parseList('noDataTips')) : $($.tmpl(that.configs.templates['orderList'], orderList));
            var productLists = isFirst && productList.list.length == 0 ? $(that.render.parseList('noDataTips')) : $($.tmpl(that.configs.templates['productList'], productList));

            $('.J_InteractiveStore').find('[rel="order"]').append(orderLists);
            $('.J_InteractiveStore').find('[rel="product"]').append(productLists);

            //orderLists.find('.J_OrderListWrap').removeClass('J_OrderListWrap').addClass('J_InteractiveOrderList')
            //orderLists.find('.J_OrderItem').removeClass('J_OrderItem').addClass('J_ArcOrderItem');

            // productLists.find('.J_ProductListWrap').removeClass('J_ProductListWrap').addClass('J_InteractiveProductList')
            // productLists.find('.J_ProductItem').removeClass('J_ProductItem').addClass('J_InteractiveProductItem');


            var html = '<div class="J_InteractiveWrapper">' + orderLists.html() + '</div>';
            var head = wrapper.find('.J_InteractiveHead');
            head.find('li:first').addClass('active');

            that.popup.open({
                title: '请选择您要咨询的商品',
                contentHtml: html,
                openCallback: function openCallback() {
                    if (that.configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                        SCSSDK.bridge.callSdk('startSdkWork', {
                            action: 'showToolbar',
                            data: 0
                        });
                    }
                    that.popup.popup.find('.im-box-pop').addClass('pop-tab');
                    if (!that.popup.popup.find('.J_InteractiveHead').length) {
                        that.popup.popup.find('.im-box-title').after(head);
                    }
                    //that.popup.popup.find('.J_InteractiveWrapper').empty().append($('.J_InteractiveStore .tab-content:first'));

                    that.popup.setAttr(41, !!1);

                    that.initPopScroll();
                },

                closeCallback: function closeCallback() {
                    that.popup.popup.find('.im-box-pop').removeClass('pop-tab');
                    that.popup.popup.find('.J_InteractiveHead').remove();
                    that.popup.set('popDataType', null);
                    if (that.configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                        SCSSDK.bridge.callSdk('startSdkWork', {
                            action: 'showToolbar',
                            data: 1
                        });
                    }
                }
            });
        } else {
            var isFirst = !0;
            var type = null;
            var pageIndex = 1;

            $.each(data.dataMap, function (i, n) {
                var OBJ = JSON.parse(n.data);
                if (n.type == 'orderlist') {
                    orderList = {
                        list: dataTool.parseOrderListForAnswer(OBJ)
                    };
                } else {
                    var datas = {};
                    datas.datas = OBJ;
                    productList = {
                        list: dataTool.parseRecommendList({ datas: OBJ })
                    };
                }
                isFirst = n.pageIndex <= 1;
                type = n.type;
                pageIndex = n.pageIndex;
            });

            if (isFirst) {
                that.popup.set('msgId', data.id);
                var OBJ = {
                    pageIndex: 1,
                    type: type
                };
                that.popup.set('interactiveData', OBJ);
            } else {
                var OBJ = that.popup.get('interactiveData');
                if (type == 'orderlist') {
                    orderLists = $($.tmpl(that.configs.templates['orderList'], orderList));
                    var items = $(orderLists.find('.J_OrderListWrap').html());
                    if (OBJ.pageIndex + 1 == pageIndex) {
                        $('.J_InteractiveStore').find('.J_OrderListWrap').append(items);
                        OBJ.pageIndex = pageIndex;
                        if (OBJ.type == 'orderlist') {
                            that.popup.popup.find('.J_InteractiveWrapper ul').append(items);
                            that.initPopScroll();
                        }
                    }
                } else {
                    productLists = $($.tmpl(that.configs.templates['productList'], productList));
                    var items = $(productLists.find('.J_ProductListWrap').html());
                    if (OBJ.pageIndex + 1 == pageIndex) {
                        $('.J_InteractiveStore').find('.J_ProductListWrap').append(items);
                        OBJ.pageIndex = pageIndex;
                        if (OBJ.type == 'productlist') {
                            that.popup.popup.find('.J_InteractiveWrapper ul').append(items);
                            that.initPopScroll();
                        }
                    }
                }
                that.popup.set('interactiveData', OBJ);
                return;
            }
            var lists = null;
            if (type == 'orderlist') {
                lists = isFirst && orderList.list.length == 0 ? $(that.render.parseList('noDataTips')) : $($.tmpl(that.configs.templates['orderList'], orderList));
            } else {
                lists = isFirst && productList.list.length == 0 ? $(that.render.parseList('noDataTips')) : $($.tmpl(that.configs.templates['productList'], productList));
            }

            var html = '<div class="J_InteractiveWrapper">' + lists.html() + '</div>';

            that.popup.open({
                title: '请选择您要咨询的商品',
                contentHtml: html,
                openCallback: function openCallback() {
                    if (that.configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                        SCSSDK.bridge.callSdk('startSdkWork', {
                            action: 'showToolbar',
                            data: 0
                        });
                    }
                    //that.popup.popup.find('.J_InteractiveWrapper').empty().append($('.J_InteractiveStore .tab-content:first'));


                    that.popup.setAttr(0, !!1);
                    that.initPopScroll();
                },

                closeCallback: function closeCallback() {
                    that.popup.set('popDataType', null);
                    if (that.configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                        SCSSDK.bridge.callSdk('startSdkWork', {
                            action: 'showToolbar',
                            data: 1
                        });
                    }
                }
            });
        }
    } else {}
};

//**暂时弃用 */
App.prototype.protectPriceFormTemplate = function (html, api, orderBackMod, answer) {
    var that = this;
    var $item = $(html);
    $item.appendTo(that.$chatList);
    //快捷开发直接在这里添加事件了
    $item.find("button").click(function (ev) {
        ev = $(ev.currentTarget).parents('.J_ChatItem').eq(0)[0];
        config.order.page = 1;
        that.$editor.blur();
        that.orderBackMod = orderBackMod;
        that.chatConfig.set('ppsid', answer.templateData.sid);
        switch (orderBackMod) {
            case 'protect_price':
                that.getMyProtectPriceOrder(api);
                break;
            case 'cancel_order':
                that.evtHandler.protectPriceCoverPoint(that, ev, answer);
                if (config.isSdk) {
                    location.href = 'openApp.jdMobile://virtual?params=' + encodeURIComponent('{"category":"jump","des":"orderlist"}');
                } else {
                    location.href = 'http://wqs.jd.com/order/orderlist_merge.shtml?tab=1';
                }
                break;
            case 'customer_service':
                that.evtHandler.protectPriceCoverPoint(that, ev, answer);
                if (config.isSdk) {
                    if (that.chatConfig.get('clientType') === 'ios') {
                        location.href = 'openApp.jdMobile://virtual?params=' + encodeURIComponent('{"category":"jump","des":"m",url:"https://tuihuan.jd.com/afs/orders"}');
                    } else {
                        location.href = 'openApp.jdMobile://virtual?params=' + encodeURIComponent('{"category":"jump","des":"personal_myback_and_exchange"}');
                    }
                } else {
                    location.href = 'https://tuihuan.jd.com/afs/orders';
                }

                break;
        }
    });
    that.listScroller.refresh();
    that.scrollToFoot();
};
App.prototype.interactiveOrderTab = function (ev) {
    var that = this;

    var item = $(ev.currentTarget);
    var wrap = item.closest('li');
    if (wrap.hasClass('active')) return;

    wrap.addClass('active').siblings().removeClass('active');

    var rel = item.attr('rel');
    var newNode = $('.J_InteractiveStore').find('[rel="' + rel + '"]');
    that.popup.popup.find('.J_InteractiveWrapper').html(newNode.html());
    if (that.popScroller) {
        that.popScroller.scrollTo(0, 0);
    }
    that.initPopScroll();

    /* save state */
    var OBJ = that.popup.get('interactiveData');
    OBJ.type = rel == 'order' ? 'orderlist' : 'productlist';
    that.popup.set('interactiveData', OBJ);
};

App.prototype.getDataForInteractiveOrder = function () {
    var that = this;

    var OBJ = that.popup.get('interactiveData');
    var single = !1;
    var rel = OBJ.type;
    var page;

    if (OBJ.pageIndex) {
        single = !0;
        page = OBJ.pageIndex;
    } else {
        var page = OBJ[OBJ.type];
    }
    page++;

    var id = that.popup.get('msgId');

    var data = that.dataManager.get(id);

    that.getDataInPage(data, rel, page, single);
};

App.prototype.getDataInPage = function (data, type, page, isSingle) {
    var that = this;

    var widgets = [];
    var extJson = '';
    if (isSingle) {
        /*        var indexCode = type ==  'orderlist' ? 'order_list_page_index' : 'product_list_page_index';
                var sizeCode = type == 'orderlist'? 'order_list_page_size' : 'product_list_page_size';*/

        var indexCode = type == 'orderlist' ? 'order_list_page_index' : 'product_list_page_index';
        var sizeCode = type == 'orderlist' ? 'order_list_page_size' : 'product_list_page_size';

        /*        var orderId = type ==  'orderlist' ? 'order_list_order_id' : null;
                var wareId = type ==   'orderlist' ? 'order_list_ware_id' : 'product_list_ware_id';*/

        widgets = [{
            widgetCode: indexCode,
            value: [page]
        }, {
            widgetCode: sizeCode,
            value: [10]
        }];
    } else {
        widgets = [{
            widgetCode: 'order_and_product_list_page_index',
            value: [page]
        }, {
            widgetCode: 'order_and_product_list_page_size',
            value: [10]
        }, {
            widgetCode: 'order_and_product_list_type',
            value: [type]
        }];
    }
    var json = {
        className: data.className,
        modelName: data.modelName,
        sceneUuid: data.uuid,
        formCode: data.tid,
        widgets: widgets
    };

    var prevCont = '获取' + (type == 'orderlist' ? '订单' : '商品') + '列表第' + page + '页数据';

    var postData = {
        target: 'customer',
        type: 'formTemplate',
        content: prevCont,
        form: JSON.stringify(json)
    };
    if (config.isSdk) {
        extJson = {
            'hidden': 1,
            'rel': 'formTemplate',
            'type': 1
        };
        postData.ext = {};
        postData.ext.h5Info = JSON.stringify(extJson);
    }

    that.sendFormMsg(postData);
};

App.prototype.changeMessageStatus = function (data, state) {
    var msgId = data.id;
    var $msgItem = this.$chatList.find('.J_ChatItem[data-id="' + msgId + '"]');
    var $stateDom = $msgItem.find('.J_SendStatus');
    if ($msgItem.length) {
        if (data.body.type !== 'image') {
            switch (state) {
                case 0:
                    $stateDom.removeClass('err err-load');
                    break;
                case 1:
                    $stateDom.addClass('err err-load');
                    break;
                case 2:
                    $stateDom.addClass('err').removeClass('err-load');
                    break;
            }
        } else {
            switch (state) {
                case 0:
                    $stateDom.removeClass('err err-load');
                    break;
                case 1:
                case 3:
                case 4:
                case 5:
                case 6:
                case 7:
                    $stateDom.addClass('err err-load');
                    if (state == 7) {
                        // 图片上传成功，替换图片地址
                        $msgItem.find('.image-file').attr('href', data.body.url);
                        $msgItem.find('.image-file').find('img').attr('data-src', data.body.url);
                        $msgItem.find('.image-file').find('img').attr('src', data.body.thumbnail);
                    }
                    break;
                case 2:
                case 8:
                    $stateDom.addClass('err').removeClass('err-load');
                    break;
            }
        }
    }
    // 消息状态改变，滚动到聊天列表底部
    this.scrollToFoot();
};

App.prototype.refreshScroll = function (isEnd) {

    var that = this;
    if (!config.isSdk) {
        that.listScroller.refresh();
    }
    if (isEnd) {
        that.scrollToFoot();
    }
};

App.prototype.scrollToElement = function (ele) {
    var that = this;

    function scroll(item, distance) {
        if (!!distance) {
            item = $(item);
            if (item.outerHeight() + distance > $('#J_Wrapper').height()) {
                that.listScroller.scrollTo(0, -item.position().top, 1000);
            } else {
                that.listScroller.scrollToElement(item[0]);
            }
        } else {
            that.listScroller.scrollToElement(item);
        }
    }

    that.listScroller.refresh();
    setTimeout(function () {
        var isHidden = $('#J_CustomServiceInfo').hasClass('top-hidden');
        var checkDistance = isHidden ? 0 : 50;
        scroll(ele[0], checkDistance);
    }, 100);
};

// 直接进入咨询
App.prototype.enterChat = function () {
    var that = this;
    // 若最近订单为空，则直接选择技能组
    var data = {
        type: 'group',
        content: {
            groupId: SCSSDK.bridge.configs.groupDetail.groupId,
            groupName: SCSSDK.bridge.configs.groupDetail.gName || ''
        },
        extData: {
            sessionCode: 1
        }
    };
    SCSM.sendMsg(data);
    that.resetSdkOpt();
    SCSM.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
    SCSSDK.bridge.configs.groupDetail.target.removeClass('on');
};

/*
 * sdk 端订单，最近购买，最近浏览  翻页显示数据
 */
App.prototype.showNextPage = function (param) {
    var that = this;
    if (!param) {
        return;
    }
    var listStr = param.listStr;
    var typePage = param.typePage;
    var tpl = param.tpl;
    var panel = param.panel;
    var panelParent = param.panelParent;
    config[typePage].page++;
    /*    param = {
            list: list,
            panelParent : '.J_OrderListWrap',
            panel: '.J_OrderListWrap',
            tpl: 'orderList',
            typePage: 'order'
    
        }
    
        var pList = {
            list: dataTool.parseOrderList(param)
        };   var listStr = that.render.parseList('orderList', pList);
        var orderItems = $(listStr).find('.J_OrderListWrap').html();
        config.order.page++;
        that.popup.popup.find('.J_OrderListWrap').append(orderItems);
        that.popScroller.refresh();
        var listStr = that.render.parseList(tpl, pList);*/
    var items = $(listStr).find(panel).html();
    that.popup.popup.find(panel).append(items);
    that.popScroller.refresh();
};

App.prototype.setOpenPoupFlag = function () {
    SCSSDK.bridge.configs.isSdkCallPoup = !!1;
};

/*
 * sdk 端显示订单数据
 */
App.prototype.showOrderList = function (param) {
    var that = this;
    var opCode = param.opCode || '';
    var groupId = param.groupId || '';
    var list = param.list || [];
    var clickPosition = SCSSDK.bridge.configs.clickPosition;
    var typePage = clickPosition == 'opOrder' || clickPosition == 'barOrder' ? 'order' : 'buy';
    if (config.isSdk) {
        if (config[typePage].page == 1 && utils.isEmpty(list)) {
            if (clickPosition == 'opOrder' || clickPosition == 'opRecentBuy') {
                // 显示底部工具栏
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 1
                });
                that.enterChat();
                return;
            } else {
                that.popup.open({
                    contentHtml: that.render.parseList('noDataTips'),
                    openCallback: function openCallback() {
                        if (clickPosition == 'barOrder') {
                            that.setOpenPoupFlag();
                        }
                        that.initPopScroll();
                        /*setTimeout(function() {
                            that.popup.hide();
                        }, 2000);*/
                    },
                    closeCallback: function closeCallback() {
                        // 显示底部工具栏
                        SCSSDK.bridge.callSdk('startSdkWork', {
                            action: 'showToolbar',
                            data: 1
                        });
                        that.resetSdkOpt();
                    }
                });
            }
        } else {
            if (config[typePage].page == 1) {
                var tpl = '';
                var pList = {};
                var titleTxt = '请选择您要咨询的订单';
                if (clickPosition == 'opOrder' || clickPosition == 'barOrder') {
                    tpl = 'orderList';
                    pList = {
                        list: dataTool.parseOrderList(list)
                    };
                } else {
                    tpl = 'productList';
                    titleTxt = '请选择您要咨询的商品';
                    pList = {
                        list: dataTool.parseProductList(list)
                    };
                }
                config[typePage].page++;
                var prevListStr = that.render.parseList(tpl, pList);
                that.loader.hide();
                that.popup.set('popDataType', typePage);
                that.popup.set('groupId', groupId);
                that.popup.open({
                    title: titleTxt,
                    contentHtml: prevListStr,
                    openCallback: function openCallback() {
                        if (clickPosition == 'barOrder') {
                            that.setOpenPoupFlag();
                        }
                        that.initPopScroll();
                    },
                    closeCallback: function closeCallback() {
                        // console.log(that.popup);
                        var fNav = that.$toolbar.find('.J_ToolNav');
                        fNav.find('li.on').removeClass('on');
                        that.popup.set('popDataType', undefined);
                        that.popup.set('groupId', undefined);
                        if (config.isSdk && SCSSDK.bridge.callSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                            SCSSDK.bridge.callSdk('startSdkWork', {
                                action: 'showToolbar',
                                // 1：显示
                                data: 1
                            });
                            that.resetSdkOpt();
                        }
                    }
                });
            } else {

                if (clickPosition == 'opOrder' || clickPosition == 'barOrder') {
                    var pList = {
                        list: dataTool.parseOrderList(list)
                    };
                    var tpl = 'orderList';
                    var prevListStr = that.render.parseList(tpl, pList);
                    var objJson = {
                        list: pList,
                        listStr: prevListStr,
                        panelParent: '.J_OrderListWrap',
                        panel: '.J_OrderListWrap',
                        tpl: tpl,
                        typePage: typePage
                    };
                } else if (clickPosition == 'opRecentBuy' || clickPosition == 'barRecentBuy') {
                    var pList = {
                        list: dataTool.parseProductList(list)
                    };
                    var tpl = 'productList';
                    var prevListStr = that.render.parseList(tpl, pList);
                    var objJson = {
                        list: pList,
                        listStr: prevListStr,
                        panelParent: '.J_ProductListWrap',
                        panel: '.J_ProductListWrap',
                        tpl: tpl,
                        typePage: typePage
                    };
                }

                that.showNextPage(objJson);
            }
        }
    }
    that.loader.hide();
};

/**
 * 获取我的订单列表，在模态框中展示
 * @param  {String} opCode  opCode
 * @param  {String} groupId 技能组ID
 * @return {...}
 */
App.prototype.getMyOrder = function (opCode, groupId, list) {
    var that = this;
    var timeout;
    that.loader.show();
    if (config.isSdk) {
        if (typeof list == 'undefined' && opCode && groupId) {
            SCSSDK.bridge.configs.groupDetail.opCode = opCode;
            SCSSDK.bridge.configs.groupDetail.groupId = groupId;
            SCSSDK.bridge.configs.clickPosition = SCSSDK.util.getClickPosition(opCode);
        } else {
            config.order.page = 1;
            // SDK端  直接调用标识是从toolbar 点入
            SCSSDK.bridge.configs.clickPosition = SCSSDK.util.getClickPosition(4);
        }
    } else {
        timeout = setTimeout(function () {
            var fNav = that.$toolbar.find('.J_ToolNav');
            fNav.find('li.on').removeClass('on');
            that.loader.hide();
            that.toast.show('加载超时');
        }, 10000);
    }

    if (typeof list !== 'undefined') {
        var orderList = {
            list: dataTool.parseOrderList(list)
        };
        var prevListStr = that.render.parseList('orderList', orderList);
        config.order.page++;
        var listStr = list.length && config.order.page != 1 ? prevListStr : that.render.parseList('noDataTips');
        if (timeout) {
            clearTimeout(timeout);
        }
        that.loader.hide();
        that.popup.set('popDataType', 'order');
        that.popup.set('groupId', groupId);
        that.popup.open({
            title: '请选择您要咨询的订单',
            contentHtml: listStr,
            openCallback: function openCallback() {
                that.initPopScroll();
            },
            closeCallback: function closeCallback() {
                // console.log(that.popup);
                var fNav = that.$toolbar.find('.J_ToolNav');
                fNav.find('li.on').removeClass('on');
                that.popup.set('popDataType', undefined);
                that.popup.set('groupId', undefined);
                if (config.isSdk && SCSSDK.bridge.callSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'showToolbar',
                        // 1：显示
                        data: 1
                    });
                    that.resetSdkOpt();
                }
            }
        });
    } else {
        that.receiver[opCode == 10 ? 'getProtectPriceOrderList' : 'getRecentOrderList']({
            page: config.order.page,
            pageSize: config.order.pageSize,
            month: config.order.month
        }, function (list) {
            /*            that.showOrderList({
                            opCode: opCode,
                            groupId: groupId,
                            list: list
                        });*/
            var orderList = {
                list: dataTool.parseOrderList(list)
            };
            clearTimeout(timeout);
            that.loader.hide();
            if (typeof opCode === 'undefined') {
                if (utils.isEmpty(list) && config.order.page == 1) {
                    that.popup.open({
                        contentHtml: that.render.parseList('noDataTips'),
                        openCallback: function openCallback() {
                            that.initPopScroll();
                            setTimeout(function () {
                                that.popup.hide();
                            }, 2000);
                        }
                    });
                    var fNav = that.$toolbar.find('.J_ToolNav');
                    fNav.find('li.on').removeClass('on');
                    return;
                }
            }
            var prevListStr = that.render.parseList('orderList', orderList);
            config.order.page++;
            var listStr = list.length && config.order.page != 1 ? prevListStr : that.render.parseList('noDataTips');

            that.loader.hide();
            that.popup.set('popDataType', 'order');
            that.popup.set('groupId', groupId);
            that.popup.open({
                title: '请选择您要咨询的订单',
                contentHtml: listStr,
                openCallback: function openCallback() {
                    that.initPopScroll();
                    if (!list.length && config.order.page == 2) {
                        setTimeout(function () {
                            that.popup.hide();
                        }, 2000);
                    }
                },
                closeCallback: function closeCallback() {
                    // console.log(that.popup);
                    var fNav = that.$toolbar.find('.J_ToolNav');
                    fNav.find('li.on').removeClass('on');
                    that.popup.set('popDataType', undefined);
                    that.popup.set('groupId', undefined);
                }
            });
        });
    }
};
/**
 * 获取我的价保订单列表，在模态框中展示
 * @param  {String} opCode  opCode
 * @param  {String} groupId 技能组ID
 * @return {...}
 */
App.prototype.getMyProtectPriceOrder = function (api, opCode, groupId, list) {
    var that = this;
    var timeout;
    that.loader.show();
    if (config.isSdk) {
        if (typeof list == 'undefined' && opCode && groupId) {} else {
            config.order.page = 1;
            // SDK端  直接调用标识是从toolbar 点入
            SCSSDK.bridge.configs.clickPosition = SCSSDK.util.getClickPosition(4);
        }
    } else {
        timeout = setTimeout(function () {
            var fNav = that.$toolbar.find('.J_ToolNav');
            fNav.find('li.on').removeClass('on');
            that.loader.hide();
            that.toast.show('加载超时');
        }, 10000);
    }

    if (typeof list !== 'undefined') {
        var orderList = {
            list: dataTool.parseOrderList(list)
        };
        var prevListStr = that.render.parseList('orderList', orderList);
        config.order.page++;
        var listStr = list.length && config.order.page != 1 ? prevListStr : that.render.parseList('noDataTips');
        if (timeout) {
            clearTimeout(timeout);
        }
        that.loader.hide();
        that.popup.set('popDataType', 'order');
        that.popup.set('groupId', groupId);
        that.popup.open({
            title: '请选择您要咨询的订单',
            contentHtml: listStr,
            openCallback: function openCallback() {
                that.initPopScroll();
            },
            closeCallback: function closeCallback() {
                // console.log(that.popup);
                var fNav = that.$toolbar.find('.J_ToolNav');
                fNav.find('li.on').removeClass('on');
                that.popup.set('popDataType', undefined);
                that.popup.set('groupId', undefined);
                if (config.isSdk && SCSSDK.bridge.callSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'showToolbar',
                        // 1：显示
                        data: 1
                    });
                    that.resetSdkOpt();
                }
            }
        });
    } else {
        that.receiver.getProtectPriceOrderList(api, {
            page: config.order.page,
            pageSize: config.order.pageSize,
            month: config.order.month
        }, function (list) {
            /*            that.showOrderList({
                            opCode: opCode,
                            groupId: groupId,
                            list: list
                        });*/
            var orderList = {
                list: dataTool.parseOrderList(list)
            };
            clearTimeout(timeout);
            that.loader.hide();
            if (typeof opCode === 'undefined') {
                if (utils.isEmpty(list) && config.order.page == 1) {
                    that.popup.open({
                        contentHtml: that.render.parseList('noDataTips'),
                        openCallback: function openCallback() {
                            that.initPopScroll();
                            setTimeout(function () {
                                that.popup.hide();
                            }, 2000);
                        }
                    });
                    var fNav = that.$toolbar.find('.J_ToolNav');
                    fNav.find('li.on').removeClass('on');
                    return;
                }
            }
            var prevListStr = that.render.parseList('orderList', orderList);
            config.order.page++;
            var listStr = list.length && config.order.page != 1 ? prevListStr : that.render.parseList('noDataTips');

            that.loader.hide();
            that.popup.set('popDataType', 'order');
            that.popup.set('groupId', groupId);
            that.popup.open({
                title: '请选择您要咨询的订单',
                contentHtml: listStr,
                openCallback: function openCallback() {
                    that.initPopScroll();
                    if (!list.length && config.order.page == 2) {
                        setTimeout(function () {
                            that.popup.hide();
                        }, 2000);
                    }
                },
                closeCallback: function closeCallback() {
                    // console.log(that.popup);
                    var fNav = that.$toolbar.find('.J_ToolNav');
                    fNav.find('li.on').removeClass('on');
                    that.popup.set('popDataType', undefined);
                    that.popup.set('groupId', undefined);
                }
            });
        });
    }
};
/**
 * 获取最近购买商品列表，在模态框中展示
 * @param  {String} opCode  opCode
 * @param  {String} groupId 技能组ID
 * @return {...}
 */
App.prototype.getRecentBuy = function (opCode, groupId, list) {
    var that = this;
    var timeout;
    that.loader.show();
    timeout = setTimeout(function () {
        var fNav = that.$toolbar.find('.J_ToolNav');
        fNav.find('li.on').removeClass('on');
        that.loader.hide();
        that.toast.show('加载超时');
    }, 10000);
    // 没有最近购买的商品接口
    // 从我的订单中抓取商品列表
    if (typeof list !== 'undefined') {
        var pList = {
            list: dataTool.parseProductList(list)
        };
        // var prevListStr = config.isSdk ? that.render.parseList('productList', pList) : that.render.parseList('recentList', pList);
        var prevListStr = that.render.parseList('productList', pList);
        config.buy.page++;
        var listStr = list.length && config.buy.page != 1 ? prevListStr : that.render.parseList('noDataTips');
        clearTimeout(timeout);
        that.loader.hide();
        that.popup.set('popDataType', 'buy');
        that.popup.set('groupId', groupId);
        that.popup.open({
            title: '请选择您要咨询的商品',
            contentHtml: listStr,
            openCallback: function openCallback() {
                that.initPopScroll();
            },
            closeCallback: function closeCallback() {
                var fNav = that.$toolbar.find('.J_ToolNav');
                fNav.find('li.on').removeClass('on');
                that.popup.set('popDataType', undefined);
                that.popup.set('groupId', undefined);
            }
        });
    } else {
        that.receiver.getRecentOrderList({
            page: config.buy.page,
            pageSize: config.buy.pageSize,
            month: config.buy.month
        }, function (list) {
            var pList = {
                list: dataTool.parseProductList(list)
            };
            that.loader.hide();
            clearTimeout(timeout);
            if (typeof opCode === 'undefined') {
                if (utils.isEmpty(list) && config.buy.page == 1) {
                    that.popup.open({
                        contentHtml: that.render.parseList('noDataTips'),
                        openCallback: function openCallback() {
                            that.initPopScroll();
                            setTimeout(function () {
                                that.popup.hide();
                            }, 2000);
                        }
                    });
                    var fNav = that.$toolbar.find('.J_ToolNav');
                    fNav.find('li.on').removeClass('on');
                    return;
                }
            }
            var prevListStr = that.render.parseList('productList', pList);
            config.buy.page++;
            var listStr = list.length && config.buy.page != 1 ? prevListStr : that.render.parseList('noDataTips');

            that.loader.hide();
            that.popup.set('popDataType', 'buy');
            that.popup.set('groupId', groupId);
            that.popup.open({
                title: '请选择您要咨询的商品',
                contentHtml: listStr,
                openCallback: function openCallback() {
                    that.initPopScroll();
                    if (!list.length && config.buy.page == 2) {
                        setTimeout(function () {
                            that.popup.hide();
                        }, 2000);
                    }
                },
                closeCallback: function closeCallback() {
                    var fNav = that.$toolbar.find('.J_ToolNav');
                    fNav.find('li.on').removeClass('on');
                    that.popup.set('popDataType', undefined);
                    that.popup.set('groupId', undefined);
                }
            });
        });
    }
};
/*
 * sdk 端显示最近购买和最近浏览数据
 */
App.prototype.showRecentProduct = function (param) {
    var that = this;
    var opCode = param.opCode || '';
    var groupId = param.groupId || '';
    var list = param.list || [];
    var clickPosition = SCSSDK.bridge.configs.clickPosition;
    var typePage = 'recent';
    if (config.isSdk) {
        if (config[typePage].page == 1 && utils.isEmpty(list)) {
            if (clickPosition == 'opRecent') {
                // 显示底部工具栏
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showToolbar',
                    data: 1
                });
                that.enterChat();
                return;
            } else {
                that.popup.open({
                    contentHtml: that.render.parseList('noDataTips'),
                    openCallback: function openCallback() {
                        if (clickPosition == 'barRecent') {
                            that.setOpenPoupFlag();
                        }
                        that.initPopScroll();
                        /*setTimeout(function() {
                            that.popup.hide();
                        }, 2000);*/
                    },
                    closeCallback: function closeCallback() {
                        // 显示底部工具栏
                        SCSSDK.bridge.callSdk('startSdkWork', {
                            action: 'showToolbar',
                            data: 1
                        });
                        that.resetSdkOpt();
                    }
                });
            }
        } else {
            if (config[typePage].page == 1) {
                var tpl = '';
                var pList = {};
                tpl = 'recentList';
                pList = {
                    list: dataTool.parseRecentList(list)
                };
                config[typePage].page++;
                var prevListStr = that.render.parseList(tpl, pList);
                that.loader.hide();
                that.popup.set('popDataType', typePage);
                that.popup.set('groupId', groupId);
                that.popup.open({
                    title: '请选择您要咨询的商品',
                    contentHtml: prevListStr,
                    openCallback: function openCallback() {
                        if (clickPosition == 'barRecent') {
                            that.setOpenPoupFlag();
                        }
                        that.initPopScroll();
                    },
                    closeCallback: function closeCallback() {
                        // console.log(that.popup);
                        var fNav = that.$toolbar.find('.J_ToolNav');
                        fNav.find('li.on').removeClass('on');
                        that.popup.set('popDataType', undefined);
                        that.popup.set('groupId', undefined);
                        if (config.isSdk && SCSSDK.bridge.callSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                            SCSSDK.bridge.callSdk('startSdkWork', {
                                action: 'showToolbar',
                                // 1：显示
                                data: 1
                            });
                            that.resetSdkOpt();
                        }
                    }
                });
            } else {
                var pList = {
                    list: dataTool.parseRecentList(list)
                };
                var tpl = 'recentList';
                var prevListStr = that.render.parseList(tpl, pList);
                var objJson = {
                    list: pList,
                    listStr: prevListStr,
                    panelParent: '.J_ProductListWrap',
                    panel: '.J_ProductListWrap',
                    tpl: tpl,
                    typePage: typePage
                };
                that.showNextPage(objJson);
            }
        }
    }

    that.loader.hide();
};

/**
 * 获取最近浏览商品列表，在模态框中展示
 * @param  {String} opCode  opCode
 * @param  {String} groupId 技能组ID
 * @return {...}
 */
App.prototype.getRecentSee = function (opCode, groupId, list) {
    var that = this;
    var timeout;
    that.loader.show();
    if (config.isSdk) {
        if (typeof list == 'undefined' && opCode && groupId) {
            SCSSDK.bridge.configs.groupDetail.opCode = opCode;
            SCSSDK.bridge.configs.groupDetail.groupId = groupId;
            SCSSDK.bridge.configs.clickPosition = SCSSDK.util.getClickPosition(opCode);
        } else {
            config.recent.page = 1;
            // SDK端  直接调用标识是从toolbar 点入
            SCSSDK.bridge.configs.clickPosition = SCSSDK.util.getClickPosition(5);
        }
    } else {
        timeout = setTimeout(function () {
            var fNav = that.$toolbar.find('.J_ToolNav');
            fNav.find('li.on').removeClass('on');
            that.loader.hide();
            that.toast.show('加载超时');
        }, 10000);
    }

    if (typeof list !== 'undefined') {
        var pList = {
            list: dataTool.parseRecentList(list)
        };

        var prevListStr = that.render.parseList('recentList', pList);
        config.recent.page++;
        var listStr = list.length && config.recent.page != 1 ? prevListStr : that.render.parseList('noDataTips');
        if (timeout) {
            clearTimeout(timeout);
        }
        that.loader.hide();
        that.popup.set('popDataType', 'recent');
        that.popup.set('groupId', groupId);
        that.popup.open({
            title: '请选择您要咨询的商品',
            contentHtml: listStr,
            openCallback: function openCallback() {
                that.initPopScroll();
            },
            closeCallback: function closeCallback() {
                var fNav = that.$toolbar.find('.J_ToolNav');
                fNav.find('li.on').removeClass('on');
                that.popup.set('popDataType', undefined);
                that.popup.set('groupId', undefined);
                if (config.isSdk && SCSSDK.bridge.callSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'showToolbar',
                        // 1：显示
                        data: 1
                    });
                }
            }
        });
    } else {
        that.receiver.getRecentProducts({
            page: config.recent.page,
            pageSize: config.recent.pageSize,
            month: config.recent.month
        }, function (list) {
            var pList = {
                list: dataTool.parseRecentList(list)
            };
            that.loader.hide();
            clearTimeout(timeout);
            if (typeof opCode === 'undefined') {
                if (utils.isEmpty(list) && config.recent.page == 1) {
                    that.popup.open({
                        contentHtml: that.render.parseList('noDataTips'),
                        openCallback: function openCallback() {
                            that.initPopScroll();
                            setTimeout(function () {
                                that.popup.hide();
                            }, 2000);
                        }
                    });
                    var fNav = that.$toolbar.find('.J_ToolNav');
                    fNav.find('li.on').removeClass('on');
                    return;
                }
            }
            var prevListStr = that.render.parseList('recentList', pList);
            config.recent.page++;
            var listStr = list.length && config.recent.page != 1 ? prevListStr : that.render.parseList('noDataTips');

            that.popup.set('popDataType', 'recent');
            that.popup.set('groupId', groupId);
            that.popup.open({
                title: '请选择您要咨询的商品',
                contentHtml: listStr,
                openCallback: function openCallback() {
                    that.initPopScroll();
                    if (!list.length && config.recent.page == 2) {
                        setTimeout(function () {
                            that.popup.hide();
                        }, 2000);
                    }
                },
                closeCallback: function closeCallback() {
                    var fNav = that.$toolbar.find('.J_ToolNav');
                    fNav.find('li.on').removeClass('on');
                    that.popup.set('popDataType', undefined);
                    that.popup.set('groupId', undefined);
                }
            });
        });
    }
};

// 获取下一页订单数据
App.prototype.getNextPageOrder = function () {
    var that = this;
    that.receiver.getRecentOrderList({
        page: config.order.page,
        pageSize: config.order.pageSize,
        month: config.order.month
    }, function (list) {
        var pList = {
            list: dataTool.parseOrderList(list)
        };
        var listStr = that.render.parseList('orderList', pList);
        var orderItems = $(listStr).find('.J_OrderListWrap').html();
        config.order.page++;
        that.popup.popup.find('.J_OrderListWrap').append(orderItems);
        that.popScroller.refresh();
    });
};

// 获取下一页最近购买的商品
App.prototype.getNextPageBuy = function () {
    var that = this;
    that.receiver.getRecentOrderList({
        page: config.buy.page,
        pageSize: config.buy.pageSize,
        month: config.buy.month
    }, function (list) {
        var pList = {
            list: dataTool.parseProductList(list)
        };
        var listStr = that.render.parseList('productList', pList);
        var pItems = $(listStr).find('.J_ProductListWrap').html();
        config.buy.page++;
        that.popup.popup.find('.J_ProductListWrap').append(pItems);
        that.popScroller.refresh();
    });
};

// 获取下一页最近浏览的商品
App.prototype.getNextPageRecent = function () {
    var that = this;
    that.receiver.getRecentProducts({
        page: config.recent.page,
        pageSize: config.recent.pageSize,
        month: config.recent.month
    }, function (list) {
        var pList = {
            list: dataTool.parseRecentList(list)
        };
        var listStr = that.render.parseList('recentList', pList);
        var pItems = $(listStr).find('.J_ProductListWrap').html();
        config.recent.page++;
        that.popup.popup.find('.J_ProductListWrap').append(pItems);
        that.popScroller.refresh();
    });
};

App.prototype.popupForOrderList = function (html, data) {
    var that = this;
    that.popup.open({
        title: '请选择您要咨询的订单',
        contentHtml: html,
        openCallback: function openCallback() {
            that.initPopScroll();
            that.popup.popup.find('.J_OrderItem').removeClass('J_OrderItem').addClass('J_ArcOrderItem');
            that.popup.popup.find('.im-box-pop').attr('template-data', JSON.stringify(data));
            that.popup.popup.find('.im-box-pop').attr('data-guide', data.guideIndex);
            that.popup.popup.find('.im-box-pop').attr('data-code', data.tid);
            that.popup.popup.find('.im-box-pop').attr('data-type', data.componentType);
        },
        closeCallback: function closeCallback() {}
    });
};

App.prototype.popupForBlank = function (html, data) {
    var that = this;
    var title = data.content.attr.tab_title || '请选择您要咨询的品牌';
    that.popup.open({
        title: title,
        contentHtml: html,
        openCallback: function openCallback() {
            that.$editor.blur();
            that.setEmojiItem();
            that.initPopScroll();
        },
        closeCallback: function closeCallback() {}
    });
};

App.prototype.popupForTickets = function (html, data) {
    var that = this;
    var title = data.content.answer_title || '';
    that.popup.open({
        title: title,
        contentHtml: html,
        openCallback: function openCallback() {
            that.initPopScroll();
            // 回调处理
            var type = $(html).attr('data-type');
            that.ticketsModule[type](data, type);
        },
        closeCallback: function closeCallback() {}
    });
};
App.prototype.riskCheckExist = function () {
    var riskNode = $('#' + config.static.riskMsgId);
    if (riskNode.length) {
        // riskNode.removeAttr('id');
        // riskNode.find('.J_RiskCode').prop('readonly', true);
        // riskNode.find('.J_SendRiskCode').addClass('nb-btn-2-no');
        riskNode.remove();
    }
};

App.prototype.riskCodeResponse = function (data) {
    // 根据响应状态，更新UI效果
    var riskNode = $('#' + config.static.riskMsgId);
    var btn;
    var codeBox;
    var codeImg;
    var msgBox;
    if (!riskNode.length) {
        return !!0;
    }
    btn = riskNode.find('.J_SendRiskCode');
    codeBox = riskNode.find('.J_RiskCode');
    codeImg = riskNode.find('.J_RiskCodeImg');
    msgBox = riskNode.find('.J_RiskMsgShow');
    btn.removeClass('nb-btn-2-no');
    codeBox.removeAttr('readonly').addClass('check-err').val('');
    codeImg.attr('src', data.content.url);
    msgBox.removeClass('tips-gray').html(data.content.msg || data.content.tip || '');
    riskNode.appendTo(this.$chatList);
    this.listScroller.refresh();
};

App.prototype.riskNetBroken = function (data) {
    var riskNode = $('#' + config.static.riskMsgId);
    var btn;
    var codeBox;
    var msgBox;
    var codeImg;
    if (!riskNode.length) {
        return !!0;
    }
    btn = riskNode.find('.J_SendRiskCode');
    codeBox = riskNode.find('.J_RiskCode');
    codeImg = riskNode.find('.J_RiskCodeImg');
    msgBox = riskNode.find('.J_RiskMsgShow');
    btn.removeClass('nb-btn-2-no');
    codeBox.removeAttr('readonly');
    msgBox.removeClass('tips-gray').html(data.content.msg || data.content.tip || '');
    riskNode.appendTo(this.$chatList);
    this.listScroller.refresh();
};

App.prototype.riskCheckSuccess = function () {
    var riskNode = $('#' + config.static.riskMsgId);
    riskNode.remove();
};

/**
 * UI层消息发送入口
 * @param data
 */
// App.prototype.sendMsg = function(data, callback) {
//     var that = this;
//     if (data.type !== 'hello') {
//         // 每两分钟增加一条时间线
//         that.addTimeLine();
//     }
//     that.sender.sendMsg(data, function(msg) {
//         that.sendCallBack(msg, callback);
//     });
// };

App.prototype.sendMsg = function (data, callback) {
    var that = this;
    if (data.type !== 'hello') {
        if (config.isSdk) {
            if (callback != 'reSendCallback') {
                // 每两分钟增加一条时间线
                that.addTimeLine();
            }
        } else {
            // 每两分钟增加一条时间线
            that.addTimeLine();
        }
    }
    if (config.isSdk) {
        that.sender.sendToSdk(data, callback);
        /* that.sender.sendToSdk(data, function(msg) {
             that.sendCallBack(msg, callback);
         });*/
    } else {
        that.sender.sendMsg(data, function (msg) {
            that.sendCallBack(msg, callback);
        });
    }
};

App.prototype.sendCallBack = function (msg, callback) {
    var that = this;
    var $fMsg = $('.J_ChatItem[data-fmid="' + msg.fmid + '"]');
    if ($fMsg.length) {
        if (msg.result) {
            $fMsg.find('.J_SendStatus').remove();
        } else {
            $fMsg.find('.J_SendStatus').addClass('err');
        }
    }
    that.listScroller.refresh();
    callback && callback.call(that, msg);
    return msg;
};

App.prototype.sendFormMsg = function (data, callback) {
    var that = this;
    if (config.isSdk) {
        that.sender.sendToSdk(data, callback);
    } else {
        that.sender.sendFormMsg(data, callback);
    }
};

/**
 * JIMI 对话展示正在输入中
 */
App.prototype.creatE;

/**
 * 判断对话列表滚动条是否处于底部
 */
App.prototype.isEnd = function () {
    var that = this;
    if (config.isSdk) {
        var body = $('body');
        var wh = body.height();
        var sh = body.get(0).scrollHeight;
        var st = body.scrollTop();
        // var wrapperHeight = that.listScroller.wrapperHeight;
        // var scrollerHeight = that.listScroller.scrollerHeight;
        // var translateY = that.listScroller.y;
        var bottomH = 20;
        // console.log(translateY);
        // 距离底部10px距离，当做已经到达底部，条件宽松程度可控
        // 有快捷咨询入口时，要调整end的距离
        if (that.$chatList.hasClass('im-chat-pb')) {
            bottomH = 120;
        }
        // return Math.abs(Math.abs(wrapperHeight - scrollerHeight) - Math.abs(translateY)) < bottomH;
        return sh - wh - st < bottomH;
    } else {
        var wrapperHeight = that.listScroller.wrapperHeight;
        var scrollerHeight = that.listScroller.scrollerHeight;
        var translateY = that.listScroller.y;
        var bottomH = 20;
        // console.log(translateY);
        // 距离底部10px距离，当做已经到达底部，条件宽松程度可控
        // 有快捷咨询入口时，要调整end的距离
        if (that.$chatList.hasClass('im-chat-pb')) {
            bottomH = 120;
        }
        return Math.abs(Math.abs(wrapperHeight - scrollerHeight) - Math.abs(translateY)) < bottomH;
    }
};

/**
 * 程序初始化完成后，向服务器发送第一条消息
 */
App.prototype.sayHello = function () {
    var that = this;
    var data = {
        type: 'hello',
        content: '顾客 ' + that.chatConfig.get('pin') + ' 加入咨询'
    };
    if (utils.notEmpty(that.chatConfig.get('pid'))) {
        data.content += '\n商品编号：' + that.chatConfig.get('pid');
        data.pid = that.chatConfig.get('pid');
    }
    if (utils.notEmpty(that.chatConfig.get('orderId'))) {
        data.content += '\n订单编号：' + that.chatConfig.get('orderId');
    }
    that.sendMsg(data, function () {
        var sid = that.chatConfig.get('sid');
        if (sid) {
            LandFill.set('cid', that.chatConfig.get('sid'));
        }
    });
};

/**
 * 设置聊天上下文
 * 存在的问题：
 * 1. 需要根据sessionType来判断当前上下文中chatInfo需要包含哪些参数？
 * 2. 下次对话当中，chatInfo对象是否存在一些非法的字段？
 * @param chatInfo
 */
App.prototype.setChatContext = function (chatInfo) {
    var that = this;
    var sid = that.chatConfig.get('sid');
    if (sid) {
        LandFill.set('sid', that.chatConfig.get('sid'));
    }
    var oldVenderId = that.chatConfig.get('venderId');
    var oldEntry = that.chatConfig.get('entry');
    var oldAppId = that.chatConfig.get('appId');
    var oldPid = that.chatConfig.get('pid');
    var oldOrderId = that.chatConfig.get('orderId');
    var oldGroupId = that.chatConfig.get('groupId');

    // 如果chatInfo包含pid，不包含订单ID，则上下文中删除订单ID
    if (utils.notEmpty(chatInfo.pid) && utils.isEmpty(chatInfo.orderId)) {
        that.chatConfig.del('orderId');
    }

    if (!utils.isObject(chatInfo)) {
        throw new Error('the type of chatInfo must be object');
    }
    for (var key in chatInfo) {
        that.chatConfig.set(key, chatInfo[key]);
    }
    that.chatConfig.del('userGuideFlag');
    that.chatConfig.del('classifyEnglishName');
    that.chatConfig.del('inviteFlag');
    that.chatConfig.del('moduleEnglishName');
    that.chatConfig.del('templateUrl');
    // that.chatConfig.del('jimiPin');
    that.chatConfig.del('groupName');
    that.chatConfig.del('sessionCode');
    that.chatConfig.del('interactiveId');
    that.chatConfig.del('ct');

    var newVenderId = that.chatConfig.get('venderId');
    var newEntry = that.chatConfig.get('entry');
    var newAppId = that.chatConfig.get('appId');
    var newPid = that.chatConfig.get('pid');
    var newOrderId = that.chatConfig.get('orderId');
    var newGroupId = that.chatConfig.get('groupId');

    var editHrefFlag = false;
    var pathname = location.pathname;
    var args = utils.getParamsFromUrl() || {};

    if (oldVenderId != newVenderId) {
        editHrefFlag = true;
        args.venderId = newVenderId;
    }
    if (oldEntry != newEntry) {
        editHrefFlag = true;
        args.entry = newEntry;
    }
    if (oldAppId != newAppId) {
        editHrefFlag = true;
        args.appId = newAppId;
    }
    // 不添加pid orderId参数到地址栏
    /*if (oldPid != newPid) {
        editHrefFlag = true;
        args.pid = newPid;
    }
    if (oldOrderId != newOrderId) {
        editHrefFlag = true;
        if (newOrderId) {
            args.orderId = newOrderId;
        } else {
            delete args.orderId;
        }
    }*/
    if (oldGroupId != newGroupId) {
        editHrefFlag = true;
        args.groupId = newGroupId;
    }
    if (!config.isSdk) {
        if (editHrefFlag) {
            pathname = utils.addParamsToUrl(pathname, args);
            history.pushState({}, '', pathname);
        }
    }
};

/**
 * 滚动条置于底部
 * @param delay {Number} 滚动条滚动到底部的延迟时间，单位毫秒，默认300
 */
App.prototype.scrollToFoot = function (delay) {
    var that = this;
    if (config.isSdk) {
        var body = $('body');
        var wh = body.height();
        var sh = body.get(0).scrollHeight;
        if (delay > 0) {
            setTimeout(function () {
                if (!that.popup.popup.is(':visible') && !config.closePopOptFlag) {
                    body.scrollTop(sh - wh);
                    config.closePopOptFlag = !!0;
                } else {
                    // 164这个值的来源是有skd端键盘显示隐藏，窗口的高度差是88
                    var curDis = body.scrollTop();
                    if (!that.popup.popup.is(':visible')) {
                        if (Math.abs(sh - curDis - wh) <= 164) {
                            body.scrollTop(sh - wh - 50);
                        }
                    }
                    if (Math.abs(sh - curDis - wh) <= 164) {
                        body.scrollTop(sh - wh);
                    }
                }
            }, delay);
        } else {
            if (!that.popup.popup.is(':visible') && !config.closePopOptFlag) {
                body.scrollTop(sh - wh);
                config.closePopOptFlag = !!0;
            } else {
                // 164这个值的来源是有skd端键盘显示隐藏，窗口的高度差是88
                var curDis = body.scrollTop();
                if (!that.popup.popup.is(':visible')) {
                    if (Math.abs(sh - curDis - wh) <= 164) {
                        body.scrollTop(sh - wh - 50);
                    }
                }
                if (Math.abs(sh - curDis - wh) <= 164) {
                    body.scrollTop(sh - wh);
                }
            }
        }
    } else {
        var scroll = function scroll(item, distance) {
            if (!!distance) {
                item = $(item);
                if (item.outerHeight() + distance > $('#J_Wrapper').height()) {
                    that.listScroller.scrollTo(0, -item.position().top, 1000);
                } else {
                    that.listScroller.scrollToElement(item[0], 0);
                }
            } else {
                that.listScroller.scrollToElement(item, 0);
            }
        };

        var lastEle = that.$chatList.children().last();

        if (lastEle.length) {
            var isHidden = $('#J_CustomServiceInfo').hasClass('top-hidden');
            var checkDistance = isHidden ? 0 : 50;
            if (delay > 0) {
                setTimeout(function () {
                    scroll(lastEle[0], checkDistance);
                }, delay);
            } else {
                scroll(lastEle[0], checkDistance);
            }
        }
    }
};

/**
 * 弹框 初始化和更新 
 * opts : IScroll设置相关参数
 */
App.prototype.initPopScroll = function (opts) {
    var that = this;
    var defaultOpts = {
        mouseWheel: true,
        probeType: 3,
        click: true,
        momentum: true,
        preventDefault: true
    };
    var options = opts && (typeof opts === 'undefined' ? 'undefined' : _typeof(opts)) == 'object' ? Object.assign({}, opts) : defaultOpts;
    if (that.popScroller && $('#' + config.static.popScrollId).length) {
        that.popScroller.refresh();
    } else {
        that.popScroller = new IScroll('#' + config.static.popScrollId, options);
        that.popScroller.on('scrollEnd', function () {
            var popDataType = that.popup.get('popDataType');
            var endPosition = this.y;
            var scrollDiff = this.scrollerHeight - this.wrapperHeight;
            if (scrollDiff > 0 && Math.abs(endPosition) >= scrollDiff) {
                switch (popDataType) {
                    case 'order':
                        that.getNextPageOrder();
                        break;
                    case 'buy':
                        that.getNextPageBuy();
                        break;
                    case 'recent':
                        that.getNextPageRecent();
                        break;
                    case 'interactive_for_order':
                        that.getDataForInteractiveOrder();
                        break;
                }
            }
        });
    }
};

/**
 * jimi账号设置
 */
App.prototype.setJimiPin = function () {
    var that = this;
    that.chatConfig.set('jimiPin', 'jimi_vender_' + that.chatConfig.get('venderId'));
};

/**
 * 头部信息更新
 */
App.prototype.headRefresh = function () {
    var that = this;
    var chatConfig = that.chatConfig;
    var $topBody = $('.J_WaiterBody ');
    var $topInfo = $topBody.parents('.top-info');
    var $name = $topBody.find('.name span');
    var $type = $topBody.find('.name .type');
    var $logo = $topBody.find('.J_WaiterHead');
    var type = chatConfig.get('venderType');
    var venderId = +chatConfig.get('venderId');
    var venderName = chatConfig.get('venderName');
    var venderLog = config.topInfo.logo;
    var className = '';
    var nameTxt = '';
    var logoSrc = '';
    if ($topInfo.hasClass('top-shop')) {
        $topInfo.removeClass('top-shop');
    }
    if ($topInfo.hasClass('top-jdzy')) {
        $topInfo.removeClass('top-jdzy');
    }
    if ($topInfo.hasClass('top-offical')) {
        $topInfo.removeClass('top-offical');
    }
    if (chatConfig.get('sessionType') == 'jimi') {
        className = 'top-jimi';
        nameTxt = chatConfig.get('jimiNick') || 'JIMI';
        logoSrc = chatConfig.get('jimiAvatar') || config.static.jimiServer;
    } else {
        className = 'top-shop';
        nameTxt = venderName;
        logoSrc = venderLog ? venderLog : config.static.popServer;
        switch (type) {
            case 1:
                // 店铺
                className = 'top-shop';
                nameTxt = venderName;
                logoSrc = venderLog ? venderLog : config.static.popServer;
                break;
            case 2:
                // 品牌
                className = 'top-jdzy';
                nameTxt = venderName;
                logoSrc = venderLog ? venderLog : config.static.popServer;
                break;
            case 3:
                // 官方
                className = 'top-offical';
                nameTxt = '京东客服';
                logoSrc = venderLog ? venderLog : config.static.jdServer;
                break;
            case 4:
                // 一号店
                className = 'top-shop';
                nameTxt = venderName;
                logoSrc = venderLog ? venderLog : config.static.popServer;
                break;
        }
        if ($topInfo.hasClass('top-jimi')) {
            $topInfo.removeClass('top-jimi');
        }
    }
    $type.html(chatConfig.get('venderTypeTxt'));
    $name.html(nameTxt);
    $topInfo.addClass(className);
    $logo.attr('src', logoSrc);
};

/**
 * 获取服务商，单个订单详情，单个商品详情
 */
App.prototype.getSoaInfo = function (callback, extendArgs) {
    var that = this;
    that.receiver.getSoaDetail(function (result) {
        that.setVenderInfo(result);
        that.setJimiPin();
        that.headRefresh();
    }, extendArgs);
};

App.prototype.setVenderInfo = function (o) {
    var that = this;
    var chatConfig = that.chatConfig;
    var data = o.venderInfo;
    var venderId = '';
    var venderName = '';
    var type = data.type || '';
    var typeTxt = '';
    var appId = '';
    if (chatConfig.get('pid') && o.pid) {
        chatConfig.set('pidImgURL', o.imgurl);
        chatConfig.set('pidName', _typeof(o.name) ? o.name : '暂无');
        chatConfig.set('pidPice', _typeof(o.price3) ? o.price3 : '暂无');
    } else if (chatConfig.get('orderId') && o.orderId) {

        chatConfig.set('orderPrice', _typeof(o.orderPrice) ? o.orderPrice : '暂无');
        chatConfig.set('orderTime', _typeof(o.time) ? new Date(o.time).format('{Y}-{M}-{D} {H}:{I}') : '');
        // 这个信息暂无
        chatConfig.set('orderImg', '');
    }

    if (typeof data.supplierCode != 'undefined' && data.supplierCode) {
        venderId = data.supplierCode;
    } else {
        venderId = data.venderId || null;
    }
    switch (type) {
        case 1:
            typeTxt = '店铺';
            break;
        case 2:
            typeTxt = '品牌';
            break;
        case 3:
            typeTxt = '官方';
            break;
    }
    // 兜底服务商类型
    if (!data.venderId) {
        venderId = 1;
        type = 3;
        typeTxt = '官方';
        venderName = '京东客服';
        appId = 'jd.waiter';
    } else {
        venderName = data.venderName || '商家客服';
        appId = o.appId;
    }
    chatConfig.set('venderTypeTxt', typeTxt);
    chatConfig.set('venderType', type);
    chatConfig.set('venderName', venderName);
    chatConfig.set('venderId', venderId);
    appId && chatConfig.set('appId', appId);
    if (venderId == 1) {
        config.topInfo.logo = '';
    } else {
        config.topInfo.logo = o.logo ? o.logo : '';
    }
    that.setChatContext({
        venderId: venderId
    });
};

// 图片lightbox效果
App.prototype.imgLightBox = function () {
    var that = this;
    if (config.isSdk) {
        that.$chatList.on(clickEvent, '.image-file', function (ev) {
            ev.preventDefault();
            var imgWraps;
            var imgArr = [];
            var $this = $(this);
            var index = 0;
            imgWraps = $('.image-file');
            $this.attr('data-use-for-equal', 'dataUseForEqual');
            imgWraps.each(function (idx, iw) {
                var $iw = $(iw);
                var $img = $iw.find('img');
                var src = $img.attr('src');
                var dataSrc = $iw.attr('href');
                if ($iw.attr('data-use-for-equal') == 'dataUseForEqual') {
                    index = idx;
                    $iw.removeAttr('data-use-for-equal');
                }
                imgArr.push({
                    url: dataSrc,
                    thumb: src
                });
            });
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'showPhotoBrowser',
                    data: {
                        index: index,
                        imgs: imgArr
                    }
                });
            } else {
                that.toast.show('<div style="text-align:center;line-height:1.5;">非App访问<br>不支持预览大图</div>');
            }
        });
    } else {
        $('.image-file').swipebox({
            touchClose: true,
            useSVG: false,
            selector: '.image-file'
        });
    }
};

/*
 * 图片答案处理 isHistory : 1
 */
App.prototype.setJimiImgShow = function (isHistory) {
    var that = this;
    var $jimiImg = isHistory ? $('.J_TextImageList') : $('.J_TextImageList:last');
    var dialog = $jimiImg.parents('.dialog-box');
    var p_width = parseInt(dialog.width());
    var $li = $jimiImg.find('li');
    var len = $li.length;
    var overMax = 3;
    var width = '';
    var imgArr = $li.find('img');
    function getImgHeight(num) {
        var _loop = function _loop() {
            imgObj = new Image();

            imgObj.src = imgArr[i].src;
            //imgObj.index = i;
            imgObj.setAttribute('index', i);
            imgLoading(imgObj);
            function imgLoading(obj) {
                obj.onload = function () {
                    var imgH = this.height;
                    if (imgH >= config.static.imgListMaxH) {
                        config.static.imgListMaxH = imgH;
                    }
                    $li.css('max-height', config.static.imgListMaxH);
                    $jimiImg.css('height', $li.height());
                    that.listScroller.refresh();
                    if (!isHistory) {
                        that.scrollToFoot();
                    }
                };
            }
            imgObj.onerror = function () {
                imgArr[this.getAttribute('index')].src = config.static.noPic;
                $(imgArr[this.getAttribute('index')]).parent().attr('href', config.static.noPic);
                var errImg = new Image();
                errImg.src = imgArr[this.getAttribute('index')].src;
                imgLoading(errImg);
            };
        };

        for (var i = 0; i < num; i++) {
            var imgObj;

            _loop();
        }
    }
    $jimiImg.css('width', p_width);
    if (len > overMax) {
        width = parseInt(p_width / overMax) - 5;
        $li.css('width', width);
        getImgHeight(len);
        $jimiImg.find('.sub-lst-03').addClass('sub-lst-num');
    } else {
        $jimiImg.find('.sub-lst-03').removeClass('sub-lst-num').addClass('sub-lst-auto');
        if (len >= 2) {
            width = parseInt(p_width / len) - 5;
            $li.css('width', width);
        }
        getImgHeight(len);
    }
};
/*
 * 已经发起了新的咨询提示
 */
App.prototype.setNewWinTips = function () {
    this.shadow.open();
};
App.prototype.offlineTip = function () {
    var that = this;
    if (that.offLineTipFlag) {
        that.shadow.open({
            contentHtml: '<div class="new-win-tips">' + '<p class="new-p01">网络异常或会话过期，请刷新重新加入咨询</p>' + '<p class="btn-box"><a href="javascript:;" onclick="location.reload(false);"> 请点击这里刷新</a></p>' + '</div>'
        });
        that.offLineTipFlag = false;
    }
};
// 会话真正过期， 重新登录
App.prototype.goNewLogin = function (data) {
    var that = this;
    if (data && data.errorCode && data.errorCode == 111) {
        var goUrl = data.loginUrl + encodeURIComponent(window.location.href);
        window.location.href = goUrl;
    }
};
// 开启socket
App.prototype.dealStartSocket = function () {
    var that = this;
    that.receiver.socketStart();
};
// 关闭socket
App.prototype.dealStopSocket = function () {
    var that = this;
    that.receiver.socketStop();
};
// 更新Aid
App.prototype.updateAid = function () {
    var that = this;
    that.dealStopSocket();
    var options = {
        url: config.api.updateAid,
        type: 'POST',
        dataType: 'JSON',
        data: {}
    };
    utils.ajax(options, function (result) {
        if (result.code == 1 && result.aid) {
            that.chatConfig.set('aid', result.aid);
            that.dealStartSocket();
        }
    }, function () {
        setTimeout(function () {
            that.updateAid();
        }, 5000);
    });
};

App.prototype.waitingForInputCode = function () {
    var that = this;
    var $html = $('<div id="J_FooterMask" style="position: absolute; width: 100%; height: calc(100% + 40px); left: 0; top: -50px; z-index: 9999"></div>');
    var $JToolBar = $('#J_Toolbar');
    var $J_FooterMask = $('#J_FooterMask');
    if (!$J_FooterMask.length) {
        $JToolBar.append($html);
    } else {
        $J_FooterMask.show();
    }
    $html.on('click', function (event) {
        event = event || window.event;
        event.preventDefault();
        if ($('[data-fmid="J_Message_Wait_Risk"]').length == 0) {
            var data = {
                type: 'system',
                target: 'system',
                content: '输对验证码，才能发送消息哦'
            };
            data.fmid = 'J_Message_Wait_Risk';
            var msg = that.render.parse(data);
            that.showMsg(msg);
        }
    });
};
App.prototype.cancelWaitingForInputCode = function () {
    $('#J_FooterMask').remove();
    $('[data-fmid="J_Message_Wait_Risk"]').remove();
};
App.prototype.showFirstHistories = function (list) {
    var that = this;
    if (utils.isEmpty(list)) {
        return;
    }
    var $list = $('<div></div>');
    for (var i = 0, len = list.length; i < len; i++) {
        $list.append(list[i]);
    }
    var $images = $list.find('img');
    var imageNumber = $images.length;
    if (imageNumber > 0) {
        for (var i = 0; i < $images.length; i++) {
            (function (src) {
                setTimeout(function () {
                    var image = new Image();
                    image.src = src;
                    if (image.complete) {
                        imageNumber -= 1;
                        if (imageNumber == 0) {
                            that.showMsg($list.children(), 1);
                            that.listScroller.refresh();
                            that.scrollToFoot();
                            that.firstPageLoaded = true;
                        }
                    } else {
                        image.onload = function () {
                            imageNumber -= 1;
                            if (imageNumber == 0) {
                                that.showMsg($list.children(), 1);
                                that.listScroller.refresh();
                                that.scrollToFoot();
                                that.firstPageLoaded = true;
                            }
                        };
                        image.onerror = function () {
                            imageNumber -= 1;
                            if (imageNumber == 0) {
                                that.showMsg($list.children(), 1);
                                that.listScroller.refresh();
                                that.scrollToFoot();
                                that.firstPageLoaded = true;
                            }
                        };
                    }
                }, 20);
            })($images[i].src);
        }
    } else {
        that.showMsg($list.children(), 1);
        that.listScroller.refresh();
        that.scrollToFoot();
        that.firstPageLoaded = true;
    }
};

App.prototype.dragUpLoad = function () {
    var that = this;
    that.drager = Drag.getInstance($('.scroll-div'), {
        scrollArea: window,
        domUp: {
            domClass: 'dropload-up',
            domRefresh: '<div class="dropload-refresh">↓下拉刷新</div>',
            domUpdate: '<div class="dropload-update">↑释放更新</div>',
            domLoad: '<div class="dropload-load"><span class="loading"></span>拉取中...</div>'
        },
        loadUpFn: function loadUpFn(me) {
            that.receiver.getHistories({
                page: config.history.page,
                pageSize: config.history.pageSize
            }, function (rs) {
                setTimeout(function () {
                    // 每次数据加载完，必须重置
                    me.resetload();
                    // 重置页数，重新获取loadDownFn的数据
                    // page = 0;
                    // 解锁loadDownFn里锁定的情况
                    /* me.unlock();
                     me.noData(false);*/
                }, 1000);
            });
        },
        threshold: 30,
        distance: 30
    });
};

App.prototype.resetSdkOpt = function () {
    if (config.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
        SCSSDK.bridge.configs.groupDetail.opCode = '';
        SCSSDK.bridge.configs.groupDetail.groupId = '';
        SCSSDK.bridge.configs.groupDetail.gName = '';
        SCSSDK.bridge.configs.groupDetail.target = '';
        var clickPosition = SCSSDK.bridge.configs.clickPosition;
        if (clickPosition == 'barOrder' || clickPosition == 'barRecent') {
            SCSSDK.bridge.configs.isSdkCallPoup = !!0;
        }
    }
};

App.prototype.clearSence = function () {
    var that = this;

    that.chatConfig.setForcely('orderId', '');
    that.chatConfig.setForcely('serviceId', '');
};

App.prototype.clearTag = function () {
    var that = this;

    that.chatConfig.setForcely('ptag', '');
};
App.prototype.showSingPid = function (parma) {
    var that = this;
    var isHistory = !!0;
    var domArr = $('.J_ChatItem[data-sdk="' + parma.pid + '"]');
    var result = parma.result;
    var price = result.price3;
    var mType = that.chatConfig.get('mType');
    if (price) {
        price = price.replace(/(￥|¥)/g, '');
    } else {
        price = config.messages.noPrice;
    }
    var info;
    var isAdd = null;
    // 新增的
    if (parma && parma.info) {
        isAdd = !!1;
        info = parma.info || null;
        info = typeof info == 'string' ? JSON.parse(info) : info;
    }
    if (info.isHistory) {
        isHistory = info.isHistory;
    }
    // var openApp = 'openApp.jdMobile://virtual?params={"category":"jump","des":"productDetail","sourceValue":"","sourceType":"im_jimi","skuId":"'+ result.pid +'"}';
    if ((!isAdd || info.type == 'replace') && domArr && domArr.length > 0) {
        // 替换的
        var product = {
            type: 'skuCard',
            content: {
                imageUrl: result.imgurl || config.static.noPic,
                price: price,
                id: result.pid,
                name: result.name,
                url: utils.getNewUrl(mType, result.pid)
            }
        };
        var len = domArr.length;
        for (var i = 0; i < len; i++) {
            var $parent = $(domArr[i]);
            var $chatItem = that.render.getChatItem({
                head: false,
                style: 'chat-tpl',
                client: 'service'
            });
            var $skuCard = $.tmpl(config.templates[product.type || 'text'], product);
            $skuCard = that.render.replaceLink($skuCard);
            // $skuCard.find('.sub a').attr('href', openApp);
            $chatItem.attr('data-id', $parent.data('id')).find('.J_MsgCont').append($skuCard);
            $parent.replaceWith($chatItem.clone());
        }
        if (!isHistory) {
            SCSM.scrollToFoot();
        }
    } else {

        // 新增的
        if (!parma || !parma.info) {
            return;
        }
        var targetId = info.targetId || null;
        if (!targetId && info.type != 'add') {
            // 没有dom 上没有data-id
            return;
        }
        var $parent = $('.J_ChatItem[data-id="' + targetId + '"][data-sdk="' + info.productId + '"]');
        var answer = {
            target: config.msgTarget.CUSTOMER,
            type: config.msgType.server.SKU_CARD,
            reelect: info.reelect,
            rel: info.rel || 'product',
            isShowBtn: info.isShowBtn || !!0,
            content: {
                imageUrl: result.imgurl || config.static.noPic,
                price: price,
                id: result.pid,
                name: result.name,
                url: utils.getNewUrl(mType, info.productId)
            }
        };
        if (info.orderId) {
            answer.orderId = info.orderId;
        }
        if (info.parsedTime) {
            answer.content.orderTime = info.parsedTime;
        }
        if (info.status) {
            answer.content.status = info.status;
        }
        var answerObj = that.render.parse(answer);

        var $chatItem = that.render.getChatItem({
            head: false,
            style: 'chat-info',
            client: 'service'
        });
        if ($parent.length) {
            $chatItem.attr('data-id', $parent.data('id')).find('.J_MsgCont').append(answerObj.find('.J_MsgCont'));
            $parent.replaceWith($chatItem);
            var typeDom;
            var type = answer.rel;
            if (answer.rel.match(/recommend/g)) {
                // 推荐
                type = answer.rel.split('::')[0];
                var msgId = answer.rel.split('::')[1];
                var lists = $('[data-id="' + msgId + '"]');
                var note = lists.find('.im-list01').attr('data-answer-note') || null;
                // jimi 搜索推荐场景不需要替换列表
                if (utils.getAnswerNote(note)) {
                    that.showMsg(answerObj);
                    return;
                }
                if (lists.length) {
                    lists.remove();
                    typeDom = [];
                } else {
                    typeDom = $('[data-rel*="' + type + '"]');
                }
            } else {
                typeDom = $('[data-rel="' + type + '"]');
            }
            var len = typeDom.length;
            if (len > 1) {
                for (var j = 0; j < len - 1; j++) {
                    var parItem = $(typeDom[j]).parent('.comon-more');
                    parItem.prev('ul.im-list04').addClass('im-list05');
                    parItem.remove();
                }
            }
        } else {
            that.showMsg(answerObj);
        }

        SCSM.scrollToFoot();
    }

    App.prototype.showSingOid = function (parma) {
        var that = this;
        var res = parma.result;
        var info = parma.info;
        if (res.code == 1) {
            var result = res.result;
            var products = result.products || [];
            if (products.length > 0) {
                var imageUrl = products[0].imageUrl;
                if (!imageUrl.match(/360buyimg.com/)) {
                    imageUrl = 'https://img10.360buyimg.com/n6/' + imageUrl;
                }
                var orderPrice = result.price || '暂无';
                var time = utils.formatDate(new Date(result.time), 'yyyy-MM-dd');
                var answer = {
                    target: configs.msgTarget.CUSTOMER,
                    type: configs.msgType.client.ORDER_DETAIL,
                    reelect: info.reelect,
                    rel: info.rel || 'order',
                    isShowBtn: info.isShowBtn || !!0,
                    content: {
                        imageUrl: imageUrl || configs.static.noPic,
                        price: orderPrice,
                        orderId: result.orderId,
                        time: time
                    }
                };
                var answerObj = render.parse(answer);
                that.showMsg(answerObj);
            }
        }
    };
};
module.exports = App;

/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by lvchenyang on 2017/2/6.
 */
var ChatConfig = __webpack_require__(4);
var configs = __webpack_require__(2);
var utils = __webpack_require__(1);
var QuestionParser = function () {

    var instance;
    var chatConfig = ChatConfig.getInstance();
    var clientMsgType = configs.msgType.client;
    function parse(data) {
        // 判断data是否为一个Object对象
        if (!utils.isObject(data)) {
            throw new Error('data must be an object');
        }

        // 判断data中的字段是否合法
        if (!data.hasOwnProperty('type')) {
            throw new Error('data must contains "type" property');
        }

        // 判断data中是否包含appId
        if (!data.hasOwnProperty('appId')) {
            data.appId = chatConfig.get('appId');
        }

        // 获取info
        data.info = chatConfig.json();
        // SCSSDK.util.log(data.info);

        delete data.info.order_guide_number;
        delete data.info.formClear;
        delete data.info.switchWare;
        delete data.info.switchOrderId;

        // 获取前端设置的interactiveId
        if (data.extData) {
            data.info = Object.assign({}, data.info, data.extData);
        }

        // 添加_wid_
        data._wid_ = chatConfig.get('wid');

        // 添加 appId
        if (data.extData && data.extData.appId) {
            data.appId = data.extData.appId;
        } else {
            data.appId = chatConfig.get('appId');
        }

        delete data.extData;
        delete data.info.venderTypeTxt;
        delete data.info.venderType;
        delete data.info.venderName;

        // delete data.target;
        // delete data.fmid;

        var sendTextType;
        var msgBodyName;
        if (chatConfig.get('sessionType') === 'jimi') {
            sendTextType = clientMsgType.HTML;
            msgBodyName = 'html';
        } else {
            sendTextType = clientMsgType.TEXT;
            msgBodyName = 'content';
        }

        // 根据Type封装消息
        var type = data.type;
        if (configs.isSdk) {
            // SDK初始化ct, mt
            data.info.ct = 1;
            data.info.mt = 52;
            data.info.requestType = 1;
        }
        switch (type) {
            case 'hello':
                data.type = sendTextType;
                data[msgBodyName] = data.content;
                data.info.requestType = 0;
                data.info.ct = 3;
                data.info.mt = 51;
                if (chatConfig.get('sessionType') == 'im' && utils.notEmpty(chatConfig.get('groupId'))) {
                    data.info.sessionFirst = 1;
                }
                chatConfig.del('jimiStart');
                break;
            case 'html':
            case 'text':
                data.type = sendTextType;
                data[msgBodyName] = data.content;
                if (chatConfig.get('sessionType') == configs.sessionType.JIMI) {
                    if (typeof data[msgBodyName] === 'string' && configs.regex.skuUrl.test(data[msgBodyName])) {
                        if (utils.supportHttps()) {
                            data[msgBodyName] = utils.replaceToHttpsProtocol(data[msgBodyName]);
                        }
                        // 注释掉以下内容使jimi应答返回的商品详情答案
                        data.info.requestType = 2;
                    }
                }
                // SCSSDK.util.log(data);
                break;
            case 'image':
                data.type = clientMsgType.IMAGE;
                if (utils.isArray(data.content)) {
                    data.url = data.content[0].url;
                } else {
                    data.url = data.content;
                }
                if (utils.supportHttps() && data.url) {
                    data.url = utils.replaceToHttpsProtocol(data.url);
                }
                delete data.content;
                break;
            case 'order':
                data.type = sendTextType;
                data.info = Object.assign({}, data.info, data.content);
                var pid = data.content.orderPid || data.content.pid;
                var extJson;
                if (configs.isSdk) {
                    if (SCSSDK.bridge.configs.clickPosition == 'barOrder') {
                        //data[msgBodyName] = '<span data-hidden=true data-reelect="true" data-rel="order" data-pid="' + pid + '" data-oid="' + data.content.orderId + '" data-time="' + data.content.parsedTime + '" data-status="' + data.content.status + '" class="J_BarRelCase">咨询订单号：' + data.content.orderId + '    商品ID：' + (pid) + '</span>';
                        // data[msgBodyName] = '咨询订单号：' + data.content.orderId + '    商品ID：' + pid;
                        extJson = {
                            'hidden': 1,
                            'reelect': 1,
                            'rel': 'order',
                            'pid': pid,
                            'oid': data.content.orderId,
                            'time': data.content.parsedTime,
                            'status': data.content.status,
                            'type': 1
                        };
                    } else {
                        // data[msgBodyName] = '<span data-hidden=true data-reelect="true" data-rel="order" data-pid="' + pid + '" data-oid="' + data.content.orderId + '" data-time="' + data.content.parsedTime + '" data-status="' + data.content.status + '" class="J_BarRelCase">咨询订单号：' + data.content.orderId + '    商品ID：' + (pid) + '</span>';
                        // data[msgBodyName] = '咨询订单号：' + data.content.orderId + '    商品ID：' + pid;
                        extJson = {
                            'hidden': 1,
                            'reelect': 1,
                            'rel': 'order',
                            'pid': pid,
                            'oid': data.content.orderId,
                            'time': data.content.parsedTime,
                            'status': data.content.status,
                            'type': 1
                        };
                    }
                } else {
                    //data[msgBodyName] = '咨询订单号：' + data.content.orderId + '    商品ID：' + pid;
                }
                data[msgBodyName] = '咨询订单号：' + data.content.orderId + '    商品ID：' + pid;
                if (extJson) {
                    data.ext = {};
                    data.ext.h5Info = JSON.stringify(extJson);
                }
                // 与人工会话，不更新pid，可能重复触发技能组
                if (chatConfig.get('sessionType') === 'im') {
                    if (data.info.pid) {
                        delete data.info.pid;
                    }
                }
                if (chatConfig.get('sessionType') === 'jimi') {
                    data.info.requestType = 2;
                }
                break;
            case 'product':

                data.type = sendTextType;
                data.info = Object.assign({}, data.info, data.content);
                var pid = data.content.pid;
                var rel = data.rel || 'product';
                var extJson;
                if (configs.isSdk) {
                    var reelect = true;
                    var hidden = true;
                    if (utils.getAnswerNote(data.content.answerNote)) {
                        reelect = false;
                        rel = 'formProduct';
                    } /* else {
                         data[msgBodyName] = '<span data-hidden='+ hidden +' data-reelect='+ reelect +' data-rel="'+ rel +'" data-pid="' + pid + '" class="J_BarRelCase">' + data.content.url + '</span>';
                      }*/
                    // data[msgBodyName] = '<span data-hidden='+ hidden +' data-reelect='+ reelect +' data-rel="'+ rel +'" data-pid="' + pid + '" class="J_BarRelCase">' + data.content.url + '</span>';
                    extJson = {
                        'hidden': 1,
                        'reelect': 1,
                        'rel': rel,
                        'pid': pid,
                        'type': 1
                    };
                } else {
                    // data[msgBodyName] = data.content.url;
                }
                data[msgBodyName] = data.content.url;
                if (extJson) {
                    data.ext = {};
                    data.ext.h5Info = JSON.stringify(extJson);
                }
                // 与人工会话，不更新pid，可能重复触发技能组
                if (chatConfig.get('sessionType') === 'im') {
                    if (data.info.pid) {
                        delete data.info.pid;
                    }
                }
                if (chatConfig.get('sessionType') === 'jimi') {
                    var note = data.info.answerNote || null;
                    // 注释掉以下内容使jimi应答返回的商品详情答案
                    if (!utils.getAnswerNote(note)) {
                        data.info.requestType = 2;
                    }
                }
                if (utils.supportHttps() && data[msgBodyName]) {
                    data[msgBodyName] = utils.replaceToHttpsProtocol(data[msgBodyName]);
                }
                delete data.info.orderId;
                delete data.info.url;
                break;
            case 'trans':
                data.type = sendTextType;
                if (configs.isSdk) {
                    data.info = data.trans.transInfo;
                    data.info.transDdDest = data.trans.transDdDest;
                } else {
                    data.info = Object.assign({}, data.info);
                    data.info.trans = data.content.trans;
                }
                data[msgBodyName] = data.content.msg || '';
                // data.info.requestType = 0;
                if (configs.isSdk && data.info.requestType) {
                    delete data.info.requestType;
                }
                data.info.ct = 3;
                data.info.mt = 51;
                data.info.sessionCode = 1;
                data.info.jimiFlag = 1;
                chatConfig.set('jimiFlag', 1);
                if (utils.notEmpty(chatConfig.get('groupId'))) {
                    data.info.sessionFirst = 1;
                }
                break;
            case 'group':
                if (data.groupName) {
                    delete data.groupName;
                }
                data.type = sendTextType;
                data.info = Object.assign({}, data.info, data.content);
                data[msgBodyName] = data.content.msg;
                data.info.requestType = 0;
                data.info.ct = 3;
                data.info.mt = 51;
                data.info.sessionCode = 1;
                if (utils.isEmpty(chatConfig.get('jimiPin')) || utils.isEmpty(chatConfig.get('classifyName'))) {
                    data.content = '顾客 ' + chatConfig.get('pin') + ' 加入咨询';
                    // 与人工会话，不更新pid，可能重复触发技能组
                    if (chatConfig.get('sessionType') === 'im') {
                        if (data.info.orderId) {
                            data.content += ' 咨询订单号：' + data.info.orderId;
                        }
                        if (data.info.pid) {
                            data.content += ' 商品ID：' + data.info.pid;
                            if (!configs.isSdk) {
                                delete data.info.pid;
                            }
                        }
                    }
                } else {
                    data.content = '顾客 ' + chatConfig.get('pin') + '从 ' + chatConfig.get('jimiPin') + ' 机器人【' + (chatConfig.get('classifyName') || '') + '-' + (chatConfig.get('moduleChinseName') || '') + '】转人工加入咨询';
                    if (data.info.orderId) {
                        data.content += ' 咨询订单号：' + data.info.orderId;
                    }
                    if (data.info.pid) {
                        data.content += ' 商品ID：' + data.info.pid;
                        if (!configs.isSdk) {
                            delete data.info.pid;
                        }
                    }
                }
                delete data.info.msg;
                break;
            case 'code':
                data.type = 'risk';
                data.info = Object.assign({}, data.info);
                // data.info.action = 0;
                data.code = data.content;
                delete data.content;
                delete data.target;
                delete data.fmid;
                break;
            case 'formTemplate':
                data.type = 'html';
                data[msgBodyName] = data.content;
                data.info.form = data.form;
                delete data.form;
                break;
            default:
                data.type = clientMsgType.TEXT;
                break;
        }
        // 删除data对象中多余的content或html字段
        if (msgBodyName === 'content') {
            delete data.html;
        } else if (msgBodyName === 'html') {
            delete data.content;
        } else {
            delete data.content;
        }

        if (data.info.hasOwnProperty('wid')) {
            delete data.info.wid;
        }
        data.info = JSON.stringify(data.info);
        return data;
    }

    function init() {
        return {
            parse: parse
        };
    }
    return {
        getInstance: function getInstance() {
            if (!instance) {
                instance = init();
            }
            return instance;
        }
    };
}();

module.exports = QuestionParser;

/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by lvchenyang on 2017/1/24.
 */
var $ = __webpack_require__(0);
var Mediator = __webpack_require__(3);
var AnswerParser = __webpack_require__(9);
var configs = __webpack_require__(2);
var utils = __webpack_require__(1);
var ChatConfig = __webpack_require__(4);
var Render = __webpack_require__(8);
var DataManager = __webpack_require__(6);
var IScroll = __webpack_require__(5);
var LandFill = __webpack_require__(7);

var Receiver = function () {
    var instance;
    var socket;
    var heartbeatTimer;
    var closeTimer;
    var retryTime = 300;
    var retry = true;
    var isActive = true;
    var mediator = Mediator.getInstance();
    var answerParser = AnswerParser.getInstance();
    var chatConfig = ChatConfig.getInstance();
    var render = Render.getInstance();
    var dm = DataManager.getInstance();
    var socketUrl;
    var offlineTimeStamp = new Date().getTime();
    var sendingImg = [1, 3, 4, 5, 6, 7];

    /**
     * 初始化对象
     * @returns {{socketStart: socketStart, socketStop: socketStop, socketIsActive: socketIsActive, setSocketUrl: setSocketUrl, getHistories: getHistories, getFastLink: getFastLink, getRecentProducts: getRecentProducts, getRecentOrderList: getRecentOrderList, getSoaDetail: getSoaDetail}}
     */
    function init() {
        return {
            socketStart: function socketStart() {
                socket || createSocket();
            },
            socketStop: function socketStop() {
                try {
                    retry = false;
                    clearInterval(heartbeatTimer);
                    socket.close();
                } catch (e) {
                    throw e;
                } finally {
                    socket = false;
                }
            },
            socketIsActive: function socketIsActive() {
                return isActive;
            },
            setSocketUrl: function setSocketUrl(url) {
                socketUrl = url;
            },
            // 获取漫游消息
            getHistories: getHistories,
            renderHistories: renderHistories,
            renderSdkHistories: renderSdkHistories,
            // 获取快速操作链接
            getFastLink: getFastLink,
            // 获取最近浏览商品
            getRecentProducts: getRecentProducts,
            // 获取最近订单
            getRecentOrderList: getRecentOrderList,
            getProtectPriceOrderList: getProtectPriceOrderList,
            // 获取服务商等信息
            getSoaDetail: getSoaDetail,
            receiveMessage: onMessage,
            // 获取聊天背景和动画
            getBgAnimation: getBgAnimation,
            getChangeRiskImg: getChangeRiskImg,
            getWikiDetail: getWikiDetail,
            getHttpGateway: getHttpGateway
        };
    }

    /**
     * 创建WebSocket实例
     */
    function createSocket() {

        if (!socketUrl) {
            console.error('请设置WebSocket地址');
        } else {
            var url = utils.addParamsToUrl(socketUrl, {
                appId: chatConfig.get('customerAppId'),
                pin: chatConfig.get('pin'),
                aid: chatConfig.get('aid'),
                clientType: chatConfig.get('clientType'),
                _wid_: chatConfig.get('wid'),
                off: 0
            });
            try {
                socket = new WebSocket(url);
                socket.onopen = onOpen;
                socket.onmessage = onMessage;
                socket.onerror = onError;
                socket.onclose = onClose;
                isActive = true;
            } catch (e) {
                console.error('WebSocket创建连接失败');
            }
        }
    }

    /**
     * WebSocket onOpen事件
     */
    function onOpen() {
        var packet = {
            from: {},
            to: {}
        };
        var that = this;
        packet.type = 'client_heartbeat';
        packet.aid = chatConfig.get('aid');
        packet.ver = '4.1';
        packet.from.pin = chatConfig.get('pin');
        packet.from.app = chatConfig.get('customerAppId');
        packet.from.clientType = 'm';
        delete packet.to;
        try {
            that.send(JSON.stringify(packet));
            offlineTimeStamp = new Date().getTime();
        } catch (e) {}
        if (heartbeatTimer) {
            clearInterval(heartbeatTimer);
        }
        heartbeatTimer = setInterval(function () {
            try {
                that.send(JSON.stringify(packet));
                offlineTimeStamp = new Date().getTime();
            } catch (e) {}
        }, 10000);
    }

    /**
     * WebSocket onClose事件
     */
    function onClose(evt) {
        if (heartbeatTimer) {
            clearInterval(heartbeatTimer);
        }
        isActive = false;
        if (evt.code == 1006) {
            var curTimestamp = new Date().getTime();
            var timestampGap = curTimestamp - offlineTimeStamp;
            if (timestampGap >= 480000) {
                retry = false;
            }
        }
        if (evt.code == 5002) {
            retry = false;
        }
        if (retry) {
            createSocket();
        }
    }

    /**
     * WebSocket onMessage事件
     * @param event
     */
    function onMessage(event) {
        var data = event.data;
        // data = {"to":{"app":"im.customer","pin":"jd_5430b3844131e","clientType":"m"},"timestamp":1502777839159,"id":"031c243e370001183ac1072dc","body":{"tversion":"0","chatinfo":{"refreshContent":"false","inviteFlag":"false","sid":"031c215c880001183ac1072dc","classifyEnglishName":"首问语卡片","venderId":"1","version":"5","id":"7c0fdc39-5126-4853-998b-256cae0d6151","templateUrl":"jimiyufa.jd.com","moduleEnglishName":"SENTENCE_1","opensentenceUUID":"4a633f26-0de4-4d17-b7de-f60de81daaba","closeFlag":"false","componentName":"收藏夹降价提醒列表","answerSource":"engine","interactiveId":"ca3e0dcf2caf4d988d4b117f5e12e906","moduleChinseName":"主动推送","userGuideFlag":"false","classifyName":"首问语卡片"},"trans":{"leaveMsg":0,"telUrl":"","showSubmitArbit":0,"transInfo":{"sid":"031c24362e0001183ac1072dc"},"code":0},"data":"{\"answers\":{\"code_note\":0,\"code_answer\":\"\",\"answer_note\":0,\"answer\":\"{\\\"className\\\":\\\"快捷卡片_push\\\",\\\"componentTitle\\\":\\\"\\\",\\\"componentType\\\":\\\"kms_form\\\",\\\"dataMap\\\":{\\\"kmsform_quick_card_list__512007\\\":[  {\\\"comment\\\":\\\"催单、收货不错过\\\",\\\"content\\\":\\\"我想查询订单的配送信息\\\",\\\"cover\\\":\\\"https://img10.360buyimg.com/jimi/jfs/t10006/252/1189299578/29579/6869d6da/59dd93aeNdfa33fed.jpg\\\",\\\"refcontent\\\":\\\"\\\",\\\"style\\\":\\\"1\\\",\\\"title\\\":\\\"物流全掌握\\\",\\\"type\\\":1},{\\\"comment\\\":\\\"手机充值\\\",\\\"content\\\":\\\"帮我充下话费\\\",\\\"cover\\\":\\\"https://img10.360buyimg.com/jimi/jfs/t9811/223/8673610/12258/429dd88/59c35bc0Nbca9cdc3.png\\\",\\\"refcontent\\\":\\\"{\\\\\\\"id\\\\\\\":28,\\\\\\\"name\\\\\\\":\\\\\\\"去充值\\\\\\\"}\\\",\\\"style\\\":\\\"2\\\",\\\"title\\\":\\\"永不停机\\\",\\\"type\\\":1},{\\\"comment\\\":\\\"好玩又有料\\\",\\\"content\\\":\\\"JIMI头条\\\",\\\"cover\\\":\\\"https://img10.360buyimg.com/jimi/jfs/t9190/79/1580607649/12597/dbdafa84/59c35b16N75b21801.png\\\",\\\"refcontent\\\":\\\"{\\\\\\\"id\\\\\\\":109,\\\\\\\"name\\\\\\\":\\\\\\\"JIMI头条\\\\\\\"}\\\",\\\"style\\\":\\\"2\\\",\\\"title\\\":\\\"JIMI头条\\\",\\\"type\\\":3},{\\\"comment\\\":\\\"买就赚，花得值\\\",\\\"content\\\":\\\"低价秒好货\\\",\\\"cover\\\":\\\"https://img10.360buyimg.com/jimi/jfs/t9343/151/2044789541/11419/13a0f893/59c35c21N824b5190.png\\\",\\\"refcontent\\\":\\\"[\\\\\\\"个性化热门营销活动_push\\\\\\\",\\\\\\\"购物车降价提醒_push\\\\\\\",\\\\\\\"收藏夹降价提醒_push\\\\\\\"]\\\",\\\"style\\\":\\\"2\\\",\\\"title\\\":\\\"低价秒好货\\\",\\\"type\\\":2},{\\\"comment\\\":\\\"专属你的购物指南\\\",\\\"content\\\":\\\"购物指南\\\",\\\"cover\\\":\\\"https://img10.360buyimg.com/jimi/jfs/t10576/121/9770491/11661/696db5/59c35c8eN95147160.png\\\",\\\"refcontent\\\":\\\"[\\\\\\\"个性化购物清单推荐_push\\\\\\\"]\\\",\\\"style\\\":\\\"2\\\",\\\"title\\\":\\\"购物风向标\\\",\\\"type\\\":2},{\\\"comment\\\":\\\"你想问的我都懂\\\",\\\"content\\\":\\\"猜猜我想问什么\\\",\\\"model\\\":\\\"12345\\\",\\\"cover\\\":\\\"https://img10.360buyimg.com/jimi/jfs/t9817/276/9590325/11969/53669f0e/59c35d0cNf75d83bb.png\\\",\\\"refcontent\\\":\\\"[\\\\\\\"问题预判_push\\\\\\\"]\\\",\\\"style\\\":\\\"2\\\",\\\"title\\\":\\\"猜你想问\\\",\\\"type\\\":2},{\\\"comment\\\":\\\"纵享品质好生活\\\",\\\"content\\\":\\\"生活家\\\",\\\"cover\\\":\\\"https://img10.360buyimg.com/jimi/jfs/t10489/331/9436855/12189/e34a24bf/59c35e3aNb310c118.png\\\",\\\"refcontent\\\":\\\"[\\\\\\\"个性化图文活动推荐_push\\\\\\\"]\\\",\\\"style\\\":\\\"2\\\",\\\"title\\\":\\\"生活家\\\",\\\"type\\\":2},{\\\"comment\\\":\\\"专属优惠不放过\\\",\\\"content\\\":\\\"领优惠券\\\",\\\"cover\\\":\\\"https://img10.360buyimg.com/jimi/jfs/t8047/171/2067161645/13334/e1d3363e/59c35ed8N5842ec86.png\\\",\\\"refcontent\\\":\\\"[\\\\\\\"优惠券获得方式_push\\\\\\\"]\\\",\\\"style\\\":\\\"2\\\",\\\"title\\\":\\\"秒领神券\\\",\\\"type\\\":2},{\\\"comment\\\":\\\"天气早知道\\\",\\\"content\\\":\\\"查天气\\\",\\\"cover\\\":\\\"https://img10.360buyimg.com/jimi/jfs/t8953/47/2060618322/10175/15bb5b9d/59c35d6aN29370d89.png\\\",\\\"refcontent\\\":\\\"\\\",\\\"style\\\":\\\"2\\\",\\\"title\\\":\\\"知晴雨\\\",\\\"type\\\":4}  ]},\\\"modelName\\\":\\\"initiativePush\\\",\\\"sceneUuid\\\":\\\"5512c01259ef4311a9b5442ca67ed4b4\\\",\\\"templateComponentCode\\\":\\\"kmsform_quick_card_list__512007\\\",\\\"templateName\\\":\\\"快捷卡片\\\",\\\"ternimal\\\":\\\"m_customer\\\",\\\"version\\\":\\\"2\\\",\\\"widgets\\\":[]}\"},\"ptype\":\"m_customer_component_answer\"} ","tid":"kmsform_quick_card_list__512007","code":1,"type":"template","msg":"操作成功！"},"ver":"4.0","mid":79623018,"len":0,"from":{"app":"jd.waiter","pin":"jimi_vender_1"},"type":"jimi_message","datetime":"2017-08-15 14:17:19"};
        if (typeof data === 'string') {
            data = JSON.parse(data);
        }
        if (!configs.isSdk && data.errorCode == 4281) {
            mediator.publish(configs.operators.SET_NEW_WIN_TIPS);
            instance.socketStop();
        }
        var received = [];
        var receiveFlag = true;
        if (data.type == 'jimi_message' || data.type == 'chat_message_result') {
            // 验证码类操作特殊处理
            if (data.type == 'chat_message_result') {
                data = data.body;
            }
            // TODO: 优化代码，receiver中调用sender是否合理？
            /*if (configs.isSdk) {
                SCSM.sender.handleResponse(data);
            }*/
            if (!configs.isSdk) {
                received.push({
                    mid: data.mid,
                    sender: data.from.pin,
                    app: data.from.app
                });
            }
            mediator.publish(configs.operators.HANDLE_RESPONSE, data);
        } else {
            if (utils.isArray(data)) {
                for (var i = 0, len = data.length; i < len; i++) {
                    if (typeof data[i] === 'string') {
                        data[i] = JSON.parse(data[i]);
                    }
                    // 解决验证码问题
                    if (!configs.isSdk && data[i].type && data[i].type === 'chat_message_result') {
                        return;
                    }
                    receiveFlag = parseAndCallShow(data[i]);
                    if (data[i].mid && data[i].mid > 0 && receiveFlag) {
                        receiveFlag = true;
                        received.push({
                            mid: data[i].mid,
                            sender: data[i].from.pin,
                            app: data[i].from.app
                        });
                    }
                }
            } else {
                if (typeof data === 'string') {
                    data = JSON.parse(data);
                }
                // 解决验证码问题
                if (!configs.isSdk && data.type && data.type === 'chat_message_result') {
                    return;
                }
                receiveFlag = parseAndCallShow(data);
                if (data.mid && data.mid > 0 && receiveFlag) {
                    receiveFlag = true;
                    received.push({
                        mid: data.mid,
                        sender: data.from.pin,
                        app: data.from.app
                    });
                }
            }
        }
        // 提交消息接收回执
        if (!configs.isSdk) {
            if (received.length > 0) {
                var options = {
                    url: configs.api.received,
                    type: 'POST',
                    dataType: 'JSON',
                    data: {
                        jsonPacket: JSON.stringify(received),
                        _wid_: chatConfig.get('wid')
                    }
                };
                if (utils.supportHttps()) {
                    options.url = utils.replaceToHttpsProtocol(options.url);
                }
                utils.ajax(options, function (result) {
                    if (result.errorCode == '111') {
                        mediator.publish(configs.operators.GO_NEW_LOGIN, result);
                    }
                });
            }
        }
    }

    /**
     * WebSocket onError事件
     * @param event
     */
    function onError(event) {
        isActive = false;
    }

    /**
     * 调用消息解析器解析消息，并调用App显示消息
     * @param data
     */
    function parseAndCallShow(data) {

        // 根据返回的数据切换上下文
        // 如果返回来的消息类型是chat_message，并且venderId发生了变化
        // 如果当前的sessionType为Jimi，则前端手动将sessionType设置为im，如果当前的
        // appId为jd.customer，则更新上下文，否则不做处理
        // 请不要动这部分代码
        var chatInfo = {};
        if (data.body && data.body.chatinfo) {
            chatInfo = Object.assign(chatInfo, data.body.chatinfo);
        }
        if (data.body && data.body.venderId) {
            chatInfo.venderId = data.body.venderId;
        }
        if (data.from && data.from.app) {
            if (data.from.app !== 'im.customer') {
                chatInfo.appId = data.from.app;
            }
        }

        var sessionType = chatConfig.get('sessionType');
        var curVenderId = chatConfig.get('venderId');
        var curAppId = chatConfig.get('appId');
        var toAppId = data.to && data.to.app;
        if (data.type === 'chat_message') {
            if (curVenderId == chatInfo.venderId) {
                if (!data.staticType) {
                    if (sessionType === 'jimi') {
                        chatInfo.sessionType = 'im';
                        if (chatInfo.venderId == 1) {
                            chatInfo.appId = 'jd.waiter';
                        }
                        if (!configs.isSdk) {
                            mediator.publish(configs.operators.GET_SOA_INFO);
                            /*if(curAppId != chatInfo.appId) {
                                mediator.publish(configs.operators.GET_SOA_INFO);
                            } else {
                                mediator.publish(configs.operators.HEAD_RERESH);
                            }*/
                        }
                    }
                }
                mediator.publish(configs.operators.SET_CHAT_CONTEXT, chatInfo);
            } else {
                if (curVenderId != chatInfo.venderId) {
                    return false;
                }
            }
        }

        // 显示消息
        var answer;
        var answerObj;
        if (configs.isSdk) {
            var sdkData = data || {};
            if (data.type === 'chat_guide' || data.type === 'chat_message_result') {
                sdkData = data.body;
            }
            answer = answerParser.parse(sdkData);
        } else {
            answer = answerParser.parse(data);
        }
        if (!answer) {
            return false;
        }
        switch (answer.type) {
            case configs.msgType.server.ERROR_AUTH:
                mediator.publish(configs.operators.UPDATE_AID);
                break;
            case configs.msgType.server.TEXT:
                var splitAnswers = answerParser.splitTextAnswer(answer);
                var awc;
                for (var i = 0; i < splitAnswers.length; i++) {
                    awc = splitAnswers[i];
                    if (!awc.content || configs.regex.entryChat.test(awc.content)) {
                        continue;
                    }
                    if (configs.isSdk) {
                        if (utils.isObject(awc.content)) {
                            awc.content.url = (awc.content.url || '').replace(SCSSDK.bridge.configs.linkReg, function (s, $1, $2) {
                                return $1 + '<a href="' + $2 + '" target="_blank">' + $2 + '</a>';
                            });
                        } else {
                            awc.content = (awc.content || '').replace(SCSSDK.bridge.configs.linkReg, function (s, $1, $2) {
                                return $1 + '<a href="' + $2 + '" target="_blank">' + $2 + '</a>';
                            });
                        }
                    }
                    answerObj = render.parse(splitAnswers[i]);
                    handelHtmlData(sdkData || data, answerObj, !!0, awc.content);
                }
                if (answer.keyWordPrompt) {
                    answer = answerParser.getSystemAnswer(answer.keyWordPrompt);
                    answerObj = render.parse(answer);
                    mediator.publish(configs.operators.SHOW_MSG, answerObj);
                }
                break;
            case configs.msgType.server.SHUNT:
                mediator.publish(configs.operators.GET_SOA_INFO);
                if (chatConfig.get('sessionType') == 'im') {
                    mediator.publish(configs.operators.SAY_HELLO);
                }
                if (curVenderId != chatInfo.venderId) {
                    mediator.publish(configs.operators.CLEAR_RECORD);
                }
                break;
            case configs.msgType.server.SECOND_OP:
                // secondOp 类消息处理
                var op = answer.content;
                var opJson = {};
                if (config.isSdk) {
                    // 隐藏底部工具栏
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'showToolbar',
                        data: 0
                    });
                }
                switch (op) {
                    case 1:
                        // 我的订单
                        configs.order.page = 1;
                        mediator.publish(configs.operators.GET_MY_ORDER, op, answer.groupId);
                        break;
                    case 2:
                        // 最近浏览
                        configs.recent.page = 1;
                        mediator.publish(configs.operators.GET_RECENT_SEE, op, answer.groupId);
                        break;
                    case 3:
                        // 最近购买
                        configs.buy.page = 1;
                        mediator.publish(configs.operators.GET_RECENT_BUY, op, answer.groupId);
                        break;
                }
                break;
            case configs.msgType.server.ACK:
                var temp;
                if (answer.code == 1) {
                    var nameTxt = chatConfig.get('customerAppId') == 'jr.customer' && chatConfig.get('sessionType') == 'im' ? '京东金融客服' : chatConfig.get('venderName');
                    temp = answerParser.getSystemAnswer('您对<strong>' + (nameTxt || '') + '</strong>评价成功！');
                } else {
                    temp = answerParser.getSystemAnswer(answer.content);
                }
                var tempObj = render.parse(temp);
                mediator.publish(configs.operators.SHOW_MSG, tempObj);
                break;
            case configs.msgType.server.SYSTEM:
                // 服务商转接
                //var optType = answer.optInfo ? answer.optInfo.type : null;
                if (answer.optType == 'trans') {
                    if (!configs.isSdk) {
                        var extendArgs = {
                            venderId: answer.transVenderId
                        };
                        mediator.publish(configs.operators.GET_SOA_INFO, null, extendArgs);
                    } else {
                        SCSSDK.bridge.configs.logIdArr = [];
                    }
                    configs.jimiMsgIdArr = [];
                    configs.imMsgIdArr = [];
                    mediator.publish(configs.operators.SET_CHAT_CONTEXT, chatInfo);
                    mediator.publish(configs.operators.CLEAR_RECORD);
                }
                answerObj = render.parse(answer);
                mediator.publish(configs.operators.SHOW_MSG, answerObj);
                break;
            case configs.msgType.server.TEMPLATEIM:
                //模板信息
                chatConfig.set('waiter', {
                    waiterAppId: answer.templateData.waiterAppId,
                    waiterClientType: answer.templateData.waiterClientType,
                    waiterPin: answer.templateData.waiterPin
                });
                answer.type = answer.template.type;
                if (answer.template.type === 'protect_price_form_template') {
                    //（自动化流程-价保）
                    answerObj = render.parse(answer);
                    answerObj.data('data', {
                        api: configs.api.getOrderListForProtectPrice,
                        orderBackMod: 'protect_price',
                        answer: answer
                    });
                    //mediator.publish(configs.operators.PROTECT_PRICE_FROM_TEMPLATE, answerObj, configs.api.getOrderListForProtectPrice, 'protect_price', answer);
                } else if (answer.template.type === 'cancel_order_form_template') {
                    //（自动化流程-取消订单）
                    answerObj = render.parse(answer);
                    answerObj.data('data', {
                        api: configs.api.getOrderListForCancelOrder,
                        orderBackMod: 'cancel_order',
                        answer: answer
                    });
                    //mediator.publish(configs.operators.PROTECT_PRICE_FROM_TEMPLATE, answerObj, configs.api.getOrderListForCancelOrder, 'cancel_order', answer);
                } else if (answer.template.type === 'customer_service_form_template') {
                    //（自动化流程-申请售后）
                    answerObj = render.parse(answer);
                    answerObj.data('data', {
                        api: configs.api.getOrderListForCustomerService,
                        orderBackMod: 'customer_service',
                        answer: answer
                    });
                }
                mediator.publish(configs.operators.SHOW_MSG, answerObj);
                break;
            default:
                answerObj = render.parse(answer);
                mediator.publish(configs.operators.SHOW_MSG, answerObj);
        }
        return true;
    }

    // 处理标签上数据
    function handelHtmlData(answer, answerObj, isHistory, content) {
        try {
            var relDom = answerObj.find('.J_BarRelCase');
            var ext = answer.body.ext || null;
            var orderId;
            var time;
            var status;
            if (relDom.length || ext) {
                if (ext && ext.h5Info) {
                    var info = SCSSDK.util.parse(ext.h5Info);
                    var rel = info.rel;
                    var hidden = info.hidden;
                    info.targetId = answer.id;
                    answerObj.attr('data-sdk', info.pid);
                    if (isHistory) {
                        info.isHistory = isHistory;
                    }
                    info.productId = info.pid;

                    // 订单相关参数
                    orderId = info.oid;
                    time = info.time;
                    status = info.status;
                } else if (relDom.length) {
                    var rel = relDom.attr('data-rel');
                    var pid = relDom.attr('data-pid');
                    var reelect = relDom.attr('data-reelect');
                    var hidden = relDom.attr('data-hidden');
                    var dataId = answerObj.attr('data-id');
                    answerObj.attr('data-sdk', pid);

                    // 订单相关参数
                    orderId = relDom.attr('data-oid');
                    time = relDom.attr('data-time');
                    status = relDom.attr('data-status');
                    // answerObj.css('height', '82px');
                    var info = {
                        productId: pid,
                        reelect: true,
                        rel: rel,
                        targetId: dataId,
                        isHistory: isHistory
                    };
                } else {
                    mediator.publish(configs.operators.SHOW_MSG, answerObj, isHistory);
                    return;
                }
                switch (rel) {
                    // 操作footbat
                    case 'order':
                    // 聊天的面板
                    case 'orderChat':
                        info.orderId = orderId;
                        info.parsedTime = time;
                        info.status = status;
                        break;

                    case 'product':
                        break;

                    // 工种机械化订单和服务单和表单提交
                    case 'formOrder':
                    case 'formService':
                    case 'formSubmit':
                    case 'formCoupon':
                    case 'formView':
                    case 'formProduct':
                    case 'formTemplate':
                        return false;
                        break;
                    case 'sendLinkOid':
                        if (!isHistory) {
                            return false;
                        }
                        break;
                }
                mediator.publish(configs.operators.SHOW_MSG, answerObj, isHistory);
                if (hidden) {
                    if (hidden != 3) {
                        SCSM.sender.showProductInfo(info);
                    }
                } else {
                    mediator.publish(configs.operators.SHOW_MSG, answerObj, isHistory);
                }
            } else {
                mediator.publish(configs.operators.SHOW_MSG, answerObj, isHistory);
            }
        } catch (e) {
            mediator.publish(configs.operators.SHOW_MSG, answerObj, isHistory);
        }

        if (!isHistory && configs.isSdk && answer.info.direction !== 0 && typeof content == 'string') {
            SCSM.Voice.speak(content);
        }
    }

    /**
     * 获取漫游消息
     * @param pageInfo
     * @param callback
     */
    /* pageinfo, callback */
    function getHistories(pageInfo, callback) {
        if (configs.isSdk) {
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'getCacheMsgData',
                    data: {
                        page: pageInfo.page,
                        count: pageInfo.pageSize
                    },
                    callback: 'getCacheMsgDataCallback'
                });
            }
        } else {
            var options = {
                url: configs.api.getHistory,
                type: 'GET',
                dataType: 'JSONP',
                data: {
                    _wid: chatConfig.get('wid'),
                    venderId: chatConfig.get('venderId'),
                    type: 2,
                    customer: chatConfig.get('pin'),
                    page: pageInfo.page,
                    pageSize: pageInfo.pageSize,
                    pin: chatConfig.get('pin'),
                    appId: chatConfig.get('customerAppId'),
                    aid: chatConfig.get('aid'),
                    clientType: chatConfig.get('clientType')
                }
            };
            if (utils.supportHttps()) {
                options.url = utils.replaceToHttpsProtocol(options.url);
            }
            utils.ajax(options, function (result) {
                result.pageInfo = pageInfo;
                renderHistories(result, callback);
            }, function () {
                callback && callback();
            });
        }

        LandFill.getHistory({
            page: configs.history.page,
            pageSize: configs.history.pageSize,
            click_type: 'history'
        });
    }

    function renderHistories(result, callback) {
        if (result.errorCode == '111') {
            mediator.publish(configs.operators.GO_NEW_LOGIN, result);
        }
        var histories;
        var pageInfo = result.pageInfo || null;
        if (result.code == 1) {
            histories = result.body;
            sortHistoriesByDateTime(histories);
            // 解析消息
            histories = answerParser.parse(histories, 1);
            var items = [];
            // 渲染消息，并对渲染后的消息进行显示
            if (pageInfo.page != 1) {
                var answerObj;
                for (var i = 0, len = histories.length; i < len; i++) {
                    // 如果消息是text，判断是否包含商品链接
                    var answer = histories[i];
                    if (answer.type === configs.msgType.server.TEXT) {
                        var splitAnswers = answerParser.splitTextAnswer(answer);
                        if (splitAnswers.length > 1) {
                            splitAnswers = splitAnswers.reverse();
                        }
                        for (var j = 0, lg = splitAnswers.length; j < lg; j++) {
                            answerObj = render.parse(splitAnswers[j]);
                            mediator.publish(configs.operators.SHOW_MSG, answerObj, 1);
                        }
                    } else {
                        answerObj = render.parse(answer);
                        mediator.publish(configs.operators.SHOW_MSG, answerObj, 1);
                        if (answer.type == configs.msgType.server.IMAGE_TEXT) {
                            mediator.publish(configs.operators.SET_JIMI_IMG_SHOW, 1);
                        }
                    }
                }
            } else {
                for (var i = 0, len = histories.length; i < len; i++) {
                    var answer = histories[i];
                    if (answer.type === configs.msgType.server.TEXT) {
                        var splitAnswers = answerParser.splitTextAnswer(answer);
                        if (splitAnswers.length > 1) {
                            splitAnswers = splitAnswers.reverse();
                        }
                        for (var j = 0, lg = splitAnswers.length; j < lg; j++) {
                            items.push(render.parse(splitAnswers[j]));
                        }
                    } else {
                        items.push(render.parse(answer));
                    }
                }
                items = items.reverse();
            }
            configs.history.page += 1;
            callback && callback(items);
        }
    }
    /**
     * SDK渲染历史记录的方法
     */
    function renderSdkHistories(result, callback) {
        var histories = [];
        var hasItem;
        if (utils.isArray(result)) {
            histories = result;
        } else {
            histories = result.result;
        }
        histories = histories.length ? histories : [];
        // sortHistoriesByDateTime(histories);
        // 过滤“顾客 xxxx 加入咨询”消息
        for (var h = 0; h < histories.length; h++) {
            hasItem = false;
            if (!histories[h]) {
                continue;
            }
            var hd = SCSSDK.util.parse(histories[h]);
            hd.data = SCSSDK.util.parse(hd.data);
            var textType = !!(hd.data.body.type === 'text' || hd.data.body.type === 'html');
            var msg = hd.data.body.content || hd.data.body.html || '';
            if (typeof SCSM !== 'undefined') {
                if (SCSM.$chatList.find('.J_ChatItem[data-id="' + hd.data.id + '"]').length) {
                    hasItem = true;
                }
            }
            if (hasItem) {
                histories.splice(h--, 1);
            } else {
                if (textType) {
                    if (msg.match(SCSSDK.bridge.configs.entryChat) || msg.match(SCSSDK.bridge.configs.helloRegex)) {
                        histories.splice(h--, 1);
                    }
                }
            }
        }

        // 时间倒序
        // histories.sort(function(h1, h2) {
        //     var h1Data = SCSSDK.util.parse(h1.data);
        //     var h2Data = SCSSDK.util.parse(h2.data);
        //     var dt1 = h1Data.datetime;
        //     var dt2 = h2Data.datetime;
        //     var d1;
        //     var d2;
        //     var rs = 0;
        //     if (dt1 && dt2) {
        //         d1 = new Date(h1Data.datetime.replace(/-/g, '/'));
        //         d2 = new Date(h2Data.datetime.replace(/-/g, '/'));
        //     }
        //     if (d1 && d2) {
        //         rs = d2 - d1;
        //     }
        //     return rs;
        // });
        // 解析消息
        // histories = answerParser.parse(histories);

        if (!histories.length) {
            callback && callback(histories);
            return;
        }

        // 渲染消息，并对渲染后的消息进行显示
        var answerObj;
        var exps = SCSSDK.bridge.exps || {};
        // 两分钟
        var timestampGap = 120 * 1000;
        var historiesFirst = SCSSDK.util.parse(histories[0].data);
        var curTimestamp = historiesFirst.timestamp || null;
        var tempDatePrev = curTimestamp ? utils.formatDate(new Date(curTimestamp), 'yyyy-MM-dd HH:mm:ss') : historiesFirst.datetime || '0';
        var prevTime = histories.length ? tempDatePrev : '1979-01-01 00:00';
        var curTime;
        var timeMessage;
        for (var i = 0, len = histories.length; i < len; i++) {
            var waitParse = SCSSDK.util.parse(histories[i].data);
            var flag = !!0;
            if (waitParse.id) {
                SCSSDK.bridge.configs.logIdArr.push(waitParse.id);
                flag = handelData(waitParse, histories[i]);
                if (flag) {
                    continue;
                }
            }
        }

        // 在消息的末尾添加一条时间
        if (histories.length > 0) {
            if (histories.length == 1 && flag) {
                return;
            }
            var lastMsg = histories[histories.length - 1];
            var tempTimestamLast = lastMsg.data.timestamp || null;
            var tempDateTimeLast = tempTimestamLast ? utils.formatDate(new Date(tempTimestamLast), 'yyyy-MM-dd HH:mm:ss') : lastMsg.data.datetime;
            var lastDateTime = answerParser.getTimeAnswer(tempDateTimeLast);
            lastDateTime.history = 1;
            mediator.publish(configs.operators.SHOW_MSG, render.parse(lastDateTime), 1);
        }

        configs.history.page += 1;
        callback && callback(histories);

        // 数据处理
        function handelData(waitParse, item) {
            var answer;
            item.data = SCSSDK.util.parse(item.data);
            waitParse.info = item.info || {};
            // 图片消息以info中的图片路径优先
            if (waitParse.body.type === 'image') {
                var prevUrl;
                var prevUrlThumb;
                if (waitParse.info.localUrlPath) {
                    prevUrl = waitParse.info.localUrlPath;
                    if (!configs.regex.remoteImg.test(prevUrl)) {
                        // 本地地址包含% ,就置为默认图片，因为%的地址会导致webview 崩溃
                        if (configs.regex.speceilStr.test(prevUrl)) {
                            prevUrl = configs.static.noPic;
                        }
                    }
                }
                if (waitParse.info.localThumbUrlPath) {
                    prevUrlThumb = waitParse.info.localThumbUrlPath;
                    if (!configs.regex.remoteImg.test(prevUrlThumb)) {
                        // 本地地址包含% ,就置为默认图片，因为%的地址会导致webview 崩溃
                        if (configs.regex.speceilStr.test(prevUrlThumb)) {
                            prevUrlThumb = configs.static.noPic;
                        }
                    }
                }
                if (!prevUrl && !prevUrlThumb && !waitParse.info.url && !waitParse.body.url) {
                    waitParse.body.url = configs.static.noPic;
                    waitParse.body.thumbnail = configs.static.noPic;
                } else {
                    if (!waitParse.body.url) {
                        if (!prevUrl && prevUrlThumb) {
                            prevUrl = prevUrlThumb;
                        }
                        if (prevUrl && !prevUrlThumb) {
                            prevUrlThumb = prevUrl;
                        }
                        waitParse.body.url = prevUrl || SCSM.configs.static.noPic;
                        waitParse.body.thumbnail = prevUrlThumb || SCSM.configs.static.noPic;
                    }
                }
            }
            if (waitParse.body.type === 'image' || waitParse.body.type === 'text' || waitParse.body.type === 'html') {
                dm.set('source_' + waitParse.id, waitParse);
            }
            if (waitParse.body.type === 'template') {
                var imTemplateData = waitParse.body.templateData || null;
                var templateData;
                if (imTemplateData) {
                    templateData = imTemplateData;
                } else {
                    templateData = waitParse.body.data || null;
                    if (!templateData) {
                        return true;
                    }
                    var templateType = waitParse.body.data.ptype || '';
                    var newTpltype = templateType.toLowerCase() || '';
                    var tid = waitParse.body.tid;
                    if (configs.regex.unParseType.test(newTpltype) || configs.regex.unParseTid.test(tid)) {
                        return true;
                    }
                }
            }
            answer = answerParser.parse(waitParse);

            if (utils.isObject(answer)) {
                answer.history = 1;
                // 不显示非当前venderId的消息
                if (waitParse.type && (waitParse.type == 'jimi_message' || waitParse.type === 'chat_message') && waitParse.body && waitParse.body.chatinfo && waitParse.body.chatinfo.venderId && waitParse.body.chatinfo.venderId != SCSM.chatConfig.get('venderId')) {
                    return true;
                }
                // if (answer.type === 'text') {
                //     answer.content = answer.content.replace(SCSSDK.bridge.configs.linkReg, function(s, $1, $2) {
                //         return $1 + '<a href="' + $2 + '" target="_blank">' + $2 + '</a>';
                //     });
                // }
            } else {
                return true;
            }
            // if (typeof answer.content !== 'string') {
            //     // answer.type = 'firstCard';
            //     answer.content = answer.ptype;
            // }

            var tempTimestamCur = item.data.timestamp || null;
            var tempDateTimeCur = tempTimestamCur ? utils.formatDate(new Date(tempTimestamCur), 'yyyy-MM-dd HH:mm:ss') : item.data.datetime || '0';
            curTime = tempDateTimeCur || '1979-01-01 00:00';
            if (new Date(prevTime.replace(/-/g, '/')) - new Date(curTime.replace(/-/g, '/')) > timestampGap) {
                timeMessage = answerParser.getTimeAnswer(prevTime);
                timeMessage.history = 1;
                mediator.publish(configs.operators.SHOW_MSG, render.parse(timeMessage), 1);
                prevTime = curTime;
            }
            if (answer.type === configs.msgType.server.TEXT) {
                if (utils.isEmpty(answer.content)) {
                    return true;
                }
                if (typeof answer.content === 'string') {
                    answer.content = answer.content.replace(/#E\-yaoping/g, '');
                    answer.content = answer.content.replace(SCSSDK.bridge.configs.rEmoji, function (s, $1) {
                        var code = $1;
                        var emojiCls = 'exp-small';
                        if (code) {
                            if (code.match(/[bj]/)) {
                                emojiCls = 'exp-large';
                            }
                        }
                        return '<img class="expression ' + emojiCls + '" src="' + exps[$1] + '">';
                    });
                }
            }
            if (answer.type === configs.msgType.server.TEXT) {
                var splitAnswers = answerParser.splitTextAnswer(answer);
                var aContent;
                if (splitAnswers.length > 1) {
                    splitAnswers = splitAnswers.reverse();
                }
                for (var j = 0, lg = splitAnswers.length; j < lg; j++) {
                    aContent = splitAnswers[j];
                    if (utils.isObject(aContent.content)) {
                        aContent.content.url = (aContent.content.url || '').replace(SCSSDK.bridge.configs.linkReg, function (s, $1, $2) {
                            return $1 + '<a href="' + $2 + '" target="_blank">' + $2 + '</a>';
                        });
                    } else {
                        aContent.content = (aContent.content || '').replace(SCSSDK.bridge.configs.linkReg, function (s, $1, $2) {
                            return $1 + '<a href="' + $2 + '" target="_blank">' + $2 + '</a>';
                        });
                    }
                    answerObj = render.parse(aContent);
                    if (waitParse.info.state == 1) {
                        answerObj.find('.J_SendStatus').addClass('err err-load');
                    } else if (waitParse.info.state == 2 || waitParse.info.state == 8) {
                        answerObj.find('.J_SendStatus').removeClass('err err-load').addClass('err');
                    }

                    handelHtmlData(waitParse, answerObj, !!1);
                    // mediator.publish(configs.operators.SHOW_MSG, answerObj, 1);
                }
            } else if (answer.type == configs.msgType.server.FIRST_CARD) {
                if (utils.notEmpty(answer.content)) {
                    if (utils.notEmpty(answer.content.images) || utils.notEmpty(answer.content.texts)) {
                        answerObj = render.parse(answer);
                        mediator.publish(configs.operators.SHOW_MSG, answerObj, 1);
                    }
                }
                if (utils.notEmpty(answer.firstAnswer)) {
                    answerObj = render.parse(answer.firstAnswer);
                    mediator.publish(configs.operators.SHOW_MSG, answerObj, 1);
                }
            } else if (answer.type == configs.msgType.server.TEMPLATEIM) {
                //模板信息
                chatConfig.set('waiter', {
                    waiterAppId: answer.templateData.waiterAppId,
                    waiterClientType: answer.templateData.waiterClientType,
                    waiterPin: answer.templateData.waiterPin
                });
                answer.type = answer.template.type;
                if (answer.template.type === 'protect_price_form_template') {
                    //（自动化流程-价保）
                    answerObj = render.parse(answer);
                    answerObj.data('data', {
                        api: configs.api.getOrderListForProtectPrice,
                        orderBackMod: 'protect_price',
                        answer: answer
                    });
                    //mediator.publish(configs.operators.PROTECT_PRICE_FROM_TEMPLATE, answerObj, configs.api.getOrderListForProtectPrice, 'protect_price', answer);
                } else if (answer.template.type === 'cancel_order_form_template') {
                    //（自动化流程-取消订单）
                    answerObj = render.parse(answer);
                    answerObj.data('data', {
                        api: configs.api.getOrderListForCancelOrder,
                        orderBackMod: 'cancel_order',
                        answer: answer
                    });
                    //mediator.publish(configs.operators.PROTECT_PRICE_FROM_TEMPLATE, answerObj, configs.api.getOrderListForCancelOrder, 'cancel_order', answer);
                } else if (answer.template.type === 'customer_service_form_template') {
                    //（自动化流程-申请售后）
                    answerObj = render.parse(answer);
                    answerObj.data('data', {
                        api: configs.api.getOrderListForCustomerService,
                        orderBackMod: 'customer_service',
                        answer: answer
                    });
                }
                mediator.publish(configs.operators.SHOW_MSG, answerObj, 1);
            } else if (answer.type === configs.msgType.server.TEMPLATE) {
                answerObj = render.renderTemplate(answer);
                try {
                    answerObj.item.find('.form_button_submit').addClass('form_button_disabled');
                } catch (e) {}
                var state = waitParse.info.state || 0;
                var answer_title = answer.answer_title || null;
                var componentTitle = answer.componentTitle || null;
                var answer_note = answer.answer_note || null;
                var dataId = waitParse.id;
                /*                if (waitParse.info.state == 1) {
                                    answerObj.find('.J_SendStatus').addClass('err err-load');
                                } else if (waitParse.info.state == 2  || waitParse.info.state == 8) {
                                    answerObj.find('.J_SendStatus').removeClass('err err-load').addClass('err');
                                }*/

                mediator.publish(configs.operators.SHOW_MSG, answerObj.item, 1);
                if (answerObj && answer_title && (answer_note == 5 || answer_note == 501 || answer_note == 6) && state == 0) {
                    var newAnswerTitle = {
                        "target": "service",
                        "type": "text",
                        "history": 0,
                        "content": answer_title,
                        "relPosition": 'prev',
                        "relId": dataId
                        //showServerMessage(newAnswerParam);
                    };SCSM.sender.showServerMessage(newAnswerTitle, !!1);
                    if (answer_note && answer_note == 501) {
                        // 显示额外按钮
                        var isHistory = !!1;
                        SCSM.sender.showOtherBtn(answer, isHistory);
                    }
                } else if (componentTitle) {
                    var newAnswerTitle = {
                        "target": "service",
                        "type": "text",
                        "history": 0,
                        "content": componentTitle,
                        "relPosition": 'prev',
                        "relId": dataId
                    };
                    SCSM.sender.showServerMessage(newAnswerTitle, !!1);
                }
                // 充值
                if (answerObj && answerObj.item && answerObj.item.find('.J_PhoneUser').length) {
                    var id = answerObj.item.find('.J_PhoneUser').attr('id');
                    setTimeout(function () {
                        var scroller = new IScroll('#' + id, {
                            mouseWheel: true,
                            scrollX: true,
                            scrollY: false,
                            click: true
                        });
                        answerObj.item.find('.J_PhoneUser').data('scroller', scroller);
                    }, 100);
                }
                // 快捷卡片
                // if (answerObj && answerObj.item && answerObj.item.find('.J_FastCard').length) {
                //     var id = answerObj.item.find('.J_FastCard').attr('id');
                //     setTimeout(function () {
                //         var scroller = new IScroll('#' + id, {
                //             mouseWheel: true,
                //             scrollX: true,
                //             scrollY: false,
                //             click: true
                //         });
                //         answerObj.item.find('.J_FastCard').data('scroller', scroller);
                //     }, 100);
                // }
                /*if (answerObj && answerObj.item && answerObj.item.find('.J_FastCard').length) {
                    $('.J_FastCard').closest('.J_ChatItem').remove();
                }*/
            } else {
                answerObj = render.parse(answer);
                if (sendingImg.includes(waitParse.info.state)) {
                    answerObj.find('.J_SendStatus').addClass('err err-load');
                } else if (waitParse.info.state == 2 || waitParse.info.state == 8) {
                    answerObj.find('.J_SendStatus').removeClass('err err-load').addClass('err');
                }
                mediator.publish(configs.operators.SHOW_MSG, answerObj, 1);
                if (answer.type == configs.msgType.server.IMAGE_TEXT) {
                    mediator.publish(configs.operators.SET_JIMI_IMG_SHOW, 1);
                }
            }
            // 图片答案处理
            if (answer.type === configs.msgType.server.IMAGE) {
                handelImg(waitParse);
            }
        }
    }
    function handelImg(data) {
        var imgObj = new Image();
        imgObj.src = data.info.localUrlPath || '';
        if (imgObj.src) {
            imgObj.onload = function () {
                var parentItem = $('.J_ChatItem[data-id="' + data.id + '"]');
                var imgHeight = 0;
                var loadImgHeight = $li.find('.J_ChatImg').height();
                var parentHeight = $li.height();
                if (imgObj.width > 215) {
                    imgHeight = imgObj.height * 215 / imgObj.width;
                    $li.css('height', parentHeight - loadImgHeight + imgHeight + 'px');
                } else {
                    $li.css('height', parentHeight - loadImgHeight + imgObj.height + 'px');
                }
            };
        }
    }
    /**
     * 获取快速操作连接
     */
    function getFastLink() {
        if (configs.isSdk) {
            if (SCSSDK.bridge.hasMethod('httpRequest')) {
                SCSSDK.bridge.callSdk('httpRequest', {
                    url: configs.api.getFastLink.match(/^http/) ? configs.api.getFastLink : 'https:' + configs.api.getFastLink,
                    method: 'get',
                    data: {
                        account: chatConfig.get('pin'),
                        venderId: chatConfig.get('venderId'),
                        clientType: chatConfig.get('clientType'),
                        aid: chatConfig.get('aid'),
                        st: chatConfig.get('sessionType'),
                        appId: chatConfig.get('customerAppId'),
                        source: chatConfig.get('source') || configs.deafultSource
                    },
                    callback: 'getFastLinkCallback'
                });
            }
        } else {
            var options = {
                url: configs.api.getFastLink,
                type: 'GET',
                dataType: 'JSONP',
                data: {
                    account: chatConfig.get('pin'),
                    clientType: chatConfig.get('clientType'),
                    aid: chatConfig.get('aid'),
                    st: chatConfig.get('sessionType'),
                    appId: chatConfig.get('customerAppId'),
                    source: chatConfig.get('source')
                }
            };
            if (utils.supportHttps()) {
                options.url = utils.replaceToHttpsProtocol(options.url);
            }
            utils.ajax(options, function (result) {
                if (result.errorCode == '111') {
                    mediator.publish(configs.operators.GO_NEW_LOGIN, result);
                }
                if (result.code != 1) {
                    // error
                } else {
                    var data = result.data;
                    if (!data || !data.length) {
                        return;
                    }
                    var linkDom;
                    var fastLinkNewTag = window.localStorage.getItem('fastLinkNewTag') || '';
                    if (fastLinkNewTag) {
                        fastLinkNewTag = fastLinkNewTag.split(',');
                        $.each(data, function (i, item) {
                            if (item.redToggle && $.inArray(item.id + '', fastLinkNewTag) < 0) {
                                item.redToggle = true;
                            } else {
                                item.redToggle = false;
                            }
                        });
                    }
                    //data = JSON.parse(data);
                    data.sort(function (a, b) {
                        return a.position - b.position;
                    });
                    linkDom = render.parseFastLink({ data: data });
                    mediator.publish(configs.operators.INIT_FAST_LINK, linkDom);
                }
            });
        }
    }

    /**
     * 获取聊天背景图片及动画效果
     */
    function getBgAnimation() {
        if (configs.isSdk) {
            if (SCSSDK.bridge.hasMethod('httpRequest')) {
                SCSSDK.bridge.callSdk('httpRequest', {
                    url: configs.api.getBgAnimation.match(/^http/) ? configs.api.getBgAnimation : 'https:' + configs.api.getBgAnimation,
                    method: 'get',
                    data: {
                        pin: chatConfig.get('pin'),
                        clientType: chatConfig.get('clientType'),
                        aid: chatConfig.get('aid'),
                        appid: chatConfig.get('customerAppId'),
                        source: chatConfig.get('source') || configs.deafultSource
                    },
                    callback: 'getBgAnimationCallBack'
                });
            }
        } else {
            var options = {
                url: configs.api.getBgAnimation,
                type: 'GET',
                dataType: 'JSON',
                data: {
                    pin: chatConfig.get('pin'),
                    clientType: chatConfig.get('clientType'),
                    aid: chatConfig.get('aid'),
                    appid: chatConfig.get('customerAppId'),
                    source: chatConfig.get('source')
                }
            };
            if (utils.supportHttps()) {
                options.url = utils.replaceToHttpsProtocol(options.url);
            }
            utils.ajax(options, function (result) {
                if (result.errorCode == '111') {
                    mediator.publish(configs.operators.GO_NEW_LOGIN, result);
                }
                if (result.code != 1) {
                    // error
                } else {
                    var data = result.data;
                    if (!data) {
                        return;
                    }
                    // 设置聊天背景
                    if (data.backgroundUrl) {
                        render.chatBackgrund(data);
                    }
                    //设置入场动画
                    if (data.welcomeAnimation) {
                        render.chatAnimation(data);
                    }
                }
            });
        }
    }
    /**
     *
     * 获取最近浏览商品
     * @param args
     * @param callback
     */
    function getRecentProducts(args, callback) {
        if (configs.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
            SCSSDK.bridge.callSdk('httpRequest', {
                url: configs.api.getSoaOrderRecent,
                method: 'get',
                data: {
                    appId: chatConfig.get('customerAppId'),
                    ptype: 'product.browseProducts',
                    month: args.month,
                    pageSize: args.pageSize,
                    page: args.page,
                    clientType: chatConfig.get('clientType'),
                    _pin_: chatConfig.get('pin'),
                    pin: chatConfig.get('pin'),
                    _token_: chatConfig.get('aid')
                },
                callback: 'getProductListCallback'
            });
            return;
        } else {
            var options = {
                url: configs.api.getRecentProducts,
                type: 'GET',
                dataType: 'JSON',
                data: {
                    _wid: chatConfig.get('wid'),
                    type: 0,
                    appId: chatConfig.get('appId'),
                    month: args.month || 1,
                    page: args.page || 1,
                    pageSize: args.pageSize || 10,
                    _: new Date().getTime()
                }
            };
            if (utils.supportHttps()) {
                options.url = utils.replaceToHttpsProtocol(options.url);
            }
            utils.ajax(options, function (result) {
                if (result.errorCode == '111') {
                    mediator.publish(configs.operators.GO_NEW_LOGIN, result);
                }
                var products = [];
                if (utils.isArray(result)) {
                    if (utils.supportHttps()) {
                        for (var i = 0, len = result.length; i < len; i++) {
                            var product = result[i];
                            if (product.imgurl) {
                                product.imgurl = utils.replaceToHttpsProtocol(product.imgurl);
                            }
                            if (product.url) {
                                product.url = utils.replaceToHttpsProtocol(product.url);
                            }

                            products.push(product);
                        }
                    } else {
                        products = result;
                    }
                    /*for(var i = 0, len = products.length; i < len; i++) {
                        (function(index) {
                            if(products[index].price3) {
                                products[index].price3 = products[index].price3.replace(/(￥|¥)/g, '')
                            } else {
                                products[index].price3 = '暂无价格';
                            }
                            products[index].price = products[index].price3;
                        })(i);
                    }*/
                }
                callback && callback(products);
            }, function () {
                var answer = answerParser.getSystemAnswer(configs.messages.networkBusy);
                var answerObj = render.parse(answer);
                mediator.publish(configs.operators.SHOW_MSG, answerObj);
            });
        }
    }

    /**
     * 获取最近订单列表
     * @param args
     * @param callback
     */
    function getRecentOrderList(args, callback) {
        if (configs.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
            SCSSDK.bridge.callSdk('httpRequest', {
                url: configs.api.getSoaOrderRecent,
                method: 'get',
                data: {
                    appId: chatConfig.get('customerAppId'),
                    ptype: 'order.getOrderByPage',
                    month: args.month,
                    pageSize: args.pageSize,
                    page: args.page,
                    clientType: chatConfig.get('clientType'),
                    _pin_: chatConfig.get('pin'),
                    pin: chatConfig.get('pin'),
                    _token_: chatConfig.get('aid')
                },
                callback: 'getOrderListCallback'
            });
            return;
        } else {
            var options = {
                url: configs.api.getRecentOrderList,
                type: 'GET',
                dataType: 'JSON',
                data: {
                    _wid: chatConfig.get('wid'),
                    type: 0,
                    appId: chatConfig.get('appId'),
                    month: args.month || 1,
                    page: args.page || 1,
                    pageSize: args.pageSize || 10,
                    _: new Date().getTime()
                }
            };
            // if(utils.supportHttps()) {
            //     options.url = utils.replaceToHttpsProtocol(options.url);
            // }
            utils.ajax(options, function (result) {
                if (result.errorCode == '111') {
                    mediator.publish(configs.operators.GO_NEW_LOGIN, result);
                }
                var orderList = [];
                if (utils.isArray(result)) {
                    if (utils.supportHttps()) {
                        for (var i = 0, len = result.length; i < len; i++) {
                            var products = result[i].products;
                            if (products.length) {
                                for (var j = 0, lenj = products.length; j < lenj; j++) {
                                    // if(products[j].imageUrl) {
                                    //     products[j].imageUrl = utils.replaceToHttpsProtocol(products[j].imageUrl);
                                    // }
                                    // if(products[j].url) {
                                    //     products[j].url = utils.replaceToHttpsProtocol(products[j].url);
                                    // }
                                }
                                result[i].products = products;
                            }
                        }
                    }
                    orderList = result;
                }
                callback && callback(orderList);
            }, function () {
                var answer = answerParser.getSystemAnswer(configs.messages.networkBusy);
                var answerObj = render.parse(answer);
                mediator.publish(configs.operators.SHOW_MSG, answerObj);
            });
        }
    }

    /**
     * 获取价保订单列表
     * @param args
     * @param callback
     */
    function getProtectPriceOrderList(args, callback) {
        var generateUUID = function generateUUID() {
            var d = new Date().getTime();
            var uuid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
                var r = (d + Math.random() * 16) % 16 | 0;
                d = Math.floor(d / 16);
                return (c == 'x' ? r : r & 0x3 | 0x8).toString(16);
            });
            return uuid;
        };
        if (configs.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
            SCSSDK.bridge.callSdk('httpRequest', {
                url: configs.api.getOrderListForProtectPrice,
                method: 'get',
                data: {
                    apiVersion: '1',
                    venderId: chatConfig.get('venderId'),
                    id: generateUUID(),
                    fromAppId: chatConfig.get('customerAppId'),
                    fromPin: chatConfig.get('pin'),
                    fromClientType: chatConfig.get('clientType'),
                    waiterAppId: chatConfig.get('waiter').waiterAppId,
                    waiterPin: chatConfig.get('waiter').waiterPin,
                    waiterClientType: chatConfig.get('waiter').waiterClientType,
                    pageIndex: args.page || 1,
                    pageSize: args.pageSize || 10,
                    aid: chatConfig.get('aid'),
                    sid: chatConfig.get('ppsid')
                },
                callback: 'getProtectPriceCallback'
            });
            return;
        } else {
            var options = {
                url: configs.api.getOrderListForProtectPrice,
                type: 'GET',
                dataType: 'JSONP',
                data: {
                    apiVersion: '1',
                    id: generateUUID(),
                    fromAppId: chatConfig.get('customerAppId'),
                    fromPin: chatConfig.get('pin'),
                    fromClientType: chatConfig.get('clientType'),
                    waiterAppId: chatConfig.get('waiter').waiterAppId,
                    waiterPin: chatConfig.get('waiter').waiterPin,
                    waiterClientType: chatConfig.get('waiter').waiterClientType,
                    pageIndex: args.page || 1,
                    pageSize: args.pageSize || 10,
                    aid: chatConfig.get('aid'),
                    sid: chatConfig.get('ppsid')
                }
            };
            // if(utils.supportHttps()) {
            //     options.url = utils.replaceToHttpsProtocol(options.url);
            // }
            utils.ajax(options, function (result) {
                if (result.errorCode == '111') {
                    mediator.publish(configs.operators.GO_NEW_LOGIN, result);
                }
                var orderList = [];
                result = result.data;
                if (utils.isArray(result)) {
                    if (utils.supportHttps()) {
                        for (var i = 0, len = result.length; i < len; i++) {
                            var products = result[i].products;
                            if (products.length) {
                                for (var j = 0, lenj = products.length; j < lenj; j++) {
                                    // if(products[j].imageUrl) {
                                    //     products[j].imageUrl = utils.replaceToHttpsProtocol(products[j].imageUrl);
                                    // }
                                    // if(products[j].url) {
                                    //     products[j].url = utils.replaceToHttpsProtocol(products[j].url);
                                    // }
                                }
                                result[i].products = products;
                            }
                        }
                    }
                    orderList = result;
                }
                callback && callback(orderList);
            }, function () {
                var answer = answerParser.getSystemAnswer(configs.messages.networkBusy);
                var answerObj = render.parse(answer);
                mediator.publish(configs.operators.SHOW_MSG, answerObj);
            });
        }
    }

    function getChangeRiskImg(args, callback) {

        if (configs.isSdk) {
            SCSSDK.bridge.callSdk('httpRequest', {
                url: configs.api.changeRiskImg,
                method: 'get',
                data: {
                    appId: chatConfig.get('customerAppId'),
                    ptype: 'change_captcha',
                    clientType: chatConfig.get('clientType'),
                    pin: chatConfig.get('pin'),
                    aid: chatConfig.get('aid')
                },
                callback: 'getChangeRiskImgCallback'
            });
            return;
        } else {
            var options = {
                url: configs.api.changeRiskImg,
                type: 'GET',
                dataType: 'JSONP',
                data: {
                    appId: chatConfig.get('customerAppId'),
                    ptype: 'change_captcha',
                    clientType: chatConfig.get('clientType'),
                    pin: chatConfig.get('pin'),
                    aid: chatConfig.get('aid')
                }
            };
            utils.ajax(options, function (result) {
                if (!result) {
                    return;
                }
                if (result.success == 1) {
                    callback && callback(result);
                }
            });
        }
    }
    /**
     * 对漫游消息进行排序（倒序）
     * 由于服务端返回的消息基本有序，所以才有插入排序效率最高，时间复杂度为O(n)
     * @param histories
     */
    function sortHistoriesByDateTime(histories) {
        for (var i = 1, len = histories.length; i < len; i++) {
            // 判断当前消息的时间是否大于前一条，若大于前一条，则交换位置
            // 直到当前消息的时间小于前一条或者当前消息移动到了位置0
            for (var j = i - 1; j >= 0; j--) {
                var current = histories[j + 1];
                var previous = histories[j];
                var tempTimestamCur = current.timestamp || null;
                var tempDateTimeCur = tempTimestamCur ? utils.formatDate(new Date(tempTimestamCur), 'yyyy-MM-dd HH:mm:ss') : current.datetime;

                var tempTimestamPrev = previous.timestamp || null;
                var tempDateTimePrev = tempTimestamPrev ? utils.formatDate(new Date(tempTimestamPrev), 'yyyy-MM-dd HH:mm:ss') : previous.datetime;

                var curTimestamp = tempDateTimeCur && new Date(tempDateTimeCur.replace(/-/g, '/')).getTime();
                var preTimestamp = tempDateTimePrev && new Date(tempDateTimePrev.replace(/-/g, '/')).getTime();
                if (curTimestamp <= preTimestamp) {
                    break;
                } else {
                    var temp = Object.assign({}, previous);
                    histories[j] = Object.assign({}, current);
                    histories[j + 1] = temp;
                }
            }
        }
    }

    /**
     * 获取服务商，单个订单详情，单个商品详情
     * extendArgs : 自定义的查询商家的信息数据源参数
     */
    function getSoaDetail(callback, extendArgs) {
        var soaJson = {
            _wid: chatConfig.get('wid'),
            _: new Date().getTime()
        };
        if (extendArgs) {
            soaJson.appId = extendArgs.appId;
            if (extendArgs.shopId) {
                soaJson.shopId = extendArgs.shopId;
            }
            if (extendArgs.venderId) {
                soaJson.venderId = extendArgs.venderId;
            }
            if (extendArgs.groupId) {
                soaJson.groupId = extendArgs.groupId;
            }
            if (extendArgs.pid) {
                soaJson.pid = extendArgs.pid;
            }
            if (extendArgs.orderId) {
                soaJson.orderId = extendArgs.orderId;
            }
        } else {
            soaJson.appId = chatConfig.get('appId');
            if (chatConfig.get('shopId')) {
                soaJson.shopId = chatConfig.get('shopId');
            }
            if (chatConfig.get('venderId')) {
                soaJson.venderId = chatConfig.get('venderId');
            }
            if (chatConfig.get('groupId')) {
                soaJson.groupId = chatConfig.get('groupId');
            }
            if (chatConfig.get('pid')) {
                soaJson.pid = chatConfig.get('pid');
            }
            if (chatConfig.get('orderId')) {
                soaJson.orderId = chatConfig.get('orderId');
            }
        }
        // 前端兼容处理
        if ((soaJson.appId == 'jr.waiter' || soaJson.appId == 'jd.waiter') && !soaJson.venderId && !soaJson.pid && !soaJson.orderId) {
            /*            chatConfig.set('venderTypeTxt', '官方');
                        chatConfig.set('venderType', 3);
                        chatConfig.set('venderName', '京东客服');
                        chatConfig.set('venderId', 1);*/
            var result = {
                venderInfo: {
                    "appId": soaJson.appId,
                    "type": 1,
                    "venderName": "京东客服"
                }
            };
            callback && callback(result);
            return;
        }

        var options = {
            url: configs.api.getSoaDetail,
            type: 'GET',
            dataType: 'JSON',
            data: soaJson
        };
        if (!configs.isSdk && utils.supportHttps()) {
            options.url = utils.replaceToHttpsProtocol(options.url);
        }
        utils.ajax(options, function (result) {
            if (!result) {
                return;
            }
            if (result.errorCode == '111') {
                mediator.publish(configs.operators.GO_NEW_LOGIN, result);
            }
            if (result.errorCode && result.errorCode == 4281) {
                // 显示新窗口开启了会话的提示
                mediator.publish(configs.operators.SET_NEW_WIN_TIPS);
                instance.socketStop();
                return;
            }
            if (!configs.isSdk && utils.supportHttps()) {
                if (result.imgurl) {
                    result.imgurl = utils.replaceToHttpsProtocol(result.imgurl);
                }
            }
            callback && callback(result);
        }, function () {
            var answer = answerParser.getSystemAnswer(configs.messages.networkBusy);
            var answerObj = render.parse(answer);
            mediator.publish(configs.operators.SHOW_MSG, answerObj);
        });
    }

    /**
     * 获取百科活动内容详情
     */
    function getWikiDetail(actId) {
        if (configs.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
            SCSSDK.bridge.callSdk('httpRequest', {
                url: configs.api.getWikiDetail.match(/^http/) ? configs.api.getWikiDetail : 'https:' + configs.api.getWikiDetail,
                method: 'get',
                data: {
                    appId: chatConfig.get('customerAppId'),
                    clientType: chatConfig.get('clientType'),
                    account: chatConfig.get('pin'),
                    aid: chatConfig.get('aid'),
                    source: chatConfig.get('source') || configs.deafultSource,
                    id: actId
                },
                callback: 'getWikiDetailCallback',
                h5Info: JSON.stringify({ 'actId': actId })
            });
            return;
        } else {
            var options = {
                url: configs.api.getWikiDetail,
                type: 'GET',
                dataType: 'JSONP',
                data: {
                    appId: chatConfig.get('customerAppId'),
                    clientType: chatConfig.get('clientType'),
                    account: chatConfig.get('pin'),
                    aid: chatConfig.get('aid'),
                    source: chatConfig.get('source'),
                    id: actId
                }
            };
            if (utils.supportHttps()) {
                options.url = utils.replaceToHttpsProtocol(options.url);
            }
            utils.ajax(options, function (result) {
                if (!result) {
                    return;
                }
                if (result.code == 1) {
                    var data = result.data;
                    if (!data) {
                        return;
                    }
                    var objParam = { 'id': actId, 'data': data };
                    mediator.publish(configs.operators.HANDLE_WIKI_ACT, objParam);
                }
            });
        }
    }
    /**
     * [getHttpGateway HTTP网关接口]
     * @param  {object} option       [接口参数packet对象]
     * @param  {string} sdkCallback  [sdk回调函数名]
     * @param  {function} httpCallback [http回调函数]
     * @return {[type]}
     */
    function getHttpGateway(option, sdkCallback, httpCallback, h5Info) {
        var paramData = {
            appId: chatConfig.get('customerAppId'),
            clientType: chatConfig.get('clientType'),
            pin: chatConfig.get('pin'),
            aid: chatConfig.get('aid'),
            ptype: 'jimi',
            packet: {
                venderId: chatConfig.get('venderId'),
                sid: chatConfig.get('sid') || '',
                entry: chatConfig.get('entry'),
                source: chatConfig.get('source') || configs.deafultSource,
                proVer: chatConfig.get('proVer'),
                code: '',
                requestType: 'get',
                type: 1,
                param: {}
            }
        };
        paramData.packet = $.extend({}, paramData.packet, option || {});
        if (!paramData.packet.code) {
            return false;
        }
        paramData.packet = JSON.stringify(paramData.packet);

        if (configs.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
            SCSSDK.bridge.callSdk('httpRequest', {
                url: configs.api.getHttpGateway.match(/^http/) ? configs.api.getHttpGateway : 'https:' + configs.api.getHttpGateway,
                method: 'get',
                data: paramData,
                callback: sdkCallback || '',
                h5Info: h5Info && JSON.stringify(h5Info) || ''
            });
            return;
        } else {
            var options = {
                url: configs.api.getHttpGateway,
                type: 'GET',
                dataType: 'JSONP',
                data: paramData
            };
            if (utils.supportHttps()) {
                options.url = utils.replaceToHttpsProtocol(options.url);
            }
            utils.ajax(options, function (result) {
                if (!result) {
                    return;
                }
                // if (result.success == 1) {
                //    httpCallback && httpCallback(result);
                // }
                httpCallback && httpCallback(result);
            });
        }
    }

    // 调用数据接口
    /*    function getTicketAddress(json, callback) {
            var type = json.type;
            var services = json.services;
            if (configs.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
                SCSSDK.bridge.callSdk('httpRequest', {
                    url: services[type].url.match(/^http/) ? services[type].url : 'https:' + services[type].url,
                    method: services[type].method,
                    data: {
                        appId : chatConfig.get('customerAppId'),
                        clientType : chatConfig.get('clientType'),
                        account : chatConfig.get('pin'),
                        aid : chatConfig.get('aid'),
                    },
                    callback: 'getAddressCallback'
                });
                return;
            } else {
                var options = {
                    url: configs.api.getHttpGateway,
                    type: services[type].method,
                    cache: false,
                    dataType: 'JSONP',
                    data: paramData,
                    headers: {'Content-Type': 'application/x-www-form-urlencoded'},
                };
                if(utils.supportHttps()) {
                    options.url = utils.replaceToHttpsProtocol(options.url);
                }
                utils.ajax(options, function(result) {
                    if (!result) {
                        return;
                    }
                    if (result.success == 1) {
                       httpCallback && httpCallback(result);
                    }
                    
                });
                return $.ajax({
                    method: services[type].method,
                    url: services[type].url,
                    cache: false,
                    params: {'_':new Date().getTime()},
                    data: null,
                    headers: {'Content-Type': 'application/x-www-form-urlencoded'},
                    success:function(data){
                    }
                });
            }
    
        }*/
    return {
        // 获取receiver实例
        getInstance: function getInstance() {
            if (!instance) {
                instance = init();
            }
            return instance;
        }
    };
}();

module.exports = Receiver;

/***/ }),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by wanghaixin on 2017/2/18.
 */

(function (argument) {
    // body...
    var Mediator = __webpack_require__(3);
    var utils = __webpack_require__(1);
    var configs = __webpack_require__(2);
    var $ = __webpack_require__(0);
    var ChatConfig = __webpack_require__(4);
    var Toast = __webpack_require__(24);
    var Tmpl = __webpack_require__(13);
    var TmplPlus = __webpack_require__(14);
    var Loading = __webpack_require__(22);

    Tmpl.install($);
    TmplPlus.install($);
    var mediatorInstance = Mediator.getInstance();
    var chatConfig = ChatConfig.getInstance();
    var loading = Loading.getInstance();
    var toast = Toast.getInstance();

    var templates = {};
    var domainHost = 'jimi1.jd.com';

    var chatList = $('#J_ImChatList');

    var REG = {
        "drop-down-numeral": /^\d+(\d?|(\.[0-9]+))$/g, // /^\d+$/g
        "drop-down-mail": /^[a-z0-9]+([._\\-]*[a-z0-9])*@([a-z0-9]+[-a-z0-9]*[a-z0-9]+.){1,63}[a-z0-9]+$/gi,
        "drop-down-date": /^\d{2}(\d{2})?(\-|\/|\.)(0?[1-9]|1[0-2])\2(0?[1-9]|[12][0-9]|3[01])(\s\d{1,2}:\d{1,2}:\d{1,2})?$/g, // /^\d{2}(\d{2})?(\-|\/|\.)\d{1,2}\2\d{1,2}(\s\d{1,2}:\d{1,2}:\d{1,2})?$/g
        "drop-down-phone": /^1[34578]\d{9}$/g
    };

    var illegal = 'illegal';

    function isNoReplaceTid(tid) {
        var result = false;
        for (var i = 0, len = configs.noReplaceTids.length; i < len; i++) {
            if (tid.indexOf(configs.noReplaceTids[i]) != -1) {
                result = true;
                break;
            }
        }
        return result;
    }

    function checkInputVal(textInp) {
        textInp.each(function (idx, inp) {
            var $this = $(inp),
                regKey = $this.attr('validate'),
                val = $this.val(),
                valReg = REG[regKey];
            // 非加密类型输入框，执行合法性校验逻辑
            if (!$this.attr('data-secret')) {
                if (val) {
                    if (valReg) {
                        if (val.match(valReg)) {
                            $this.removeClass('type-error');
                        } else {
                            $this.addClass('type-error');
                        }
                    } else {
                        $this.removeClass('type-error');
                    }
                } else {
                    $this.addClass('type-error');
                }
            }
        });
    }

    function judger(type, value) {
        if (typeof REG[type] == 'undefined') {
            return true;
        }
        return !!value.match(REG[type]);
    }

    function validator(form, callback) {
        var items = form.find('[validate]:not([readonly])');

        items.each(function (i, n) {
            var item = $(n);
            item.data('isLegal', !0);

            item.focus(function () {}).blur(function () {
                var self = $(this);
                var type = self.attr('validate');
                var value = $.trim(self.val());

                if (value == '') {
                    self.data('isLegal', !0).removeClass(illegal);
                    return;
                } else {
                    var result = judger(type, value);
                    self.data('isLegal', result);
                    if (result) {
                        self.removeClass(illegal);
                    } else {
                        self.addClass(illegal);
                    }
                }
            });
        });

        form.find('.form_button_submit').click(function () {
            var result = !0;
            items.each(function (i, n) {
                if (!$(n).data('isLegal')) {
                    result = !1;
                }
            });
            if (result) {
                callback();
            }
            callback();
        });
    }

    function Form(data, formItem) {
        var that = this;

        that.sourceData = data;
        that.formItem = formItem;
        that.isHistory = !!0;
        that.fill();
        that.evt();
        that.formItem.data('version', data.version);
        that.formItem.data('source', data.source);
    }

    Form.prototype.evt = function () {
        var that = this;

        //commit event
        validator(that.formItem, function () {});

        Form.bindControlEvt(that.formItem);
    };

    Form.prototype.fill = function () {
        var that = this;
        var answer = that.sourceData;
        for (var key in answer.dataMap) {
            var wgWrap = that.formItem.find('[widget-code="' + key + '"]');
            if (wgWrap.length) {
                Form.setValues(wgWrap, answer.dataMap[key]);
            }
        }
    };

    Form.chatConfig = ChatConfig.getInstance();
    Form.toast = Toast.getInstance();
    Form.emptyEnum = '<option value=""></option>';

    Form.limitJimiClick = function () {
        if (chatConfig.get('sessionType') != 'jimi') {
            Form.toast.show(configs.messages.limitForJimi);
            return !0;
        }

        return !1;
    };

    Form.bindControlEvt = function (item) {
        var that = this;

        // blur 实现输入内容格式验证
        var textInp = item.find('input[type="text"]'),
            tmpVal;
        textInp.on('focus', function (ev) {
            if (Form.limitJimiClick()) {
                return false;
            }
            var $this = $(this);
            /**
             * 如果获得焦点时，文本框属于加密类型
             * 则缓存当前加密的value值，用于失去焦点时选择恢复
             * 同时清空当前输入框
             */
            if ($this.attr('data-secret')) {
                tmpVal = $this.val();
                $this.val('');
            }
        }).on('blur', function (ev) {
            if (Form.limitJimiClick()) {
                return false;
            }
            var $this = $(this);
            /**
             * 当加密类型文本框失去焦点时
             * 如果用户填写了内容，则取消文本框加密标识（开启验证）
             * 否则，恢复获得焦点时缓存的初始加密值
             */
            if ($this.attr('data-secret')) {
                if (!$this.val()) {
                    $this.val(tmpVal);
                } else {
                    $this.removeAttr('data-secret');
                }
            }
            checkInputVal($this);
        }).on('click', function () {
            return false;
        });

        item.find('.form_select').each(function (i, n) {
            // Form.limitJimiClick();
            if ($(n).find('select').length == 1) return;
            $(n).find('select:not(:last)').change(function () {
                if (Form.limitJimiClick()) {
                    return false;
                }
                Form.renderEnum($(this));
            });
        });

        // 阻止select在移动设备上冒泡
        // 避免弹出选项后瞬间消失变为键盘
        item.find('select').on('touchstart', function (ev) {
            ev.stopPropagation();
        });

        item.on('click', '.form_button_submit', function (ev) {
            if (Form.limitJimiClick()) {
                return false;
            }
            var $this = $(this);
            if ($this.hasClass('form_button_disabled')) return false;
            checkInputVal(textInp);
            if (item.find('.type-error').length) {
                toast.show(configs.messages.msgError);
                return false;
            }
            var param = Form.formatData(item);
            Form.sendFormData({ p: param, item: item }, function (res) {
                // item.find("input,select").prop('disabled', true);
                // item.removeClass('hide-button').find('.customize-form-button').html('<span class="form_submitted">已提交</span>');
            });
        });

        item.on('click', '.form_button_cancel', function (ev) {
            if (Form.limitJimiClick()) {
                return false;
            }
            // console.log('Cancel clicked');
            item.find("input,select").prop('disabled', true);
            item.removeClass('hide-button').find('.customize-form-button').html('<span class="form_canceled">已取消</span>');
        });

        item.on('click', '.form_button_prev', function (ev) {
            if (Form.limitJimiClick()) {
                return false;
            }
            var thisStep = $(this).parents('li.J_ChatItem');
            var uuid = item.attr('uuid');
            var sourcePrev = Form.History[uuid].shift();
            var prevStep = sourcePrev.clone(!!sourcePrev.find('[data-rel]').length);
            var pBtn = prevStep.find('.form_button_prev');
            var btnWrap = prevStep.find('.customize-form-button');
            prevStep.find('.form_button_submit').removeAttr('disabled');
            thisStep.replaceWith(prevStep);
            Form.History[uuid] = Form.History[uuid] || [];
            // 将滚动条滚到底部
            if (Form.History[uuid].length > 0) {
                if (!pBtn.length) {
                    pBtn = '<button class="form_button form_button_prev" value="上一步">上一步</button>';
                    btnWrap.html(pBtn + btnWrap.html());
                    prevStep.removeClass('hide-button');
                }
            } else {
                pBtn.remove();
                if (!prevStep.find('.form_button').length) {
                    prevStep.addClass('hide-button');
                }
            }
            setTimeout(function () {
                mediatorInstance.publish(configs.operators.REFRESH_SCROLL);
                mediatorInstance.publish(configs.operators.SCROLL_TO_FOOT);
            }, 200
            // 新DOM中绑定事件
            );Form.bindControlEvt(prevStep);
        });
    };

    Form.sendFormData = function (ret, callback) {
        var data = ret.p;
        var item = ret.item;

        var formData = {
            form: data,
            version: item.data('version'),
            source: item.data('source')
        };
        var prevCont = '';
        if (configs.isSdk) {
            prevCont = '<span data-hidden=true data-rel="formSubmit" class="J_BarRelCase">已提交</span>';
        } else {
            prevCont = '已提交';
        }
        var postData = {
            target: 'customer',
            type: 'formTemplate',
            content: prevCont,
            form: JSON.stringify(data),
            data: JSON.stringify(formData)
        };
        mediatorInstance.publish(configs.operators.SEND_FORM_MSG, postData);

        if (configs.isSdk) {
            setTimeout(function () {
                callback && callback();
            }, 200);
        }
    };

    Form.formatData = function (item) {
        var inputWrap = item.find('.form_input');
        var selectWrap = item.find('.form_select');
        var radioWrap = item.find('.form_radio');
        var answer = JSON.parse(item.attr('template-data') || '{}');
        var fd = {
            className: answer.className,
            formCode: answer.tid,
            isReselect: false,
            modelName: answer.modelName,
            sceneUuid: answer.uuid,
            widgets: []
        };
        // 序列化input参数
        inputWrap.each(function (idx, iw) {
            var $this = $(iw);
            var wCode = $this.attr('widget-code');
            var tmpObj = {};
            tmpObj['widgetCode'] = wCode;
            tmpObj['value'] = [];
            $this.find('input').each(function (i, inp) {
                var $inp = $(inp);
                if ($inp.attr('data-secret')) {
                    tmpObj['value'].push({
                        isSecret: true,
                        displayValue: $inp.val(),
                        secretValue: $inp.attr('data-secret-value'),
                        type: $inp.attr('validate')
                    });
                } else {
                    tmpObj['value'].push({
                        isSecret: false,
                        displayValue: $inp.val(),
                        type: $inp.attr('validate')
                    });
                }
            });
            fd.widgets.push(tmpObj);
        });
        // 序列化select参数
        selectWrap.each(function (idx, sw) {
            var $this = $(sw);
            var wCode = $this.attr('widget-code');
            var sels = $this.find('select');
            var tmpObj = {};
            tmpObj['widgetCode'] = wCode;
            tmpObj['value'] = [];
            sels.each(function (si, s) {
                var optTxt = $(s).find(':selected').text();
                optTxt = optTxt === '--请选择--' ? '' : optTxt;
                tmpObj['value'].push(optTxt);
            });
            tmpObj['value'] = [{ isSecret: false, displayValue: tmpObj['value'].join(',').replace(/,+$/g, '') }];
            fd.widgets.push(tmpObj);
        });
        // 序列化radio参数
        radioWrap.each(function (idx, rw) {
            var $this = $(rw);
            var wCode = $this.attr('widget-code');
            var tmpObj = {};
            tmpObj['widgetCode'] = wCode;
            tmpObj['value'] = [{ isSecret: false, displayValue: $this.find('input:checked').val() || '' }];
            fd.widgets.push(tmpObj);
        });
        return fd;
    };

    Form.renderEnum = function (item) {
        item.nextAll('select').html(Form.emptyEnum);
        if (item.val() == "") {
            return;
        }

        var enumType = item.closest('.form_select').attr('enum-type');

        var options = {
            url: '//' + domainHost + configs.api.getEnums,
            data: {
                parentId: item.val(),
                enumType: enumType
            },
            dataType: 'json'
        };
        utils.ajax(options, function (data) {
            if (data.code == '1') {
                var options = '';
                $.each(data.enumList, function (i, n) {
                    options += '<option value="' + n.id + '">' + n.enumName + '</option>';
                });
                item.next('select').append($(options));
            }
        });
    };

    Form.getData = function (item) {
        var tmp = [];

        item.find('.customize-form-body>[class*="form_"]').each(function (i, n) {
            var item = $(n);
            var cls = item.attr('class');
            var obj = {};
            switch (cls) {
                case 'form_input':
                    if (item.find('input').attr('readonly')) return;
                    var values = [];
                    values.push(item.find('input').val()).toString();
                    obj.value = values;
                    obj.widgetCode = item.attr('widget-code');
                    tmp.push(obj);
                    break;
                case 'form_radio':
                    var value = item.find('input:radio:checked').val();
                    if (typeof value == 'undefined') return;
                    var values = [];
                    values.push(value);
                    obj.value = values;
                    obj.widgetCode = item.attr('widget-code');
                    tmp.push(obj);
                    break;
                case 'form_select':
                    var value = [];
                    item.find('select').each(function () {
                        value.push($(this).find('option:selected').text());
                    });
                    var values = [];
                    values.push(value.join(' '));
                    obj.value = values;
                    obj.widgetCode = item.attr('widget-code');
                    tmp.push(obj);
                    break;
                default:
                    {}
            }
        });

        return tmp;
    };

    Form.setValues = function (wrap, dataList) {
        var that = this;
        var subWg, valObj;
        if (wrap.length) {
            if (wrap.hasClass('form_input')) {
                subWg = wrap.find('input[type="text"]');
                valObj = utils.isArray(dataList) ? dataList[0] : dataList || {};
                if (valObj.isSecret) {
                    // 不能直接subWg.val(dataList)
                    subWg.attr('data-secret', valObj.isSecret).attr('data-secret-value', valObj.secretValue || '').attr("value", valObj.displayValue || '');
                } else {
                    subWg.attr("value", valObj.displayValue || '');
                }
            } else if (wrap.hasClass('form_select')) {
                subWg = wrap.find('select');
                valObj = utils.isArray(dataList) ? dataList[0] : dataList || {};
                var _len = subWg.length;
                var prveList = '';
                if (utils.isArray(dataList)) {
                    prveList = dataList[0];
                } else {
                    prveList = dataList;
                }
                var newDataList = prveList.displayValue.split(',');
                $.each(subWg, function (i, n) {
                    var value = newDataList[i] || '';
                    if (value) {
                        $(n).html('<option value="' + value + '">' + value + '</option>');
                    }
                });
            } else if (wrap.hasClass('form_radio')) {
                valObj = utils.isArray(dataList) ? dataList[0] : dataList || {};
                if (wrap.find('input[value="' + valObj.displayValue + '"]').length) {
                    wrap.find('input[value="' + valObj.displayValue + '"]').attr('checked', 'checked');
                } else {
                    wrap.find('input:radio').eq(0).attr('checked', 'checked');
                }
            }
        }
    };

    Form.transformation = function (html, data) {
        var div = $('<div></div>');
        var answer = data.content;
        // IM.Form.debug(JSON.stringify(answer));
        if (Object.prototype.toString.call(answer) === '[object Array]') {
            answer = {
                datas: answer,
                ptype: data.ptype,
                answer_title: data.title,
                interactiveId: data.interactiveId || ''
            };
            if (answer.datas.length > 1) {
                answer.length = answer.datas.length;
            }
        } else {
            if (typeof answer.datas === 'undefined') {
                answer.datas = {};
            }
        }
        answer.answer_note = data.answer_note || '';
        answer.answer_title = data.title || '';
        /**
         * 如果dataMap中能找到templateComponentCode字段对应的value的字段
         * wedget控件value通过widgets数组数据去赋值
         * 否则
         * 遍历dataMap对象寻找与key对应的widget控件赋值value
         */
        if (answer.dataMap && JSON.stringify(answer.dataMap) !== '{}') {
            if (answer.dataMap.hasOwnProperty(data.tid)) {
                answer.dataMap = answer.dataMap[data.tid];
                div.append($.tmpl(html, answer));
            } else {
                div.append(html);
                div.find('.form_select select').each(function (i, n) {
                    var selOpt = $(n).find(':selected');
                    if (!$(n).siblings('select').length) {
                        if (selOpt.text() != '--请选择--') {
                            var html = '<option value="">--请选择--</option>';
                            html += $(n).html();
                            $(n).html(html);
                        }
                    } else {
                        if (selOpt.text() == '--请选择--') {
                            selOpt.html('');
                        }
                    }
                });
                for (var key in answer.dataMap) {
                    var wgWrap = div.find('[widget-code="' + key + '"]');
                    if (wgWrap.length) {
                        Form.setValues(wgWrap, answer.dataMap[key]);
                    }
                }
            }
        } else {
            if (JSON.stringify(answer.dataMap) === '{}') {
                div.html(configs.messages.sysError);
            } else {
                div.append($.tmpl(html, answer));
            }
        }
        return div.html();
    };

    Form.History = {};
    var Component = {
        hasTemplate: function hasTemplate(componentCode) {
            if (typeof templates[componentCode] != 'undefined') {
                return templates[componentCode];
            } else {
                return false;
            }
        },

        completeForm: function completeForm(item, dataMap) {
            $.each(dataMap, function (i, n) {
                var key = dataMap[i].widgetCode;
                var wgWrap = item.find('[widget-code="' + key + '"]');
                if (wgWrap.length) {
                    Form.setValues(wgWrap, dataMap[i].value);
                }
            });
            item.find('.form_select select').each(function (i, n) {
                var selOpt = $(n).find(':selected');
                if (!$(n).siblings('select').length) {
                    if (selOpt.text() != '--请选择--') {
                        var html = '<option value="">--请选择--</option>';
                        html += $(n).html();
                        $(n).html(html);
                    }
                } else {
                    if (selOpt.text() == '--请选择--') {
                        selOpt.html('');
                    }
                }
            });
        },

        init: function init(item, data) {
            var that = this;
            if (item.attr('data-tpl-type') == 'tpl-load') {
                item.attr('uuid', data.uuid);
            } else {
                item.attr('template-data', JSON.stringify(data));
                if (!isNoReplaceTid(data.tid)) {
                    item.attr('uuid', data.uuid);
                }
                item.attr('data-guide', data.guideIndex);
                item.attr('data-code', data.tid);
                item.attr('data-type', data.componentType);
                item.attr('data-answer-note', data.answerNote);
            }
            new Form(data, item);
        },

        renderForm: function renderForm(html, isHistory, uuid) {

            var childs = chatList.children();
            var $item = $(html);

            var scene = chatList.find('.J_ChatItem.chat-tpl[uuid="' + uuid + '"]');

            // if(scene.length) {
            //     var si = null;
            //     si = scene.clone();

            //     // SCSSDK.util.log(scene.length, 'n');
            //     if (configs.isSdk) {
            //         scene.find('input,select').prop('disabled', true);
            //         scene.removeClass('hide-button').find('.customize-form-button').html('<span class="form_submitted">已提交</span>');
            //     }

            //     Form.History[uuid] = Form.History[uuid] || [];
            //     // 存储前一步控件
            //     Form.History[uuid].unshift(si);
            //     if (Form.History[uuid].length > 5) {
            //         Form.History[uuid].length = 5;
            //     }
            // }

            // if(isHistory) {
            //     if (childs.length) {
            //         $item.insertBefore(childs.eq(0));
            //         if(scene.length) {
            //             scene.replaceWith(html);
            //         }
            //     } else {
            //         $item.appendTo(chatList);
            //     }
            // } else {
            //     if(scene.length) {
            //         scene.replaceWith($item);
            //     } else {
            //         $item.appendTo(chatList);
            //     }
            // }
            $item.appendTo(chatList);
            // if (Form.History[uuid] && Form.History[uuid].length > 0) {
            //     var btnWrap = $item.find('.customize-form-button');
            //     var pBtn = '<button class="form_button form_button_prev" value="上一步">上一步</button>';
            //     btnWrap.html(pBtn + btnWrap.html());
            // }

            return $item;
        },

        setHost: function setHost(host) {
            domainHost = host;
        },

        getHost: function getHost() {
            return domainHost;
        },
        dataPretreat: function dataPretreat(data) {
            // body...
            var result = [],
                left = 2,
                count = 0;

            $.each(data, function (i, n) {
                if (left > 0) {
                    var obj = $.extend({}, n);
                    result.push(obj);
                    if (n.wares.length > left) {
                        result[result.length - 1].wares = n.wares.slice(0, left);
                        left = 0;
                    } else {
                        left -= n.wares.length;
                    }
                };
                count += n.wares.length;
            });
            return {
                result: result,
                count: count
            };
        }
    };

    module.exports = Component;
})();

/***/ }),
/* 20 */,
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 事件函数统一管理模块
 * cdzhengwujiang 2017/02/09
 */
var $ = __webpack_require__(0);
var configs = __webpack_require__(2);
var utils = __webpack_require__(1);
var DataManager = __webpack_require__(6);
var expression = __webpack_require__(10);
var ChatConfig = __webpack_require__(4);
var dataTool = __webpack_require__(11);
var Popup = __webpack_require__(23);
var Mediator = __webpack_require__(3);
var Auth = __webpack_require__(44);
var JrBridge = __webpack_require__(47);
var storage = new Object(window.localStorage);
var AnswerParser = __webpack_require__(9);
var Render = __webpack_require__(8);
//var frameModule = require('../commons/frameModule');
var LandFill = __webpack_require__(7);

var EvtHandler = function () {
    var instance;
    var dm = DataManager.getInstance();
    var chatConfig = ChatConfig.getInstance();
    var answerParser = AnswerParser.getInstance();
    var render = Render.getInstance();
    var popup = Popup.getInstance({
        mask: true,
        idSelector: 'Im_test',
        toTopHeight: 150
    });

    var mediator = Mediator.getInstance();

    function openNewView(url) {
        if (configs.isSdk) {
            SCSSDK.bridge.callSdk('startSdkWork', {
                action: 'linkRedirect',
                data: {
                    link: url
                }
            });
        } else {
            location.href = url;
        }
    }

    function init() {
        return {
            addEmoji: function addEmoji(context, code) {
                var $editor = context.$editor;
                var nowMsg = $editor.val();
                $editor.val(nowMsg + '[' + code + ']');
                context.setSendBtn();
            },
            removeEmoji: function removeEmoji(context) {
                var $editor = context.$editor;
                var nowMsg = $editor.val();
                var exp = context.expression;
                var eReg = /(\[s\d{2,}\])$/;
                if (eReg.test(nowMsg)) {
                    if (exp.isExpStr(RegExp.$1)) {
                        nowMsg = nowMsg.replace(eReg, '');
                        $editor.val(nowMsg);
                    }
                }
                context.setSendBtn();
            },
            sendTextMsg: function sendTextMsg(context, evt, text) {

                var msg = text || context.$editor.val();
                var data = {
                    type: 'text',
                    content: expression.faceToChat(msg)
                };
                if (configs.askTag) {
                    // data.ptag = configs.askTag;
                    data.extData = {
                        ptag: configs.askTag
                    };

                    context.clearTag();
                }
                if (utils.isEmpty(msg)) {
                    context.toast.show(configs.messages.empty);
                    return false;
                }
                context.sendMsg(data, function () {});
                context.$editor.val('');
                context.setSendBtn();
            },
            setEvaluate: function setEvaluate(context, ev) {
                var domStr = '';
                var evalData = {
                    type: 'evaluate',
                    target: 'customer',
                    content: {
                        venderId: chatConfig.get('venderId'),
                        groupId: chatConfig.get('groupId'),
                        appId: chatConfig.get('appId'),
                        sessionType: chatConfig.get('sessionType')
                    }
                };
                var $icon = $(ev.currentTarget);
                domStr = context.render.renderEvaluate(evalData);
                context.popup.open({
                    idScrollerSel: configs.static.popScrollId,
                    contentHtml: domStr,
                    openCallback: function openCallback() {
                        context.initPopScroll();
                    },
                    closeCallback: function closeCallback() {
                        $icon.removeClass('on');
                        if (configs.isSdk && SCSSDK.bridge.callSdk) {
                            // 标识关闭弹层
                            SCSSDK.bridge.configs.isSdkCallPoup = !!0;
                            SCSSDK.bridge.callSdk('startSdkWork', {
                                action: 'showToolbar',
                                // 1：显示
                                data: 1
                            });
                        }
                    }
                });
            },
            sendFirstCard: function sendFirstCard(context, ev) {
                context.scrollToFoot(500);
                var $q = $(ev.currentTarget);
                var qc = $q.attr('data-question') || '';
                var position = $q.attr('data-position');
                var type = $q.parent().attr('data-type');
                var interactiveId = $q.closest('ul.sub-lst').attr('data-interactiveId');
                var sendData = {
                    type: 'text',
                    target: 'customer',
                    content: qc
                };
                sendData.extData = {
                    feedBackNum: position,
                    interactiveId: interactiveId
                };
                /*if(!position) {
                    delete sendData.extData.feedBackNum;
                }*/
                if (type == 1) {
                    delete sendData.extData.feedBackNum;
                }
                context.sendMsg(sendData);
            },
            sendFirstBanner: function sendFirstBanner(context, ev) {
                // to do
                // 埋点相关,不能删除
            },
            doToTell: function doToTell(context, ev) {
                // to do
                // 埋点相关,不能删除
            },
            readMore: function readMore(context, ev) {
                var target = $(ev.currentTarget);
                var chatItem = target.parents('.J_ChatItem');
                var msgId = chatItem.attr('data-id');
                var all = dm.get(msgId).content;
                all = expression.replaceToFace(all);
                var tmp = $('<div>').html(all);
                all = context.render.replaceLink(tmp).html();
                context.popup.open({
                    idScrollerSel: configs.static.popScrollId,
                    contentHtml: '<div class="text-box-pop">' + all + '</div>',
                    openCallback: function openCallback() {
                        context.initPopScroll();
                    },
                    closeCallback: function closeCallback() {
                        if (configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                            SCSSDK.bridge.callSdk('startSdkWork', {
                                action: 'showToolbar',
                                data: 1
                            });
                        }
                    }
                });
            },

            readMoreForMultitxt: function readMoreForMultitxt(context, ev) {
                var target = $(ev.currentTarget);

                var clone = target.closest('.J_MultiTxt_Box').clone();
                clone.removeAttr('style').removeClass('more-active');
                clone.find('.comon-more').remove();

                var html = $('<div><div>').append(clone).html();

                context.popup.open({
                    idScrollerSel: configs.static.popScrollId,
                    contentHtml: '<div class="text-box-pop">' + html + '</div>',
                    openCallback: function openCallback() {
                        context.initPopScroll();
                    },
                    closeCallback: function closeCallback() {
                        if (configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                            SCSSDK.bridge.callSdk('startSdkWork', {
                                action: 'showToolbar',
                                data: 1
                            });
                        }
                    }
                });
            },

            sendRiskCode: function sendRiskCode(context, ev) {
                // 标识提交过验证码
                configs.riskOptFlag = !!1;
                var btn = $(ev.currentTarget);
                var codeBox = btn.parents('.J_RiskCodeGroup').find('.J_RiskCode');
                var code = codeBox.val();
                if (btn.hasClass('nb-btn-2-no')) {
                    return false;
                }
                if (!utils.isEmpty(code)) {
                    // 禁用btn
                    btn.addClass('nb-btn-2-no');
                    // 禁用文本框
                    codeBox.prop('readonly', true);
                    // 发送风控验证码到服务端
                    context.sendMsg({
                        type: 'code',
                        target: 'customer',
                        content: code
                    }, function () {
                        // 重置是否提交过验证码
                        configs.riskOptFlag = !!0;
                    });
                } else {
                    context.toast.show('请输入验证码');
                }
            },
            changeRiskImg: function changeRiskImg(context, ev) {

                var img = 'J_RiskCodeImg';
                var args = null;

                context.receiver.getChangeRiskImg(args, function (result) {
                    var response = {
                        "code": 186,
                        'msg': '',
                        "data": {
                            'url': result.data.captchaJssUrl
                        }
                    };
                    context.sender.handleResponse(response);
                });
            },
            setHeartScore: function setHeartScore(context, ev) {
                var target = $(ev.currentTarget);
                var idx = target.parent('li').index();
                var score = +target.html() || 0;
                var evalWrap = target.parents('.J_EvaluateMsg');
                var scoreWrap = evalWrap.find('.J_HeartGroup');
                var scoreInput = evalWrap.find('.J_EvalScore');
                var reasonWrap = evalWrap.find('.J_EvalReasonWrap');
                var reasonInput = evalWrap.find('.J_EvalReasonItem');
                var evalBtn = evalWrap.find('.J_EvalPrev').addClass('J_EvaluateBtn').removeClass('J_EvalPrev btn-no');
                scoreInput.val(score);
                scoreWrap.removeClass('sel-1 sel-2 sel-3 sel-4 sel-5').addClass('sel-' + (idx + 1));
                if (score < 75) {
                    reasonWrap.show();
                } else {
                    reasonWrap.hide();
                    reasonWrap.find('.J_EvalReason').removeClass('on');
                    reasonInput.val(0);
                }
                context.scrollerRefresh();
            },
            setEvalTips: function setEvalTips(context, ev) {
                var target = $(ev.currentTarget);
                context.toast.show('请先选择星级后提交！');
            },
            chooseReasons: function chooseReasons(context, ev) {
                var target = $(ev.currentTarget);
                var evalWrap = target.parents('.J_EvaluateMsg');
                var reasonWrap = evalWrap.find('.J_EvalReasonWrap');
                var reasonVal = evalWrap.find('.J_EvalReasonItem');
                var rScore = 1;
                if (target.hasClass('on')) {
                    target.removeClass('on');
                } else {
                    target.addClass('on');
                }
                reasonWrap.find('.on').each(function (idx, item) {
                    var $item = $(item);
                    rScore *= $item.attr('data-rel');
                });
                reasonVal.val(rScore > 1 ? rScore : 0);
            },
            sendEvaluate: function sendEvaluate(context, ev) {
                var target = $(ev.currentTarget);
                var evalWrap = target.parents('.J_EvaluateMsg');
                var evalWrapPop = evalWrap.parents('.' + configs.static.popScrollId) || null;
                var heartScoreBox = evalWrap.find('.J_EvalScore');
                var itemScoreBox = evalWrap.find('.J_EvalReasonItem');
                var heartScore = +heartScoreBox.val() || 0;
                var itemScore = +itemScoreBox.val() || 0;
                var data;

                if (target.hasClass('btn-no')) {
                    return false;
                }
                // 评分提交后不可更改
                evalWrap.find('.J_EvalHeart').removeClass('J_EvalHeart');
                evalWrap.find('.J_EvalReason').removeClass('J_EvalReason');
                target.addClass('btn-no');
                data = {
                    // appId: 
                    // appId: evalWrap.attr('data-appId') || '',
                    score: heartScore,
                    evaqId: itemScore,
                    sessionType: evalWrap.attr('data-sessionType'),
                    venderId: evalWrap.attr('data-venderId'),
                    groupId: evalWrap.attr('data-groupId')
                };
                if (evalWrapPop) {
                    context.popup.hide();
                }
                context.sender.sendEvaluate(data);
            },
            initFaceMain: function initFaceMain(context, $dom) {
                var that = this;

                var hasShowFlag = expression.hasShowFlag || null;
                if (!hasShowFlag) {
                    expression.init('#J_FaceList', '#J_FaceWrapper', function (type, code) {
                        if (type === 'insert') {
                            that.addEmoji(context, code);
                        } else {
                            that.removeEmoji(context);
                        }
                    });
                    // 标识加载过表情插件了
                    expression.hasShowFlag = !!1;
                }
            },
            setToolFace: function setToolFace(context, $dom) {
                // 表情
                var that = this;
                var target = $dom;
                var $editor = context.$editor;
                var parentWrap = target.parent();
                var evalWrap = target.parents('ul');
                var imTool = evalWrap.siblings('.J_ToolSub');
                context.$editor.blur();
                context.setSendBtn();
                if (imTool.hasClass('im-tool-on')) {
                    imTool.removeClass('im-tool-on');
                } else {
                    imTool.addClass('im-tool-on');
                }
                that.initFaceMain(context, $dom);
                // 复位会话面板
                context.listScroller.refresh();
                context.scrollToFoot();
            },
            setTextInEvt: function setTextInEvt(context, evt) {
                // 输入文字超出
                var $editor = context.$editor;
                var $toolbar = context.$toolbar;
                var toolItem = $toolbar.find('.J_ToolNav li');
                var imTool = $toolbar.find('.J_ToolSub');
                var emoji = $toolbar.find('.J_Emoji');
                var max = $editor.attr('maxlength') ? $editor.attr('maxlength') : configs.static.textInMaxLen;
                if (toolItem.hasClass('on')) {
                    toolItem.removeClass('on');
                }
                $editor.on('keyup', function () {
                    var content = $editor.val();
                    if (content.length >= max) {
                        context.toast.show('最多输入' + configs.static.textInMaxLen + '个字哦~');
                    }
                    context.setSendBtn();
                });
                $editor.on('focus', function () {
                    if (toolItem.hasClass('on')) {
                        toolItem.removeClass('on');
                    }
                    context.setEmojiItem();
                    //context.setSendBtn();
                    context.openSendBtn();
                });
                $editor.parents('.cell01').on('click', function () {
                    var imTool = context.$toolbar.find('.J_ToolSub');
                    imTool.removeClass('im-tool-on');
                    context.openSendBtn();
                    setTimeout(function () {
                        context.refreshScroll();
                        context.scrollToFoot();
                    }, 200);
                });
            },
            setWraperEvt: function setWraperEvt(context, evt) {
                if (configs.isSdk) {
                    // 显示底部工具栏
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'showToolbar',
                        data: 2
                    });
                    // evt.stopPropagation();
                    return false;
                }
            },
            setChatEvt: function setChatEvt(context, evt) {
                if (configs.isSdk) {
                    // 显示底部工具栏
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'showToolbar',
                        data: 2
                    });
                    return false;
                }
                // 点击会话面板事件
                var $editor = context.$editor;
                var $toolbar = context.$toolbar;
                var imTool = $toolbar.find('.J_ToolSub');
                var toolItem = $toolbar.find('.J_ToolNav li');
                // 阻止冒泡
                $editor.blur();
                context.setSendBtn();
                if (toolItem.hasClass('on')) {
                    toolItem.removeClass('on');
                }
                if (context.$waiterLabel.hasClass('top-hidden')) {
                    toolItem.removeClass('top-hidden');
                }
                context.setEmojiItem();
            },
            fastLinkJump: function fastLinkJump(context, ev) {},
            doFastLink: function doFastLink(context, ev) {
                var $target = $(ev.currentTarget);
                var content = $target.attr('data-title');
                var type = $target.attr('data-type');
                if (chatConfig.get('sessionType') === 'im') {
                    content = $target.attr('data-content');
                } else {
                    //红点标识
                    var $fastA = $target.find('.fast-link');
                    if ($fastA.length > 0 && $fastA.hasClass('redTag')) {
                        var fastLinkNewTag = storage['fastLinkNewTag'] || '';
                        var fastLinkId = $target.attr('data-id');
                        if ($.inArray(fastLinkId, fastLinkNewTag.split(',')) < 0) {
                            fastLinkNewTag = fastLinkNewTag + fastLinkId + ',';
                            storage['fastLinkNewTag'] = fastLinkNewTag;
                        }
                        $fastA.removeClass('redTag');
                    }
                    if (type == 3) {
                        //百科活动
                        if ($target.hasClass('isTaped')) {
                            return false;
                        }
                        $target.addClass('isTaped');
                        setTimeout(function () {
                            $target.removeClass('isTaped');
                        }, 3500);
                        var refId = $target.attr('data-refId');
                        var msgId = 'J_ServerMsg_wiki' + new Date().getTime();
                        context.sender.showServerMessage({
                            id: msgId,
                            type: 'text',
                            target: 'customer',
                            content: content
                        });
                        if (configs.wikiActDataArr && configs.wikiActDataArr[refId]) {
                            mediator.publish(configs.operators.HANDLE_WIKI_ACT, { 'data': configs.wikiActDataArr[refId] });
                        } else {
                            context.receiver.getWikiDetail(refId);
                        }
                        mediator.publish(configs.operators.SCROLL_TO_FOOT);
                        return false;
                    }
                }
                var sendData;
                if (!utils.isEmpty(content)) {
                    sendData = {
                        type: 'text',
                        target: 'customer',
                        content: content
                    };
                    context.sendMsg(sendData);
                }
            },
            doFastCard: function doFastCard(context, ev) {
                var $target = $(ev.currentTarget);
                var content = $target.attr('data-content');
                var type = $target.attr('data-type');
                if (type == 4) {
                    // return false
                } else {
                    if (!utils.isEmpty(content)) {
                        var sendData = {
                            type: 'text',
                            target: 'customer',
                            content: content
                        };
                        if (type == 2) {
                            sendData.extData = {
                                model: $target.attr('data-model'),
                                refContent: $target.attr('data-refcontent')
                            };
                        }
                        context.sendMsg(sendData);
                    }
                }
            },
            doToCustomer: function doToCustomer(context, ev) {
                var target = $(ev.currentTarget);
                var $chatItem = target.parents('.J_ChatItem');
                var data = dm.get($chatItem.attr('data-id'));
                // 顾客 {pin} 从jimi_vender_{venderId}机器人【{classifyName}-{moduleChinseName}】转人工加入咨询
                var pin = chatConfig.get('pin') || '';
                var classifyName = chatConfig.get('classifyName') || '';
                var moduleChinseName = chatConfig.get('moduleChinseName') || '';
                var venderId = chatConfig.get('venderId') || '1';
                var sysMsg;
                // 加点击时的状态
                var label = target.find('.J_CusLabel');
                label.addClass('sel');

                // 如果是转“在线客服”
                if (target.hasClass('btn-say') || target.hasClass('btn-leave')) {
                    if (target.hasClass('transing')) {
                        context.toast.show(configs.messages.jumping);
                        return false;
                    } else if (target.hasClass('transed')) {
                        sysMsg = context.render.parse({
                            id: 'J_ServerMsg_' + new Date().getTime(),
                            type: 'system',
                            target: 'system',
                            content: configs.messages.alreadyCustomer
                        });
                        context.showMsg(sysMsg);
                        return false;
                    }
                    target.addClass('transing');
                }

                var sendData = {
                    target: 'customer',
                    type: 'trans',
                    content: {
                        trans: data.content,
                        msg: configs.messages.toCustomer.replace(/\{pin\}/g, pin).replace(/\{venderId\}/g, venderId).replace(/\{classifyName\}/g, classifyName).replace(/\{moduleChinseName\}/g, moduleChinseName)
                    }
                };
                if (chatConfig.get('orderId')) {
                    sendData.content.msg += '\n订单ID：' + chatConfig.get('orderId');
                }
                if (chatConfig.get('pid')) {
                    sendData.content.msg += '\n商品ID：' + chatConfig.get('pid');
                }
                // sender.js文件里transToIm方法里逻辑转移过来
                // 转商家时删除venderId 
                var dataTdd = target.attr('data-tdd');
                if (dataTdd == 1 || dataTdd == 2 || dataTdd == 5) {
                    chatConfig.del('groupId');
                    var venderId = chatConfig.get('venderId');
                    venderId == 1 && chatConfig.del('venderId');
                }
                if (dataTdd == 4) {
                    chatConfig.del('pid');
                }

                var transInfo = data.content.transInfo;

                if (typeof SCSSDK !== 'undefined') {
                    sendData.trans = data.content;
                    context.sendMsg(sendData);

                    target.removeClass('transing');
                    label.removeClass('sel');
                    target.removeClass('transing');

                    target.addClass('transed');
                    // 置灰其他转人工按钮

                    var $prevItem = $chatItem.prevAll();
                    $prevItem.find('.J_ToCustomer').addClass('transed');
                    $prevItem.off(ev.type, '.J_ToCustomer:');
                    /*context.$chatList.find('.J_ToCustomer').addClass('transed');
                    context.$chatList.off(ev.type, '.J_ToCustomer');*/
                    // end
                    if (target.hasClass('btn-say') || target.hasClass('btn-leave') || target.hasClass('btn-sj-tel')) {
                        target.find('.J_CusLabel').addClass('on');
                        // 置灰其他转人工按钮label
                        context.$chatList.find('.J_ToCustomer .J_CusLabel').addClass('on');
                    }
                    // 获取服务商信息
                    if (!transInfo.venderId) {
                        transInfo.venderId = soaResult.venderInfo.venderId;
                    }
                    context.setChatContext(transInfo);
                } else {
                    context.receiver.getSoaDetail(function (soaResult) {
                        sendData.extData = transInfo;
                        if (!transInfo.venderId) {
                            sendData.extData.venderId = soaResult.venderInfo.venderId;
                        }
                        context.sendMsg(sendData, function () {
                            target.removeClass('transing');
                            label.removeClass('sel');
                            target.removeClass('transing');
                            if (chatConfig.get('sessionType') === 'im') {
                                target.addClass('transed');
                                if (target.hasClass('btn-say') || target.hasClass('btn-leave') || target.hasClass('btn-sj-tel')) {
                                    target.find('.J_CusLabel').addClass('on');
                                }
                                // 获取服务商信息
                                if (!transInfo.venderId) {
                                    transInfo.venderId = soaResult.venderInfo.venderId;
                                }
                                context.setChatContext(transInfo);
                                context.setVenderInfo(soaResult);
                                context.headRefresh();
                            } else {
                                context.toast.show(configs.messages.transFail);
                            }
                        });
                    }, transInfo);
                }
            },
            fillArbition: function fillArbition(context, ev) {
                var sendData = {
                    type: 'text',
                    target: 'customer',
                    content: '填写纠纷单'
                };
                context.sendMsg(sendData);
            },
            selectGroup: function selectGroup(context, ev) {
                var target = $(ev.currentTarget);
                var gid = target.attr('data-group');
                var opCode = target.attr('data-op');
                var gName = target.attr('data-name');
                var orderId = chatConfig.get('orderId');
                var pid = chatConfig.get('pid');
                var orderTime;
                var sendData;
                chatConfig.set('action', 2);
                if (configs.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
                    SCSSDK.bridge.configs.groupDetail.opCode = opCode;
                    SCSSDK.bridge.configs.groupDetail.groupId = gid;
                    SCSSDK.bridge.configs.groupDetail.gName = gName;
                    SCSSDK.bridge.configs.groupDetail.target = target;
                    SCSSDK.bridge.configs.clickPosition = SCSSDK.util.getClickPosition(opCode);
                    if (utils.isEmpty(orderId) && utils.isEmpty(pid) && Number(opCode) > 0) {
                        // 隐藏底部工具栏
                        SCSSDK.bridge.callSdk('startSdkWork', {
                            action: 'showToolbar',
                            data: 0
                        });
                        context.loader.show();
                    } else {
                        // 显示底部工具栏
                        SCSSDK.bridge.callSdk('startSdkWork', {
                            action: 'showToolbar',
                            data: 1
                        });
                    }
                }
                function setGroupStatus() {
                    context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
                    target.removeClass('on');
                }
                function sendGroupData() {
                    var data = {
                        type: 'group',
                        content: {
                            groupId: gid,
                            groupName: gName
                        },
                        extData: {
                            sessionCode: 1
                        }
                    };
                    context.sendMsg(data);
                }
                if (opCode == 1) {
                    configs.order.page = 1;
                    if (utils.isEmpty(orderId)) {
                        // 有二级操作，但是orderId不存在
                        context.receiver.getRecentOrderList({
                            page: configs.order.page,
                            pageSize: configs.order.pageSize,
                            month: configs.order.month
                        }, function (list) {
                            if (utils.notEmpty(list)) {
                                // 如果最近订单数据不为空，则选择订单
                                context.getMyOrder(opCode, gid, list);
                            } else {
                                // 若最近订单为空，则直接选择技能组
                                var data = {
                                    type: 'group',
                                    content: {
                                        groupId: gid,
                                        groupName: gName
                                    },
                                    extData: {
                                        sessionCode: 1
                                    }
                                };
                                context.sendMsg(data);
                                context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
                                target.removeClass('on');
                            }
                        });
                    } else {
                        // 有二级操作OrderId存在，则需要判断是否存在pid
                        // 若不存在pid，则需要选择商品
                        // 通过orderId查询商品列表且商品列表为空，则直接选择技能组
                        orderTime = chatConfig.get('orderTime') || '0';
                        if (!pid) {
                            if (configs.isSdk) {
                                sendGroupData();
                                setGroupStatus();
                                return;
                            }
                            // 订单ID存在，但是产品ID不存在，则需要选择产品
                            var options = {
                                url: configs.api.getSoaDetail,
                                type: 'GET',
                                dataType: 'JSON',
                                data: {
                                    _wid: chatConfig.get('wid'),
                                    _: new Date().getTime(),
                                    orderId: orderId
                                }
                            };
                            utils.ajax(options, function (result) {
                                var products = result.products || [];
                                if (products.length == 0) {
                                    // 若没有商品，则直接选择技能组
                                    var data = {
                                        type: 'group',
                                        content: {
                                            groupId: gid,
                                            groupName: gName
                                        },
                                        extData: {
                                            sessionCode: 1
                                        }
                                    };
                                    context.sendMsg(data);
                                    context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
                                    target.removeClass('on');
                                } else {
                                    // 若有商品，则选择商品后再发送
                                    var product = products[0];
                                    pid = product.pid;
                                    if (!pid) {
                                        return;
                                    }
                                    sendData = {
                                        type: 'group',
                                        target: 'customer',
                                        content: {
                                            orderId: orderId,
                                            orderImg: chatConfig.get('orderImg') || '',
                                            orderPrice: chatConfig.get('orderPrice') || '',
                                            orderTime: orderTime,
                                            parsedTime: new Date(orderTime).format('{M}-{D} {H}:{I}'),
                                            pid: pid,
                                            groupId: gid
                                        },
                                        extData: {
                                            sessionCode: 1
                                        }
                                    };
                                    context.sendMsg(sendData);
                                    setGroupStatus();
                                }
                            });
                        } else {
                            // 若存在pid，则直接转人工
                            sendData = {
                                type: 'group',
                                target: 'customer',
                                content: {
                                    orderId: orderId,
                                    orderImg: chatConfig.get('orderImg') || '',
                                    orderPrice: chatConfig.get('orderPrice') || '',
                                    orderTime: orderTime,
                                    parsedTime: new Date(orderTime).format('{M}-{D} {H}:{I}'),
                                    pid: pid,
                                    groupId: gid
                                },
                                extData: {
                                    sessionCode: 1
                                }
                            };
                            context.sendMsg(sendData);
                            setGroupStatus();
                        }
                    }
                } else if (opCode == 2) {
                    configs.recent.page = 1;
                    if (utils.isEmpty(pid)) {
                        // 若最近浏览商品为空，则直接转人工
                        context.receiver.getRecentProducts({
                            page: configs.recent.page,
                            pageSize: configs.recent.pageSize,
                            month: configs.recent.month
                        }, function (list) {
                            if (utils.isEmpty(list)) {
                                var data = {
                                    type: 'group',
                                    content: {
                                        groupId: gid,
                                        groupName: gName
                                    },
                                    extData: {
                                        sessionCode: 1
                                    }
                                };
                                context.sendMsg(data);
                                context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
                                target.removeClass('on');
                            } else {
                                context.getRecentSee(opCode, gid, list);
                            }
                        });
                    } else {
                        sendData = {
                            type: 'product',
                            target: 'customer',
                            content: {
                                // url: pUrl,
                                // pidImgURL: pImg,
                                // pidName: pName,
                                groupId: gid,
                                pid: pid
                            },
                            extData: {
                                sessionCode: 1
                            }
                        };
                        context.sendMsg(sendData);
                        setGroupStatus();
                    }
                } else if (opCode == 3) {
                    configs.buy.page = 1;
                    if (utils.isEmpty(pid)) {
                        context.receiver.getRecentOrderList({
                            page: configs.buy.page,
                            pageSize: configs.buy.pageSize,
                            month: configs.buy.month
                        }, function (list) {
                            if (utils.isEmpty(list)) {
                                var data = {
                                    type: 'group',
                                    content: {
                                        groupId: gid,
                                        groupName: gName
                                    },
                                    extData: {
                                        sessionCode: 1
                                    }
                                };
                                context.sendMsg(data);
                                context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
                                target.removeClass('on');
                            } else {
                                context.getRecentBuy(opCode, gid, list);
                            }
                        });
                    } else {
                        sendData = {
                            type: 'product',
                            target: 'customer',
                            content: {
                                // url: pUrl,
                                // pidImgURL: pImg,
                                // pidName: pName,
                                pid: pid,
                                groupId: gid
                            },
                            extData: {
                                sessionCode: 1
                            }
                        };
                        context.sendMsg(sendData);
                        setGroupStatus();
                    }
                } else {
                    var data = {
                        type: 'group',
                        content: {
                            groupId: gid,
                            groupName: gName
                        },
                        extData: {
                            sessionCode: 1
                        }
                    };
                    context.sendMsg(data);
                    context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
                    target.removeClass('on');
                }
            },
            sendOnceMore: function sendOnceMore(context, ev) {
                var target = $(ev.currentTarget);
                var $chatItem = target.parents('.J_ChatItem');
                var msgId = $chatItem.attr('data-id');
                // var msg = $chatItem.find('.J_TextMsgBox').html();
                // var data = dm.get('source_' + msgId);
                var data = dm.get(msgId);
                data.sourceData = dm.get('source_' + msgId) || {};
                data.hidden = !!1;
                if (data.type === 'text') {
                    data.content = data.content.replace(configs.regex.rEmoji, function (s, $1) {
                        var src = $1;
                        var code = '';
                        if (typeof SCSSDK !== 'undefined') {
                            code = utils.replaceSrcToCode(src);
                        }
                        return code;
                    });
                }
                if (target.hasClass('err') && !target.hasClass('err-load')) {
                    target.addClass('err-load');
                    if (configs.isSdk) {
                        context.sendMsg(data, 'reSendCallback');
                    } else {
                        context.sendMsg(data, function (msg) {
                            var msgGroup = context.$chatList.find('.J_ChatItem[data-id="' + msg.id + '"]');
                            // var lastMsg = msgGroup.last();
                            // for (var i = 0, len = msgGroup.length; i < len - 1; i++) {
                            //     msgGroup.eq(i).replaceWith(lastMsg.clone());
                            // }
                            // lastMsg.remove();
                            if (msg.result) {
                                msgGroup.find('.J_SendStatus').removeClass('err err-load');
                            } else {
                                msgGroup.find('.J_SendStatus').removeClass('err-load');
                            }
                        });
                    }
                }
            },
            showMoreHtmlStoreData: function showMoreHtmlStoreData(context, ev) {

                var id = ev.parentMsgId ? ev.parentMsgId : $(ev.currentTarget).closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);
                var html = '';

                var relType = data.recommRelType;
                var title = '';
                if (relType == 'order') {
                    title = "请选择您要咨询的订单";
                } else {
                    title = "请选择您要咨询的商品";
                }

                var interactiveData = data.recommenInteractiveData;
                var objType = interactiveData.type || 'orderlist';
                if (objType == 'productlist') {
                    html = data.recommendListHtml;
                } else {
                    if (!interactiveData.orderlist && !interactiveData.productlist) {
                        html = data.recommendListHtml;
                    } else {
                        html = $('body').find('.J_InteractiveStore .tab-content[rel="' + relType + '"]').html();
                    }
                }

                context.popup.set('msgId', data.id);
                context.popup.set('rel', 'recommend::' + data.id);
                context.popup.set('popDataType', data.recommenPopDataType);
                context.popup.open({
                    title: title,
                    contentHtml: html,
                    openCallback: function openCallback() {
                        context.initPopScroll();
                    },
                    closeCallback: function closeCallback() {
                        context.popup.set('msgId', undefined);
                        context.popup.set('rel', undefined);
                        context.popup.set('postDataType', undefined);
                    }
                });
            },
            sendOrderMsg: function sendOrderMsg(context, ev) {
                var $order = $(ev.currentTarget);
                var popup = context.popup;
                var oid = $order.attr('data-oid');
                var pid = $order.attr('data-pid');
                var oImg = $order.attr('data-img');
                var oPrice = $order.attr('data-price');
                var oTime = $order.attr('data-time');
                var oStat = $order.attr('data-status');
                var pTime = $order.attr('data-ptime');
                var pUrl = $order.attr('href');
                var name = $order.attr('data-name');
                var sendData;
                var groupId = popup.get('groupId');
                var extJson = '';
                if (configs.isSdk) {
                    groupId = SCSSDK.bridge.configs.groupDetail.groupId;
                }

                var popDataType = popup.get('popDataType') || null;
                var interactiveData = popup.get('interactiveData');
                // var groupId = popup.get('groupId') || SCSSDK.bridge.configs.groupDetail.groupId;
                // console.log(groupId);
                if (utils.isEmpty(groupId) && popDataType != 'interactive_for_order') {
                    // send order msg.
                    sendData = {
                        target: 'customer',
                        type: 'order',
                        rel: 'order',
                        content: {
                            orderId: oid,
                            orderImg: oImg,
                            orderPrice: oPrice,
                            orderTime: oTime,
                            parsedTime: pTime,
                            status: oStat,
                            pid: pid
                        }
                    };
                } else if (popDataType == 'interactive_for_order') {
                    var msgId = popup.get('msgId');
                    var data = dm.get(msgId);
                    var originData = JSON.parse(data.originData.answers.answer);
                    var tid = data.tid;
                    var codeJson = originData.dataMap[tid];
                    var pageIndex = 1;
                    var pageSize = 10;
                    var widgets = [];
                    var prevCont = '';

                    pageIndex = codeJson.pageIndex;
                    pageSize = codeJson.pageSize;
                    widgets = [{
                        widgetCode: 'order_list_order_id',
                        value: oid
                    }, {
                        widgetCode: 'order_list_ware_id',
                        value: pid
                    }];
                    /*if (interactiveData.type && interactiveData.type == 'orderlist') {
                        } else if (interactiveData.type && interactiveData.type == 'productlist') {
                        pageIndex = codeJson.pageIndex;
                        pageSize = codeJson.pageSize;
                         widgets = [{
                            widgetCode : 'product_list_ware_id',
                            value : pid
                        }];
                        prevCont = '您选择了一个商品';
                    } else {
                        widgets = [{
                            widgetCode : 'order_and_product_list_order_id',
                            value : oid
                        }, {
                            widgetCode : 'order_and_product_list_ware_id',
                            value : pid
                        }];
                        prevCont = '您选择了一个订单商品';
                    }*/
                    var json = {
                        className: originData.className,
                        modelName: originData.modelName,
                        sceneUuid: data.uuid,
                        formCode: data.tid,
                        widgets: widgets
                    };
                    if (configs.isSdk) {
                        extJson = {
                            'hidden': 1,
                            'rel': 'formOrder',
                            'type': 1
                        };
                    }
                    prevCont = '咨询订单号：' + oid + '\n商品ID:' + pid;
                    var postData = {
                        target: 'customer',
                        type: 'formTemplate',
                        content: prevCont,
                        form: JSON.stringify(json),
                        extData: {
                            pid: pid,
                            interactiveId: data.uuid,
                            classifyName: originData.className,
                            componentName: originData.templateName,
                            version: data.version,
                            refreshContent: false
                        }
                    };

                    if (oid) {
                        postData.extData.orderId = oid;
                    }
                    if (extJson) {
                        postData.ext = {};
                        postData.ext.h5Info = JSON.stringify(extJson);
                    }

                    context.sendMsg(postData, false);
                    var OBJ = {
                        productId: pid,
                        orderId: oid,
                        parsedTime: pTime,
                        status: oStat,
                        reelect: true,
                        rel: 'recommend::' + msgId,
                        imageUrl: oImg,
                        price: oPrice,
                        name: name,
                        type: 'order'
                        // 是html存储的数据
                    };data.recommDataType = 'isHtmlStore';
                    data.recommRelType = 'order';
                    // 指定“重新选择”要调用的方法
                    data.recommendFn = 'showMoreHtmlStoreData';
                    data.recommenPopDataType = popDataType;
                    data.recommenInteractiveData = interactiveData;
                    var ListHtml = $order.parents('.J_InteractiveWrapper').html();
                    data.recommendListHtml = data.recommendListHtml || ListHtml;
                    context.sender.replaceListsInfo(OBJ);
                    popup.hide();
                    return;
                } else {
                    // send group msg.
                    sendData = {
                        target: 'customer',
                        type: 'group',
                        rel: 'order',
                        content: {
                            msg: configs.messages.selectGroup.replace(/\{pin\}/g, chatConfig.get('pin')).replace(/\{orderId\}/g, oid).replace(/\{productId\}/g, pid),
                            groupId: groupId,
                            orderId: oid,
                            pid: pid,
                            parsedTime: pTime
                        }
                    };
                }
                context.sendMsg(sendData, function (msg) {
                    var orderHistory;
                    var len;
                    orderHistory = context.$chatList.find('.J_Reelect[data-rel="order"]');
                    len = orderHistory.length;
                    if (msg.result && len) {
                        orderHistory.each(function (idx, p) {
                            var $p = $(p);
                            if (idx < len - 1) {
                                $p.parents('.J_MsgCont').find('.im-list04').addClass('im-list05');
                                $p.parents('.J_ChatItem').removeClass('chat-info').addClass('chat-tpl');
                                $p.parent().remove();
                            }
                        });
                    }

                    context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
                    context.$chatList.find('.J_CategoryList li[data-group="' + groupId + '"]').removeClass('on');
                });
                if (configs.isSdk) {
                    context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
                    context.$chatList.find('.J_CategoryList li[data-group="' + groupId + '"]').removeClass('on');
                }
                popup.hide();
            },
            sendProtectPrice: function sendProtectPrice(context, ev) {
                //价保
                var $order = $(ev.currentTarget);
                var popup = context.popup;
                var oid = $order.attr('data-oid');
                var pid = $order.attr('data-pid');
                var generateUUID = function generateUUID() {
                    var d = new Date().getTime();
                    var uuid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
                        var r = (d + Math.random() * 16) % 16 | 0;
                        d = Math.floor(d / 16);
                        return (c == 'x' ? r : r & 0x3 | 0x8).toString(16);
                    });
                    return uuid;
                };
                if (configs.isSdk) {
                    if (SCSSDK.bridge.hasMethod('httpRequest')) {
                        var _data2;

                        SCSSDK.bridge.callSdk('httpRequest', {
                            url: configs.api.applyPriceProtect, //configs.api.getFastLink.match(/^http/) ? configs.api.applyPriceProtect : 'https:' + configs.api.applyPriceProtect,
                            method: 'get',
                            data: (_data2 = {
                                apiVersion: '1',
                                id: generateUUID(),
                                aid: chatConfig.get('aid'),
                                fromAppId: chatConfig.get('customerAppId'),
                                fromPin: chatConfig.get('pin'),
                                fromClientType: chatConfig.get('clientType'),
                                waiterAppId: chatConfig.get('waiter').waiterAppId,
                                waiterPin: chatConfig.get('waiter').waiterPin,
                                waiterClientType: chatConfig.get('waiter').waiterClientType,
                                orderId: oid,
                                pid: pid
                            }, _defineProperty(_data2, 'aid', chatConfig.get('aid')), _defineProperty(_data2, 'sid', chatConfig.get('ppsid')), _data2),
                            callback: 'applyPriceProtectCallback'
                        });
                    }
                } else {
                    var options = {
                        url: configs.api.applyPriceProtect,
                        type: 'GET',
                        dataType: 'JSONP',
                        data: {
                            apiVersion: '1',
                            id: generateUUID(),
                            aid: chatConfig.get('aid'),
                            sid: chatConfig.get('ppsid'),
                            fromAppId: chatConfig.get('customerAppId'),
                            fromPin: chatConfig.get('pin'),
                            fromClientType: chatConfig.get('clientType'),
                            waiterAppId: chatConfig.get('waiter').waiterAppId,
                            waiterPin: chatConfig.get('waiter').waiterPin,
                            waiterClientType: chatConfig.get('waiter').waiterClientType,
                            orderId: oid,
                            pid: pid

                        }
                    };
                    utils.ajax(options, function (result) {
                        var _tempObj;
                        if (result.returnCode !== 1) {
                            _tempObj = render.parse(answerParser.getSystemAnswer("抱歉，申请价保失败：" + result.returnDescription));
                            context.toast.show("抱歉，申请价保失败：" + result.returnDescription);
                        } else {
                            // _tempObj = render.parse(answerParser.getSystemAnswer("申请已提交，请耐心等待审核，审核结果可以在订单信息中查看"));
                            //context.toast.show("申请已提交，请耐心等待审核，审核结果可以在订单信息中查看");
                            var temp = answerParser.getSystemAnswer("申请已提交，请耐心等待审核，审核结果请在客户服务-价格保护-申请记录中查看。");
                            var tempObj = render.parse(temp);
                            mediator.publish(configs.operators.SHOW_MSG, tempObj);
                        }
                        //mediator.publish(configs.operators.SHOW_MSG, _tempObj);
                    }, function () {
                        //callback && callback();
                    });
                }
                popup.hide();
                //var temp = answerParser.getSystemAnswer("在“价格保护”表单中选择了商品" + pid);

                // context.sendMsg({
                //     type: 'sys_msg',
                //     opt: true,
                //     content: "在“价格保护”表单中选择了商品" + pid
                // }, function (msg) {
                //     utils.ajax(options, function (result) {
                //         alert(result);
                //     }, function () {
                //         callback && callback();
                //     });
                //     popup.hide();
                // });
            },
            protectPriceCoverPoint: function protectPriceCoverPoint(context, ev, answer, type) {
                //流程自动化埋点
                var $order = $(ev);
                var popup = context.popup;
                var generateUUID = function generateUUID() {
                    var d = new Date().getTime();
                    var uuid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
                        var r = (d + Math.random() * 16) % 16 | 0;
                        d = Math.floor(d / 16);
                        return (c == 'x' ? r : r & 0x3 | 0x8).toString(16);
                    });
                    return uuid;
                };

                var _api = answer.template.type == "cancel_order_form_template" ? configs.api.applyCancelOrder : configs.api.applyCustomerService;
                if (configs.isSdk) {
                    if (SCSSDK.bridge.hasMethod('httpRequest')) {
                        SCSSDK.bridge.callSdk('httpRequest', {
                            url: configs.api.getFastLink.match(/^http/) ? _api : 'https:' + _api,
                            method: 'get',
                            data: {
                                apiVersion: '1',
                                id: generateUUID(),
                                aid: chatConfig.get('aid'),
                                sid: chatConfig.get('ppsid'),
                                fromAppId: chatConfig.get('customerAppId'),
                                fromPin: chatConfig.get('pin'),
                                fromClientType: chatConfig.get('clientType'),
                                waiterAppId: chatConfig.get('waiter').waiterAppId,
                                waiterPin: chatConfig.get('waiter').waiterPin,
                                waiterClientType: chatConfig.get('waiter').waiterClientType
                            },
                            callback: 'ProtectPriceCoverPointCallback',
                            h5Info: "{type:'" + type + "',clientType:'" + chatConfig.get('clientType') + "'}"
                        });
                    }
                } else {
                    var options = {
                        url: _api,
                        type: 'GET',
                        dataType: 'JSONP',
                        data: {
                            apiVersion: '1',
                            id: generateUUID(),
                            aid: chatConfig.get('aid'),
                            sid: chatConfig.get('ppsid'),
                            fromAppId: chatConfig.get('customerAppId'),
                            fromPin: chatConfig.get('pin'),
                            fromClientType: chatConfig.get('clientType'),
                            waiterAppId: chatConfig.get('waiter').waiterAppId,
                            waiterPin: chatConfig.get('waiter').waiterPin,
                            waiterClientType: chatConfig.get('waiter').waiterClientType
                        }
                    };
                    utils.ajax(options, function (result) {
                        //alert(result);
                        if (type === 'cancel_order') {
                            location.href = 'http://wqs.jd.com/order/orderlist_merge.shtml?tab=1';
                        } else if (type === 'customer_service') {
                            location.href = 'https://tuihuan.jd.com/afs/orders';
                        }
                    }, function () {});
                }
            },
            sendProductMsg: function sendProductMsg(context, ev) {
                var $product = $(ev.currentTarget);

                var popup = context.popup;
                var oid = $product.attr('data-oid');
                var pid = $product.attr('data-pid');
                var pUrl = pid ? utils.getMsgUrl(pid) : $product.attr('data-url');
                var pImg = $product.attr('data-img');
                var pName = $product.attr('data-name');
                var groupId = popup.get('groupId');
                if (configs.isSdk) {
                    groupId = SCSSDK.bridge.configs.groupDetail.groupId;
                }
                // var groupId = popup.get('groupId') || SCSSDK.bridge.configs.groupDetail.groupId;
                var msgId = popup.get('messageId');
                var rel = popup.get('rel') || '';
                var sendData;

                var popDataType = popup.get('popDataType') || null;
                var interactiveData = popup.get('interactiveData');
                var extJson = '';

                if (utils.isEmpty(groupId) && popDataType != 'interactive_for_order') {
                    // send product msg
                    sendData = {
                        target: 'customer',
                        type: 'product',
                        rel: rel || 'product',
                        // 不显示用户点选的商品详情
                        // hidden: !!1,
                        content: {
                            url: pUrl.match(/^\/\//) ? 'https:' + pUrl : pUrl,
                            pid: pid,
                            pidImgURL: pImg,
                            pidName: pName
                        }
                    };
                } else if (popDataType == 'interactive_for_order') {
                    var msgId = popup.get('msgId');
                    var data = dm.get(msgId);
                    var originData = JSON.parse(data.originData.answers.answer);
                    var tid = data.tid;
                    var codeJson = originData.dataMap[tid];
                    var pageIndex = 1;
                    var pageSize = 10;
                    var widgets = [];
                    var prevCont = '';

                    if (interactiveData.type && interactiveData.type == 'productlist') {
                        pageIndex = codeJson.pageIndex;
                        pageSize = codeJson.pageSize;
                        widgets = [{
                            widgetCode: 'product_list_ware_id',
                            value: pid
                        }];
                        prevCont = pUrl.match(/^\/\//) ? 'https:' + pUrl : pUrl;
                    } /*else {
                        widgets = [{
                            widgetCode : 'order_and_product_list_order_id',
                            value : oid
                        }, {
                            widgetCode : 'order_and_product_list_ware_id',
                            value : pid
                        }];
                        prevCont = '您选择了一个订单商品';
                      }*/
                    var json = {
                        className: originData.className,
                        modelName: originData.modelName,
                        sceneUuid: data.uuid,
                        formCode: data.tid,
                        widgets: widgets
                    };
                    if (configs.isSdk) {
                        extJson = {
                            'hidden': 1,
                            'rel': 'formProduct',
                            'type': 1
                        };
                    }
                    var postData = {
                        target: 'customer',
                        type: 'formTemplate',
                        content: prevCont,
                        form: JSON.stringify(json),
                        extData: {
                            pid: pid,
                            interactiveId: data.uuid,
                            classifyName: originData.className,
                            componentName: originData.templateName,
                            version: data.version,
                            refreshContent: false
                        }
                    };
                    if (extJson) {
                        postData.ext = {};
                        postData.ext.h5Info = JSON.stringify(extJson);
                    }

                    context.sendMsg(postData, false);
                    popup.hide();

                    var OBJ = {
                        productId: pid,
                        reelect: true,
                        rel: 'recommend::' + msgId,
                        imageUrl: pImg,
                        price: $product.find('.price').text(),
                        name: pName,
                        type: 'product'
                        // 是html存储的数据
                    };data.recommDataType = 'isHtmlStore';
                    data.recommRelType = 'product';
                    // 指定“重新选择”要调用的方法
                    data.recommendFn = 'showMoreHtmlStoreData';
                    data.recommenPopDataType = popDataType;
                    data.recommenInteractiveData = interactiveData;
                    var ListHtml = $product.parents('.J_InteractiveWrapper').html();
                    data.recommendListHtml = data.recommendListHtml || ListHtml;

                    context.sender.replaceListsInfo(OBJ);
                    popup.hide();
                    return;
                } else {
                    // send group msg
                    var popDataType = context.popup.get('popDataType');
                    if (popDataType == 'buy') {
                        rel = 'productBuy';
                    }
                    sendData = {
                        target: 'customer',
                        type: 'group',
                        rel: rel || 'product',
                        content: {
                            msg: configs.messages.selectGroup.replace(/\{pin\}/g, chatConfig.get('pin')).replace(/\{orderId\}/g, oid).replace(/\{productId\}/g, pid),
                            groupId: groupId,
                            // orderId: oid,
                            pid: pid
                        }
                    };
                }
                context.sendMsg(sendData, function (msg) {
                    var productHistory;
                    var len;
                    if (rel.match(/^recommend/)) {
                        productHistory = context.$chatList.find('.J_Reelect[data-rel="recommend::' + msgId + '"]');
                    } else {
                        productHistory = context.$chatList.find('.J_Reelect[data-rel="product"]');
                    }
                    len = productHistory.length;
                    if (msg.result && len) {
                        productHistory.each(function (idx, p) {
                            var $p = $(p);
                            if (idx < len - 1) {
                                $p.parents('.J_MsgCont').find('.im-list04').addClass('im-list05');
                                $p.parents('.J_ChatItem').removeClass('chat-info').addClass('chat-tpl');
                                $p.parent().remove();
                            }
                        });
                    }
                    context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
                    context.$chatList.find('.J_CategoryList li[data-group="' + groupId + '"]').removeClass('on');
                });
                if (configs.isSdk) {
                    context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
                    context.$chatList.find('.J_CategoryList li[data-group="' + groupId + '"]').removeClass('on');
                }
                popup.hide();
            },
            // sendPackMsg: function(context, ev) {
            //     var $pack = $(ev.currentTarget);
            //     var popup = context.popup;
            //     var oid = $pack.attr('data-oid');
            //     var pid = $pack.attr('data-pid');
            //     var oImg = $pack.attr('data-img');
            //     var oPrice = $pack.attr('data-price');
            //     var oTime = $pack.attr('data-time');
            //     var oStat = $pack.attr('data-status');
            //     var pTime = $pack.attr('data-ptime');
            //     var sendData;
            //     var groupId = popup.get('groupId');
            //     if (configs.isSdk) {
            //         groupId = SCSSDK.bridge.configs.groupDetail.groupId;
            //     }
            //     var msgId = popup.get('messageId');
            //     var rel = popup.get('rel') || '';
            //     // var groupId = popup.get('groupId') || SCSSDK.bridge.configs.groupDetail.groupId;
            //     if (utils.isEmpty(groupId)) {
            //         // send order msg.
            //         sendData = {
            //             target: 'customer',
            //             type: 'order',
            //             rel:  rel || 'order',
            //             content: {
            //                 orderId: oid,
            //                 orderImg: oImg,
            //                 orderPrice: oPrice,
            //                 orderTime: oTime,
            //                 parsedTime: pTime,
            //                 status: oStat,
            //                 pid: pid
            //             }
            //         };
            //     } else {
            //         // send group msg.
            //         sendData = {
            //             target: 'customer',
            //             type: 'group',
            //             rel: rel || 'order',
            //             content: {
            //                 msg: configs.messages.selectGroup.replace(/\{pin\}/g, chatConfig.get('pin'))
            //                     .replace(/\{orderId\}/g, oid)
            //                     .replace(/\{productId\}/g, pid),
            //                 groupId: groupId,
            //                 orderId: oid,
            //                 productId: pid,
            //                 parsedTime: pTime
            //             }
            //         };
            //     }
            //     context.sendMsg(sendData, function(msg) {
            //         var orderHistory;
            //         var len;
            //         // orderHistory = context.$chatList.find('.J_Reelect[data-rel="packList"]');
            //         if (rel.match(/^packlist/)) {
            //             orderHistory = context.$chatList.find('.J_Reelect[data-rel="packlist::' + msgId + '"]');
            //         } else {
            //             orderHistory = context.$chatList.find('.J_Reelect[data-rel="order"]');
            //         }
            //         len = orderHistory.length;
            //         if (msg.result && len) {
            //             orderHistory.each(function(idx, p) {
            //                 var $p = $(p);
            //                 if (idx < len - 1) {
            //                     $p.parents('.J_MsgCont').find('.im-list04').addClass('im-list05');
            //                     $p.parents('.J_ChatItem').removeClass('chat-info').addClass('chat-tpl');
            //                     $p.parent().remove();
            //                 }
            //             });
            //         }

            //         context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
            //         context.$chatList.find('.J_CategoryList li[data-group="' + groupId + '"]').removeClass('on');
            //     });
            //     if (configs.isSdk) {
            //         context.$chatList.find('.J_GroupItem').addClass('on').removeClass('J_GroupItem');
            //         context.$chatList.find('.J_CategoryList li[data-group="' + groupId + '"]').removeClass('on');
            //     }
            //     popup.hide();
            // },
            reelectMethod: function reelectMethod(context, ev) {
                var that = this;
                var target = $(ev.currentTarget);

                // if(target.attr('nickname')) return;
                var type = target.attr('data-rel');
                var typeArr;
                var msgId;
                var sData;
                // 如果是我的订单重选
                if (type === 'order') {
                    configs.order.page = 1;
                    context.getMyOrder();
                    // 如果是最近购买
                } else if (type === 'productBuy') {
                    configs.buy.page = 1;
                    context.getRecentBuy();
                    // 如果是最近浏览商品重选
                } else if (type === 'product') {
                    configs.recent.page = 1;
                    context.getRecentSee();
                } else if (type.match(/^recommend/)) {
                    typeArr = type.split('::');
                    msgId = typeArr[1] || 'nonId';
                    sData = dm.get(msgId);
                    if (sData.recommendFn) {
                        ev.parentMsgId = msgId;
                        that[sData.recommendFn](context, ev);
                    } else {
                        context.showRecommendList(sData);
                    }
                } else if (type.match(/^packlist/)) {
                    // 重新选择包装清单
                    typeArr = type.split('::');
                    msgId = typeArr[1] || 'nonId';
                    sData = dm.get(msgId);
                    // if (sData.packlistFn) {
                    //     ev.parentMsgId = msgId;
                    //     that[sData.packlistFn](context, ev);
                    // } else {
                    //     context.showRecommendList(sData);
                    // }
                    // ev.parentMsgId = msgId;
                    context.showPackList(sData);
                }
            },

            feedbackMethod: function feedbackMethod(context, ev) {
                var target = $(ev.currentTarget);
                var dom = target.parent('li');
                var cateId = target.attr('data-id');
                var logic = target.attr('data-type');
                var question = target.find('i').text();
                var feedId = target.attr('data-feed-id');
                target.addClass('on');

                var sendData = {
                    logic: logic,
                    content: question,
                    target: 'customer',
                    type: 'text'
                };

                if (logic == 'm_customer_fold_answer') {
                    sendData.extData = {
                        feedBackNum: cateId,
                        interactiveId: feedId || ''
                    };
                } else if (logic == 'm_customer_user_feedback') {
                    var affixQuestions = JSON.parse(target.closest('.J_ChatItem').attr('template-data'));
                    affixQuestions = affixQuestions.originData.answers.answer;

                    var prevData = {};
                    var index = dom.index();
                    prevData.index = index;
                    prevData.list = affixQuestions; //JSON.stringify(affixQuestions);
                    prevData.classifyName = affixQuestions[index].classifyName;
                    prevData.question = affixQuestions[index].question;

                    sendData.extData = {
                        affixQuestions: JSON.stringify(prevData)
                    };
                }
                context.sendMsg(sendData);
                ev.stopPropagation();
                return false;
            },

            showMoreOrder: function showMoreOrder(context, ev) {
                var target = $(ev.currentTarget);

                var showType = ev.showType || target.closest('.J_ChatItem').find('[data-template-type]').attr('data-template-type') || 'orderList';
                if (showType == 'serviceList' || showType == 'serviceListAfter') {
                    this.showMoreService(context, ev, showType);
                    return;
                }

                var id = ev.parentMsgId ? ev.parentMsgId : $(ev.currentTarget).closest('.J_ChatItem').attr('data-id');
                var tplData = dm.get(id);
                // var tplData = JSON.parse(target.closest('.J_ChatItem').attr('template-data'));
                var dataMap = tplData.dataMap;
                if (!dataMap) {
                    dataMap = JSON.parse(tplData.originData.answers.answer);
                    dataMap = dataMap.dataMap[tplData.tid];
                }
                var data = {
                    list: dataTool.parseOrderListForAnswer(dataMap)
                };
                var html = $.tmpl(configs.templates[showType], data);
                popup.open({
                    title: '请选择您要咨询的订单',
                    contentHtml: html,
                    openCallback: function openCallback() {
                        mediator.publish(configs.operators.INIT_POP_SCROLL);
                        popup.popup.find('.J_OrderItem').removeClass('J_OrderItem').addClass('J_ArcOrderItem');
                        popup.popup.find('.im-box-pop').attr('template-data', JSON.stringify(tplData));
                        popup.popup.find('.im-box-pop').attr('data-guide', tplData.guideIndex);
                        popup.popup.find('.im-box-pop').attr('data-code', tplData.tid);
                        popup.popup.find('.im-box-pop').attr('data-type', tplData.componentType);
                    },
                    closeCallback: function closeCallback() {
                        if (typeof SCSSDK !== 'undefined') {
                            if (configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                                SCSSDK.bridge.callSdk('startSdkWork', {
                                    action: 'showToolbar',
                                    data: 1
                                });
                            }
                        }
                    }
                });
            },
            // 展示更多包装清单
            showMorePackList: function showMorePackList(context, ev) {
                // body...
                var id = $(ev.currentTarget).closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);
                context.showPackList(data);
            },
            // faq打开问题和答案弹层
            showAnswerFaq: function showAnswerFaq(context, ev) {
                var target = $(ev.currentTarget);
                var index = target.index();
                var id = target.closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);
                var prevData = data.datas;
                var answerObj = context.render.parseLocalTem({
                    data: { data: prevData[index] },
                    tpl: configs.templates.messageFaq
                });
                answerObj = context.render.replaceLink($(answerObj));
                var all = $(answerObj).html();
                var title = prevData[index].question;
                var titleDom = '<div class="faq-title">' + title + '</div>';
                context.popup.open({
                    title: titleDom,
                    contentHtml: '<div>' + all + '</div>',
                    openCallback: function openCallback() {
                        context.initPopScroll();
                    },
                    closeCallback: function closeCallback() {
                        context.popup.set('messageId', undefined);
                        context.popup.set('rel', undefined);
                        if (configs.isSdk && typeof SCSSDK !== 'undefined') {
                            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                                SCSSDK.bridge.callSdk('startSdkWork', {
                                    action: 'showToolbar',
                                    data: 1
                                });
                            }
                        }
                    }
                });
            },

            // faq展开显示所有问题
            showMoreFaq: function showMoreFaq(context, ev) {
                var target = $(ev.currentTarget);
                target.prev().find('.more-list').fadeToggle('fast', function () {
                    if (target.prev().find('.more-list').css('display') === 'block') {
                        target.find('span').css({ 'transform': 'rotate(-45deg)', 'top': '0px' });
                        target.find('div').text('收起问题');
                    } else {
                        target.find('span').css({ 'transform': 'rotate(135deg)', 'top': '-2px' });
                        target.find('div').text('点击查看更多');
                    }
                });
            },

            showMoreService: function showMoreService(context, ev, showType) {
                var target = $(ev.currentTarget);
                var id = ev.parentMsgId ? ev.parentMsgId : $(ev.currentTarget).closest('.J_ChatItem').attr('data-id');
                var tplData = dm.get(id);
                // var tplData = JSON.parse(target.closest('.J_ChatItem').attr('template-data'));

                var dataMap = tplData.dataMap;
                if (!dataMap) {
                    dataMap = JSON.parse(tplData.originData.answers.answer);
                    dataMap = dataMap.dataMap[tplData.tid];
                }

                var data = {
                    list: dataTool.parseServiceListForAnswer(dataMap)
                };
                var showType = showType || 'serviceList';
                var html = $.tmpl(configs.templates[showType], data);

                html = $('<div></div>').append(context.render.replaceLink($(html))).html();

                popup.open({
                    title: '请选择您要咨询的商品',
                    contentHtml: html,
                    openCallback: function openCallback() {
                        mediator.publish(configs.operators.INIT_POP_SCROLL);
                        popup.popup.find('.J_OrderItem').removeClass('J_OrderItem').addClass('J_ArcServiceItem');
                        popup.popup.find('.im-box-pop').attr('template-data', JSON.stringify(tplData));
                    },
                    closeCallback: function closeCallback() {
                        if (typeof SCSSDK !== 'undefined') {
                            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                                SCSSDK.bridge.callSdk('startSdkWork', {
                                    action: 'showToolbar',
                                    data: 1
                                });
                            }
                        }
                    }
                });
            },

            choosePopOrder: function choosePopOrder(context, ev) {
                var target = $(ev.currentTarget).closest('li');
                var item = target.closest('.im-box-pop');
                var data = null;

                var contextPop = false;
                try {
                    data = JSON.parse(item.attr('template-data'));
                } catch (e) {
                    var id = context.popup.get('msgId');
                    data = dm.get(id);
                    contextPop = true;
                }
                var extJson;
                var isGuide = !!data.tid.match(/guide/g);
                function getKey(key) {
                    return isGuide ? key : key.replace(/\_guide/g, '');
                }
                var originData = JSON.parse(data.originData.answers.answer);
                var json = {
                    className: data.className || originData.className,
                    modelName: data.modelName || originData.modelName,
                    sceneUuid: data.uuid,
                    formCode: data.tid,
                    widgets: [{
                        widgetCode: getKey('widget_order_guide_sku_name'),
                        value: [target.find('.name').text()]
                    }, {
                        widgetCode: getKey('widget_order_guide_sku_id'),
                        value: [target.attr('data-pid')]
                    }, {
                        widgetCode: getKey('widget_order_guide_id'),
                        value: [target.attr('data-oid')]
                    }]
                };
                // data-hidden="3" 标识，表单类，出订单物流信息答案的，问题不显示
                var prevCont = '';
                /*
                if (configs.isSdk) {
                    prevCont = '<span data-hidden="3" data-rel="formOrder" class="J_BarRelCase">咨询订单号：' + target.attr('data-oid') + '\n商品ID:' + target.attr('data-pid') + '</span>';
                } else {
                    prevCont = '咨询订单号：' + target.attr('data-oid') + '\n商品ID:' + target.attr('data-pid');
                }*/
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 3,
                        'rel': 'formOrder',
                        'type': 1
                    };
                }
                prevCont = '咨询订单号：' + target.attr('data-oid') + '\n商品ID:' + target.attr('data-pid');
                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    content: prevCont,
                    form: JSON.stringify(json),
                    extData: {
                        orderId: target.attr('data-oid'),
                        pid: target.attr('data-pid'),
                        interactiveId: data.uuid,
                        classifyName: data.className || originData.className,
                        componentName: data.templateName || originData.templateName,
                        version: data.version,
                        refreshContent: false
                    }
                };
                if (extJson) {
                    postData.ext = {};
                    postData.ext.h5Info = JSON.stringify(extJson);
                }
                chatConfig.set('orderId', target.attr('data-oid'));
                if (chatConfig.get('sessionType') !== 'im') {
                    chatConfig.set('pid', target.attr('data-pid'));
                }
                context.sendFormMsg(postData, false);
                var OBJ = {
                    productId: target.attr('data-pid'),
                    orderId: target.attr('data-oid'),
                    parsedTime: target.attr('data-time'),
                    status: target.attr('data-status'),
                    reelect: true,
                    rel: 'recommend::' + data.id,
                    url: target.attr('url'),
                    imageUrl: target.attr('data-img'),
                    price: target.attr('data-price'),
                    name: target.attr('data-name'),
                    type: 'order'
                };

                context.sender.replaceListsInfo(OBJ);
                popup.hide();
                if (contextPop) {
                    context.popup.hide();
                }
            },

            chooseOrder: function chooseOrder(context, ev) {
                var target = $(ev.currentTarget).closest('li');
                var ul = target.closest('ul');
                var id = context.popup.get('messageId') || target.closest('.J_ChatItem').attr('data-id');
                var data = {};
                var data = dm.get(id);
                // 指定“重新选择”要调用的方法
                data.recommendFn = 'showMoreOrder';
                var showType = ul.attr('data-template-type') || null;
                if (showType) {
                    data.showType = showType;
                }
                var extJson;
                if (ul.attr('data-template-type') == 'serviceList') {
                    this.chooseService(context, ev);
                    return;
                } else if (ul.attr('data-template-type') == 'serviceListAfter') {
                    return;
                } else {}
                var item = target.closest('.J_ChatItem');
                //var data = JSON.parse(item.attr('template-data'));

                var isGuide = !!data.tid.match(/guide/g);
                function getKey(key) {
                    return isGuide ? key : key.replace(/\_guide/g, '');
                }

                var json = {
                    className: data.className,
                    modelName: data.modelName,
                    sceneUuid: data.uuid,
                    formCode: data.tid,
                    widgets: [{
                        widgetCode: getKey('widget_order_guide_sku_name'),
                        value: [target.attr('name')]
                    }, {
                        widgetCode: getKey('widget_order_guide_sku_id'),
                        value: [target.attr('pid')]
                    }, {
                        widgetCode: getKey('widget_order_guide_id'),
                        value: [target.attr('orderid')]
                    }]
                };
                var prevCont = '';
                /*                
                if (configs.isSdk) {
                    prevCont = '<span data-hidden=true data-rel="formOrder" class="J_BarRelCase">咨询订单号：' + target.attr('orderid') + '\n商品ID:' + target.attr('pid') + '</span>';
                } else {
                    prevCont = '咨询订单号：' + target.attr('orderid') + '\n商品ID:' + target.attr('pid');
                }*/
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 1,
                        'rel': 'formOrder',
                        'type': 1
                    };
                }
                prevCont = '咨询订单号：' + target.attr('orderid') + '\n商品ID:' + target.attr('pid');
                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    content: prevCont,
                    form: JSON.stringify(json),
                    extData: {
                        orderId: target.attr('orderid'),
                        pid: target.attr('pid'),
                        interactiveId: data.uuid,
                        classifyName: data.className,
                        componentName: data.templateName,
                        version: data.version,
                        refreshContent: false
                    }
                };
                if (extJson) {
                    postData.ext = {};
                    postData.ext.h5Info = JSON.stringify(extJson);
                }
                chatConfig.set('orderId', target.attr('orderid'));
                if (chatConfig.get('sessionType') !== 'im') {
                    chatConfig.set('pid', target.attr('data-pid'));
                }
                context.sendFormMsg(postData);

                var OBJ = {
                    productId: target.attr('pid'),
                    orderId: target.attr('orderid'),
                    parsedTime: target.attr('orderTime'),
                    status: '',
                    reelect: true,
                    rel: 'recommend::' + item.attr('data-id'),
                    url: target.attr('url'),
                    imageUrl: target.attr('orderimg'),
                    price: target.attr('orderprice'),
                    name: target.attr('name'),
                    type: 'order'
                };

                context.sender.replaceListsInfo(OBJ);
            },

            chooseService: function chooseService(context, ev) {
                var target = $(ev.currentTarget).closest('li');
                var ul = target.closest('ul[data-orderid]');
                var item = target.closest('.J_ChatItem');
                var data = JSON.parse(item.attr('template-data'));
                var extJson;

                var json = {
                    className: data.className,
                    modelName: data.modelName,
                    sceneUuid: data.uuid,
                    formCode: data.tid,
                    widgets: [{
                        widgetCode: 'repair_sku_name',
                        value: [target.attr('data-productname')]
                    }, {
                        widgetCode: 'repair_sku_id',
                        value: [target.attr('data-productid')]
                    }, {
                        widgetCode: 'repair_id',
                        value: [ul.attr('data-repairid')]
                    }, {
                        widgetCode: 'repair_order_id',
                        value: [ul.attr('data-orderid')]
                    }]
                };

                var prevCont = '';
                /*if (configs.isSdk) {
                    prevCont = '<span data-hidden=true data-rel="formService" class="J_BarRelCase">咨询服务单号：'  + ul.attr('data-repairid') + '\n商品ID:' + target.attr('data-productid') + '</span>';
                } else {
                    prevCont = '咨询服务单号：' + ul.attr('data-repairid') + '\n商品ID:' + target.attr('data-productid');
                }*/
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 1,
                        'rel': 'formService',
                        'type': 1
                    };
                }
                prevCont = '咨询服务单号：' + ul.attr('data-repairid') + '\n商品ID:' + target.attr('data-productid');
                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    content: prevCont,
                    form: JSON.stringify(json),
                    extData: {
                        interactiveId: data.uuid,
                        classifyName: data.className,
                        componentName: data.templateName
                    }
                };
                if (extJson) {
                    postData.ext = {};
                    postData.ext.h5Info = JSON.stringify(extJson);
                }
                context.sendFormMsg(postData, false);
            },

            choosePopService: function choosePopService(context, ev) {
                var target = $(ev.currentTarget).closest('li');
                var item = target.closest('.im-box-pop');
                var data = JSON.parse(item.attr('template-data'));

                var json = {
                    className: data.className,
                    modelName: data.modelName,
                    sceneUuid: data.uuid,
                    formCode: data.tid,
                    widgets: [{
                        widgetCode: 'repair_sku_name',
                        value: [target.find('.name').text()]
                    }, {
                        widgetCode: 'repair_sku_id',
                        value: [target.attr('data-pid')]
                    }, {
                        widgetCode: 'repair_id',
                        value: [target.attr('data-rid')]
                    }, {
                        widgetCode: 'repair_order_id',
                        value: [target.attr('data-oid')]
                    }]
                };
                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    content: '咨询服务单号：' + target.attr('data-rid') + '\n商品ID:' + target.attr('data-pid'),
                    form: JSON.stringify(json),
                    extData: {
                        interactiveId: data.uuid,
                        classifyName: data.className,
                        componentName: data.templateName
                    }
                };
                context.sendFormMsg(postData, false);
                popup.hide();
            },
            // 头部返回按钮事件
            pageBack: function pageBack(context, ev) {
                var a = window.location.href;
                if (/#top/.test(a)) {
                    window.history.go(-2);
                    window.location.load(window.location.href);
                } else {
                    window.history.back();
                    window.location.load(window.location.href);
                }
            },

            chooseProduct: function chooseProduct(context, ev) {
                var $product = $(ev.currentTarget);
                var $chatItem = $product.parents('.J_ChatItem');
                var pid = $product.attr('pid') || $product.attr('data-pid');
                var pUrl = $product.attr('url') || $product.attr('data-url');
                var pImg = $product.attr('img') || $product.attr('data-img');
                var pName = $product.attr('name') || $product.attr('data-name');
                var answerNote = $product.parents('ul').attr('data-answer-note');
                var msgId = $chatItem.attr('data-id');
                var sendData;
                // send product msg
                sendData = {
                    target: 'customer',
                    type: 'product',
                    rel: 'recommend::' + msgId,
                    content: {
                        url: pUrl.match(/^\/\//) ? 'https:' + pUrl : pUrl,
                        pid: pid,
                        pidImgURL: pImg,
                        pidName: pName,
                        answerNote: answerNote
                    }
                };
                context.sendMsg(sendData, function (msg) {
                    var productHistory = context.$chatList.find('.J_Reelect[data-rel="recommend::' + msgId + '"]');
                    var len = productHistory.length;
                    if (msg.result && len) {
                        productHistory.each(function (idx, p) {
                            var $p = $(p);
                            if (idx < len - 1) {
                                $p.parents('.J_MsgCont').find('.im-list04').addClass('im-list05');
                                $p.parents('.J_ChatItem').removeClass('chat-info').addClass('chat-tpl');
                                $p.parent().remove();
                            }
                        });
                    }
                });
            },

            showMoreProduct: function showMoreProduct(context, ev) {
                // body...
                var id = $(ev.currentTarget).closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);

                context.showRecommendList(data);
            },
            // 购物车、收藏夹降价提醒弹层
            showMoreReduceList: function showMoreReduceList(context, ev) {
                var target = $(ev.currentTarget);
                var id = $(ev.currentTarget).closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);
                var popStr = context.render.renderReduceProduct({
                    answer_note: data.answer_note,
                    list: data,
                    tpl: data.recommendTpl
                });
                context.popup.set('messageId', data.id);
                context.popup.set('rel', 'recommend::' + data.id);
                context.popup.open({
                    title: '降价通知',
                    contentHtml: popStr,
                    openCallback: function openCallback() {
                        context.initPopScroll();
                    },
                    closeCallback: function closeCallback() {
                        context.popup.set('messageId', undefined);
                        context.popup.set('rel', undefined);
                        if (configs.isSdk && typeof SCSSDK !== 'undefined') {
                            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                                SCSSDK.bridge.callSdk('startSdkWork', {
                                    action: 'showToolbar',
                                    data: 1
                                });
                            }
                        }
                    }
                });
            },
            sendBlankItem: function sendBlankItem(context, ev) {
                var target = $(ev.currentTarget);
                var parent = target.parent();
                var valueId = target.attr('data-id');
                var valueName = target.attr('data-name');
                var propertyId = parent.attr('data-attr-id');
                var category = parent.attr('data-category');
                var name = parent.attr('data-name');
                var temp = {
                    valueId: valueId,
                    valueName: valueName,
                    category: category,
                    propertyId: propertyId,
                    propertyName: name
                };
                var sendData = {
                    type: 'text',
                    target: 'customer',
                    content: valueName,
                    extData: {
                        clickselect: temp
                    }
                };
                target.addClass('on');
                target.siblings().removeClass('on');
                context.popup.hide();
                context.sendMsg(sendData, function () {
                    target.removeClass('on');
                });
            },
            // 充值场景----联系人选择
            choosePerson: function choosePerson(context, ev) {
                var target = $(ev.currentTarget);
                var parentId = target.parents('.J_PhoneUser').attr('id');
                var phoneNumber = target.attr('data-phone') || '';
                if (phoneNumber) {
                    context.sendMsg({
                        type: 'text',
                        target: 'customer',
                        content: phoneNumber
                    });
                    target.closest('.J_PhoneUser').attr("state", "0");
                } else {
                    // window.event? window.event.cancelBubble = true : e.stopPropagation();
                    context.payUserInfo(phoneNumber, parentId);
                }
            },
            // 充值场景----充值面额选择
            chooseMoney: function chooseMoney(context, ev) {
                var target = $(ev.currentTarget);
                if (!target.hasClass('cur')) {
                    target.addClass('cur');
                    target.siblings('li').removeClass('cur');
                    var price = target.attr('data-jdPrice');
                    target.closest('.phone-pay').find(".J_PhonePayBtn").html("¥ " + price + " 立即充值");
                }
            },
            // 充值场景----立即支付
            payMoneyNow: function payMoneyNow(context, ev) {
                var that = this;
                var target = $(ev.currentTarget);
                var outerData = JSON.parse(target.closest('.J_ChatItem').attr('template-data'));
                target.css({ 'background-color': '#ccc', 'border-color': '#ccc' });
                target.attr('disabled', true);
                setTimeout(function () {
                    target.css({ 'background-color': '#3195ea', 'border-color': '#3195ea' });
                    target.removeAttr('disabled');
                }, 2000);
                var $cur = target.closest('.phone-pay').find(".J_PhonePriceList li.cur");
                var info = {
                    jdPrice: $cur.attr('data-jdprice'),
                    phoneNumber: target.attr('data-phoneNumber'),
                    phoneBillPrice: $cur.attr('data-phoneBillPrice'),
                    kmsEventCode: target.attr('data-kmsEventCode'),
                    encryptSaltResult: $cur.attr('data-encrypt'),
                    className: target.attr('data-className'),
                    modelName: target.attr('data-modelName')
                };
                var param1 = {
                    code: 'kmsevent_handle_event',
                    type: 1,
                    sessionId: outerData.sid,
                    param: info
                };
                context.receiver.getHttpGateway(param1, 'payCallback', function (res) {
                    that.handlePay(context, info, res);
                }, info);
            },
            // 充值支付回调
            handlePay: function handlePay(context, info, res) {
                var item = $('.J_PhonePayBtn');
                if (res.code == 1) {
                    var ob = JSON.parse(res.data.data);
                    if (ob.answers.answer.status == "1") {
                        setTimeout(function () {
                            context.sender.showServerMessage({ // 直接用于显示
                                data: info,
                                opt: 1,
                                fmid: 'J_Message_' + new Date().getTime(),
                                type: configs.msgType.client.PAY_STATUS
                            });
                            if ($('.J_ChatItem').find('.J_PayStatus').length) {
                                $('.J_PayStatus').closest('.dialog-box').prev().remove();
                            }
                        }, 2000);
                        openNewView(ob.answers.answer.url);
                    } else {
                        context.sendMsg({
                            type: 'text',
                            target: 'service',
                            content: ob.answers.answer.message
                        });
                    }
                } else {
                    context.sendMsg({
                        type: 'text',
                        target: 'service',
                        content: '充值失败，请稍后再试!'
                    });
                }
            },

            cartFn: function cartFn(context, json, ev) {
                var data = json.data;
                var info = json.info;
                var tips = '';
                if (data) {
                    data = JSON.parse(data);
                }
                if (data && data.cartJson && data.cartJson.resultCode == '0') {
                    tips = '加入购物车成功，您可以继续对这款商品进行咨询哦~';
                } else {
                    tips = '加入购物车失败，换个姿势再试试看呢';
                }
                //增加添加购物标识
                configs.addCart = !!1;

                var sendData = {
                    target: 'customer',
                    type: 'product',
                    rel: 'recommend::' + info.msgId,
                    content: {
                        url: info.url,
                        pid: info.pid,
                        pidImgURL: info.pidImgURL,
                        pidName: info.pidName,
                        answerNote: info.answerNote
                    }
                };
                context.sendMsg(sendData, function (o) {
                    var sysMsg = context.render.parse({
                        id: 'J_ServerMsg_' + new Date().getTime(),
                        type: 'text',
                        target: 'service',
                        content: tips
                    });
                    context.showMsg(sysMsg);
                });
            },
            addInCart: function addInCart(context, ev) {
                var that = this;
                var target = $(ev.currentTarget);
                var $product = target.closest('li');
                var $chatItem = target.parents('.J_ChatItem');
                var msgId = $chatItem.attr('data-id');
                var pid = $product.attr('pid') || $product.attr('data-pid');
                var pUrl = $product.attr('url') || $product.attr('data-url');
                var pImg = $product.attr('img') || $product.attr('data-img');
                var pName = $product.attr('name') || $product.attr('data-name');
                var sid = chatConfig.get('sid');
                var answerNote = $product.parents('ul').attr('data-answer-note');
                var tips = '';
                var info = {
                    msgId: msgId,
                    url: pUrl,
                    pid: pid,
                    pidImgURL: pImg,
                    pidName: pName,
                    answerNote: answerNote
                };
                var args = {
                    c: pid,
                    g: 1,
                    o: '',
                    d: '',
                    n: '',
                    e: sid,
                    h: '',
                    i: function i(res) {
                        var json = {
                            data: res,
                            info: info
                        };
                        that.cartFn(context, json);
                    },
                    l: '',
                    j: ''
                };

                if (configs.isSdk && SCSSDK.bridge.hasMethod('httpRequest')) {
                    var data = {};
                    var k = "&resourceType=" + args.d + "&resourceValue=" + args.n + "&sid=" + args.e + "&clientKey=" + args.h;
                    if (args.o) {
                        var m = "https://mapi.m.jd.com/cart/add.json?&num=" + args.g + "&suitSkuId=" + args.c + "&suitSkuNum=" + args.g + "&sType=8&ybId=" + args.o + k;
                        data = {
                            wareId: args.c,
                            num: args.g,
                            suitSkuId: args.c,
                            suitSkuNum: args.g,
                            sType: 8,
                            ybId: args.o,
                            resourceType: args.d,
                            resourceValue: args.n,
                            sid: args.e,
                            clientKey: args.h,
                            ran: Math.random()
                        };
                    } else {
                        var m = "https://mapi.m.jd.com/cart/add.json?wareId=" + args.c + "&num=" + args.g + k;
                        data = {
                            wareId: args.c,
                            num: args.g,
                            resourceType: args.d,
                            resourceValue: args.n,
                            sid: args.e,
                            clientKey: args.h,
                            ran: Math.random()
                        };
                    }
                    SCSSDK.bridge.callSdk('httpRequest', {
                        url: config.api.cartJson,
                        method: 'get',
                        data: data,
                        callback: 'getAddCartCallback',
                        h5Info: JSON.stringify(info)
                    });
                    return;
                } else {
                    Auth.addCart(args);
                }
            },
            inDetail: function inDetail(context, ev) {
                var target = $(ev.currentTarget);
                var parent = target.parent('li');
            },
            changeListForPid: function changeListForPid(context, evt) {
                var target = $(evt.currentTarget);
                var id = target.closest('.jump-box').attr('data-rel-id');
                var sourceData = dm.get(id);
                var msgId = target.closest('.J_ChatItem').attr('data-id');
                var panel = $('.J_ChatItem[data-id="' + id + '"]').find('.im-list01');
                var content = sourceData.content;
                var pageObj = configs.recommendPage[msgId];
                var start = pageObj.page * pageObj.pageSize;
                var end = '';
                pageObj.page++;
                if (pageObj.page < pageObj.totalPage) {
                    end = pageObj.page * pageObj.pageSize;
                } else if (pageObj.page == pageObj.totalPage) {
                    end = 0;
                    pageObj.page = 0;
                }
                var data = {};
                data.datas = end ? content.slice(start, end) : content.slice(start);
                var destData = dataTool.parseRecommendList(data);
                var data = {
                    answer_note: sourceData.answer_note,
                    list: destData
                };
                var answerObj = context.render.parseLocalTem({
                    data: data,
                    tpl: configs.templates.productList
                });
                answerObj = context.render.replaceLink($(answerObj));
                var html = $(answerObj).find('ul').html();
                panel.html(html);
                context.scrollerRefresh();
            },
            handerCoupon: function handerCoupon(context, json) {},
            chooseCoupon: function chooseCoupon(context, ev) {
                var target = $(ev.currentTarget);
                var parent = target.parent('ul');
                var extJson;
                // off为已领取状态不允许再次领取            
                if (target.hasClass('off') || target.hasClass('hasTap')) {
                    return false;
                }
                target.addClass("hasTap");
                target.addClass("hover");
                setTimeout(function () {
                    target.removeClass("hover");
                }, 200);
                var cid = target.attr('data-id') + '';

                var para = {};
                var id = parent.attr('data-id') || target.closest('.J_ChatItem').attr('data-id');
                var sourceData = dm.get(id);
                para.className = sourceData.className;
                para.modelName = sourceData.modelName;
                para.sceneUuid = sourceData.sceneUuid;
                para.formCode = sourceData.templateComponentCode;

                para.widgets = [{
                    'widgetCode': 'widget_coupon_rule_id',
                    'value': [cid]
                }, {
                    'widgetCode': 'widget_coupon_key',
                    'value': [target.attr('data-key')]
                }];
                var prevCont = '';
                /*                
                if (configs.isSdk) {
                    prevCont = '<span data-hidden=true data-rel="formCoupon" class="J_BarRelCase">您选择了一张优惠券</span>';
                } else {
                    prevCont = '您选择了一张优惠券';
                }*/
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 1,
                        'rel': 'formCoupon',
                        'type': 1
                    };
                }
                prevCont = '您选择了一张优惠券';
                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    hidden: !!1,
                    content: prevCont,
                    form: JSON.stringify(para)
                };
                if (extJson) {
                    postData.ext = {};
                    postData.ext.h5Info = JSON.stringify(extJson);
                }
                function hander(res) {
                    target.removeClass("hasTap");
                    var resB = res.resultBack.data;
                    if (resB && resB.crmSync == 1) {
                        target.addClass("off");
                        $('.J_Coupon').find('li[data-id="' + cid + '"]').addClass('off');
                        $.each(sourceData.dataMap, function (key, item) {
                            if (item.roleId == cid) {
                                item.isOff = true;
                                return;
                            }
                        });
                    }
                    context.popup.hide();
                }
                // context.sendMsg(postData, hander);
                if (configs.isSdk) {
                    var res = {};
                    res.resultBack = {};
                    res.resultBack.data = {
                        crmSync: 1
                    };
                    hander(res);
                    context.sendMsg(postData, 'chooseCouponCallback');
                    context.popup.hide();
                } else {
                    context.sendMsg(postData, function (res) {
                        target.removeClass("hasTap");
                        var resB = res.resultBack.data;
                        if (resB && resB.crmSync == 1) {
                            target.addClass("off");
                            $('.J_Coupon').find('li[data-id="' + cid + '"]').addClass('off');
                            $.each(sourceData.dataMap, function (key, item) {
                                if (item.roleId == cid) {
                                    item.isOff = true;
                                    return;
                                }
                            });
                        }
                        context.popup.hide();
                    });
                }

                /*                
                if (configs.isSdk) {
                  target.removeClass("hasTap");
                  var resB = res.resultBack.data;
                    if( resB && resB.crmSync == 1){
                        target.addClass("off");
                        $('.J_Coupon').find('li[data-id="' + cid + '"]').addClass('off');
                        $.each(sourceData.dataMap,function(key,item){
                                if(item.roleId == cid){
                                    item.isOff = true;
                                    return
                                }
                        });
                    }
                    context.popup.hide();
                }*/
            },
            showMoreCoupon: function showMoreCoupon(context, ev) {
                var id = $(ev.currentTarget).closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);
                var dataMap = data.dataMap;
                if (!dataMap) {
                    dataMap = JSON.parse(data.originData.answers.answer);
                    dataMap = dataMap.dataMap[data.tid];
                }
                var popStr = context.render.parseLocalTem({
                    data: { dataMap: dataMap },
                    tpl: configs.templates.couponList

                });

                context.popup.set('messageId', data.id);
                context.popup.set('rel', 'recommend::' + data.id);
                context.popup.open({
                    title: '您可以领取以下优惠券购买商品',
                    contentHtml: popStr,
                    openCallback: function openCallback() {
                        context.initPopScroll();
                        context.popup.popup.find('.J_Coupon').attr('data-id', data.id);
                        $.each(data.dataMap, function (key, item) {
                            if (item.isOff) {
                                context.popup.popup.find('li[data-id="' + item.roleId + '"]').addClass('off');
                            }
                        });
                    },
                    closeCallback: function closeCallback() {
                        context.popup.set('messageId', undefined);
                        context.popup.set('rel', undefined);
                    }
                });
            },
            showMoreView: function showMoreView(context, ev) {
                var id = ev.parentMsgId ? ev.parentMsgId : $(ev.currentTarget).closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);
                var dataMap = data.dataMap;
                if (!dataMap) {
                    dataMap = JSON.parse(data.originData.answers.answer);
                    dataMap = dataMap.dataMap[data.tid];
                }
                var popStr = context.render.parseLocalTem({
                    data: { dataMap: dataMap },
                    tpl: configs.templates.viewList

                });
                context.popup.set('messageId', data.id);
                context.popup.set('rel', 'recommend::' + data.id);
                context.popup.open({
                    title: '请选择您最近浏览商品',
                    contentHtml: popStr,
                    openCallback: function openCallback() {
                        context.initPopScroll();
                    },
                    closeCallback: function closeCallback() {
                        context.popup.set('messageId', undefined);
                        context.popup.set('rel', undefined);
                    }
                });
            },
            chooseView: function chooseView(context, ev) {
                var target = $(ev.currentTarget);
                var parent = target.parent('ul');
                var pUrl = target.attr('url');
                var pImg = target.attr('src');
                var pName = target.attr('name');
                var pid = target.attr('pid');
                var price = target.attr('price');
                var id = context.popup.get('messageId') || target.closest('.J_ChatItem').attr('data-id');
                var mType = context.chatConfig.get('mType');
                var extJson;
                if (target.hasClass('hover')) {
                    return false;
                }
                target.addClass("hover");

                var para = {};
                var sourceData = {};
                var sourceData = dm.get(id);
                para.className = sourceData.className;
                para.modelName = sourceData.modelName;
                para.sceneUuid = sourceData.sceneUuid;
                para.formCode = sourceData.templateComponentCode;

                para.widgets = [{
                    'widgetCode': 'widget_ware_id',
                    'value': [target.attr('pid')]
                }, {
                    'widgetCode': 'widget_pop_ware_id',
                    'value': [target.attr('pid')]
                }];
                // 指定“重新选择”要调用的方法
                sourceData.recommendFn = 'showMoreView';
                var answer = {
                    target: 'customer',
                    type: 'product',
                    rel: 'recommend::' + id,
                    opt: !!1,
                    content: {
                        url: pUrl.match(/^\/\//) ? 'https:' + pUrl : pUrl,
                        pid: target.attr('pid'),
                        pidImgURL: pImg,
                        pidName: pName
                    }
                };
                context.sendMsg(answer);
                var prevCont = '';
                /*if (configs.isSdk) {
                    prevCont = '<span data-hidden=true data-rel="formView" class="J_BarRelCase">您选择了一个商品</span>';
                } else {
                    prevCont = '您选择了一个商品';
                }*/
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 1,
                        'rel': 'formView',
                        'type': 1
                    };
                }
                prevCont = '您选择了一个商品';
                // context.sender.showClientMsg(answer);
                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    hidden: !!1,
                    content: prevCont,
                    form: JSON.stringify(para)
                };
                if (extJson) {
                    postData.ext = {};
                    postData.ext.h5Info = JSON.stringify(extJson);
                }
                context.sendMsg(postData, function (res) {
                    target.removeClass("hover");
                    context.popup.hide();
                });
                if (configs.isSdk) {
                    target.removeClass("hover");
                    context.popup.hide();
                }
            },
            showPriceNotice: function showPriceNotice(context, evt) {
                var target = $(evt.currentTarget);
                var parent = target.closest('.J_ChatItem');
                var id = parent.attr('data-id');
                var tid = parent.attr('data-code');
                var data = dm.get(id);

                var priceInfo = data.dataMap[0];
                if (!priceInfo.displayPhone || priceInfo.displayPhone === 'undefined') {
                    priceInfo.displayPhone = '';
                }
                var answer = data.content;
                var html = $.tmpl(configs.templates.priceNotice, priceInfo);
                $('#text-in').blur();
                setTimeout(function () {
                    context.popup.open({
                        title: '降价通知',
                        contentHtml: html,
                        openCallback: function openCallback() {
                            context.initPopScroll({
                                mouseWheel: true,
                                probeType: 3,
                                click: true,
                                momentum: true,
                                preventDefault: false
                            });
                            /*context.popScroller.options.preventDefault = false;*/
                            this.popup.find('button.submit-price-notice').data('answer', answer);
                        },
                        closeCallback: function closeCallback() {
                            context.popScroller.options.preventDefault = true;
                        }
                    });
                }, 200);
            },
            bindPriceNoticeBtn: function bindPriceNoticeBtn(context, evt) {
                var target = $(evt.currentTarget);
                var answer = target.data('answer');
                var curPrice = answer.dataMap[0].price;
                curPrice = Number(curPrice || 0);
                var $container = target.closest('.price-notice');
                var hopePrice = $container.find('input[name="hopePrice"]').val() || '';
                var phone = $container.find('input[name="phone"]').val() || '';
                var extJson = null;
                if (!/^[0-9]+([.]{1}[0-9]+){0,1}$/.test(hopePrice)) {
                    $container.find('input[name="hopePrice"]').val('');
                    $container.find('input[name="hopePrice"]').attr('placeholder', '请输入正确格式的价格');
                    $container.find('input[name="hopePrice"]').closest('.banner').addClass('error');
                    return;
                } else {
                    $container.find('input[name="hopePrice"]').closest('.banner').removeClass('error');
                }
                if (hopePrice >= curPrice) {
                    $container.find('input[name="hopePrice"]').val('');
                    $container.find('input[name="hopePrice"]').attr('placeholder', '必须小于当前价格');
                    $container.find('input[name="hopePrice"]').closest('.banner').addClass('error');
                    return;
                } else {
                    $container.find('input[name="hopePrice"]').closest('.banner').removeClass('error');
                }
                if (!/(^1\d{10}$)|(^1\d{2}\*{5}\d{3}$)/.test(phone)) {
                    $container.find('input[name="phone"]').val('');
                    $container.find('input[name="phone"]').attr('placeholder', '请输入正确格式的手机号码');
                    $container.find('input[name="phone"]').closest('.banner').addClass('error');
                    return;
                } else {
                    $container.find('input[name="phone"]').closest('.banner').removeClass('error');
                }
                var displayPhone = $container.find('input[name="phone"]').data('displayphone');
                var secretPhone = $container.find('input[name="phone"]').data('secretphone');
                var postData = {
                    form: {
                        className: answer.className,
                        modelName: answer.modelName,
                        formCode: answer.templateComponentCode,
                        sceneUuid: answer.sceneUuid,
                        widgets: [{
                            widgetCode: 'widget_notify_hope_price',
                            value: [hopePrice]
                        }]
                    }
                };
                if ($container.find('input[class="check-switch"]').is(':checked')) {
                    if (displayPhone === phone) {
                        var secretData = {
                            widgetCode: 'widget_notify_phone',
                            value: [secretPhone]
                        };
                        var isSecretData = {
                            widgetCode: 'widget_notify_phone_secret',
                            value: ['true']
                        };
                        postData.form.widgets.push(secretData);
                        postData.form.widgets.push(isSecretData);
                    } else {
                        var secretData = {
                            widgetCode: 'widget_notify_phone',
                            value: [phone]
                        };
                        var isSecretData = {
                            widgetCode: 'widget_notify_phone_secret',
                            value: ['false']
                        };
                        postData.form.widgets.push(secretData);
                        postData.form.widgets.push(isSecretData);
                    }
                }
                postData = Object.assign(postData.form);
                delete postData.form;
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 1,
                        'rel': 'formTemplate',
                        'type': 1
                    };
                }
                var data = {
                    target: 'customer',
                    type: 'formTemplate',
                    hidden: !!1,
                    content: 'form submit',
                    form: JSON.stringify(postData)
                };
                if (extJson) {
                    data.ext = {};
                    data.ext.h5Info = JSON.stringify(extJson);
                }
                context.sendMsg(data, function (res) {
                    context.popup.hide();
                });
                if (configs.isSdk) {
                    context.popup.hide();
                    // 重置数据
                    $container.find('input[name="hopePrice"]').val('');
                    $container.find('input[name="phone"]').val('');
                };
            },
            // sdk 入库pid 发送商品链接
            sendSkuLink: function sendSkuLink(context, ev) {
                var target = $(ev.currentTarget);
                var pid = target.attr('data-pid');
                var oid = target.attr('data-oid');
                var oidTime = target.attr('data-time');
                var oidPrice = target.attr('data-price');
                var oidImg = target.attr('data-img');
                var pUrl = pid ? utils.getMsgUrl(pid) : target.attr('data-url');
                var extJson;
                var sendData = {
                    type: 'text'
                };
                if (pid) {
                    sendData.content = pUrl.match(/^\/\//) ? 'https:' + pUrl : pUrl;
                } else if (oid) {

                    var answer = {
                        target: configs.msgTarget.CUSTOMER,
                        type: configs.msgType.client.ORDER_DETAIL,
                        reelect: !!0,
                        isShowBtn: !!0,
                        content: {
                            imageUrl: oidImg || configs.static.noPic,
                            price: oidPrice,
                            orderId: oid,
                            time: oidTime
                        }
                    };
                    var answerObj = context.render.parse(answer);
                    context.showMsg(answerObj);

                    /*                    
                    sendData.content = '咨询订单号：' + oid + ' 订单金额：' + oidPrice +' 下单时间：' + oidTime;
                    sendData.hidden = !!1;*/
                    var prevCont = '';
                    if (configs.isSdk) {
                        // prevCont = '<span data-hidden="2" data-rel="sendLinkOid" class="J_BarRelCase">咨询订单号：' + oid + ' 订单金额：' + oidPrice +' 下单时间：' + oidTime +'</span>';
                        // 
                        prevCont = '咨询订单号：' + oid + ' 订单金额：' + oidPrice + ' 下单时间：' + oidTime;
                        extJson = {
                            'hidden': 2,
                            'rel': 'sendLinkOid',
                            'type': 1
                        };
                    } else {
                        prevCont = '咨询订单号：' + oid + ' 订单金额：' + oidPrice + ' 下单时间：' + oidTime;
                        sendData.hidden = !!1;
                    }
                    sendData.content = prevCont;
                    if (extJson) {
                        sendData.ext = {};
                        sendData.ext.h5Info = JSON.stringify(extJson);
                    }
                }
                context.sendMsg(sendData);
            },
            showMoreLogistics: function showMoreLogistics(context, ev) {
                var target = $(ev.currentTarget);
                var id = target.closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);
                var dataMap = data.dataMap;
                if (!dataMap) {
                    dataMap = JSON.parse(data.originData.answers.answer);
                    dataMap = dataMap.dataMap[data.tid];
                }
                var orderId = dataMap[0].orderId || '';
                var tplName = target.attr('data-rel') == 'receipt-invoice' ? 'receipt' : 'Logistics';
                var popStr = context.render.parseLocalTem({
                    data: dataMap[0],
                    tpl: configs.templates[tplName]
                });
                var popTxt = orderId ? ':' + orderId : '';
                context.popup.set('messageId', data.id);
                context.popup.set('rel', 'recommend::' + data.id);
                context.popup.open({
                    title: '订单' + popTxt,
                    contentHtml: popStr,
                    openCallback: function openCallback() {
                        context.initPopScroll();
                        if (configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                            SCSSDK.bridge.callSdk('startSdkWork', {
                                action: 'showToolbar',
                                data: 0
                            });
                        }
                    },
                    closeCallback: function closeCallback() {
                        context.popup.set('messageId', undefined);
                        context.popup.set('rel', undefined);
                        if (configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                            SCSSDK.bridge.callSdk('startSdkWork', {
                                action: 'showToolbar',
                                data: 1
                            });
                        }
                    }
                });
            },
            /*
            showRemindOrder : function(context, evt) {
                var target = $(evt.currentTarget);
                var parent = target.closest('.J_ChatItem');
                var id = parent.attr('data-id');
                var tid = parent.attr('data-code');
                var data = dm.get(id);
                var answer = data.content;
                var html = $.tmpl(configs.templates.remindOrder, {});
                context.$editor.blur();
                setTimeout(function () {
                    context.popup.open({
                        title: '我要催单',
                        contentHtml: html,
                        openCallback: function () {
                            this.popup.find('button.J_RemindSubmit').data('answer', answer);
                            this.popup.find(".J_ReType .mtype").click(function () {
                                var $mtype = $(this);
                                if ($mtype.hasClass('on')) {
                                    return false;
                                } else {
                                    $mtype.addClass('on');
                                    $mtype.siblings('.mtype').removeClass('on');
                                }
                            });
                            if (configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                                SCSSDK.bridge.callSdk('startSdkWork', {
                                    action: 'showToolbar',
                                    data: 0
                                });
                            }
                        },
                        closeCallback: function () {
                            if (configs.isSdk && SCSSDK.bridge.hasMethod('startSdkWork')) {
                                SCSSDK.bridge.callSdk('startSdkWork', {
                                    action: 'showToolbar',
                                    data: 1
                                });
                            }
                        }
                    });
                }, 200);
            },
            bindRemindSelType : function(context, evt) {
                var $mtype = $(evt.currentTarget);
                if($mtype.hasClass('on')){
                    return false;
                }else{
                    $mtype.addClass('on');
                    $mtype.siblings('.mtype').removeClass('on');
                }
              },
            focusFn : function(context, evt) {
                if (context.popup.popup.is(':visible') &&  SCSSDK.bridge.hasMethod('startSdkWork')) {
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'showToolbar',
                        data: 0
                    });
                }
            },
            blurFn : function(context, evt) {
                if (context.popup.popup.is(':visible') && SCSSDK.bridge.hasMethod('startSdkWork')) {
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'showToolbar',
                        data: 1
                    });
                }
            },
            bindRemindTextIn : function(context, evt) {
                var that = this;
                var target = $(evt.currentTarget);
                var oFoucs;
                if (target.hasClass('phone-num')) {
                    oFoucs = target.find('input');
                } else {
                    oFoucs = target;
                }
                oFoucs.focus();
            },
            bindRemindMsg: function(context, evt){
                var target = $(evt.currentTarget);
                var oFoucs;
                if (target.hasClass('msg-mes')) {
                    oFoucs = target.find('textarea');
                } else {
                    oFoucs = target;
                }
                oFoucs.focus();
                //that.focusFn(context, evt);
            },*/
            bindRemindOrderBtn: function bindRemindOrderBtn(context, evt) {
                var target = $(evt.currentTarget);

                if (target.hasClass('disabled')) {
                    return false;
                }

                var id = target.closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);
                var json = {
                    className: data.className,
                    modelName: data.modelName,
                    formCode: data.templateComponentCode,
                    sceneUuid: data.sceneUuid,
                    widgets: [{
                        'widgetCode': 'widget_new_remainder_ware_id',
                        'value': [target.attr('wareid')]
                    }, {
                        'widgetCode': 'widget_new_remainder_order_id',
                        'value': [target.attr('orderid')]
                    }]
                };
                var extJson = null;
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 1,
                        'rel': 'formTemplate',
                        'type': 1
                    };
                }
                var prevCont = '对订单ID：' + target.attr('orderId') + '进行催单';
                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    content: prevCont,
                    form: JSON.stringify(json),
                    extData: {
                        orderId: target.attr('orderid'),
                        pid: target.attr('wareid'),
                        interactiveId: data.uuid,
                        classifyName: data.className,
                        componentName: data.templateName,
                        version: data.version,
                        refreshContent: false
                    }
                };
                if (extJson) {
                    data.ext = {};
                    data.ext.h5Info = JSON.stringify(extJson);
                }
                context.sendFormMsg(postData);
                target.addClass('disabled');
            },
            getPostData: function getPostData(context, evt, data) {
                var postData = {
                    form: {
                        className: data.className,
                        modelName: data.modelName,
                        formCode: data.templateComponentCode,
                        sceneUuid: data.sceneUuid,
                        widgets: []
                    },
                    source: window.jimiSource
                };
                var extJson = null;
                var $widgetsContainer = context.popup.popup.find('div[widget-code]');
                for (var i = 0, len = $widgetsContainer.length; i < len; i++) {
                    var $item = $($widgetsContainer[i]);
                    var inputObj = {};
                    inputObj.widgetCode = $item.attr('widget-code');
                    inputObj.value = [];
                    if ($item.find('input[type="text"]').length > 0) {
                        var $input = $item.find('input[type="text"]');
                        var secret = $input.data('secret');
                        var curValue = {};
                        if (secret == 'true' || secret == true) {
                            curValue.isSecret = true;
                            curValue.displayValue = $input.data('old');
                            curValue.secretValue = $input.data('value');
                        } else {
                            if (!this.validate($input)) {
                                return false;
                            }
                            curValue.isSecret = false;
                            curValue.displayValue = $input.val();
                        }
                        inputObj.value.push(curValue);
                    } else if ($item.find('input[type="radio"]').length > 0) {
                        var $radios = $item.find('input[type="radio"]');
                        $radios.each(function (_, i) {
                            var $radio = $(i);
                            if ($radio.is(':checked')) {
                                inputObj.value.push($radio.val());
                            }
                        });
                    } else if ($item.find('select').length > 0) {
                        var $selects = $item.find('select');
                        var value = [];
                        $selects.each(function (_, i) {
                            var $select = $(i);
                            var selectValue = $select.find('option:selected').html();
                            if (selectValue == '--请选择--') {
                                return;
                            }
                            value.push(selectValue);
                        });
                        inputObj.value.push(value.join(','));
                    } else if ($item.find('input[type="checkbox"]').length > 0) {
                        var $checkboxes = $item.find('input[type="checkbox"]');
                        var value = [];
                        $checkboxes.each(function (_, i) {
                            var $checkbox = $(i);
                            if ($checkbox.is(':checked')) {
                                value.push($checkbox.val());
                            }
                        });
                        inputObj.value.push(value.join(','));
                    }
                    postData.form.widgets.push(inputObj);
                }
                postData.form = JSON.stringify(postData.form);
                postData.requestText = 'form submit';
                postData.source = window.jimiSource;
                postData.hidden = !!1;
                if (configs.isSdk) {
                    var extJson = {
                        'hidden': 1,
                        'rel': 'formTemplate',
                        'type': 1
                    };
                }
                if (extJson) {
                    postData.ext = {};
                    postData.ext.h5Info = JSON.stringify(extJson);
                }
                return postData;
            },
            triggerFrame: function triggerFrame(context, evt) {
                // var item = $(evt.currentTarget);

                // var url = item.attr('frame-src');
                // var type = item.attr('type') || 'get';
                // frameModule.setAfterSale(url);
                // if(url) {
                //     frameModule.init(url, type);
                // }
                // evt.stopPropagation();
                // evt.preventDefault();
            },

            doAsk: function doAsk(context, evt) {
                var item = $(evt.currentTarget);
                var li = item.closest('.J_ChatItem');

                //历史消息不发送消息
                if (li.attr('data-rel') && li.attr('data-rel') == 'history') {
                    return;
                }

                var text = item.html();
                var tag = item.data('tag');

                if (item.hasClass('J_JimiAskBtn') && item.closest('span').hasClass('disabled')) {
                    return;
                }
                configs.askTag = tag;
                this.sendTextMsg(context, evt, text);
                configs.askTag = '';
                if (item.hasClass('J_JimiAskBtn')) {
                    item.closest('span').addClass('disabled');
                }
            },
            slideChange: function slideChange(param) {
                var obj = {
                    domClass: undefined,
                    direction: 'left',
                    num: 1, //滚动几张,
                    ul: '.slide-list',
                    li: '.slide-item',
                    parent: '.J_SlideCon',
                    next: '.J_ChangeNextOne',
                    pre: '.J_ChangePreOne',
                    showBtn: false,
                    curIndex: 0
                };
                if (window.slideMoving) {
                    return;
                }
                $.extend(obj, param);
                var $dom = obj.domClass;
                if (!obj.domClass.length) {
                    return;
                }
                var $parent = $dom.closest(obj.parent);
                var $ul = $parent.find(obj.ul);
                var $li = $ul.find(obj.li);
                var $next = $dom.siblings(obj.next);
                var $pre = $dom.siblings(obj.pre);
                var widthLi = $li.width();
                //var w = $li.width() * obj.num;
                var w = $parent.find('.slide-con').width();
                var mLeft = $ul.css("marginLeft") ? +$ul.css("marginLeft").replace('px', '') : 0;
                var slideNum = Math.ceil($li.length / obj.num);
                var newLeft = 0;
                $li.removeClass('hide');
                if (obj.showBtn) {
                    $dom.hide();
                    $pre.show();
                    if (obj.num > 1) {
                        var liMarginRight = parseInt((w - widthLi * obj.num) / (obj.num - 1));
                        var yushu = (w - widthLi * obj.num) % (obj.num - 1);
                        $li.css({ "marginRight": liMarginRight + "px" });
                        if (yushu > 0) {
                            for (var i = 0; i <= yushu; i++) {
                                $li.eq(i).css({ "marginRight": liMarginRight + 1 + "px" });
                            }
                        }
                    }
                    $li.css({ "width": widthLi + "px" });
                    $ul.css({ "width": w * slideNum + "px" });
                    if (slideNum > 2) {
                        $next.show();
                    }
                }
                if (obj.direction == 'left') {
                    newLeft = parseInt(mLeft) + w;
                    if (newLeft >= 0) {
                        $dom.hide();
                    }
                    $next.show();
                }
                if (obj.direction == 'right') {
                    newLeft = parseInt(mLeft) - w;
                    if (Math.abs(newLeft - w) >= w * slideNum) {
                        $dom.hide();
                    }
                    $pre.show();
                    obj.curIndex = obj.curIndex + 1;
                }
                window.slideMoving = true;
                $ul.animate({ "marginLeft": newLeft + 'px' }, function () {
                    // var $cur = $ul.find(obj.li + ':eq(' + obj.curIndex+ ')');
                    // $ul.removeAttr('style');
                    // $li.removeAttr('style');
                    // $cur.siblings().addClass('hide');
                    // $cur.removeClass('hide');
                    window.slideMoving = false;
                });
            },
            retryTemplate: function retryTemplate(context, evt) {
                var target = $(evt.currentTarget);
                var msgId = target.closest('.J_ChatItem').attr('data-tpl-rel-id');
                var status = target.attr('data-status');
                if (status == 'trying') {
                    context.toast.show('正在努力加载中...');
                } else {
                    target.attr('data-status', 'trying').removeClass(configs.tplMsgType.ERR_TPL).addClass(configs.tplMsgType.ERR_TPL_LOAD);
                    target.find('.J_TplStatusTxt').html('加载中');
                    setTimeout(function () {
                        target.removeAttr('data-status').removeClass(configs.tplMsgType.ERR_TPL_LOAD).addClass(configs.tplMsgType.ERR_TPL);
                        target.find('.J_TplStatusTxt').html('点击重新加载');
                    }, 10000);
                    if (configs.isSdk) {
                        SCSSDK.bridge.callSdk('startSdkWork', {
                            action: 'nativeDownloadMessage',
                            data: {
                                'msgId': msgId
                            }
                        });
                    }
                }
            },
            showMoreActivity: function showMoreActivity(context, evt) {
                var target = $(evt.currentTarget);
                var parent = target.parents('.activityInfo');
                if (target.hasClass('up')) {
                    var $li = target.prev(".ai-list").find('li');
                    $li.each(function (i, item) {
                        if (i > 2) {
                            $(item).addClass('hide');
                        }
                    });
                    target.removeClass('up');
                    parent.removeClass('activityInfo-up');
                    target.find('.txt').html('查看详情');
                } else {
                    target.prev(".ai-list").find('li').removeClass('hide');
                    target.addClass('up');
                    parent.addClass('activityInfo-up');
                    target.find('.txt').html('收起详情');
                }
                setTimeout(function () {
                    context.refreshScroll();
                    context.scrollToFoot();
                }, 200);
            },
            applyPriceProtect: function applyPriceProtect(context, evt) {
                var target = $(evt.currentTarget);

                if (target.hasClass('disabled')) {
                    return false;
                }

                var isProcess = target.attr('process');
                var codes = {
                    pinCode: 'widget_protect_pin',
                    skuCode: 'widget_protect_sku_id',
                    orderCode: 'widget_protect_order_id'
                };

                if (isProcess) {
                    codes.pinCode = 'widget_protect_process_pin';
                    codes.skuCode = 'widget_protect_process_sku_id';
                    codes.orderCode = 'widget_protect_process_order_id';
                }
                var id = target.closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);

                var json = {
                    className: data.className,
                    modelName: data.modelName,
                    sceneUuid: data.uuid,
                    formCode: data.tid,
                    widgets: [{
                        widgetCode: codes.pinCode,
                        value: [chatConfig.get('pin')]
                    }, {
                        widgetCode: codes.skuCode,
                        value: [target.attr('skuid')]
                    }, {
                        widgetCode: codes.orderCode,
                        value: [target.attr('orderid')]
                    }]
                };
                var extJson = null;
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 1,
                        'rel': 'formOrder',
                        'type': 1
                    };
                }
                var prevCont = '对商品ID:' + target.attr('skuid') + '进行保价申请';
                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    content: prevCont,
                    form: JSON.stringify(json),
                    extData: {
                        orderId: target.attr('orderid'),
                        pid: target.attr('skuid'),
                        interactiveId: data.uuid,
                        classifyName: data.className,
                        componentName: data.templateName,
                        version: data.version,
                        refreshContent: false
                    }
                };
                if (extJson) {
                    postData.ext = {};
                    postData.ext.h5Info = JSON.stringify(extJson);
                }
                context.sendFormMsg(postData);

                target.addClass('disabled');
            },
            doProductSend: function doProductSend(context, evt) {
                var target = $(evt.currentTarget);
                if (target.hasClass('disabled')) {
                    return false;
                }
                var orderId = target.attr('orderid');
                var userPin = target.attr('userpin');
                var id = target.closest('.J_ChatItem').attr('data-id');
                var data = dm.get(id);

                var json = {
                    className: data.className,
                    modelName: data.modelName,
                    sceneUuid: data.uuid,
                    formCode: data.tid,
                    widgets: [{
                        widgetCode: 'widget_split_pin',
                        value: userPin
                    }, {
                        widgetCode: 'widget_split_order_id',
                        value: orderId
                    }]
                };

                var extJson = null;
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 1,
                        'rel': 'formTemplate',
                        'type': 1
                    };
                }
                var prevCont = '有货先发';
                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    hidden: !!1,
                    content: prevCont,
                    form: JSON.stringify(json),
                    extData: {
                        orderId: orderId,
                        userPin: userPin,
                        interactiveId: data.uuid,
                        classifyName: data.className,
                        componentName: data.templateName,
                        version: data.version,
                        refreshContent: false
                    }
                };
                if (extJson) {
                    postData.ext = {};
                    postData.ext.h5Info = JSON.stringify(extJson);
                }
                context.sendFormMsg(postData);
                target.addClass('disabled');
            },
            // 金融理财 换一批
            finacialSwichGroup: function finacialSwichGroup(context, ev) {
                // alert(1)
                var item = $(ev.target);
                var more = item.closest('.comonMore');
                var fundList = more.prev('.fundList').find('ul');
                var lists = fundList.find('.ious_li');

                if (typeof item.data('index') == 'undefined') {
                    item.data('index', 0);
                    item.data('itemLength', lists.length);
                };

                var currIndex = item.data('index');
                var startIndex = currIndex + 3,
                    stopIndex;
                if (startIndex >= item.data('itemLength')) {
                    startIndex = 0;
                }
                stopIndex = Math.min(startIndex + 3, lists.length);
                var tempItem = lists.eq(startIndex).prev();
                while (tempItem.length) {
                    tempItem.hide();
                    tempItem = tempItem.prev();
                }
                lists.slice(startIndex, stopIndex).show();
                var tempItem = lists.eq(stopIndex).next();
                while (tempItem.length) {
                    tempItem.hide();
                    tempItem = tempItem.next();
                }
                item.data('index', startIndex);
                context.scrollerRefresh();
                context.scrollToFoot();
                // SCS
                // var G_APP = window.SmartApp||window.SCSM;
                // G_APP&&setTimeout(function(){
                //     G_APP.listScroller.refresh(); 
                //     G_APP.scrollToFoot(700);
                // },0)
            },
            // 金条白条还钱
            jinbaitiaohuanqian: function jinbaitiaohuanqian(context, ev) {},
            buyFunds: function buyFunds(context, ev) {
                var item = $(ev.target);
                var type = item.attr('fin-type');
                var busiType = '';
                var productId = null,
                    param = null,
                    options;
                var link = item.attr('href');
                var sourcePage = configs.deafultSource;
                switch (type) {
                    case 'bill':
                        busiType = '1';
                        break;
                    case 'bxlc':
                        busiType = '14';
                        break;
                    case 'ejlc':
                        busiType = '15';
                        break;
                    case 'gslc':
                    case 'bylc':
                        busiType = '3';
                        break;
                    case 'qslc':
                        busiType = '16';
                        break;
                    default:
                        busiType = '0';break;
                };
                productId = link.match(/\d+/)[0];
                param = {
                    "jimi": {
                        "sourcePage": sourcePage,
                        "busiType": busiType,
                        "productId": productId
                    }
                };
                options = {
                    domain: '.jd.com',
                    expires: 1,
                    path: '/'
                };

                utils.setCookie('jm_count', JSON.stringify(param), options);

                // alert(document.cookie)
            },
            // 金融账单更多明细
            finacialMoreDetail: function finacialMoreDetail(context, ev) {
                var item = $(ev.target);
                var titleDOM = $(item.closest('.acount-detail').find('.gray-deep')[0]);
                var title = titleDOM.text();
                var html = item.closest('.acount-detail').find('.display').html();
                var outerDOM = item.closest('.chat-tpl');
                var msgid = outerDOM.attr('msgid');
                var interactiveid = outerDOM.attr('data-scene-uuid');
                html = '<div class="display" showType="pop">' + html + '</div>';
                context.popup.open({
                    title: title,
                    contentHtml: html,
                    openCallback: function openCallback() {
                        this.popup.addClass('acount-detail').find('.display').css('max-height', 'initial');
                        this.popup.attr('msgid', msgid).attr('data-scene-uuid', interactiveid);
                        context.initPopScroll();
                    },
                    closeCallback: function closeCallback() {
                        this.popup.removeClass('acount-detail');
                        // popScroller && popScroller.destroy();
                    }
                });
            },
            // 白条、金条立即还款、更多明细(总)埋点
            jinBaiTiaoMoreBoom: function jinBaiTiaoMoreBoom(context, ev) {},
            // jrSelectClassify:function(context,ev){},
            // 白条立即还款
            bTPayNow: function bTPayNow() {},
            /**
             * @param  {[type]} context [description]
             * @param  {[type]} ev      [description]
             * @return {[type]}         [description]
             * 金融跳转原生处理
             */
            bindJrJumpClickEvent: function bindJrJumpClickEvent(context, ev) {
                var $this = $(ev.currentTarget);
                var href = $this.attr('href') || '';
                var hasMPageAddr = utils.hasJrHrefIncludeMPageAddr(href);
                var dataArr = $this.data('val') || '';
                function processJrLegacyNativeJump(data) {
                    if (configs.isSdk && data[0] == 10) {
                        var tempData = data[2].split('#');
                        tempData[0] = parseInt(tempData[0]) - 1;
                        data[2] = tempData.join('#');
                    }
                    return data;
                }

                if (dataArr) {
                    try {
                        dataArr = dataArr.split('|');
                        dataArr = processJrLegacyNativeJump(dataArr);
                        if (configs.isSdk) {
                            var jump = {
                                jumpUrl: dataArr[0],
                                jumpType: dataArr[1],
                                productId: dataArr[2],
                                isclose: dataArr[3]
                            };
                            var json = {
                                action: 'JdJrJavaScriptForward',
                                data: jump
                            };
                            SCSSDK.bridge.callSdk('startSdkWork', json);
                            //原生跳转，清除href连接
                            if (hasMPageAddr) {
                                $this.removeAttr('href');
                            }
                            /*var jdmobile = 'jdmobile://share?jumpType='+ jump.jumpType +'&jumpUrl='+ jump.jumpUrl +'&productId='+ jump.productId +'&isclose='+ jump.isclose
                                console.log(jdmobile);*/
                        } else {
                            //其他应用中，没有M页地址才考虑跳转原生页或下载页面
                            if (!hasMPageAddr) {
                                //没有M页地址时，才跳转原生页面
                                var targetURL = 'https://jrappgw.jd.com/resources/downloadApp.html?id=502&jumpUrl=' + escape(dataArr[0]) + '&jumpType=' + escape(dataArr[1]) + '&productId=' + escape(dataArr[2]) + '&type=default';
                                //清除href属性，并跳转到targetURL页面上
                                $this.attr('href', targetURL);
                                location.href = targetURL;
                            }
                        }
                    } catch (e) {}
                }
            },
            bindLinkQuestion: function bindLinkQuestion(context, ev) {
                var target = $(ev.currentTarget);
                var question = target.attr('link_question');
                if (question) {
                    var sendData = {
                        type: 'text',
                        target: 'customer',
                        content: question
                    };
                    context.sendMsg(sendData);
                    var wrap = target.parents('.' + configs.static.popScrollId) || null;
                    if (wrap) {
                        context.popup.hide();
                    }
                }
            },
            handJrcbItem: function handJrcbItem(obj, mapData, context) {
                if (obj.find('.SIwrap') && obj.find('.SIwrap').eq(0).attr('componentFun')) {
                    var component = obj.find('.SIwrap').eq(0);
                    this.jrcb[component.attr('componentFun')](obj, mapData);
                    context.scrollToFoot();
                }
            },
            // 智投埋点
            zTBuryClick: function zTBuryClick(dom, type) {
                var item = $(dom);
                var outerDOM = item.closest('.J_ChatItem');
                var id = outerDOM.attr('data-id');
                var message = dm.get(id);
                var messageId = message.messageId || message.id;
                var burryData = {
                    message_id: messageId,
                    interactive_id: outerDOM.attr('uuid'),
                    click_type: type
                };
                LandFill.finacialBoom(burryData);
            },
            // 金融智投组件处理
            jrcb:
            /*{
                that: EvtHandler,
                smartInvestment: function (objItem, data, context) {
                    var colorDict = [
                        { type: "bond", color: "#46BF96" },//债券
                        { type: "current", color: "#FFBF3F" },//活期
                        { type: "fix", color: "#8282F2" },//定期
                        { type: "au", color: "#558EE8" },//黄金
                        { type: "qdii", color: "#FBA72D" },//海外
                        { type: "quarantee", color: "#87C07C" },//保险
                        { type: "stock", color: "#53B2EC" }];//股票
                    var getcolor = function (type) {
                        for (var i = 0; i < colorDict.length; i++) {
                            if (colorDict[i].type === type) { return colorDict[i].color }
                        }
                    }
                    if (typeof data == 'string') {
                        data = JSON.parse(data);
                    }
                      // var message_id = $(".SIwrap:last").parents("li").eq(0).attr("msgid");
                    // var interactive_id = $(".SIwrap:last").parents("li").eq(0).attr("data-scene-uuid") || '';
                    objItem.find('.SIwrap').shuttlePanel2(
                        [
                            {
                                data: data,
                                event: [
                                    function () {
                                        this.option.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_reTest');
                                        if (configs.isSdk) {
                                            var jump = {
                                                jumpUrl: "https://m.jr.jd.com/base/eval/evalNew/index.html?showType=1&ywsource=APP_DXFUND&returnUrl=" + escape(location.href),
                                                jumpType: 4
                                            }
                                            SCSSDK.bridge.callSdk('startSdkWork', {
                                                action: 'JdJrJavaScriptForward',
                                                data: jump
                                            });
                                        } else {
                                            location.href = "https://m.jr.jd.com/base/eval/evalNew/index.html?showType=1&ywsource=APP_DXFUND&returnUrl=" + escape(location.href);
                                        }
                                    },
                                    function () {
                                        //sendMsg({content:this.datas.getPositions,type:'text'})
                                        var _data = { content: this.config.data.getPositions, type: 'text' }
                                        mediator.publish(configs.operators.SEND_MSG, _data);
                                        this.option.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_recommend');
                                    }
                                ],
                                callback: function () { }
                            },
                            {
                                data: function (_data) {
                                    if (_data.hasOwnProperty("riskData")) {
                                        _data.riskData.positinosPlanVOList.forEach(function (item) {
                                            item["color"] = getcolor(item.type);
                                        })
                                        return _data;
                                    } else {
                                        return {}
                                    }
                                }(data),
                                event: [
                                    function () {
                                        //this.datas.riskData.defaultAmount = this.datas.riskData.amount = parseInt(this.dom.find("#input_amount").val()); //isNaN($("#input_amount").val()) ? 1000 : parseInt($("#input_amount").val());
                                        this.option.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_seePlan');
                                        this.launch(2, this.config.data.riskData);
                                    },
                                    function () {
                                        this.option.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_payfor1');
                                        if (configs.isSdk) {
                                            var jump = {
                                                jumpUrl: 137,
                                                jumpType: 5,
                                                productId: 0,
                                                isclose: false
                                            }
                                            SCSSDK.bridge.callSdk('startSdkWork', {
                                                action: 'JdJrJavaScriptForward',
                                                data: jump
                                            });
                                        }
                                        // $('.im-chat-list').append($('<a href="http://#" data-val="137|5|0|false" style="display:none" class="bridgeApp clik"><p>xx</p></a>'));
                                          // $('.bridgeApp>p').trigger('click');
                                        // $('body').remove('.clik');
                                          // $('<a href="//WWW.baidu.com"  class="bridgeApp"></a>').trigger('click')
                                        // var _amount = this.datas.riskData.amount || this.datas.riskData.defaultAmount;
                                        // location.href = "https://m.jr.jd.com/jrApp/fund/easybuy/index.html?addressShort=easybuy&source=app&version=3&page=zt&increaseNum=" + _amount;
                                    }
                                ],
                                callback: function () {
                                    var _data = [];
                                    var self = this.dom;
                                    var thisData = this.config.data;
                                    var arr = [];
                                    for (var item in this.config.data.riskData.positinosPlanVOList) {
                                        arr.push(this.config.data.riskData.positinosPlanVOList[item].ratio);
                                    }
                                    this.config.data.riskData.positinosPlanVOList.forEach(function (item) {
                                        _data.push({ color: item.color, value: item.ratio * 100, strong: item.ratio == Math.max.apply(null, arr) ? true : false });
                                    });
                                    var _scwidth = document.body.clientWidth;
                                    self.find(".piePanel>div:first").append("<div>总资产配比</div>").pieCharts((_scwidth / 3) * 0.4, _data, { width: _scwidth * 0.3, sectorThick: 10, strongInc: 2 });
                                    self.undelegate(".SIcontent button", "click").delegate(".SIcontent button", "click", function () {
                                        $(this).parent().find("input").addClass("active").focus();
                                    });
                                    self.undelegate("input", "blur").delegate("input", "blur", function () {
                                        if (isNaN(this.value)) {
                                            $(this).val(thisData.riskData.defaultAmount);
                                            return;
                                        }
                                        var num = parseInt(this.value);
                                        if (num < thisData.riskData.minAmount) { $(this).val(thisData.riskData.minAmount); }
                                        if (num > thisData.riskData.maxAmount) { $(this).val(thisData.riskData.maxAmount); }
                                    }).delegate("input", "keypress", function (event) {
                                        if (event.keyCode < 48 || event.keyCode > 57) {
                                            return false;
                                        }
                                    });
                                }
                            },
                            {
                                data: {},
                                event: [
                                    function () {
                                        this.option.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_seePosition');
                                        this.launch(1);
                                    },
                                    function () {
                                        this.option.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_payfor2');
                                        if (configs.isSdk) {
                                            var jump = {
                                                jumpUrl: 137,
                                                jumpType: 5,
                                                productId: 0,
                                                isclose: false
                                            }
                                            SCSSDK.bridge.callSdk('startSdkWork', {
                                                action: 'JdJrJavaScriptForward',
                                                data: jump
                                            });
                                        }
                                        //$('.im-chat-list').append($('<a href="http://#" data-val="137|5|0|false" style="display:none" class="bridgeApp clik"><p>xx</p></a>'));
                                        //$('.bridgeApp>p').trigger('click');
                                        //$('body').remove('.clik');
                                        //  $('<a href="#" data-val="137|5|0|false" class="bridgeApp"></a>').trigger('click')
                                        // location.href = "https://m.jr.jd.com/jrApp/fund/easybuy/index.html?addressShort=easybuy&source=app&version=3&page=zt&increaseNum=" + this.datas.amount;
                                    }
                                ],
                                callback: function () {
                                    function getCookie(cname) {
                                        var name = cname + "=";
                                        var ca = document.cookie.split(';');
                                        for (var i = 0; i < ca.length; i++) {
                                            var c = ca[i].trim();
                                            if (c.indexOf(name) == 0) return c.substring(name.length, c.length);
                                        }
                                        return "";
                                    }
                                    this.dom.find("ul li").each(function () {
                                        var sku = $(this).attr("sku");
                                        var _txt = $(this).html();
                                        $(this).html("").append('<a href="http://#" data-val="3|6|' + sku + '|false" class="bridgeApp">' + _txt + '</a>');
                                        //$(this).html("").append('<a href="http://#" data-val="3|6|104646|false" class="bridgeApp">基金详情页（中融新经济混合）</a>');
                                    });
                                      this.dom.find("ul").undelegate("a", "click").delegate("a", "click", function () {
                                        var sku = $(this).parents("li").eq(0).attr("sku");
                                        this.option.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_fundInfo');
                                        //location.href = "https://mlicai.jd.com/product/" + sku + "?sid=" + getCookie("sid");
                                    });
                                    var G_APP = window.SmartApp || window.SCSM;
                                    G_APP.scrollToFoot();
                                }
                            }
                        ],
                        {
                            begin: data.hasOwnProperty("riskLevel") ? 0 : 1,
                            evtHandler: this.that
                        }
                    )//.parent().css({ "padding": 0, "overflow": "hidden" }).find("script").remove();
                }
            }*/
            {
                that: EvtHandler,
                smartInvestment: function smartInvestment(objItem, data, context) {
                    var colorDict = [{ type: "bond", color: "#46BF96" }, //债券
                    { type: "current", color: "#FFBF3F" }, //活期
                    { type: "fix", color: "#8282F2" }, //定期
                    { type: "au", color: "#558EE8" }, //黄金
                    { type: "qdii", color: "#FBA72D" }, //海外
                    { type: "quarantee", color: "#87C07C" }, //保险
                    { type: "stock", color: "#53B2EC" }]; //股票
                    var getcolor = function getcolor(type) {
                        for (var i = 0; i < colorDict.length; i++) {
                            if (colorDict[i].type === type) {
                                return colorDict[i].color;
                            }
                        }
                    };
                    if (typeof data == 'string') {
                        data = JSON.parse(data);
                    }

                    // var message_id = $(".SIwrap:last").parents("li").eq(0).attr("msgid");
                    // var interactive_id = $(".SIwrap:last").parents("li").eq(0).attr("data-scene-uuid") || '';
                    objItem.find('.SIwrap').shuttlePanel([{
                        data: data,
                        event: [function () {
                            this.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_reTest');
                            if (configs.isSdk) {
                                var jump = {
                                    jumpUrl: "https://m.jr.jd.com/base/eval/evalNew/index.html?showType=1&ywsource=APP_DXFUND&returnUrl=" + escape(location.href),
                                    jumpType: 4
                                };
                                SCSSDK.bridge.callSdk('startSdkWork', {
                                    action: 'JdJrJavaScriptForward',
                                    data: jump
                                });
                            } else {
                                location.href = "https://m.jr.jd.com/base/eval/evalNew/index.html?showType=1&ywsource=APP_DXFUND&returnUrl=" + escape(location.href);
                            }
                        }, function () {
                            //sendMsg({content:this.datas.getPositions,type:'text'})
                            var _data = { content: this.datas.getPositions, type: 'text' };
                            mediator.publish(configs.operators.SEND_MSG, _data);
                            this.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_recommend');
                        }],
                        callback: function callback() {}
                    }, {
                        data: function (_data) {
                            if (_data.hasOwnProperty("riskData")) {
                                _data.riskData.positinosPlanVOList.forEach(function (item) {
                                    item["color"] = getcolor(item.type);
                                });
                                return _data;
                            } else {
                                return {};
                            }
                        }(data),
                        event: [function () {
                            //this.datas.riskData.defaultAmount = this.datas.riskData.amount = parseInt(this.dom.find("#input_amount").val()); //isNaN($("#input_amount").val()) ? 1000 : parseInt($("#input_amount").val());
                            this.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_seePlan');
                            this.launch(2, this.datas.riskData);
                        }, function () {
                            this.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_payfor1');
                            if (configs.isSdk) {
                                var jump = {
                                    jumpUrl: 137,
                                    jumpType: 5,
                                    productId: 0,
                                    isclose: false
                                };
                                SCSSDK.bridge.callSdk('startSdkWork', {
                                    action: 'JdJrJavaScriptForward',
                                    data: jump
                                });
                            }
                            // $('.im-chat-list').append($('<a href="http://#" data-val="137|5|0|false" style="display:none" class="bridgeApp clik"><p>xx</p></a>'));

                            // $('.bridgeApp>p').trigger('click');
                            // $('body').remove('.clik');

                            // $('<a href="//WWW.baidu.com"  class="bridgeApp"></a>').trigger('click')
                            // var _amount = this.datas.riskData.amount || this.datas.riskData.defaultAmount;
                            // location.href = "https://m.jr.jd.com/jrApp/fund/easybuy/index.html?addressShort=easybuy&source=app&version=3&page=zt&increaseNum=" + _amount;
                        }],
                        callback: function callback() {
                            var _data = [];
                            var self = this.dom;
                            var thisData = this.datas;
                            var arr = [];
                            for (var item in this.datas.riskData.positinosPlanVOList) {
                                arr.push(this.datas.riskData.positinosPlanVOList[item].ratio);
                            }
                            this.datas.riskData.positinosPlanVOList.forEach(function (item) {
                                _data.push({ color: item.color, value: item.ratio * 100, strong: item.ratio == Math.max.apply(null, arr) ? true : false });
                            });
                            var _scwidth = document.body.clientWidth;
                            self.find(".piePanel>div:first").append("<div>总资产配比</div>").pieCharts(_scwidth / 3 * 0.4, _data, { width: _scwidth * 0.3, sectorThick: 10, strongInc: 2 });
                            self.undelegate(".SIcontent button", "click").delegate(".SIcontent button", "click", function () {
                                $(this).parent().find("input").addClass("active").focus();
                            });
                            self.undelegate("input", "blur").delegate("input", "blur", function () {
                                if (isNaN(this.value)) {
                                    $(this).val(thisData.riskData.defaultAmount);
                                    return;
                                }
                                var num = parseInt(this.value);
                                if (num < thisData.riskData.minAmount) {
                                    $(this).val(thisData.riskData.minAmount);
                                }
                                if (num > thisData.riskData.maxAmount) {
                                    $(this).val(thisData.riskData.maxAmount);
                                }
                            }).delegate("input", "keypress", function (event) {
                                if (event.keyCode < 48 || event.keyCode > 57) {
                                    return false;
                                }
                            });
                        }
                    }, {
                        data: {},
                        event: [function () {
                            this.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_seePosition');
                            this.launch(1);
                        }, function () {
                            this.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_payfor2');
                            if (configs.isSdk) {
                                var jump = {
                                    jumpUrl: 137,
                                    jumpType: 5,
                                    productId: 0,
                                    isclose: false
                                };
                                SCSSDK.bridge.callSdk('startSdkWork', {
                                    action: 'JdJrJavaScriptForward',
                                    data: jump
                                });
                            }
                            /*$('.im-chat-list').append($('<a href="http://#" data-val="137|5|0|false" style="display:none" class="bridgeApp clik"><p>xx</p></a>'));
                            $('.bridgeApp>p').trigger('click');
                            $('body').remove('.clik');*/
                            //  $('<a href="#" data-val="137|5|0|false" class="bridgeApp"></a>').trigger('click')
                            // location.href = "https://m.jr.jd.com/jrApp/fund/easybuy/index.html?addressShort=easybuy&source=app&version=3&page=zt&increaseNum=" + this.datas.amount;
                        }],
                        callback: function callback() {
                            function getCookie(cname) {
                                var name = cname + "=";
                                var ca = document.cookie.split(';');
                                for (var i = 0; i < ca.length; i++) {
                                    var c = ca[i].trim();
                                    if (c.indexOf(name) == 0) return c.substring(name.length, c.length);
                                }
                                return "";
                            }
                            this.dom.find("ul li").each(function () {
                                var sku = $(this).attr("sku");
                                var _txt = $(this).html();
                                $(this).html("").append('<a href="http://#" data-val="3|6|' + sku + '|false" class="bridgeApp">' + _txt + '</a>');
                                //$(this).html("").append('<a href="http://#" data-val="3|6|104646|false" class="bridgeApp">基金详情页（中融新经济混合）</a>');
                            });

                            this.dom.find("ul").undelegate("a", "click").delegate("a", "click", function () {
                                var sku = $(this).parents("li").eq(0).attr("sku");
                                this.evtHandler.getInstance().zTBuryClick(this.dom, 'zt_fundInfo');
                                //location.href = "https://mlicai.jd.com/product/" + sku + "?sid=" + getCookie("sid");
                            });
                            var G_APP = window.SmartApp || window.SCSM;
                            G_APP.scrollToFoot();
                        }
                    }], {
                        begin: data.hasOwnProperty("riskLevel") ? 0 : 1,
                        EvtHandler: this.that
                    }).parent().css({ "padding": 0, "overflow": "hidden" }).find("script").remove();
                }
            },
            //白条账单组件
            handBtItem: function handBtItem(obj, mapData, context) {
                var btzdIndex = mapData.billInfoData.length == 0 ? 0 : mapData.billInfoData.length - 1;
                var repayment = function repayment() {
                    if (configs.isSdk) {
                        var jump = {
                            jumpUrl: "https://m.jr.jd.com/rn/BTMonthBill/index.html?page=page_bill_all",
                            jumpType: 4
                        };
                        SCSSDK.bridge.callSdk('startSdkWork', {
                            action: 'JdJrJavaScriptForward',
                            data: jump
                        });
                    } else {
                        location.href = "https://m.jr.jd.com/rn/BTMonthBill/index.html?page=page_bill_all";
                    }
                };
                obj.find(".wtSiWrap").shuttlePanel2([{
                    data: mapData,
                    event: [function () {
                        //立即还款
                        repayment();
                    }],
                    callback: function callback() {
                        var self = this;
                        this.dom.delegate("li", "click", function (event) {
                            var _billNo = $(this).attr('billNo');
                            mapData.billInfoData.forEach(function (item) {
                                if (item.billNo === _billNo) {
                                    if (item.billStatus !== "99") {
                                        //self.launch(2, { item: item.billDetails, title: item.billDesc });
                                        self.launch(1, item);
                                    }
                                }
                            });
                        });
                        context.scrollerRefresh();
                        context.scrollToFoot();
                    }
                }, {
                    data: mapData.billInfoData[btzdIndex],
                    event: [function () {
                        repayment();
                    }, function () {
                        //this.launch(2, { item: this.data.billDetails, title: this.data.billDetails.length == 0 ? "" : this.data.billDesc });
                        this.launch(2, { item: this.data.billDetails, title: this.data.billDetails.length == 0 ? "" : "（" + this.data.billDesc + "）" });
                    }],
                    isCallBack: false,
                    callback: function callback() {
                        var self = this;
                        var nacStatus = function nacStatus() {
                            var heafs = self.dom.find('a');
                            if (btzdIndex === 0) {
                                heafs.eq(0).addClass('disabled');
                                heafs.eq(1).html(+mapData.billInfoData[1].billDateStr.split('-')[1] + "月");
                            } else if (btzdIndex === mapData.billInfoData.length - 1) {
                                heafs.eq(0).html(+mapData.billInfoData[btzdIndex - 1].billDateStr.split('-')[1] + "月");
                                heafs.eq(1).addClass('disabled');
                            } else {
                                heafs.eq(0).removeClass('disabled').html(+mapData.billInfoData[btzdIndex - 1].billDateStr.split('-')[1] + "月");
                                heafs.eq(1).removeClass('disabled').html(+mapData.billInfoData[btzdIndex + 1].billDateStr.split('-')[1] + "月");
                            }
                        };
                        nacStatus();
                        if (!this.config.data.billDetails.length) {
                            this.dom.find("ul").html('<li><center style="margin:3rem 0">暂无数据</center></li>');
                        }
                        if (self.config.isCallBack) {
                            self.config.isCallBack = false;self.config.index = 0;return;
                        }
                        this.dom.undelegate("a", "click").delegate("a", "click", function (event) {
                            if ($(this).attr('role') === 'pre') {
                                if (btzdIndex === 0) return;
                                btzdIndex--;
                            } else if ($(this).attr('role') === 'next') {
                                if (btzdIndex === mapData.billInfoData.length - 1) return;
                                btzdIndex++;
                            }
                            nacStatus();
                            self.config.isCallBack = true;
                            self.launch(1, mapData.billInfoData[btzdIndex]);
                            context.scrollerRefresh();
                            context.scrollToFoot();
                        });

                        context.scrollerRefresh();
                        context.scrollToFoot();
                    }
                }, {
                    event: [function () {
                        //立即还款
                        repayment();
                    }, function () {
                        this.launch(mapData.type);
                    }],
                    callback: function callback() {
                        if (!this.config.data.item.length) {
                            this.dom.find("ul").html('<li><center style="margin:3rem 0">暂无数据</center></li>');
                        }
                        context.scrollerRefresh();
                        context.scrollToFoot();
                    }
                }], { begin: +mapData.type });
            },
            //银行卡列表组件
            handBankListItem: function handBankListItem(obj, mapData, context) {
                obj.find(".bankSiWrap").shuttlePanel2([{
                    data: mapData,
                    event: [function () {
                        if (configs.isSdk) {
                            var jump = {
                                jumpUrl: "https://m.jr.jd.com/jdbt/unionMobile/html/bank.html",
                                jumpType: 4
                            };
                            SCSSDK.bridge.callSdk('startSdkWork', {
                                action: 'JdJrJavaScriptForward',
                                data: jump
                            });
                        } else {
                            location.href = "https://m.jr.jd.com/jdbt/unionMobile/html/bank.html";
                        }
                    }],
                    callback: function callback() {
                        if (!this.config.data.bankList.length) {
                            this.dom.find("ul").html('<li><center style="margin:3rem 0">暂无数据</center></li>');
                        }
                        context.scrollerRefresh();
                        context.scrollToFoot();
                    }
                }], { begin: 0 });
            }
        };
    }

    return {
        getInstance: function getInstance() {
            if (!instance) {
                instance = init();
            }
            return instance;
        }
    };
}();

module.exports = EvtHandler;

/***/ }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by cdxuxu on 2017/2/21.
 */
(function () {
    __webpack_require__(67);
    function Loading() {
        this.init();
    }
    var $ = __webpack_require__(0);
    Loading.prototype.init = function () {
        var $loading = $('#Global_Loading');
        if (!$loading.length) {
            $loading = $('<div class="loading-instance" id="Global_Loading">' + '<p class="loading-img"><i></i>正在为您努力加载，请耐心等候哦</p>' + '</div>');
            $loading.appendTo('.main');
        }
        $loading.hide();
        this.loading = $loading;
    };
    Loading.prototype.show = function () {
        var that = this;
        that.loading.show();
        that.setPosition();
        $(window).scroll(function () {
            that.setPosition();
        });
        $(window).resize(function () {
            that.setPosition();
        });
    };
    Loading.prototype.setPosition = function () {
        // var that = this;
        // var _wh = document.documentElement.clientWidth || document.body.clientWidth;
        // that.loading.css({
        //             'position': 'absolute',
        //             'height': _wh,
        //             'z-index': 1002
        //         })
    };
    Loading.prototype.hide = function () {
        var that = this;
        that.loading.hide();
    };

    Loading.getInstance = function () {
        return new Loading();
    };

    module.exports = Loading;
})();

/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/**
 * Created by cdxuxu on 2017/2/8.
 */
(function () {
    __webpack_require__(69);
    var _default = {
        idSelector: '',
        idScrollerSel: 'J_ImScrollPop',
        mask: false,
        toTopHeight: 110,
        // 弹框内容
        contentHtml: '',
        // 弹框标题
        title: '',
        // 弹框标题 显示规则， 默认显示
        titleShowFlag: !!1,
        // 显示弹层时的回调函数
        openCallback: null,
        // 关闭弹层时的回调函数
        closeCallback: null,
        positionTop: 0
    };
    var $ = __webpack_require__(0);
    function Popup(cfg) {
        var config = $.extend({}, _default, cfg || {});

        this.get = function (n) {
            return config[n];
        };

        this.set = function (n, v) {
            config[n] = v;
        };

        this.openList = [];
        this.closeList = [];

        this.init();
    }
    Popup.prototype.init = function () {
        var $pop = $('#Im_PopUp');
        if (!$pop.length) {
            $pop = $('<div class="im-list-pop" id="Im_PopUp">' + '<div class="im-list-sub">' + '<div class="im-pop-close">' + '<a href="javascript:;">' + '</a>' + '</div>' + '<div class="im-box-pop" id="' + this.get('idSelector') + '">' + '<div class="im-box-title">' + '</div>' + '<div class="im-scroll-pop" id="' + this.get('idScrollerSel') + '">' + '<div class="im-scroll-cont">' + '</div>' + '</div>' + '</div>' + '</div>' + '</div>');
            $pop.appendTo('.main');
        } else {
            $pop.find('.im-box-pop').attr('id', this.get('idSelector'));
            $pop.find('.im-scroll-pop').attr('id', this.get('idScrollerSel'));
        }
        $pop.on('touchstart', function (ev) {
            var target = ev.target;
            if (target.nodeType == 1 && target.tagName == 'INPUT' && target.getAttribute('type') == 'text') {
                //return false;
                return;
            }
            ev.preventDefault();
            return false;
        });

        if (this.get('mask')) {
            $pop.addClass('has-mask');
        }
        $pop.hide();
        var height = $(window).height() - this.get('toTopHeight');
        $('#Im_PopUp .im-box-pop').css('max-height', height);
        $pop.css('height', $(window).height());
        this.popup = $pop;
    };
    Popup.prototype.open = function (cfg) {
        var that = this;
        if (cfg.closeCallback) {
            that.closeCallback = cfg.closeCallback;
        }
        var showFlag = _typeof(cfg.titleShowFlag) || that.titleShowFlag;
        var $boxScroll = that.popup.find('.im-scroll-cont');
        $boxScroll.empty();
        $boxScroll.append(cfg.contentHtml);

        var $boxTitle = that.popup.find('.im-box-title');
        if (cfg.title && showFlag) {
            $boxTitle.html(cfg.title).show();
        } else {
            $boxTitle.hide();
        }
        that.showPop();
        that.close = $('#Im_PopUp .im-pop-close');
        this.bindEvt();
        if (this.openList.length) {
            for (var i = 0, len = this.openList.length; i < len; i++) {
                this.openList[i].call(that);
            }
        }
        if (typeof cfg.openCallback == 'function') {
            cfg.openCallback.call(that);
        }

        $(window).scroll(function () {
            that.setAttr();
        });
        $(window).resize(function () {
            that.setAttr();
        });
    };
    Popup.prototype.setAttr = function (lap, isSetHeight) {
        var that = this;

        lap = lap || 0;
        var contentHeight = $('.im-scroll-cont').height();
        var maxHeight = $(window).height() - this.get('toTopHeight') - 40 - lap;
        var height = '';
        if (contentHeight <= maxHeight) {
            height = contentHeight;
        } else {
            height = maxHeight;
        }

        $('#Im_PopUp .im-scroll-pop').css('max-height', $(window).height() - this.get('toTopHeight'));
        if (this.get('positionTop')) {
            $('#Im_PopUp .im-list-sub').css('top', this.get('positionTop'));
        } else {
            $('#Im_PopUp .im-list-sub').removeAttr('style');
        }
        if (isSetHeight) {
            var setHeight = $(window).height() - this.get('toTopHeight');
            setHeight = lap ? setHeight - parseInt(lap) : setHeight;
            $('#Im_PopUp .im-scroll-pop').css('height', setHeight);
        } else {
            $('#Im_PopUp .im-scroll-pop').css('height', height);
        }
        this.popup.css('height', $(window).height());
    };
    Popup.prototype.bindEvt = function (closeCallback) {
        var that = this;
        that.close.off('touchend click').on('touchend click', function () {
            if (that.cancel && typeof that.cancel == 'function') {
                that.cancel.call(that);
                that.cancel = null;
            } else {
                that.hide();
                that.closeCallback = null;
            }
        });
    };

    Popup.prototype.showPop = function () {
        var that = this;
        that.popup.show();
        that.setAttr();
    };

    Popup.prototype.addMethod = function (action, method) {
        if (typeof method !== 'function') {
            return;
        }
        if (action == 'open') {
            this.openList.push(method);
        } else if (action == 'close') {
            this.closeList.push(method);
        }
    };

    Popup.prototype.cancel = null;
    Popup.prototype.hide = function () {
        var that = this;
        if (that.cancel && typeof that.cancel == 'function') {
            that.cancel.call(that);
            that.cancel = null;
            return;
        } else {
            that.popup.hide();
            if (this.closeList.length) {
                for (var i = 0, len = this.closeList.length; i < len; i++) {
                    this.closeList[i].call(that);
                }
            }
            if (typeof that.closeCallback == 'function') {
                that.closeCallback.call(that);
            }
        }
    };

    Popup.getInstance = function (cfg) {
        return new Popup(cfg);
    };
    module.exports = Popup;
})();

/***/ }),
/* 24 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function () {
    __webpack_require__(72);
    var _default = {
        duration: 3000,
        mask: false
    };
    var $ = __webpack_require__(0);
    function Toast(cfg) {
        var config = $.extend({}, _default, cfg || {});

        this.get = function (n) {
            return config[n];
        };

        this.set = function (n, v) {
            config[n] = v;
        };
        this.init();
    }

    Toast.prototype.init = function () {
        var tBox = $('#J_GlobalToastInstance');
        if (!tBox.length) {
            tBox = $('<div class="g-toast-instance" id="J_GlobalToastInstance"></div>');
            tBox.appendTo('body');
        }
        if (this.get('mask')) {
            tBox.addClass('has-mask');
        }
        tBox.hide();
        this.toast = tBox;
    };

    Toast.prototype.show = function (msg) {
        var that = this;
        var _timer = that.get('showTimer');
        msg = msg.toString() || '';
        that.toast.html(msg).fadeIn(200);
        if (_timer) {
            clearTimeout(_timer);
            that.set('showTimer', null);
        }
        that.set('showTimer', setTimeout(function () {
            that.hide();
        }, that.get('duration')));
    };

    Toast.prototype.hide = function () {
        var that = this;
        that.toast.fadeOut(200, function () {
            that.toast.html('');
        });
    };

    Toast.getInstance = function (cfg) {
        return new Toast(cfg);
    };

    module.exports = Toast;
})();

/***/ }),
/* 25 */,
/* 26 */,
/* 27 */,
/* 28 */,
/* 29 */,
/* 30 */,
/* 31 */,
/* 32 */,
/* 33 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * 2017-01-23  吕晨阳
 */

// 载入资源文件
__webpack_require__(28);
// require('./css/pop.css');
__webpack_require__(60);
__webpack_require__(63);
__webpack_require__(64);
__webpack_require__(29);
__webpack_require__(62);
__webpack_require__(59);
__webpack_require__(30);
// sdk端特有样式
__webpack_require__(61);
__webpack_require__(272);
var polyfill = __webpack_require__(20);
polyfill.install();

// 应用入口文件
var App = __webpack_require__(16);
var app = App.install();
// M端全局命名空间（app实例）
window.SCSM = app;
// SDK端全局命名空间及M-SDK桥
window.SCSSDK = window.SCSSDK || {};
window.SCSSDK.bridge = __webpack_require__(25);

// 扩展SCSSDK对象，增加util属性
SCSSDK.util = __webpack_require__(27);

// 扩展SCSSDK对象，增加http模块
SCSSDK.http = __webpack_require__(26);

SCSSDK.bridge.ready();

// 启动程序埋点
__webpack_require__(58);

/***/ }),
/* 34 */,
/* 35 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by lvchenyang on 2017/2/7.
 */
var utils = __webpack_require__(1);
var config = __webpack_require__(2);
var Auth = function () {
    var instance;
    var timer;
    function init() {
        return {
            heartbeat: heartbeat
        };
    }

    // 心跳检测用户是否登录
    function heartbeat(ttl) {
        if (typeof timer === 'undefined') {
            timer = {};
        }
        clearInterval(timer);
        timer = setInterval(function () {
            var options = {
                url: config.api.activation,
                type: 'GET',
                dataType: 'JSON',
                data: {}
            };
            utils.ajax(options, function () {});
        }, ttl);
    }
    return {
        getInstance: function getInstance() {
            if (!instance) {
                instance = init();
            }
            return instance;
        }
    };
}();

module.exports = Auth;

/***/ }),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Created by cdxuxu on 2017/7/12.
 * 地址搜索插件
 */(function(){var $=__webpack_require__(0);var IScroll=__webpack_require__(5);var allAirPort=[{"cityCode":"TVS","cityCn":"唐山","cityPinyinShort":"TS","jdId":"5_258_0","cityPinyinAll":"Tangshan"},{"cityCode":"AHJ","cityCn":"红原","cityPinyinShort":"HY","jdId":"22_2070_2073","cityPinyinAll":"Hongyuan"},{"cityCode":"DCY","cityCn":"稻城","cityPinyinShort":"DC","jdId":"22_2084_2100","cityPinyinAll":"Daocheng"},{"cityCode":"BSD","cityCn":"保山","cityPinyinShort":"BS ","jdId":"25_2298_0","cityPinyinAll":"Baoshan"},{"cityCode":"DYG","cityCn":"张家界","cityPinyinShort":"ZJJ","jdId":"18_1540_0","cityPinyinAll":"Zhangjiajie"},{"cityCode":"GXH","cityCn":"夏河","cityPinyinShort":"XH","jdId":"28_2564_2566","cityPinyinAll":"Xiahe"},{"cityCode":"LYG","cityCn":"连云港","cityPinyinShort":"LYG ","jdId":"12_919_0","cityPinyinAll":"Lianyungang"},{"cityCode":"KHN","cityCn":"南昌","cityPinyinShort":"NC","jdId":"21_1827_0","cityPinyinAll":"Nanchang"},{"cityCode":"XUZ","cityCn":"徐州","cityPinyinShort":"XZ","jdId":"12_911_0","cityPinyinAll":"Xuzhou"},{"cityCode":"LUM","cityCn":"芒市","cityPinyinShort":"MS","jdId":"25_2360_2361","cityPinyinAll":"Mangshi"},{"cityCode":"YIN","cityCn":"伊宁","cityPinyinShort":"YN","jdId":"31_2727_0","cityPinyinAll":"Yining"},{"cityCode":"URC","cityCn":"乌鲁木齐","cityPinyinShort":"WLMQ","jdId":"31_2652_0","cityPinyinAll":"Wulumuqi"},{"cityCode":"YTY","cityCn":"扬州","cityPinyinShort":"YZ","jdId":"12_951_0","cityPinyinAll":"Yangzhou"},{"cityCode":"LZH","cityCn":"柳州","cityPinyinShort":"LZ","jdId":"20_1720_0","cityPinyinAll":"Liuzhou"},{"cityCode":"ZYI","cityCn":"遵义","cityPinyinShort":"ZY","jdId":"24_2155_0","cityPinyinAll":"Zunyi"},{"cityCode":"INC","cityCn":"银川","cityPinyinShort":"YC","jdId":"30_2628_0","cityPinyinAll":"Yinchuan"},{"cityCode":"WNZ","cityCn":"温州","cityPinyinShort":"WZ","jdId":"15_1233_0","cityPinyinAll":"Wenzhou"},{"cityCode":"DLC","cityCn":"大连","cityPinyinShort":"DL","jdId":"8_573_0","cityPinyinAll":"Dalian"},{"cityCode":"JDZ","cityCn":"景德镇","cityPinyinShort":"JDZ ","jdId":"21_1832_0","cityPinyinAll":"Jingdezhen"},{"cityCode":"KHG","cityCn":"喀什","cityPinyinShort":"KS","jdId":"31_2686_0","cityPinyinAll":"Kashi"},{"cityCode":"NGB","cityCn":"宁波","cityPinyinShort":"NB","jdId":"15_1158_0","cityPinyinAll":"Ningbo"},{"cityCode":"JMU","cityCn":"佳木斯","cityPinyinShort":"JMS","jdId":"10_765_0","cityPinyinAll":"Jiamusi"},{"cityCode":"EJN","cityCn":"额济纳旗","cityPinyinShort":"EJNQ","jdId":"11_891_894","cityPinyinAll":"Ejinaqi"},{"cityCode":"BAR","cityCn":"博鳌","cityPinyinShort":"BA","jdId":"23_3115_3724","cityPinyinAll":"Boao"},{"cityCode":"YNT","cityCn":"烟台","cityPinyinShort":"YT","jdId":"13_1042_0","cityPinyinAll":"Yantai"},{"cityCode":"KJH","cityCn":"凯里","cityPinyinShort":"KL","jdId":"24_2205_2206","cityPinyinAll":"Kaili"},{"cityCode":"CIF","cityCn":"赤峰","cityPinyinShort":"CF","jdId":"11_812_0","cityPinyinAll":"Chifeng"},{"cityCode":"BPL","cityCn":"博乐","cityPinyinShort":"BL","jdId":"31_2723_2724","cityPinyinAll":"Bole"},{"cityCode":"JZH","cityCn":"九寨沟","cityPinyinShort":"JZG","jdId":"22_2070_2072","cityPinyinAll":"Jiuzhaigou"},{"cityCode":"IQN","cityCn":"庆阳","cityPinyinShort":"QY","jdId":"28_2525_0","cityPinyinAll":"Qingyang"},{"cityCode":"NTG","cityCn":"南通","cityPinyinShort":"NT","jdId":"12_965_0","cityPinyinAll":"Nantong"},{"cityCode":"NKG","cityCn":"南京","cityPinyinShort":"NJ","jdId":"12_904_0","cityPinyinAll":"Nanjing"},{"cityCode":"HYN","cityCn":"台州","cityPinyinShort":"TZ","jdId":"15_1290_0","cityPinyinAll":"Taizhou"},{"cityCode":"NAO","cityCn":"南充","cityPinyinShort":"NC","jdId":"22_2022_0","cityPinyinAll":"Nanchong"},{"cityCode":"WNH","cityCn":"文山","cityPinyinShort":"WS","jdId":"25_2309_0","cityPinyinAll":"Wenshan"},{"cityCode":"JNZ","cityCn":"锦州","cityPinyinShort":"JZ","jdId":"8_598_0","cityPinyinAll":"Jinzhou"},{"cityCode":"TSN","cityCn":"天津","cityPinyinShort":"TJ","jdId":"3_0_0","cityPinyinAll":"Tianjin"},{"cityCode":"NZH","cityCn":"满洲里","cityPinyinShort":"MZL","jdId":"11_848_850","cityPinyinAll":"Manzhouli"},{"cityCode":"HLD","cityCn":"海拉尔","cityPinyinShort":"HLE","jdId":"11_848_849","cityPinyinAll":"Hailaer"},{"cityCode":"JHG","cityCn":"西双版纳","cityPinyinShort":"XSBN","jdId":"25_2332_0","cityPinyinAll":"Xishuangbanna"},{"cityCode":"HDG","cityCn":"邯郸","cityPinyinShort":"HD","jdId":"5_148_0","cityPinyinAll":"Handan"},{"cityCode":"HPG","cityCn":"神农架","cityPinyinShort":"SNJ","jdId":"17_3154_0","cityPinyinAll":"Shennongjia"},{"cityCode":"SYM","cityCn":"思茅","cityPinyinShort":"SM","jdId":"25_2281_2282","cityPinyinAll":"Simao"},{"cityCode":"YIH","cityCn":"宜昌","cityPinyinShort":"YC","jdId":"17_1421_0","cityPinyinAll":"Yichang"},{"cityCode":"DDG","cityCn":"丹东","cityPinyinShort":"DD","jdId":"8_593_0","cityPinyinAll":"Dandong"},{"cityCode":"ZAT","cityCn":"昭通","cityPinyinShort":"ZT","jdId":"25_2270_0","cityPinyinAll":"Zhaotong"},{"cityCode":"HIA","cityCn":"淮安","cityPinyinShort":"HA","jdId":"12_925_0","cityPinyinAll":"Huaian"},{"cityCode":"JIL","cityCn":"吉林","cityPinyinShort":"JL","jdId":"9_644_0","cityPinyinAll":"Jilin"},{"cityCode":"DQA","cityCn":"大庆","cityPinyinShort":"DQ","jdId":"10_742_0","cityPinyinAll":"Daqing"},{"cityCode":"NNG","cityCn":"南宁","cityPinyinShort":"NN","jdId":"20_1715_0","cityPinyinAll":"Nanning"},{"cityCode":"SJW","cityCn":"石家庄","cityPinyinShort":"SJZ","jdId":"5_142_0","cityPinyinAll":"Shijiazhuang"},{"cityCode":"JIU","cityCn":"九江","cityPinyinShort":"JJ","jdId":"21_1845_0","cityPinyinAll":"Jiujiang"},{"cityCode":"WUZ","cityCn":"梧州","cityPinyinShort":"WZ","jdId":"20_1740_0","cityPinyinAll":"Wuzhou"},{"cityCode":"SWA","cityCn":"揭阳","cityPinyinShort":"JY","jdId":"19_1709_0","cityPinyinAll":"Jieyang"},{"cityCode":"DLU","cityCn":"大理","cityPinyinShort":"DL","jdId":"25_2347_0","cityPinyinAll":"Dali"},{"cityCode":"RKZ","cityCn":"日喀则","cityPinyinShort":"RKZ","jdId":"26_3144_0","cityPinyinAll":"Rikaze"},{"cityCode":"GOQ","cityCn":"格尔木","cityPinyinShort":"GEM","jdId":"29_2620_3021","cityPinyinAll":"Golmud"},{"cityCode":"JUH","cityCn":"池州","cityPinyinShort":"CZ","jdId":"14_1201_0","cityPinyinAll":"Chizhou"},{"cityCode":"SHF","cityCn":"山海关","cityPinyinShort":"SHG","jdId":"5_248_48378","cityPinyinAll":"Shanhaiguan"},{"cityCode":"RLK","cityCn":"巴彦淖尔","cityPinyinShort":"BYZE","jdId":"11_880_0","cityPinyinAll":"Bayannaoer"},{"cityCode":"NLT","cityCn":"那拉提","cityPinyinShort":"NLT","jdId":"31_2727_2732","cityPinyinAll":"Nalati"},{"cityCode":"SZX","cityCn":"深圳","cityPinyinShort":"SZ","jdId":"19_1607_0","cityPinyinAll":"Shenzhen"},{"cityCode":"AYN","cityCn":"安阳","cityPinyinShort":"AY","jdId":"7_468_0","cityPinyinAll":"Anyang"},{"cityCode":"HCJ","cityCn":"河池","cityPinyinShort":"HC","jdId":"20_1818_0","cityPinyinAll":"Hechi"},{"cityCode":"FUO","cityCn":"佛山","cityPinyinShort":"FS","jdId":"19_1666_0","cityPinyinAll":"Foshan"},{"cityCode":"DNH","cityCn":"敦煌","cityPinyinShort":"DH","jdId":"28_2556_2559","cityPinyinAll":"Dunhuang"},{"cityCode":"OHE","cityCn":"漠河","cityPinyinShort":"MH","jdId":"10_793_796","cityPinyinAll":"Mohe"},{"cityCode":"NNY","cityCn":"南阳","cityPinyinShort":"NY","jdId":"7_502_0","cityPinyinAll":"Nanyang"},{"cityCode":"CSX","cityCn":"长沙","cityPinyinShort":"CS","jdId":"18_1482_0","cityPinyinAll":"Changsha"},{"cityCode":"LIA","cityCn":"梁平","cityPinyinShort":"LP","jdId":"4_115_0","cityPinyinAll":"Liangping"},{"cityCode":"SHE","cityCn":"沈阳","cityPinyinShort":"SY","jdId":"8_560_0","cityPinyinAll":"Shenyang"},{"cityCode":"BFU","cityCn":"蚌埠","cityPinyinShort":"BB","jdId":"14_1132_0","cityPinyinAll":"Bengbu"},{"cityCode":"YKH","cityCn":"营口","cityPinyinShort":"YK","jdId":"8_609_0","cityPinyinAll":"Yingkou"},{"cityCode":"LPF","cityCn":"六盘水","cityPinyinShort":"LPS","jdId":"24_2150_0","cityPinyinAll":"Liupanshui"},{"cityCode":"ZHA","cityCn":"湛江","cityPinyinShort":"ZJ ","jdId":"19_1677_0","cityPinyinAll":"Zhanjiang"},{"cityCode":"CGQ","cityCn":"长春","cityPinyinShort":"CC","jdId":"9_639_0","cityPinyinAll":"Changchun"},{"cityCode":"YIW","cityCn":"义乌","cityPinyinShort":"YW","jdId":"15_1262_1266","cityPinyinAll":"Yiwu"},{"cityCode":"WEH","cityCn":"威海","cityPinyinShort":"WH","jdId":"13_1053_0","cityPinyinAll":"Weihai"},{"cityCode":"LDS","cityCn":"伊春","cityPinyinShort":"YC","jdId":"10_753_0","cityPinyinAll":"Yichun"},{"cityCode":"UCB","cityCn":"乌兰察布","cityPinyinShort":"WLCM","jdId":"11_823_0","cityPinyinAll":"Wulanchamu"},{"cityCode":"DAT","cityCn":"大同","cityPinyinShort":"DT","jdId":"6_309_0","cityPinyinAll":"Datong"},{"cityCode":"SYX","cityCn":"三亚","cityPinyinShort":"SY","jdId":"23_3690_0","cityPinyinAll":"Sanya"},{"cityCode":"HFE","cityCn":"合肥","cityPinyinShort":"HF","jdId":"14_1116_0","cityPinyinAll":"Hefei"},{"cityCode":"UYN","cityCn":"榆林","cityPinyinShort":"YL","jdId":"27_2454_0","cityPinyinAll":"Yulin"},{"cityCode":"NZL","cityCn":"扎兰屯","cityPinyinShort":"ZLT","jdId":"11_848_852","cityPinyinAll":"Zhalantun"},{"cityCode":"YNZ","cityCn":"盐城","cityPinyinShort":"YC","jdId":"12_939_0","cityPinyinAll":"Yancheng"},{"cityCode":"BHY","cityCn":"北海","cityPinyinShort":"BH","jdId":"20_1746_0","cityPinyinAll":"Beihai"},{"cityCode":"YBP","cityCn":"宜宾","cityPinyinShort":"YB","jdId":"22_2005_0","cityPinyinAll":"Yibin"},{"cityCode":"HTN","cityCn":"和田","cityPinyinShort":"HT","jdId":"31_2666_0","cityPinyinAll":"Hetian"},{"cityCode":"BAV","cityCn":"包头","cityPinyinShort":"BT","jdId":"11_805_0","cityPinyinAll":"Baotou"},{"cityCode":"LJG","cityCn":"丽江","cityPinyinShort":"LJ","jdId":"25_2304_0","cityPinyinAll":"Lijiang"},{"cityCode":"JGS","cityCn":"井冈山","cityPinyinShort":"JGS ","jdId":"21_1898_1899","cityPinyinAll":"Jinggangshan"},{"cityCode":"TYN","cityCn":"太原","cityPinyinShort":"TY","jdId":"6_303_0","cityPinyinAll":"Taiyuan"},{"cityCode":"ZUH","cityCn":"珠海","cityPinyinShort":"ZH","jdId":"19_1609_0","cityPinyinAll":"Zhuhai"},{"cityCode":"LZO","cityCn":"泸州","cityPinyinShort":"LZ","jdId":"22_1954_0","cityPinyinAll":"Luzhou"},{"cityCode":"CHW","cityCn":"酒泉","cityPinyinShort":"JQ","jdId":"28_2556_0","cityPinyinAll":"Jiuquan"},{"cityCode":"WGN","cityCn":"邵阳","cityPinyinShort":"SY","jdId":"18_1511_0","cityPinyinAll":"Shaoyang"},{"cityCode":"SZV","cityCn":"苏州","cityPinyinShort":"SZ","jdId":"12_988_0","cityPinyinAll":"Suzhou"},{"cityCode":"JJN","cityCn":"晋江","cityPinyinShort":"JJ","jdId":"16_1332_42932","cityPinyinAll":"Jinjiang"},{"cityCode":"TNH","cityCn":"通化","cityPinyinShort":"TH","jdId":"9_657_0","cityPinyinAll":"Tonghua"},{"cityCode":"WUX","cityCn":"无锡","cityPinyinShort":"WX","jdId":"12_984_0","cityPinyinAll":"Wuxi"},{"cityCode":"AAT","cityCn":"阿勒泰","cityPinyinShort":"ALT","jdId":"31_2744_0","cityPinyinAll":"Aletai"},{"cityCode":"CAN","cityCn":"广州","cityPinyinShort":"GZ","jdId":"19_1601_0","cityPinyinAll":"Guangzhou"},{"cityCode":"TLQ","cityCn":"吐鲁番","cityPinyinShort":"TLF","jdId":"31_2658_0","cityPinyinAll":"Tulufan"},{"cityCode":"HZH","cityCn":"黎平","cityPinyinShort":"LP","jdId":"24_2205_2219","cityPinyinAll":"Liping"},{"cityCode":"KOW","cityCn":"赣州","cityPinyinShort":"GZ","jdId":"21_1911_0","cityPinyinAll":"Ganzhou"},{"cityCode":"FYN","cityCn":"富蕴","cityPinyinShort":"FY","jdId":"31_2744_2746","cityPinyinAll":"Fuyun"},{"cityCode":"LLB","cityCn":"荔波","cityPinyinShort":"LB","jdId":"24_2222_2229","cityPinyinAll":"Libo"},{"cityCode":"DSN","cityCn":"鄂尔多斯","cityPinyinShort":"EEDS","jdId":"11_870_0","cityPinyinAll":"Eerduosi"},{"cityCode":"JIQ","cityCn":"黔江","cityPinyinShort":"QJ","jdId":"4_128_0","cityPinyinAll":"Qianjiang"},{"cityCode":"XIY","cityCn":"西安","cityPinyinShort":"XA","jdId":"27_2376_0","cityPinyinAll":"Xian"},{"cityCode":"HEK","cityCn":"黑河","cityPinyinShort":"HH","jdId":"10_776_0","cityPinyinAll":"Heihe"},{"cityCode":"SHS","cityCn":"荆州","cityPinyinShort":"JZ","jdId":"17_1413_0","cityPinyinAll":"Jingzhou"},{"cityCode":"XNN","cityCn":"西宁","cityPinyinShort":"XN","jdId":"29_2580_0","cityPinyinAll":"Xining"},{"cityCode":"TNA","cityCn":"济南","cityPinyinShort":"JN","jdId":"13_1000_0","cityPinyinAll":"Jinan"},{"cityCode":"HSN","cityCn":"舟山","cityPinyinShort":"ZS","jdId":"15_1298_0","cityPinyinAll":"Zhoushan"},{"cityCode":"CKG","cityCn":"重庆","cityPinyinShort":"CQ","jdId":"4_0_0","cityPinyinAll":"Chongqing"},{"cityCode":"TCZ","cityCn":"腾冲","cityPinyinShort":"TC","jdId":"25_2298_2303","cityPinyinAll":"Tengchong"},{"cityCode":"LLF","cityCn":"永州","cityPinyinShort":"YZ","jdId":"18_1560_0","cityPinyinAll":"Yongzhou"},{"cityCode":"AQG","cityCn":"安庆","cityPinyinShort":"AQ","jdId":"14_1140_0","cityPinyinAll":"Anqing"},{"cityCode":"WUT","cityCn":"五台山","cityPinyinShort":"WTS","jdId":"6_350_0","cityPinyinAll":"Wutaishan"},{"cityCode":"IQM","cityCn":"且末","cityPinyinShort":"GM","jdId":"31_2704_2712","cityPinyinAll":"Qiemo"},{"cityCode":"HLH","cityCn":"乌兰浩特","cityPinyinShort":"WLHT","jdId":"11_895_896","cityPinyinAll":"Wulanhaote"},{"cityCode":"HET","cityCn":"呼和浩特","cityPinyinShort":"HHHT","jdId":"11_799_0","cityPinyinAll":"Huhehaote"},{"cityCode":"FUG","cityCn":"阜阳","cityPinyinShort":"FY","jdId":"14_1167_0","cityPinyinAll":"Fuyang"},{"cityCode":"LHW","cityCn":"兰州","cityPinyinShort":"LZ","jdId":"28_2487_0","cityPinyinAll":"Lanzhou"},{"cityCode":"TAO","cityCn":"青岛","cityPinyinShort":"QD","jdId":"13_1007_0","cityPinyinAll":"Qingdao"},{"cityCode":"AVA","cityCn":"安顺","cityPinyinShort":"AS","jdId":"24_2189_0","cityPinyinAll":"Anshun"},{"cityCode":"ACX","cityCn":"兴义","cityPinyinShort":"XY","jdId":"24_3004_0","cityPinyinAll":"Xingyi"},{"cityCode":"ZQZ","cityCn":"张家口","cityPinyinShort":"ZJK","jdId":"5_224_0","cityPinyinAll":"Zhangjiakou"},{"cityCode":"KWE","cityCn":"贵阳","cityPinyinShort":"GY","jdId":"24_2144_0","cityPinyinAll":"Guiyang"},{"cityCode":"MDG","cityCn":"牡丹江","cityPinyinShort":"MDJ","jdId":"10_757_0","cityPinyinAll":"Mudanjiang"},{"cityCode":"DAX","cityCn":"达州","cityPinyinShort":"DZ","jdId":"22_2033_0","cityPinyinAll":"Dazhou"},{"cityCode":"KWL","cityCn":"桂林","cityPinyinShort":"GL","jdId":"20_1726_0","cityPinyinAll":"Guilin"},{"cityCode":"NDG","cityCn":"齐齐哈尔","cityPinyinShort":"QQHE","jdId":"10_712_0","cityPinyinAll":"Qiqihaer"},{"cityCode":"HTT","cityCn":"花土沟","cityPinyinShort":"HTG","jdId":"29_2620_0","cityPinyinAll":"Huatugou"},{"cityCode":"ERL","cityCn":"二连浩特","cityPinyinShort":"ELHT","jdId":"11_835_837","cityPinyinAll":"Erlanhaote"},{"cityCode":"TXN","cityCn":"黄山","cityPinyinShort":"HS","jdId":"14_1151_0","cityPinyinAll":"Huangshan"},{"cityCode":"SHP","cityCn":"秦皇岛","cityPinyinShort":"QHD","jdId":"5_248_0","cityPinyinAll":"Qinhuangdao"},{"cityCode":"GYU","cityCn":"固原","cityPinyinShort":"GY","jdId":"30_2644_0","cityPinyinAll":"Guyuan"},{"cityCode":"FYJ","cityCn":"抚远","cityPinyinShort":"FY","jdId":"10_765_769","cityPinyinAll":"Fuyuan"},{"cityCode":"NBS","cityCn":"长白山","cityPinyinShort":"CBS","jdId":"9_664_0","cityPinyinAll":"Changbaishan"},{"cityCode":"XFN","cityCn":"襄阳","cityPinyinShort":"XY","jdId":"17_1396_0","cityPinyinAll":"Xiangyang"},{"cityCode":"KRY","cityCn":"克拉玛依","cityPinyinShort":"KLMY","jdId":"31_2654_0","cityPinyinAll":"Kelamayi"},{"cityCode":"CIH","cityCn":"长治","cityPinyinShort":"CZ","jdId":"6_3074_0","cityPinyinAll":"Changzhi"},{"cityCode":"AEB","cityCn":"百色","cityPinyinShort":"BS","jdId":"20_1806_0","cityPinyinAll":"Baise"},{"cityCode":"HGH","cityCn":"杭州","cityPinyinShort":"HZ","jdId":"15_1213_0","cityPinyinAll":"Hangzhou"},{"cityCode":"HNY","cityCn":"衡阳","cityPinyinShort":"HY","jdId":"18_1501_0","cityPinyinAll":"Hengyang"},{"cityCode":"AKA","cityCn":"安康","cityPinyinShort":"AK","jdId":"27_2476_0","cityPinyinAll":"Ankang"},{"cityCode":"THQ","cityCn":"天水","cityPinyinShort":"TS","jdId":"28_2501_0","cityPinyinAll":"Tianshui"},{"cityCode":"HXD","cityCn":"德令哈","cityPinyinShort":"DLH","jdId":"29_2620_2621","cityPinyinAll":"Delingha"},{"cityCode":"CHG","cityCn":"朝阳","cityPinyinShort":"CY","jdId":"8_632_0","cityPinyinAll":"Chaoyang"},{"cityCode":"XIL","cityCn":"锡林浩特","cityPinyinShort":"XLHT","jdId":"11_835_0","cityPinyinAll":"Xilinhaote"},{"cityCode":"WUA","cityCn":"乌海","cityPinyinShort":"WH","jdId":"11_810_0","cityPinyinAll":"Wuhai"},{"cityCode":"YCU","cityCn":"运城","cityPinyinShort":"YC","jdId":"6_398_0","cityPinyinAll":"Yuncheng"},{"cityCode":"MXZ","cityCn":"梅州","cityPinyinShort":"MZ","jdId":"19_1634_0","cityPinyinAll":"Meizhou"},{"cityCode":"ZHY","cityCn":"中卫","cityPinyinShort":"ZW","jdId":"30_3071_0","cityPinyinAll":"Zhongwei"},{"cityCode":"HJJ","cityCn":"怀化","cityPinyinShort":"HH","jdId":"18_1574_0","cityPinyinAll":"Huaihua"},{"cityCode":"DOY","cityCn":"东营","cityPinyinShort":"DY","jdId":"13_1025_0","cityPinyinAll":"Dongying"},{"cityCode":"JNG","cityCn":"济宁","cityPinyinShort":"JN","jdId":"13_2900_0","cityPinyinAll":"Jining"},{"cityCode":"WUH","cityCn":"武汉","cityPinyinShort":"WH","jdId":"17_1381_0","cityPinyinAll":"Wuhan"},{"cityCode":"LCX","cityCn":"龙岩","cityPinyinShort":"LY","jdId":"16_1362_0","cityPinyinAll":"Longyan"},{"cityCode":"JUZ","cityCn":"衢州","cityPinyinShort":"QZ","jdId":"15_1273_0","cityPinyinAll":"Quzhou"},{"cityCode":"GHN","cityCn":"广汉","cityPinyinShort":"GH","jdId":"22_1962_39010","cityPinyinAll":"Guanghan"},{"cityCode":"PEK","cityCn":"北京","cityPinyinShort":"BJ","jdId":"1_0_0","cityPinyinAll":"Beijing"},{"cityCode":"JGN","cityCn":"嘉峪关","cityPinyinShort":"JYG","jdId":"28_2509_0","cityPinyinAll":"Jiayuguan"},{"cityCode":"KMG","cityCn":"昆明","cityPinyinShort":"KM","jdId":"25_2235_0","cityPinyinAll":"Kunming"},{"cityCode":"HUZ","cityCn":"惠州","cityPinyinShort":"HZ","jdId":"19_1643_0","cityPinyinAll":"Huizhou"},{"cityCode":"SQJ","cityCn":"三明","cityPinyinShort":"SM","jdId":"16_1317_0","cityPinyinAll":"Sanming"},{"cityCode":"JIC","cityCn":"金昌","cityPinyinShort":"JC","jdId":"28_2492_0","cityPinyinAll":"Jinchang"},{"cityCode":"CNI","cityCn":"长海","cityPinyinShort":"CH","jdId":"8_573_577","cityPinyinAll":"Changhai"},{"cityCode":"YZY","cityCn":"张掖","cityPinyinShort":"ZY","jdId":"28_2549_0","cityPinyinAll":"Zhangye"},{"cityCode":"KNC","cityCn":"吉安","cityPinyinShort":"JA","jdId":"21_1898_0","cityPinyinAll":"Jian"},{"cityCode":"MIG","cityCn":"绵阳","cityPinyinShort":"MY","jdId":"22_1960_0","cityPinyinAll":"Mianyang"},{"cityCode":"HMI","cityCn":"哈密","cityPinyinShort":"HM","jdId":"31_2662_0","cityPinyinAll":"Hami"},{"cityCode":"CGO","cityCn":"郑州","cityPinyinShort":"ZZ","jdId":"7_412_0","cityPinyinAll":"Zhengzhou"},{"cityCode":"FOC","cityCn":"福州","cityPinyinShort":"FZ","jdId":"16_1303_0","cityPinyinAll":"Fuzhou"},{"cityCode":"YIE","cityCn":"阿尔山","cityPinyinShort":"AES","jdId":"11_895_897","cityPinyinAll":"Aershan"},{"cityCode":"JGD","cityCn":"加格达奇","cityPinyinShort":"JGDQ","jdId":"10_793_4114","cityPinyinAll":"Jiagedaqi"},{"cityCode":"WDS","cityCn":"十堰","cityPinyinShort":"SY","jdId":"17_1405_0","cityPinyinAll":"Shiyan"},{"cityCode":"YIC","cityCn":"宜春","cityPinyinShort":"YC","jdId":"21_1874_0","cityPinyinAll":"Yichun"},{"cityCode":"KRL","cityCn":"库尔勒","cityPinyinShort":"KEL","jdId":"31_2704_2705","cityPinyinAll":"Kuerle"},{"cityCode":"TEN","cityCn":"铜仁","cityPinyinShort":"TR","jdId":"24_2169_0","cityPinyinAll":"Tongren"},{"cityCode":"BPX","cityCn":"昌都","cityPinyinShort":"CD","jdId":"26_3138_0","cityPinyinAll":"Changdu"},{"cityCode":"BFJ","cityCn":"毕节","cityPinyinShort":"BJ","jdId":"24_2180_0","cityPinyinAll":"Bijie"},{"cityCode":"XIC","cityCn":"西昌","cityPinyinShort":"XC","jdId":"22_2103_27500","cityPinyinAll":"Xichang"},{"cityCode":"AKU","cityCn":"阿克苏","cityPinyinShort":"AKS","jdId":"31_2675_0","cityPinyinAll":"Akesu"},{"cityCode":"WUS","cityCn":"武夷山","cityPinyinShort":"WYS","jdId":"16_1352_1356","cityPinyinAll":"Wuyishan"},{"cityCode":"HZG","cityCn":"汉中","cityPinyinShort":"HZ","jdId":"27_2442_0","cityPinyinAll":"Hanzhong"},{"cityCode":"ENH","cityCn":"恩施","cityPinyinShort":"ES","jdId":"17_1466_0","cityPinyinAll":"Enshi"},{"cityCode":"AOG","cityCn":"鞍山","cityPinyinShort":"AS","jdId":"8_579_0","cityPinyinAll":"Anshan"},{"cityCode":"XMN","cityCn":"厦门","cityPinyinShort":"XM","jdId":"16_1315_0","cityPinyinAll":"Xiamen"},{"cityCode":"GYS","cityCn":"广元","cityPinyinShort":"GY","jdId":"22_1977_0","cityPinyinAll":"Guangyuan"},{"cityCode":"HRB","cityCn":"哈尔滨","cityPinyinShort":"HEB","jdId":"10_698_0","cityPinyinAll":"Haerbin"},{"cityCode":"CTU","cityCn":"成都","cityPinyinShort":"CD","jdId":"22_1930_0","cityPinyinAll":"Chengdu"},{"cityCode":"KCA","cityCn":"库车","cityPinyinShort":"KC","jdId":"31_2675_2682","cityPinyinAll":"Kuche"},{"cityCode":"PZI","cityCn":"攀枝花","cityPinyinShort":"PZH","jdId":"22_1950_0","cityPinyinAll":"Panzhihua"},{"cityCode":"TCG","cityCn":"塔城","cityPinyinShort":"TC","jdId":"31_2736_0","cityPinyinAll":"Tacheng"},{"cityCode":"YUS","cityCn":"玉树","cityPinyinShort":"YS","jdId":"29_2612_0","cityPinyinAll":"Yushu"},{"cityCode":"LFQ","cityCn":"临汾","cityPinyinShort":"LF","jdId":"6_379_0","cityPinyinAll":"Linfen"},{"cityCode":"LYI","cityCn":"临沂","cityPinyinShort":"LY","jdId":"13_1072_0","cityPinyinAll":"Linyi"},{"cityCode":"CGD","cityCn":"常德","cityPinyinShort":"CD","jdId":"18_1530_0","cityPinyinAll":"Changde"},{"cityCode":"NGQ","cityCn":"阿里","cityPinyinShort":"AL","jdId":"26_3970_0","cityPinyinAll":"Ali"},{"cityCode":"LNJ","cityCn":"临沧","cityPinyinShort":"LC","jdId":"25_2291_0","cityPinyinAll":"Lincang"},{"cityCode":"LXA","cityCn":"拉萨","cityPinyinShort":"LS","jdId":"26_2951_0","cityPinyinAll":"Lasa"},{"cityCode":"HAK","cityCn":"海口","cityPinyinShort":"HK","jdId":"23_2121_0","cityPinyinAll":"Haikou"},{"cityCode":"ENY","cityCn":"延安","cityPinyinShort":"YA","jdId":"27_2428_0","cityPinyinAll":"Yanan"},{"cityCode":"WXN","cityCn":"万县","cityPinyinShort":"WX","jdId":"4_113_0","cityPinyinAll":"Wanxian"},{"cityCode":"KGT","cityCn":"康定","cityPinyinShort":"KD","jdId":"22_2084_2085","cityPinyinAll":"Kangding"},{"cityCode":"LLV","cityCn":"吕梁","cityPinyinShort":"LL","jdId":"6_368_0","cityPinyinAll":"Lvliang"},{"cityCode":"SHA","cityCn":"上海","cityPinyinShort":"SH","jdId":"2_0_0","cityPinyinAll":"Shanghai"},{"cityCode":"RIZ","cityCn":"日照","cityPinyinShort":"RZ","jdId":"13_1108_0","cityPinyinAll":"Rizhao"},{"cityCode":"WEF","cityCn":"潍坊","cityPinyinShort":"WF","jdId":"13_1032_0","cityPinyinAll":"Weifang"},{"cityCode":"CZX","cityCn":"常州","cityPinyinShort":"CZ","jdId":"12_978_0","cityPinyinAll":"Changzhou"},{"cityCode":"LYA","cityCn":"洛阳","cityPinyinShort":"LY","jdId":"7_427_0","cityPinyinAll":"Luoyang"},{"cityCode":"DIG","cityCn":"迪庆","cityPinyinShort":"DQ","jdId":"25_4108_0","cityPinyinAll":"Diqing"},{"cityCode":"TGO","cityCn":"通辽","cityPinyinShort":"TL","jdId":"11_902_0","cityPinyinAll":"Tongliao"},{"cityCode":"JXA","cityCn":"鸡西","cityPinyinShort":"JX","jdId":"10_737_0","cityPinyinAll":"Jixi"},{"cityCode":"YNJ","cityCn":"延吉","cityPinyinShort":"YJ","jdId":"9_687_24073","cityPinyinAll":"Yanji"},{"cityCode":"LZY","cityCn":"林芝","cityPinyinShort":"LZ","jdId":"26_3971_0","cityPinyinAll":"Linzhi"}];var hotAirPort=[{"cityCode":"PEK","cityCn":"北京","cityPinyinShort":"BJ","jdId":"1_0_0","cityPinyinAll":"Beijing"},{"cityCode":"SHA","cityCn":"上海","cityPinyinShort":"SH","jdId":"2_0_0","cityPinyinAll":"Shanghai"},{"cityCode":"SZX","cityCn":"深圳","cityPinyinShort":"SZ","jdId":"19_1607_0","cityPinyinAll":"Shenzhen"},{"cityCode":"HGH","cityCn":"杭州","cityPinyinShort":"HZ","jdId":"15_1213_0","cityPinyinAll":"Hangzhou"},{"cityCode":"CAN","cityCn":"广州","cityPinyinShort":"GZ","jdId":"19_1601_0","cityPinyinAll":"Guangzhou"},{"cityCode":"CTU","cityCn":"成都","cityPinyinShort":"CD","jdId":"22_1930_0","cityPinyinAll":"Chengdu"},{"cityCode":"NKG","cityCn":"南京","cityPinyinShort":"NJ","jdId":"12_904_0","cityPinyinAll":"Nanjing"},{"cityCode":"WUH","cityCn":"武汉","cityPinyinShort":"WH","jdId":"17_1381_0","cityPinyinAll":"Wuhan"},{"cityCode":"CSX","cityCn":"长沙","cityPinyinShort":"CS","jdId":"18_1482_0","cityPinyinAll":"Changsha"},{"cityCode":"KMG","cityCn":"昆明","cityPinyinShort":"KM","jdId":"25_2235_0","cityPinyinAll":"Kunming"},{"cityCode":"XIY","cityCn":"西安","cityPinyinShort":"XA","jdId":"27_2376_0","cityPinyinAll":"Xian"},{"cityCode":"TAO","cityCn":"青岛","cityPinyinShort":"QD","jdId":"13_1007_0","cityPinyinAll":"Qingdao"},{"cityCode":"XMN","cityCn":"厦门","cityPinyinShort":"XM","jdId":"16_1315_0","cityPinyinAll":"Xiamen"},{"cityCode":"TSN","cityCn":"天津","cityPinyinShort":"TJ","jdId":"3_0_0","cityPinyinAll":"Tianjin"},{"cityCode":"DLC","cityCn":"大连","cityPinyinShort":"DL","jdId":"8_573_0","cityPinyinAll":"Dalian"},{"cityCode":"CKG","cityCn":"重庆","cityPinyinShort":"CQ","jdId":"4_0_0","cityPinyinAll":"Chongqing"},{"cityCode":"SYX","cityCn":"三亚","cityPinyinShort":"SY","jdId":"23_3690_0","cityPinyinAll":"Sanya"},{"cityCode":"FOC","cityCn":"福州","cityPinyinShort":"FZ","jdId":"16_1303_0","cityPinyinAll":"Fuzhou"},{"cityCode":"CGO","cityCn":"郑州","cityPinyinShort":"ZZ","jdId":"7_412_0","cityPinyinAll":"Zhengzhou"},{"cityCode":"HET","cityCn":"呼和浩特","cityPinyinShort":"HHHT","jdId":"11_799_0","cityPinyinAll":"Huhehaote"},{"cityCode":"NGB","cityCn":"宁波","cityPinyinShort":"NB","jdId":"15_1158_0","cityPinyinAll":"Ningbo"},{"cityCode":"TYN","cityCn":"太原","cityPinyinShort":"TY","jdId":"6_303_0","cityPinyinAll":"Taiyuan"},{"cityCode":"URC","cityCn":"乌鲁木齐","cityPinyinShort":"WLMQ","jdId":"31_2652_0","cityPinyinAll":"Wulumuqi"},{"cityCode":"SHE","cityCn":"沈阳","cityPinyinShort":"SY","jdId":"8_560_0","cityPinyinAll":"Shenyang"}];var allTrainStation=[{"id":"1835","quanpin":"jiaozhoubei","jianpin":"jzb","name":"胶州北","code":"JZK","jdId":""},{"id":"250","quanpin":"luan","jianpin":"la","name":"六安","code":"UAH","jdId":"14_1206_0"},{"id":"660","quanpin":"sanshilipu","jianpin":"sslb","name":"三十里堡","code":"SST","jdId":""},{"id":"2632","quanpin":"fuyuanbei","jianpin":"fyb","name":"富源北","code":"FBM","jdId":""},{"id":"891","quanpin":"zhaohua","jianpin":"zhu","name":"昭化","code":"ZHW","jdId":""},{"id":"153","quanpin":"anjia","jianpin":"aj","name":"安家","code":"AJB","jdId":""},{"id":"2319","quanpin":"malong","jianpin":"ml","name":"马龙","code":"MGM","jdId":"25_2247_2249"},{"id":"63","quanpin":"xiaolan","jianpin":"xl","name":"小榄","code":"EAQ","jdId":"19_1657_2902"},{"id":"586","quanpin":"shiling","jianpin":"sl","name":"石岭","code":"SOL","jdId":""},{"id":"1711","quanpin":"xingquanbu","jianpin":"xqp","name":"兴泉堡","code":"XQJ","jdId":""},{"id":"1944","quanpin":"guidingbei","jianpin":"gdb","name":"贵定北","code":"FMW","jdId":""},{"id":"2154","quanpin":"huangyangtan","jianpin":"hyt","name":"黄羊滩","code":"HGJ","jdId":""},{"id":"1571","quanpin":"chuzhou","jianpin":"cz","name":"滁州","code":"CXH","jdId":"14_1159_0"},{"id":"628","quanpin":"zhuangzhi","jianpin":"zz","name":"壮志","code":"ZUX","jdId":""},{"id":"927","quanpin":"shixian","jianpin":"sj","name":"石岘","code":"SXL","jdId":""},{"id":"1719","quanpin":"yanjin","jianpin":"yj","name":"盐津","code":"AEW","jdId":"25_2270_2275"},{"id":"1965","quanpin":"sidaowan","jianpin":"sdw","name":"四道湾","code":"OUD","jdId":""},{"id":"456","quanpin":"changlinhe","jianpin":"clh","name":"长临河","code":"FVH","jdId":""},{"id":"1241","quanpin":"xiamatang","jianpin":"xmt","name":"下马塘","code":"XAT","jdId":""},{"id":"2191","quanpin":"dajiagou","jianpin":"djg","name":"达家沟","code":"DJT","jdId":""},{"id":"1817","quanpin":"luocheng","jianpin":"lc","name":"罗城","code":"VCZ","jdId":"20_1818_2991"},{"id":"1853","quanpin":"yingdexi","jianpin":"ydx","name":"英德西","code":"IIQ","jdId":""},{"id":"1242","quanpin":"waitoushan","jianpin":"wts","name":"歪头山","code":"WIT","jdId":""},{"id":"1999","quanpin":"fenglingdu","jianpin":"fld","name":"风陵渡","code":"FLV","jdId":""},{"id":"1100","quanpin":"fuzhoudong","jianpin":"fzd","name":"抚州东","code":"FDG","jdId":""},{"id":"912","quanpin":"yingcheng","jianpin":"yc","name":"应城","code":"YHN","jdId":"17_1432_45216"},{"id":"183","quanpin":"yining","jianpin":"yn","name":"伊宁","code":"YMR","jdId":"31_2727_4499"},{"id":"1646","quanpin":"yuping","jianpin":"yp","name":"玉屏","code":"YZW","jdId":""},{"id":"1611","quanpin":"laiyang","jianpin":"ly","name":"莱阳","code":"LYK","jdId":"13_1042_1044"},{"id":"1293","quanpin":"zhuzhou","jianpin":"zz","name":"株洲","code":"ZZQ","jdId":"18_1488_0"},{"id":"465","quanpin":"jishu","jianpin":"js","name":"吉舒","code":"JSL","jdId":""},{"id":"2348","quanpin":"xinhua","jianpin":"xh","name":"新华","code":"XHB","jdId":"4_128_10030"},{"id":"726","quanpin":"xiaogan","jianpin":"xg","name":"孝感","code":"XGN","jdId":"17_1432_0"},{"id":"813","quanpin":"taha","jianpin":"th","name":"塔哈","code":"THX","jdId":""},{"id":"2012","quanpin":"yangcha","jianpin":"yc","name":"阳岔","code":"YAL","jdId":""},{"id":"1303","quanpin":"tongzi","jianpin":"tz","name":"桐梓","code":"TZW","jdId":"4_129_10038"},{"id":"507","quanpin":"cuogang","jianpin":"cg","name":"嵯岗","code":"CAX","jdId":""},{"id":"2328","quanpin":"gaobeidian","jianpin":"gbd","name":"高碑店","code":"GBP","jdId":"5_199_47216"},{"id":"2290","quanpin":"qingtian","jianpin":"qt","name":"青田","code":"QVH","jdId":"15_1280_1288"},{"id":"785","quanpin":"caijiapo","jianpin":"cjp","name":"蔡家坡","code":"CJY","jdId":""},{"id":"2233","quanpin":"shijiazi","jianpin":"sjz","name":"十家子","code":"SJD","jdId":""},{"id":"1907","quanpin":"hengshanxi","jianpin":"hsx","name":"衡山西","code":"HEQ","jdId":""},{"id":"1784","quanpin":"jinghe","jianpin":"jh","name":"精河","code":"JHR","jdId":"31_2723_2725"},{"id":"965","quanpin":"zhangyexi","jianpin":"zyx","name":"张掖西","code":"ZEJ","jdId":""},{"id":"808","quanpin":"fuxian","jianpin":"fx","name":"富县","code":"FEY","jdId":"27_2428_2437"},{"id":"158","quanpin":"lalin","jianpin":"ll","name":"拉林","code":"LAB","jdId":""},{"id":"1058","quanpin":"yizheng","jianpin":"yz","name":"仪征","code":"UZH","jdId":"12_951_42218"},{"id":"26","quanpin":"shanghaihongqiao","jianpin":"shhq","name":"上海虹桥","code":"AOH","jdId":""},{"id":"1945","quanpin":"guidingnan","jianpin":"gdn","name":"贵定南","code":"IDW","jdId":""},{"id":"214","quanpin":"dapanshi","jianpin":"dps","name":"大盘石","code":"RPP","jdId":""},{"id":"1201","quanpin":"jingtai","jianpin":"jt","name":"景泰","code":"JTJ","jdId":"28_2495_2499"},{"id":"259","quanpin":"huajiazhuang","jianpin":"hjz","name":"花家庄","code":"HJM","jdId":""},{"id":"2601","quanpin":"houhu","jianpin":"hh","name":"后湖","code":"IHN","jdId":""},{"id":"1036","quanpin":"huizhouxi","jianpin":"hzx","name":"惠州西","code":"VXQ","jdId":""},{"id":"915","quanpin":"yanjiao","jianpin":"yj","name":"燕郊","code":"AJP","jdId":""},{"id":"269","quanpin":"yingjie","jianpin":"yj","name":"营街","code":"YAM","jdId":""},{"id":"2580","quanpin":"guian","jianpin":"ga","name":"贵安","code":"GAE","jdId":""},{"id":"270","quanpin":"xinpingtian","jianpin":"xpt","name":"新坪田","code":"XPM","jdId":""},{"id":"2009","quanpin":"jian","jianpin":"ja","name":"集安","code":"JAL","jdId":"9_657_659"},{"id":"1724","quanpin":"wawushan","jianpin":"wws","name":"瓦屋山","code":"WAH","jdId":""},{"id":"123","quanpin":"wuxi","jianpin":"wx","name":"乌西","code":"WXR","jdId":""},{"id":"2001","quanpin":"yunchengbei","jianpin":"ycb","name":"运城北","code":"ABV","jdId":""},{"id":"41","quanpin":"dongandong","jianpin":"dad","name":"东安东","code":"DCZ","jdId":""},{"id":"472","quanpin":"tongxin","jianpin":"tx","name":"同心","code":"TXJ","jdId":"30_2637_2641"},{"id":"527","quanpin":"kuduer","jianpin":"kde","name":"库都尔","code":"KDX","jdId":""},{"id":"516","quanpin":"alongshan","jianpin":"als","name":"阿龙山","code":"ASX","jdId":""},{"id":"708","quanpin":"rudong","jianpin":"rd","name":"如东","code":"RIH","jdId":"12_965_970"},{"id":"1855","quanpin":"maomingdong","jianpin":"mmd","name":"茂名东","code":"MDQ","jdId":""},{"id":"70","quanpin":"fengcheng","jianpin":"fc","name":"丰城","code":"FCG","jdId":"21_1874_1875"},{"id":"391","quanpin":"nanning","jianpin":"nn","name":"南宁","code":"NNZ","jdId":"20_1715_0"},{"id":"809","quanpin":"fulaerji","jianpin":"flej","name":"富拉尔基","code":"FRX","jdId":"10_712_715"},{"id":"1697","quanpin":"songjianghe","jianpin":"sjh","name":"松江河","code":"SJL","jdId":""},{"id":"414","quanpin":"xixia","jianpin":"xx","name":"西峡","code":"XIF","jdId":"7_502_515"},{"id":"155","quanpin":"beiyinhe","jianpin":"byh","name":"背荫河","code":"BYB","jdId":""},{"id":"1415","quanpin":"miluodong","jianpin":"mld","name":"汨罗东","code":"MQQ","jdId":""},{"id":"258","quanpin":"baijipo","jianpin":"bjp","name":"白鸡坡","code":"BBM","jdId":""},{"id":"2501","quanpin":"jingyu","jianpin":"jy","name":"靖宇","code":"JYL","jdId":"9_664_671"},{"id":"608","quanpin":"anding","jianpin":"ad","name":"安定","code":"ADP","jdId":"28_3080_4002"},{"id":"1312","quanpin":"wuzhou","jianpin":"wz","name":"梧州","code":"WZZ","jdId":"20_1740_0"},{"id":"248","quanpin":"gongzhulingnan","jianpin":"gzln","name":"公主岭南","code":"GBT","jdId":""},{"id":"964","quanpin":"cili","jianpin":"cl","name":"慈利","code":"CUQ","jdId":"18_1540_1541"},{"id":"2399","quanpin":"fengtun","jianpin":"ft","name":"冯屯","code":"FTX","jdId":""},{"id":"1411","quanpin":"chizhou","jianpin":"cz","name":"池州","code":"IYH","jdId":"14_1201_0"},{"id":"2018","quanpin":"tonggou","jianpin":"tg","name":"通沟","code":"TOL","jdId":""},{"id":"802","quanpin":"yanghe","jianpin":"yh","name":"洋河","code":"GTH","jdId":""},{"id":"1520","quanpin":"qinglongshan","jianpin":"qls","name":"青龙山","code":"QGH","jdId":""},{"id":"854","quanpin":"wanfatun","jianpin":"wft","name":"万发屯","code":"WFB","jdId":""},{"id":"1041","quanpin":"pixianxi","jianpin":"pxx","name":"郫县西","code":"PCW","jdId":""},{"id":"114","quanpin":"wulanhada","jianpin":"wlhd","name":"乌兰哈达","code":"WLC","jdId":""},{"id":"180","quanpin":"shuangfeng","jianpin":"sf","name":"双丰","code":"OFB","jdId":""},{"id":"673","quanpin":"xinyangzhen","jianpin":"xyz","name":"新阳镇","code":"XZJ","jdId":""},{"id":"1449","quanpin":"shaheshi","jianpin":"shs","name":"沙河市","code":"VOP","jdId":"5_164_185"},{"id":"106","quanpin":"yima","jianpin":"ym","name":"义马","code":"YMF","jdId":"7_495_496"},{"id":"1254","quanpin":"huolianzhai","jianpin":"hlz","name":"火连寨","code":"HLT","jdId":""},{"id":"1645","quanpin":"changtingzhen","jianpin":"ctz","name":"长汀镇","code":"CDB","jdId":""},{"id":"528","quanpin":"shirencheng","jianpin":"src","name":"石人城","code":"SRB","jdId":""},{"id":"349","quanpin":"beijingxi","jianpin":"bjx","name":"北京西","code":"BXP","jdId":""},{"id":"1971","quanpin":"jingpeng","jianpin":"jp","name":"经棚","code":"JPC","jdId":""},{"id":"1059","quanpin":"fuyu","jianpin":"fy","name":"扶余","code":"FYT","jdId":"9_674_677"},{"id":"2226","quanpin":"yanliang","jianpin":"yl","name":"阎良","code":"YNY","jdId":"27_2376_50237"},{"id":"1878","quanpin":"yingkou","jianpin":"yk","name":"营口","code":"YKT","jdId":"8_609_0"},{"id":"1375","quanpin":"minquan","jianpin":"mq","name":"民权","code":"MQF","jdId":"7_517_521"},{"id":"1189","quanpin":"zengjiapingzi","jianpin":"zjpz","name":"曾家坪子","code":"ZBW","jdId":""},{"id":"16","quanpin":"sanmenxian","jianpin":"smx","name":"三门县","code":"OQH","jdId":"15_1290_1294"},{"id":"197","quanpin":"xianglan","jianpin":"xl","name":"香兰","code":"XNB","jdId":""},{"id":"1877","quanpin":"pingxiangbei","jianpin":"pxb","name":"萍乡北","code":"PBG","jdId":""},{"id":"850","quanpin":"gongyi","jianpin":"gy","name":"巩义","code":"GXF","jdId":"7_412_46821"},{"id":"172","quanpin":"renqiu","jianpin":"rq","name":"任丘","code":"RQP","jdId":"5_264_49578"},{"id":"936","quanpin":"jianshi","jianpin":"js","name":"建始","code":"JRN","jdId":"17_1466_1469"},{"id":"1720","quanpin":"gaizhou","jianpin":"gz","name":"盖州","code":"GXT","jdId":"8_609_611"},{"id":"1097","quanpin":"funing","jianpin":"fn","name":"抚宁","code":"FNP","jdId":"5_248_4093"},{"id":"958","quanpin":"shalingzi","jianpin":"slz","name":"沙岭子","code":"SLP","jdId":""},{"id":"240","quanpin":"kedong","jianpin":"kd","name":"克东","code":"KOB","jdId":"10_712_724"},{"id":"713","quanpin":"weihai","jianpin":"wh","name":"威海","code":"WKK","jdId":"13_1053_0"},{"id":"2463","quanpin":"cangxi","jianpin":"cx","name":"苍溪","code":"CXE","jdId":"22_1977_1981"},{"id":"61","quanpin":"zhongningnan","jianpin":"znn","name":"中宁南","code":"ZNJ","jdId":""},{"id":"2147","quanpin":"tongrennan","jianpin":"trn","name":"铜仁南","code":"TNW","jdId":""},{"id":"206","quanpin":"houma","jianpin":"hm","name":"侯马","code":"HMV","jdId":"6_379_380"},{"id":"1789","quanpin":"honganxi","jianpin":"hax","name":"红安西","code":"VXN","jdId":""},{"id":"2403","quanpin":"liuhezhen","jianpin":"lhz","name":"六合镇","code":"LEX","jdId":""},{"id":"2384","quanpin":"longzhen","jianpin":"lz","name":"龙镇","code":"LZA","jdId":""},{"id":"787","quanpin":"qinling","jianpin":"ql","name":"秦岭","code":"QLY","jdId":""},{"id":"747","quanpin":"anqingxi","jianpin":"aqx","name":"安庆西","code":"APH","jdId":""},{"id":"2606","quanpin":"minji","jianpin":"mj","name":"闵集","code":"MJN","jdId":""},{"id":"2091","quanpin":"sanduxian","jianpin":"sdx","name":"三都县","code":"KKW","jdId":"24_2222_2234"},{"id":"195","quanpin":"yonganxiang","jianpin":"yax","name":"永安乡","code":"YNB","jdId":""},{"id":"739","quanpin":"zhuangqiao","jianpin":"zq","name":"庄桥","code":"ZQH","jdId":""},{"id":"2150","quanpin":"tongling","jianpin":"tl","name":"铜陵","code":"TJH","jdId":"14_1114_0"},{"id":"1684","quanpin":"zhenxi","jianpin":"zx","name":"镇西","code":"ZVT","jdId":""},{"id":"992","quanpin":"dehui","jianpin":"dh","name":"德惠","code":"DHT","jdId":"9_639_3172"},{"id":"1409","quanpin":"jiangdu","jianpin":"jd","name":"江都","code":"UDH","jdId":"12_951_42220"},{"id":"720","quanpin":"xinhua","jianpin":"xh","name":"新化","code":"EHQ","jdId":"18_1586_1590"},{"id":"1400","quanpin":"ruzhou","jianpin":"rz","name":"汝州","code":"ROF","jdId":"7_438_439"},{"id":"1142","quanpin":"xinqing","jianpin":"xq","name":"新青","code":"XQB","jdId":"10_753_3349"},{"id":"261","quanpin":"yuge","jianpin":"yg","name":"雨格","code":"VTM","jdId":""},{"id":"2109","quanpin":"jiuquan","jianpin":"jq","name":"酒泉","code":"JQJ","jdId":"28_2556_0"},{"id":"2190","quanpin":"xiejiazhen","jianpin":"xjz","name":"谢家镇","code":"XMT","jdId":""},{"id":"1889","quanpin":"huludao","jianpin":"hld","name":"葫芦岛","code":"HLD","jdId":"8_604_0"},{"id":"643","quanpin":"dayingdong","jianpin":"dyd","name":"大英东","code":"IAW","jdId":""},{"id":"1683","quanpin":"pinganzhen","jianpin":"paz","name":"平安镇","code":"PZT","jdId":"4_133_10104"},{"id":"842","quanpin":"quli","jianpin":"ql","name":"渠黎","code":"QLZ","jdId":""},{"id":"1009","quanpin":"pingshe","jianpin":"ps","name":"平社","code":"PSV","jdId":""},{"id":"1710","quanpin":"changcheng","jianpin":"cc","name":"长城","code":"CEJ","jdId":"28_2509_16899"},{"id":"2051","quanpin":"dengzhou","jianpin":"dz","name":"邓州","code":"DOF","jdId":"7_502_503"},{"id":"470","quanpin":"pingan","jianpin":"pa","name":"平安","code":"PAL","jdId":"4_131_10398"},{"id":"899","quanpin":"qingsheng","jianpin":"qs","name":"庆盛","code":"QSQ","jdId":""},{"id":"1643","quanpin":"shanshi","jianpin":"ss","name":"山市","code":"SQB","jdId":""},{"id":"549","quanpin":"xianyang","jianpin":"xy","name":"咸阳","code":"XYY","jdId":"27_2402_0"},{"id":"1822","quanpin":"meilan","jianpin":"ml","name":"美兰","code":"MHQ","jdId":"23_2121_22469"},{"id":"2420","quanpin":"weihulingbei","jianpin":"whlb","name":"威虎岭北","code":"WBL","jdId":""},{"id":"402","quanpin":"wuyishandong","jianpin":"wysd","name":"武夷山东","code":"WCS","jdId":""},{"id":"334","quanpin":"sansui","jianpin":"ss","name":"三穗","code":"QHW","jdId":"24_2205_2217"},{"id":"1346","quanpin":"heichongtan","jianpin":"hct","name":"黑冲滩","code":"HCJ","jdId":""},{"id":"2183","quanpin":"changyuan","jianpin":"cy","name":"长垣","code":"CYF","jdId":"7_458_464"},{"id":"1365","quanpin":"tuditangdong","jianpin":"tdtd","name":"土地堂东","code":"TTN","jdId":""},{"id":"1181","quanpin":"changtu","jianpin":"ct","name":"昌图","code":"CTT","jdId":"8_6858_6865"},{"id":"1527","quanpin":"bantian","jianpin":"bt","name":"坂田","code":"BTQ","jdId":""},{"id":"498","quanpin":"halasu","jianpin":"hls","name":"哈拉苏","code":"HAX","jdId":""},{"id":"245","quanpin":"yanzhou","jianpin":"yz","name":"兖州","code":"YZK","jdId":"13_2900_2910"},{"id":"1389","quanpin":"bashan","jianpin":"bs","name":"巴山","code":"BAY","jdId":"4_4164_10407"},{"id":"2258","quanpin":"yuquan","jianpin":"yq","name":"玉泉","code":"YQB","jdId":"11_799_3240"},{"id":"2087","quanpin":"nanyangzhai","jianpin":"nyz","name":"南阳寨","code":"NYF","jdId":""},{"id":"2174","quanpin":"zhenping","jianpin":"zp","name":"镇平","code":"ZPF","jdId":"7_502_507"},{"id":"136","quanpin":"hukou","jianpin":"hk","name":"湖口","code":"HKG","jdId":"21_1845_1853"},{"id":"1000","quanpin":"wuzhai","jianpin":"wz","name":"五寨","code":"WZV","jdId":"6_350_354"},{"id":"434","quanpin":"maolin","jianpin":"ml","name":"茂林","code":"MLD","jdId":""},{"id":"2357","quanpin":"yingtan","jianpin":"yt","name":"鹰潭","code":"YTG","jdId":"21_1857_0"},{"id":"1341","quanpin":"wuxiang","jianpin":"wx","name":"武乡","code":"WVV","jdId":"6_3074_3229"},{"id":"495","quanpin":"zhoukou","jianpin":"zk","name":"周口","code":"ZKN","jdId":"7_527_0"},{"id":"534","quanpin":"hulan","jianpin":"hl","name":"呼兰","code":"HUB","jdId":"10_698_45814"},{"id":"2031","quanpin":"baolongshan","jianpin":"bls","name":"宝龙山","code":"BND","jdId":""},{"id":"1937","quanpin":"nehe","jianpin":"nh","name":"讷河","code":"NHX","jdId":"10_712_717"},{"id":"315","quanpin":"ningjia","jianpin":"nj","name":"宁家","code":"NVT","jdId":""},{"id":"2475","quanpin":"dinghushan","jianpin":"dhs","name":"鼎湖山","code":"NVQ","jdId":""},{"id":"289","quanpin":"hekounan","jianpin":"hkn","name":"河口南","code":"HKJ","jdId":""},{"id":"1004","quanpin":"xiashe","jianpin":"xs","name":"下社","code":"XSV","jdId":""},{"id":"2287","quanpin":"qingdao","jianpin":"qd","name":"青岛","code":"QDK","jdId":"13_1007_0"},{"id":"469","quanpin":"mingcheng","jianpin":"mc","name":"明城","code":"MCL","jdId":""},{"id":"2103","quanpin":"ezhou","jianpin":"ez","name":"鄂州","code":"ECN","jdId":"17_1475_0"},{"id":"820","quanpin":"yimianpo","jianpin":"ymp","name":"一面坡","code":"YPB","jdId":""},{"id":"838","quanpin":"emeishan","jianpin":"ems","name":"峨眉山","code":"IXW","jdId":"22_1993_36984"},{"id":"1340","quanpin":"wuyi","jianpin":"wy","name":"武义","code":"RYH","jdId":"15_1262_1269"},{"id":"198","quanpin":"qianfeng","jianpin":"qf","name":"前锋","code":"QFB","jdId":""},{"id":"1627","quanpin":"malianhe","jianpin":"mlh","name":"马莲河","code":"MHB","jdId":""},{"id":"1648","quanpin":"wendi","jianpin":"wd","name":"文地","code":"WNZ","jdId":""},{"id":"1088","quanpin":"chaolianggou","jianpin":"clg","name":"超梁沟","code":"CYP","jdId":""},{"id":"1664","quanpin":"guazhou","jianpin":"gz","name":"瓜州","code":"GZJ","jdId":"28_2556_3999"},{"id":"1872","quanpin":"laixibei","jianpin":"lxb","name":"莱西北","code":"LBK","jdId":""},{"id":"576","quanpin":"jiayuguannan","jianpin":"jygn","name":"嘉峪关南","code":"JBJ","jdId":""},{"id":"694","quanpin":"zhenchengdi","jianpin":"zcd","name":"镇城底","code":"ZDV","jdId":""},{"id":"613","quanpin":"walagan","jianpin":"wlg","name":"瓦拉干","code":"WVX","jdId":""},{"id":"1754","quanpin":"cixian","jianpin":"cx","name":"磁县","code":"CIP","jdId":"5_148_180"},{"id":"1337","quanpin":"hengfeng","jianpin":"hf","name":"横峰","code":"HFG","jdId":"21_1861_1868"},{"id":"981","quanpin":"zhangwu","jianpin":"zw","name":"彰武","code":"ZWD","jdId":"8_617_619"},{"id":"2588","quanpin":"kaifengbei","jianpin":"kfb","name":"开封北","code":"KBF","jdId":""},{"id":"1391","quanpin":"yangpingguan","jianpin":"ypg","name":"阳平关","code":"YAY","jdId":""},{"id":"1232","quanpin":"shahai","jianpin":"sh","name":"沙海","code":"SED","jdId":""},{"id":"2038","quanpin":"ganqika","jianpin":"gqk","name":"甘旗卡","code":"GQD","jdId":""},{"id":"1564","quanpin":"mengdonghe","jianpin":"mdh","name":"猛洞河","code":"MUQ","jdId":""},{"id":"1679","quanpin":"haituozi","jianpin":"htz","name":"海坨子","code":"HZT","jdId":""},{"id":"2248","quanpin":"yangquan","jianpin":"yq","name":"阳泉","code":"AQP","jdId":"6_318_0"},{"id":"57","quanpin":"yingpanshui","jianpin":"yps","name":"营盘水","code":"YZJ","jdId":""},{"id":"508","quanpin":"deerbuer","jianpin":"debe","name":"得耳布尔","code":"DRX","jdId":""},{"id":"2641","quanpin":"weiyuan","jianpin":"wy","name":"渭源","code":"WEJ","jdId":"28_3080_4006"},{"id":"370","quanpin":"huarong","jianpin":"hr","name":"华容","code":"HRN","jdId":"17_1475_3602"},{"id":"2194","quanpin":"huajia","jianpin":"hj","name":"华家","code":"HJT","jdId":""},{"id":"2421","quanpin":"benxixincheng","jianpin":"bxxc","name":"本溪新城","code":"BVT","jdId":""},{"id":"2422","quanpin":"zhongchuanjichang","jianpin":"zcjc","name":"中川机场","code":"ZJJ","jdId":""},{"id":"1252","quanpin":"shiqiaozi","jianpin":"sqz","name":"石桥子","code":"SQT","jdId":""},{"id":"526","quanpin":"jinhe","jianpin":"jh","name":"金河","code":"JHX","jdId":""},{"id":"1746","quanpin":"shizhuxian","jianpin":"szx","name":"石柱县","code":"OSW","jdId":"4_137_0"},{"id":"1068","quanpin":"dazhangzi","jianpin":"dzz","name":"大杖子","code":"DAP","jdId":""},{"id":"2128","quanpin":"jinzhai","jianpin":"jz","name":"金寨","code":"JZH","jdId":"14_1206_1209"},{"id":"1103","quanpin":"fuyuan","jianpin":"fy","name":"抚远","code":"FYB","jdId":"10_765_769"},{"id":"1281","quanpin":"songzi","jianpin":"sz","name":"松滋","code":"SIN","jdId":"17_1413_1417"},{"id":"692","quanpin":"tianzhen","jianpin":"tz","name":"天镇","code":"TZV","jdId":"6_309_311"},{"id":"134","quanpin":"jiutainan","jianpin":"jtn","name":"九台南","code":"JNL","jdId":""},{"id":"415","quanpin":"nanxiong","jianpin":"nx","name":"南雄","code":"NCQ","jdId":"19_1617_1618"},{"id":"1793","quanpin":"hekoubei","jianpin":"hkb","name":"河口北","code":"HBM","jdId":""},{"id":"1792","quanpin":"pingbian","jianpin":"pb","name":"屏边","code":"PBM","jdId":"25_2318_2330"},{"id":"1090","quanpin":"chaoyangdi","jianpin":"cyd","name":"朝阳地","code":"CDD","jdId":""},{"id":"218","quanpin":"wanganzhen","jianpin":"waz","name":"王安镇","code":"WVP","jdId":""},{"id":"583","quanpin":"sipingdong","jianpin":"spd","name":"四平东","code":"PPT","jdId":""},{"id":"2080","quanpin":"zoucheng","jianpin":"zc","name":"邹城","code":"ZIK","jdId":"13_2900_25713"},{"id":"373","quanpin":"zhuozidong","jianpin":"zzd","name":"卓资东","code":"ZDC","jdId":""},{"id":"658","quanpin":"nanguanling","jianpin":"ngl","name":"南关岭","code":"NLT","jdId":""},{"id":"1966","quanpin":"xiaoheyan","jianpin":"xhy","name":"小河沿","code":"XYD","jdId":""},{"id":"1033","quanpin":"huidong","jianpin":"hd","name":"惠东","code":"KDQ","jdId":"19_1643_36177"},{"id":"986","quanpin":"dexing","jianpin":"dx","name":"德兴","code":"DWG","jdId":"21_1861_1863"},{"id":"238","quanpin":"yuanmou","jianpin":"ym","name":"元谋","code":"YMM","jdId":"25_2336_2338"},{"id":"212","quanpin":"fushankou","jianpin":"fsk","name":"福山口","code":"FKP","jdId":""},{"id":"2086","quanpin":"huanghejingqu","jianpin":"hhjq","name":"黄河景区","code":"HCF","jdId":""},{"id":"429","quanpin":"wujia","jianpin":"wj","name":"五家","code":"WUB","jdId":""},{"id":"1164","quanpin":"kunmingxi","jianpin":"kmx","name":"昆明西","code":"KXM","jdId":""},{"id":"105","quanpin":"yixian","jianpin":"yx","name":"义县","code":"YXD","jdId":"8_598_599"},{"id":"729","quanpin":"ningan","jianpin":"na","name":"宁安","code":"NAB","jdId":"10_757_760"},{"id":"2217","quanpin":"yanhecheng","jianpin":"yhc","name":"沿河城","code":"YHP","jdId":""},{"id":"1360","quanpin":"wuhan","jianpin":"wh","name":"武汉","code":"WHN","jdId":"17_1381_0"},{"id":"2509","quanpin":"longandong","jianpin":"lad","name":"隆安东","code":"IDZ","jdId":""},{"id":"466","quanpin":"huangsongdian","jianpin":"hsd","name":"黄松甸","code":"HDL","jdId":""},{"id":"2341","quanpin":"dongfanghong","jianpin":"dfh","name":"东方红","code":"DFB","jdId":""},{"id":"1266","quanpin":"guanzijing","jianpin":"gzj","name":"官字井","code":"GOT","jdId":""},{"id":"1902","quanpin":"bengbunan","jianpin":"bbn","name":"蚌埠南","code":"BMH","jdId":""},{"id":"1550","quanpin":"huashan","jianpin":"hs","name":"华山","code":"HSY","jdId":""},{"id":"3","quanpin":"woken","jianpin":"wk","name":"倭肯","code":"WQB","jdId":""},{"id":"1305","quanpin":"hualin","jianpin":"hl","name":"桦林","code":"HIB","jdId":""},{"id":"1175","quanpin":"jinmacun","jianpin":"jmc","name":"金马村","code":"JMM","jdId":""},{"id":"444","quanpin":"gutian","jianpin":"gt","name":"古田","code":"GTS","jdId":"16_1370_1378"},{"id":"1782","quanpin":"miyi","jianpin":"my","name":"米易","code":"MMW","jdId":"22_1950_1951"},{"id":"2636","quanpin":"puzhehei","jianpin":"pzh","name":"普者黑","code":"PZM","jdId":""},{"id":"542","quanpin":"xianning","jianpin":"xn","name":"咸宁","code":"XNN","jdId":"17_1458_0"},{"id":"1035","quanpin":"huizhou","jianpin":"hz","name":"惠州","code":"HCQ","jdId":"19_1643_0"},{"id":"1809","quanpin":"zhangweitun","jianpin":"zwt","name":"张维屯","code":"ZWB","jdId":""},{"id":"1994","quanpin":"tuxi","jianpin":"tx","name":"土溪","code":"TSW","jdId":"4_119_9999"},{"id":"15","quanpin":"sanshui","jianpin":"ss","name":"三水","code":"SJQ","jdId":"19_1666_36266"},{"id":"967","quanpin":"zhangye","jianpin":"zy","name":"张掖","code":"ZYJ","jdId":"28_2549_0"},{"id":"42","quanpin":"dongdaihe","jianpin":"ddh","name":"东戴河","code":"RDD","jdId":""},{"id":"1085","quanpin":"chengde","jianpin":"cd","name":"承德","code":"CDP","jdId":"5_239_0"},{"id":"1613","quanpin":"haiyang","jianpin":"hy","name":"海阳","code":"HYK","jdId":"13_1042_1050"},{"id":"1498","quanpin":"haichengxi","jianpin":"hcx","name":"海城西","code":"HXT","jdId":""},{"id":"112","quanpin":"baiyinchagan","jianpin":"bycg","name":"白音察干","code":"BYC","jdId":""},{"id":"1598","quanpin":"dengta","jianpin":"dt","name":"灯塔","code":"DGT","jdId":"8_621_43965"},{"id":"209","quanpin":"nanchengsi","jianpin":"ncs","name":"南城司","code":"NSP","jdId":""},{"id":"2271","quanpin":"longhua","jianpin":"lh","name":"隆化","code":"UHP","jdId":"5_239_2767"},{"id":"2472","quanpin":"dangtudong","jianpin":"dtd","name":"当涂东","code":"OWH","jdId":""},{"id":"2530","quanpin":"sanjiang","jianpin":"sj","name":"三江","code":"SNW","jdId":""},{"id":"2163","quanpin":"zhoujiatun","jianpin":"zjt","name":"周家屯","code":"ZOD","jdId":""},{"id":"1192","quanpin":"jiafeng","jianpin":"jf","name":"嘉峰","code":"JFF","jdId":""},{"id":"144","quanpin":"nanjiangkou","jianpin":"nj","name":"南江口","code":"NDQ","jdId":""},{"id":"1838","quanpin":"shulan","jianpin":"sl","name":"舒兰","code":"SLL","jdId":"9_644_645"},{"id":"946","quanpin":"yunlianghe","jianpin":"ylh","name":"运粮河","code":"YEF","jdId":""},{"id":"5","quanpin":"wanning","jianpin":"wn","name":"万宁","code":"WNQ","jdId":"23_3137_0"},{"id":"143","quanpin":"yunmeng","jianpin":"ym","name":"云梦","code":"YMN","jdId":"17_1432_1437"},{"id":"1883","quanpin":"liushutun","jianpin":"lst","name":"柳树屯","code":"LSD","jdId":""},{"id":"1943","quanpin":"guiding","jianpin":"gd","name":"贵定","code":"GTW","jdId":"24_2222_2225"},{"id":"499","quanpin":"boketu","jianpin":"bkt","name":"博克图","code":"BKX","jdId":""},{"id":"1805","quanpin":"qinjia","jianpin":"qj","name":"秦家","code":"QJB","jdId":""},{"id":"2407","quanpin":"sanjianfang","jianpin":"sjf","name":"三间房","code":"SFX","jdId":""},{"id":"119","quanpin":"wulateqianqi","jianpin":"wltqq","name":"乌拉特前旗","code":"WQC","jdId":"11_880_890"},{"id":"693","quanpin":"tianmen","jianpin":"tm","name":"天门","code":"TMN","jdId":"17_2980_0"},{"id":"1588","quanpin":"zhangpu","jianpin":"zp","name":"漳浦","code":"ZCS","jdId":"16_1341_1347"},{"id":"2541","quanpin":"wusheng","jianpin":"ws","name":"武胜","code":"WSE","jdId":"22_2016_2018"},{"id":"268","quanpin":"weiqing","jianpin":"wq","name":"威箐","code":"WAM","jdId":""},{"id":"146","quanpin":"yunfudong","jianpin":"yfd","name":"云浮东","code":"IXQ","jdId":""},{"id":"518","quanpin":"hongyan","jianpin":"hy","name":"红彦","code":"VIX","jdId":""},{"id":"2423","quanpin":"lanzhouxinqu","jianpin":"lzxq","name":"兰州新区","code":"LQJ","jdId":""},{"id":"1908","quanpin":"hengshui","jianpin":"hs","name":"衡水","code":"HSP","jdId":"5_275_0"},{"id":"416","quanpin":"nanjing","jianpin":"nj","name":"南靖","code":"NJS","jdId":"16_1341_1345"},{"id":"585","quanpin":"fanjiatun","jianpin":"fjt","name":"范家屯","code":"FTT","jdId":""},{"id":"1624","quanpin":"qingshan","jianpin":"qs","name":"青山","code":"QSB","jdId":"11_805_38253"},{"id":"2604","quanpin":"kundulunzhao","jianpin":"kdlz","name":"昆独仑召","code":"KDC","jdId":""},{"id":"2424","quanpin":"wulongbeidong","jianpin":"wlbd","name":"五龙背东","code":"WMT","jdId":""},{"id":"2480","quanpin":"fenghuangjichang","jianpin":"fhjc","name":"凤凰机场","code":"FJQ","jdId":""},{"id":"2383","quanpin":"xigangzi","jianpin":"xgz","name":"西岗子","code":"NBB","jdId":""},{"id":"338","quanpin":"lichuan","jianpin":"lc","name":"利川","code":"LCN","jdId":"17_1466_1468"},{"id":"2167","quanpin":"shishan","jianpin":"ss","name":"石山","code":"SAD","jdId":""},{"id":"438","quanpin":"taipingzhen","jianpin":"tpz","name":"太平镇","code":"TEB","jdId":"4_139_10290"},{"id":"1170","quanpin":"xiaoxinjie","jianpin":"xxj","name":"小新街","code":"XXM","jdId":""},{"id":"286","quanpin":"sangyuanzi","jianpin":"syz","name":"桑园子","code":"SAJ","jdId":""},{"id":"789","quanpin":"xuancheng","jianpin":"xc","name":"宣城","code":"ECH","jdId":"14_2971_0"},{"id":"1823","quanpin":"meixi","jianpin":"mx","name":"美溪","code":"MEB","jdId":"10_753_3350"},{"id":"1469","quanpin":"yanjiazhuang","jianpin":"yjz","name":"燕家庄","code":"AZK","jdId":""},{"id":"662","quanpin":"puwan","jianpin":"pw","name":"普湾","code":"PWT","jdId":""},{"id":"1304","quanpin":"huanan","jianpin":"hn","name":"桦南","code":"HNB","jdId":"10_765_770"},{"id":"923","quanpin":"yanan","jianpin":"ya","name":"延安","code":"YWY","jdId":"27_2428_0"},{"id":"1251","quanpin":"beitai","jianpin":"bt","name":"北台","code":"BTT","jdId":""},{"id":"514","quanpin":"genhe","jianpin":"gh","name":"根河","code":"GEX","jdId":"11_848_853"},{"id":"353","quanpin":"sanhezhuang","jianpin":"shz","name":"三合庄","code":"SVP","jdId":""},{"id":"697","quanpin":"taiyuandong","jianpin":"tyd","name":"太原东","code":"TDV","jdId":""},{"id":"1007","quanpin":"shenchi","jianpin":"sc","name":"神池","code":"SMV","jdId":"6_350_353"},{"id":"142","quanpin":"yudu","jianpin":"yd","name":"于都","code":"YDG","jdId":"21_1911_1922"},{"id":"1898","quanpin":"hulin","jianpin":"hl","name":"虎林","code":"VLB","jdId":"10_737_740"},{"id":"35","quanpin":"wufushan","jianpin":"wfs","name":"五府山","code":"WFG","jdId":""},{"id":"256","quanpin":"shatuo","jianpin":"st","name":"沙沱","code":"SFM","jdId":""},{"id":"1827","quanpin":"liaocheng","jianpin":"lc","name":"聊城","code":"UCK","jdId":"13_1081_0"},{"id":"2336","quanpin":"heitai","jianpin":"ht","name":"黑台","code":"HQB","jdId":""},{"id":"2072","quanpin":"shahe","jianpin":"sh","name":"沙河","code":"SHP","jdId":"4_139_10304"},{"id":"764","quanpin":"dingzhoudong","jianpin":"dzd","name":"定州东","code":"DOP","jdId":""},{"id":"382","quanpin":"guidingxian","jianpin":"gdx","name":"贵定县","code":"KIW","jdId":""},{"id":"1355","quanpin":"wuweinan","jianpin":"wwn","name":"武威南","code":"WWJ","jdId":""},{"id":"790","quanpin":"jingde","jianpin":"jd","name":"旌德","code":"NSH","jdId":"14_2971_3128"},{"id":"949","quanpin":"yiyang","jianpin":"yy","name":"弋阳","code":"YIG","jdId":"21_1861_1869"},{"id":"2483","quanpin":"futian","jianpin":"ft","name":"福田","code":"NZQ","jdId":"4_136_10189"},{"id":"798","quanpin":"sixian","jianpin":"sx","name":"泗县","code":"GPH","jdId":"14_1180_1182"},{"id":"621","quanpin":"pingxingguan","jianpin":"pxg","name":"平型关","code":"PGV","jdId":""},{"id":"1509","quanpin":"fulingbei","jianpin":"flb","name":"涪陵北","code":"FEW","jdId":""},{"id":"1203","quanpin":"qufudong","jianpin":"qfd","name":"曲阜东","code":"QAK","jdId":""},{"id":"2470","quanpin":"dazunan","jianpin":"dzn","name":"大足南","code":"FQW","jdId":""},{"id":"2209","quanpin":"lucheng","jianpin":"lc","name":"潞城","code":"UTP","jdId":"6_3074_3109"},{"id":"652","quanpin":"guangningsi","jianpin":"gns","name":"广宁寺","code":"GQT","jdId":""},{"id":"2457","quanpin":"baiyangdian","jianpin":"byd","name":"白洋淀","code":"FWP","jdId":""},{"id":"1726","quanpin":"pengshanbei","jianpin":"psb","name":"彭山北","code":"PPW","jdId":""},{"id":"2459","quanpin":"baiyi","jianpin":"by","name":"百宜","code":"FHW","jdId":""},{"id":"1552","quanpin":"huashanbei","jianpin":"hsb","name":"华山北","code":"HDY","jdId":""},{"id":"2042","quanpin":"baiyintala","jianpin":"bytl","name":"白音他拉","code":"BID","jdId":""},{"id":"271","quanpin":"sanjiazhai","jianpin":"sjz","name":"三家寨","code":"SMM","jdId":""},{"id":"1289","quanpin":"liuzhou","jianpin":"lz","name":"柳州","code":"LZZ","jdId":"20_1720_0"},{"id":"2050","quanpin":"zunyi","jianpin":"zy","name":"遵义","code":"ZIW","jdId":"24_2155_0"},{"id":"511","quanpin":"dayan","jianpin":"dy","name":"大雁","code":"DYX","jdId":""},{"id":"2044","quanpin":"donglai","jianpin":"dl","name":"东来","code":"RVD","jdId":""},{"id":"230","quanpin":"xinyangdong","jianpin":"xyd","name":"信阳东","code":"OYN","jdId":""},{"id":"140","quanpin":"qianan","jianpin":"qa","name":"乾安","code":"QOT","jdId":"9_674_675"},{"id":"1115","quanpin":"lazha","jianpin":"lz","name":"拉鲊","code":"LEM","jdId":""},{"id":"2596","quanpin":"faqi","jianpin":"fq","name":"法启","code":"FQE","jdId":""},{"id":"2158","quanpin":"zhurihe","jianpin":"zrh","name":"朱日和","code":"ZRC","jdId":""},{"id":"1051","quanpin":"xipu","jianpin":"xp","name":"犀浦","code":"XIW","jdId":""},{"id":"257","quanpin":"shangxipu","jianpin":"sxp","name":"上西铺","code":"SXM","jdId":""},{"id":"2329","quanpin":"gaoyi","jianpin":"gy","name":"高邑","code":"GIP","jdId":"5_142_158"},{"id":"600","quanpin":"chenggu","jianpin":"cg","name":"城固","code":"CGY","jdId":"27_2442_2444"},{"id":"1102","quanpin":"fuzhou","jianpin":"fz","name":"抚州","code":"FZG","jdId":"21_1885_0"},{"id":"304","quanpin":"wuchagou","jianpin":"wcg","name":"五叉沟","code":"WCT","jdId":""},{"id":"19","quanpin":"sanmenxiaxi","jianpin":"smxx","name":"三门峡西","code":"SXF","jdId":""},{"id":"1422","quanpin":"zaolin","jianpin":"zl","name":"枣林","code":"ZIV","jdId":""},{"id":"1785","quanpin":"jinghenan","jianpin":"jhn","name":"精河南","code":"JIR","jdId":""},{"id":"1923","quanpin":"xiangyangdong","jianpin":"xyd","name":"襄阳东","code":"XWN","jdId":""},{"id":"966","quanpin":"linzenan","jianpin":"lzn","name":"临泽南","code":"LDJ","jdId":""},{"id":"1575","quanpin":"manzhouli","jianpin":"mzl","name":"满洲里","code":"MLX","jdId":"11_848_850"},{"id":"551","quanpin":"yongledian","jianpin":"yld","name":"永乐店","code":"YDY","jdId":""},{"id":"1330","quanpin":"ananzhuang","jianpin":"anz","name":"阿南庄","code":"AZM","jdId":""},{"id":"2417","quanpin":"longjiang","jianpin":"lj","name":"龙江","code":"LJX","jdId":"10_712_723"},{"id":"1735","quanpin":"zhengdingjichang","jianpin":"zdjc","name":"正定机场","code":"ZHP","jdId":""},{"id":"2323","quanpin":"gaotai","jianpin":"gt","name":"高台","code":"GTJ","jdId":"28_2549_2553"},{"id":"1439","quanpin":"gujiazi","jianpin":"gjz","name":"孤家子","code":"GKT","jdId":""},{"id":"2062","quanpin":"handan","jianpin":"hd","name":"邯郸","code":"HDP","jdId":"5_148_0"},{"id":"1314","quanpin":"xiaocun","jianpin":"xc","name":"小村","code":"XEM","jdId":""},{"id":"2204","quanpin":"liujiadian","jianpin":"ljd","name":"刘家店","code":"UDT","jdId":""},{"id":"2353","quanpin":"heqing","jianpin":"hq","name":"鹤庆","code":"HQM","jdId":"25_2347_2353"},{"id":"1096","quanpin":"jijiagou","jianpin":"jjg","name":"纪家沟","code":"VJD","jdId":""},{"id":"861","quanpin":"bachu","jianpin":"bc","name":"巴楚","code":"BCR","jdId":"31_2686_2688"},{"id":"2058","quanpin":"handandong","jianpin":"hdd","name":"邯郸东","code":"HPP","jdId":""},{"id":"513","quanpin":"yitulihe","jianpin":"ytlh","name":"伊图里河","code":"YEX","jdId":""},{"id":"816","quanpin":"jiangle","jianpin":"jl","name":"将乐","code":"JLS","jdId":"16_1317_1321"},{"id":"872","quanpin":"jingchuan","jianpin":"jc","name":"泾川","code":"JAJ","jdId":"28_2518_2521"},{"id":"700","quanpin":"gaocun","jianpin":"gc","name":"高村","code":"GCV","jdId":""},{"id":"1849","quanpin":"suzhouyuanqu","jianpin":"szyq","name":"苏州园区","code":"KAH","jdId":""},{"id":"1620","quanpin":"yueshan","jianpin":"ys","name":"月山","code":"YBF","jdId":""},{"id":"1446","quanpin":"huanggutun","jianpin":"hgt","name":"皇姑屯","code":"HTT","jdId":""},{"id":"2543","quanpin":"xigu","jianpin":"xg","name":"西固","code":"XIJ","jdId":"28_2487_3995"},{"id":"2364","quanpin":"huanggangdong","jianpin":"hgd","name":"黄冈东","code":"KAN","jdId":""},{"id":"2367","quanpin":"huangshanbei","jianpin":"hsb","name":"黄山北","code":"NYH","jdId":""},{"id":"222","quanpin":"xiaoxizhuang","jianpin":"xxz","name":"小西庄","code":"XXP","jdId":""},{"id":"1290","quanpin":"sanjiangnan","jianpin":"sjn","name":"三江南","code":"SWZ","jdId":""},{"id":"2647","quanpin":"jizhou","jianpin":"jz","name":"蓟州","code":"JKP","jdId":""},{"id":"193","quanpin":"hanconggou","jianpin":"hcg","name":"寒葱沟","code":"HKB","jdId":""},{"id":"1084","quanpin":"beimaquanzi","jianpin":"bmqz","name":"北马圈子","code":"BRP","jdId":""},{"id":"984","quanpin":"xuwen","jianpin":"xw","name":"徐闻","code":"XJQ","jdId":"19_1677_1682"},{"id":"1493","quanpin":"hailun","jianpin":"hl","name":"海伦","code":"HLB","jdId":"10_782_786"},{"id":"1356","quanpin":"wushan","jianpin":"ws","name":"武山","code":"WSJ","jdId":"28_2501_2505"},{"id":"683","quanpin":"tianjinbei","jianpin":"tjb","name":"天津北","code":"TBP","jdId":""},{"id":"2316","quanpin":"wangzhaotun","jianpin":"wzt","name":"王兆屯","code":"WZB","jdId":""},{"id":"1160","quanpin":"yongfengying","jianpin":"yfy","name":"永丰营","code":"YYM","jdId":""},{"id":"649","quanpin":"changlingzi","jianpin":"clz","name":"长岭子","code":"CLT","jdId":""},{"id":"327","quanpin":"manshuiwan","jianpin":"msw","name":"漫水湾","code":"MKW","jdId":""},{"id":"2280","quanpin":"huoqiu","jianpin":"hq","name":"霍邱","code":"FBH","jdId":"14_1206_1210"},{"id":"343","quanpin":"salaqi","jianpin":"slq","name":"萨拉齐","code":"SLC","jdId":""},{"id":"998","quanpin":"huixian","jianpin":"hx","name":"徽县","code":"HYY","jdId":"28_2534_2541"},{"id":"1747","quanpin":"shihezi","jianpin":"shz","name":"石河子","code":"SZR","jdId":"31_2656_0"},{"id":"2562","quanpin":"zhongkai","jianpin":"zk","name":"仲恺","code":"KKQ","jdId":""},{"id":"233","quanpin":"xinyang","jianpin":"xy","name":"信阳","code":"XUN","jdId":"7_549_0"},{"id":"1896","quanpin":"gaocheng","jianpin":"gc","name":"藁城","code":"GEP","jdId":"5_142_42540"},{"id":"978","quanpin":"pengshui","jianpin":"ps","name":"彭水","code":"PHW","jdId":"4_138_0"},{"id":"1027","quanpin":"weishanzhuang","jianpin":"wsz","name":"魏善庄","code":"WSP","jdId":""},{"id":"1060","quanpin":"fuyubei","jianpin":"fyb","name":"扶余北","code":"FBT","jdId":""},{"id":"445","quanpin":"jurongxi","jianpin":"jrx","name":"句容西","code":"JWH","jdId":""},{"id":"2165","quanpin":"xiaodong","jianpin":"xdo","name":"小东","code":"XOD","jdId":""},{"id":"1521","quanpin":"huainan","jianpin":"hn","name":"淮南","code":"HAH","jdId":"14_1121_0"},{"id":"555","quanpin":"haerbinxi","jianpin":"hebx","name":"哈尔滨西","code":"VAB","jdId":""},{"id":"1947","quanpin":"guixi","jianpin":"gx","name":"贵溪","code":"GXG","jdId":"21_1857_1859"},{"id":"265","quanpin":"songhe","jianpin":"sh","name":"松河","code":"SBM","jdId":""},{"id":"2522","quanpin":"pikounan","jianpin":"pk","name":"皮口南","code":"PKT","jdId":""},{"id":"1324","quanpin":"hongjiang","jianpin":"hj","name":"红江","code":"HFM","jdId":""},{"id":"2331","quanpin":"lushan","jianpin":"ls","name":"鲁山","code":"LAF","jdId":"7_438_443"},{"id":"2300","quanpin":"hancheng","jianpin":"hc","name":"韩城","code":"HCY","jdId":"27_2416_2417"},{"id":"824","quanpin":"nileke","jianpin":"nlk","name":"尼勒克","code":"NIR","jdId":"31_2727_2730"},{"id":"1528","quanpin":"guangmingcheng","jianpin":"gmc","name":"光明城","code":"IMQ","jdId":""},{"id":"575","quanpin":"jiashannan","jianpin":"jsn","name":"嘉善南","code":"EAH","jdId":""},{"id":"572","quanpin":"jiaxing","jianpin":"jx","name":"嘉兴","code":"JXH","jdId":"15_1243_0"},{"id":"1696","quanpin":"xianrenqiao","jianpin":"xrq","name":"仙人桥","code":"XRL","jdId":""},{"id":"1699","quanpin":"baishanshi","jianpin":"bss","name":"白山市","code":"HJL","jdId":"9_664_0"},{"id":"413","quanpin":"nanyang","jianpin":"ny","name":"南阳","code":"NFF","jdId":"7_502_0"},{"id":"2616","quanpin":"minxian","jianpin":"mx","name":"岷县","code":"MXJ","jdId":"28_3080_3081"},{"id":"380","quanpin":"pengan","jianpin":"pa","name":"蓬安","code":"PAW","jdId":"22_2022_2029"},{"id":"1676","quanpin":"baiyunebo","jianpin":"byeb","name":"白云鄂博","code":"BEC","jdId":""},{"id":"622","quanpin":"yuncailing","jianpin":"ycl","name":"云彩岭","code":"ACP","jdId":""},{"id":"1398","quanpin":"houmen","jianpin":"hm","name":"鲘门","code":"KMQ","jdId":""},{"id":"2455","quanpin":"baimajing","jianpin":"bmj","name":"白马井","code":"BFQ","jdId":"23_3034_3746"},{"id":"2099","quanpin":"dalatexi","jianpin":"dltx","name":"达拉特西","code":"DNC","jdId":""},{"id":"1247","quanpin":"jinkeng","jianpin":"jk","name":"金坑","code":"JKT","jdId":""},{"id":"355","quanpin":"badaling","jianpin":"bdl","name":"八达岭","code":"ILP","jdId":""},{"id":"864","quanpin":"shizong","jianpin":"sz","name":"师宗","code":"SEM","jdId":"25_2247_2254"},{"id":"557","quanpin":"haerbindong","jianpin":"hebd","name":"哈尔滨东","code":"VBB","jdId":""},{"id":"2425","quanpin":"tumenbei","jianpin":"tmb","name":"图们北","code":"QSL","jdId":""},{"id":"488","quanpin":"taiyangshan","jianpin":"tys","name":"太阳山","code":"TYJ","jdId":""},{"id":"139","quanpin":"rushan","jianpin":"rs","name":"乳山","code":"ROK","jdId":"13_1053_1054"},{"id":"666","quanpin":"hejiadian","jianpin":"hjd","name":"贺家店","code":"HJJ","jdId":""},{"id":"440","quanpin":"fulitun","jianpin":"flt","name":"福利屯","code":"FTB","jdId":""},{"id":"1535","quanpin":"qingxu","jianpin":"qx","name":"清徐","code":"QUV","jdId":"6_303_307"},{"id":"688","quanpin":"tianjinnan","jianpin":"tjn","name":"天津南","code":"TIP","jdId":""},{"id":"458","quanpin":"hefei","jianpin":"hf","name":"合肥","code":"HFH","jdId":"14_1116_0"},{"id":"2404","quanpin":"tuanjie","jianpin":"tj","name":"团结","code":"TIX","jdId":""},{"id":"1279","quanpin":"songjiang","jianpin":"sj","name":"松江","code":"SAH","jdId":"2_2834_0"},{"id":"773","quanpin":"yibin","jianpin":"yb","name":"宜宾","code":"YBW","jdId":"22_2005_0"},{"id":"2097","quanpin":"liduigongyuan","jianpin":"ldgy","name":"离堆公园","code":"INW","jdId":""},{"id":"24","quanpin":"shanghaixi","jianpin":"shx","name":"上海西","code":"SXH","jdId":""},{"id":"1108","quanpin":"nankouqian","jianpin":"nkq","name":"南口前","code":"NKT","jdId":""},{"id":"1069","quanpin":"zhangbaiwan","jianpin":"zbw","name":"张百湾","code":"ZUP","jdId":""},{"id":"2460","quanpin":"beijingzi","jianpin":"bjz","name":"北井子","code":"BRT","jdId":""},{"id":"886","quanpin":"pingdingshanxi","jianpin":"pdsx","name":"平顶山西","code":"BFF","jdId":""},{"id":"2330","quanpin":"gaoyixi","jianpin":"gyx","name":"高邑西","code":"GNP","jdId":""},{"id":"1474","quanpin":"luoyangdong","jianpin":"lyd","name":"洛阳东","code":"LDF","jdId":""},{"id":"2635","quanpin":"mile","jianpin":"ml","name":"弥勒","code":"MLM","jdId":"25_2318_2321"},{"id":"933","quanpin":"chunyang","jianpin":"cy","name":"春阳","code":"CAL","jdId":""},{"id":"475","quanpin":"shanshanbei","jianpin":"ssb","name":"鄯善北","code":"SMR","jdId":""},{"id":"397","quanpin":"nanningdong","jianpin":"nnd","name":"南宁东","code":"NFZ","jdId":""},{"id":"145","quanpin":"xinxingxian","jianpin":"xxx","name":"新兴县","code":"XGQ","jdId":"19_1698_1701"},{"id":"1842","quanpin":"nanling","jianpin":"nl","name":"南陵","code":"LLH","jdId":"14_1127_1130"},{"id":"2426","quanpin":"shaodong","jianpin":"sd","name":"大禾塘","code":"SOQ","jdId":""},{"id":"69","quanpin":"fengchengnan","jianpin":"fcn","name":"丰城南","code":"FNG","jdId":""},{"id":"169","quanpin":"jiexiudong","jianpin":"jxd","name":"介休东","code":"JDV","jdId":""},{"id":"2520","quanpin":"ningdong","jianpin":"nd","name":"宁东","code":"NOJ","jdId":""},{"id":"2245","quanpin":"niangziguan","jianpin":"nzg","name":"娘子关","code":"NIP","jdId":""},{"id":"2452","quanpin":"bazhongdong","jianpin":"bzd","name":"巴中东","code":"BDE","jdId":""},{"id":"1654","quanpin":"qianshan","jianpin":"qs","name":"前山","code":"QXQ","jdId":""},{"id":"2102","quanpin":"eerduosi","jianpin":"eeds","name":"鄂尔多斯","code":"EEC","jdId":"11_870_0"},{"id":"1897","quanpin":"tengxian","jianpin":"tx","name":"藤县","code":"TAZ","jdId":"20_1740_1743"},{"id":"1825","quanpin":"leiyangxi","jianpin":"lyx","name":"耒阳西","code":"LPQ","jdId":""},{"id":"1932","quanpin":"xian","jianpin":"xa","name":"西安","code":"XAY","jdId":"27_2376_0"},{"id":"841","quanpin":"xiashi","jianpin":"xs","name":"夏石","code":"XIZ","jdId":""},{"id":"1536","quanpin":"qinghemen","jianpin":"qhm","name":"清河门","code":"QHD","jdId":"8_617_3286"},{"id":"897","quanpin":"guangzhouxi","jianpin":"gzx","name":"广州西","code":"GXQ","jdId":""},{"id":"2397","quanpin":"laolai","jianpin":"ll","name":"老莱","code":"LAX","jdId":""},{"id":"1915","quanpin":"hengyangdong","jianpin":"hyd","name":"衡阳东","code":"HVQ","jdId":""},{"id":"280","quanpin":"longquansi","jianpin":"lqs","name":"龙泉寺","code":"UQJ","jdId":""},{"id":"1930","quanpin":"xining","jianpin":"xn","name":"西宁","code":"XNO","jdId":"29_2580_0"},{"id":"955","quanpin":"wangjiawan","jianpin":"wjw","name":"王家湾","code":"WJJ","jdId":""},{"id":"1353","quanpin":"tumenzi","jianpin":"tmz","name":"土门子","code":"TCJ","jdId":""},{"id":"1104","quanpin":"nanzamu","jianpin":"nzm","name":"南杂木","code":"NZT","jdId":""},{"id":"2118","quanpin":"chongqing","jianpin":"cq","name":"重庆","code":"CQW","jdId":"4_0_0"},{"id":"1834","quanpin":"feidong","jianpin":"fd","name":"肥东","code":"FIH","jdId":"14_1116_1119"},{"id":"228","quanpin":"xinyi","jianpin":"xy","name":"信宜","code":"EEQ","jdId":"19_1684_1687"},{"id":"1990","quanpin":"liaoyang","jianpin":"ly","name":"辽阳","code":"LYT","jdId":"8_621_0"},{"id":"2262","quanpin":"hulusitai","jianpin":"hlst","name":"呼鲁斯太","code":"VTJ","jdId":""},{"id":"1288","quanpin":"luzhaibei","jianpin":"lzb","name":"鹿寨北","code":"LSZ","jdId":""},{"id":"2114","quanpin":"diwopu","jianpin":"dwp","name":"低窝铺","code":"DWJ","jdId":""},{"id":"705","quanpin":"naiman","jianpin":"nm","name":"奈曼","code":"NMD","jdId":""},{"id":"631","quanpin":"lizhi","jianpin":"lz","name":"立志","code":"LZX","jdId":""},{"id":"241","quanpin":"keshan","jianpin":"ks","name":"克山","code":"KSB","jdId":"10_712_722"},{"id":"1776","quanpin":"fushunbei","jianpin":"fsb","name":"抚顺北","code":"FET","jdId":""},{"id":"770","quanpin":"dingtao","jianpin":"dt","name":"定陶","code":"DQK","jdId":"13_1099_1103"},{"id":"33","quanpin":"wuyuan","jianpin":"wy","name":"婺源","code":"WYG","jdId":"21_1861_1866"},{"id":"1328","quanpin":"zerunli","jianpin":"zrl","name":"泽润里","code":"ZLM","jdId":""},{"id":"205","quanpin":"yian","jianpin":"ya","name":"依安","code":"YAX","jdId":"10_712_721"},{"id":"2282","quanpin":"bazhou","jianpin":"bz","name":"霸州","code":"RMP","jdId":"5_274_49708"},{"id":"760","quanpin":"anshun","jianpin":"as","name":"安顺","code":"ASW","jdId":"24_2189_0"},{"id":"2250","quanpin":"yanggao","jianpin":"yg","name":"阳高","code":"YOV","jdId":"6_309_313"},{"id":"857","quanpin":"bayangaole","jianpin":"bygl","name":"巴彦高勒","code":"BAC","jdId":""},{"id":"2427","quanpin":"lingcheng","jianpin":"lc","name":"陵城","code":"LGK","jdId":""},{"id":"1583","quanpin":"zhangzhou","jianpin":"zz","name":"漳州","code":"ZUS","jdId":"16_1341_0"},{"id":"2428","quanpin":"fengchengdong","jianpin":"fcd","name":"凤城东","code":"FDT","jdId":""},{"id":"2634","quanpin":"jiulangshan","jianpin":"jls","name":"九郎山","code":"KJQ","jdId":""},{"id":"1302","quanpin":"tongbai","jianpin":"tb","name":"桐柏","code":"TBF","jdId":"7_502_504"},{"id":"592","quanpin":"shenjiahe","jianpin":"sjh","name":"沈家河","code":"OJJ","jdId":""},{"id":"804","quanpin":"siyang","jianpin":"sy","name":"泗阳","code":"MPH","jdId":"12_933_8559"},{"id":"2078","quanpin":"shaoyangbei","jianpin":"syb","name":"邵阳北","code":"OVQ","jdId":""},{"id":"810","quanpin":"fuyuan","jianpin":"fy","name":"富源","code":"FYM","jdId":"25_2247_2251"},{"id":"1207","quanpin":"datianbian","jianpin":"dtb","name":"大田边","code":"DBM","jdId":""},{"id":"1856","quanpin":"maoming","jianpin":"mm","name":"茂名","code":"MDQ","jdId":"19_1684_0"},{"id":"1543","quanpin":"wenling","jianpin":"wl","name":"温岭","code":"VHH","jdId":"15_1290_22049"},{"id":"1558","quanpin":"changxingnan","jianpin":"cxn","name":"长兴南","code":"CFH","jdId":""},{"id":"376","quanpin":"zhonghuamen","jianpin":"zhm","name":"中华门","code":"VNH","jdId":""},{"id":"237","quanpin":"yuanshi","jianpin":"ys","name":"元氏","code":"YSP","jdId":"5_142_163"},{"id":"236","quanpin":"yuanbaoshan","jianpin":"ybs","name":"元宝山","code":"YUD","jdId":"11_812_3199"},{"id":"1637","quanpin":"mudanjiang","jianpin":"mdj","name":"牡丹江","code":"MDB","jdId":"10_757_0"},{"id":"1709","quanpin":"wujiachuan","jianpin":"wjc","name":"吴家川","code":"WCJ","jdId":""},{"id":"2462","quanpin":"bobai","jianpin":"bb","name":"博白","code":"BBZ","jdId":"20_1761_1764"},{"id":"647","quanpin":"gezhenpu","jianpin":"gzb","name":"革镇堡","code":"GZT","jdId":""},{"id":"1743","quanpin":"zhengding","jianpin":"zd","name":"正定","code":"ZDP","jdId":"5_142_42542"},{"id":"2585","quanpin":"panzhou","jianpin":"pz","name":"盘州","code":"PAE","jdId":""},{"id":"159","quanpin":"wulian","jianpin":"wl","name":"五莲","code":"WLK","jdId":"13_1108_2934"},{"id":"96","quanpin":"changdian","jianpin":"cd","name":"长甸","code":"CDT","jdId":""},{"id":"1712","quanpin":"baiyinshi","jianpin":"bys","name":"白银市","code":"BNJ","jdId":""},{"id":"1327","quanpin":"yangjiuhe","jianpin":"yjh","name":"羊臼河","code":"YHM","jdId":""},{"id":"594","quanpin":"guyuan","jianpin":"gy","name":"固原","code":"GUJ","jdId":"30_2644_0"},{"id":"1963","quanpin":"chibi","jianpin":"cb","name":"赤壁","code":"CBN","jdId":"17_1458_43388"},{"id":"2207","quanpin":"ningxiang","jianpin":"nx","name":"宁乡","code":"NXQ","jdId":"18_1482_48943"},{"id":"262","quanpin":"panguan","jianpin":"pg","name":"盘关","code":"PAM","jdId":""},{"id":"2060","quanpin":"wuan","jianpin":"wa","name":"武安","code":"WAP","jdId":"5_148_34052"},{"id":"1228","quanpin":"gongyingzi","jianpin":"gyz","name":"公营子","code":"GYD","jdId":""},{"id":"2215","quanpin":"changge","jianpin":"cg","name":"长葛","code":"CEF","jdId":"7_482_484"},{"id":"244","quanpin":"kelamayi","jianpin":"klmy","name":"克拉玛依","code":"KHR","jdId":"31_2654_0"},{"id":"1519","quanpin":"huaibei","jianpin":"hb","name":"淮北","code":"HRH","jdId":"14_1124_0"},{"id":"983","quanpin":"xuzhoudong","jianpin":"xzd","name":"徐州东","code":"UUH","jdId":""},{"id":"300","quanpin":"xingcheng","jianpin":"xc","name":"兴城","code":"XCD","jdId":"8_604_20525"},{"id":"653","quanpin":"xingshutun","jianpin":"xst","name":"杏树屯","code":"XDT","jdId":""},{"id":"1118","quanpin":"huapengzi","jianpin":"hpz","name":"花棚子","code":"HZM","jdId":""},{"id":"1017","quanpin":"xinhuangxi","jianpin":"xhx","name":"新晃西","code":"EWQ","jdId":""},{"id":"1262","quanpin":"hangzhou","jianpin":"hz","name":"杭州","code":"HZH","jdId":"15_1213_0"},{"id":"163","quanpin":"jiaocheng","jianpin":"jc","name":"交城","code":"JNV","jdId":"6_368_3236"},{"id":"1958","quanpin":"zixi","jianpin":"zx","name":"资溪","code":"ZXS","jdId":"21_1885_1892"},{"id":"1215","quanpin":"chezhuanwan","jianpin":"czw","name":"车转湾","code":"CWM","jdId":""},{"id":"1018","quanpin":"xupunan","jianpin":"xpn","name":"溆浦南","code":"EMQ","jdId":""},{"id":"2155","quanpin":"xilinhaote","jianpin":"xlht","name":"锡林浩特","code":"XTC","jdId":"11_835_836"},{"id":"1780","quanpin":"zhangqiu","jianpin":"zq","name":"章丘","code":"ZTK","jdId":"13_1000_40493"},{"id":"1788","quanpin":"fanshi","jianpin":"fs","name":"繁峙","code":"FSV","jdId":"6_350_362"},{"id":"522","quanpin":"dayangshu","jianpin":"dys","name":"大杨树","code":"DUX","jdId":""},{"id":"976","quanpin":"pengshan","jianpin":"ps","name":"彭山","code":"PSW","jdId":"22_2058_2061"},{"id":"1956","quanpin":"hezhou","jianpin":"hz","name":"贺州","code":"HXZ","jdId":"20_1792_0"},{"id":"2130","quanpin":"jinzhou","jianpin":"jz","name":"金州","code":"JZT","jdId":"8_573_46824"},{"id":"614","quanpin":"gulian","jianpin":"gl","name":"古莲","code":"GRX","jdId":""},{"id":"407","quanpin":"jinxiannan","jianpin":"jxn","name":"进贤南","code":"JXG","jdId":""},{"id":"797","quanpin":"huangkou","jianpin":"hk","name":"黄口","code":"KOH","jdId":""},{"id":"1153","quanpin":"angangxi","jianpin":"aax","name":"昂昂溪","code":"AAX","jdId":"10_712_714"},{"id":"1567","quanpin":"hechun","jianpin":"hc","name":"河唇","code":"HCZ","jdId":""},{"id":"2093","quanpin":"chenzhouxi","jianpin":"czx","name":"郴州西","code":"ICQ","jdId":""},{"id":"1587","quanpin":"zhangping","jianpin":"zp","name":"漳平","code":"ZPS","jdId":"16_1362_1364"},{"id":"2162","quanpin":"raoyanghe","jianpin":"ryh","name":"绕阳河","code":"RHD","jdId":""},{"id":"489","quanpin":"gantang","jianpin":"gt","name":"干塘","code":"GNJ","jdId":""},{"id":"2525","quanpin":"qiziwan","jianpin":"qzw","name":"棋子湾","code":"QZQ","jdId":""},{"id":"860","quanpin":"balin","jianpin":"bl","name":"巴林","code":"BLX","jdId":""},{"id":"1988","quanpin":"weijin","jianpin":"wj","name":"渭津","code":"WJL","jdId":""},{"id":"299","quanpin":"xingguo","jianpin":"xg","name":"兴国","code":"EUG","jdId":"21_1911_1919"},{"id":"2610","quanpin":"tianhejichang","jianpin":"thjc","name":"天河机场","code":"TJN","jdId":""},{"id":"1396","quanpin":"hanyin","jianpin":"hy","name":"汉阴","code":"HQY","jdId":"27_2476_2484"},{"id":"1517","quanpin":"huantai","jianpin":"ht","name":"桓台","code":"VTK","jdId":"13_1016_1021"},{"id":"224","quanpin":"baoding","jianpin":"bd","name":"保定","code":"BDP","jdId":"5_199_0"},{"id":"2547","quanpin":"xinzhengjichang","jianpin":"xzjc","name":"新郑机场","code":"EZF","jdId":""},{"id":"1091","quanpin":"chengdedong","jianpin":"cdd","name":"承德东","code":"CCP","jdId":""},{"id":"400","quanpin":"wanggang","jianpin":"wg","name":"王岗","code":"WGB","jdId":""},{"id":"2011","quanpin":"shanchengzhen","jianpin":"scz","name":"山城镇","code":"SCL","jdId":""},{"id":"962","quanpin":"shacheng","jianpin":"sc","name":"沙城","code":"SCP","jdId":""},{"id":"1424","quanpin":"xuangang","jianpin":"xg","name":"轩岗","code":"XGV","jdId":""},{"id":"571","quanpin":"xide","jianpin":"xd","name":"喜德","code":"EDW","jdId":"22_2103_2118"},{"id":"2269","quanpin":"longxi","jianpin":"lx","name":"陇西","code":"LXJ","jdId":"28_3080_4007"},{"id":"554","quanpin":"hami","jianpin":"hm","name":"哈密","code":"HMR","jdId":"31_2662_0"},{"id":"1764","quanpin":"lufengnan","jianpin":"lfn","name":"禄丰南","code":"LQM","jdId":""},{"id":"1386","quanpin":"yongdeng","jianpin":"yd","name":"永登","code":"YDJ","jdId":"28_2487_2488"},{"id":"2261","quanpin":"aershan","jianpin":"aes","name":"阿尔山","code":"ART","jdId":"11_895_897"},{"id":"430","quanpin":"shuangchengbei","jianpin":"scb","name":"双城北","code":"SBB","jdId":""},{"id":"512","quanpin":"jiagedaqi","jianpin":"jgdq","name":"加格达奇","code":"JGX","jdId":"10_793_4114"},{"id":"204","quanpin":"mengjiagang","jianpin":"mjg","name":"孟家岗","code":"MGB","jdId":""},{"id":"909","quanpin":"kuerle","jianpin":"kel","name":"库尔勒","code":"KLR","jdId":"31_2704_2705"},{"id":"1371","quanpin":"wuqing","jianpin":"wq","name":"武清","code":"WWP","jdId":"3_51046_0"},{"id":"1030","quanpin":"badong","jianpin":"bd","name":"巴东","code":"BNN","jdId":"17_1466_1471"},{"id":"2358","quanpin":"luzhai","jianpin":"lz","name":"鹿寨","code":"LIZ","jdId":"20_1720_1725"},{"id":"1248","quanpin":"qijiapu","jianpin":"qjb","name":"祁家堡","code":"QBT","jdId":""},{"id":"1213","quanpin":"wuguantian","jianpin":"wgt","name":"吴官田","code":"WGM","jdId":""},{"id":"354","quanpin":"beijingdong","jianpin":"bjd","name":"北京东","code":"BOP","jdId":""},{"id":"1962","quanpin":"chibibei","jianpin":"cbb","name":"赤壁北","code":"CIN","jdId":""},{"id":"1677","quanpin":"daobao","jianpin":"db","name":"到保","code":"RBT","jdId":""},{"id":"724","quanpin":"sunwu","jianpin":"sw","name":"孙吴","code":"SKB","jdId":"10_776_780"},{"id":"852","quanpin":"bazhong","jianpin":"bz","name":"巴中","code":"IEW","jdId":"22_2042_0"},{"id":"90","quanpin":"tongyuanpu","jianpin":"tyb","name":"通远堡","code":"TYT","jdId":""},{"id":"1680","quanpin":"daan","jianpin":"da","name":"大安","code":"RAT","jdId":"9_681_682"},{"id":"979","quanpin":"pengze","jianpin":"pz","name":"彭泽","code":"PZG","jdId":"21_1845_1850"},{"id":"235","quanpin":"yanshi","jianpin":"ys","name":"偃师","code":"YSF","jdId":"7_427_428"},{"id":"252","quanpin":"liuzhi","jianpin":"lz","name":"六枝","code":"LIW","jdId":""},{"id":"558","quanpin":"haerbin","jianpin":"heb","name":"哈尔滨","code":"HBB","jdId":"10_698_0"},{"id":"40","quanpin":"suiyang","jianpin":"sy","name":"绥阳","code":"SYB","jdId":"24_2155_2160"},{"id":"1653","quanpin":"manasi","jianpin":"mns","name":"玛纳斯","code":"MSR","jdId":"31_2714_2719"},{"id":"2486","quanpin":"guangshan","jianpin":"gs","name":"光山","code":"GUN","jdId":"7_549_558"},{"id":"792","quanpin":"xuanwei","jianpin":"xw","name":"宣威","code":"XWM","jdId":"25_2247_2250"},{"id":"588","quanpin":"erying","jianpin":"ey","name":"二营","code":"RYJ","jdId":""},{"id":"2488","quanpin":"guilinxi","jianpin":"glx","name":"桂林西","code":"GEZ","jdId":""},{"id":"851","quanpin":"gongyinan","jianpin":"gyn","name":"巩义南","code":"GYF","jdId":""},{"id":"1544","quanpin":"wenzhounan","jianpin":"wzn","name":"温州南","code":"VRH","jdId":""},{"id":"2512","quanpin":"maanshandong","jianpin":"masd","name":"马鞍山东","code":"OMH","jdId":""},{"id":"1125","quanpin":"wenchang","jianpin":"wc","name":"文昌","code":"WEQ","jdId":"23_3698_0"},{"id":"480","quanpin":"xiaonan","jianpin":"xn","name":"孝南","code":"XNV","jdId":"17_1432_45215"},{"id":"1249","quanpin":"pianling","jianpin":"pl","name":"偏岭","code":"PNT","jdId":""},{"id":"1752","quanpin":"queshan","jianpin":"qs","name":"确山","code":"QSN","jdId":"7_538_540"},{"id":"869","quanpin":"changde","jianpin":"cd","name":"常德","code":"VGQ","jdId":"18_1530_0"},{"id":"1291","quanpin":"sanjiangxian","jianpin":"sjx","name":"三江县","code":"SOZ","jdId":"20_1720_3660"},{"id":"2249","quanpin":"yanggu","jianpin":"yg","name":"阳谷","code":"YIK","jdId":"13_1081_1084"},{"id":"604","quanpin":"xiayixian","jianpin":"xyx","name":"夏邑县","code":"EJH","jdId":"7_517_522"},{"id":"2456","quanpin":"baishuixian","jianpin":"bsx","name":"白水县","code":"BGY","jdId":"27_2416_2425"},{"id":"2429","quanpin":"malan","jianpin":"ml","name":"马兰","code":"MLR","jdId":""},{"id":"2414","quanpin":"maiyuan","jianpin":"my","name":"麦园","code":"MYS","jdId":""},{"id":"65","quanpin":"guzhen","jianpin":"gz","name":"古镇","code":"GNQ","jdId":"19_1657_2957"},{"id":"272","quanpin":"wayaotian","jianpin":"wjt","name":"瓦窑田","code":"WIM","jdId":""},{"id":"1629","quanpin":"bamiantong","jianpin":"bmt","name":"八面通","code":"BMB","jdId":""},{"id":"477","quanpin":"baibiguan","jianpin":"bbg","name":"白壁关","code":"BGV","jdId":""},{"id":"2586","quanpin":"wanzhoubei","jianpin":"wzb","name":"万州北","code":"WZE","jdId":""},{"id":"506","quanpin":"xinzhangfang","jianpin":"xzf","name":"新帐房","code":"XZX","jdId":""},{"id":"667","quanpin":"pananzhen","jianpin":"paz","name":"磐安镇","code":"PAJ","jdId":""},{"id":"1359","quanpin":"heshengqiaodong","jianpin":"hsqd","name":"贺胜桥东","code":"HLN","jdId":""},{"id":"1190","quanpin":"jinzhong","jianpin":"jz","name":"晋中","code":"JZV","jdId":"6_336_0"},{"id":"1647","quanpin":"yushan","jianpin":"ys","name":"玉山","code":"YNG","jdId":"21_1861_1871"},{"id":"531","quanpin":"shenjia","jianpin":"sj","name":"沈家","code":"OJB","jdId":""},{"id":"1048","quanpin":"hongguangzhen","jianpin":"hgz","name":"红光镇","code":"IGW","jdId":""},{"id":"2143","quanpin":"sanjiangkou","jianpin":"sjk","name":"三江口","code":"SKD","jdId":""},{"id":"2146","quanpin":"tieling","jianpin":"tl","name":"铁岭","code":"TLT","jdId":"8_6858_0"},{"id":"386","quanpin":"nantou","jianpin":"nt","name":"南头","code":"NOQ","jdId":"19_1657_3176"},{"id":"2345","quanpin":"jixi","jianpin":"jx","name":"鸡西","code":"JXB","jdId":"10_737_0"},{"id":"2188","quanpin":"buhai","jianpin":"bh","name":"布海","code":"BUT","jdId":""},{"id":"645","quanpin":"shahekou","jianpin":"shk","name":"沙河口","code":"SKT","jdId":"8_573_3261"},{"id":"1111","quanpin":"piaoertun","jianpin":"pet","name":"瓢儿屯","code":"PRT","jdId":""},{"id":"2013","quanpin":"hailong","jianpin":"hl","name":"海龙","code":"HIL","jdId":""},{"id":"2034","quanpin":"zhelimu","jianpin":"zlm","name":"哲里木","code":"ZLC","jdId":""},{"id":"2026","quanpin":"tongzhouxi","jianpin":"tzx","name":"通州西","code":"TAP","jdId":""},{"id":"839","quanpin":"ebian","jianpin":"eb","name":"峨边","code":"EBW","jdId":"22_1993_2002"},{"id":"17","quanpin":"sanmenxianan","jianpin":"smxn","name":"三门峡南","code":"SCF","jdId":""},{"id":"2084","quanpin":"zhongmu","jianpin":"zm","name":"中牟","code":"ZGF","jdId":"7_412_46823"},{"id":"437","quanpin":"xinyouyi","jianpin":"xyy","name":"新友谊","code":"EYB","jdId":""},{"id":"565","quanpin":"shangcheng","jianpin":"sc","name":"商城","code":"SWN","jdId":"7_549_3119"},{"id":"2605","quanpin":"maochen","jianpin":"mc","name":"毛陈","code":"MHN","jdId":""},{"id":"266","quanpin":"maocaoping","jianpin":"mcp","name":"茅草坪","code":"KPM","jdId":""},{"id":"1848","quanpin":"suzhoubei","jianpin":"szb","name":"苏州北","code":"OHH","jdId":""},{"id":"1678","quanpin":"jianshe","jianpin":"js","name":"建设","code":"JET","jdId":"2_2919_50786"},{"id":"200","quanpin":"heli","jianpin":"hl","name":"鹤立","code":"HOB","jdId":""},{"id":"433","quanpin":"shuangpai","jianpin":"sp","name":"双牌","code":"SBZ","jdId":"18_1560_1564"},{"id":"368","quanpin":"qianyang","jianpin":"qy","name":"千阳","code":"QOY","jdId":"27_2390_2397"},{"id":"509","quanpin":"wunuer","jianpin":"wne","name":"乌奴耳","code":"WRX","jdId":""},{"id":"1783","quanpin":"mizhi","jianpin":"mz","name":"米脂","code":"MEY","jdId":"27_2454_2465"},{"id":"203","quanpin":"qianjinzhen","jianpin":"qjz","name":"前进镇","code":"QEB","jdId":""},{"id":"1383","quanpin":"yongtai","jianpin":"yt","name":"永泰","code":"YTS","jdId":"16_1303_1313"},{"id":"2587","quanpin":"dangshannan","jianpin":"dsn","name":"砀山南","code":"PRH","jdId":""},{"id":"1015","quanpin":"dizhuang","jianpin":"dz","name":"低庄","code":"DVQ","jdId":""},{"id":"2064","quanpin":"kangcheng","jianpin":"kc","name":"康城","code":"KCP","jdId":""},{"id":"1159","quanpin":"leshancun","jianpin":"lsc","name":"乐善村","code":"LUM","jdId":""},{"id":"1506","quanpin":"lianyuan","jianpin":"ly","name":"涟源","code":"LAQ","jdId":"18_1586_1589"},{"id":"1057","quanpin":"yangzhou","jianpin":"yz","name":"扬州","code":"YLH","jdId":"12_951_0"},{"id":"2352","quanpin":"hegang","jianpin":"hg","name":"鹤岗","code":"HGB","jdId":"10_727_0"},{"id":"2153","quanpin":"yinchuan","jianpin":"yc","name":"银川","code":"YIJ","jdId":"30_2628_0"},{"id":"1548","quanpin":"wenzhou","jianpin":"wz","name":"温州","code":"RZH","jdId":"15_1233_0"},{"id":"157","quanpin":"shanhetun","jianpin":"sht","name":"山河屯","code":"SHL","jdId":""},{"id":"1234","quanpin":"daoerdeng","jianpin":"ded","name":"刀尔登","code":"DRD","jdId":""},{"id":"20","quanpin":"shanghang","jianpin":"sh","name":"上杭","code":"JBS","jdId":"16_1362_1368"},{"id":"1490","quanpin":"minhenan","jianpin":"mhn","name":"民和南","code":"MNO","jdId":""},{"id":"2540","quanpin":"tiandongbei","jianpin":"tdb","name":"田东北","code":"TBZ","jdId":""},{"id":"1725","quanpin":"qingshen","jianpin":"qs","name":"青神","code":"QVW","jdId":"22_2058_2064"},{"id":"95","quanpin":"yimianshan","jianpin":"yms","name":"一面山","code":"YST","jdId":""},{"id":"417","quanpin":"bole","jianpin":"bl","name":"博乐","code":"BOR","jdId":"31_2723_2724"},{"id":"1689","quanpin":"zhazi","jianpin":"zz","name":"咋子","code":"ZAL","jdId":""},{"id":"2526","quanpin":"qingdui","jianpin":"qd","name":"青堆","code":"QET","jdId":""},{"id":"907","quanpin":"lushan","jianpin":"ls","name":"庐山","code":"LSG","jdId":"21_1845_25481"},{"id":"714","quanpin":"wendengdong","jianpin":"wdd","name":"文登东","code":"WGK","jdId":""},{"id":"378","quanpin":"nanjing","jianpin":"nj","name":"南京","code":"NJH","jdId":"12_904_0"},{"id":"833","quanpin":"yueyang","jianpin":"yy","name":"岳阳","code":"YYQ","jdId":"18_1522_0"},{"id":"2396","quanpin":"fuhai","jianpin":"fh","name":"富海","code":"FHX","jdId":""},{"id":"1146","quanpin":"wuxixinqu","jianpin":"wxxq","name":"无锡新区","code":"IFH","jdId":"12_984_4029"},{"id":"1569","quanpin":"lishui","jianpin":"ls","name":"溧水","code":"LDH","jdId":"12_904_3024"},{"id":"2409","quanpin":"jiangqiao","jianpin":"jq","name":"江桥","code":"JQX","jdId":""},{"id":"2228","quanpin":"funing","jianpin":"fn","name":"阜宁","code":"AKH","jdId":"12_939_948"},{"id":"811","quanpin":"zhonghe","jianpin":"zh","name":"中和","code":"ZHX","jdId":"4_132_9849"},{"id":"2074","quanpin":"qiyangbei","jianpin":"qy","name":"祁阳北","code":"QVQ","jdId":""},{"id":"2085","quanpin":"jialuhe","jianpin":"jlh","name":"贾鲁河","code":"JLF","jdId":""},{"id":"1367","quanpin":"nanhudong","jianpin":"nhd","name":"南湖东","code":"NDN","jdId":""},{"id":"1456","quanpin":"hejin","jianpin":"hj","name":"河津","code":"HJV","jdId":"6_398_399"},{"id":"1505","quanpin":"laiyuan","jianpin":"ly","name":"涞源","code":"LYP","jdId":"5_199_214"},{"id":"1803","quanpin":"suihua","jianpin":"sh","name":"绥化","code":"SHB","jdId":"10_782_0"},{"id":"2568","quanpin":"yushe","jianpin":"ys","name":"玉舍","code":"AUM","jdId":""},{"id":"2","quanpin":"erlong","jianpin":"el","name":"二龙","code":"RLD","jdId":""},{"id":"2054","quanpin":"qinghecheng","jianpin":"qhc","name":"清河城","code":"QYP","jdId":""},{"id":"1042","quanpin":"ande","jianpin":"ad","name":"安德","code":"ARW","jdId":""},{"id":"1845","quanpin":"huahu","jianpin":"hh","name":"花湖","code":"KHN","jdId":""},{"id":"1691","quanpin":"daoqing","jianpin":"dq","name":"道清","code":"DML","jdId":""},{"id":"2030","quanpin":"dongmingcun","jianpin":"dmc","name":"东明村","code":"DMD","jdId":""},{"id":"1358","quanpin":"tangxunhu","jianpin":"txh","name":"汤逊湖","code":"THN","jdId":""},{"id":"1137","quanpin":"xinhuang","jianpin":"xh","name":"新晃","code":"XLQ","jdId":"18_1574_1583"},{"id":"396","quanpin":"wuxu","jianpin":"wy","name":"吴圩","code":"WYZ","jdId":""},{"id":"1515","quanpin":"nanqiu","jianpin":"nc","name":"南仇","code":"NCK","jdId":""},{"id":"2471","quanpin":"dandongxi","jianpin":"ddx","name":"丹东西","code":"RWT","jdId":""},{"id":"2430","quanpin":"qiqihaernan","jianpin":"qqhen","name":"齐齐哈尔南","code":"QNB","jdId":""},{"id":"541","quanpin":"helong","jianpin":"hl","name":"和龙","code":"HLL","jdId":"9_687_3316"},{"id":"651","quanpin":"pikou","jianpin":"pk","name":"皮口","code":"PUT","jdId":""},{"id":"2490","quanpin":"heyangbei","jianpin":"hyb","name":"合阳北","code":"HTY","jdId":""},{"id":"2346","quanpin":"hebidong","jianpin":"hbd","name":"鹤壁东","code":"HFF","jdId":""},{"id":"717","quanpin":"xinhuanan","jianpin":"xhn","name":"新化南","code":"EJQ","jdId":""},{"id":"1692","quanpin":"lushuihe","jianpin":"lsh","name":"露水河","code":"LUL","jdId":""},{"id":"51","quanpin":"humen","jianpin":"hm","name":"虎门","code":"IUQ","jdId":"19_1655_39462"},{"id":"150","quanpin":"wudalianchi","jianpin":"wdlc","name":"五大连池","code":"WRB","jdId":"10_776_778"},{"id":"246","quanpin":"quanzhounan","jianpin":"qzn","name":"全州南","code":"QNZ","jdId":""},{"id":"1066","quanpin":"panjiadian","jianpin":"pjd","name":"潘家店","code":"PDP","jdId":""},{"id":"1263","quanpin":"hangzhoudong","jianpin":"hzd","name":"杭州东","code":"HGH","jdId":""},{"id":"1890","quanpin":"huludaobei","jianpin":"hldb","name":"葫芦岛北","code":"HPD","jdId":""},{"id":"743","quanpin":"anren","jianpin":"ar","name":"安仁","code":"ARG","jdId":"18_1544_1547"},{"id":"131","quanpin":"yueqing","jianpin":"yq","name":"乐清","code":"UPH","jdId":"15_1233_42322"},{"id":"1214","quanpin":"baishapo","jianpin":"bsp","name":"白沙坡","code":"BPM","jdId":""},{"id":"2469","quanpin":"dawang","jianpin":"dw","name":"大旺","code":"WWQ","jdId":""},{"id":"550","quanpin":"liquan","jianpin":"lq","name":"礼泉","code":"LGY","jdId":"27_2402_2404"},{"id":"442","quanpin":"gujiao","jianpin":"gj","name":"古交","code":"GJV","jdId":"6_303_305"},{"id":"654","quanpin":"zhoushuizi","jianpin":"zsz","name":"周水子","code":"ZIT","jdId":""},{"id":"328","quanpin":"linghai","jianpin":"lh","name":"凌海","code":"JID","jdId":"8_598_600"},{"id":"137","quanpin":"jiujiang","jianpin":"jj","name":"九江","code":"JJG","jdId":"21_1845_0"},{"id":"2431","quanpin":"nanfenbei","jianpin":"nfb","name":"南芬北","code":"NUT","jdId":""},{"id":"1470","quanpin":"fanzhen","jianpin":"fz","name":"范镇","code":"VZK","jdId":""},{"id":"1116","quanpin":"yizi","jianpin":"yz","name":"迤资","code":"YQM","jdId":""},{"id":"1345","quanpin":"wuwei","jianpin":"ww","name":"武威","code":"WUJ","jdId":"28_2544_0"},{"id":"1044","quanpin":"qingbaijiangdong","jianpin":"qbjd","name":"青白江东","code":"QFW","jdId":""},{"id":"1131","quanpin":"xinyubei","jianpin":"xyb","name":"新余北","code":"XBG","jdId":""},{"id":"1148","quanpin":"rikaze","jianpin":"rkz","name":"日喀则","code":"RKO","jdId":"26_3144_0"},{"id":"2362","quanpin":"mayang","jianpin":"my","name":"麻阳","code":"MVQ","jdId":"18_1574_1584"},{"id":"1538","quanpin":"yuantan","jianpin":"yt","name":"源潭","code":"YTQ","jdId":""},{"id":"1704","quanpin":"hongxiantai","jianpin":"hxt","name":"红岘台","code":"HTJ","jdId":""},{"id":"763","quanpin":"dingzhou","jianpin":"dz","name":"定州","code":"DXP","jdId":"5_199_47214"},{"id":"1127","quanpin":"wendeng","jianpin":"wd","name":"文登","code":"WBK","jdId":"13_1053_28929"},{"id":"1928","quanpin":"datongxi","jianpin":"dtx","name":"大通西","code":"DTO","jdId":""},{"id":"686","quanpin":"yangliuqing","jianpin":"ylq","name":"杨柳青","code":"YQP","jdId":""},{"id":"1701","quanpin":"baisha","jianpin":"bs","name":"白沙","code":"BSW","jdId":"23_3706_0"},{"id":"1210","quanpin":"qujing","jianpin":"qj","name":"曲靖","code":"QJM","jdId":"25_2247_0"},{"id":"632","quanpin":"yantongtun","jianpin":"ytt","name":"烟筒屯","code":"YUX","jdId":""},{"id":"464","quanpin":"yantongshan","jianpin":"yts","name":"烟筒山","code":"YSL","jdId":""},{"id":"2527","quanpin":"qujiang","jianpin":"qj","name":"曲江","code":"QIM","jdId":"19_1617_1626"},{"id":"2333","quanpin":"jidong","jianpin":"jd","name":"鸡东","code":"JOB","jdId":"10_737_741"},{"id":"191","quanpin":"foshan","jianpin":"fs","name":"佛山","code":"FSQ","jdId":"19_1666_0"},{"id":"659","quanpin":"yingchengzi","jianpin":"ycz","name":"营城子","code":"YCT","jdId":""},{"id":"1938","quanpin":"xuchangdong","jianpin":"xcd","name":"许昌东","code":"XVF","jdId":""},{"id":"1580","quanpin":"mohe","jianpin":"mh","name":"漠河","code":"MVX","jdId":"10_793_796"},{"id":"2138","quanpin":"kangxiling","jianpin":"kxl","name":"康熙岭","code":"KXZ","jdId":""},{"id":"2037","quanpin":"huanghuatong","jianpin":"hht","name":"黄花筒","code":"HUD","jdId":""},{"id":"1120","quanpin":"tongzilin","jianpin":"tzl","name":"桐子林","code":"TEW","jdId":""},{"id":"1034","quanpin":"huinong","jianpin":"hn","name":"惠农","code":"HMJ","jdId":"30_2632_2635"},{"id":"2535","quanpin":"shishanbei","jianpin":"ssb","name":"狮山北","code":"NSQ","jdId":""},{"id":"1806","quanpin":"yangcao","jianpin":"yc","name":"羊草","code":"YAB","jdId":""},{"id":"2474","quanpin":"dinghudong","jianpin":"dhd","name":"鼎湖东","code":"UWQ","jdId":""},{"id":"1541","quanpin":"mianchinan","jianpin":"mcn","name":"渑池南","code":"MNF","jdId":""},{"id":"2597","quanpin":"pinghu","jianpin":"ph","name":"平湖","code":"PHQ","jdId":"15_1243_4430"},{"id":"948","quanpin":"kailu","jianpin":"kl","name":"开鲁","code":"KLC","jdId":"11_902_3252"},{"id":"2495","quanpin":"huihuan","jianpin":"hh","name":"惠环","code":"KHQ","jdId":""},{"id":"935","quanpin":"huangnihe","jianpin":"hnh","name":"黄泥河","code":"HHL","jdId":""},{"id":"2273","quanpin":"suizhou","jianpin":"sz","name":"随州","code":"SZN","jdId":"17_1479_0"},{"id":"1444","quanpin":"yaoqianhutun","jianpin":"yqht","name":"姚千户屯","code":"YQT","jdId":""},{"id":"1981","quanpin":"xizi","jianpin":"xz","name":"汐子","code":"XZD","jdId":""},{"id":"718","quanpin":"loudinan","jianpin":"ldn","name":"娄底南","code":"UOQ","jdId":""},{"id":"174","quanpin":"yichun","jianpin":"yc","name":"伊春","code":"YCB","jdId":"10_753_0"},{"id":"633","quanpin":"xinzhao","jianpin":"xz","name":"新肇","code":"XZT","jdId":""},{"id":"361","quanpin":"beidaihe","jianpin":"bdh","name":"北戴河","code":"BEP","jdId":"5_248_2990"},{"id":"1230","quanpin":"shuiquan","jianpin":"sq","name":"水泉","code":"SID","jdId":""},{"id":"926","quanpin":"yanqing","jianpin":"yq","name":"延庆","code":"YNP","jdId":"1_3065_0"},{"id":"239","quanpin":"guangze","jianpin":"gz","name":"光泽","code":"GZS","jdId":"16_1352_2956"},{"id":"2124","quanpin":"yongkang","jianpin":"yk","name":"永康","code":"RFH","jdId":"15_1262_1268"},{"id":"1216","quanpin":"baishuizhen","jianpin":"bsz","name":"白水镇","code":"BUM","jdId":""},{"id":"710","quanpin":"shixing","jianpin":"sx","name":"始兴","code":"IPQ","jdId":"19_1617_1621"},{"id":"1177","quanpin":"yiliangbei","jianpin":"ylb","name":"宜良北","code":"YSM","jdId":""},{"id":"341","quanpin":"baotou","jianpin":"bt","name":"包头","code":"BTC","jdId":"11_805_0"},{"id":"2017","quanpin":"shuidong","jianpin":"sd","name":"水洞","code":"SIL","jdId":""},{"id":"247","quanpin":"quanjiao","jianpin":"qj","name":"全椒","code":"INH","jdId":"14_1159_1162"},{"id":"774","quanpin":"yizhou","jianpin":"yz","name":"宜州","code":"YSZ","jdId":"20_1818_1820"},{"id":"1522","quanpin":"huainandong","jianpin":"hnd","name":"淮南东","code":"HOH","jdId":""},{"id":"856","quanpin":"hangjinhouqi","jianpin":"hjhq","name":"杭锦后旗","code":"HDC","jdId":"11_880_884"},{"id":"1987","quanpin":"baiquan","jianpin":"bq","name":"白泉","code":"BQL","jdId":""},{"id":"1432","quanpin":"yushutai","jianpin":"yst","name":"榆树台","code":"YUT","jdId":""},{"id":"1852","quanpin":"yingjisha","jianpin":"yjs","name":"英吉沙","code":"YIR","jdId":"31_2686_2695"},{"id":"2185","quanpin":"changshou","jianpin":"cs","name":"长寿","code":"EFW","jdId":"4_48206_0"},{"id":"1745","quanpin":"shilinnan","jianpin":"sln","name":"石林南","code":"LNM","jdId":""},{"id":"1206","quanpin":"jiangsuotian","jianpin":"jst","name":"江所田","code":"JOM","jdId":""},{"id":"1702","quanpin":"baihe","jianpin":"bh","name":"白河","code":"BEL","jdId":""},{"id":"898","quanpin":"guangzhou","jianpin":"gz","name":"广州","code":"GZQ","jdId":"19_1601_0"},{"id":"947","quanpin":"kaijiang","jianpin":"kj","name":"开江","code":"KAW","jdId":"22_2033_2040"},{"id":"1727","quanpin":"meishandong","jianpin":"msd","name":"眉山东","code":"IUW","jdId":""},{"id":"778","quanpin":"zhicheng","jianpin":"zc","name":"枝城","code":"ZCN","jdId":""},{"id":"1475","quanpin":"guanlin","jianpin":"gl","name":"关林","code":"GLF","jdId":""},{"id":"1875","quanpin":"heze","jianpin":"hz","name":"菏泽","code":"HIK","jdId":"13_1099_0"},{"id":"2393","quanpin":"qianjiang","jianpin":"qj","name":"黔江","code":"QNW","jdId":"4_128_0"},{"id":"1924","quanpin":"gucheng","jianpin":"gc","name":"谷城","code":"GCN","jdId":"17_1396_1403"},{"id":"2454","quanpin":"baigou","jianpin":"bg","name":"白沟","code":"FEP","jdId":""},{"id":"2571","quanpin":"chaka","jianpin":"ck","name":"茶卡","code":"CVO","jdId":""},{"id":"2212","quanpin":"shuiyang","jianpin":"sy","name":"水洋","code":"OYP","jdId":""},{"id":"1818","quanpin":"luoshan","jianpin":"ls","name":"罗山","code":"LRN","jdId":"7_549_557"},{"id":"2382","quanpin":"heihe","jianpin":"hh","name":"黑河","code":"HJB","jdId":"10_776_0"},{"id":"520","quanpin":"mianduhe","jianpin":"mdh","name":"免渡河","code":"MDX","jdId":""},{"id":"2377","quanpin":"jiusan","jianpin":"js","name":"九三","code":"SSX","jdId":""},{"id":"995","quanpin":"deqingxi","jianpin":"dqx","name":"德清西","code":"MOH","jdId":""},{"id":"1479","quanpin":"hongtong","jianpin":"hd","name":"洪洞","code":"HDV","jdId":"6_379_395"},{"id":"2069","quanpin":"cixi","jianpin":"cx","name":"磁西","code":"CRP","jdId":""},{"id":"1551","quanpin":"zhangqiao","jianpin":"zq","name":"张桥","code":"ZQY","jdId":""},{"id":"2041","quanpin":"baxiantong","jianpin":"bxt","name":"八仙筒","code":"VXD","jdId":""},{"id":"94","quanpin":"jiguanshan","jianpin":"jgs","name":"鸡冠山","code":"JST","jdId":""},{"id":"1688","quanpin":"anguang","jianpin":"ag","name":"安广","code":"AGT","jdId":""},{"id":"1380","quanpin":"yongchuan","jianpin":"yc","name":"永川","code":"YCW","jdId":"4_48207_0"},{"id":"62","quanpin":"wenan","jianpin":"wa","name":"文安","code":"WBP","jdId":"5_274_288"},{"id":"1381","quanpin":"yongzhou","jianpin":"yz","name":"永州","code":"AOQ","jdId":"18_1560_0"},{"id":"748","quanpin":"anqing","jianpin":"aq","name":"安庆","code":"AQH","jdId":"14_1140_0"},{"id":"2338","quanpin":"yanggang","jianpin":"yg","name":"杨岗","code":"YRB","jdId":""},{"id":"1311","quanpin":"wuzhounan","jianpin":"wzn","name":"梧州南","code":"WBZ","jdId":""},{"id":"12","quanpin":"jianningxianbei","jianpin":"jnxb","name":"建宁县北","code":"JCS","jdId":"16_1317_1324"},{"id":"968","quanpin":"xusanwan","jianpin":"xsw","name":"许三湾","code":"XSJ","jdId":""},{"id":"1016","quanpin":"zhijiang","jianpin":"zj","name":"芷江","code":"ZPQ","jdId":"18_1574_1582"},{"id":"1438","quanpin":"xinglongdian","jianpin":"xld","name":"兴隆店","code":"XDD","jdId":""},{"id":"1670","quanpin":"tiandong","jianpin":"td","name":"田东","code":"TDZ","jdId":"20_1806_1815"},{"id":"1596","quanpin":"tongnan","jianpin":"tn","name":"潼南","code":"TVW","jdId":"4_123_0"},{"id":"196","quanpin":"honghe","jianpin":"hh","name":"洪河","code":"HPB","jdId":""},{"id":"960","quanpin":"xibali","jianpin":"xbl","name":"西八里","code":"XLP","jdId":""},{"id":"1695","quanpin":"laoying","jianpin":"ly","name":"老营","code":"LXL","jdId":""},{"id":"179","quanpin":"shenshu","jianpin":"ss","name":"神树","code":"SWB","jdId":""},{"id":"1911","quanpin":"anping","jianpin":"ap","name":"安平","code":"APT","jdId":"5_275_297"},{"id":"970","quanpin":"langweishan","jianpin":"lws","name":"狼尾山","code":"LRJ","jdId":""},{"id":"1052","quanpin":"shuangliuxi","jianpin":"slx","name":"双流西","code":"IQW","jdId":""},{"id":"2432","quanpin":"haerbinbei","jianpin":"hebb","name":"哈尔滨北","code":"HTB","jdId":""},{"id":"1777","quanpin":"jishan","jianpin":"js","name":"稷山","code":"JVV","jdId":"6_398_406"},{"id":"2609","quanpin":"sunitezuoqi","jianpin":"sntzq","name":"苏尼特左旗","code":"ONC","jdId":"11_835_843"},{"id":"2497","quanpin":"jianyangnan","jianpin":"jyn","name":"简阳南","code":"JOW","jdId":""},{"id":"615","quanpin":"xinlin","jianpin":"xl","name":"新林","code":"XPX","jdId":"10_793_11432"},{"id":"788","quanpin":"jingxian","jianpin":"jx","name":"泾县","code":"LOH","jdId":"14_2971_2972"},{"id":"1122","quanpin":"youxian","jianpin":"yx","name":"攸县","code":"YOG","jdId":"18_1488_1491"},{"id":"292","quanpin":"xiaguanying","jianpin":"xgy","name":"夏官营","code":"XGJ","jdId":""},{"id":"889","quanpin":"guangyuannan","jianpin":"gyn","name":"广元南","code":"GAW","jdId":""},{"id":"2189","quanpin":"chaigang","jianpin":"cg","name":"柴岗","code":"CGT","jdId":""},{"id":"129","quanpin":"lepingshi","jianpin":"lps","name":"乐平市","code":"LPG","jdId":"21_1832_1833"},{"id":"1779","quanpin":"yilin","jianpin":"yl","name":"伊林","code":"YLB","jdId":""},{"id":"680","quanpin":"lutai","jianpin":"lt","name":"芦台","code":"LTP","jdId":""},{"id":"1619","quanpin":"wuzhi","jianpin":"wz","name":"武陟","code":"WIF","jdId":"7_446_451"},{"id":"2140","quanpin":"tieli","jianpin":"tl","name":"铁力","code":"TLB","jdId":"10_753_754"},{"id":"455","quanpin":"lujiang","jianpin":"lj","name":"庐江","code":"UJH","jdId":"14_1116_1190"},{"id":"2246","quanpin":"yangquanbei","jianpin":"yqb","name":"阳泉北","code":"YPP","jdId":""},{"id":"1693","quanpin":"shiren","jianpin":"sr","name":"石人","code":"SRL","jdId":""},{"id":"1150","quanpin":"xunyangbei","jianpin":"xyb","name":"旬阳北","code":"XBY","jdId":""},{"id":"731","quanpin":"ningde","jianpin":"nd","name":"宁德","code":"NES","jdId":"16_1370_0"},{"id":"1168","quanpin":"maoshezu","jianpin":"msz","name":"茂舍祖","code":"MOM","jdId":""},{"id":"1320","quanpin":"longtangba","jianpin":"ltb","name":"龙塘坝","code":"LBM","jdId":""},{"id":"875","quanpin":"xinli","jianpin":"xl","name":"新李","code":"XLJ","jdId":""},{"id":"2285","quanpin":"pingdu","jianpin":"pd","name":"平度","code":"PAK","jdId":"13_1007_37920"},{"id":"1922","quanpin":"xiangyang","jianpin":"xy","name":"襄阳","code":"XFN","jdId":"17_1396_0"},{"id":"1623","quanpin":"chushan","jianpin":"cs","name":"楚山","code":"CSB","jdId":""},{"id":"1321","quanpin":"dianxin","jianpin":"dx","name":"甸心","code":"DXM","jdId":""},{"id":"365","quanpin":"beibei","jianpin":"bb","name":"北碚","code":"BPW","jdId":"4_48203_0"},{"id":"1660","quanpin":"qionghai","jianpin":"qh","name":"琼海","code":"QYQ","jdId":"23_3115_0"},{"id":"2178","quanpin":"zhenjiangnan","jianpin":"zjn","name":"镇江南","code":"ZEH","jdId":""},{"id":"1880","quanpin":"xiongyuecheng","jianpin":"xyc","name":"熊岳城","code":"XYT","jdId":""},{"id":"27","quanpin":"jinshanbei","jianpin":"jsb","name":"金山北","code":"EGH","jdId":""},{"id":"1126","quanpin":"wenshui","jianpin":"ws","name":"文水","code":"WEV","jdId":"6_368_372"},{"id":"573","quanpin":"jiaxingnan","jianpin":"jxn","name":"嘉兴南","code":"EPH","jdId":""},{"id":"88","quanpin":"tangshancheng","jianpin":"tsc","name":"汤山城","code":"TCT","jdId":""},{"id":"1843","quanpin":"luxi","jianpin":"lx","name":"芦溪","code":"LUG","jdId":"21_1836_1840"},{"id":"85","quanpin":"linying","jianpin":"ly","name":"临颍","code":"LNF","jdId":"7_489_492"},{"id":"753","quanpin":"ankang","jianpin":"ak","name":"安康","code":"AKY","jdId":"27_2476_0"},{"id":"1373","quanpin":"wulong","jianpin":"wl","name":"武隆","code":"WLW","jdId":"4_129_0"},{"id":"2004","quanpin":"lianyungangdong","jianpin":"lygd","name":"连云港东","code":"UKH","jdId":""},{"id":"925","quanpin":"dongerdaohe","jianpin":"dedh","name":"东二道河","code":"DRB","jdId":""},{"id":"121","quanpin":"wuhai","jianpin":"wh","name":"乌海","code":"WVC","jdId":"11_810_0"},{"id":"98","quanpin":"danfeng","jianpin":"df","name":"丹凤","code":"DGY","jdId":"27_2468_2474"},{"id":"1893","quanpin":"puchengdong","jianpin":"pcd","name":"蒲城东","code":"PEY","jdId":""},{"id":"31","quanpin":"shangyu","jianpin":"sy","name":"上虞","code":"BDH","jdId":"15_1255_1258"},{"id":"2510","quanpin":"longchangbei","jianpin":"lcb","name":"隆昌北","code":"NWW","jdId":""},{"id":"1496","quanpin":"haikoudong","jianpin":"hkd","name":"海口东","code":"HMQ","jdId":""},{"id":"2127","quanpin":"jinchengjiang","jianpin":"jcj","name":"金城江","code":"JJZ","jdId":"20_1818_3680"},{"id":"2186","quanpin":"longjia","jianpin":"lj","name":"龙嘉","code":"UJL","jdId":""},{"id":"1427","quanpin":"guosong","jianpin":"gs","name":"果松","code":"GSL","jdId":""},{"id":"868","quanpin":"hanshou","jianpin":"hs","name":"汉寿","code":"VSQ","jdId":"18_1530_1536"},{"id":"1099","quanpin":"fuzhoubei","jianpin":"fzb","name":"抚州北","code":"FBG","jdId":""},{"id":"56","quanpin":"zhongwei","jianpin":"zw","name":"中卫","code":"ZWJ","jdId":"30_3071_0"},{"id":"54","quanpin":"dongying","jianpin":"dy","name":"东营","code":"DPK","jdId":"13_1025_0"},{"id":"1485","quanpin":"jining","jianpin":"jn","name":"济宁","code":"JIK","jdId":"13_2900_0"},{"id":"942","quanpin":"kaiyuanxi","jianpin":"kyx","name":"开原西","code":"KXT","jdId":""},{"id":"87","quanpin":"liujiahe","jianpin":"ljh","name":"刘家河","code":"LVT","jdId":""},{"id":"84","quanpin":"linxi","jianpin":"lx","name":"临西","code":"UEP","jdId":"5_164_192"},{"id":"2007","quanpin":"ermihe","jianpin":"emh","name":"二密河","code":"RML","jdId":""},{"id":"1062","quanpin":"fusui","jianpin":"fs","name":"扶绥","code":"FSZ","jdId":"20_3168_3682"},{"id":"1238","quanpin":"shangyuan","jianpin":"sy","name":"上园","code":"SUD","jdId":""},{"id":"1410","quanpin":"jiangmen","jianpin":"jm","name":"江门","code":"JWQ","jdId":"19_1659_0"},{"id":"1798","quanpin":"suizhongbei","jianpin":"szb","name":"绥中北","code":"SND","jdId":""},{"id":"1172","quanpin":"shijiazui","jianpin":"sjz","name":"施家嘴","code":"SHM","jdId":""},{"id":"1176","quanpin":"wangjiayingxi","jianpin":"wjyx","name":"王家营西","code":"KNM","jdId":""},{"id":"1165","quanpin":"kunming","jianpin":"km","name":"昆明","code":"KMM","jdId":"25_2235_0"},{"id":"742","quanpin":"antingbei","jianpin":"atb","name":"安亭北","code":"ASH","jdId":""},{"id":"43","quanpin":"dongfang","jianpin":"df","name":"东方","code":"UFQ","jdId":"23_3173_0"},{"id":"2305","quanpin":"shaoshannan","jianpin":"ssn","name":"韶山南","code":"INQ","jdId":""},{"id":"701","quanpin":"gudong","jianpin":"gd","name":"古东","code":"GDV","jdId":""},{"id":"2032","quanpin":"zhian","jianpin":"za","name":"治安","code":"ZAD","jdId":""},{"id":"460","quanpin":"jian","jianpin":"ja","name":"吉安","code":"VAG","jdId":"21_1898_0"},{"id":"122","quanpin":"wulumuqinan","jianpin":"wlmqn","name":"乌鲁木齐南","code":"WMR","jdId":""},{"id":"2558","quanpin":"zhangmutoudong","jianpin":"zmtd","name":"樟木头东","code":"ZRQ","jdId":""},{"id":"282","quanpin":"shaojiatang","jianpin":"sjt","name":"邵家堂","code":"SJJ","jdId":""},{"id":"1815","quanpin":"mianyang","jianpin":"my","name":"绵阳","code":"MYW","jdId":"22_1960_0"},{"id":"2310","quanpin":"shunchang","jianpin":"sc","name":"顺昌","code":"SCS","jdId":"16_1352_1359"},{"id":"1233","quanpin":"jinzhangzi","jianpin":"jzz","name":"金杖子","code":"JYD","jdId":""},{"id":"1473","quanpin":"ruyang","jianpin":"ry","name":"汝阳","code":"RYF","jdId":"7_427_430"},{"id":"1155","quanpin":"kunshannan","jianpin":"ksn","name":"昆山南","code":"KNH","jdId":""},{"id":"1862","quanpin":"putian","jianpin":"pt","name":"莆田","code":"PTS","jdId":"16_1329_0"},{"id":"497","quanpin":"moerdaoga","jianpin":"medg","name":"莫尔道嘎","code":"MRX","jdId":""},{"id":"637","quanpin":"yinlang","jianpin":"yl","name":"银浪","code":"YJX","jdId":""},{"id":"1545","quanpin":"shenfang","jianpin":"sf","name":"绅坊","code":"OLH","jdId":""},{"id":"888","quanpin":"zhuyuanba","jianpin":"zyb","name":"竹园坝","code":"ZAW","jdId":""},{"id":"1344","quanpin":"wuyishanbei","jianpin":"wysb","name":"武夷山北","code":"WBS","jdId":""},{"id":"2363","quanpin":"hongan","jianpin":"ha","name":"红安","code":"HWN","jdId":"17_1441_1444"},{"id":"2500","quanpin":"jingxi","jianpin":"jx","name":"靖西","code":"JMZ","jdId":"20_1806_1814"},{"id":"1510","quanpin":"hanjiang","jianpin":"hj","name":"涵江","code":"HJS","jdId":"16_1329_3022"},{"id":"1246","quanpin":"lianshanguan","jianpin":"lsg","name":"连山关","code":"LGT","jdId":""},{"id":"411","quanpin":"yunan","jianpin":"yn","name":"郁南","code":"YKQ","jdId":"19_1698_1702"},{"id":"2187","quanpin":"changchunxi","jianpin":"ccx","name":"长春西","code":"CRT","jdId":""},{"id":"993","quanpin":"dechang","jianpin":"dc","name":"德昌","code":"DVW","jdId":"22_2103_2111"},{"id":"1655","quanpin":"zhuhaibei","jianpin":"zhb","name":"珠海北","code":"ZIQ","jdId":""},{"id":"453","quanpin":"hefeixi","jianpin":"hfx","name":"合肥西","code":"HTH","jdId":""},{"id":"2149","quanpin":"tongren","jianpin":"tr","name":"铜仁","code":"RDQ","jdId":"24_2169_0"},{"id":"1451","quanpin":"cangzhou","jianpin":"cz","name":"沧州","code":"COP","jdId":"5_264_0"},{"id":"1357","quanpin":"shanpodong","jianpin":"spd","name":"山坡东","code":"SBN","jdId":""},{"id":"2251","quanpin":"akesu","jianpin":"aks","name":"阿克苏","code":"ASR","jdId":"31_2675_0"},{"id":"1983","quanpin":"yuexi","jianpin":"yx","name":"越西","code":"YHW","jdId":"22_2103_2117"},{"id":"1614","quanpin":"reshui","jianpin":"rs","name":"热水","code":"RSD","jdId":""},{"id":"1685","quanpin":"daanbei","jianpin":"dab","name":"大安北","code":"RNT","jdId":""},{"id":"1343","quanpin":"wuyishan","jianpin":"wys","name":"武夷山","code":"WAS","jdId":"16_1352_1356"},{"id":"1812","quanpin":"suiling","jianpin":"sl","name":"绥棱","code":"SIB","jdId":"10_782_787"},{"id":"1968","quanpin":"pingzhuang","jianpin":"pz","name":"平庄","code":"PZD","jdId":""},{"id":"1739","quanpin":"jinzhou","jianpin":"jz","name":"晋州","code":"JXP","jdId":"5_142_145"},{"id":"977","quanpin":"pengzhou","jianpin":"pz","name":"彭州","code":"PMW","jdId":"22_1930_49318"},{"id":"2057","quanpin":"xuanzhong","jianpin":"xz","name":"悬钟","code":"XRP","jdId":""},{"id":"689","quanpin":"dakoutun","jianpin":"dkt","name":"大口屯","code":"DKP","jdId":""},{"id":"73","quanpin":"fengshun","jianpin":"fs","name":"丰顺","code":"FUQ","jdId":"19_1634_1639"},{"id":"1226","quanpin":"shentou","jianpin":"st","name":"神头","code":"SEV","jdId":""},{"id":"1820","quanpin":"luojiang","jianpin":"lj","name":"罗江","code":"LJW","jdId":"22_1962_1965"},{"id":"2267","quanpin":"hongqing","jianpin":"hq","name":"宏庆","code":"HEY","jdId":""},{"id":"2365","quanpin":"huanggang","jianpin":"hg","name":"黄冈","code":"KGN","jdId":"17_1441_0"},{"id":"1774","quanpin":"xiushan","jianpin":"xs","name":"秀山","code":"ETW","jdId":"4_141_0"},{"id":"1731","quanpin":"shizuishan","jianpin":"szs","name":"石嘴山","code":"QQJ","jdId":"30_2632_0"},{"id":"937","quanpin":"jianshui","jianpin":"js","name":"建水","code":"JSM","jdId":"25_2318_2326"},{"id":"2260","quanpin":"acheng","jianpin":"ac","name":"阿城","code":"ACB","jdId":"10_698_699"},{"id":"1428","quanpin":"masanjia","jianpin":"msj","name":"马三家","code":"MJT","jdId":""},{"id":"2368","quanpin":"shexianbei","jianpin":"sxb","name":"歙县北","code":"NPH","jdId":""},{"id":"2433","quanpin":"yujiapu","jianpin":"yjp","name":"于家堡","code":"YKP","jdId":""},{"id":"1294","quanpin":"zhuzhouxi","jianpin":"zzx","name":"株洲西","code":"ZAQ","jdId":""},{"id":"2066","quanpin":"shexian","jianpin":"sx","name":"涉县","code":"OEP","jdId":"5_148_174"},{"id":"1001","quanpin":"xinzhou","jianpin":"xz","name":"忻州","code":"XXV","jdId":"6_350_0"},{"id":"1489","quanpin":"pinganyi","jianpin":"pay","name":"平安驿","code":"PNO","jdId":""},{"id":"1430","quanpin":"xinchengzi","jianpin":"xcz","name":"新城子","code":"XCT","jdId":""},{"id":"2485","quanpin":"gutianhuizhi","jianpin":"gthz","name":"古田会址","code":"STS","jdId":""},{"id":"2484","quanpin":"fusong","jianpin":"fs","name":"抚松","code":"FSL","jdId":"9_664_672"},{"id":"2576","quanpin":"tongjiang","jianpin":"tj","name":"同江","code":"TJB","jdId":"10_765_766"},{"id":"2002","quanpin":"jinxian","jianpin":"jx","name":"进贤","code":"JUG","jdId":"21_1827_1829"},{"id":"1275","quanpin":"wangfu","jianpin":"wf","name":"王府","code":"WUT","jdId":""},{"id":"579","quanpin":"qiaoxi","jianpin":"qx","name":"桥西","code":"QXJ","jdId":"5_142_42544"},{"id":"1113","quanpin":"lasa","jianpin":"ls","name":"拉萨","code":"LSO","jdId":"26_2951_0"},{"id":"2281","quanpin":"xiapu","jianpin":"xp","name":"霞浦","code":"XOS","jdId":"16_1370_1375"},{"id":"1440","quanpin":"chenxiangtun","jianpin":"cxt","name":"陈相屯","code":"CXT","jdId":""},{"id":"216","quanpin":"futuyu","jianpin":"fty","name":"浮图峪","code":"FYP","jdId":""},{"id":"1156","quanpin":"kunshan","jianpin":"ks","name":"昆山","code":"KSH","jdId":"12_988_47821"},{"id":"1602","quanpin":"lingwu","jianpin":"lw","name":"灵武","code":"LNJ","jdId":"30_2628_2629"},{"id":"2628","quanpin":"shumuling","jianpin":"sml","name":"树木岭","code":"FMQ","jdId":""},{"id":"1690","quanpin":"quanyang","jianpin":"qy","name":"泉阳","code":"QYL","jdId":""},{"id":"52","quanpin":"dongguan","jianpin":"dg","name":"东莞","code":"RTQ","jdId":"19_1655_0"},{"id":"184","quanpin":"huitong","jianpin":"ht","name":"会同","code":"VTQ","jdId":"18_1574_1576"},{"id":"2465","quanpin":"changpingdong","jianpin":"cpd","name":"常平东","code":"FQQ","jdId":""},{"id":"707","quanpin":"bencha","jianpin":"bc","name":"栟茶","code":"FWH","jdId":""},{"id":"1703","quanpin":"baihexian","jianpin":"bhx","name":"白河县","code":"BEY","jdId":"27_2476_2486"},{"id":"2314","quanpin":"chenggaozi","jianpin":"cgz","name":"成高子","code":"CZB","jdId":""},{"id":"2161","quanpin":"dahushan","jianpin":"dhs","name":"大虎山","code":"DHD","jdId":""},{"id":"990","quanpin":"dezhoudong","jianpin":"dzd","name":"德州东","code":"DIP","jdId":""},{"id":"431","quanpin":"lanling","jianpin":"ll","name":"兰棱","code":"LLB","jdId":""},{"id":"410","quanpin":"nanfen","jianpin":"nf","name":"南芬","code":"NFT","jdId":"8_589_3275"},{"id":"1368","quanpin":"henggouqiaodong","jianpin":"hgqd","name":"横沟桥东","code":"HNN","jdId":""},{"id":"2142","quanpin":"bamiancheng","jianpin":"bmc","name":"八面城","code":"BMD","jdId":""},{"id":"86","quanpin":"wulongbei","jianpin":"wlb","name":"五龙背","code":"WBT","jdId":""},{"id":"560","quanpin":"tangshan","jianpin":"ts","name":"唐山","code":"TSP","jdId":"5_258_0"},{"id":"211","quanpin":"xushui","jianpin":"xs","name":"徐水","code":"XSP","jdId":"5_199_47215"},{"id":"1790","quanpin":"hongsipu","jianpin":"hsb","name":"红寺堡","code":"HSJ","jdId":""},{"id":"1225","quanpin":"huairendong","jianpin":"hrd","name":"怀仁东","code":"HFV","jdId":""},{"id":"1310","quanpin":"meihekou","jianpin":"mhk","name":"梅河口","code":"MHL","jdId":"9_657_658"},{"id":"1093","quanpin":"erdaogoumen","jianpin":"edgm","name":"二道沟门","code":"RDP","jdId":""},{"id":"1141","quanpin":"xinqiu","jianpin":"xq","name":"新邱","code":"XQD","jdId":"8_617_3288"},{"id":"1452","quanpin":"cangzhouxi","jianpin":"czx","name":"沧州西","code":"CBP","jdId":""},{"id":"387","quanpin":"naluo","jianpin":"nl","name":"那罗","code":"ULZ","jdId":""},{"id":"1377","quanpin":"yongxiu","jianpin":"yx","name":"永修","code":"ACG","jdId":"21_1845_1851"},{"id":"366","quanpin":"wudangshan","jianpin":"wds","name":"武当山","code":"WRN","jdId":""},{"id":"2008","quanpin":"tiechang","jianpin":"tc","name":"铁厂","code":"TCL","jdId":""},{"id":"110","quanpin":"tumuertai","jianpin":"tmet","name":"土牧尔台","code":"TRC","jdId":""},{"id":"1511","quanpin":"zhuozhou","jianpin":"zz","name":"涿州","code":"ZXP","jdId":"5_199_47213"},{"id":"422","quanpin":"weihui","jianpin":"wh","name":"卫辉","code":"WHF","jdId":"7_458_459"},{"id":"1895","quanpin":"qichun","jianpin":"qc","name":"蕲春","code":"QRN","jdId":"17_1441_41909"},{"id":"1463","quanpin":"taihe","jianpin":"th","name":"泰和","code":"THG","jdId":"21_1898_1904"},{"id":"1672","quanpin":"tianyang","jianpin":"ty","name":"田阳","code":"TRZ","jdId":"20_1806_1810"},{"id":"421","quanpin":"lulong","jianpin":"ll","name":"卢龙","code":"UAP","jdId":"5_248_261"},{"id":"1816","quanpin":"jinyun","jianpin":"jy","name":"缙云","code":"JYH","jdId":"15_1280_1282"},{"id":"894","quanpin":"guangzhounan","jianpin":"gzn","name":"广州南","code":"IZQ","jdId":""},{"id":"2572","quanpin":"wulumuqi","jianpin":"wlmq","name":"乌鲁木齐","code":"WAR","jdId":"31_2652_0"},{"id":"1492","quanpin":"haidongxi","jianpin":"hdx","name":"海东西","code":"HDO","jdId":"29_2585_0"},{"id":"1673","quanpin":"jieshoushi","jianpin":"jss","name":"界首市","code":"JUN","jdId":"14_1167_1168"},{"id":"570","quanpin":"kashi","jianpin":"ks","name":"喀什","code":"KSR","jdId":"31_2686_0"},{"id":"2559","quanpin":"changtingnan","jianpin":"ctn","name":"长汀南","code":"CNS","jdId":""},{"id":"1461","quanpin":"botou","jianpin":"bt","name":"泊头","code":"BZP","jdId":"5_264_266"},{"id":"905","quanpin":"qingan","jianpin":"qa","name":"庆安","code":"QAB","jdId":"10_782_791"},{"id":"1300","quanpin":"tongxiang","jianpin":"tx","name":"桐乡","code":"TCH","jdId":"15_1243_4429"},{"id":"2306","quanpin":"xiangcheng","jianpin":"xc","name":"项城","code":"ERN","jdId":"7_527_529"},{"id":"1495","quanpin":"haibei","jianpin":"hb","name":"海北","code":"HEB","jdId":"29_2592_0"},{"id":"1884","quanpin":"shahousuo","jianpin":"shs","name":"沙后所","code":"SSD","jdId":""},{"id":"611","quanpin":"amuer","jianpin":"ame","name":"阿木尔","code":"JTX","jdId":""},{"id":"2401","quanpin":"pingyang","jianpin":"py","name":"平洋","code":"PYX","jdId":""},{"id":"97","quanpin":"longzhuagou","jianpin":"lzg","name":"龙爪沟","code":"LZT","jdId":""},{"id":"737","quanpin":"tongtu","jianpin":"tt","name":"通途","code":"TUT","jdId":""},{"id":"736","quanpin":"fenghua","jianpin":"fh","name":"奉化","code":"FHH","jdId":"15_1158_1226"},{"id":"2491","quanpin":"huayuankou","jianpin":"hyk","name":"花园口","code":"HYT","jdId":""},{"id":"2489","quanpin":"guozhen","jianpin":"gz","name":"虢镇","code":"GZY","jdId":""},{"id":"1272","quanpin":"gongnonghu","jianpin":"gnh","name":"工农湖","code":"GRT","jdId":""},{"id":"2521","quanpin":"ningdongnan","jianpin":"ndn","name":"宁东南","code":"NDJ","jdId":""},{"id":"1581","quanpin":"luohe","jianpin":"lh","name":"漯河","code":"LON","jdId":"7_489_0"},{"id":"1722","quanpin":"panjinbei","jianpin":"pjb","name":"盘锦北","code":"PBD","jdId":""},{"id":"2106","quanpin":"shanshan","jianpin":"ss","name":"鄯善","code":"SSR","jdId":"31_2658_2661"},{"id":"2192","quanpin":"kaian","jianpin":"ka","name":"开安","code":"KAT","jdId":""},{"id":"1879","quanpin":"yingkoudong","jianpin":"ykd","name":"营口东","code":"YGT","jdId":""},{"id":"1229","quanpin":"yangzhangzi","jianpin":"yzz","name":"杨杖子","code":"YZD","jdId":""},{"id":"2505","quanpin":"ledong","jianpin":"ld","name":"乐东","code":"UQQ","jdId":"23_3710_0"},{"id":"309","quanpin":"tuliemaodu","jianpin":"tlmd","name":"吐列毛杜","code":"TMD","jdId":""},{"id":"13","quanpin":"sanmingbei","jianpin":"smb","name":"三明北","code":"SHS","jdId":""},{"id":"1372","quanpin":"wuxue","jianpin":"wx","name":"武穴","code":"WXN","jdId":"17_1441_41911"},{"id":"1403","quanpin":"jiangshan","jianpin":"js","name":"江山","code":"JUH","jdId":"15_1273_1275"},{"id":"895","quanpin":"guangzhoubei","jianpin":"gzb","name":"广州北","code":"GBQ","jdId":""},{"id":"2039","quanpin":"jinbaotun","jianpin":"jbt","name":"金宝屯","code":"JBD","jdId":""},{"id":"2359","quanpin":"machengbei","jianpin":"mcb","name":"麻城北","code":"MBN","jdId":""},{"id":"2299","quanpin":"anshanxi","jianpin":"asx","name":"鞍山西","code":"AXT","jdId":""},{"id":"1005","quanpin":"qinjiazhuang","jianpin":"qjz","name":"秦家庄","code":"QZV","jdId":""},{"id":"2033","quanpin":"gashidianzi","jianpin":"gsdz","name":"嘎什甸子","code":"GXD","jdId":""},{"id":"2620","quanpin":"hetang","jianpin":"ht","name":"荷塘","code":"KXQ","jdId":"18_1488_29447"},{"id":"451","quanpin":"hepu","jianpin":"hp","name":"合浦","code":"HVZ","jdId":"20_1746_1747"},{"id":"46","quanpin":"dongshengxi","jianpin":"dsx","name":"东胜西","code":"DYC","jdId":""},{"id":"293","quanpin":"haishiwan","jianpin":"hsw","name":"海石湾","code":"HSO","jdId":""},{"id":"815","quanpin":"shouyang","jianpin":"sy","name":"寿阳","code":"SYV","jdId":"6_336_343"},{"id":"882","quanpin":"pingquan","jianpin":"pq","name":"平泉","code":"PQP","jdId":"5_239_242"},{"id":"656","quanpin":"songshu","jianpin":"ss","name":"松树","code":"SFT","jdId":""},{"id":"1107","quanpin":"caoshi","jianpin":"cs","name":"草市","code":"CSL","jdId":""},{"id":"1083","quanpin":"xiataizi","jianpin":"xtz","name":"下台子","code":"EIP","jdId":""},{"id":"918","quanpin":"douzhangzhuang","jianpin":"dzz","name":"豆张庄","code":"RZP","jdId":""},{"id":"2046","quanpin":"tongdao","jianpin":"td","name":"通道","code":"TRQ","jdId":"18_1574_1581"},{"id":"589","quanpin":"tuqiaozi","jianpin":"tqz","name":"土桥子","code":"TQJ","jdId":""},{"id":"1682","quanpin":"baicheng","jianpin":"bc","name":"白城","code":"BCT","jdId":"9_681_0"},{"id":"1755","quanpin":"panshi","jianpin":"ps","name":"磐石","code":"PSL","jdId":"9_644_648"},{"id":"194","quanpin":"lianjiangkou","jianpin":"ljk","name":"莲江口","code":"LHB","jdId":""},{"id":"648","quanpin":"xujiatun","jianpin":"xjt","name":"许家屯","code":"XJT","jdId":""},{"id":"670","quanpin":"sanyangchuan","jianpin":"syc","name":"三阳川","code":"SYJ","jdId":""},{"id":"1478","quanpin":"hongtongxi","jianpin":"hdx","name":"洪洞西","code":"HTV","jdId":""},{"id":"1295","quanpin":"geermu","jianpin":"gem","name":"格尔木","code":"GRO","jdId":"29_2620_3021"},{"id":"2599","quanpin":"fuxinnan","jianpin":"fxn","name":"阜新南","code":"FXD","jdId":""},{"id":"951","quanpin":"guoleizhuang","jianpin":"glz","name":"郭磊庄","code":"GLP","jdId":""},{"id":"128","quanpin":"leshan","jianpin":"ls","name":"乐山","code":"IVW","jdId":"22_1993_0"},{"id":"758","quanpin":"anlu","jianpin":"al","name":"安陆","code":"ALN","jdId":"17_1432_45217"},{"id":"975","quanpin":"yiliang","jianpin":"yl","name":"彝良","code":"ALW","jdId":"25_2270_2276"},{"id":"1053","quanpin":"qishuyan","jianpin":"qsy","name":"戚墅堰","code":"QYH","jdId":"12_978_3391"},{"id":"1813","quanpin":"suifenhe","jianpin":"sfh","name":"绥芬河","code":"SFB","jdId":"10_757_4148"},{"id":"786","quanpin":"baojinan","jianpin":"bjn","name":"宝鸡南","code":"BBY","jdId":""},{"id":"641","quanpin":"mupang","jianpin":"mp","name":"沐滂","code":"MPQ","jdId":""},{"id":"1526","quanpin":"shenzhen","jianpin":"sz","name":"深圳","code":"SZQ","jdId":"19_1607_0"},{"id":"494","quanpin":"wuqiao","jianpin":"wq","name":"吴桥","code":"WUP","jdId":"5_264_273"},{"id":"1414","quanpin":"tangyin","jianpin":"ty","name":"汤阴","code":"TYF","jdId":"7_468_472"},{"id":"756","quanpin":"anyang","jianpin":"ay","name":"安阳","code":"AYF","jdId":"7_468_0"},{"id":"213","quanpin":"qifengta","jianpin":"qft","name":"奇峰塔","code":"QVP","jdId":""},{"id":"2577","quanpin":"anshunxi","jianpin":"asx","name":"安顺西","code":"ASE","jdId":""},{"id":"1047","quanpin":"xipudong","jianpin":"xpd","name":"犀浦东","code":"XAW","jdId":""},{"id":"308","quanpin":"baiyinhushuo","jianpin":"byhs","name":"白音胡硕","code":"BCD","jdId":""},{"id":"28","quanpin":"luchaogang","jianpin":"lcg","name":"芦潮港","code":"UCH","jdId":"2_2836_2942"},{"id":"2554","quanpin":"yongkangnan","jianpin":"ykn","name":"永康南","code":"QUH","jdId":""},{"id":"2278","quanpin":"huozhou","jianpin":"hz","name":"霍州","code":"HZV","jdId":"6_379_381"},{"id":"2071","quanpin":"paihuaibei","jianpin":"phb","name":"徘徊北","code":"PHP","jdId":""},{"id":"1402","quanpin":"jiangning","jianpin":"jn","name":"江宁","code":"JJH","jdId":"12_904_905"},{"id":"2590","quanpin":"minquanbei","jianpin":"mqb","name":"民权北","code":"MIF","jdId":""},{"id":"1466","quanpin":"ciyao","jianpin":"cy","name":"磁窑","code":"CYK","jdId":""},{"id":"2116","quanpin":"lilingdong","jianpin":"lld","name":"醴陵东","code":"UKQ","jdId":""},{"id":"2014","quanpin":"gangou","jianpin":"gg","name":"干沟","code":"GGL","jdId":""},{"id":"1662","quanpin":"ruichang","jianpin":"rc","name":"瑞昌","code":"RCG","jdId":"21_1845_1847"},{"id":"227","quanpin":"xinfeng","jianpin":"xf","name":"信丰","code":"EFG","jdId":"21_1911_1926"},{"id":"2195","quanpin":"yijianpu","jianpin":"yjb","name":"一间堡","code":"YJT","jdId":""},{"id":"1278","quanpin":"songtao","jianpin":"st","name":"松桃","code":"MZQ","jdId":""},{"id":"2376","quanpin":"zhaoguang","jianpin":"zg","name":"赵光","code":"ZGB","jdId":""},{"id":"503","quanpin":"suotuhan","jianpin":"sth","name":"索图罕","code":"SHX","jdId":""},{"id":"1650","quanpin":"yuxi","jianpin":"yx","name":"玉溪","code":"AXM","jdId":"25_2258_0"},{"id":"1012","quanpin":"dongyudi","jianpin":"dyd","name":"东淤地","code":"DBV","jdId":""},{"id":"103","quanpin":"yiwu","jianpin":"yw","name":"义乌","code":"YWH","jdId":"15_1262_1266"},{"id":"523","quanpin":"zhalainuoerxi","jianpin":"zlnex","name":"扎赉诺尔西","code":"ZXX","jdId":""},{"id":"1280","quanpin":"songjiangnan","jianpin":"sjn","name":"松江南","code":"IMH","jdId":""},{"id":"2045","quanpin":"dalin","jianpin":"dl","name":"大林","code":"DLD","jdId":""},{"id":"2625","quanpin":"dongjing","jianpin":"dj","name":"洞井","code":"FWQ","jdId":""},{"id":"339","quanpin":"boli","jianpin":"bl","name":"勃利","code":"BLB","jdId":"10_773_774"},{"id":"1863","quanpin":"xianyou","jianpin":"xy","name":"仙游","code":"XWS","jdId":"16_1329_1331"},{"id":"29","quanpin":"hongshan","jianpin":"hs","name":"红山","code":"VSB","jdId":"11_812_32937"},{"id":"1331","quanpin":"yulin","jianpin":"yl","name":"榆林","code":"ALY","jdId":"27_2454_0"},{"id":"1179","quanpin":"kunyang","jianpin":"ky","name":"昆阳","code":"KAM","jdId":""},{"id":"836","quanpin":"xiajiang","jianpin":"xj","name":"峡江","code":"EJG","jdId":"21_1898_1905"},{"id":"1259","quanpin":"yanglingnan","jianpin":"yln","name":"杨陵南","code":"YEY","jdId":""},{"id":"2412","quanpin":"guanzhaishan","jianpin":"gzs","name":"冠豸山","code":"GSS","jdId":""},{"id":"1626","quanpin":"lagu","jianpin":"lg","name":"拉古","code":"LGB","jdId":""},{"id":"950","quanpin":"zhangjiakounan","jianpin":"zjkn","name":"张家口南","code":"ZMP","jdId":""},{"id":"39","quanpin":"dongtai","jianpin":"dt","name":"东台","code":"DBH","jdId":"12_939_940"},{"id":"1529","quanpin":"shenzhenxi","jianpin":"szx","name":"深圳西","code":"OSQ","jdId":""},{"id":"1576","quanpin":"luanxian","jianpin":"lx","name":"滦县","code":"UXP","jdId":"5_258_2765"},{"id":"441","quanpin":"fenglezhen","jianpin":"flz","name":"丰乐镇","code":"FZB","jdId":""},{"id":"1972","quanpin":"daban","jianpin":"db","name":"大板","code":"DBC","jdId":""},{"id":"835","quanpin":"yueyangdong","jianpin":"yyd","name":"岳阳东","code":"YIQ","jdId":""},{"id":"1850","quanpin":"suzhou","jianpin":"sz","name":"苏州","code":"SZH","jdId":"12_988_0"},{"id":"1276","quanpin":"jubao","jianpin":"jb","name":"巨宝","code":"JRT","jdId":""},{"id":"99","quanpin":"dantu","jianpin":"dt","name":"丹徒","code":"RUH","jdId":"12_972_976"},{"id":"2055","quanpin":"naqu","jianpin":"nq","name":"那曲","code":"NQO","jdId":"26_3107_3961"},{"id":"1810","quanpin":"xinglongzhen","jianpin":"xlz","name":"兴隆镇","code":"XZB","jdId":"4_119_9985"},{"id":"2126","quanpin":"jinhua","jianpin":"jh","name":"金华","code":"JBH","jdId":"15_1262_0"},{"id":"1762","quanpin":"shenmu","jianpin":"sm","name":"神木","code":"OMY","jdId":"27_2454_2460"},{"id":"425","quanpin":"xiamenbei","jianpin":"xmb","name":"厦门北","code":"XKS","jdId":""},{"id":"401","quanpin":"nanping","jianpin":"np","name":"南平","code":"NPS","jdId":"16_1352_0"},{"id":"1423","quanpin":"yangmingbu","jianpin":"ymp","name":"阳明堡","code":"YVV","jdId":""},{"id":"1582","quanpin":"luohexi","jianpin":"lhx","name":"漯河西","code":"LBN","jdId":""},{"id":"1211","quanpin":"xiaodejiang","jianpin":"xdj","name":"小得江","code":"EJM","jdId":""},{"id":"1964","quanpin":"xinwopu","jianpin":"xwp","name":"新窝铺","code":"EPD","jdId":""},{"id":"2528","quanpin":"rongchangbei","jianpin":"rcb","name":"荣昌北","code":"RQW","jdId":""},{"id":"530","quanpin":"kangjinjing","jianpin":"kjj","name":"康金井","code":"KJB","jdId":""},{"id":"1859","quanpin":"jingzhou","jianpin":"jz","name":"荆州","code":"JBN","jdId":"17_1413_0"},{"id":"1787","quanpin":"qijiang","jianpin":"qj","name":"綦江","code":"QJW","jdId":"4_50995_0"},{"id":"2148","quanpin":"bijiang","jianpin":"bj","name":"碧江","code":"BLQ","jdId":"24_2169_2170"},{"id":"346","quanpin":"yunjusi","jianpin":"yjs","name":"云居寺","code":"AFP","jdId":""},{"id":"1833","quanpin":"guangning","jianpin":"gn","name":"广宁","code":"FBQ","jdId":"19_1690_1693"},{"id":"2092","quanpin":"chenzhou","jianpin":"cz","name":"郴州","code":"CZQ","jdId":"18_1544_0"},{"id":"2515","quanpin":"nanbu","jianpin":"nb","name":"南部","code":"NBE","jdId":"22_2022_36936"},{"id":"906","quanpin":"changqingqiao","jianpin":"cqq","name":"长庆桥","code":"CQJ","jdId":""},{"id":"893","quanpin":"guangan","jianpin":"ga","name":"广安","code":"VJW","jdId":"22_2016_0"},{"id":"2594","quanpin":"babu","jianpin":"bb","name":"八步","code":"BBE","jdId":"20_1792_23040"},{"id":"2517","quanpin":"nanchongbei","jianpin":"ncb","name":"南充北","code":"NCE","jdId":""},{"id":"1399","quanpin":"shanwei","jianpin":"sw","name":"汕尾","code":"OGQ","jdId":"19_1650_0"},{"id":"1595","quanpin":"tongguan","jianpin":"tg","name":"潼关","code":"TGY","jdId":"27_2416_2421"},{"id":"2123","quanpin":"chongqingnan","jianpin":"cqn","name":"重庆南","code":"CRW","jdId":""},{"id":"2098","quanpin":"yingbinlu","jianpin":"ybl","name":"迎宾路","code":"YFW","jdId":""},{"id":"2222","quanpin":"luopoling","jianpin":"lpl","name":"落坡岭","code":"LPP","jdId":""},{"id":"92","quanpin":"dapu","jianpin":"db","name":"大堡","code":"DVT","jdId":""},{"id":"399","quanpin":"nancha","jianpin":"nc","name":"南岔","code":"NCB","jdId":"10_753_3345"},{"id":"168","quanpin":"jiexiu","jianpin":"jx","name":"介休","code":"JXV","jdId":"6_336_338"},{"id":"1502","quanpin":"haianxian","jianpin":"hax","name":"海安县","code":"HIH","jdId":"12_965_2774"},{"id":"938","quanpin":"jianhu","jianpin":"jh","name":"建湖","code":"AJH","jdId":"12_939_945"},{"id":"996","quanpin":"deyang","jianpin":"dy","name":"德阳","code":"DYW","jdId":"22_1962_0"},{"id":"207","quanpin":"houmaxi","jianpin":"hmx","name":"侯马西","code":"HPV","jdId":""},{"id":"1751","quanpin":"dangshan","jianpin":"ds","name":"砀山","code":"DKH","jdId":"14_1180_1184"},{"id":"1134","quanpin":"xinhe","jianpin":"xh","name":"新和","code":"XIR","jdId":"31_2675_2684"},{"id":"2498","quanpin":"jiangningxi","jianpin":"jnx","name":"江宁西","code":"OKH","jdId":""},{"id":"329","quanpin":"lingyuan","jianpin":"ly","name":"凌源","code":"LYD","jdId":"8_632_633"},{"id":"627","quanpin":"xinhuatun","jianpin":"xht","name":"新华屯","code":"XAX","jdId":""},{"id":"68","quanpin":"dongsheng","jianpin":"ds","name":"东升","code":"DRQ","jdId":"19_1657_4080"},{"id":"395","quanpin":"dawangtan","jianpin":"dwt","name":"大王滩","code":"DZZ","jdId":""},{"id":"1603","quanpin":"lingshidong","jianpin":"lsd","name":"灵石东","code":"UDV","jdId":""},{"id":"1255","quanpin":"bijiashan","jianpin":"bjs","name":"笔架山","code":"BSB","jdId":""},{"id":"1260","quanpin":"yangling","jianpin":"yl","name":"杨陵","code":"YSY","jdId":"27_2402_44514"},{"id":"215","quanpin":"bancheng","jianpin":"bc","name":"板城","code":"BUP","jdId":""},{"id":"333","quanpin":"pingxiang","jianpin":"px","name":"凭祥","code":"PXZ","jdId":"20_3168_3681"},{"id":"1949","quanpin":"guiyang","jianpin":"gy","name":"贵阳","code":"GIW","jdId":"24_2144_0"},{"id":"1394","quanpin":"hanchuan","jianpin":"hc","name":"汉川","code":"HCN","jdId":"17_1432_1435"},{"id":"45","quanpin":"donghaixian","jianpin":"dhx","name":"东海县","code":"DQH","jdId":"12_919_922"},{"id":"115","quanpin":"zhuozishan","jianpin":"zzs","name":"卓资山","code":"ZZC","jdId":""},{"id":"2113","quanpin":"qingshuibei","jianpin":"qsb","name":"清水北","code":"QEJ","jdId":""},{"id":"360","quanpin":"pingyu","jianpin":"py","name":"平峪","code":"PYP","jdId":""},{"id":"691","quanpin":"tianzhu","jianpin":"tz","name":"天祝","code":"TZJ","jdId":"28_2544_2547"},{"id":"1037","quanpin":"huizhounan","jianpin":"hzn","name":"惠州南","code":"KNQ","jdId":""},{"id":"2550","quanpin":"yijiang","jianpin":"yj","name":"弋江","code":"RVH","jdId":"14_1127_4172"},{"id":"1516","quanpin":"yuanqian","jianpin":"yq","name":"源迁","code":"AQK","jdId":""},{"id":"2056","quanpin":"qidongbei","jianpin":"qd","name":"祁东北","code":"QRQ","jdId":""},{"id":"1194","quanpin":"jinchengbei","jianpin":"jcb","name":"晋城北","code":"JEF","jdId":""},{"id":"1540","quanpin":"mianchi","jianpin":"mc","name":"渑池","code":"MCF","jdId":"7_495_3113"},{"id":"1332","quanpin":"yushu","jianpin":"ys","name":"榆树","code":"YRT","jdId":"9_639_640"},{"id":"901","quanpin":"guangshui","jianpin":"gs","name":"广水","code":"GSN","jdId":"17_1479_3163"},{"id":"1325","quanpin":"heijing","jianpin":"hj","name":"黑井","code":"HIM","jdId":""},{"id":"1014","quanpin":"huairen","jianpin":"hr","name":"怀仁","code":"HRV","jdId":"6_330_334"},{"id":"2322","quanpin":"gaotainan","jianpin":"gtn","name":"高台南","code":"GAJ","jdId":""},{"id":"538","quanpin":"heping","jianpin":"hp","name":"和平","code":"VAQ","jdId":"3_51036_0"},{"id":"1539","quanpin":"qingyuan","jianpin":"qy","name":"清远","code":"QBQ","jdId":"19_1704_0"},{"id":"1316","quanpin":"chuxiong","jianpin":"cx","name":"楚雄","code":"COM","jdId":"25_2336_0"},{"id":"1775","quanpin":"qinhuangdao","jianpin":"qhd","name":"秦皇岛","code":"QTP","jdId":"5_248_0"},{"id":"1309","quanpin":"dapu","jianpin":"dp","name":"大埔","code":"DPI","jdId":"19_1634_1638"},{"id":"2136","quanpin":"qinzhoudong","jianpin":"qzd","name":"钦州东","code":"QDZ","jdId":""},{"id":"2169","quanpin":"goubangzi","jianpin":"gbz","name":"沟帮子","code":"GBD","jdId":""},{"id":"847","quanpin":"chaohu","jianpin":"ch","name":"巢湖","code":"CIH","jdId":"14_1116_49709"},{"id":"225","quanpin":"wangdu","jianpin":"wd","name":"望都","code":"WDP","jdId":"5_199_215"},{"id":"243","quanpin":"manasihu","jianpin":"mnsh","name":"玛纳斯湖","code":"MNR","jdId":""},{"id":"2595","quanpin":"dafangnan","jianpin":"dfn","name":"大方南","code":"DNE","jdId":""},{"id":"578","quanpin":"lvhua","jianpin":"lh","name":"绿化","code":"LWJ","jdId":""},{"id":"2274","quanpin":"lingling","jianpin":"ll","name":"零陵","code":"UWZ","jdId":"18_1560_1573"},{"id":"2434","quanpin":"antuxi","jianpin":"atx","name":"安图西","code":"AXL","jdId":""},{"id":"1546","quanpin":"yandangshan","jianpin":"yds","name":"雁荡山","code":"YGH","jdId":""},{"id":"1656","quanpin":"tangjiawan","jianpin":"tjw","name":"唐家湾","code":"PDQ","jdId":""},{"id":"2145","quanpin":"pinggang","jianpin":"pg","name":"平岗","code":"PGL","jdId":""},{"id":"985","quanpin":"delingha","jianpin":"dlh","name":"德令哈","code":"DHO","jdId":"29_2620_2621"},{"id":"751","quanpin":"dazhuyuan","jianpin":"dzy","name":"大竹园","code":"DZY","jdId":""},{"id":"1950","quanpin":"guiyangbei","jianpin":"gyb","name":"贵阳北","code":"KQW","jdId":""},{"id":"2231","quanpin":"zhanggutai","jianpin":"zgt","name":"章古台","code":"ZGD","jdId":""},{"id":"1736","quanpin":"nanyu","jianpin":"ny","name":"南峪","code":"NUP","jdId":""},{"id":"141","quanpin":"erlian","jianpin":"el","name":"二连","code":"RLC","jdId":""},{"id":"307","quanpin":"xinganbei","jianpin":"xab","name":"兴安北","code":"XDZ","jdId":"11_895_0"},{"id":"2461","quanpin":"bishan","jianpin":"bs","name":"璧山","code":"FZW","jdId":"4_48131_0"},{"id":"684","quanpin":"binhaibei","jianpin":"bhb","name":"滨海北","code":"FCP","jdId":""},{"id":"817","quanpin":"weihe","jianpin":"wh","name":"苇河","code":"WHB","jdId":""},{"id":"2137","quanpin":"xiaodong","jianpin":"xd","name":"小董","code":"XEZ","jdId":""},{"id":"2221","quanpin":"zhuwo","jianpin":"zw","name":"珠窝","code":"ZOP","jdId":""},{"id":"719","quanpin":"loudi","jianpin":"ld","name":"娄底","code":"LDQ","jdId":"18_1586_0"},{"id":"1080","quanpin":"nanwanzi","jianpin":"nwz","name":"南湾子","code":"NWP","jdId":""},{"id":"372","quanpin":"huaying","jianpin":"hy","name":"华蓥","code":"HUW","jdId":"22_2016_2021"},{"id":"1032","quanpin":"xifeng","jianpin":"xf","name":"息烽","code":"XFW","jdId":"24_2144_2148"},{"id":"1204","quanpin":"qufu","jianpin":"qf","name":"曲阜","code":"QFK","jdId":"13_2900_25715"},{"id":"2005","quanpin":"lianjiang","jianpin":"lj","name":"连江","code":"LKS","jdId":"16_1303_1309"},{"id":"903","quanpin":"guanghan","jianpin":"gh","name":"广汉","code":"GHW","jdId":"22_1962_39010"},{"id":"483","quanpin":"wupu","jianpin":"wb","name":"吴堡","code":"WUY","jdId":"27_2454_2466"},{"id":"220","quanpin":"zijingguan","jianpin":"zjg","name":"紫荆关","code":"ZYP","jdId":""},{"id":"374","quanpin":"nanfeng","jianpin":"nf","name":"南丰","code":"NFG","jdId":"21_1885_1887"},{"id":"759","quanpin":"puding","jianpin":"pd","name":"普定","code":"PGW","jdId":"24_2189_2191"},{"id":"60","quanpin":"zhongningdong","jianpin":"znd","name":"中宁东","code":"ZDJ","jdId":""},{"id":"1652","quanpin":"yumen","jianpin":"ym","name":"玉门","code":"YXJ","jdId":"28_2556_2558"},{"id":"1768","quanpin":"fuzhounan","jianpin":"fzn","name":"福州南","code":"FYS","jdId":""},{"id":"1728","quanpin":"meishan","jianpin":"ms","name":"眉山","code":"MSW","jdId":"22_2058_0"},{"id":"2180","quanpin":"danyangbei","jianpin":"dyb","name":"丹阳北","code":"EXH","jdId":""},{"id":"1840","quanpin":"wuwei","jianpin":"ww","name":"无为","code":"IIH","jdId":"14_1127_1189"},{"id":"14","quanpin":"sanming","jianpin":"sm","name":"三明","code":"SMS","jdId":"16_1317_0"},{"id":"1934","quanpin":"xiping","jianpin":"xp","name":"西平","code":"XPN","jdId":"7_538_544"},{"id":"2023","quanpin":"chaoyangzhen","jianpin":"cyz","name":"朝阳镇","code":"CZL","jdId":""},{"id":"109","quanpin":"jiningnan","jianpin":"jnn","name":"集宁南","code":"JAC","jdId":""},{"id":"352","quanpin":"nanguancun","jianpin":"ngc","name":"南观村","code":"NGP","jdId":""},{"id":"398","quanpin":"bailang","jianpin":"bl","name":"百浪","code":"BRZ","jdId":""},{"id":"187","quanpin":"yuhang","jianpin":"yh","name":"余杭","code":"EVH","jdId":"15_1213_1214"},{"id":"532","quanpin":"xujia","jianpin":"xj","name":"徐家","code":"XJB","jdId":"4_135_10166"},{"id":"873","quanpin":"ankouyao","jianpin":"aky","name":"安口窑","code":"AYY","jdId":""},{"id":"2619","quanpin":"bantang","jianpin":"bt","name":"板塘","code":"NGQ","jdId":""},{"id":"1350","quanpin":"yuandun","jianpin":"yd","name":"园墩","code":"YAJ","jdId":""},{"id":"1369","quanpin":"puan","jianpin":"pa","name":"普安","code":"PAN","jdId":"4_133_10118"},{"id":"2257","quanpin":"pingshan","jianpin":"ps","name":"平山","code":"PSB","jdId":"5_142_4158"},{"id":"2110","quanpin":"shulehe","jianpin":"slh","name":"疏勒河","code":"SHJ","jdId":""},{"id":"1089","quanpin":"beipiaonan","jianpin":"bpn","name":"北票南","code":"RPD","jdId":""},{"id":"1865","quanpin":"junan","jianpin":"jn","name":"莒南","code":"JOK","jdId":"13_1072_2926"},{"id":"1392","quanpin":"hanzhong","jianpin":"hz","name":"汉中","code":"HOY","jdId":"27_2442_0"},{"id":"1354","quanpin":"tanjiajing","jianpin":"tjj","name":"谭家井","code":"TNJ","jdId":""},{"id":"2121","quanpin":"ganshui","jianpin":"gs","name":"赶水","code":"GSW","jdId":"4_50995_51006"},{"id":"1500","quanpin":"hainingxi","jianpin":"hnx","name":"海宁西","code":"EUH","jdId":""},{"id":"1198","quanpin":"puning","jianpin":"pn","name":"普宁","code":"PEQ","jdId":"19_1709_5864"},{"id":"1023","quanpin":"miaocheng","jianpin":"mc","name":"庙城","code":"MAP","jdId":""},{"id":"1839","quanpin":"shucheng","jianpin":"sc","name":"舒城","code":"OCH","jdId":"14_1206_1211"},{"id":"2589","quanpin":"lankaonan","jianpin":"lkn","name":"兰考南","code":"LUF","jdId":""},{"id":"1133","quanpin":"xinxian","jianpin":"xx","name":"新县","code":"XSN","jdId":"7_549_554"},{"id":"277","quanpin":"fengshuicun","jianpin":"fsc","name":"丰水村","code":"FSJ","jdId":""},{"id":"1534","quanpin":"qingyuan","jianpin":"qy","name":"清原","code":"QYT","jdId":"8_584_587"},{"id":"217","quanpin":"baijian","jianpin":"bj","name":"白涧","code":"BAP","jdId":""},{"id":"2626","quanpin":"xiangfulu","jianpin":"xfl","name":"湘府路","code":"FVQ","jdId":""},{"id":"1532","quanpin":"shenzhenpingshan","jianpin":"szps","name":"深圳坪山","code":"IFQ","jdId":""},{"id":"1636","quanpin":"xiachengzi","jianpin":"xcz","name":"下城子","code":"XCB","jdId":""},{"id":"1374","quanpin":"caohai","jianpin":"ch","name":"草海","code":"WBW","jdId":""},{"id":"11","quanpin":"shaxian","jianpin":"sx","name":"沙县","code":"SAS","jdId":"16_1317_1325"},{"id":"450","quanpin":"hechuan","jianpin":"hc","name":"合川","code":"WKW","jdId":"4_48201_0"},{"id":"254","quanpin":"putaojing","jianpin":"ptj","name":"葡萄菁","code":"PTW","jdId":""},{"id":"1651","quanpin":"yutianxian","jianpin":"ytx","name":"玉田县","code":"ATP","jdId":"5_258_2762"},{"id":"1185","quanpin":"changpingbei","jianpin":"cpb","name":"昌平北","code":"VBP","jdId":""},{"id":"1866","quanpin":"juxian","jianpin":"jx","name":"莒县","code":"JKK","jdId":"13_1108_3068"},{"id":"2578","quanpin":"changshouhu","jianpin":"csh","name":"长寿湖","code":"CSE","jdId":"4_48206_48281"},{"id":"485","quanpin":"daba","jianpin":"db","name":"大坝","code":"DBJ","jdId":""},{"id":"1984","quanpin":"xinji","jianpin":"xj","name":"辛集","code":"ENP","jdId":"5_142_143"},{"id":"945","quanpin":"kaifeng","jianpin":"kf","name":"开封","code":"KFF","jdId":"7_420_0"},{"id":"2458","quanpin":"baiyinhuanan","jianpin":"byhn","name":"白音华南","code":"FNC","jdId":""},{"id":"478","quanpin":"xiaoxi","jianpin":"xx","name":"孝西","code":"XOV","jdId":""},{"id":"1939","quanpin":"xuchang","jianpin":"xc","name":"许昌","code":"XCF","jdId":"7_482_0"},{"id":"1497","quanpin":"haikou","jianpin":"hk","name":"海口","code":"VUQ","jdId":"23_2121_0"},{"id":"2200","quanpin":"changchunnan","jianpin":"ccn","name":"长春南","code":"CET","jdId":""},{"id":"1351","quanpin":"dachaigou","jianpin":"dcg","name":"打柴沟","code":"DGJ","jdId":""},{"id":"561","quanpin":"tanghe","jianpin":"th","name":"唐河","code":"THF","jdId":"7_502_508"},{"id":"108","quanpin":"daluhao","jianpin":"dlh","name":"大陆号","code":"DLC","jdId":""},{"id":"23","quanpin":"shanghainan","jianpin":"shn","name":"上海南","code":"SNH","jdId":""},{"id":"377","quanpin":"liuhe","jianpin":"lh","name":"六合","code":"KLH","jdId":"12_904_908"},{"id":"2402","quanpin":"laha","jianpin":"lh","name":"拉哈","code":"LHX","jdId":""},{"id":"66","quanpin":"zhongshanbei","jianpin":"zsb","name":"中山北","code":"ZGQ","jdId":""},{"id":"2302","quanpin":"shaoguan","jianpin":"sg","name":"韶关","code":"SNQ","jdId":"19_1617_0"},{"id":"1257","quanpin":"laibin","jianpin":"lb","name":"来宾","code":"UBZ","jdId":"20_3044_0"},{"id":"1589","quanpin":"weifang","jianpin":"wf","name":"潍坊","code":"WFK","jdId":"13_1032_0"},{"id":"904","quanpin":"guangtongbei","jianpin":"gtb","name":"广通北","code":"GPM","jdId":""},{"id":"1455","quanpin":"nandan","jianpin":"nd","name":"南丹","code":"NDZ","jdId":"20_1818_1823"},{"id":"848","quanpin":"zuoling","jianpin":"zl","name":"左岭","code":"ZSN","jdId":""},{"id":"2028","quanpin":"tongliao","jianpin":"tl","name":"通辽","code":"TLD","jdId":"11_902_0"},{"id":"1315","quanpin":"tanghai","jianpin":"th","name":"棠海","code":"THM","jdId":""},{"id":"383","quanpin":"nanhua","jianpin":"nh","name":"南华","code":"NHS","jdId":"25_2336_2339"},{"id":"120","quanpin":"wuhaixi","jianpin":"whx","name":"乌海西","code":"WXC","jdId":""},{"id":"2151","quanpin":"tonglingbei","jianpin":"tlb","name":"铜陵北","code":"KXH","jdId":""},{"id":"1610","quanpin":"muping","jianpin":"mp","name":"牟平","code":"MBK","jdId":"13_1042_46505"},{"id":"971","quanpin":"minle","jianpin":"ml","name":"民乐","code":"MBJ","jdId":"28_2549_2555"},{"id":"1329","quanpin":"gaoloufang","jianpin":"glf","name":"高楼房","code":"GFM","jdId":""},{"id":"2067","quanpin":"yangyi","jianpin":"yy","name":"阳邑","code":"ARP","jdId":""},{"id":"126","quanpin":"leshanbei","jianpin":"ls","name":"乐山北","code":"UTW","jdId":""},{"id":"2202","quanpin":"yaojia","jianpin":"yj","name":"姚家","code":"YAT","jdId":""},{"id":"917","quanpin":"langfangbei","jianpin":"lfb","name":"廊坊北","code":"LFP","jdId":""},{"id":"219","quanpin":"yesanpo","jianpin":"ysp","name":"野三坡","code":"AIP","jdId":""},{"id":"2476","quanpin":"donggangbei","jianpin":"dgb","name":"东港北","code":"RGT","jdId":""},{"id":"1959","quanpin":"ziyang","jianpin":"zy","name":"资阳","code":"ZYW","jdId":"22_2065_0"},{"id":"1395","quanpin":"hanyuan","jianpin":"hy","name":"汉源","code":"WHW","jdId":"22_2047_2056"},{"id":"1504","quanpin":"hailin","jianpin":"hl","name":"海林","code":"HRB","jdId":"10_757_758"},{"id":"1920","quanpin":"xiangfen","jianpin":"xf","name":"襄汾","code":"XFV","jdId":"6_379_390"},{"id":"1568","quanpin":"xupu","jianpin":"xp","name":"溆浦","code":"EPQ","jdId":"18_1574_1578"},{"id":"1072","quanpin":"dongmiaohe","jianpin":"dmh","name":"洞庙河","code":"DEP","jdId":""},{"id":"1871","quanpin":"linjialou","jianpin":"ljl","name":"蔺家楼","code":"ULK","jdId":""},{"id":"675","quanpin":"tanggu","jianpin":"tg","name":"塘沽","code":"TGP","jdId":"3_51044_0"},{"id":"2648","quanpin":"jiangmendong","jianpin":"jmd","name":"江门东","code":"JWQ","jdId":""},{"id":"1313","quanpin":"longgudian","jianpin":"lgd","name":"龙骨甸","code":"LGM","jdId":""},{"id":"2288","quanpin":"lancun","jianpin":"lc","name":"蓝村","code":"LCK","jdId":""},{"id":"880","quanpin":"pingfang","jianpin":"pf","name":"平房","code":"PFB","jdId":"10_698_45820"},{"id":"982","quanpin":"xuzhou","jianpin":"xz","name":"徐州","code":"XCH","jdId":"12_911_0"},{"id":"2545","quanpin":"xiwuqi","jianpin":"xwq","name":"西乌旗","code":"XWC","jdId":""},{"id":"661","quanpin":"dalian","jianpin":"dl","name":"大连","code":"DLT","jdId":"8_573_0"},{"id":"1082","quanpin":"liudaohezi","jianpin":"ldhz","name":"六道河子","code":"LVP","jdId":""},{"id":"1200","quanpin":"jingdezhen","jianpin":"jdz","name":"景德镇","code":"JCG","jdId":"21_1832_0"},{"id":"2435","quanpin":"shenyangnan","jianpin":"syn","name":"沈阳南","code":"SOT","jdId":""},{"id":"2629","quanpin":"hadapu","jianpin":"hdp","name":"哈达铺","code":"HDJ","jdId":""},{"id":"138","quanpin":"gongqingcheng","jianpin":"gqc","name":"共青城","code":"GAG","jdId":"21_1845_4161"},{"id":"358","quanpin":"dahuichang","jianpin":"dhc","name":"大灰厂","code":"DHP","jdId":""},{"id":"1854","quanpin":"yingde","jianpin":"yd","name":"英德","code":"YDQ","jdId":"19_1704_37735"},{"id":"796","quanpin":"suzhou","jianpin":"sz","name":"宿州","code":"OXH","jdId":"14_1180_0"},{"id":"2090","quanpin":"tancheng","jianpin":"tc","name":"郯城","code":"TZK","jdId":"13_1072_2974"},{"id":"1969","quanpin":"chifeng","jianpin":"cf","name":"赤峰","code":"CFD","jdId":"11_812_0"},{"id":"2563","quanpin":"zhuanghebei","jianpin":"zhb","name":"庄河北","code":"ZUT","jdId":""},{"id":"1382","quanpin":"daozhou","jianpin":"dz","name":"道州","code":"DFZ","jdId":""},{"id":"2119","quanpin":"chongqingbei","jianpin":"cqb","name":"重庆北","code":"CUW","jdId":""},{"id":"412","quanpin":"nantong","jianpin":"nt","name":"南通","code":"NUH","jdId":"12_965_0"},{"id":"162","quanpin":"yalongwan","jianpin":"ylw","name":"亚龙湾","code":"TWQ","jdId":""},{"id":"2318","quanpin":"maanshan","jianpin":"mas","name":"马鞍山","code":"MAH","jdId":"14_1137_0"},{"id":"2645","quanpin":"liujiang","jianpin":"lj","name":"柳江","code":"UQZ","jdId":"20_1720_1721"},{"id":"2276","quanpin":"huoerguosi","jianpin":"hegs","name":"霍尔果斯","code":"HFR","jdId":""},{"id":"80","quanpin":"linze","jianpin":"lz","name":"临泽","code":"LEJ","jdId":"28_2549_2552"},{"id":"865","quanpin":"dailing","jianpin":"dl","name":"带岭","code":"DLB","jdId":"10_753_3355"},{"id":"2385","quanpin":"xianghe","jianpin":"xh","name":"襄河","code":"XXB","jdId":""},{"id":"1503","quanpin":"hailaer","jianpin":"hle","name":"海拉尔","code":"HRX","jdId":"11_848_849"},{"id":"744","quanpin":"anhua","jianpin":"ah","name":"安化","code":"PKQ","jdId":"18_1555_1558"},{"id":"1801","quanpin":"jiangjia","jianpin":"jj","name":"姜家","code":"JJB","jdId":"4_48202_48369"},{"id":"1173","quanpin":"dushupu","jianpin":"dsp","name":"读书铺","code":"DPM","jdId":""},{"id":"49","quanpin":"zhangmutou","jianpin":"zmt","name":"樟木头","code":"ZOQ","jdId":"19_1655_4932"},{"id":"1067","quanpin":"jiashan","jianpin":"js","name":"甲山","code":"JOP","jdId":""},{"id":"2244","quanpin":"yanhui","jianpin":"yh","name":"岩会","code":"AEP","jdId":""},{"id":"2052","quanpin":"xingtai","jianpin":"xt","name":"邢台","code":"XTP","jdId":"5_164_0"},{"id":"1605","quanpin":"yanling","jianpin":"yl","name":"炎陵","code":"YAG","jdId":"18_1488_1493"},{"id":"928","quanpin":"chaoyangchuan","jianpin":"cyc","name":"朝阳川","code":"CYL","jdId":""},{"id":"2312","quanpin":"raoping","jianpin":"rp","name":"饶平","code":"RVQ","jdId":"19_1705_1707"},{"id":"1105","quanpin":"fushun","jianpin":"fs","name":"抚顺","code":"FST","jdId":"8_584_0"},{"id":"447","quanpin":"taian","jianpin":"ta","name":"台安","code":"TID","jdId":"8_579_580"},{"id":"91","quanpin":"dandong","jianpin":"dd","name":"丹东","code":"DUT","jdId":"8_593_0"},{"id":"1188","quanpin":"zhaotong","jianpin":"zt","name":"昭通","code":"ZDW","jdId":"25_2270_0"},{"id":"18","quanpin":"sanmenxia","jianpin":"smx","name":"三门峡","code":"SMF","jdId":"7_495_0"},{"id":"2481","quanpin":"fuliqu","jianpin":"flq","name":"福利区","code":"FLJ","jdId":""},{"id":"275","quanpin":"lufan","jianpin":"lf","name":"鲁番","code":"LVM","jdId":""},{"id":"1193","quanpin":"gaoping","jianpin":"gp","name":"高平","code":"GPF","jdId":"6_325_326"},{"id":"463","quanpin":"jilin","jianpin":"jl","name":"吉林","code":"JLL","jdId":"9_644_0"},{"id":"1098","quanpin":"linchuan","jianpin":"lc","name":"临川","code":"LCG","jdId":"21_1885_24946"},{"id":"2560","quanpin":"zhengzhouxi","jianpin":"zzx","name":"郑州西","code":"XPF","jdId":""},{"id":"1453","quanpin":"hejianxi","jianpin":"hjx","name":"河间西","code":"HXP","jdId":""},{"id":"1547","quanpin":"aojiang","jianpin":"aj","name":"鳌江","code":"ARH","jdId":""},{"id":"954","quanpin":"guantingxi","jianpin":"gtx","name":"官厅西","code":"KEP","jdId":""},{"id":"1462","quanpin":"sishui","jianpin":"ss","name":"泗水","code":"OSK","jdId":"13_2900_2914"},{"id":"741","quanpin":"ninglingxian","jianpin":"nlx","name":"宁陵县","code":"NLF","jdId":"7_517_519"},{"id":"428","quanpin":"zhoujia","jianpin":"zj","name":"周家","code":"ZOB","jdId":""},{"id":"1570","quanpin":"liyang","jianpin":"ly","name":"溧阳","code":"LEH","jdId":"12_978_981"},{"id":"320","quanpin":"ceheng","jianpin":"ch","name":"册亨","code":"CHZ","jdId":"24_2196_2201"},{"id":"1227","quanpin":"yebaishou","jianpin":"ybs","name":"叶柏寿","code":"YBD","jdId":""},{"id":"1542","quanpin":"quxian","jianpin":"qx","name":"渠县","code":"QRW","jdId":"22_2033_2037"},{"id":"878","quanpin":"pingyuan","jianpin":"py","name":"平原","code":"PYK","jdId":"13_1060_1068"},{"id":"1508","quanpin":"fuling","jianpin":"fl","name":"涪陵","code":"FLW","jdId":"4_114_0"},{"id":"1195","quanpin":"xiyangcun","jianpin":"xyc","name":"西阳村","code":"XQF","jdId":""},{"id":"2237","quanpin":"maoling","jianpin":"ml","name":"茅岭","code":"MLZ","jdId":""},{"id":"827","quanpin":"shanhaiguan","jianpin":"shg","name":"山海关","code":"SHD","jdId":"5_248_48378"},{"id":"1560","quanpin":"changxing","jianpin":"cx","name":"长兴","code":"CBH","jdId":"2_2919_50794"},{"id":"1799","quanpin":"limudian","jianpin":"lmd","name":"里木店","code":"LMB","jdId":""},{"id":"2157","quanpin":"baiqi","jianpin":"bq","name":"白旗","code":"BQP","jdId":""},{"id":"1881","quanpin":"yingshan","jianpin":"ys","name":"营山","code":"NUW","jdId":"22_2022_2030"},{"id":"165","quanpin":"bozhou","jianpin":"bz","name":"亳州","code":"BZH","jdId":"14_1174_0"},{"id":"919","quanpin":"guan","jianpin":"ga","name":"固安","code":"GFP","jdId":"5_274_284"},{"id":"101","quanpin":"lishui","jianpin":"ls","name":"丽水","code":"USH","jdId":"15_1280_0"},{"id":"2240","quanpin":"yangxin","jianpin":"yx","name":"阳新","code":"YON","jdId":"17_1387_1394"},{"id":"1480","quanpin":"taonan","jianpin":"tn","name":"洮南","code":"TVT","jdId":"9_681_683"},{"id":"2347","quanpin":"hebi","jianpin":"hb","name":"鹤壁","code":"HAF","jdId":"7_454_0"},{"id":"1974","quanpin":"chifengxi","jianpin":"cfx","name":"赤峰西","code":"CID","jdId":""},{"id":"439","quanpin":"hongxinglong","jianpin":"hxl","name":"红兴隆","code":"VHB","jdId":""},{"id":"1750","quanpin":"shimenxianbei","jianpin":"smxb","name":"石门县北","code":"VFQ","jdId":""},{"id":"883","quanpin":"pingyao","jianpin":"py","name":"平遥","code":"PYV","jdId":"6_336_347"},{"id":"356","quanpin":"shijingshannan","jianpin":"sjsn","name":"石景山南","code":"SRP","jdId":""},{"id":"687","quanpin":"tianjinxi","jianpin":"tjx","name":"天津西","code":"TXP","jdId":""},{"id":"616","quanpin":"dayebei","jianpin":"dyb","name":"大冶北","code":"DBN","jdId":""},{"id":"1447","quanpin":"hunhe","jianpin":"hh","name":"浑河","code":"HHT","jdId":""},{"id":"490","quanpin":"changnong","jianpin":"cn","name":"长农","code":"CNJ","jdId":""},{"id":"1952","quanpin":"feixian","jianpin":"fx","name":"费县","code":"FXK","jdId":"13_1072_1076"},{"id":"1549","quanpin":"sunzhen","jianpin":"sz","name":"孙镇","code":"OZY","jdId":""},{"id":"1901","quanpin":"bengbu","jianpin":"bb","name":"蚌埠","code":"BBH","jdId":"14_1132_0"},{"id":"2453","quanpin":"bazhouxi","jianpin":"bzx","name":"霸州西","code":"FOP","jdId":""},{"id":"2492","quanpin":"huanglingnan","jianpin":"hln","name":"黄陵南","code":"VLY","jdId":""},{"id":"1296","quanpin":"guiping","jianpin":"gp","name":"桂平","code":"GAZ","jdId":"20_1757_1758"},{"id":"1152","quanpin":"wangcang","jianpin":"wc","name":"旺苍","code":"WEW","jdId":"22_1977_1979"},{"id":"2073","quanpin":"lingyuandong","jianpin":"lyd","name":"凌源东","code":"LDD","jdId":""},{"id":"273","quanpin":"liupanshui","jianpin":"lps","name":"六盘水","code":"UMW","jdId":"24_2150_0"},{"id":"2283","quanpin":"qingxian","jianpin":"qx","name":"青县","code":"QXP","jdId":"5_264_271"},{"id":"806","quanpin":"mishan","jianpin":"ms","name":"密山","code":"MSB","jdId":"10_737_739"},{"id":"885","quanpin":"pingyi","jianpin":"py","name":"平邑","code":"PIK","jdId":"13_1072_1077"},{"id":"1857","quanpin":"chalingnan","jianpin":"cln","name":"茶陵南","code":"CNG","jdId":""},{"id":"548","quanpin":"binxian","jianpin":"bx","name":"彬县","code":"BXY","jdId":"27_2402_2408"},{"id":"2437","quanpin":"pingshang","jianpin":"ps","name":"坪上","code":"PSK","jdId":""},{"id":"849","quanpin":"juye","jianpin":"jy","name":"巨野","code":"JYK","jdId":"13_1099_1104"},{"id":"620","quanpin":"datong","jianpin":"dt","name":"大同","code":"DTV","jdId":"6_309_0"},{"id":"1319","quanpin":"xiaoyuejiu","jianpin":"xyj","name":"小月旧","code":"XFM","jdId":""},{"id":"1921","quanpin":"xiangfenxi","jianpin":"xfx","name":"襄汾西","code":"XTV","jdId":""},{"id":"1174","quanpin":"bijiguan","jianpin":"bjg","name":"碧鸡关","code":"BJM","jdId":""},{"id":"1914","quanpin":"nangongdong","jianpin":"ngd","name":"南宫东","code":"NFP","jdId":""},{"id":"1404","quanpin":"jiangyong","jianpin":"jy","name":"江永","code":"JYZ","jdId":"18_1560_1567"},{"id":"2395","quanpin":"weishe","jianpin":"ws","name":"威舍","code":"WSM","jdId":""},{"id":"81","quanpin":"linhai","jianpin":"lh","name":"临海","code":"UFH","jdId":"15_1290_1291"},{"id":"784","quanpin":"fengzhou","jianpin":"fz","name":"凤州","code":"FZY","jdId":""},{"id":"102","quanpin":"lijiang","jianpin":"lj","name":"丽江","code":"LHM","jdId":"25_2304_0"},{"id":"2193","quanpin":"wopi","jianpin":"wp","name":"沃皮","code":"WPT","jdId":""},{"id":"1826","quanpin":"leiyang","jianpin":"ly","name":"耒阳","code":"LYQ","jdId":"18_4250_0"},{"id":"775","quanpin":"yichangdong","jianpin":"ycd","name":"宜昌东","code":"HAN","jdId":""},{"id":"1221","quanpin":"changpoling","jianpin":"cpl","name":"长坡岭","code":"CPM","jdId":""},{"id":"1348","quanpin":"huangyangzhen","jianpin":"hyz","name":"黄羊镇","code":"HYJ","jdId":""},{"id":"325","quanpin":"puxiong","jianpin":"px","name":"普雄","code":"POW","jdId":""},{"id":"1261","quanpin":"hangzhounan","jianpin":"hzn","name":"杭州南","code":"XHH","jdId":""},{"id":"698","quanpin":"taiyuan","jianpin":"ty","name":"太原","code":"TYV","jdId":"6_303_0"},{"id":"1633","quanpin":"kuishan","jianpin":"ks","name":"奎山","code":"KAB","jdId":""},{"id":"1277","quanpin":"songyuanbei","jianpin":"syb","name":"松原北","code":"OCT","jdId":""},{"id":"379","quanpin":"nanjingnan","jianpin":"njn","name":"南京南","code":"NKH","jdId":""},{"id":"1707","quanpin":"baiyinxi","jianpin":"byx","name":"白银西","code":"BXJ","jdId":"28_2495_0"},{"id":"706","quanpin":"kuitun","jianpin":"kt","name":"奎屯","code":"KTR","jdId":"31_2727_4028"},{"id":"1687","quanpin":"pingtai","jianpin":"pt","name":"平台","code":"PVT","jdId":""},{"id":"32","quanpin":"shangrao","jianpin":"sr","name":"上饶","code":"SRG","jdId":"21_1861_0"},{"id":"543","quanpin":"xianningdong","jianpin":"xnd","name":"咸宁东","code":"XKN","jdId":""},{"id":"132","quanpin":"ledu","jianpin":"ld","name":"乐都","code":"LDO","jdId":"29_2585_2587"},{"id":"2079","quanpin":"shaoyang","jianpin":"sy","name":"邵阳","code":"SYQ","jdId":"18_1511_0"},{"id":"2379","quanpin":"tongbei","jianpin":"tb","name":"通北","code":"TBB","jdId":""},{"id":"2020","quanpin":"tonghua","jianpin":"th","name":"通化","code":"THL","jdId":"9_657_0"},{"id":"828","quanpin":"daiyue","jianpin":"dy","name":"岱岳","code":"RYV","jdId":"13_1112_46665"},{"id":"2340","quanpin":"xingkai","jianpin":"xk","name":"兴凯","code":"EKB","jdId":""},{"id":"1494","quanpin":"menyuan","jianpin":"my","name":"门源","code":"MYO","jdId":"29_2592_2596"},{"id":"1202","quanpin":"qushuixian","jianpin":"qsx","name":"曲水县","code":"QSO","jdId":"26_2951_3920"},{"id":"1686","quanpin":"kaitong","jianpin":"kt","name":"开通","code":"KTT","jdId":""},{"id":"2370","quanpin":"huangzhou","jianpin":"hz","name":"黄州","code":"VON","jdId":"17_1441_41908"},{"id":"1477","quanpin":"luoyanglongmen","jianpin":"lylm","name":"洛阳龙门","code":"LLF","jdId":""},{"id":"2631","quanpin":"funing","jianpin":"fn","name":"富宁","code":"FNM","jdId":"25_2309_2315"},{"id":"1960","quanpin":"ganzhou","jianpin":"gz","name":"赣州","code":"GZG","jdId":"21_1911_0"},{"id":"750","quanpin":"zongxi","jianpin":"zx","name":"棕溪","code":"ZOY","jdId":""},{"id":"1219","quanpin":"xinan","jianpin":"xa","name":"新安","code":"EAM","jdId":""},{"id":"1209","quanpin":"zhaofupu","jianpin":"zfp","name":"照福铺","code":"ZFM","jdId":""},{"id":"1802","quanpin":"anda","jianpin":"ad","name":"安达","code":"ADX","jdId":"10_782_784"},{"id":"559","quanpin":"tangshanbei","jianpin":"tsb","name":"唐山北","code":"FUP","jdId":""},{"id":"2172","quanpin":"dahongqi","jianpin":"dhq","name":"大红旗","code":"DQD","jdId":""},{"id":"2326","quanpin":"gaozhou","jianpin":"gz","name":"高州","code":"GSQ","jdId":"19_1684_19467"},{"id":"185","quanpin":"yuyaobei","jianpin":"yyb","name":"余姚北","code":"CTH","jdId":""},{"id":"1191","quanpin":"jincheng","jianpin":"jc","name":"晋城","code":"JCF","jdId":"6_325_0"},{"id":"1821","quanpin":"luoyuan","jianpin":"ly","name":"罗源","code":"LVS","jdId":"16_1303_1312"},{"id":"2502","quanpin":"lanlingbei","jianpin":"llb","name":"兰陵北","code":"COK","jdId":""},{"id":"260","quanpin":"faer","jianpin":"fe","name":"发耳","code":"FEM","jdId":""},{"id":"2439","quanpin":"shanghe","jianpin":"sh","name":"商河","code":"SOK","jdId":"13_1000_1005"},{"id":"1003","quanpin":"wutaishan","jianpin":"wts","name":"五台山","code":"WSV","jdId":""},{"id":"1594","quanpin":"chaoyang","jianpin":"cy","name":"潮阳","code":"CNQ","jdId":"19_1611_19919"},{"id":"2612","quanpin":"xiaogandong","jianpin":"xgd","name":"孝感东","code":"GDN","jdId":""},{"id":"118","quanpin":"wulanhaote","jianpin":"wlht","name":"乌兰浩特","code":"WWT","jdId":"11_895_896"},{"id":"1157","quanpin":"huaqiao","jianpin":"hq","name":"花桥","code":"VQH","jdId":"4_134_10137"},{"id":"1429","quanpin":"lishizhai","jianpin":"lsz","name":"李石寨","code":"LET","jdId":""},{"id":"858","quanpin":"gongmiaozi","jianpin":"gmz","name":"公庙子","code":"GMC","jdId":""},{"id":"515","quanpin":"xiaoyangqi","jianpin":"xyq","name":"小扬气","code":"XYX","jdId":""},{"id":"1322","quanpin":"tashizui","jianpin":"tsz","name":"塔石嘴","code":"TIM","jdId":""},{"id":"1158","quanpin":"yinai","jianpin":"yn","name":"宜耐","code":"YVM","jdId":""},{"id":"426","quanpin":"xiamengaoqi","jianpin":"xmgq","name":"厦门高崎","code":"XBS","jdId":""},{"id":"290","quanpin":"xigucheng","jianpin":"xgc","name":"西固城","code":"XUJ","jdId":""},{"id":"1847","quanpin":"sujiatun","jianpin":"sjt","name":"苏家屯","code":"SXT","jdId":"8_560_567"},{"id":"1758","quanpin":"qixiandong","jianpin":"qxd","name":"祁县东","code":"QGV","jdId":""},{"id":"404","quanpin":"nanpingnan","jianpin":"npn","name":"南平南","code":"NNS","jdId":""},{"id":"952","quanpin":"zhangjiakou","jianpin":"zjk","name":"张家口","code":"ZKP","jdId":"5_224_0"},{"id":"1770","quanpin":"fuhai","jianpin":"fh","name":"福海","code":"FHR","jdId":"31_2744_2750"},{"id":"1638","quanpin":"dongjingcheng","jianpin":"djc","name":"东京城","code":"DJB","jdId":""},{"id":"1087","quanpin":"xidamiao","jianpin":"xdm","name":"西大庙","code":"XMP","jdId":""},{"id":"1347","quanpin":"shixiazi","jianpin":"sxz","name":"石峡子","code":"SXJ","jdId":""},{"id":"1811","quanpin":"suide","jianpin":"sd","name":"绥德","code":"ODY","jdId":"27_2454_2457"},{"id":"876","quanpin":"miaozhuang","jianpin":"mz","name":"庙庄","code":"MZJ","jdId":""},{"id":"1162","quanpin":"xijiekou","jianpin":"xjk","name":"西街口","code":"EKM","jdId":""},{"id":"822","quanpin":"shangzhi","jianpin":"sz","name":"尚志","code":"SZB","jdId":"10_698_700"},{"id":"1086","quanpin":"liushuigou","jianpin":"lsg","name":"流水沟","code":"USP","jdId":""},{"id":"1795","quanpin":"shaoxing","jianpin":"sx","name":"绍兴","code":"SOH","jdId":"15_1255_0"},{"id":"1737","quanpin":"jingnan","jianpin":"jn","name":"井南","code":"JNP","jdId":""},{"id":"44","quanpin":"dongmingxian","jianpin":"dmx","name":"东明县","code":"DNF","jdId":"13_1099_1106"},{"id":"176","quanpin":"chenming","jianpin":"cm","name":"晨明","code":"CMB","jdId":""},{"id":"2464","quanpin":"zengkou","jianpin":"zk","name":"曾口","code":"ZKE","jdId":""},{"id":"2061","quanpin":"dongxu","jianpin":"dx","name":"东戌","code":"RXP","jdId":""},{"id":"2542","quanpin":"wuyibei","jianpin":"wyb","name":"武义北","code":"WDH","jdId":""},{"id":"467","quanpin":"kouqian","jianpin":"kq","name":"口前","code":"KQL","jdId":""},{"id":"2546","quanpin":"xiaojinkou","jianpin":"xjk","name":"小金口","code":"NKQ","jdId":""},{"id":"1919","quanpin":"xiangyuan","jianpin":"xy","name":"襄垣","code":"EIF","jdId":"6_3074_3223"},{"id":"2639","quanpin":"songming","jianpin":"sm","name":"嵩明","code":"SVM","jdId":"25_2235_2239"},{"id":"2311","quanpin":"ejina","jianpin":"ejn","name":"额济纳","code":"EJC","jdId":""},{"id":"2398","quanpin":"qiqihaer","jianpin":"qqhe","name":"齐齐哈尔","code":"QHX","jdId":"10_712_0"},{"id":"1418","quanpin":"fenyang","jianpin":"fy","name":"汾阳","code":"FAV","jdId":"6_368_371"},{"id":"1523","quanpin":"huaiannan","jianpin":"han","name":"淮安南","code":"AMH","jdId":""},{"id":"2021","quanpin":"guyuan","jianpin":"gy","name":"菇园","code":"GYL","jdId":""},{"id":"940","quanpin":"jianouxi","jianpin":"jox","name":"建瓯西","code":"JUS","jdId":""},{"id":"2369","quanpin":"huangshan","jianpin":"hs","name":"黄山","code":"HKH","jdId":"14_1151_0"},{"id":"1891","quanpin":"mengzi","jianpin":"mz","name":"蒙自","code":"MZM","jdId":"25_2318_2324"},{"id":"564","quanpin":"shangnan","jianpin":"sn","name":"商南","code":"ONY","jdId":"27_2468_2473"},{"id":"2082","quanpin":"lvboyuan","jianpin":"lby","name":"绿博园","code":"LCF","jdId":""},{"id":"597","quanpin":"gushi","jianpin":"gs","name":"固始","code":"GXN","jdId":"7_549_556"},{"id":"1904","quanpin":"rongan","jianpin":"ra","name":"融安","code":"RAZ","jdId":"20_1720_3659"},{"id":"2640","quanpin":"tianxindong","jianpin":"txd","name":"田心东","code":"KQQ","jdId":""},{"id":"2504","quanpin":"laochengzhen","jianpin":"lcz","name":"老城镇","code":"ACQ","jdId":"23_3702_3802"},{"id":"1011","quanpin":"hebian","jianpin":"hb","name":"河边","code":"HBV","jdId":"4_48131_48194"},{"id":"1459","quanpin":"quanzhou","jianpin":"qz","name":"泉州","code":"QYS","jdId":"16_1332_0"},{"id":"989","quanpin":"yancheng","jianpin":"yc","name":"晏城","code":"YEK","jdId":""},{"id":"405","quanpin":"nanpingbei","jianpin":"npb","name":"南平北","code":"NBS","jdId":""},{"id":"347","quanpin":"beijingnan","jianpin":"bjn","name":"北京南","code":"VNP","jdId":""},{"id":"2213","quanpin":"changzhibei","jianpin":"czb","name":"长治北","code":"CBF","jdId":""},{"id":"1640","quanpin":"guchengzhen","jianpin":"gcz","name":"古城镇","code":"GZB","jdId":""},{"id":"803","quanpin":"sihong","jianpin":"sh","name":"泗洪","code":"GQH","jdId":"12_933_937"},{"id":"1231","quanpin":"chaoyang","jianpin":"cy","name":"朝阳","code":"CYD","jdId":"1_72_0"},{"id":"1435","quanpin":"hushitai","jianpin":"hst","name":"虎石台","code":"HUT","jdId":""},{"id":"274","quanpin":"hongguo","jianpin":"hg","name":"红果","code":"HEM","jdId":""},{"id":"330","quanpin":"fengxian","jianpin":"fx","name":"凤县","code":"FXY","jdId":"27_2390_2399"},{"id":"1885","quanpin":"dongxinzhuang","jianpin":"dxz","name":"东辛庄","code":"DXD","jdId":""},{"id":"821","quanpin":"maoershan","jianpin":"mes","name":"帽儿山","code":"MRB","jdId":""},{"id":"2243","quanpin":"chunwan","jianpin":"cw","name":"春湾","code":"CQQ","jdId":""},{"id":"877","quanpin":"pingnannan","jianpin":"pn","name":"平南南","code":"PAZ","jdId":""},{"id":"2342","quanpin":"qinglong","jianpin":"ql","name":"青龙","code":"QIB","jdId":"4_130_10085"},{"id":"1738","quanpin":"shijiazhuangbei","jianpin":"sjzb","name":"石家庄北","code":"VVP","jdId":""},{"id":"1074","quanpin":"yaoshang","jianpin":"ys","name":"窑上","code":"ASP","jdId":""},{"id":"72","quanpin":"fengzhen","jianpin":"fz","name":"丰镇","code":"FZC","jdId":"11_823_825"},{"id":"2063","quanpin":"cishan","jianpin":"cs","name":"磁山","code":"CSP","jdId":""},{"id":"1050","quanpin":"xindudong","jianpin":"xdd","name":"新都东","code":"EWW","jdId":""},{"id":"1025","quanpin":"beizhai","jianpin":"bz","name":"北宅","code":"BVP","jdId":""},{"id":"1197","quanpin":"pulandian","jianpin":"pld","name":"普兰店","code":"PLT","jdId":"8_573_574"},{"id":"577","quanpin":"jiayuguan","jianpin":"jyg","name":"嘉峪关","code":"JGJ","jdId":"28_2509_0"},{"id":"831","quanpin":"cenxi","jianpin":"cx","name":"岑溪","code":"CNZ","jdId":"4_141_10362"},{"id":"2107","quanpin":"youyang","jianpin":"yy","name":"酉阳","code":"AFW","jdId":"4_140_0"},{"id":"58","quanpin":"zhujiawan","jianpin":"cjw","name":"褚家湾","code":"CWJ","jdId":""},{"id":"186","quanpin":"yuyao","jianpin":"yy","name":"余姚","code":"YYH","jdId":"15_1158_46345"},{"id":"1729","quanpin":"dadenggou","jianpin":"ddg","name":"大磴沟","code":"DKJ","jdId":""},{"id":"2219","quanpin":"yanchi","jianpin":"yc","name":"雁翅","code":"YAP","jdId":"1_2807_51560"},{"id":"2294","quanpin":"jingyuan","jianpin":"jy","name":"靖远","code":"JYJ","jdId":"28_2495_2498"},{"id":"1599","quanpin":"lingqiu","jianpin":"lq","name":"灵丘","code":"LVV","jdId":"6_309_312"},{"id":"2468","quanpin":"dagushan","jianpin":"dgs","name":"大孤山","code":"RMT","jdId":""},{"id":"2592","quanpin":"yongchengbei","jianpin":"ycb","name":"永城北","code":"RGH","jdId":""},{"id":"2438","quanpin":"beijingbei","jianpin":"bjb","name":"北京北","code":"VAP","jdId":""},{"id":"371","quanpin":"huarongnan","jianpin":"hrn","name":"华容南","code":"KRN","jdId":""},{"id":"2296","quanpin":"jinghai","jianpin":"jh","name":"静海","code":"JHP","jdId":"3_51042_0"},{"id":"723","quanpin":"zichang","jianpin":"zc","name":"子长","code":"ZHY","jdId":"27_2428_2431"},{"id":"1572","quanpin":"chuzhoubei","jianpin":"czb","name":"滁州北","code":"CUH","jdId":""},{"id":"1607","quanpin":"haiyangbei","jianpin":"hyb","name":"海阳北","code":"HEK","jdId":""},{"id":"2381","quanpin":"beian","jianpin":"ba","name":"北安","code":"BAB","jdId":"10_776_777"},{"id":"298","quanpin":"xinghexi","jianpin":"xhx","name":"兴和西","code":"XEC","jdId":""},{"id":"2617","quanpin":"longnan","jianpin":"ln","name":"陇南","code":"INJ","jdId":"28_2534_0"},{"id":"1766","quanpin":"fuzhou","jianpin":"fz","name":"福州","code":"FZS","jdId":"16_1303_0"},{"id":"2478","quanpin":"fanchangxi","jianpin":"fcx","name":"繁昌西","code":"PUH","jdId":""},{"id":"22","quanpin":"nanxiangbei","jianpin":"nxb","name":"南翔北","code":"NEH","jdId":""},{"id":"607","quanpin":"nankou","jianpin":"nk","name":"南口","code":"NKP","jdId":""},{"id":"771","quanpin":"yixing","jianpin":"yx","name":"宜兴","code":"YUH","jdId":"12_984_15943"},{"id":"1748","quanpin":"shiquanxian","jianpin":"sqx","name":"石泉县","code":"SXY","jdId":"27_2476_2485"},{"id":"2623","quanpin":"furongnan","jianpin":"frn","name":"芙蓉南","code":"KCQ","jdId":""},{"id":"1046","quanpin":"qingchengshan","jianpin":"qcs","name":"青城山","code":"QSW","jdId":""},{"id":"546","quanpin":"changwu","jianpin":"cw","name":"长武","code":"CWY","jdId":"27_2402_2411"},{"id":"2633","quanpin":"guangnanxian","jianpin":"gnx","name":"广南县","code":"GXM","jdId":"25_2309_2313"},{"id":"602","quanpin":"tahe","jianpin":"th","name":"塔河","code":"TXX","jdId":"10_793_795"},{"id":"574","quanpin":"jiashan","jianpin":"js","name":"嘉善","code":"JSH","jdId":"15_1243_4431"},{"id":"1110","quanpin":"nantai","jianpin":"nt","name":"南台","code":"NTT","jdId":""},{"id":"2048","quanpin":"suiping","jianpin":"sp","name":"遂平","code":"SON","jdId":"7_538_545"},{"id":"1989","quanpin":"liaoyuan","jianpin":"ly","name":"辽源","code":"LYL","jdId":"9_2992_0"},{"id":"584","quanpin":"siping","jianpin":"sp","name":"四平","code":"SPT","jdId":"9_651_0"},{"id":"351","quanpin":"lianggezhuang","jianpin":"lgz","name":"良各庄","code":"LGP","jdId":""},{"id":"761","quanpin":"anlong","jianpin":"al","name":"安龙","code":"AUZ","jdId":"24_2196_2204"},{"id":"384","quanpin":"nanzhao","jianpin":"nz","name":"南召","code":"NAF","jdId":"7_502_509"},{"id":"1733","quanpin":"rujigou","jianpin":"rqg","name":"汝箕沟","code":"RQJ","jdId":""},{"id":"568","quanpin":"shangluo","jianpin":"sl","name":"商洛","code":"OLY","jdId":"27_2468_0"},{"id":"2298","quanpin":"anshan","jianpin":"as","name":"鞍山","code":"AST","jdId":"8_579_0"},{"id":"727","quanpin":"huayuan","jianpin":"hy","name":"花园","code":"HUN","jdId":""},{"id":"424","quanpin":"xiamen","jianpin":"xm","name":"厦门","code":"XMS","jdId":"16_1315_0"},{"id":"486","quanpin":"wangtuanzhuang","jianpin":"wtz","name":"王团庄","code":"WZJ","jdId":""},{"id":"890","quanpin":"guangyuan","jianpin":"gy","name":"广元","code":"GYW","jdId":"22_1977_0"},{"id":"1698","quanpin":"linjiang","jianpin":"lj","name":"临江","code":"LQL","jdId":"4_132_9839"},{"id":"2197","quanpin":"mishazi","jianpin":"msz","name":"米沙子","code":"MST","jdId":""},{"id":"664","quanpin":"daqinggou","jianpin":"dqg","name":"大青沟","code":"DSD","jdId":""},{"id":"1667","quanpin":"ganquanbei","jianpin":"gqb","name":"甘泉北","code":"GEY","jdId":""},{"id":"10","quanpin":"sanyuan","jianpin":"sy","name":"三原","code":"SAY","jdId":"27_2402_2407"},{"id":"596","quanpin":"liupanshan","jianpin":"lps","name":"六盘山","code":"UPJ","jdId":""},{"id":"1292","quanpin":"liuhe","jianpin":"lh","name":"柳河","code":"LNL","jdId":"9_657_662"},{"id":"1661","quanpin":"ruian","jianpin":"ra","name":"瑞安","code":"RAH","jdId":"15_1233_42321"},{"id":"149","quanpin":"wuyuan","jianpin":"wy","name":"五原","code":"WYC","jdId":"11_880_882"},{"id":"1119","quanpin":"panzhihua","jianpin":"pzh","name":"攀枝花","code":"PRW","jdId":"22_1950_0"},{"id":"1846","quanpin":"cangnan","jianpin":"cn","name":"苍南","code":"CEH","jdId":"15_1233_1241"},{"id":"1632","quanpin":"chaihe","jianpin":"ch","name":"柴河","code":"CHB","jdId":""},{"id":"781","quanpin":"baoqing","jianpin":"bq","name":"宝清","code":"BUB","jdId":"10_731_734"},{"id":"75","quanpin":"linfen","jianpin":"lf","name":"临汾","code":"LFV","jdId":"6_379_0"},{"id":"93","quanpin":"guanshui","jianpin":"gs","name":"灌水","code":"GST","jdId":""},{"id":"34","quanpin":"yushannan","jianpin":"ysn","name":"玉山南","code":"YGG","jdId":""},{"id":"77","quanpin":"linyi","jianpin":"ly","name":"临沂","code":"LVK","jdId":"13_1072_0"},{"id":"38","quanpin":"dongguang","jianpin":"dg","name":"东光","code":"DGP","jdId":"5_264_272"},{"id":"711","quanpin":"yaoan","jianpin":"ya","name":"姚安","code":"YAC","jdId":"25_2336_3917"},{"id":"1250","quanpin":"benxihu","jianpin":"bxh","name":"本溪湖","code":"BHT","jdId":""},{"id":"2335","quanpin":"lishuzhen","jianpin":"lsz","name":"梨树镇","code":"LSB","jdId":""},{"id":"2232","quanpin":"paozi","jianpin":"pz","name":"泡子","code":"POD","jdId":""},{"id":"2293","quanpin":"jingbian","jianpin":"jb","name":"靖边","code":"JIY","jdId":"27_2454_4081"},{"id":"1420","quanpin":"qinyang","jianpin":"qy","name":"沁阳","code":"QYF","jdId":"7_446_447"},{"id":"823","quanpin":"youxi","jianpin":"yx","name":"尤溪","code":"YXS","jdId":"16_1317_1326"},{"id":"2621","quanpin":"zhaoshan","jianpin":"zs","name":"昭山","code":"KWQ","jdId":""},{"id":"231","quanpin":"xixian","jianpin":"xx","name":"息县","code":"ENN","jdId":"7_549_553"},{"id":"757","quanpin":"anyangdong","jianpin":"ayd","name":"安阳东","code":"ADF","jdId":""},{"id":"908","quanpin":"kulun","jianpin":"kl","name":"库伦","code":"KLD","jdId":""},{"id":"79","quanpin":"linhe","jianpin":"lh","name":"临河","code":"LHC","jdId":"11_880_881"},{"id":"1458","quanpin":"quanzhoudong","jianpin":"qzd","name":"泉州东","code":"QRS","jdId":""},{"id":"1721","quanpin":"gaizhouxi","jianpin":"gzx","name":"盖州西","code":"GAT","jdId":""},{"id":"2043","quanpin":"shelihu","jianpin":"slh","name":"舍力虎","code":"VLD","jdId":""},{"id":"1029","quanpin":"tongjunzhuang","jianpin":"tjz","name":"统军庄","code":"TZP","jdId":""},{"id":"1441","quanpin":"dacheng","jianpin":"dc","name":"大成","code":"DCT","jdId":"23_3034_3735"},{"id":"1264","quanpin":"xinsongpu","jianpin":"xsp","name":"新松浦","code":"XOB","jdId":""},{"id":"1769","quanpin":"fuquan","jianpin":"fq","name":"福泉","code":"VMW","jdId":"24_2222_2224"},{"id":"921","quanpin":"yanji","jianpin":"yj","name":"延吉","code":"YJL","jdId":"9_687_24073"},{"id":"1819","quanpin":"luoping","jianpin":"lp","name":"罗平","code":"LPM","jdId":"25_2247_2255"},{"id":"2049","quanpin":"suixi","jianpin":"sx","name":"遂溪","code":"SXZ","jdId":"19_1677_19381"},{"id":"1151","quanpin":"xunyang","jianpin":"xy","name":"旬阳","code":"XUY","jdId":"27_2476_2480"},{"id":"390","quanpin":"ningcun","jianpin":"nc","name":"宁村","code":"NCZ","jdId":""},{"id":"769","quanpin":"dingyuan","jianpin":"dy","name":"定远","code":"EWH","jdId":"14_1159_1164"},{"id":"1786","quanpin":"ziyang","jianpin":"zy","name":"紫阳","code":"ZVY","jdId":"27_2476_2478"},{"id":"1","quanpin":"qitaihe","jianpin":"qth","name":"七台河","code":"QTB","jdId":"10_773_0"},{"id":"2268","quanpin":"longxian","jianpin":"lx","name":"陇县","code":"LXY","jdId":"27_2390_2395"},{"id":"2511","quanpin":"luowansanjiang","jianpin":"lwsj","name":"洛湾三江","code":"KRW","jdId":""},{"id":"963","quanpin":"zhangjiajie","jianpin":"zjj","name":"张家界","code":"DIQ","jdId":"18_1540_0"},{"id":"1507","quanpin":"guoyang","jianpin":"gy","name":"涡阳","code":"GYH","jdId":"14_1174_1178"},{"id":"1020","quanpin":"tangbao","jianpin":"tb","name":"塘豹","code":"TBQ","jdId":""},{"id":"722","quanpin":"zizhou","jianpin":"zz","name":"子洲","code":"ZZY","jdId":"27_2454_2462"},{"id":"2400","quanpin":"tailai","jianpin":"tl","name":"泰来","code":"TLX","jdId":"10_712_725"},{"id":"1666","quanpin":"wafangdianxi","jianpin":"wfdx","name":"瓦房店西","code":"WXT","jdId":""},{"id":"2386","quanpin":"erlongshantun","jianpin":"elst","name":"二龙山屯","code":"ELA","jdId":""},{"id":"1419","quanpin":"qinxian","jianpin":"qx","name":"沁县","code":"QVV","jdId":"6_3074_3230"},{"id":"2549","quanpin":"yangshuo","jianpin":"ys","name":"阳朔","code":"YCZ","jdId":"20_1726_1727"},{"id":"1178","quanpin":"guangnanwei","jianpin":"gnw","name":"广南卫","code":"GNM","jdId":""},{"id":"1123","quanpin":"dunhua","jianpin":"dh","name":"敦化","code":"DHL","jdId":"9_687_3313"},{"id":"1675","quanpin":"shule","jianpin":"sl","name":"疏勒","code":"SUR","jdId":"31_2686_2694"},{"id":"2613","quanpin":"yuxixi","jianpin":"yxx","name":"玉溪西","code":"YXM","jdId":""},{"id":"484","quanpin":"yuejiajing","jianpin":"yjj","name":"岳家井","code":"YGJ","jdId":""},{"id":"961","quanpin":"guanting","jianpin":"gt","name":"官厅","code":"GTP","jdId":""},{"id":"1163","quanpin":"yangpu","jianpin":"yp","name":"羊堡","code":"ABM","jdId":""},{"id":"2279","quanpin":"huolinguole","jianpin":"hlgl","name":"霍林郭勒","code":"HWD","jdId":"11_902_3142"},{"id":"482","quanpin":"liulinnan","jianpin":"lln","name":"柳林南","code":"LKV","jdId":""},{"id":"1888","quanpin":"qianwei","jianpin":"qw","name":"前卫","code":"QWD","jdId":""},{"id":"765","quanpin":"tonganyi","jianpin":"tay","name":"通安驿","code":"TAJ","jdId":""},{"id":"2614","quanpin":"maomingxi","jianpin":"mmx","name":"茂名西","code":"MMZ","jdId":""},{"id":"1606","quanpin":"yantai","jianpin":"yt","name":"烟台","code":"YAK","jdId":"13_1042_0"},{"id":"420","quanpin":"boao","jianpin":"ba","name":"博鳌","code":"BWQ","jdId":"23_3115_3724"},{"id":"1063","quanpin":"siheyong","jianpin":"shy","name":"四合永","code":"OHD","jdId":""},{"id":"1487","quanpin":"jiyuan","jianpin":"jy","name":"济源","code":"JYF","jdId":"7_2780_0"},{"id":"1716","quanpin":"yiyang","jianpin":"yy","name":"益阳","code":"AEQ","jdId":"18_1555_0"},{"id":"1659","quanpin":"mingzhu","jianpin":"mz","name":"明珠","code":"MFQ","jdId":""},{"id":"459","quanpin":"heyang","jianpin":"hy","name":"合阳","code":"HAY","jdId":"27_2416_2424"},{"id":"1561","quanpin":"xiangxiang","jianpin":"xx","name":"湘乡","code":"XXQ","jdId":"18_1495_1496"},{"id":"305","quanpin":"debosi","jianpin":"dbs","name":"德伯斯","code":"RDT","jdId":""},{"id":"762","quanpin":"dingnan","jianpin":"dn","name":"定南","code":"DNG","jdId":"21_1911_1920"},{"id":"448","quanpin":"taizhou","jianpin":"tz","name":"台州","code":"TZH","jdId":"15_1290_0"},{"id":"1397","quanpin":"shantou","jianpin":"st","name":"汕头","code":"OTQ","jdId":"19_1611_0"},{"id":"381","quanpin":"nanchong","jianpin":"nc","name":"南充","code":"NCW","jdId":"22_2022_0"},{"id":"264","quanpin":"pingguan","jianpin":"pg","name":"平关","code":"PGM","jdId":""},{"id":"1135","quanpin":"xinanxian","jianpin":"xax","name":"新安县","code":"XAF","jdId":"7_427_436"},{"id":"2361","quanpin":"mashan","jianpin":"ms","name":"麻山","code":"MAB","jdId":"10_737_3333"},{"id":"1286","quanpin":"zaoyang","jianpin":"zy","name":"枣阳","code":"ZYN","jdId":"17_1396_1398"},{"id":"166","quanpin":"renbu","jianpin":"rb","name":"仁布","code":"RUO","jdId":"26_3144_3953"},{"id":"1559","quanpin":"huzhou","jianpin":"hz","name":"湖州","code":"VZH","jdId":"15_1250_0"},{"id":"1421","quanpin":"yinan","jianpin":"yn","name":"沂南","code":"YNK","jdId":"13_1072_1073"},{"id":"582","quanpin":"taojiatun","jianpin":"tjt","name":"陶家屯","code":"TOT","jdId":""},{"id":"1182","quanpin":"changtuxi","jianpin":"ctx","name":"昌图西","code":"CPT","jdId":""},{"id":"1531","quanpin":"shenzhenbei","jianpin":"szb","name":"深圳北","code":"IOQ","jdId":""},{"id":"2164","quanpin":"gaoshanzi","jianpin":"gsz","name":"高山子","code":"GSD","jdId":""},{"id":"1457","quanpin":"heyuan","jianpin":"hy","name":"河源","code":"VIQ","jdId":"19_1627_0"},{"id":"2179","quanpin":"gaoqiaozhen","jianpin":"gqz","name":"高桥镇","code":"GZD","jdId":"4_132_9834"},{"id":"2100","quanpin":"dongsheng","jianpin":"ds","name":"东胜","code":"DOC","jdId":"11_870_871"},{"id":"2600","quanpin":"fusheng","jianpin":"fs","name":"复盛","code":"FAW","jdId":"4_50950_50961"},{"id":"1317","quanpin":"shizhuang","jianpin":"sz","name":"师庄","code":"SNM","jdId":""},{"id":"866","quanpin":"changzhoubei","jianpin":"czb","name":"常州北","code":"ESH","jdId":""},{"id":"1954","quanpin":"fuchuan","jianpin":"fc","name":"富川","code":"FDZ","jdId":"20_1792_1805"},{"id":"74","quanpin":"linfenxi","jianpin":"lfx","name":"临汾西","code":"LXV","jdId":""},{"id":"892","quanpin":"guangannan","jianpin":"gan","name":"广安南","code":"VUW","jdId":""},{"id":"1026","quanpin":"gaogezhuang","jianpin":"ggz","name":"高各庄","code":"GGP","jdId":""},{"id":"323","quanpin":"nongan","jianpin":"na","name":"农安","code":"NAT","jdId":"9_639_642"},{"id":"2270","quanpin":"lingshui","jianpin":"ls","name":"陵水","code":"LIQ","jdId":"23_3708_0"},{"id":"1562","quanpin":"xiangtanbei","jianpin":"xtb","name":"湘潭北","code":"EDQ","jdId":""},{"id":"1524","quanpin":"huaian","jianpin":"ha","name":"淮安","code":"AUH","jdId":"12_925_0"},{"id":"1608","quanpin":"taocunbei","jianpin":"tcb","name":"桃村北","code":"TOK","jdId":""},{"id":"1861","quanpin":"rongchang","jianpin":"rc","name":"荣昌","code":"RCW","jdId":"4_48132_0"},{"id":"2529","quanpin":"sandaohu","jianpin":"sdh","name":"三道湖","code":"SDL","jdId":""},{"id":"1794","quanpin":"zhijin","jianpin":"zj","name":"织金","code":"IZW","jdId":"24_2180_2184"},{"id":"1237","quanpin":"dapingfang","jianpin":"dpf","name":"大平房","code":"DPD","jdId":""},{"id":"1694","quanpin":"wangou","jianpin":"wg","name":"湾沟","code":"WGL","jdId":""},{"id":"2242","quanpin":"yangqu","jianpin":"yq","name":"阳曲","code":"YQV","jdId":"6_303_304"},{"id":"2608","quanpin":"shuangji","jianpin":"sj","name":"双吉","code":"SML","jdId":""},{"id":"1742","quanpin":"shijiazhuang","jianpin":"sjz","name":"石家庄","code":"SJP","jdId":"5_142_0"},{"id":"2115","quanpin":"jiuquannan","jianpin":"jqn","name":"酒泉南","code":"JNJ","jdId":""},{"id":"655","quanpin":"dengshahe","jianpin":"dsh","name":"登沙河","code":"DWT","jdId":""},{"id":"2141","quanpin":"taoshan","jianpin":"ts","name":"桃山","code":"TAB","jdId":"10_773_3364"},{"id":"2327","quanpin":"gaobeidiandong","jianpin":"gbdd","name":"高碑店东","code":"GMP","jdId":""},{"id":"609","quanpin":"daxing","jianpin":"dx","name":"大兴","code":"DXX","jdId":"1_2810_0"},{"id":"504","quanpin":"chengjisihan","jianpin":"cjsh","name":"成吉思汗","code":"CJX","jdId":""},{"id":"605","quanpin":"daguan","jianpin":"dg","name":"大关","code":"RGW","jdId":"25_2270_2274"},{"id":"640","quanpin":"dali","jianpin":"dl","name":"大理","code":"DKM","jdId":"25_2347_0"},{"id":"1771","quanpin":"fuqing","jianpin":"fq","name":"福清","code":"FQS","jdId":"16_1303_48715"},{"id":"1140","quanpin":"xinjiang","jianpin":"xj","name":"新绛","code":"XJV","jdId":"6_398_402"},{"id":"1352","quanpin":"longgou","jianpin":"lg","name":"龙沟","code":"LGJ","jdId":""},{"id":"766","quanpin":"lijiaping","jianpin":"ljp","name":"李家坪","code":"LIJ","jdId":""},{"id":"322","quanpin":"junliangchengbei","jianpin":"jlcb","name":"军粮城北","code":"JMP","jdId":""},{"id":"1778","quanpin":"muling","jianpin":"ml","name":"穆棱","code":"MLB","jdId":"10_757_761"},{"id":"1555","quanpin":"weinanbei","jianpin":"wnb","name":"渭南北","code":"WBY","jdId":""},{"id":"591","quanpin":"qiying","jianpin":"qy","name":"七营","code":"QYJ","jdId":""},{"id":"1339","quanpin":"zhengxiangbaiqi","jianpin":"zxbq","name":"正镶白旗","code":"ZXC","jdId":"11_835_845"},{"id":"388","quanpin":"dani","jianpin":"dn","name":"大拟","code":"DNZ","jdId":""},{"id":"1443","quanpin":"shenjingzi","jianpin":"sjz","name":"深井子","code":"SWT","jdId":""},{"id":"2111","quanpin":"liuyuan","jianpin":"ly","name":"柳园","code":"DHR","jdId":""},{"id":"2284","quanpin":"jimobei","jianpin":"jmb","name":"即墨北","code":"JVK","jdId":""},{"id":"874","quanpin":"pingliang","jianpin":"pl","name":"平凉","code":"PIJ","jdId":"28_2518_0"},{"id":"1592","quanpin":"chaozhou","jianpin":"cz","name":"潮州","code":"CKQ","jdId":"19_1705_0"},{"id":"2159","quanpin":"saihantala","jianpin":"shtl","name":"赛汗塔拉","code":"SHC","jdId":""},{"id":"783","quanpin":"baoji","jianpin":"bj","name":"宝鸡","code":"BJY","jdId":"27_2390_0"},{"id":"1996","quanpin":"maoba","jianpin":"mb","name":"毛坝","code":"MBY","jdId":"4_133_10115"},{"id":"1124","quanpin":"dunhuang","jianpin":"dh","name":"敦煌","code":"DHJ","jdId":"28_2556_2559"},{"id":"749","quanpin":"gaotan","jianpin":"gt","name":"高滩","code":"GAY","jdId":""},{"id":"2499","quanpin":"jinyunxi","jianpin":"jyx","name":"缙云西","code":"PYH","jdId":""},{"id":"1361","quanpin":"tianmennan","jianpin":"tmn","name":"天门南","code":"TNN","jdId":""},{"id":"567","quanpin":"yanchuan","jianpin":"yc","name":"砚川","code":"YYY","jdId":""},{"id":"957","quanpin":"xinbaoan","jianpin":"xba","name":"新保安","code":"XAP","jdId":""},{"id":"2206","quanpin":"changsha","jianpin":"cs","name":"长沙","code":"CSQ","jdId":"18_1482_0"},{"id":"1437","quanpin":"shenyang","jianpin":"sy","name":"沈阳","code":"SYT","jdId":"8_560_0"},{"id":"2112","quanpin":"liuyuannan","jianpin":"lyn","name":"柳园南","code":"LNR","jdId":""},{"id":"2238","quanpin":"fangchenggangbei","jianpin":"fcgb","name":"防城港北","code":"FBZ","jdId":""},{"id":"2036","quanpin":"yuliangpu","jianpin":"ylb","name":"余粮堡","code":"YLD","jdId":""},{"id":"326","quanpin":"yonglang","jianpin":"yl","name":"永郎","code":"YLW","jdId":""},{"id":"2503","quanpin":"langzhong","jianpin":"lz","name":"阆中","code":"LZE","jdId":"22_2022_43230"},{"id":"1585","quanpin":"zhangzhoudong","jianpin":"zzd","name":"漳州东","code":"GOS","jdId":""},{"id":"53","quanpin":"dongguandong","jianpin":"dgd","name":"东莞东","code":"DMQ","jdId":""},{"id":"1773","quanpin":"yucheng","jianpin":"yc","name":"禹城","code":"YCK","jdId":"13_1060_1062"},{"id":"887","quanpin":"pingdingshan","jianpin":"pds","name":"平顶山","code":"PEN","jdId":"7_438_0"},{"id":"1166","quanpin":"qidian","jianpin":"qd","name":"七甸","code":"QDM","jdId":""},{"id":"2378","quanpin":"lijia","jianpin":"lj","name":"李家","code":"LJB","jdId":""},{"id":"2220","quanpin":"xiehejian","jianpin":"xhj","name":"斜河涧","code":"EEP","jdId":""},{"id":"2477","quanpin":"duanzhou","jianpin":"dz","name":"端州","code":"WZQ","jdId":"19_1690_4781"},{"id":"2487","quanpin":"guangningsinan","jianpin":"gns","name":"广宁寺南","code":"GNT","jdId":""},{"id":"291","quanpin":"podixia","jianpin":"pdx","name":"坡底下","code":"PXJ","jdId":""},{"id":"537","quanpin":"chasuqi","jianpin":"csq","name":"察素齐","code":"CSC","jdId":""},{"id":"2225","quanpin":"minqing","jianpin":"mq","name":"闽清","code":"MQS","jdId":"16_1303_1314"},{"id":"1208","quanpin":"yangweishao","jianpin":"yws","name":"羊尾哨","code":"YWM","jdId":""},{"id":"312","quanpin":"dashizhai","jianpin":"dsz","name":"大石寨","code":"RZT","jdId":""},{"id":"807","quanpin":"fuxiandong","jianpin":"fxd","name":"富县东","code":"FDY","jdId":""},{"id":"337","quanpin":"fenyi","jianpin":"fy","name":"分宜","code":"FYG","jdId":"21_1842_1843"},{"id":"987","quanpin":"dean","jianpin":"da","name":"德安","code":"DAG","jdId":"21_1845_1854"},{"id":"161","quanpin":"jinggangshan","jianpin":"jgs","name":"井冈山","code":"JGG","jdId":"21_1898_1899"},{"id":"2440","quanpin":"yanjixi","jianpin":"yjx","name":"延吉西","code":"YXL","jdId":""},{"id":"685","quanpin":"hangu","jianpin":"hg","name":"汉沽","code":"HGP","jdId":"3_51048_0"},{"id":"1287","quanpin":"zhashui","jianpin":"zs","name":"柞水","code":"ZSY","jdId":"27_2468_2475"},{"id":"1180","quanpin":"changle","jianpin":"cl","name":"昌乐","code":"CLK","jdId":"13_1032_1039"},{"id":"1828","quanpin":"suning","jianpin":"sn","name":"肃宁","code":"SYP","jdId":"5_264_270"},{"id":"317","quanpin":"xinglongxian","jianpin":"xlx","name":"兴隆县","code":"EXP","jdId":"5_239_241"},{"id":"1554","quanpin":"weinannan","jianpin":"wnn","name":"渭南南","code":"WVY","jdId":""},{"id":"2411","quanpin":"longnan","jianpin":"ln","name":"龙南","code":"UNG","jdId":"21_1911_1923"},{"id":"768","quanpin":"dingbian","jianpin":"db","name":"定边","code":"DYJ","jdId":"27_2454_2467"},{"id":"598","quanpin":"guzhen","jianpin":"gz","name":"固镇","code":"GEH","jdId":"14_1132_1134"},{"id":"870","quanpin":"linli","jianpin":"ll","name":"临澧","code":"LWQ","jdId":"18_1530_1534"},{"id":"48","quanpin":"shilong","jianpin":"sl","name":"石龙","code":"SLQ","jdId":"4_114_9933"},{"id":"1917","quanpin":"hengnan","jianpin":"hn","name":"衡南","code":"HNG","jdId":"18_1501_1506"},{"id":"1196","quanpin":"jinjiang","jianpin":"jj","name":"晋江","code":"JJS","jdId":"16_1332_42932"},{"id":"2247","quanpin":"yangquanqu","jianpin":"yqq","name":"阳泉曲","code":"YYV","jdId":""},{"id":"1910","quanpin":"longhua","jianpin":"lh","name":"龙华","code":"LHP","jdId":"4_48204_48225"},{"id":"1010","quanpin":"kelan","jianpin":"kl","name":"岢岚","code":"KLV","jdId":"6_350_367"},{"id":"2524","quanpin":"puyang","jianpin":"py","name":"濮阳","code":"PYF","jdId":"7_475_0"},{"id":"1991","quanpin":"hanling","jianpin":"hl","name":"寒岭","code":"HAT","jdId":""},{"id":"1243","quanpin":"tianshifu","jianpin":"tsf","name":"田师府","code":"TFT","jdId":""},{"id":"2334","quanpin":"peide","jianpin":"pd","name":"裴德","code":"PDB","jdId":""},{"id":"1363","quanpin":"miaoshan","jianpin":"ms","name":"庙山","code":"MSN","jdId":""},{"id":"1518","quanpin":"nanboshan","jianpin":"nbs","name":"南博山","code":"NBK","jdId":""},{"id":"510","quanpin":"kalaqi","jianpin":"klq","name":"喀喇其","code":"KQX","jdId":""},{"id":"2564","quanpin":"ziyangbei","jianpin":"zyb","name":"资阳北","code":"FYW","jdId":""},{"id":"1169","quanpin":"yanglin","jianpin":"yl","name":"杨林","code":"YLM","jdId":""},{"id":"991","quanpin":"dehuixi","jianpin":"dhx","name":"德惠西","code":"DXT","jdId":""},{"id":"443","quanpin":"gulang","jianpin":"gl","name":"古浪","code":"GLJ","jdId":"28_2544_2546"},{"id":"2134","quanpin":"zhongxiang","jianpin":"zx","name":"钟祥","code":"ZTN","jdId":"17_1477_2973"},{"id":"871","quanpin":"pingliangnan","jianpin":"pln","name":"平凉南","code":"POJ","jdId":""},{"id":"1658","quanpin":"weidong","jianpin":"wd","name":"卫东","code":"WVT","jdId":"7_438_35966"},{"id":"2291","quanpin":"qingtongxia","jianpin":"qtx","name":"青铜峡","code":"QTJ","jdId":"30_2637_2638"},{"id":"793","quanpin":"xuanhan","jianpin":"xh","name":"宣汉","code":"XHY","jdId":"22_2033_2039"},{"id":"1641","quanpin":"maqiaohe","jianpin":"mqh","name":"马桥河","code":"MQB","jdId":""},{"id":"201","quanpin":"jiansanjiang","jianpin":"jsj","name":"建三江","code":"JIB","jdId":""},{"id":"2493","quanpin":"huangliu","jianpin":"hl","name":"黄流","code":"KLQ","jdId":"23_3710_3854"},{"id":"285","quanpin":"chenguanying","jianpin":"cgy","name":"陈官营","code":"CAJ","jdId":""},{"id":"690","quanpin":"caozili","jianpin":"czl","name":"曹子里","code":"CFP","jdId":""},{"id":"1235","quanpin":"nengjia","jianpin":"nj","name":"能家","code":"NJD","jdId":""},{"id":"2644","quanpin":"zhuzhounan","jianpin":"zzn","name":"株洲南","code":"KVQ","jdId":""},{"id":"2040","quanpin":"mulitu","jianpin":"mlt","name":"木里图","code":"MUD","jdId":""},{"id":"2184","quanpin":"changshoubei","jianpin":"csb","name":"长寿北","code":"COW","jdId":""},{"id":"2552","quanpin":"yintan","jianpin":"yt","name":"银滩","code":"CTQ","jdId":""},{"id":"2205","quanpin":"changting","jianpin":"ct","name":"长汀","code":"CES","jdId":"16_1362_1365"},{"id":"1639","quanpin":"ludao","jianpin":"ld","name":"鹿道","code":"LDL","jdId":""},{"id":"1931","quanpin":"xianbei","jianpin":"xab","name":"西安北","code":"EAY","jdId":""},{"id":"2315","quanpin":"xiangfang","jianpin":"xf","name":"香坊","code":"XFB","jdId":"10_698_45819"},{"id":"1379","quanpin":"yongan","jianpin":"ya","name":"永安","code":"YAS","jdId":"4_131_10377"},{"id":"1362","quanpin":"wuchang","jianpin":"wc","name":"武昌","code":"WCN","jdId":"17_1381_3079"},{"id":"953","quanpin":"xuanhua","jianpin":"xh","name":"宣化","code":"XHP","jdId":"5_224_4046"},{"id":"221","quanpin":"aihe","jianpin":"ah","name":"艾河","code":"AHP","jdId":""},{"id":"2418","quanpin":"longyou","jianpin":"ly","name":"龙游","code":"LMH","jdId":"15_1273_1278"},{"id":"863","quanpin":"luntai","jianpin":"lt","name":"轮台","code":"LAR","jdId":"31_2704_2710"},{"id":"2441","quanpin":"dongyingnan","jianpin":"dyn","name":"东营南","code":"DOK","jdId":""},{"id":"182","quanpin":"buliekai","jianpin":"blk","name":"布列开","code":"BLR","jdId":""},{"id":"1128","quanpin":"xinxiangdong","jianpin":"xxd","name":"新乡东","code":"EGF","jdId":""},{"id":"1579","quanpin":"didao","jianpin":"dd","name":"滴道","code":"DDB","jdId":"10_737_3330"},{"id":"1749","quanpin":"shimenxian","jianpin":"smx","name":"石门县","code":"OMQ","jdId":"18_1530_1537"},{"id":"502","quanpin":"mangui","jianpin":"mg","name":"满归","code":"MHX","jdId":""},{"id":"536","quanpin":"huhehaote","jianpin":"hhht","name":"呼和浩特","code":"HHC","jdId":"11_799_0"},{"id":"1985","quanpin":"chenxi","jianpin":"cx","name":"辰溪","code":"CXQ","jdId":"18_1574_1579"},{"id":"1836","quanpin":"jiaozhou","jianpin":"jz","name":"胶州","code":"JXK","jdId":"13_1007_37919"},{"id":"2236","quanpin":"fuyang","jianpin":"fy","name":"阜阳","code":"FYH","jdId":"14_1167_0"},{"id":"1936","quanpin":"xichangnan","jianpin":"xcn","name":"西昌南","code":"ENW","jdId":""},{"id":"1630","quanpin":"hengdaohezi","jianpin":"hdhz","name":"横道河子","code":"HDB","jdId":""},{"id":"2024","quanpin":"tuoyaoling","jianpin":"tyl","name":"驼腰岭","code":"TIL","jdId":""},{"id":"1056","quanpin":"zhalute","jianpin":"zlt","name":"扎鲁特","code":"ZLD","jdId":""},{"id":"1512","quanpin":"zhuozhoudong","jianpin":"zzd","name":"涿州东","code":"ZAP","jdId":""},{"id":"812","quanpin":"fuyu","jianpin":"fy","name":"富裕","code":"FYX","jdId":"10_712_718"},{"id":"900","quanpin":"guangde","jianpin":"gd","name":"广德","code":"GRH","jdId":"14_2971_3478"},{"id":"1978","quanpin":"yangchang","jianpin":"yc","name":"羊场","code":"YED","jdId":""},{"id":"884","quanpin":"pingyaogucheng","jianpin":"pygc","name":"平遥古城","code":"PDV","jdId":""},{"id":"859","quanpin":"xixiaozhao","jianpin":"xxz","name":"西小召","code":"XZC","jdId":""},{"id":"1271","quanpin":"taolaizhao","jianpin":"tlz","name":"陶赖昭","code":"TPT","jdId":""},{"id":"2241","quanpin":"yangchun","jianpin":"yc","name":"阳春","code":"YQQ","jdId":"19_1672_1673"},{"id":"1253","quanpin":"benxi","jianpin":"bx","name":"本溪","code":"BXT","jdId":"8_589_0"},{"id":"1925","quanpin":"xifeng","jianpin":"xf","name":"西丰","code":"XFT","jdId":"8_6858_6864"},{"id":"929","quanpin":"miaoling","jianpin":"ml","name":"庙岭","code":"MLL","jdId":""},{"id":"1077","quanpin":"xiaosigou","jianpin":"xsg","name":"小寺沟","code":"ESP","jdId":""},{"id":"2415","quanpin":"yongding","jianpin":"yd","name":"永定","code":"YGS","jdId":"1_2807_51554"},{"id":"593","quanpin":"sanying","jianpin":"sy","name":"三营","code":"OEJ","jdId":""},{"id":"944","quanpin":"songchenglu","jianpin":"scl","name":"宋城路","code":"SFF","jdId":""},{"id":"1993","quanpin":"dazhou","jianpin":"dz","name":"达州","code":"RXW","jdId":"22_2033_0"},{"id":"1714","quanpin":"gaolan","jianpin":"gl","name":"皋兰","code":"GEJ","jdId":"28_2487_2490"},{"id":"406","quanpin":"nanchangxi","jianpin":"ncx","name":"南昌西","code":"NXG","jdId":""},{"id":"2010","quanpin":"sanyuanpu","jianpin":"syp","name":"三源浦","code":"SYL","jdId":""},{"id":"674","quanpin":"yangcun","jianpin":"yc","name":"杨村","code":"YBP","jdId":""},{"id":"1753","quanpin":"nianzishan","jianpin":"nzs","name":"碾子山","code":"NZX","jdId":"10_712_716"},{"id":"362","quanpin":"sifangtai","jianpin":"sft","name":"四方台","code":"STB","jdId":"10_731_3342"},{"id":"2289","quanpin":"qingzhoushi","jianpin":"qzs","name":"青州市","code":"QZK","jdId":"13_1032_1033"},{"id":"1499","quanpin":"haicheng","jianpin":"hc","name":"海城","code":"HCT","jdId":"8_579_581"},{"id":"2252","quanpin":"aketao","jianpin":"akt","name":"阿克陶","code":"AER","jdId":"31_2699_2703"},{"id":"1370","quanpin":"zhifangdong","jianpin":"zfd","name":"纸坊东","code":"ZMN","jdId":""},{"id":"728","quanpin":"ningguo","jianpin":"ng","name":"宁国","code":"NNH","jdId":"14_2971_3147"},{"id":"1376","quanpin":"shuifu","jianpin":"sf","name":"水富","code":"OTW","jdId":"25_2270_2277"},{"id":"733","quanpin":"ningming","jianpin":"nm","name":"宁明","code":"NMZ","jdId":"20_3168_3685"},{"id":"650","quanpin":"dalianbei","jianpin":"dlb","name":"大连北","code":"DFT","jdId":""},{"id":"263","quanpin":"duge","jianpin":"dg","name":"都格","code":"DMM","jdId":""},{"id":"1384","quanpin":"yongji","jianpin":"yj","name":"永济","code":"YIV","jdId":"6_398_400"},{"id":"930","quanpin":"tianqiaoling","jianpin":"tql","name":"天桥岭","code":"TQL","jdId":""},{"id":"152","quanpin":"dujia","jianpin":"dj","name":"杜家","code":"DJL","jdId":""},{"id":"318","quanpin":"neixiang","jianpin":"nx","name":"内乡","code":"NXF","jdId":"7_502_510"},{"id":"1161","quanpin":"xiaoshao","jianpin":"xs","name":"小哨","code":"XAM","jdId":""},{"id":"1269","quanpin":"qingfeng","jianpin":"qf","name":"庆丰","code":"QFT","jdId":""},{"id":"2211","quanpin":"changzhi","jianpin":"cz","name":"长治","code":"CZF","jdId":"6_3074_0"},{"id":"1713","quanpin":"baise","jianpin":"bs","name":"百色","code":"BIZ","jdId":"20_1806_0"},{"id":"47","quanpin":"dongzhi","jianpin":"dz","name":"东至","code":"DCH","jdId":"14_1201_1202"},{"id":"791","quanpin":"jixibei","jianpin":"jxb","name":"绩溪北","code":"NRH","jdId":""},{"id":"1916","quanpin":"hengyang","jianpin":"hy","name":"衡阳","code":"HYQ","jdId":"18_1501_0"},{"id":"2389","quanpin":"congjiang","jianpin":"cj","name":"从江","code":"KNW","jdId":"24_2205_2208"},{"id":"2177","quanpin":"danyang","jianpin":"dy","name":"丹阳","code":"DYH","jdId":"12_972_38517"},{"id":"2405","quanpin":"erdaowan","jianpin":"edw","name":"二道湾","code":"RDX","jdId":""},{"id":"2442","quanpin":"dashitounan","jianpin":"dstn","name":"大石头南","code":"DAL","jdId":""},{"id":"2168","quanpin":"jinzhounan","jianpin":"jzn","name":"锦州南","code":"JOD","jdId":""},{"id":"1434","quanpin":"shiboyuan","jianpin":"sby","name":"世博园","code":"ZWT","jdId":""},{"id":"324","quanpin":"lengshuijiangdong","jianpin":"lsjd","name":"冷水江东","code":"UDQ","jdId":""},{"id":"2263","quanpin":"qingyangshan","jianpin":"qys","name":"庆阳山","code":"QSJ","jdId":""},{"id":"1472","quanpin":"zepu","jianpin":"zp","name":"泽普","code":"ZPR","jdId":"31_2686_2689"},{"id":"1222","quanpin":"yangcaodi","jianpin":"ycd","name":"秧草地","code":"YKM","jdId":""},{"id":"82","quanpin":"linqing","jianpin":"lq","name":"临清","code":"UQK","jdId":"13_1081_1082"},{"id":"547","quanpin":"qianxian","jianpin":"qx","name":"乾县","code":"QBY","jdId":"27_2402_2412"},{"id":"1078","quanpin":"shangbanchengnan","jianpin":"sbcn","name":"上板城南","code":"OBP","jdId":""},{"id":"1240","quanpin":"sanshijia","jianpin":"ssj","name":"三十家","code":"SRD","jdId":""},{"id":"1019","quanpin":"huaihua","jianpin":"hh","name":"怀化","code":"HHQ","jdId":"18_1574_0"},{"id":"156","quanpin":"niujia","jianpin":"nj","name":"牛家","code":"NJB","jdId":""},{"id":"1970","quanpin":"chabuga","jianpin":"cbg","name":"查布嘎","code":"CBC","jdId":""},{"id":"934","quanpin":"songjiangzhen","jianpin":"sjz","name":"松江镇","code":"OZL","jdId":""},{"id":"1390","quanpin":"xixiang","jianpin":"xx","name":"西乡","code":"XQY","jdId":"27_2442_2449"},{"id":"2443","quanpin":"hunchun","jianpin":"hch","name":"珲春","code":"HUL","jdId":"9_687_3314"},{"id":"2171","quanpin":"xinlitun","jianpin":"xlt","name":"新立屯","code":"XLD","jdId":""},{"id":"879","quanpin":"qiaotou","jianpin":"qt","name":"桥头","code":"QAT","jdId":"4_137_10235"},{"id":"2575","quanpin":"yimin","jianpin":"ym","name":"伊敏","code":"YMX","jdId":""},{"id":"1071","quanpin":"jingoutun","jianpin":"jgt","name":"金沟屯","code":"VGP","jdId":""},{"id":"1953","quanpin":"zhongshan","jianpin":"zs","name":"钟山","code":"ZSZ","jdId":"20_1792_1803"},{"id":"837","quanpin":"emei","jianpin":"em","name":"峨眉","code":"EMW","jdId":""},{"id":"1905","quanpin":"rongshui","jianpin":"rs","name":"融水","code":"RSZ","jdId":"20_1720_3661"},{"id":"832","quanpin":"yuechi","jianpin":"yc","name":"岳池","code":"AWW","jdId":"22_2016_2017"},{"id":"127","quanpin":"yangang","jianpin":"yg","name":"燕岗","code":"YGW","jdId":""},{"id":"2131","quanpin":"jinchang","jianpin":"jc","name":"金昌","code":"JCJ","jdId":"28_2492_0"},{"id":"279","quanpin":"shuiyuan","jianpin":"sy","name":"水源","code":"OYJ","jdId":""},{"id":"83","quanpin":"linxiang","jianpin":"lx","name":"临湘","code":"LXQ","jdId":"18_1522_1523"},{"id":"321","quanpin":"mianning","jianpin":"mn","name":"冕宁","code":"UGW","jdId":"22_2103_2112"},{"id":"2277","quanpin":"huozhoudong","jianpin":"hzd","name":"霍州东","code":"HWV","jdId":""},{"id":"1929","quanpin":"huangyuan","jianpin":"hy","name":"湟源","code":"HNO","jdId":"29_2580_2582"},{"id":"2350","quanpin":"baoquanling","jianpin":"bql","name":"宝泉岭","code":"BQB","jdId":""},{"id":"1563","quanpin":"xiangtan","jianpin":"xt","name":"湘潭","code":"XTQ","jdId":"18_1495_0"},{"id":"2081","quanpin":"zhengzhou","jianpin":"zz","name":"郑州","code":"ZZF","jdId":"7_412_0"},{"id":"553","quanpin":"yongshou","jianpin":"ys","name":"永寿","code":"ASY","jdId":"27_2402_2406"},{"id":"1481","quanpin":"heishui","jianpin":"hs","name":"黑水","code":"HOT","jdId":"4_140_10314"},{"id":"1109","quanpin":"cangshi","jianpin":"cs","name":"苍石","code":"CST","jdId":""},{"id":"1631","quanpin":"linkou","jianpin":"lk","name":"林口","code":"LKB","jdId":"10_757_762"},{"id":"2317","quanpin":"sunjia","jianpin":"sj","name":"孙家","code":"SUB","jdId":"4_113_9799"},{"id":"2256","quanpin":"atushi","jianpin":"ats","name":"阿图什","code":"ATR","jdId":"31_2699_2700"},{"id":"2637","quanpin":"qujingbei","jianpin":"qjb","name":"曲靖北","code":"QBM","jdId":""},{"id":"636","quanpin":"wolitun","jianpin":"wlt","name":"卧里屯","code":"WLX","jdId":""},{"id":"665","quanpin":"luomen","jianpin":"lm","name":"洛门","code":"LMJ","jdId":""},{"id":"2539","quanpin":"sihui","jianpin":"sh","name":"四会","code":"AHQ","jdId":"19_1690_39723"},{"id":"896","quanpin":"guangzhoudong","jianpin":"gzd","name":"广州东","code":"GGQ","jdId":""},{"id":"855","quanpin":"wulashan","jianpin":"wls","name":"乌拉山","code":"WSC","jdId":""},{"id":"2392","quanpin":"mawei","jianpin":"mw","name":"麻尾","code":"VAW","jdId":""},{"id":"36","quanpin":"xiahuayuan","jianpin":"xhy","name":"下花园","code":"XYP","jdId":"5_224_238"},{"id":"340","quanpin":"mianxian","jianpin":"mx","name":"勉县","code":"MVY","jdId":"27_2442_2450"},{"id":"409","quanpin":"xiangtang","jianpin":"xt","name":"向塘","code":"XTG","jdId":""},{"id":"1864","quanpin":"shache","jianpin":"sc","name":"莎车","code":"SCR","jdId":"31_2686_2697"},{"id":"418","quanpin":"boxing","jianpin":"bx","name":"博兴","code":"BXK","jdId":"13_1090_1095"},{"id":"294","quanpin":"lanxi","jianpin":"lx","name":"兰溪","code":"LWH","jdId":"15_1262_1264"},{"id":"392","quanpin":"dayuan","jianpin":"dy","name":"大元","code":"DYZ","jdId":""},{"id":"2239","quanpin":"yangcheng","jianpin":"yc","name":"阳城","code":"YNF","jdId":"6_325_327"},{"id":"2304","quanpin":"shaoshan","jianpin":"ss","name":"韶山","code":"SSQ","jdId":"18_1499_0"},{"id":"2303","quanpin":"pingshi","jianpin":"ps","name":"坪石","code":"PSQ","jdId":""},{"id":"2373","quanpin":"huangshibei","jianpin":"hsb","name":"黄石北","code":"KSN","jdId":""},{"id":"2321","quanpin":"zhumadianxi","jianpin":"zmdx","name":"驻马店西","code":"ZLN","jdId":""},{"id":"2387","quanpin":"chenqing","jianpin":"cq","name":"辰清","code":"CQB","jdId":""},{"id":"314","quanpin":"mingshuihe","jianpin":"msh","name":"明水河","code":"MUT","jdId":""},{"id":"1706","quanpin":"changzheng","jianpin":"cz","name":"长征","code":"CZJ","jdId":"23_3707_3882"},{"id":"1081","quanpin":"xiabancheng","jianpin":"xbc","name":"下板城","code":"EBP","jdId":""},{"id":"1031","quanpin":"enshi","jianpin":"es","name":"恩施","code":"ESN","jdId":"17_1466_0"},{"id":"1604","quanpin":"lingshi","jianpin":"ls","name":"灵石","code":"LSV","jdId":"6_336_346"},{"id":"755","quanpin":"anxi","jianpin":"ax","name":"安溪","code":"AXS","jdId":"4_48133_48152"},{"id":"2375","quanpin":"huangling","jianpin":"hl","name":"黄陵","code":"ULY","jdId":"27_2428_2432"},{"id":"1577","quanpin":"luanping","jianpin":"lp","name":"滦平","code":"UPP","jdId":"5_239_243"},{"id":"2444","quanpin":"longdongbao","jianpin":"ldb","name":"龙洞堡","code":"FVW","jdId":""},{"id":"845","quanpin":"tingliang","jianpin":"tl","name":"亭亮","code":"TIZ","jdId":""},{"id":"1333","quanpin":"yuci","jianpin":"yc","name":"榆次","code":"YCV","jdId":"6_336_44145"},{"id":"704","quanpin":"taigu","jianpin":"tg","name":"太谷","code":"TGV","jdId":"6_336_344"},{"id":"916","quanpin":"langfang","jianpin":"lf","name":"廊坊","code":"LJP","jdId":"5_274_0"},{"id":"1723","quanpin":"panjin","jianpin":"pj","name":"盘锦","code":"PVD","jdId":"8_613_0"},{"id":"676","quanpin":"yanshan","jianpin":"ys","name":"燕山","code":"AOP","jdId":"4_113_9817"},{"id":"2366","quanpin":"huanggangxi","jianpin":"hgx","name":"黄冈西","code":"KXN","jdId":""},{"id":"55","quanpin":"liangdang","jianpin":"ld","name":"两当","code":"LDY","jdId":"28_2534_2540"},{"id":"910","quanpin":"kuche","jianpin":"kc","name":"库车","code":"KCR","jdId":"31_2675_2682"},{"id":"1184","quanpin":"changping","jianpin":"cp","name":"昌平","code":"CPP","jdId":"1_2901_0"},{"id":"1450","quanpin":"shawanxian","jianpin":"swx","name":"沙湾县","code":"SXR","jdId":"31_2736_2741"},{"id":"1933","quanpin":"xiannan","jianpin":"xan","name":"西安南","code":"CAY","jdId":""},{"id":"100","quanpin":"danxiashan","jianpin":"dxs","name":"丹霞山","code":"IRQ","jdId":""},{"id":"1557","quanpin":"weizhuang","jianpin":"wz","name":"韦庄","code":"WZY","jdId":""},{"id":"1433","quanpin":"shenyangbei","jianpin":"syb","name":"沈阳北","code":"SBT","jdId":""},{"id":"335","quanpin":"kailinan","jianpin":"kln","name":"凯里南","code":"QKW","jdId":""},{"id":"862","quanpin":"heshuo","jianpin":"hs","name":"和硕","code":"VUR","jdId":"31_2704_2709"},{"id":"974","quanpin":"dangyang","jianpin":"dy","name":"当阳","code":"DYN","jdId":"4_136_10200"},{"id":"840","quanpin":"qujiu","jianpin":"qj","name":"渠旧","code":"QJZ","jdId":""},{"id":"107","quanpin":"wuyiling","jianpin":"wyl","name":"乌伊岭","code":"WPB","jdId":"10_753_3356"},{"id":"2076","quanpin":"shaodong","jianpin":"sd","name":"邵东","code":"FIQ","jdId":"18_1511_1513"},{"id":"2380","quanpin":"yilaha","jianpin":"ylh","name":"伊拉哈","code":"YLX","jdId":""},{"id":"1556","quanpin":"weinan","jianpin":"wn","name":"渭南","code":"WNY","jdId":"27_2416_0"},{"id":"1586","quanpin":"longshanzhen","jianpin":"lsz","name":"龙山镇","code":"LAS","jdId":""},{"id":"2275","quanpin":"leizhou","jianpin":"lz","name":"雷州","code":"UAQ","jdId":"19_1677_1679"},{"id":"2615","quanpin":"shaoxingdong","jianpin":"sxd","name":"绍兴东","code":"SSH","jdId":""},{"id":"435","quanpin":"shuangliao","jianpin":"sl","name":"双辽","code":"ZJD","jdId":"9_651_653"},{"id":"479","quanpin":"lvliang","jianpin":"ll","name":"吕梁","code":"LHV","jdId":"6_368_0"},{"id":"2301","quanpin":"shaoguandong","jianpin":"sgd","name":"韶关东","code":"SGQ","jdId":""},{"id":"2255","quanpin":"heshituoluogai","jianpin":"hstlg","name":"和什托洛盖","code":"VSR","jdId":""},{"id":"319","quanpin":"neijiang","jianpin":"nj","name":"内江","code":"NJW","jdId":"22_1988_0"},{"id":"2266","quanpin":"luliang","jianpin":"ll","name":"陆良","code":"LRM","jdId":"25_2247_2253"},{"id":"1830","quanpin":"zhaoqingdong","jianpin":"zqd","name":"肇庆东","code":"FCQ","jdId":""},{"id":"1476","quanpin":"luoyang","jianpin":"ly","name":"洛阳","code":"LYF","jdId":"7_427_0"},{"id":"973","quanpin":"midu","jianpin":"md","name":"弥渡","code":"MDF","jdId":"25_2347_2350"},{"id":"603","quanpin":"moyu","jianpin":"my","name":"墨玉","code":"MUR","jdId":"31_2666_2669"},{"id":"457","quanpin":"shuijiahu","jianpin":"sjh","name":"水家湖","code":"SQH","jdId":""},{"id":"1488","quanpin":"xishui","jianpin":"xs","name":"浠水","code":"XZN","jdId":"17_1441_41912"},{"id":"2105","quanpin":"juancheng","jianpin":"jc","name":"鄄城","code":"JCK","jdId":"13_1099_2773"},{"id":"2230","quanpin":"ajin","jianpin":"aj","name":"阿金","code":"AJD","jdId":""},{"id":"1814","quanpin":"jixixian","jianpin":"jxx","name":"绩溪县","code":"JRH","jdId":"14_2971_3479"},{"id":"972","quanpin":"pingyuanpu","jianpin":"pyp","name":"平原堡","code":"PPJ","jdId":""},{"id":"1867","quanpin":"changzhuang","jianpin":"cz","name":"常庄","code":"CVK","jdId":""},{"id":"1075","quanpin":"qianweitang","jianpin":"qwt","name":"前苇塘","code":"QWP","jdId":""},{"id":"1681","quanpin":"liangjia","jianpin":"lj","name":"两家","code":"UJT","jdId":""},{"id":"669","quanpin":"weinanzhen","jianpin":"wnz","name":"渭南镇","code":"WNJ","jdId":""},{"id":"540","quanpin":"hejing","jianpin":"hj","name":"和静","code":"HJR","jdId":"31_2704_2707"},{"id":"1844","quanpin":"huashannan","jianpin":"hsn","name":"花山南","code":"KNN","jdId":""},{"id":"639","quanpin":"dawukou","jianpin":"dwk","name":"大武口","code":"DFJ","jdId":"30_2632_2636"},{"id":"2152","quanpin":"nuanquan","jianpin":"nq","name":"暖泉","code":"NQJ","jdId":""},{"id":"2445","quanpin":"binzhou","jianpin":"bz","name":"滨州","code":"BIK","jdId":"13_1090_0"},{"id":"801","quanpin":"susong","jianpin":"ss","name":"宿松","code":"OAH","jdId":"14_1140_1142"},{"id":"474","quanpin":"tulufanbei","jianpin":"tlfb","name":"吐鲁番北","code":"TAR","jdId":""},{"id":"932","quanpin":"dashitou","jianpin":"dst","name":"大石头","code":"DSL","jdId":""},{"id":"1892","quanpin":"mengzibei","jianpin":"mzb","name":"蒙自北","code":"MBM","jdId":""},{"id":"1977","quanpin":"malin","jianpin":"ml","name":"马林","code":"MID","jdId":""},{"id":"642","quanpin":"dashiqiao","jianpin":"dsq","name":"大石桥","code":"DQT","jdId":"8_609_610"},{"id":"2496","quanpin":"jianfeng","jianpin":"jf","name":"尖峰","code":"PFQ","jdId":"23_3710_3856"},{"id":"316","quanpin":"xingping","jianpin":"xp","name":"兴平","code":"XPY","jdId":"27_2402_2403"},{"id":"2579","quanpin":"dianjiang","jianpin":"dj","name":"垫江","code":"DJE","jdId":"4_139_0"},{"id":"1537","quanpin":"qingjianxian","jianpin":"qjx","name":"清涧县","code":"QNY","jdId":"27_2454_2456"},{"id":"1979","quanpin":"laofu","jianpin":"lf","name":"老府","code":"UFD","jdId":""},{"id":"1514","quanpin":"zibo","jianpin":"zb","name":"淄博","code":"ZBK","jdId":"13_1016_0"},{"id":"188","quanpin":"yujiang","jianpin":"yj","name":"余江","code":"YHG","jdId":"21_1857_1858"},{"id":"629","quanpin":"chuangyecun","jianpin":"cyc","name":"创业村","code":"CEX","jdId":""},{"id":"2446","quanpin":"tongyuanpuxi","jianpin":"typx","name":"通远堡西","code":"TST","jdId":""},{"id":"1874","quanpin":"huojia","jianpin":"hj","name":"获嘉","code":"HJF","jdId":"7_458_462"},{"id":"1366","quanpin":"chongren","jianpin":"cr","name":"崇仁","code":"CRG","jdId":"21_1885_1894"},{"id":"190","quanpin":"ronggui","jianpin":"rg","name":"容桂","code":"RUQ","jdId":""},{"id":"1975","quanpin":"sanyijing","jianpin":"syj","name":"三义井","code":"OYD","jdId":""},{"id":"1957","quanpin":"zizhong","jianpin":"zz","name":"资中","code":"ZZW","jdId":"22_1988_1989"},{"id":"160","quanpin":"wuying","jianpin":"wy","name":"五营","code":"WWB","jdId":"10_753_3352"},{"id":"8","quanpin":"wanyuan","jianpin":"wy","name":"万源","code":"WYY","jdId":"22_2033_2038"},{"id":"1767","quanpin":"minqingbei","jianpin":"mqb","name":"闽清北","code":"MBS","jdId":""},{"id":"199","quanpin":"jiamusi","jianpin":"jms","name":"佳木斯","code":"JMB","jdId":"10_765_0"},{"id":"232","quanpin":"minggang","jianpin":"mg","name":"明港","code":"MGN","jdId":""},{"id":"167","quanpin":"zhanglan","jianpin":"zla","name":"张兰","code":"ZLV","jdId":""},{"id":"1961","quanpin":"dayu","jianpin":"dy","name":"大余","code":"DYG","jdId":"21_1911_1925"},{"id":"1669","quanpin":"gangu","jianpin":"gg","name":"甘谷","code":"GGJ","jdId":"28_2501_2504"},{"id":"2129","quanpin":"jinshantun","jianpin":"jst","name":"金山屯","code":"JTB","jdId":"10_753_3351"},{"id":"253","quanpin":"pingtian","jianpin":"pt","name":"平田","code":"PTM","jdId":""},{"id":"2565","quanpin":"zizhongbei","jianpin":"zzb","name":"资中北","code":"WZW","jdId":""},{"id":"2506","quanpin":"lilinbei","jianpin":"llb","name":"沥林北","code":"KBQ","jdId":""},{"id":"1387","quanpin":"yongfunan","jianpin":"yfn","name":"永福南","code":"YBZ","jdId":""},{"id":"234","quanpin":"xiuwu","jianpin":"xw","name":"修武","code":"XWF","jdId":"7_446_449"},{"id":"844","quanpin":"laituan","jianpin":"lt","name":"濑湍","code":"LVZ","jdId":""},{"id":"2447","quanpin":"yangxin","jianpin":"yx","name":"阳信","code":"YVK","jdId":"13_1090_1096"},{"id":"1671","quanpin":"tianlin","jianpin":"tl","name":"田林","code":"TFZ","jdId":"20_1806_1812"},{"id":"745","quanpin":"antu","jianpin":"at","name":"安图","code":"ATL","jdId":"9_687_3318"},{"id":"2173","quanpin":"zhenan","jianpin":"za","name":"镇安","code":"ZEY","jdId":"4_114_9915"},{"id":"2416","quanpin":"longchuan","jianpin":"lc","name":"龙川","code":"LUQ","jdId":"19_1627_1629"},{"id":"2569","quanpin":"huangguayuan","jianpin":"hgy","name":"黄瓜园","code":"HYM","jdId":""},{"id":"389","quanpin":"napu","jianpin":"np","name":"那铺","code":"NPZ","jdId":""},{"id":"617","quanpin":"dajian","jianpin":"dj","name":"大涧","code":"DFP","jdId":""},{"id":"1765","quanpin":"fuan","jianpin":"fa","name":"福安","code":"FAS","jdId":"16_1370_1372"},{"id":"1217","quanpin":"lugou","jianpin":"lg","name":"芦沟","code":"LOM","jdId":""},{"id":"436","quanpin":"shuangyashan","jianpin":"sys","name":"双鸭山","code":"SSB","jdId":"10_731_0"},{"id":"1578","quanpin":"luanhe","jianpin":"lh","name":"滦河","code":"UDP","jdId":""},{"id":"2198","quanpin":"datun","jianpin":"dt","name":"大屯","code":"DNT","jdId":""},{"id":"1886","quanpin":"nanqiao","jianpin":"nq","name":"南桥","code":"NQD","jdId":"23_3137_3778"},{"id":"746","quanpin":"tianzhushan","jianpin":"tzs","name":"天柱山","code":"QWH","jdId":""},{"id":"2584","quanpin":"puanxian","jianpin":"pax","name":"普安县","code":"PUE","jdId":"24_2196_2200"},{"id":"682","quanpin":"tianjin","jianpin":"tj","name":"天津","code":"TJP","jdId":"3_0_0"},{"id":"432","quanpin":"shuangchengpu","jianpin":"scb","name":"双城堡","code":"SCB","jdId":""},{"id":"2104","quanpin":"ezhoudong","jianpin":"ezd","name":"鄂州东","code":"EFN","jdId":""},{"id":"1491","quanpin":"ledunan","jianpin":"ldn","name":"乐都南","code":"LVO","jdId":""},{"id":"2448","quanpin":"jiaohexi","jianpin":"jhx","name":"蛟河西","code":"JOL","jdId":""},{"id":"170","quanpin":"xiantaoxi","jianpin":"xtx","name":"仙桃西","code":"XAN","jdId":""},{"id":"2196","quanpin":"wukeshu","jianpin":"wks","name":"五棵树","code":"WKT","jdId":""},{"id":"1757","quanpin":"qixian","jianpin":"qx","name":"祁县","code":"QXV","jdId":"6_336_341"},{"id":"2320","quanpin":"zhumadian","jianpin":"zmd","name":"驻马店","code":"ZDN","jdId":"7_538_0"},{"id":"843","quanpin":"chongzuo","jianpin":"cz","name":"崇左","code":"CZZ","jdId":"20_3168_0"},{"id":"1445","quanpin":"wujiatun","jianpin":"wjt","name":"吴家屯","code":"WJT","jdId":""},{"id":"725","quanpin":"xiaoganbei","jianpin":"xgb","name":"孝感北","code":"XJN","jdId":""},{"id":"2027","quanpin":"tonghai","jianpin":"th","name":"通海","code":"TAM","jdId":"25_2258_2263"},{"id":"1245","quanpin":"xiaoshi","jianpin":"xs","name":"小市","code":"XST","jdId":""},{"id":"1285","quanpin":"zaoqiang","jianpin":"zq","name":"枣强","code":"ZVP","jdId":"5_275_294"},{"id":"181","quanpin":"yiningdong","jianpin":"ynd","name":"伊宁东","code":"YNR","jdId":""},{"id":"1167","quanpin":"daju","jianpin":"dj","name":"大苴","code":"DIM","jdId":""},{"id":"562","quanpin":"shangqiunan","jianpin":"sqn","name":"商丘南","code":"SPF","jdId":""},{"id":"2309","quanpin":"shundexueyuan","jianpin":"sdxy","name":"顺德学院","code":"OJQ","jdId":""},{"id":"776","quanpin":"yichang","jianpin":"yc","name":"宜昌","code":"YCN","jdId":"17_1421_0"},{"id":"1336","quanpin":"zhangshudong","jianpin":"zsd","name":"樟树东","code":"ZOG","jdId":""},{"id":"782","quanpin":"qianhe","jianpin":"qh","name":"千河","code":"QUY","jdId":""},{"id":"2199","quanpin":"halahai","jianpin":"hlh","name":"哈拉海","code":"HIT","jdId":""},{"id":"1442","quanpin":"linshengpu","jianpin":"lsp","name":"林盛堡","code":"LBT","jdId":""},{"id":"50","quanpin":"changping","jianpin":"cp","name":"常平","code":"DAQ","jdId":"19_1655_4886"},{"id":"524","quanpin":"tulihe","jianpin":"tlh","name":"图里河","code":"TEX","jdId":""},{"id":"393","quanpin":"litang","jianpin":"lt","name":"黎塘","code":"LTZ","jdId":""},{"id":"2135","quanpin":"mahuang","jianpin":"mh","name":"马皇","code":"MHZ","jdId":""},{"id":"1591","quanpin":"huangchuan","jianpin":"hc","name":"潢川","code":"KCN","jdId":"7_549_551"},{"id":"1625","quanpin":"zhujiagou","jianpin":"zjg","name":"朱家沟","code":"ZUB","jdId":""},{"id":"2203","quanpin":"xinlizhen","jianpin":"xlz","name":"新立镇","code":"XGT","jdId":"4_134_19915"},{"id":"171","quanpin":"daixian","jianpin":"dx","name":"代县","code":"DKV","jdId":"6_350_352"},{"id":"1882","quanpin":"gediannan","jianpin":"gdn","name":"葛店南","code":"GNN","jdId":""},{"id":"2466","quanpin":"chengzitan","jianpin":"czt","name":"城子坦","code":"CWT","jdId":""},{"id":"1772","quanpin":"fuding","jianpin":"fd","name":"福鼎","code":"FES","jdId":"16_1370_1373"},{"id":"1800","quanpin":"dongbianjing","jianpin":"dbj","name":"东边井","code":"DBB","jdId":""},{"id":"2101","quanpin":"dalateqi","jianpin":"dltq","name":"达拉特旗","code":"DIC","jdId":"11_870_879"},{"id":"1114","quanpin":"jieyang","jianpin":"jy","name":"揭阳","code":"JRQ","jdId":"19_1709_0"},{"id":"76","quanpin":"zhaocheng","jianpin":"zc","name":"赵城","code":"ZCV","jdId":""},{"id":"626","quanpin":"taiyangsheng","jianpin":"tys","name":"太阳升","code":"TQT","jdId":""},{"id":"712","quanpin":"jiangyan","jianpin":"jy","name":"姜堰","code":"UEH","jdId":"12_959_40174"},{"id":"278","quanpin":"gancaodian","jianpin":"gcd","name":"甘草店","code":"GDJ","jdId":""},{"id":"481","quanpin":"duizhen","jianpin":"dz","name":"兑镇","code":"DWV","jdId":""},{"id":"1095","quanpin":"yangshuling","jianpin":"ysl","name":"杨树岭","code":"YAD","jdId":""},{"id":"2227","quanpin":"funan","jianpin":"fn","name":"阜南","code":"FNH","jdId":"14_1167_1170"},{"id":"2390","quanpin":"rongjiang","jianpin":"rj","name":"榕江","code":"RVW","jdId":"24_2205_2215"},{"id":"581","quanpin":"guojiadian","jianpin":"gjd","name":"郭家店","code":"GDT","jdId":""},{"id":"301","quanpin":"xizhelimu","jianpin":"xzlm","name":"西哲里木","code":"XRD","jdId":""},{"id":"2295","quanpin":"jingyuanxi","jianpin":"jyx","name":"靖远西","code":"JXJ","jdId":""},{"id":"1101","quanpin":"jiangbiancun","jianpin":"jbc","name":"江边村","code":"JBG","jdId":""},{"id":"1064","quanpin":"hanmaying","jianpin":"hmy","name":"韩麻营","code":"HYP","jdId":""},{"id":"242","quanpin":"wuwu","jianpin":"ww","name":"五五","code":"WVR","jdId":""},{"id":"2264","quanpin":"lufeng","jianpin":"lf","name":"陆丰","code":"LLQ","jdId":"19_1650_20052"},{"id":"1284","quanpin":"zaozhuangxi","jianpin":"zzx","name":"枣庄西","code":"ZFK","jdId":""},{"id":"1617","quanpin":"jiaozuodong","jianpin":"jzd","name":"焦作东","code":"WEF","jdId":""},{"id":"1306","quanpin":"liangping","jianpin":"lp","name":"梁平","code":"UQW","jdId":"4_115_0"},{"id":"829","quanpin":"shanyin","jianpin":"sy","name":"山阴","code":"SNV","jdId":"6_330_331"},{"id":"1236","quanpin":"weizhangzi","jianpin":"wzz","name":"魏杖子","code":"WKD","jdId":""},{"id":"2077","quanpin":"shaowu","jianpin":"sw","name":"邵武","code":"SWS","jdId":"16_1352_1355"},{"id":"671","quanpin":"yuanyangzhen","jianpin":"yyz","name":"鸳鸯镇","code":"YYJ","jdId":""},{"id":"78","quanpin":"linyibei","jianpin":"lyb","name":"临沂北","code":"UYK","jdId":""},{"id":"427","quanpin":"youhao","jianpin":"yh","name":"友好","code":"YOB","jdId":"10_753_3346"},{"id":"135","quanpin":"weizigou","jianpin":"wzg","name":"苇子沟","code":"WZL","jdId":""},{"id":"2156","quanpin":"sanggendalai","jianpin":"sgdl","name":"桑根达来","code":"OGC","jdId":""},{"id":"556","quanpin":"binjiang","jianpin":"bj","name":"滨江","code":"BJB","jdId":"15_1213_3038"},{"id":"229","quanpin":"minggangdong","jianpin":"mgd","name":"明港东","code":"MDN","jdId":""},{"id":"491","quanpin":"aijiacun","jianpin":"ajc","name":"艾家村","code":"AJJ","jdId":""},{"id":"2201","quanpin":"changchun","jianpin":"cc","name":"长春","code":"CCT","jdId":"9_639_0"},{"id":"1342","quanpin":"wugong","jianpin":"wg","name":"武功","code":"WGY","jdId":"27_2402_2413"},{"id":"1270","quanpin":"caijiagou","jianpin":"cjg","name":"蔡家沟","code":"CJT","jdId":""},{"id":"2132","quanpin":"jiling","jianpin":"jl","name":"芨岭","code":"JLJ","jdId":""},{"id":"492","quanpin":"dazhanchang","jianpin":"dzc","name":"大战场","code":"DTJ","jdId":""},{"id":"37","quanpin":"dongfeng","jianpin":"df","name":"东丰","code":"DIL","jdId":"9_2992_2995"},{"id":"1055","quanpin":"zhalantun","jianpin":"zlt","name":"扎兰屯","code":"ZTX","jdId":"11_848_852"},{"id":"2053","quanpin":"xingtaidong","jianpin":"xtd","name":"邢台东","code":"EDP","jdId":""},{"id":"1338","quanpin":"shexian","jianpin":"sx","name":"歙县","code":"OVH","jdId":"14_1151_1154"},{"id":"1717","quanpin":"yancheng","jianpin":"yc","name":"盐城","code":"AFH","jdId":"12_939_0"},{"id":"1955","quanpin":"zhongshanxi","jianpin":"zsx","name":"钟山西","code":"ZAZ","jdId":""},{"id":"2479","quanpin":"fenhe","jianpin":"fh","name":"汾河","code":"FEV","jdId":"4_131_10381"},{"id":"1674","quanpin":"lueyang","jianpin":"ly","name":"略阳","code":"LYY","jdId":"27_2442_2451"},{"id":"539","quanpin":"hetian","jianpin":"ht","name":"和田","code":"VTR","jdId":"31_2666_0"},{"id":"767","quanpin":"dingxi","jianpin":"dx","name":"定西","code":"DSJ","jdId":"28_3080_0"},{"id":"1425","quanpin":"yishui","jianpin":"ys","name":"沂水","code":"YUK","jdId":"13_1072_1074"},{"id":"104","quanpin":"qilihe","jianpin":"qlh","name":"七里河","code":"QLD","jdId":"28_2487_21646"},{"id":"777","quanpin":"zhijiangbei","jianpin":"zjb","name":"枝江北","code":"ZIN","jdId":""},{"id":"1268","quanpin":"changshantun","jianpin":"cst","name":"长山屯","code":"CVT","jdId":""},{"id":"1186","quanpin":"changli","jianpin":"cl","name":"昌黎","code":"CLP","jdId":"5_248_263"},{"id":"1021","quanpin":"huaihuanan","jianpin":"hhn","name":"怀化南","code":"KAQ","jdId":""},{"id":"2537","quanpin":"shiti","jianpin":"st","name":"石梯","code":"STE","jdId":""},{"id":"638","quanpin":"daqingxi","jianpin":"dqx","name":"大庆西","code":"RHX","jdId":""},{"id":"148","quanpin":"huacheng","jianpin":"hc","name":"华城","code":"VCQ","jdId":""},{"id":"359","quanpin":"gushankou","jianpin":"gsk","name":"孤山口","code":"GSP","jdId":""},{"id":"2286","quanpin":"qingdaobei","jianpin":"qdb","name":"青岛北","code":"QHK","jdId":""},{"id":"2120","quanpin":"longshi","jianpin":"sh","name":"龙市","code":"LAG","jdId":"4_48201_48320"},{"id":"2602","quanpin":"huaiyin","jianpin":"hy","name":"槐荫","code":"IYN","jdId":"13_1000_40490"},{"id":"1995","quanpin":"sanhuizhen","jianpin":"shz","name":"三汇镇","code":"OZW","jdId":"4_134_10143"},{"id":"1829","quanpin":"zhaodong","jianpin":"zd","name":"肇东","code":"ZDB","jdId":"10_782_785"},{"id":"825","quanpin":"nimu","jianpin":"nm","name":"尼木","code":"NMO","jdId":"26_2951_3919"},{"id":"924","quanpin":"kangzhuang","jianpin":"kz","name":"康庄","code":"KZP","jdId":""},{"id":"1283","quanpin":"zaozhuang","jianpin":"zz","name":"枣庄","code":"ZEK","jdId":"13_1022_0"},{"id":"1147","quanpin":"wuxi","jianpin":"wx","name":"无锡","code":"WXH","jdId":"12_984_0"},{"id":"1621","quanpin":"yakeshi","jianpin":"yks","name":"牙克石","code":"YKX","jdId":"11_848_851"},{"id":"2047","quanpin":"suining","jianpin":"sn","name":"遂宁","code":"NIW","jdId":"22_1983_0"},{"id":"226","quanpin":"douzhuang","jianpin":"dz","name":"豆庄","code":"ROP","jdId":""},{"id":"2551","quanpin":"yinping","jianpin":"yp","name":"银瓶","code":"KPQ","jdId":""},{"id":"911","quanpin":"yingxian","jianpin":"yx","name":"应县","code":"YZV","jdId":"6_330_333"},{"id":"612","quanpin":"tuqiang","jianpin":"tq","name":"图强","code":"TQX","jdId":""},{"id":"2449","quanpin":"linyi","jianpin":"ly","name":"临邑","code":"LUK","jdId":"13_1060_1069"},{"id":"2356","quanpin":"dongxiang","jianpin":"dx","name":"东乡","code":"DXG","jdId":"21_1885_1891"},{"id":"59","quanpin":"zhongning","jianpin":"zn","name":"中宁","code":"VNJ","jdId":"30_3071_3072"},{"id":"2125","quanpin":"jinhuanan","jianpin":"jhn","name":"金华南","code":"RNH","jdId":""},{"id":"1628","quanpin":"modaoshi","jianpin":"mds","name":"磨刀石","code":"MOB","jdId":""},{"id":"116","quanpin":"benhong","jianpin":"bh","name":"贲红","code":"BVC","jdId":""},{"id":"468","quanpin":"tiangang","jianpin":"tg","name":"天岗","code":"TGL","jdId":""},{"id":"625","quanpin":"taikang","jianpin":"tk","name":"泰康","code":"TKX","jdId":""},{"id":"1349","quanpin":"shangyaodun","jianpin":"syd","name":"上腰墩","code":"SPJ","jdId":""},{"id":"2553","quanpin":"yongchuandong","jianpin":"ycd","name":"永川东","code":"WMW","jdId":""},{"id":"130","quanpin":"lechang","jianpin":"lc","name":"乐昌","code":"LCQ","jdId":"19_1617_1619"},{"id":"281","quanpin":"lanzhouxi","jianpin":"lzx","name":"兰州西","code":"LAJ","jdId":""},{"id":"663","quanpin":"lvshun","jianpin":"ls","name":"旅顺","code":"LST","jdId":""},{"id":"1976","quanpin":"nailin","jianpin":"nl","name":"乃林","code":"NLD","jdId":""},{"id":"71","quanpin":"fengdu","jianpin":"fd","name":"丰都","code":"FUW","jdId":"4_130_0"},{"id":"2089","quanpin":"pixian","jianpin":"px","name":"郫县","code":"PWW","jdId":"22_1930_49322"},{"id":"2372","quanpin":"huangshi","jianpin":"hs","name":"黄石","code":"HSN","jdId":"17_1387_0"},{"id":"1484","quanpin":"jinan","jianpin":"jn","name":"济南","code":"JNK","jdId":"13_1000_0"},{"id":"2254","quanpin":"beitunshi","jianpin":"bts","name":"北屯市","code":"BXR","jdId":"31_2744_6822"},{"id":"2339","quanpin":"ximashan","jianpin":"xms","name":"西麻山","code":"XMB","jdId":""},{"id":"500","quanpin":"keyihe","jianpin":"kyh","name":"克一河","code":"KHX","jdId":""},{"id":"1008","quanpin":"daying","jianpin":"dy","name":"大营","code":"DYV","jdId":""},{"id":"2536","quanpin":"shiqiao","jianpin":"sq","name":"石桥","code":"SQE","jdId":"4_129_10052"},{"id":"2022","quanpin":"wudaogou","jianpin":"wdg","name":"五道沟","code":"WDL","jdId":""},{"id":"2643","quanpin":"zhangxian","jianpin":"zx","name":"漳县","code":"ZXJ","jdId":"28_3080_4005"},{"id":"988","quanpin":"dezhou","jianpin":"dz","name":"德州","code":"DZP","jdId":"13_1060_0"},{"id":"1590","quanpin":"qianjiang","jianpin":"qj","name":"潜江","code":"QJN","jdId":"17_2922_0"},{"id":"117","quanpin":"baolage","jianpin":"blg","name":"宝拉格","code":"BQC","jdId":""},{"id":"1831","quanpin":"huaiji","jianpin":"hj","name":"怀集","code":"FAQ","jdId":"19_1690_1695"},{"id":"1054","quanpin":"nanmu","jianpin":"nm","name":"南木","code":"NMX","jdId":""},{"id":"846","quanpin":"chaohudong","jianpin":"chd","name":"巢湖东","code":"GUH","jdId":""},{"id":"1028","quanpin":"huairoubei","jianpin":"hrb","name":"怀柔北","code":"HBP","jdId":""},{"id":"2354","quanpin":"yingshouyingzi","jianpin":"ysyz","name":"鹰手营子","code":"YIP","jdId":""},{"id":"423","quanpin":"yuanping","jianpin":"yp","name":"原平","code":"YPV","jdId":"6_350_351"},{"id":"1065","quanpin":"wudaohe","jianpin":"wdh","name":"五道河","code":"WHP","jdId":""},{"id":"634","quanpin":"daqingdong","jianpin":"dqd","name":"大庆东","code":"LFX","jdId":""},{"id":"287","quanpin":"lanzhou","jianpin":"lz","name":"兰州","code":"LZJ","jdId":"28_2487_0"},{"id":"999","quanpin":"dingxiang","jianpin":"dx","name":"定襄","code":"DXV","jdId":"6_350_365"},{"id":"192","quanpin":"beijiao","jianpin":"b","name":"北滘","code":"IBQ","jdId":""},{"id":"2006","quanpin":"dongtonghua","jianpin":"dth","name":"东通化","code":"DTL","jdId":""},{"id":"67","quanpin":"nanlang","jianpin":"nl","name":"南朗","code":"NNQ","jdId":"19_1657_2777"},{"id":"1171","quanpin":"banmaoqing","jianpin":"bmj","name":"班猫箐","code":"BNM","jdId":""},{"id":"2324","quanpin":"gaoan","jianpin":"ga","name":"高安","code":"GCG","jdId":"4_139_10285"},{"id":"920","quanpin":"sanhexian","jianpin":"shx","name":"三河县","code":"OXP","jdId":""},{"id":"1393","quanpin":"baishuijiang","jianpin":"bsj","name":"白水江","code":"BSY","jdId":""},{"id":"4","quanpin":"xingshu","jianpin":"xs","name":"杏树","code":"XSB","jdId":""},{"id":"2518","quanpin":"nanningxi","jianpin":"nnx","name":"南宁西","code":"NXZ","jdId":""},{"id":"1665","quanpin":"wafangdian","jianpin":"wfd","name":"瓦房店","code":"WDT","jdId":"8_573_575"},{"id":"297","quanpin":"xingyi","jianpin":"xy","name":"兴义","code":"XRZ","jdId":"24_3004_0"},{"id":"1973","quanpin":"pingzhuangnan","jianpin":"pzn","name":"平庄南","code":"PND","jdId":""},{"id":"2450","quanpin":"caishan","jianpin":"cs","name":"蔡山","code":"CON","jdId":""},{"id":"1634","quanpin":"xiangyang","jianpin":"xy","name":"向阳","code":"XDB","jdId":"10_727_3335"},{"id":"2218","quanpin":"sanjiadian","jianpin":"sjd","name":"三家店","code":"ODP","jdId":""},{"id":"1600","quanpin":"lingbaoxi","jianpin":"lbx","name":"灵宝西","code":"LPF","jdId":""},{"id":"2065","quanpin":"piandian","jianpin":"pd","name":"偏店","code":"PRP","jdId":""},{"id":"1154","quanpin":"yangchenghu","jianpin":"ych","name":"阳澄湖","code":"AIH","jdId":""},{"id":"1903","quanpin":"jiaohe","jianpin":"jh","name":"蛟河","code":"JHL","jdId":"9_644_647"},{"id":"1513","quanpin":"heiwang","jianpin":"hw","name":"黑旺","code":"HWK","jdId":""},{"id":"2507","quanpin":"lingaonan","jianpin":"lgn","name":"临高南","code":"KGQ","jdId":""},{"id":"1860","quanpin":"jingmen","jianpin":"jm","name":"荆门","code":"JMN","jdId":"17_1477_0"},{"id":"1385","quanpin":"yongjibei","jianpin":"yjb","name":"永济北","code":"AJV","jdId":""},{"id":"1408","quanpin":"jiangyuan","jianpin":"jy","name":"江源","code":"SZL","jdId":"9_664_669"},{"id":"2224","quanpin":"wenxi","jianpin":"wx","name":"闻喜","code":"WXV","jdId":"6_398_3233"},{"id":"939","quanpin":"jianou","jianpin":"jo","name":"建瓯","code":"JVS","jdId":"16_1352_1354"},{"id":"2516","quanpin":"nancao","jianpin":"nc","name":"南曹","code":"NEF","jdId":""},{"id":"1851","quanpin":"suzhouxinqu","jianpin":"szxq","name":"苏州新区","code":"ITH","jdId":""},{"id":"2175","quanpin":"baohuashan","jianpin":"bhs","name":"宝华山","code":"BWH","jdId":""},{"id":"1708","quanpin":"hongshaxian","jianpin":"hsj","name":"红砂岘","code":"VSJ","jdId":""},{"id":"1299","quanpin":"guilin","jianpin":"gl","name":"桂林","code":"GLZ","jdId":"20_1726_0"},{"id":"2182","quanpin":"zhenyuan","jianpin":"zy","name":"镇远","code":"ZUW","jdId":"24_2205_2210"},{"id":"1297","quanpin":"guilinbei","jianpin":"glb","name":"桂林北","code":"GBZ","jdId":""},{"id":"677","quanpin":"cuihuangkou","jianpin":"chk","name":"崔黄口","code":"CHP","jdId":""},{"id":"1808","quanpin":"shangjia","jianpin":"sj","name":"尚家","code":"SJB","jdId":""},{"id":"2325","quanpin":"gaomi","jianpin":"gm","name":"高密","code":"GMK","jdId":"13_1032_1037"},{"id":"2265","quanpin":"luchuan","jianpin":"lc","name":"陆川","code":"LKZ","jdId":"20_1761_1765"},{"id":"306","quanpin":"guiliuhe","jianpin":"glh","name":"归流河","code":"GHT","jdId":""},{"id":"295","quanpin":"lankao","jianpin":"lk","name":"兰考","code":"LKF","jdId":"7_420_423"},{"id":"1121","quanpin":"youxiannan","jianpin":"yxn","name":"攸县南","code":"YXG","jdId":""},{"id":"487","quanpin":"shiba","jianpin":"sb","name":"石坝","code":"OBJ","jdId":""},{"id":"678","quanpin":"binhai","jianpin":"bh","name":"滨海","code":"FHP","jdId":"12_939_949"},{"id":"2096","quanpin":"dujiangyan","jianpin":"djy","name":"都江堰","code":"DDW","jdId":"22_1930_49321"},{"id":"202","quanpin":"huanxintian","jianpin":"hxt","name":"换新天","code":"VTB","jdId":""},{"id":"1013","quanpin":"antang","jianpin":"at","name":"安塘","code":"ATV","jdId":""},{"id":"2556","quanpin":"yunshan","jianpin":"ys","name":"云山","code":"KZQ","jdId":""},{"id":"496","quanpin":"xinchuoyuan","jianpin":"xcy","name":"新绰源","code":"XRX","jdId":""},{"id":"535","quanpin":"huhehaotedong","jianpin":"hhhtd","name":"呼和浩特东","code":"NDC","jdId":""},{"id":"590","quanpin":"hanfuwan","jianpin":"hfw","name":"韩府湾","code":"HXJ","jdId":""},{"id":"1388","quanpin":"yanzibian","jianpin":"yzb","name":"燕子砭","code":"YZY","jdId":""},{"id":"1205","quanpin":"zhongzhai","jianpin":"zz","name":"中寨","code":"ZZM","jdId":""},{"id":"2642","quanpin":"yaodu","jianpin":"yd","name":"姚渡","code":"AOJ","jdId":""},{"id":"1997","quanpin":"qianan","jianpin":"qa","name":"迁安","code":"QQP","jdId":"5_258_41500"},{"id":"1635","quanpin":"wenchun","jianpin":"wc","name":"温春","code":"WDB","jdId":""},{"id":"668","quanpin":"tianshui","jianpin":"ts","name":"天水","code":"TSJ","jdId":"28_2501_0"},{"id":"332","quanpin":"fengyang","jianpin":"fy","name":"凤阳","code":"FUH","jdId":"14_1159_1165"},{"id":"2160","quanpin":"bajiaotai","jianpin":"bjt","name":"八角台","code":"BTD","jdId":""},{"id":"1980","quanpin":"tianyi","jianpin":"ty","name":"天义","code":"TND","jdId":""},{"id":"296","quanpin":"xingye","jianpin":"xy","name":"兴业","code":"SNZ","jdId":"20_1761_1766"},{"id":"1244","quanpin":"caohekou","jianpin":"chk","name":"草河口","code":"CKT","jdId":""},{"id":"208","quanpin":"baodingdong","jianpin":"bdd","name":"保定东","code":"BMP","jdId":""},{"id":"601","quanpin":"chengyang","jianpin":"cy","name":"城阳","code":"CEK","jdId":"13_1007_37917"},{"id":"1601","quanpin":"lingbao","jianpin":"lb","name":"灵宝","code":"LBF","jdId":"7_495_497"},{"id":"1092","quanpin":"luanheyan","jianpin":"lhy","name":"滦河沿","code":"UNP","jdId":""},{"id":"606","quanpin":"huangcun","jianpin":"hc","name":"黄村","code":"HCP","jdId":""},{"id":"2095","quanpin":"duyun","jianpin":"dy","name":"都匀","code":"RYW","jdId":"24_2222_2223"},{"id":"1837","quanpin":"zigong","jianpin":"zg","name":"自贡","code":"ZGW","jdId":"22_1946_0"},{"id":"2413","quanpin":"longyan","jianpin":"ly","name":"龙岩","code":"LYS","jdId":"16_1362_0"},{"id":"754","quanpin":"maobaguan","jianpin":"mbg","name":"毛坝关","code":"MGY","jdId":""},{"id":"1318","quanpin":"yindi","jianpin":"yd","name":"尹地","code":"YDM","jdId":""},{"id":"2088","quanpin":"yuncheng","jianpin":"yc","name":"郓城","code":"YPK","jdId":"13_1099_1107"},{"id":"1982","quanpin":"lindong","jianpin":"ld","name":"林东","code":"LRC","jdId":""},{"id":"1043","quanpin":"chengdunan","jianpin":"cdn","name":"成都南","code":"CNW","jdId":""},{"id":"740","quanpin":"ninghai","jianpin":"nh","name":"宁海","code":"NHH","jdId":"15_1158_1227"},{"id":"30","quanpin":"shangyubei","jianpin":"syb","name":"上虞北","code":"SSH","jdId":""},{"id":"1364","quanpin":"hankou","jianpin":"hk","name":"汉口","code":"HKN","jdId":""},{"id":"2344","quanpin":"shilin","jianpin":"sl","name":"石磷","code":"SPB","jdId":""},{"id":"2544","quanpin":"xihudong","jianpin":"xhd","name":"西湖东","code":"WDQ","jdId":""},{"id":"419","quanpin":"alashankou","jianpin":"alsk","name":"阿拉山口","code":"AKR","jdId":""},{"id":"1298","quanpin":"gongcheng","jianpin":"gc","name":"恭城","code":"GCZ","jdId":"20_1726_3666"},{"id":"730","quanpin":"taimushan","jianpin":"tms","name":"太姥山","code":"TLS","jdId":""},{"id":"735","quanpin":"ningbodong","jianpin":"nbd","name":"宁波东","code":"NVH","jdId":""},{"id":"997","quanpin":"luojiangdong","jianpin":"ljd","name":"罗江东","code":"IKW","jdId":""},{"id":"2519","quanpin":"neijiangbei","jianpin":"njb","name":"内江北","code":"NKW","jdId":""},{"id":"311","quanpin":"bailang","jianpin":"bl","name":"白狼","code":"BAT","jdId":""},{"id":"1841","quanpin":"wuhu","jianpin":"wh","name":"芜湖","code":"WHH","jdId":"14_1127_0"},{"id":"2139","quanpin":"qinzhou","jianpin":"qz","name":"钦州","code":"QRZ","jdId":"20_1753_0"},{"id":"1715","quanpin":"pishan","jianpin":"ps","name":"皮山","code":"PSR","jdId":"31_2666_2674"},{"id":"1218","quanpin":"pinghekou","jianpin":"phk","name":"平河口","code":"PHM","jdId":""},{"id":"1900","quanpin":"yuchengxian","jianpin":"ycx","name":"虞城县","code":"IXH","jdId":"7_517_520"},{"id":"2533","quanpin":"shengfang","jianpin":"sf","name":"胜芳","code":"SUP","jdId":""},{"id":"679","quanpin":"jixian","jianpin":"jx","name":"蓟县","code":"JKP","jdId":"3_51041_0"},{"id":"1224","quanpin":"shuozhou","jianpin":"sz","name":"朔州","code":"SUV","jdId":"6_330_0"},{"id":"2297","quanpin":"xiliu","jianpin":"xl","name":"西柳","code":"GCT","jdId":""},{"id":"2117","quanpin":"liling","jianpin":"ll","name":"醴陵","code":"LLG","jdId":"18_1488_1489"},{"id":"1873","quanpin":"laixi","jianpin":"lx","name":"莱西","code":"LXK","jdId":"13_1007_1014"},{"id":"267","quanpin":"yueliangtian","jianpin":"ylt","name":"月亮田","code":"YUM","jdId":""},{"id":"1136","quanpin":"xingan","jianpin":"xg","name":"新干","code":"EGG","jdId":"21_1898_1903"},{"id":"1899","quanpin":"weixing","jianpin":"wx","name":"卫星","code":"WVB","jdId":""},{"id":"1730","quanpin":"baijigou","jianpin":"bjg","name":"白芨沟","code":"BJJ","jdId":""},{"id":"994","quanpin":"deqing","jianpin":"dq","name":"德清","code":"DRH","jdId":"15_1250_1252"},{"id":"1274","quanpin":"sanjingzi","jianpin":"sjz","name":"三井子","code":"OJT","jdId":""},{"id":"2208","quanpin":"changshanan","jianpin":"csn","name":"长沙南","code":"CWQ","jdId":""},{"id":"2508","quanpin":"longfeng","jianpin":"lf","name":"龙丰","code":"KFQ","jdId":""},{"id":"646","quanpin":"jiaxinzi","jianpin":"jxz","name":"夹心子","code":"JXT","jdId":""},{"id":"1471","quanpin":"taizhou","jianpin":"tz","name":"泰州","code":"UTH","jdId":"12_959_0"},{"id":"1609","quanpin":"taocun","jianpin":"tc","name":"桃村","code":"TCK","jdId":""},{"id":"2532","quanpin":"shaqiao","jianpin":"sq","name":"沙桥","code":"SQM","jdId":""},{"id":"2482","quanpin":"fushanzhen","jianpin":"fsz","name":"福山镇","code":"FZQ","jdId":"23_3702_3809"},{"id":"2176","quanpin":"zhenjiang","jianpin":"zj","name":"镇江","code":"ZJH","jdId":"12_972_0"},{"id":"385","quanpin":"nancheng","jianpin":"nc","name":"南城","code":"NDG","jdId":"19_1655_4256"},{"id":"1869","quanpin":"laiwuxi","jianpin":"lwx","name":"莱芜西","code":"UXK","jdId":""},{"id":"1076","quanpin":"xinzhangzi","jianpin":"xzz","name":"新杖子","code":"ERP","jdId":""},{"id":"2025","quanpin":"zhangxin","jianpin":"zx","name":"张辛","code":"ZIP","jdId":""},{"id":"525","quanpin":"taerqi","jianpin":"teq","name":"塔尔气","code":"TVX","jdId":""},{"id":"1744","quanpin":"shilin","jianpin":"sl","name":"石林","code":"SLM","jdId":"4_50995_51024"},{"id":"2234","quanpin":"daba","jianpin":"db","name":"大巴","code":"DBD","jdId":""},{"id":"644","quanpin":"dali","jianpin":"dl","name":"大荔","code":"DNY","jdId":"27_2416_2422"},{"id":"2603","quanpin":"jinyintan","jianpin":"jyt","name":"金银潭","code":"JTN","jdId":""},{"id":"1239","quanpin":"dayingzi","jianpin":"dyz","name":"大营子","code":"DZD","jdId":""},{"id":"2214","quanpin":"licheng","jianpin":"lc","name":"黎城","code":"UCP","jdId":"6_3074_3226"},{"id":"2408","quanpin":"yushutun","jianpin":"yst","name":"榆树屯","code":"YSX","jdId":""},{"id":"2419","quanpin":"longli","jianpin":"ll","name":"龙里","code":"LLW","jdId":"24_2222_2230"},{"id":"1006","quanpin":"dongzhuang","jianpin":"dz","name":"东庄","code":"DZV","jdId":""},{"id":"1926","quanpin":"qinghuayuan","jianpin":"qhy","name":"清华园","code":"QHP","jdId":""},{"id":"345","quanpin":"huade","jianpin":"hd","name":"化德","code":"HGC","jdId":"11_823_830"},{"id":"1946","quanpin":"guigang","jianpin":"gg","name":"贵港","code":"GGZ","jdId":"20_1757_0"},{"id":"1378","quanpin":"yongjia","jianpin":"yj","name":"永嘉","code":"URH","jdId":"4_48133_48151"},{"id":"1941","quanpin":"zhucheng","jianpin":"zc","name":"诸城","code":"ZQK","jdId":"13_1032_1034"},{"id":"2307","quanpin":"shunyi","jianpin":"sy","name":"顺义","code":"SOP","jdId":"1_2812_0"},{"id":"64","quanpin":"zhongshan","jianpin":"zs","name":"中山","code":"ZSQ","jdId":"19_1657_0"},{"id":"881","quanpin":"pingguo","jianpin":"pg","name":"平果","code":"PGZ","jdId":"20_1806_1808"},{"id":"1326","quanpin":"dawanzi","jianpin":"dwz","name":"大湾子","code":"DFM","jdId":""},{"id":"517","quanpin":"alihe","jianpin":"alh","name":"阿里河","code":"AHX","jdId":""},{"id":"2638","quanpin":"shilinxi","jianpin":"slx","name":"石林西","code":"SYM","jdId":""},{"id":"342","quanpin":"baotoudong","jianpin":"btd","name":"包头东","code":"BDC","jdId":""},{"id":"2259","quanpin":"xiaoling","jianpin":"xl","name":"小岭","code":"XLB","jdId":""},{"id":"25","quanpin":"shanghai","jianpin":"sh","name":"上海","code":"SHH","jdId":"2_0_0"},{"id":"1149","quanpin":"rizhao","jianpin":"rz","name":"日照","code":"RZK","jdId":"13_1108_0"},{"id":"657","quanpin":"liangjiadian","jianpin":"ljd","name":"亮甲店","code":"LRT","jdId":""},{"id":"1273","quanpin":"taipingchuan","jianpin":"tpc","name":"太平川","code":"TIT","jdId":""},{"id":"2144","quanpin":"tielingxi","jianpin":"tlx","name":"铁岭西","code":"PXT","jdId":""},{"id":"867","quanpin":"changzhou","jianpin":"cz","name":"常州","code":"CZH","jdId":"12_978_0"},{"id":"2627","quanpin":"xiangzhanglu","jianpin":"xzl","name":"香樟路","code":"FNQ","jdId":""},{"id":"2016","quanpin":"huangbai","jianpin":"hb","name":"黄柏","code":"HBL","jdId":"4_113_9822"},{"id":"1416","quanpin":"miluo","jianpin":"ml","name":"汨罗","code":"MLQ","jdId":""},{"id":"493","quanpin":"xuanhe","jianpin":"xh","name":"宣和","code":"XWJ","jdId":""},{"id":"1781","quanpin":"jianyang","jianpin":"jy","name":"简阳","code":"JYW","jdId":"22_2065_44342"},{"id":"799","quanpin":"suzhoudong","jianpin":"szd","name":"宿州东","code":"SRH","jdId":""},{"id":"403","quanpin":"laizhou","jianpin":"lz","name":"来舟","code":"LZS","jdId":""},{"id":"1909","quanpin":"qianmotou","jianpin":"qmt","name":"前磨头","code":"QMP","jdId":""},{"id":"1417","quanpin":"wangqing","jianpin":"wq","name":"汪清","code":"WQL","jdId":"9_687_3317"},{"id":"696","quanpin":"taiyuanbei","jianpin":"tyb","name":"太原北","code":"TBV","jdId":""},{"id":"2292","quanpin":"jingzhou","jianpin":"jz","name":"靖州","code":"JEQ","jdId":"18_1574_1580"},{"id":"956","quanpin":"chaigoupu","jianpin":"cgb","name":"柴沟堡","code":"CGV","jdId":""},{"id":"1265","quanpin":"duiqingshan","jianpin":"dqs","name":"对青山","code":"DQB","jdId":""},{"id":"1073","quanpin":"hushiha","jianpin":"hsh","name":"虎什哈","code":"HHP","jdId":""},{"id":"210","quanpin":"bailixia","jianpin":"blx","name":"百里峡","code":"AAP","jdId":""},{"id":"111","quanpin":"qixiaying","jianpin":"qxy","name":"旗下营","code":"QXC","jdId":""},{"id":"1145","quanpin":"huishan","jianpin":"hs","name":"惠山","code":"VCH","jdId":"12_984_3385"},{"id":"2371","quanpin":"huangmei","jianpin":"hm","name":"黄梅","code":"VEH","jdId":"17_1441_1447"},{"id":"2473","quanpin":"debao","jianpin":"db","name":"德保","code":"RBZ","jdId":"20_1806_1813"},{"id":"1223","quanpin":"caoxian","jianpin":"cx","name":"曹县","code":"CXK","jdId":"13_1099_1102"},{"id":"1894","quanpin":"pucheng","jianpin":"pc","name":"蒲城","code":"PCY","jdId":"27_2416_2419"},{"id":"1718","quanpin":"yanchi","jianpin":"yc","name":"盐池","code":"YKJ","jdId":"30_2637_2642"},{"id":"1992","quanpin":"shoushan","jianpin":"ss","name":"首山","code":"SAT","jdId":""},{"id":"1597","quanpin":"lixian","jianpin":"lx","name":"澧县","code":"LEQ","jdId":"18_1530_1533"},{"id":"1663","quanpin":"ruijin","jianpin":"rj","name":"瑞金","code":"RJG","jdId":"21_1911_1913"},{"id":"902","quanpin":"guanghanbei","jianpin":"ghb","name":"广汉北","code":"GVW","jdId":""},{"id":"1138","quanpin":"xinmin","jianpin":"xm","name":"新民","code":"XMD","jdId":"4_131_10387"},{"id":"2122","quanpin":"zhuyangxi","jianpin":"zyx","name":"朱杨溪","code":"ZXW","jdId":""},{"id":"2003","quanpin":"lianyungang","jianpin":"lyg","name":"连云港","code":"UIH","jdId":"12_919_0"},{"id":"408","quanpin":"nanchang","jianpin":"nc","name":"南昌","code":"NCG","jdId":"21_1827_0"},{"id":"721","quanpin":"nenjiang","jianpin":"nj","name":"嫩江","code":"NGX","jdId":"10_776_3096"},{"id":"1642","quanpin":"baolin","jianpin":"bl","name":"宝林","code":"BNB","jdId":""},{"id":"454","quanpin":"hefeibeicheng","jianpin":"hfbc","name":"合肥北城","code":"COH","jdId":""},{"id":"164","quanpin":"jingshan","jianpin":"js","name":"京山","code":"JCN","jdId":"17_1477_1478"},{"id":"189","quanpin":"sanshuinan","jianpin":"ssn","name":"三水南","code":"RNQ","jdId":""},{"id":"814","quanpin":"fujin","jianpin":"fj","name":"富锦","code":"FIB","jdId":"10_765_767"},{"id":"2083","quanpin":"zhengzhoudong","jianpin":"zzd","name":"郑州东","code":"ZAF","jdId":""},{"id":"2467","quanpin":"chengcheng","jianpin":"cc","name":"澄城","code":"CUY","jdId":"27_2416_2423"},{"id":"1334","quanpin":"yushe","jianpin":"ys","name":"榆社","code":"YSV","jdId":"6_336_348"},{"id":"738","quanpin":"ningbo","jianpin":"nb","name":"宁波","code":"NGH","jdId":"15_1158_0"},{"id":"1824","quanpin":"laobian","jianpin":"lb","name":"老边","code":"LLT","jdId":"8_609_3282"},{"id":"151","quanpin":"wunvshan","jianpin":"wns","name":"五女山","code":"WET","jdId":""},{"id":"529","quanpin":"wanle","jianpin":"wl","name":"万乐","code":"WEB","jdId":""},{"id":"1756","quanpin":"qidong","jianpin":"qd","name":"祁东","code":"QMQ","jdId":"18_1501_1508"},{"id":"2591","quanpin":"xiaoxianbei","jianpin":"xxb","name":"萧县北","code":"QSH","jdId":"14_1180_1183"},{"id":"2573","quanpin":"lincheng","jianpin":"lc","name":"临城","code":"UUP","jdId":"5_164_190"},{"id":"519","quanpin":"jiwen","jianpin":"jw","name":"吉文","code":"JWX","jdId":""},{"id":"336","quanpin":"kaili","jianpin":"kl","name":"凯里","code":"KLW","jdId":"24_2205_2206"},{"id":"1618","quanpin":"jiaozuo","jianpin":"jz","name":"焦作","code":"JOF","jdId":"7_446_0"},{"id":"1431","quanpin":"daguantun","jianpin":"dgt","name":"大官屯","code":"DTT","jdId":""},{"id":"348","quanpin":"shangwan","jianpin":"sw","name":"上万","code":"SWP","jdId":""},{"id":"2272","quanpin":"longchang","jianpin":"lc","name":"隆昌","code":"LCW","jdId":"22_1988_1990"},{"id":"2229","quanpin":"fuxin","jianpin":"fx","name":"阜新","code":"FXD","jdId":"8_617_0"},{"id":"716","quanpin":"rongcheng","jianpin":"rc","name":"荣成","code":"RCK","jdId":"13_1053_28928"},{"id":"369","quanpin":"huarongdong","jianpin":"hrd","name":"华容东","code":"HPN","jdId":""},{"id":"178","quanpin":"xilin","jianpin":"xl","name":"西林","code":"XYB","jdId":"10_753_3347"},{"id":"1143","quanpin":"shibing","jianpin":"sb","name":"施秉","code":"AQW","jdId":"24_2205_2207"},{"id":"124","quanpin":"wulongquannan","jianpin":"wlqn","name":"乌龙泉南","code":"WFN","jdId":""},{"id":"2170","quanpin":"jinzhou","jianpin":"jz","name":"锦州","code":"JZD","jdId":"8_598_0"},{"id":"695","quanpin":"taiyuannan","jianpin":"tyn","name":"太原南","code":"TNV","jdId":""},{"id":"2548","quanpin":"yazhou","jianpin":"yz","name":"崖州","code":"YUQ","jdId":""},{"id":"1573","quanpin":"tengzhoudong","jianpin":"tzd","name":"滕州东","code":"TEK","jdId":""},{"id":"2388","quanpin":"jinhe","jianpin":"jh","name":"锦河","code":"JHB","jdId":""},{"id":"1079","quanpin":"liangdixia","jianpin":"ldx","name":"梁底下","code":"LDP","jdId":""},{"id":"1258","quanpin":"laibinbei","jianpin":"lbb","name":"来宾北","code":"UCZ","jdId":""},{"id":"703","quanpin":"taiguxi","jianpin":"tgx","name":"太谷西","code":"TIV","jdId":""},{"id":"461","quanpin":"shuanghezhen","jianpin":"shz","name":"双河镇","code":"SEL","jdId":""},{"id":"2410","quanpin":"longjing","jianpin":"lj","name":"龙井","code":"LJL","jdId":"4_136_10207"},{"id":"826","quanpin":"shandan","jianpin":"sd","name":"山丹","code":"SDJ","jdId":"28_2549_2551"},{"id":"619","quanpin":"zhaobai","jianpin":"zb","name":"招柏","code":"ZBP","jdId":""},{"id":"1584","quanpin":"jiaomei","jianpin":"jm","name":"角美","code":"JES","jdId":""},{"id":"2574","quanpin":"aershanbei","jianpin":"aesb","name":"阿尔山北","code":"ARX","jdId":""},{"id":"2015","quanpin":"yayuan","jianpin":"yy","name":"鸭园","code":"YYL","jdId":""},{"id":"1700","quanpin":"songshuzhen","jianpin":"ssz","name":"松树镇","code":"SSL","jdId":""},{"id":"959","quanpin":"jiuzhuangwo","jianpin":"jzw","name":"旧庄窝","code":"JVP","jdId":""},{"id":"2035","quanpin":"baokang","jianpin":"bk","name":"保康","code":"BKD","jdId":"17_1396_1402"},{"id":"2531","quanpin":"sanshuibei","jianpin":"ssb","name":"三水北","code":"ARQ","jdId":""},{"id":"2223","quanpin":"wenxixi","jianpin":"wxx","name":"闻喜西","code":"WOV","jdId":""},{"id":"563","quanpin":"shangqiu","jianpin":"sq","name":"商丘","code":"SQF","jdId":"7_517_0"},{"id":"1467","quanpin":"shanggaozhen","jianpin":"sgz","name":"上高镇","code":"SVK","jdId":""},{"id":"1622","quanpin":"langang","jianpin":"lg","name":"兰岗","code":"LNB","jdId":""},{"id":"1574","quanpin":"tengzhou","jianpin":"tz","name":"滕州","code":"TXK","jdId":"13_1022_28932"},{"id":"623","quanpin":"daqing","jianpin":"dq","name":"大庆","code":"DZX","jdId":"10_742_0"},{"id":"853","quanpin":"nanjiang","jianpin":"nj","name":"南江","code":"FIW","jdId":"22_2042_2044"},{"id":"2235","quanpin":"santangji","jianpin":"stj","name":"三堂集","code":"SDH","jdId":""},{"id":"2624","quanpin":"xianfeng","jianpin":"xf","name":"先锋","code":"NQQ","jdId":"4_48204_48232"},{"id":"310","quanpin":"yiershi","jianpin":"yes","name":"伊尔施","code":"YET","jdId":""},{"id":"819","quanpin":"yabulinan","jianpin":"ybln","name":"亚布力南","code":"YWB","jdId":""},{"id":"610","quanpin":"linhai","jianpin":"lh","name":"林海","code":"LXX","jdId":""},{"id":"1804","quanpin":"song","jianpin":"s","name":"宋","code":"SOB","jdId":""},{"id":"1486","quanpin":"liangshan","jianpin":"ls","name":"梁山","code":"LMK","jdId":"4_115_9938"},{"id":"1734","quanpin":"shicheng","jianpin":"sc","name":"石城","code":"SCT","jdId":"21_1911_1914"},{"id":"2070","quanpin":"shilidian","jianpin":"sld","name":"什里店","code":"OMP","jdId":""},{"id":"6","quanpin":"wanzhou","jianpin":"wz","name":"万州","code":"WYW","jdId":"4_113_0"},{"id":"2108","quanpin":"qingshui","jianpin":"qs","name":"清水","code":"QUJ","jdId":"1_2807_51562"},{"id":"363","quanpin":"beiliu","jianpin":"bl","name":"北流","code":"BOZ","jdId":"20_1761_1762"},{"id":"1705","quanpin":"dongwan","jianpin":"dw","name":"东湾","code":"DRJ","jdId":""},{"id":"2253","quanpin":"beitun","jianpin":"bt","name":"北屯","code":"BYP","jdId":""},{"id":"21","quanpin":"haiwan","jianpin":"hw","name":"海湾","code":"RWH","jdId":""},{"id":"1436","quanpin":"shenyangdong","jianpin":"syd","name":"沈阳东","code":"SDT","jdId":""},{"id":"357","quanpin":"shidu","jianpin":"sd","name":"十渡","code":"SEP","jdId":""},{"id":"1553","quanpin":"zhongjiacun","jianpin":"zjc","name":"钟家村","code":"ZJY","jdId":""},{"id":"1468","quanpin":"taishan","jianpin":"ts","name":"泰山","code":"TAK","jdId":"13_1112_46666"},{"id":"2181","quanpin":"zhenlai","jianpin":"zl","name":"镇赉","code":"ZLT","jdId":"9_681_685"},{"id":"1940","quanpin":"zhaoan","jianpin":"za","name":"诏安","code":"ZDS","jdId":"16_1341_1346"},{"id":"533","quanpin":"baikuipu","jianpin":"bkb","name":"白奎堡","code":"BKB","jdId":""},{"id":"1139","quanpin":"xinyi","jianpin":"xy","name":"新沂","code":"VIH","jdId":"12_911_23689"},{"id":"113","quanpin":"tuguiwula","jianpin":"tgwl","name":"土贵乌拉","code":"TGC","jdId":""},{"id":"1951","quanpin":"kaiyang","jianpin":"ky","name":"开阳","code":"KVW","jdId":"24_2144_2146"},{"id":"1129","quanpin":"xinxiang","jianpin":"xx","name":"新乡","code":"XXF","jdId":"7_458_0"},{"id":"980","quanpin":"pengyang","jianpin":"py","name":"彭阳","code":"PYJ","jdId":"30_2644_2650"},{"id":"276","quanpin":"xujiatai","jianpin":"xjt","name":"许家台","code":"XTJ","jdId":""},{"id":"2332","quanpin":"bayuquan","jianpin":"byq","name":"鲅鱼圈","code":"BYT","jdId":"8_609_20183"},{"id":"1482","quanpin":"jinandong","jianpin":"jnd","name":"济南东","code":"JAK","jdId":""},{"id":"805","quanpin":"miyunbei","jianpin":"myb","name":"密云北","code":"MUP","jdId":""},{"id":"1566","quanpin":"zhanjiangxi","jianpin":"zjx","name":"湛江西","code":"ZWQ","jdId":""},{"id":"1565","quanpin":"zhanjiang","jianpin":"zj","name":"湛江","code":"ZJZ","jdId":"19_1677_0"},{"id":"1183","quanpin":"guangao","jianpin":"gg","name":"官高","code":"GVP","jdId":""},{"id":"223","quanpin":"tayayi","jianpin":"tyy","name":"塔崖驿","code":"TYP","jdId":""},{"id":"1732","quanpin":"yushugou","jianpin":"ysg","name":"榆树沟","code":"YGP","jdId":""},{"id":"1740","quanpin":"xinle","jianpin":"xl","name":"新乐","code":"ELP","jdId":"4_137_10242"},{"id":"1796","quanpin":"shaoxingbei","jianpin":"sxb","name":"绍兴北","code":"SLH","jdId":""},{"id":"521","quanpin":"daqilaha","jianpin":"dqlh","name":"大其拉哈","code":"DQX","jdId":""},{"id":"2394","quanpin":"geju","jianpin":"gj","name":"革居","code":"GEM","jdId":""},{"id":"1022","quanpin":"yatunpu","jianpin":"ytb","name":"牙屯堡","code":"YTZ","jdId":""},{"id":"1412","quanpin":"tangyuan","jianpin":"ty","name":"汤原","code":"TYB","jdId":"10_765_771"},{"id":"9","quanpin":"sanya","jianpin":"sy","name":"三亚","code":"SEQ","jdId":"23_3690_0"},{"id":"2313","quanpin":"raoyang","jianpin":"ry","name":"饶阳","code":"RVP","jdId":"5_275_293"},{"id":"2000","quanpin":"dongzhen","jianpin":"dz","name":"东镇","code":"DNV","jdId":""},{"id":"364","quanpin":"beihai","jianpin":"bh","name":"北海","code":"BHZ","jdId":"20_1746_0"},{"id":"394","quanpin":"binyang","jianpin":"by","name":"宾阳","code":"UKZ","jdId":"20_1715_3005"},{"id":"943","quanpin":"kaiyuan","jianpin":"ky","name":"开原","code":"KYT","jdId":"8_6858_6862"},{"id":"1501","quanpin":"haining","jianpin":"hn","name":"海宁","code":"HNH","jdId":"15_1243_1244"},{"id":"922","quanpin":"ganquan","jianpin":"gq","name":"甘泉","code":"GQY","jdId":"27_2428_2436"},{"id":"1876","quanpin":"pingxiang","jianpin":"px","name":"萍乡","code":"PXG","jdId":"21_1836_0"},{"id":"1657","quanpin":"zhuhai","jianpin":"zh","name":"珠海","code":"ZHQ","jdId":"19_1609_0"},{"id":"2019","quanpin":"tonghuaxian","jianpin":"thx","name":"通化县","code":"TXL","jdId":"9_657_660"},{"id":"2611","quanpin":"tianhejie","jianpin":"thj","name":"天河街","code":"TEN","jdId":""},{"id":"969","quanpin":"jingtieshan","jianpin":"jts","name":"镜铁山","code":"JVJ","jdId":""},{"id":"2133","quanpin":"yushi","jianpin":"ys","name":"玉石","code":"YSJ","jdId":""},{"id":"1912","quanpin":"wangtong","jianpin":"wt","name":"王瞳","code":"WTP","jdId":""},{"id":"779","quanpin":"yichunxi","jianpin":"ycx","name":"宜春西","code":"YCG","jdId":""},{"id":"2598","quanpin":"abagaqi","jianpin":"abgq","name":"阿巴嘎旗","code":"AQC","jdId":"11_835_839"},{"id":"2581","quanpin":"guanling","jianpin":"gl","name":"关岭","code":"GLE","jdId":""},{"id":"1117","quanpin":"xinjiang","jianpin":"xj","name":"新江","code":"XJM","jdId":""},{"id":"552","quanpin":"xianyangqindu","jianpin":"xyqd","name":"咸阳秦都","code":"XOY","jdId":""},{"id":"505","quanpin":"wuerqihan","jianpin":"weqh","name":"乌尔旗汗","code":"WHX","jdId":""},{"id":"2210","quanpin":"weizizhen","jianpin":"wzz","name":"微子镇","code":"WQP","jdId":""},{"id":"501","quanpin":"ganhe","jianpin":"gh","name":"甘河","code":"GAX","jdId":""},{"id":"818","quanpin":"yabuli","jianpin":"ybl","name":"亚布力","code":"YBB","jdId":""},{"id":"1212","quanpin":"yangzhewo","jianpin":"wzw","name":"羊者窝","code":"AEM","jdId":""},{"id":"473","quanpin":"tulufan","jianpin":"tlf","name":"吐鲁番","code":"TFR","jdId":"31_2658_0"},{"id":"1094","quanpin":"nandamiao","jianpin":"ndm","name":"南大庙","code":"NMP","jdId":""},{"id":"2374","quanpin":"huangshidong","jianpin":"hsd","name":"黄石东","code":"OSN","jdId":""},{"id":"672","quanpin":"nanhechuan","jianpin":"nhc","name":"南河川","code":"NHJ","jdId":""},{"id":"1906","quanpin":"hengshan","jianpin":"hs","name":"衡山","code":"HSQ","jdId":"18_1501_1507"},{"id":"2561","quanpin":"zhijinbei","jianpin":"zjb","name":"织金北","code":"ZJE","jdId":""},{"id":"462","quanpin":"baishishan","jianpin":"bss","name":"白石山","code":"BAL","jdId":""},{"id":"1797","quanpin":"suizhong","jianpin":"sz","name":"绥中","code":"SZD","jdId":"8_604_606"},{"id":"1061","quanpin":"gongpengzi","jianpin":"gpz","name":"弓棚子","code":"GPT","jdId":""},{"id":"1759","quanpin":"qimen","jianpin":"qm","name":"祁门","code":"QIH","jdId":"14_1151_1156"},{"id":"2029","quanpin":"aolibugao","jianpin":"albg","name":"敖力布告","code":"ALD","jdId":""},{"id":"752","quanpin":"baihedong","jianpin":"bhd","name":"白河东","code":"BIY","jdId":""},{"id":"1525","quanpin":"huaibin","jianpin":"hb","name":"淮滨","code":"HVN","jdId":"7_549_552"},{"id":"2630","quanpin":"dafeng","jianpin":"df","name":"大丰","code":"KRQ","jdId":"12_939_941"},{"id":"1530","quanpin":"shenzhendong","jianpin":"szd","name":"深圳东","code":"BJQ","jdId":""},{"id":"1049","quanpin":"shuangliujichang","jianpin":"sljc","name":"双流机场","code":"IPW","jdId":""},{"id":"1256","quanpin":"niuxintai","jianpin":"nxt","name":"牛心台","code":"NXT","jdId":""},{"id":"1644","quanpin":"shitou","jianpin":"st","name":"石头","code":"OTB","jdId":""},{"id":"125","quanpin":"baiguo","jianpin":"bg","name":"柏果","code":"BGM","jdId":""},{"id":"1948","quanpin":"longlibei","jianpin":"llb","name":"龙里北","code":"KFW","jdId":""},{"id":"702","quanpin":"taihu","jianpin":"th","name":"太湖","code":"TKH","jdId":"14_1140_1144"},{"id":"1593","quanpin":"chaoshan","jianpin":"cs","name":"潮汕","code":"CBQ","jdId":""},{"id":"2349","quanpin":"hebei","jianpin":"hb","name":"鹤北","code":"HMB","jdId":""},{"id":"2391","quanpin":"dushan","jianpin":"ds","name":"独山","code":"RWW","jdId":"24_2222_2233"},{"id":"1927","quanpin":"qinghe","jianpin":"qh","name":"清河","code":"QIP","jdId":"5_164_188"},{"id":"914","quanpin":"luofa","jianpin":"lf","name":"落垡","code":"LOP","jdId":""},{"id":"1986","quanpin":"liaozhong","jianpin":"lz","name":"辽中","code":"LZD","jdId":"8_560_571"},{"id":"715","quanpin":"weihaibei","jianpin":"whb","name":"威海北","code":"WHK","jdId":""},{"id":"133","quanpin":"jiutai","jianpin":"jt","name":"九台","code":"JTL","jdId":"9_639_641"},{"id":"449","quanpin":"yecheng","jianpin":"yc","name":"叶城","code":"YER","jdId":"31_2686_2691"},{"id":"732","quanpin":"gutianbei","jianpin":"gtb","name":"古田北","code":"GBS","jdId":""},{"id":"1868","quanpin":"laiwudong","jianpin":"lwd","name":"莱芜东","code":"LWK","jdId":""},{"id":"2166","quanpin":"nihezi","jianpin":"nhz","name":"泥河子","code":"NHD","jdId":""},{"id":"1039","quanpin":"xinjin","jianpin":"xj","name":"新津","code":"IRW","jdId":"4_133_10126"},{"id":"1832","quanpin":"zhaoqing","jianpin":"zq","name":"肇庆","code":"ZVQ","jdId":"19_1690_0"},{"id":"1038","quanpin":"chengdudong","jianpin":"cdd","name":"成都东","code":"ICW","jdId":""},{"id":"1460","quanpin":"huian","jianpin":"ha","name":"惠安","code":"HNS","jdId":"16_1332_1337"},{"id":"344","quanpin":"huazhou","jianpin":"hz","name":"化州","code":"HZZ","jdId":"19_1684_19468"},{"id":"1267","quanpin":"songyuan","jianpin":"sy","name":"松原","code":"VYT","jdId":"9_674_0"},{"id":"772","quanpin":"yicheng","jianpin":"yc","name":"宜城","code":"YIN","jdId":"17_1396_1399"},{"id":"1413","quanpin":"tangwanghe","jianpin":"twh","name":"汤旺河","code":"THB","jdId":"10_753_3354"},{"id":"1913","quanpin":"dayingzhen","jianpin":"dyz","name":"大营镇","code":"DJP","jdId":""},{"id":"1763","quanpin":"xiangyun","jianpin":"xy","name":"祥云","code":"EXM","jdId":"25_2347_2355"},{"id":"1760","quanpin":"qiyang","jianpin":"qy","name":"祁阳","code":"QWQ","jdId":"18_1560_1563"},{"id":"800","quanpin":"lingbi","jianpin":"lb","name":"灵璧","code":"GMH","jdId":"14_1180_1181"},{"id":"302","quanpin":"suolun","jianpin":"sl","name":"索伦","code":"SNT","jdId":""},{"id":"476","quanpin":"tuha","jianpin":"th","name":"吐哈","code":"THR","jdId":""},{"id":"1405","quanpin":"jiangyou","jianpin":"jy","name":"江油","code":"JFW","jdId":"22_1960_38573"},{"id":"595","quanpin":"sanguankou","jianpin":"sgk","name":"三关口","code":"OKJ","jdId":""},{"id":"1070","quanpin":"shangbancheng","jianpin":"sbc","name":"上板城","code":"SBP","jdId":""},{"id":"1323","quanpin":"changchong","jianpin":"cc","name":"长冲","code":"CCM","jdId":""},{"id":"1870","quanpin":"sijialing","jianpin":"sjl","name":"司家岭","code":"OLK","jdId":""},{"id":"284","quanpin":"luotuoxiang","jianpin":"ltx","name":"骆驼巷","code":"LTJ","jdId":""},{"id":"931","quanpin":"daxinggou","jianpin":"dxg","name":"大兴沟","code":"DXL","jdId":""},{"id":"630","quanpin":"lamadian","jianpin":"lmd","name":"喇嘛甸","code":"LMX","jdId":""},{"id":"175","quanpin":"haolianghe","jianpin":"hlh","name":"浩良河","code":"HHB","jdId":""},{"id":"177","quanpin":"wangyang","jianpin":"wy","name":"王杨","code":"WYB","jdId":""},{"id":"1887","quanpin":"jianchang","jianpin":"jc","name":"建昌","code":"JFD","jdId":"8_604_607"},{"id":"2534","quanpin":"shishan","jianpin":"ss","name":"狮山","code":"KSQ","jdId":""},{"id":"1040","quanpin":"xinjinnan","jianpin":"xjn","name":"新津南","code":"ITW","jdId":""},{"id":"154","quanpin":"wuchang","jianpin":"wc","name":"五常","code":"WCB","jdId":"10_698_702"},{"id":"699","quanpin":"beiying","jianpin":"by","name":"北营","code":"BIV","jdId":""},{"id":"580","quanpin":"jiaxiang","jianpin":"jx","name":"嘉祥","code":"JUK","jdId":"13_2900_2915"},{"id":"1406","quanpin":"qinglian","jianpin":"ql","name":"青莲","code":"QEW","jdId":""},{"id":"1448","quanpin":"shapotou","jianpin":"spt","name":"沙坡头","code":"SFJ","jdId":"30_3071_4020"},{"id":"569","quanpin":"shangdu","jianpin":"sd","name":"商都","code":"SXC","jdId":"11_823_828"},{"id":"2451","quanpin":"lijinnan","jianpin":"ljn","name":"利津南","code":"LNK","jdId":""},{"id":"1649","quanpin":"yulin","jianpin":"yl","name":"玉林","code":"YLZ","jdId":"20_1761_0"},{"id":"2593","quanpin":"jinyuewan","jianpin":"jyw","name":"金月湾","code":"PYQ","jdId":""},{"id":"1668","quanpin":"ganluo","jianpin":"gl","name":"甘洛","code":"VOW","jdId":"22_2103_2119"},{"id":"283","quanpin":"zhujiayao","jianpin":"zjy","name":"朱家窑","code":"ZUJ","jdId":""},{"id":"288","quanpin":"lanzhoudong","jianpin":"lzd","name":"兰州东","code":"LVJ","jdId":""},{"id":"1130","quanpin":"xinhui","jianpin":"xh","name":"新会","code":"EFQ","jdId":"19_1659_37259"},{"id":"1533","quanpin":"shenzhou","jianpin":"sz","name":"深州","code":"OZP","jdId":"5_275_292"},{"id":"1024","quanpin":"huairou","jianpin":"hr","name":"怀柔","code":"HRP","jdId":"1_2814_0"},{"id":"1998","quanpin":"yuncheng","jianpin":"yc","name":"运城","code":"YNV","jdId":"6_398_0"},{"id":"7","quanpin":"wannian","jianpin":"wn","name":"万年","code":"WWG","jdId":"21_1861_1872"},{"id":"1741","quanpin":"jingxing","jianpin":"jx","name":"井陉","code":"JJP","jdId":"5_142_153"},{"id":"830","quanpin":"qishan","jianpin":"qs","name":"岐山","code":"QAY","jdId":"27_2390_2392"},{"id":"2094","quanpin":"duyundong","jianpin":"dyd","name":"都匀东","code":"KJW","jdId":""},{"id":"1282","quanpin":"linxi","jianpin":"lx","name":"林西","code":"LXC","jdId":"11_812_819"},{"id":"1308","quanpin":"meizhou","jianpin":"mz","name":"梅州","code":"MOQ","jdId":"19_1634_0"},{"id":"2583","quanpin":"pingbanan","jianpin":"pbn","name":"平坝南","code":"PBE","jdId":""},{"id":"624","quanpin":"linyuan","jianpin":"ly","name":"林源","code":"LYX","jdId":""},{"id":"1612","quanpin":"yantainan","jianpin":"ytn","name":"烟台南","code":"YLK","jdId":""},{"id":"1144","quanpin":"wuxidong","jianpin":"wxd","name":"无锡东","code":"WGH","jdId":""},{"id":"2406","quanpin":"tangchi","jianpin":"tc","name":"汤池","code":"TCX","jdId":""},{"id":"2557","quanpin":"zaozhuangdong","jianpin":"zzd","name":"枣庄东","code":"ZNK","jdId":""},{"id":"2075","quanpin":"pizhou","jianpin":"pz","name":"邳州","code":"PJH","jdId":"12_911_23687"},{"id":"2618","quanpin":"kunmingnan","jianpin":"kmn","name":"昆明南","code":"KOM","jdId":""},{"id":"1918","quanpin":"quzhou","jianpin":"qz","name":"衢州","code":"QEH","jdId":"15_1273_0"},{"id":"544","quanpin":"xianningnan","jianpin":"xnn","name":"咸宁南","code":"UNN","jdId":""},{"id":"1454","quanpin":"shuyang","jianpin":"sy","name":"沭阳","code":"FMH","jdId":"12_933_8558"},{"id":"2360","quanpin":"macheng","jianpin":"mc","name":"麻城","code":"MCN","jdId":"17_1441_41910"},{"id":"350","quanpin":"beijing","jianpin":"bj","name":"北京","code":"BJP","jdId":"1_0_0"},{"id":"1791","quanpin":"hongxing","jianpin":"hx","name":"红星","code":"VXB","jdId":"10_753_3357"},{"id":"331","quanpin":"fenghuangcheng","jianpin":"fhc","name":"凤凰城","code":"FHT","jdId":""},{"id":"1426","quanpin":"shenqiu","jianpin":"sq","name":"沈丘","code":"SQN","jdId":"7_527_536"},{"id":"1858","quanpin":"chaling","jianpin":"cl","name":"茶陵","code":"CDG","jdId":"18_1488_1492"},{"id":"1616","quanpin":"xiuwuxi","jianpin":"xwx","name":"修武西","code":"EXF","jdId":""},{"id":"2308","quanpin":"shunde","jianpin":"sd","name":"顺德","code":"ORQ","jdId":"19_1666_1669"},{"id":"834","quanpin":"lukoupu","jianpin":"lkp","name":"路口铺","code":"LKQ","jdId":""},{"id":"1615","quanpin":"yanqi","jianpin":"yq","name":"焉耆","code":"YSR","jdId":"31_2704_2713"},{"id":"375","quanpin":"xianlin","jianpin":"xl","name":"仙林","code":"XPH","jdId":""},{"id":"1335","quanpin":"zhangshu","jianpin":"zs","name":"樟树","code":"ZSG","jdId":"21_1874_1876"},{"id":"2555","quanpin":"yundonghai","jianpin":"ydh","name":"云东海","code":"NAQ","jdId":""},{"id":"1464","quanpin":"taining","jianpin":"tn","name":"泰宁","code":"TNS","jdId":"16_1317_1328"},{"id":"2513","quanpin":"mengzhuang","jianpin":"mz","name":"孟庄","code":"MZF","jdId":""},{"id":"1761","quanpin":"shenzhou","jianpin":"sz","name":"神州","code":"SRQ","jdId":""},{"id":"1220","quanpin":"chajiang","jianpin":"cj","name":"岔江","code":"CAM","jdId":""},{"id":"795","quanpin":"kuandian","jianpin":"kd","name":"宽甸","code":"KDT","jdId":"8_593_596"},{"id":"2582","quanpin":"liangpingnan","jianpin":"lpn","name":"梁平南","code":"LPE","jdId":""},{"id":"2607","quanpin":"panlongcheng","jianpin":"plc","name":"盘龙城","code":"PNN","jdId":""},{"id":"1465","quanpin":"taian","jianpin":"ta","name":"泰安","code":"TMK","jdId":"13_1112_0"},{"id":"1002","quanpin":"douluo","jianpin":"dl","name":"豆罗","code":"DLV","jdId":""},{"id":"1967","quanpin":"honghuagou","jianpin":"hhg","name":"红花沟","code":"VHD","jdId":""},{"id":"1942","quanpin":"zhuji","jianpin":"zj","name":"诸暨","code":"ZDH","jdId":"15_1255_1257"},{"id":"1407","quanpin":"jiangjin","jianpin":"jj","name":"江津","code":"JJW","jdId":"4_48204_0"},{"id":"913","quanpin":"lianjiang","jianpin":"lj","name":"廉江","code":"LJZ","jdId":"19_1677_19382"},{"id":"2337","quanpin":"donghai","jianpin":"dh","name":"东海","code":"DHB","jdId":""},{"id":"618","quanpin":"pingwang","jianpin":"pw","name":"平旺","code":"PWV","jdId":""},{"id":"147","quanpin":"yunxiao","jianpin":"yx","name":"云霄","code":"YBS","jdId":"16_1341_1349"},{"id":"2355","quanpin":"yingtanbei","jianpin":"ytb","name":"鹰潭北","code":"YKG","jdId":""},{"id":"367","quanpin":"shiyan","jianpin":"sy","name":"十堰","code":"SNN","jdId":"17_1405_0"},{"id":"1132","quanpin":"xinyu","jianpin":"xy","name":"新余","code":"XUG","jdId":"21_1842_0"},{"id":"780","quanpin":"yichun","jianpin":"yc","name":"宜春","code":"YEG","jdId":"21_1874_0"},{"id":"255","quanpin":"xiaoyugu","jianpin":"xyg","name":"小雨谷","code":"XHM","jdId":""},{"id":"1187","quanpin":"mingguang","jianpin":"mg","name":"明光","code":"MGH","jdId":"14_1159_1161"},{"id":"2059","quanpin":"wuji","jianpin":"wj","name":"午汲","code":"WJP","jdId":""},{"id":"2494","quanpin":"huichangbei","jianpin":"hcb","name":"会昌北","code":"XEG","jdId":""},{"id":"1935","quanpin":"xichang","jianpin":"xc","name":"西昌","code":"ECW","jdId":"22_2103_27500"},{"id":"2514","quanpin":"nayong","jianpin":"ny","name":"纳雍","code":"NYE","jdId":"24_2180_2187"},{"id":"794","quanpin":"rongxian","jianpin":"rx","name":"容县","code":"RXZ","jdId":"20_1761_1763"},{"id":"545","quanpin":"xianningbei","jianpin":"xnb","name":"咸宁北","code":"XRN","jdId":""},{"id":"734","quanpin":"ningwu","jianpin":"nw","name":"宁武","code":"NWV","jdId":"6_350_360"},{"id":"709","quanpin":"rugao","jianpin":"rg","name":"如皋","code":"RBH","jdId":"12_965_38364"},{"id":"2343","quanpin":"yingchun","jianpin":"yc","name":"迎春","code":"YYB","jdId":""},{"id":"2523","quanpin":"pingchang","jianpin":"pc","name":"平昌","code":"PCE","jdId":"22_2042_2045"},{"id":"249","quanpin":"gongzhuling","jianpin":"gzl","name":"公主岭","code":"GLT","jdId":"9_651_652"},{"id":"452","quanpin":"hefeinan","jianpin":"hfn","name":"合肥南","code":"ENH","jdId":""},{"id":"1106","quanpin":"zhangdang","jianpin":"zd","name":"章党","code":"ZHT","jdId":""},{"id":"2622","quanpin":"muyun","jianpin":"my","name":"暮云","code":"KIQ","jdId":""},{"id":"313","quanpin":"gegenmiao","jianpin":"ggm","name":"葛根庙","code":"GGT","jdId":""},{"id":"303","quanpin":"xingan","jianpin":"xa","name":"兴安","code":"XAZ","jdId":"10_727_3338"},{"id":"2216","quanpin":"changyang","jianpin":"cy","name":"长阳","code":"CYN","jdId":""},{"id":"1045","quanpin":"chengdu","jianpin":"cd","name":"成都","code":"CDW","jdId":"22_1930_0"},{"id":"2351","quanpin":"junde","jianpin":"jd","name":"峻德","code":"JDB","jdId":""},{"id":"446","quanpin":"taiqian","jianpin":"tq","name":"台前","code":"TTK","jdId":"7_475_478"},{"id":"1301","quanpin":"tongcheng","jianpin":"tc","name":"桐城","code":"TTH","jdId":"14_1140_1141"},{"id":"1483","quanpin":"jinanxi","jianpin":"jnx","name":"济南西","code":"JGK","jdId":""},{"id":"2068","quanpin":"jingdian","jianpin":"jd","name":"井店","code":"JFP","jdId":""},{"id":"1307","quanpin":"xingning","jianpin":"xn","name":"兴宁","code":"ENQ","jdId":"19_1634_1635"},{"id":"173","quanpin":"langxiang","jianpin":"lx","name":"朗乡","code":"LXB","jdId":""},{"id":"599","quanpin":"tumen","jianpin":"tm","name":"图们","code":"TML","jdId":"9_687_3312"},{"id":"1401","quanpin":"jianghua","jianpin":"jh","name":"江华","code":"JHZ","jdId":"18_1560_1568"},{"id":"635","quanpin":"dulitun","jianpin":"dlt","name":"独立屯","code":"DTX","jdId":""},{"id":"1199","quanpin":"kuitan","jianpin":"kt","name":"葵潭","code":"KTQ","jdId":""},{"id":"681","quanpin":"baodi","jianpin":"bd","name":"宝坻","code":"BPP","jdId":"3_51051_0"},{"id":"2538","quanpin":"shuangfengbei","jianpin":"sfb","name":"双峰北","code":"NFQ","jdId":""},{"id":"471","quanpin":"jishou","jianpin":"js","name":"吉首","code":"JIQ","jdId":"18_1592_1593"},{"id":"2646","quanpin":"sanya","jianpin":"sy","name":"三  亚","code":"JUQ","jdId":""},{"id":"1807","quanpin":"dongjin","jianpin":"dj","name":"东津","code":"DKB","jdId":""},{"id":"566","quanpin":"xiaohezhen","jianpin":"xhz","name":"小河镇","code":"EKY","jdId":"4_140_10319"},{"id":"587","quanpin":"liwang","jianpin":"lw","name":"李旺","code":"VLJ","jdId":""},{"id":"941","quanpin":"jianyang","jianpin":"jy","name":"建阳","code":"JYS","jdId":"16_1352_1357"}];var hotTrainStation=[{"id":"350","quanpin":"beijing","jianpin":"bj","name":"北京","code":"BJP","jdId":"1_0_0"},{"id":"25","quanpin":"shanghai","jianpin":"sh","name":"上海","code":"SHH","jdId":"2_0_0"},{"id":"1526","quanpin":"shenzhen","jianpin":"sz","name":"深圳","code":"SZQ","jdId":"19_1607_0"},{"id":"1262","quanpin":"hangzhou","jianpin":"hz","name":"杭州","code":"HZH","jdId":"15_1213_0"},{"id":"898","quanpin":"guangzhou","jianpin":"gz","name":"广州","code":"GZQ","jdId":"19_1601_0"},{"id":"1045","quanpin":"chengdu","jianpin":"cd","name":"成都","code":"CDW","jdId":"22_1930_0"},{"id":"378","quanpin":"nanjing","jianpin":"nj","name":"南京","code":"NJH","jdId":"12_904_0"},{"id":"1360","quanpin":"wuhan","jianpin":"wh","name":"武汉","code":"WHN","jdId":"17_1381_0"},{"id":"2206","quanpin":"changsha","jianpin":"cs","name":"长沙","code":"CSQ","jdId":"18_1482_0"},{"id":"1165","quanpin":"kunming","jianpin":"km","name":"昆明","code":"KMM","jdId":"25_2235_0"},{"id":"1932","quanpin":"xian","jianpin":"xa","name":"西安","code":"XAY","jdId":"27_2376_0"},{"id":"682","quanpin":"tianjin","jianpin":"tj","name":"天津","code":"TJP","jdId":"3_0_0"},{"id":"661","quanpin":"dalian","jianpin":"dl","name":"大连","code":"DLT","jdId":"8_573_0"},{"id":"2118","quanpin":"chongqing","jianpin":"cq","name":"重庆","code":"CQW","jdId":"4_0_0"},{"id":"9","quanpin":"sanya","jianpin":"sy","name":"三亚","code":"SEQ","jdId":"23_3690_0"},{"id":"1766","quanpin":"fuzhou","jianpin":"fz","name":"福州","code":"FZS","jdId":"16_1303_0"},{"id":"2081","quanpin":"zhengzhou","jianpin":"zz","name":"郑州","code":"ZZF","jdId":"7_412_0"},{"id":"536","quanpin":"huhehaote","jianpin":"hhht","name":"呼和浩特","code":"HHC","jdId":"11_799_0"},{"id":"2572","quanpin":"wulumuqi","jianpin":"wlmq","name":"乌鲁木齐","code":"WAR","jdId":"31_2652_0"}];var _default={//所有城市
allCities:[],//热点城市
hotCities:[],//最近选择
lastSelectedCities:[],//定位城市
locationCity:[],//飞机票or火车票
ticketsType:'airtickets',currentCode:null};var topLap=25;var oheight=10;var closeFlag=!1;var clicked=!1;var tapped=!1;function resetTapped(){setTimeout(function(){tapped=!1;},200);}function AddressSearch(option){var that=this;var config=$.extend({},_default,option||{});this.config=config;// 滚动实例
this.scroll=this.config.context.popScroller;this.get=function(n){return option[n];};this.set=function(n,v){option[n]=v;};closeFlag=!1;clicked=!1;that.type=config.type;that.data();that.init();}AddressSearch.prototype.data=function(){var that=this;if(that.type=='airport'){that.set('allCities',allAirPort);that.set('hotCities',hotAirPort);that.cityInfo={name:"cityCn",quanpin:"cityPinyinAll",jianpin:"cityPinyinShort",code:"cityCode"};}else if(that.type=='trainStation'){that.set('allCities',allTrainStation);that.set('hotCities',hotTrainStation);that.cityInfo={name:"name",quanpin:"quanpin",jianpin:"jianpin",code:"code"};}else{}};AddressSearch.prototype.init=function(){var that=this;var propertyName=that.cityInfo.name;//最近选择
var lastSelected=that.get('lastSelectedCities');var lasthtml='';if(!lastSelected.length){var OBJ={};OBJ[propertyName]='无';OBJ[that.cityInfo.code]='';lastSelected.push(OBJ);}$.each(lastSelected,function(i,item){var cls=that.get('currentCode')&&item[that.cityInfo.code]==that.get('currentCode')?'class="checked"':'';lasthtml+='<li code="'+item[that.cityInfo.code]+'" '+cls+'><span><i></i>'+item[propertyName]+'</span></li>';});//定位
var location=that.get('locationCity');var locationhtml='';if(!location.length){var OBJ={};OBJ[propertyName]='无';OBJ[that.cityInfo.code]='';location.push(OBJ);}$.each(location,function(i,item){var cls=that.get('currentCode')&&item[that.cityInfo.code]==that.get('currentCode')?'class="checked"':'';locationhtml+='<li code="'+item[that.cityInfo.code]+'" '+cls+'><span><i></i>'+item[propertyName]+'</span></li>';});//热点城市
var hotcity=that.get('hotCities');var hotcityhtml='';if(hotcity.length>0){$.each(hotcity,function(i,item){var cls=that.get('currentCode')&&item[that.cityInfo.code]==that.get('currentCode')?'class="checked"':'';hotcityhtml+='<li code="'+item[that.cityInfo.code]+'" '+cls+'><span><i></i>'+item[propertyName]+'</span></li>';});}//搜索列表
var allCities=that.get('allCities');if(allCities.length>0){var allcityhtml='';$.each(allCities,function(i,item){allcityhtml+='<li code="'+item[that.cityInfo.code]+'"><span><i></i>'+item[propertyName]+'</span></li>';});}that.html='<div id="addressTain" class="addressTainMain"><div><div class="address-search">'+'<h3 class="search-title">选择地点</h3>'+'<div class="searcharea">'+'<i class="search-icon"></i><input type="text" name="searchinput" placeholder="搜索地点">'+'</div>'+'<div id="search-result" class="search-result">'+'<ul class="addresslist">'+allcityhtml+'</ul>'+'</div>'+'<div class="select-area">'+'<div class="locationcity">'+'<p class="area-title">定位城市</p>'+'<ul class="locationList">'+locationhtml+' </ul>'+'</div>'+'<div class="lastselect">'+'<p  class="area-title">最近选择</p>'+'<ul class="lastList">'+lasthtml+'</ul>'+'</div>'+'<div class="hotCity"><p class="area-title">热门城市</p>'+'<ul class="cityList">'+hotcityhtml+'</ul>'+'</div>'+'</div>'+'</div></div></div>';};AddressSearch.prototype.openDialog=function(callback){var that=this;that.config.context.popup.popup.find('.im-scroll-cont').append($(that.html));that.$container=$('#addressTain');that.bindEvt();callback&&callback();setTimeout(function(){oheight=parseInt($('#J_ImScrollPop').height());$('#addressTain').height(oheight);that.config.context.initPopScroll();},100);oheight=$('#J_ImScrollPop').height();};/*    AddressSearch.prototype.closeDialog = function() {
        this.$container.remove();
        $('#J_ImScrollPop').removeAttr();
    }*/AddressSearch.prototype.resetScroll=function(height){var that=this;if(that.scroll){that.scroll.destroy();}$('#J_ImScrollPop,#addressTain').height(height);// that.scroll = new iScroll('addressTain');
};AddressSearch.prototype.fuzzySearch=function(key){var that=this;var searchKey=$.trim(key);var resultArray=[];//处理过的搜索字
var handleSearchkey="";//判断是否为字母,字母统一转为小写
var charReg=/[a-zA-Z]/;if(charReg.test(searchKey)){handleSearchkey=searchKey.toLowerCase();}else{handleSearchkey=searchKey;}// var words=handleSearchkey.split("");
// var test=".*";
// for(var i=0;i<words.length;i++){
//     test+=words[i]+".*";
// }
var test='^'+handleSearchkey;var propertyName=that.cityInfo.name;var propertyJianpin=that.cityInfo.jianpin;var pattern=new RegExp(test);var allData=that.get('allCities');$.each(allData,function(i,item){var cityPinyinShort=item[propertyJianpin].toLowerCase();if(pattern.test(cityPinyinShort)||pattern.test(item[propertyName])){resultArray.push(item);}});if(handleSearchkey==""){that.generateList(allData);}else{that.generateList(resultArray);}};//生成搜索列表
AddressSearch.prototype.generateList=function(result){var that=this;//搜索列表容器
var $search=that.$container.find('.search-result .addresslist');$search.empty();var cityList=result||[];var propertyName=that.cityInfo.name;if(cityList.length>0){for(var i=0;i<cityList.length;i++){var html='';var item=cityList[i];html+='<li code="'+item[that.cityInfo.code]+'">'+item[propertyName]+'</li>';var $item=$(html);$item.data("cityinfo",item);$search.append(html);}}};AddressSearch.prototype.bindEvt=function(){var that=this;that.$container.find('input[name="searchinput"]').on('input propertychange',function(){that.fuzzySearch($(this).val());that.scroll.refresh();}).on('focus',function(){that.$container.find('.search-result').css({'height':$('#addressTain').height()-$('.searcharea').height()-10,'overflow':'hidden'}).show();that.$container.find('.select-area').hide();// that.scroll.refresh();
if(that.searchScroll){that.searchScroll.refresh();}else{that.searchScroll=new IScroll('#search-result',{mouseWheel:true,probeType:3,click:true,momentum:true,preventDefault:true});}});that.$container.find('.lastList li').on('click',function(){if(tapped)return;tapped=!0;resetTapped();var item=$(this);if(!item.attr('code'))return false;var OBJ={name:item.find('span').text(),code:item.attr('code')};that.get('onSelect')(OBJ);});that.$container.on('click','.cityList li, .locationList li',function(){if(tapped)return;tapped=!0;resetTapped();var item=$(this);var OBJ={name:item.find('span').text(),code:item.attr('code')};that.get('onSelect')(OBJ);});that.$container.on('click','.addresslist li',function(){if(tapped)return;tapped=!0;resetTapped();var item=$(this);var OBJ={name:item.text(),code:item.attr('code')};that.get('onSelect')(OBJ);});if(/android/gi.test(navigator.appVersion)){that.$container.find('input[name="searchinput"]').on('click',function(){if(clicked)return;clicked=!0;if(tapped)return;tapped=!0;resetTapped();setTimeout(function(){var num=oheight-topLap-Math.abs($('#addressTain')[0].getBoundingClientRect().top);that.resetScroll(num);},300);}).on('blur',function(){setTimeout(function(){if(!closeFlag){that.resetScroll(oheight);}clicked=!1;},300);});}};AddressSearch.prototype.destroy=function(){var that=this;that.scroll.destroy();$('#J_ImScrollPop,.im-scroll-cont').removeAttr('style');that.$container.remove();closeFlag=!0;};AddressSearch.getInstance=function(option){return new AddressSearch(option);};module.exports=AddressSearch;})();

/***/ }),
/* 37 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Created by lvchenyang on 2017/1/24.
 */
var aspect = {
    before: function before(context, cutPoint, callback) {
        var target = context[cutPoint];
        context[cutPoint] = function () {
            return target.apply(context, callback.apply(context, arguments));
        };
    },
    after: function after(context, cutPoint, callback) {
        var target = context[cutPoint];
        context[cutPoint] = function () {
            return callback.apply(context, target.apply(context, arguments));
        };
    }
};

module.exports = aspect;

/***/ }),
/* 38 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function (argument) {
    // body...

    var jQuery = __webpack_require__(0);
    var $ = jQuery;
    var config = __webpack_require__(2);
    var IScroll = __webpack_require__(5);
    var Mediator = __webpack_require__(3);

    var commWrapper = null;
    var scroller = null;

    var DOMId = 'dynamicEntry';
    var DOMClass = 'im-chat-help';
    var DOM = null;
    var isDoing = !1;
    var relevent = '#customEntry';
    var chatListCls = 'im-chat-pb';
    var chatList = $('#J_ImChatList');

    function commAssist() {
        if (config.isSdk) {
            DOM.find('.J_DynamicLinkJump').each(function (i, n) {
                var item = $(n);
                var link = item.attr('href');
                if (link.match(/^openApp\./)) return;

                var openLink = 'openApp.jdMobile://virtual?params=' + encodeURIComponent('{"category":"jump","des":"m","sourceValue":"","sourceType":"sourceType_test","url":"' + link + '"}');
                item.attr('href', openLink);
            });
        }
    }

    function scrollerRefresh() {
        if (!scroller) {
            // 初始化横向滚动
            var id = '#' + DOMId;
            scroller = new IScroll(id, {
                mouseWheel: true,
                scrollX: true,
                scrollY: false,
                click: true
            });
        } else {
            scroller.refresh();
        }
    }

    function sizeAssist() {
        var maxWidth = 0;
        var wapperWidth = $(window).width() - 20;
        DOM.css('width', wapperWidth);
        var items = DOM.find('li');
        items.each(function (idx, item) {
            var $item = $(item);
            maxWidth += $item.outerWidth() + parseFloat($item.css('marginRight'));
        });
        DOM.children('ul').css('width', maxWidth + 100);
        scrollerRefresh();
    }

    function animate(dom, cls, callback) {
        // body...

        dom.addClass(cls).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function () {
            $.each(cls.split(' '), function (index, n) {
                n && dom.removeClass(n);
            });

            callback && callback();
        });
    }

    function DynamicEntry() {
        var that = this;

        commWrapper = $('#J_FastLink');

        DOM = $('#' + DOMId);

        that.hasData = !1;
        that.evt();
        that.mediator = Mediator.getInstance();
    }

    DynamicEntry.prototype.evt = function () {
        var that = this;

        $(window).resize(function () {
            sizeAssist();
        });

        DOM.on('click', '.J_DynamicEntryItem', function (ev) {
            var $target = $(ev.currentTarget);
            var content = $target.attr('data-content');
            var type = $target.attr('data-type');
            var sendData;

            if (type == 1) {
                sendData = {
                    type: 'text',
                    target: 'customer',
                    content: content
                };
                if ($target.attr('data-sence')) {
                    sendData.extData = {};
                    sendData.extData.cleanSence = $target.attr('data-sence');

                    /*
                     * clear orderId and serviceId
                    */
                    that.mediator.publish(config.operators.CLEAR_SENCE);

                    that.refresh('', true);
                }
                that.mediator.publish(config.operators.SEND_MSG, sendData);
            } else if (type == 3) {
                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    content: $target.attr('data-title'),
                    form: $target.attr('data-form')
                };
                that.mediator.publish(config.operators.SEND_MSG, sendData);
            } else {}
        });
    };

    DynamicEntry.prototype.refresh = function (html, flag) {
        var that = this;

        html = $('<div>').html(html).html();
        if (!html) {
            animate(DOM.find('ul'), 'bounceOutLeftZd animated-fast');

            setTimeout(function () {
                DOM.find('ul').html('').addClass('empty');
                if (!flag) {
                    if (commWrapper.find('li').length) {
                        commWrapper.show();
                        chatList.addClass(chatListCls);
                        animate(commWrapper.find('ul'), 'fadeInUpZd animated-zing', function () {
                            that.mediator.publish(config.operators.REFRESH_LINK_SCROLL);
                        });
                    }
                } else {
                    chatList.removeClass(chatListCls);
                }
            }, 200);
        } else {
            var animateDyEle = function animateDyEle() {

                $.each(eles, function (i, n) {
                    var timer = i * 100;
                    var node = $(n);
                    node.data('index', i);
                    ul.append(node);

                    setTimeout(function () {
                        animate(node, 'bounceInRightZd animated-fast', function () {
                            if (node.data('index') == eles.length - 1) {
                                commAssist();
                                sizeAssist();
                            }
                        });
                    }, timer);
                });
            };

            var ul = DOM.find('ul').removeClass('empty');

            ul.html('');

            try {
                animate($(relevent).find('ul'), 'bounceOutLeftZd animated-fast', function () {
                    $(relevent).remove();
                });
            } catch (e) {}
            animate(ul, 'bounceOutLeftZd animated-fast', function () {
                chatList.addClass(chatListCls);
            });

            var index = 0;
            var eles = $(html);

            setTimeout(function () {
                commWrapper.hide();
                // animate(ul, 'bounceInRightZd animated-fast');
                animateDyEle();
            }, 200);
        }
    };

    var instance = null;
    module.exports = {
        refresh: function refresh(html) {
            if (!instance) instance = new DynamicEntry();

            instance.refresh(html);
        }
    };
})();

/***/ }),
/* 39 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var $ = __webpack_require__(0);

var Raphael = __webpack_require__(49);

(function ($, undefiend) {
    //此插件被dyx改乱了，结合到了业务环境，暂时只为智投使用了
    $.fn.shuttlePanel = function (config, option) {
        var _option = $.extend({ begin: 0 }, option || {});
        var me = this,
            activeData = config[_option.begin];
        var temp = null;
        $(me).children("script").each(function (i, item) {
            var _self = this;var temp = $(_self);
            config[i].template = temp.html();
            if (i === _option.begin) {
                var $html = $(temp.html());
                if ($html.find('.pieListCenter li').length) {
                    $html.find('.pieListCenter li').map(function (n, t) {
                        return $(t).find('s').css("background", config[0].data.riskData.positinosPlanVOList[n].color);
                    });
                } else if ($html.find('ul li').length) {
                    $html.find('ul li').map(function (n, t) {
                        return $(t).find('s').css("background", config[0].data.riskData.positinosPlanVOList[n].color);
                    });
                }
                $html.appendTo(me);
                //temp.tmpl(config[i].data).appendTo(me);
                //$(".SIwrap script").remove();
                if (config[i].callback) config[i].callback.call($.extend({}, { datas: config[i].data, dom: me }));
            }
        }).parent().delegate(".buttonWrap>button", "click", function () {
            activeData.event[$(this).index()].call($.extend({}, { datas: activeData.data, dom: me }, {
                launch: function launch(index, data) {
                    try {
                        if (data) config[index].data = data;
                        activeData = config[index];
                        //$(me).empty().append(config[index].template.tmpl(config[index].data));
                        var html = config[index].template;
                        var $html = $(html);
                        if ($html.find('.pieListCenter li').length) {
                            $html.find('.pieListCenter li').map(function (n, t) {
                                return $(t).find('s').css("background", config[0].data.riskData.positinosPlanVOList[n].color);
                            });
                        } else if ($html.find('ul li').length) {
                            $html.find('ul li').map(function (n, t) {
                                return $(t).find('s').css("background", config[0].data.riskData.positinosPlanVOList[n].color);
                            });
                        }
                        $(me).empty().append($html);
                        if (config[index].callback) config[index].callback.call($.extend({}, { datas: config[index].data, dom: me }));
                        var G_APP = window.SmartApp || window.SCSM;
                        G_APP && setTimeout(function () {
                            G_APP.listScroller.refresh();
                            G_APP.scrollToFoot();
                        }, 0);
                    } catch (e) {}
                },
                evtHandler: _option.EvtHandler
            }));
        });
        // pieListCenter
        var G_APP = window.SmartApp || window.SCSM;
        G_APP && setTimeout(function () {
            G_APP.listScroller.refresh();
            G_APP.scrollToFoot();
        }, 0);
        return $(this);
    };
    $.fn.shuttlePanel2 = function (config, option) {
        var _option = $.extend({ begin: 0 }, option || {});
        var me = this,
            activeData = config[_option.begin];
        var launch = function launch(index, data) {
            if (data) config[index].data = data;
            activeData = config[index];
            $(me).empty().append(config[index].template.tmpl(config[index].data));
            if (config[index].callback) config[index].callback.call($.extend({}, { config: config[index], dom: me, launch: launch, data: config[index].data, option: option }));
        };
        $(me).children("script").each(function (i, item) {
            var _self = this;var temp = $(_self);
            config[i].template = temp;
            if (i === _option.begin) {
                temp.tmpl(config[i].data).appendTo(me);
                if (config[i].callback) config[i].callback.call($.extend({}, { config: config[i], dom: me, launch: launch, option: option }));
            }
        }).parent().delegate("button", "click", function () {
            activeData.event[$(this).index()].call($.extend({}, activeData, { launch: launch, option: option, dom: me }));
        }).find("script").remove();
    };
    $.fn.pieCharts = function (redius, pieData, option) {
        var config = $.extend({
            stroke: "",
            callback: function callback() {},
            rotate: 0, //旋转角度
            animateTimems: 50, //动作时间
            animateEasing: "ease-out", //动作过渡公式
            width: redius * 2 + 10, //面板宽度
            sectorThick: redius / 3, //扇形厚度
            strongInc: 5 //着重增量
        }, option || {});
        var paper = Raphael(this[0], config.width, config.width);
        var _total = 0,
            angle = 0,
            rad = Math.PI / 180,
            charts = paper.set();
        var getSectorPos = function getSectorPos(cx, cy, redius, startAngle, endAngle) {
            return {
                begin_x: cx + redius * Math.cos(-startAngle * rad),
                begin_y: cy + redius * Math.sin(-startAngle * rad),
                end_x: cx + redius * Math.cos(-endAngle * rad),
                end_y: cy + redius * Math.sin(-endAngle * rad)
            };
        };
        var sectorGetter = function sectorGetter(cx, cy, r, r_width, startAngle, endAngle, strong, params) {
            var pos = getSectorPos(cx, cy, r, startAngle, endAngle);
            var departure = r - r_width;
            var pos2 = getSectorPos(cx, cy, departure, startAngle, endAngle);
            if (strong) {
                var poss1 = getSectorPos(cx, cy, r + config.strongInc, startAngle, endAngle),
                    poss2 = getSectorPos(cx, cy, departure - config.strongInc, startAngle, endAngle);
                return paper.path(["M", poss2.begin_x, poss2.begin_y, "L", poss1.begin_x, poss1.begin_y, "A", r + config.strongInc, r + config.strongInc, 0, +(endAngle - startAngle > 180), 0, poss1.end_x, poss1.end_y, "L", poss2.end_x, poss2.end_y, "A", departure - config.strongInc, departure - config.strongInc, 0, +(endAngle - startAngle > 180), 1, poss2.begin_x, poss2.begin_y, "z"]).attr(params);
            } else {
                return paper.path(["M", pos2.begin_x, pos2.begin_y, "L", pos.begin_x, pos.begin_y, "A", r, r, 0, +(endAngle - startAngle > 180), 0, pos.end_x, pos.end_y, "L", pos2.end_x, pos2.end_y, "A", departure, departure, 0, +(endAngle - startAngle > 180), 1, pos2.begin_x, pos2.begin_y, "z"]).attr(params);
            }
        };
        pieData.forEach(function (item) {
            _total += item.value;
        });
        pieData.forEach(function (item) {
            var angleplus = 360 * (item.value - 0.01) / _total,
                popangle = angle + angleplus / 2,
                sector = sectorGetter(config.width / 2, config.width / 2, redius, config.sectorThick, angle, angle + angleplus, item.strong, { fill: "90-" + item.color + "-" + item.color, stroke: config.stroke, "stroke-width": 3 });
            sector.mouseover(function () {
                sector.stop().animate({ transform: "s1.05 1.05 " + config.width / 2 + " " + config.width / 2 }, config.animateTimems, config.animateEasing);
            }).mouseout(function () {
                sector.stop().animate({ transform: "" }, config.animateTimems, config.animateEasing);
            });
            angle += angleplus;
            charts.push(sector);
        });
        paper.charts;
    };
})($, undefined);

/***/ }),
/* 40 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function () {
    var $ = __webpack_require__(0);
    var AddressSearch = __webpack_require__(36);
    var Calendar = __webpack_require__(45);
    var Mediator = __webpack_require__(3);
    var DataManager = __webpack_require__(6);
    var configs = __webpack_require__(2);
    var storage = new Object(window.localStorage);

    var dm = DataManager.getInstance();
    var mediator = Mediator.getInstance();

    var services = {
        AirAddress: { method: 'GET', url: 'http://jimi1.m.jd.com//templateData/data/air/locateAddress' },
        TrainAddress: { method: 'GET', url: 'http://jimi1.m.jd.com/templateData/data/train/locateAddress' }
    };

    function beUnique(arr, ele, name) {
        var result = true;

        for (var i = 0, len = arr.length; i < len; i++) {
            if (arr[i][name] == ele[name]) {
                arr.splice(i, 1);
                break;
            }
        }

        arr.push(ele);
    }

    function removeUnique(arr, name) {
        for (var i = 0, len = arr.length; i < len; i++) {
            if (!arr[i][name]) {
                arr.splice(i, 1);
                len--;
                i--;
            }
        }
        return arr;
    }

    function getDateDescription(dateobj) {
        var today = new Date();
        var chooseDay = new Date(dateobj);
        var lap = Math.floor((chooseDay - today) / (24 * 3600 * 1000));
        var string = '';
        if (lap < 0) {
            string = '今天';
        } else if (lap < 1) {
            string = '明天';
        } else if (lap < 2) {
            string = '后天';
        } else {}

        return string;
    }

    /*
     * event
    */
    var isTaped = !1;

    function resetTaped() {
        setTimeout(function () {
            isTaped = !1;
        }, 500);
    }

    // 当存在.tickets_info类，绑定tap事件
    /*    (function(){
            $('body').on('click' ,'.tickets_info', function() {
                if(isTaped) return;
                isTaped = !0;
                resetTaped();
    
                var item = $(this);
    
                // var data = item.data('answerData');
                var id = item.attr('data-rel-id');
                var data = dm.get(id);
                var type = item.attr('data-type');
                var html = item.attr('data-html');
                /*var type = item.data('type');
                var html = item.data('html');*/

    //JIMI.message.showDataInPop(html, type, data);


    /*       });
       })()*/

    // 调用数据接口
    function getAddress(type) {
        return $.ajax({
            method: services[type].method,
            url: services[type].url,
            cache: false,
            params: { '_': new Date().getTime() },
            data: null,
            headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
            success: function success(data) {}
        });
    }

    function TicketsModule(context) {
        this.popup = context.popup;
        this.context = context;
        this.bindEvt();
    }

    TicketsModule.prototype.bindEvt = function () {
        var that = this;
        $('body').on('click', '.tickets_info', function () {
            if (isTaped) return;
            isTaped = !0;
            resetTaped();

            var item = $(this);

            // var data = item.data('answerData');
            var id = item.attr('data-id');
            var data = dm.get(id);
            var type = item.attr('data-type');
            var html = item.attr('data-html');
            /*var type = item.data('type');
            var html = item.data('html');*/

            //JIMI.message.showDataInPop(html, type, data);

            // that.context.showServerMessage(data.itemHtml);
            mediator.publish(configs.operators.POPUP_FOR_TICKETS, data.itemHtml, data);
        });
    };

    /*    TicketsModule.prototype.trainAdress = function (result) {
            if (result.code == 1) {
                var resultData = JSON.parse(result.data);
                if(resultData.user && resultData.user.name){
                    var uaddress = resultData.user;
                    locateCity.push(uaddress);
                    // 写入模版
                    if(!lastSelect.length) {
                        try{
                            startCity.find('div').html(locateCity[0].name);
                            startCity.attr('data-cityCode', locateCity[0].code);
                        }catch(e) {}
                    }
                }
            }
        }*/

    TicketsModule.prototype.dealTrainAdress = function (result, info) {
        if (result.code == 1) {
            var locateCity = info.locateCity;
            var lastSelect = info.lastSelect;
            var startCity = info.startCity;
            var resultData = JSON.parse(result.data);
            if (resultData.user && resultData.user.name) {
                var uaddress = resultData.user;
                locateCity.push(uaddress);
                // 写入模版
                if (!lastSelect.length) {
                    try {
                        startCity.find('div').html(locateCity[0].name);
                        startCity.attr('data-cityCode', locateCity[0].code);
                    } catch (e) {}
                }
            }
        }
    };
    TicketsModule.prototype.dealAirAdress = function (result, info) {
        if (result.code == 1 && result.data) {
            var locateCity = info.locateCity;
            var lastSelect = info.lastSelect;
            var startCity = info.startCity;
            var resultData = JSON.parse(result.data);
            if (resultData.user && resultData.user.name) {
                var uaddress = resultData.user;
                locateCity.push(uaddress);
                // 写入模版
                if (!lastSelect.length) {
                    try {
                        startCity.find('div').html(locateCity[0].cityCn);
                        startCity.attr('data-cityCode', locateCity[0].cityCode);
                    } catch (e) {}
                }
            }
        }
    };
    TicketsModule.prototype.dealAdress = function (result, info) {
        var type = info.type;
        if (type == 'traintickets') {
            this.dealAirAdress(result, info);
        } else if (type == 'airtickets') {
            this.dealTrainAdress(result, info);
        }
    };
    TicketsModule.prototype.traintickets = function (data, type) {
        var that = this;
        that.popup.popup.addClass(type);
        // 上次选择
        var lastSelect = JSON.parse(storage['lastTrainStation'] || '[]');
        // var lastSelect = [{"code":"CDW","name":"成都"}]; // 先固定写死
        var locateCity = [];
        var startCity = $('.start-cityarea');
        // 如果开始城市模版里存在
        if (startCity.attr('data-cityCode')) {
            var OBJ = {
                code: startCity.attr('data-cityCode'),
                name: startCity.find('div').text()
            };
            locateCity.push(OBJ);
        } else {
            // 模版不存在
            // 如果上次选择存在
            if (lastSelect.length) {
                startCity.find('div').html(lastSelect[lastSelect.length - 1].name);
                startCity.attr('data-cityCode', lastSelect[lastSelect.length - 1].code);
            }
            // 通过接口获取当下城市定位位置
            /*getAddress('TrainAddress').done(function(result){
                if (result.code == 1) {
                    var resultData = JSON.parse(result.data);
                    if(resultData.user && resultData.user.name){
                        var uaddress = resultData.user;
                        locateCity.push(uaddress);
                        // 写入模版
                        if(!lastSelect.length) {
                            try{
                                startCity.find('div').html(locateCity[0].name);
                                startCity.attr('data-cityCode', locateCity[0].code);
                            }catch(e) {}
                        }
                    }
                }
            });*/

            var adressinfo = {
                locateCity: locateCity,
                lastSelect: lastSelect,
                startCity: startCity,
                type: type
            };
            var json = {
                code: 'train_get_template_data',
                type: 1
            };
            that.context.receiver.getHttpGateway(json, 'getAddressCallback', function (result) {
                that.dealAdress(result, adressinfo);
            }, adressinfo);
        }
        // 确定时间
        var startTime = $('#Im_PopUp .tickets-block .starttime');
        var dateStr = '';
        if (!startTime.text()) {
            // 如果模版里不存在
            var dateObj = new Date();
            dateObj = new Date(dateObj.getTime() + 24 * 3600 * 1000);
            var month = dateObj.getMonth() + 1;
            month = month < 10 ? '0' + month : month;

            var day = dateObj.getDate();
            day = day < 10 ? '0' + day : day;

            dateStr = dateObj.getFullYear() + '-' + month + '-' + day;

            startTime.html(dateStr);
        } else {
            dateStr = getDateDescription(startTime.text());
            startTime.next('span').html(dateStr);
        }
        // 点击选择城市
        $('#Im_PopUp .tickets-block').find('.start-cityarea,.end-cityarea').on('click', function () {
            if (isTaped) return false;
            isTaped = !0;
            resetTaped();

            var item = $(this);

            var currCity = item.find('div').text();
            var currCityCode = item.attr('data-cityCode');
            var tickeytype = item.attr('data-type');
            var addresspop = '';

            $('#Im_PopUp .tickets-block').hide();
            $('#J_ImScrollPop').removeAttr('style');

            function reset() {
                that.popup.set('toTopHeight', 150);
                that.popup.popup.find('.im-list-pop,.im-scroll-pop').removeAttr('style');
                that.popup.setAttr();
            }

            addresspop = AddressSearch.getInstance({
                lastSelectedCities: lastSelect,
                locationCity: locateCity,
                type: 'trainStation',
                currentCode: currCityCode,
                context: that.context,
                onSelect: function onSelect(data) {
                    if (data) {
                        item.find('div').text(data.name);
                        item.attr('data-cityCode', data.code);
                    }
                    addresspop.destroy();
                    $('#Im_PopUp .tickets-block').show();
                    // that.popup.set('closeEnforcement', true);
                    // that.popup.set('closeCallback', function() {
                    //     // JIMI.Blank.getInstance().hide();
                    // });
                    reset();
                    that.context.popup.cancel = null;
                }
            });

            addresspop.openDialog(function () {
                /*that.context.popup.close.off().on('click', function(){
                    that.addresspop.destroy();
                    $('#Im_PopUp .tickets-block').show();
                });*/
                // 重写弹层方法
                that.context.popup.cancel = function () {
                    that.addresspop.destroy();
                    $('#Im_PopUp .tickets-block').show();
                };
                reset();

                // that.popup.set('closeEnforcement', false);
                // that.popup.set('closeCallback', function() {
                //     console.log(1);
                //     addresspop.destroy();
                //     $('#Im_PopUp .tickets-block').show();
                //     setTimeout(function() {
                //         that.popup.set('closeEnforcement', true);
                //         that.popup.set('closeCallback', function() {
                //             // JIMI.Blank.getInstance().hide();
                //         });
                //     }, 0);
                //     reset();
                //     that.context.popScroller.refresh();
                // });
            });
            that.addresspop = addresspop;
        });

        // 地点互换
        $('#Im_PopUp .tickets-block').on('click', '.transicon', function () {
            if (isTaped) return false;
            isTaped = !0;
            resetTaped();

            var item = $(this);
            var one = item.prev('.start-cityarea');
            var another = item.next('.end-cityarea');

            var OBJ = {
                text: one.find('div').text(),
                code: one.attr('data-cityCode')
            };

            one.find('div').text(another.find('div').text());
            one.attr('data-cityCode', another.attr('data-cityCode'));

            another.find('div').text(OBJ.text);
            another.attr('data-cityCode', OBJ.code);
        });

        // 点击选择时间
        $('#Im_PopUp .tickets-block').find('.start-datearea, .end-datearea').on('click', function () {
            if (isTaped) return false;
            isTaped = !0;
            resetTaped();

            var item = $(this);

            var instance = null;
            var startDate = null;
            if (item.hasClass('end-datearea') && $('.tickets-block .starttime').html()) {
                startDate = $('.tickets-block .starttime').html();
            }
            var selectDate = '';
            if (item.hasClass('end-datearea')) {
                selectDate = item.find('.backtime').html();
            } else {
                selectDate = item.find('.starttime').html();
            }
            setTimeout(function () {
                instance = Calendar.instance();
                instance.render({
                    count: 12,
                    startDate: startDate,
                    selectDate: selectDate,
                    cb: function cb(date) {
                        if (item.hasClass('end-datearea')) {
                            item.find('.backtime').html(date[0]);
                            return;
                        }
                        var string = getDateDescription(date[0]);
                        item.find('span:first').html(date[0]);
                        item.find('span:last').html(string);

                        var endItem = $('.tickets-block .end-datearea .backtime');
                        if (endItem.html()) {
                            if (new Date(endItem.html()) < new Date(date[0])) {
                                endItem.html('');
                            }
                        }
                    },
                    iSingle: true
                });
            }, 400);
        });

        // 提交
        $('#Im_PopUp .tickets-block').on('click', '.submit', function () {
            if (isTaped) return false;
            isTaped = !0;
            resetTaped();

            var extJson = null;
            var widgets = [];
            var tain = $('#Im_PopUp .tickets-block');

            var starts = tain.find('.start-cityarea');
            var stops = tain.find('.end-cityarea');
            var leftTime = tain.find('.start-datearea');

            if (starts.attr('data-cityCode') && stops.attr('data-cityCode') && leftTime.find('.starttime').html()) {
                var OBJ1 = {};
                OBJ1.widgetCode = 'widget_entity_scene__Tdeparture';
                OBJ1.value = [];
                OBJ1.value.push(starts.find('.start-city').html() + '@' + starts.attr('data-cityCode'));
                widgets.push(OBJ1);

                var OBJ2 = {};
                OBJ2.widgetCode = 'widget_entity_scene__Tarrival';
                OBJ2.value = [];
                OBJ2.value.push(stops.find('.end-city').html() + '@' + stops.attr('data-cityCode'));
                widgets.push(OBJ2);

                var OBJ3 = {};
                OBJ3.widgetCode = 'widget_entity_scene__TdepartureDate';
                OBJ3.value = [];
                OBJ3.value.push(leftTime.find('.starttime').text());
                widgets.push(OBJ3);

                var returnTime = tain.find('end-datearea');
                if (returnTime.find('.backtime').html()) {
                    var OBJ4 = {};
                    OBJ4.widgetCode = 'widget_entity_scene__TreturnDate';
                    OBJ4.value = [];
                    OBJ4.value.push(leftTime.find('.backtime').text());
                    widgets.push(OBJ4);
                }

                var originData = JSON.parse(data.originData.answers.answer);
                var para = {
                    className: data.className || originData.className,
                    modelName: data.modelName || originData.modelName,
                    sceneUuid: data.sceneUuid,
                    formCode: data.tid,
                    widgets: widgets
                };

                var dateString = leftTime.find('.starttime').text();
                var OBJ = dateString.split('-');
                OBJ.splice(0, 1);
                dateString = OBJ.join('-');
                // msg.find('.msg-content').html('<div class="tickets_info"><span>' + starts.find('.start-city').html() + '</span> 到 <span>' + stops.find('.end-city').html() + '</span><p />出发日期 <span>' + dateString +  '</span></div>');
                data.itemHtml = $('<div>').append($('.tickets-block').clone()).html();
                // msg.find('.tickets_info').data('answerData',data).data('type', type).data('html', html)
                // var msg = '<div class="tickets_info"><span>' + starts.find('.start-city').html() + '</span> 到 <span>' + stops.find('.end-city').html() + '</span><p />出发日期 <span>' + dateString +  '</span></div>';
                that.context.sender.showServerMessage({ // 直接用于显示
                    content: {
                        'starts': starts.find('.start-city').text(),
                        'stops': stops.find('.end-city').text(),
                        'time': dateString,
                        'id': data.id,
                        'type': type
                    },
                    opt: 1,
                    fmid: 'J_Message_' + new Date().getTime(),
                    type: configs.msgType.client.TICKETS_ITEM
                });

                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    content: 'form submit',
                    form: JSON.stringify(para),
                    hidden: !!1,
                    extData: {
                        interactiveId: data.uuid,
                        classifyName: data.className || originData.className,
                        componentName: data.templateName || originData.templateName,
                        version: data.version,
                        refreshContent: false
                    }
                };
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 1,
                        'rel': 'formTemplate',
                        'type': 1
                    };
                    postData.ext = {};
                    postData.ext.h5Info = JSON.stringify(extJson);
                }
                that.context.sendFormMsg(postData, function () {
                    // 写入localStorage
                    var lastItem = {
                        code: starts.attr('data-cityCode'),
                        name: starts.find('.start-city').html()
                    };
                    beUnique(lastSelect, lastItem, 'code');
                    lastSelect = removeUnique(lastSelect, 'code');

                    storage['lastTrainStation'] = JSON.stringify(lastSelect);
                });
                // 关闭popup
                setTimeout(function () {
                    that.popup.hide();
                }, 400);
            } else {
                context.toast.show('请您先检查一下出行信息是否完整！');
            }
        });
    };

    TicketsModule.prototype.airtickets = function (data, type) {
        var that = this;
        that.popup.popup.addClass(type);
        // 上次选择
        var lastSelect = JSON.parse(storage['lastAirports'] || '[]');
        // var lastSelect = [{"code":"CDW","name":"成都"}]; // 先固定写死
        var locateCity = [];
        var startCity = $('.start-cityarea');
        // 如果开始城市模版里存在
        if (startCity.attr('data-cityCode')) {
            var OBJ = {
                cityCode: startCity.attr('data-cityCode'),
                cityCn: startCity.find('div').text()
            };
            locateCity.push(OBJ);
        } else {
            // 模版不存在
            // 如果上次选择存在
            if (lastSelect.length) {
                startCity.find('div').html(lastSelect[lastSelect.length - 1].cityCn);
                startCity.attr('data-cityCode', lastSelect[lastSelect.length - 1].cityCode);
            }
            // 通过接口获取当下城市定位位置
            /*getAddress('AirAddress').done(function(result){
                if (result.code == 1) {
                    var resultData = JSON.parse(result.data);
                    if(resultData.user && resultData.user.name){
                        var uaddress = resultData.user;
                        locateCity.push(uaddress);
                        // 写入模版
                        if(!lastSelect.length) {
                            try{
                                startCity.find('div').html(locateCity[0].cityCn);
                                startCity.attr('data-cityCode', locateCity[0].cityCode);
                            }catch(e) {}
                        }
                    }
                }
            });*/
            var adressinfo = {
                locateCity: locateCity,
                lastSelect: lastSelect,
                startCity: startCity,
                type: type
            };
            var json = {
                code: 'air_get_template_data',
                type: 1
            };
            that.context.receiver.getHttpGateway(json, 'getAddressCallback', function (result) {
                that.dealAdress(result, adressinfo);
            }, adressinfo);
        }
        // 确定时间
        var startTime = $('#Im_PopUp .tickets-block .starttime');
        var dateStr = '';
        if (!startTime.html()) {
            // 如果模版里不存在
            var dateObj = new Date();
            dateObj = new Date(dateObj.getTime() + 24 * 3600 * 1000);
            var month = dateObj.getMonth() + 1;
            month = month < 10 ? '0' + month : month;

            var day = dateObj.getDate();
            day = day < 10 ? '0' + day : day;

            dateStr = dateObj.getFullYear() + '-' + month + '-' + day;

            startTime.html(dateStr);
        } else {
            dateStr = getDateDescription(startTime.html());
            startTime.next('span').html(dateStr);
        }
        // 点击选择城市
        $('#Im_PopUp .tickets-block').find('.start-cityarea,.end-cityarea').on('click', function () {
            if (isTaped) return false;
            isTaped = !0;
            resetTaped();

            var item = $(this);

            var currCity = item.find('div').text();
            var currCityCode = item.attr('data-cityCode');
            var tickeytype = item.attr('data-type');
            var addresspop = '';

            $('#Im_PopUp .tickets-block').hide();
            $('#J_ImScrollPop').removeAttr('style');

            function reset() {
                that.popup.set('toTopHeight', 150);
                that.popup.popup.find('.im-list-pop,.im-scroll-pop').removeAttr('style');
                that.popup.setAttr();
            }

            addresspop = AddressSearch.getInstance({
                lastSelectedCities: lastSelect,
                locationCity: locateCity,
                type: 'airport',
                currentCode: currCityCode,
                context: that.context,
                onSelect: function onSelect(data) {
                    if (data) {
                        item.find('div').text(data.name);
                        item.attr('data-cityCode', data.code);
                    }
                    addresspop.destroy();
                    $('#Im_PopUp .tickets-block').show();
                    // that.popup.set('closeEnforcement', true);
                    // that.popup.set('closeCallback', function() {
                    //     // JIMI.Blank.getInstance().hide();
                    // });
                    reset();
                    that.context.popup.cancel = null;
                }
            });

            addresspop.openDialog(function () {
                /*that.context.popup.close.off().on('click', function(){
                    that.addresspop.destroy();
                    $('#Im_PopUp .tickets-block').show();
                });*/
                // 重写弹层方法
                that.context.popup.cancel = function () {
                    that.addresspop.destroy();
                    $('#Im_PopUp .tickets-block').show();
                };
                reset();

                // that.popup.set('closeEnforcement', false);
                // that.popup.set('closeCallback', function() {
                //     console.log(1);
                //     addresspop.destroy();
                //     $('#Im_PopUp .tickets-block').show();
                //     setTimeout(function() {
                //         that.popup.set('closeEnforcement', true);
                //         that.popup.set('closeCallback', function() {
                //             // JIMI.Blank.getInstance().hide();
                //         });
                //     }, 0);
                //     reset();
                //     that.context.popScroller.refresh();
                // });
            });
            that.addresspop = addresspop;
        });

        // 地点互换
        $('#Im_PopUp .tickets-block').on('click', '.transicon', function () {
            if (isTaped) return false;
            isTaped = !0;
            resetTaped();

            var item = $(this);
            var one = item.prev('.start-cityarea');
            var another = item.next('.end-cityarea');

            var OBJ = {
                text: one.find('div').text(),
                code: one.attr('data-cityCode')
            };

            one.find('div').text(another.find('div').text());
            one.attr('data-cityCode', another.attr('data-cityCode'));

            another.find('div').text(OBJ.text);
            another.attr('data-cityCode', OBJ.code);
        });

        // 点击选择时间
        $('#Im_PopUp .tickets-block').find('.start-datearea, .end-datearea').on('click', function () {
            if (isTaped) return false;
            isTaped = !0;
            resetTaped();

            var item = $(this);

            var instance = null;
            var startDate = null;
            if (item.hasClass('end-datearea') && $('.tickets-block .starttime').html()) {
                startDate = $('.tickets-block .starttime').html();
            }
            var selectDate = '';
            if (item.hasClass('end-datearea')) {
                selectDate = item.find('.backtime').html();
            } else {
                selectDate = item.find('.starttime').html();
            }
            setTimeout(function () {
                instance = Calendar.instance();
                instance.render({
                    count: 12,
                    startDate: startDate,
                    selectDate: selectDate,
                    cb: function cb(date) {
                        if (item.hasClass('end-datearea')) {
                            item.find('.backtime').html(date[0]);
                            return;
                        }
                        var string = getDateDescription(date[0]);
                        item.find('span:first').html(date[0]);
                        item.find('span:last').html(string);

                        var endItem = $('.tickets-block .end-datearea .backtime');
                        if (endItem.html()) {
                            if (new Date(endItem.html()) < new Date(date[0])) {
                                endItem.html('');
                            }
                        }
                    },
                    iSingle: true
                });
            }, 400);
        });

        // 提交
        $('#Im_PopUp .tickets-block').on('click', '.submit', function () {
            if (isTaped) return false;
            isTaped = !0;
            resetTaped();

            var extJson = null;
            var widgets = [];
            var tain = $('#Im_PopUp .tickets-block');

            var starts = tain.find('.start-cityarea');
            var stops = tain.find('.end-cityarea');
            var leftTime = tain.find('.start-datearea');

            if (starts.attr('data-cityCode') && stops.attr('data-cityCode') && leftTime.find('.starttime').html()) {
                var OBJ1 = {};
                OBJ1.widgetCode = 'widget_entity_scene__Fdeparture';
                OBJ1.value = [];
                OBJ1.value.push(starts.find('.start-city').html() + '@' + starts.attr('data-cityCode'));
                widgets.push(OBJ1);

                var OBJ2 = {};
                OBJ2.widgetCode = 'widget_entity_scene__Farrival';
                OBJ2.value = [];
                OBJ2.value.push(stops.find('.end-city').html() + '@' + stops.attr('data-cityCode'));
                widgets.push(OBJ2);

                var OBJ3 = {};
                OBJ3.widgetCode = 'widget_entity_scene__FdepartureDate';
                OBJ3.value = [];
                OBJ3.value.push(leftTime.find('.starttime').text());
                widgets.push(OBJ3);

                var returnTime = tain.find('end-datearea');
                if (returnTime.find('.backtime').html()) {
                    var OBJ4 = {};
                    OBJ4.widgetCode = 'widget_entity_scene__FreturnDate';
                    OBJ4.value = [];
                    OBJ4.value.push(leftTime.find('.backtime').text());
                    widgets.push(OBJ4);
                }

                var originData = JSON.parse(data.originData.answers.answer);
                var para = {
                    className: data.className || originData.className,
                    modelName: data.modelName || originData.modelName,
                    sceneUuid: data.sceneUuid,
                    formCode: data.tid,
                    widgets: widgets
                };

                var dateString = leftTime.find('.starttime').text();
                var OBJ = dateString.split('-');
                OBJ.splice(0, 1);
                dateString = OBJ.join('-');
                // msg.find('.msg-content').html('<div class="tickets_info"><span>' + starts.find('.start-city').html() + '</span> 到 <span>' + stops.find('.end-city').html() + '</span><p />出发日期 <span>' + dateString +  '</span></div>');
                data.itemHtml = $('<div>').append($('.tickets-block').clone()).html();
                // msg.find('.tickets_info').data('answerData',data).data('type', type).data('html', html)
                // var msg = '<div class="tickets_info"><span>' + starts.find('.start-city').html() + '</span> 到 <span>' + stops.find('.end-city').html() + '</span><p />出发日期 <span>' + dateString +  '</span></div>';
                that.context.sender.showServerMessage({ // 直接用于显示
                    content: {
                        'starts': starts.find('.start-city').text(),
                        'stops': stops.find('.end-city').text(),
                        'time': dateString,
                        'id': data.id,
                        'type': type
                    },
                    opt: 1,
                    fmid: 'J_Message_' + new Date().getTime(),
                    type: configs.msgType.client.TICKETS_ITEM
                });

                /*                            var newAnswerTitle = {
                                                "target":  "service",
                                                "type":    "text",
                                                "history": 0,
                                                "content": answer_title,
                                                "relPosition": 'next',
                                                "relId": dataId
                                            }
                                            showServerMessage(newAnswerTitle);*/

                var postData = {
                    target: 'customer',
                    type: 'formTemplate',
                    content: 'form submit',
                    form: JSON.stringify(para),
                    extData: {
                        interactiveId: data.uuid,
                        classifyName: data.className || originData.className,
                        componentName: data.templateName || originData.templateName,
                        version: data.version,
                        refreshContent: false
                    }
                };
                if (configs.isSdk) {
                    extJson = {
                        'hidden': 1,
                        'rel': 'formTemplate',
                        'type': 1
                    };
                    postData.ext = {};
                    postData.ext.h5Info = JSON.stringify(extJson);
                }
                that.context.sendFormMsg(postData, function () {
                    // 写入localStorage
                    var lastItem = {
                        code: starts.attr('data-cityCode'),
                        name: starts.find('.start-city').html()
                    };
                    beUnique(lastSelect, lastItem, 'code');
                    lastSelect = removeUnique(lastSelect, 'code');

                    storage['lastTrainStation'] = JSON.stringify(lastSelect);
                });
                // 关闭popup
                setTimeout(function () {
                    that.popup.hide();
                }, 400);
            }
        });
    };

    TicketsModule.getInstance = function (context) {
        return new TicketsModule(context);
    };

    module.exports = TicketsModule;
})();

/***/ }),
/* 41 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function () {
    var tplDataPretreat = {};
    var tplsMap = {
        traintickets: 'tickets',
        airtickets: 'tickets'
    };

    function dateTreat(info, data) {
        var dataObj = data.content.dataMap[data.tid];
        dataObj.ticketType = info.ticketType;
        var departProperty = info.depart;
        var departDateProperty = info.departDate;
        if (dataObj[departProperty] && dataObj[departProperty] != "") {
            dataObj.departCity = dataObj[departProperty].split('@')[0];
            dataObj.departCityCode = dataObj[departProperty].split('@')[1];
        } else {
            dataObj.departCity = '';
            dataObj.departCityCode = '';
        }
        var arriveProperty = info.arrive;
        var arriveDateProperty = info.arriveDate;
        if (dataObj[arriveProperty] && dataObj[arriveProperty] != "") {
            dataObj.arriveCity = dataObj[arriveProperty].split('@')[0];
            dataObj.arriveCityCode = dataObj[arriveProperty].split('@')[1];
        }

        if (dataObj[departDateProperty] && dataObj[departDateProperty] != "") {
            dataObj.departDate = dataObj[departDateProperty];
        } else {
            dataObj.departDate = '';
        }
        //返程日期不填
        if (dataObj[arriveDateProperty] && dataObj[arriveDateProperty] != "") {
            dataObj.arriveDate = dataObj[arriveDateProperty];
        } else {
            dataObj.arriveDate = '';
        }
        dataObj.type = info.type;
        return dataObj;
    }

    function airTickets(data, type) {
        var info = {
            depart: "_Fdeparture",
            arrive: "_Farrival",
            departDate: "_FdepartureDate",
            arriveDate: "_FreturnDate",
            ticketType: "airAddress",
            type: type
        };

        return dateTreat(info, data);
    }

    function trainTickets(data, type) {

        var info = {
            depart: "_Tdeparture",
            arrive: "_Tarrival",
            departDate: "_TdepartureDate",
            arriveDate: "_TreturnDate",
            ticketType: "trainAddress",
            type: type
        };

        return dateTreat(info, data);
    }

    tplDataPretreat.treat = function (data, type) {
        var result = {};

        switch (type) {
            case 'traintickets':
                result = trainTickets(data, type);
                break;
            case 'airtickets':
                result = airTickets(data, type);
                break;
            default:
                {}
        }

        return result;
    };

    tplDataPretreat.getTplName = function (type) {
        return tplsMap[type] || '';
    };
    module.exports = tplDataPretreat;
})();

/***/ }),
/* 42 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function () {
    // body...
    var jQuery = __webpack_require__(0);
    var $ = jQuery;

    var voice = null;
    var state = 3;
    var storage = new Object(window.localStorage);
    var hasCashe = !1;

    function pretreateMsg(msg) {
        // body...
        return msg.replace(/<[^>]*>/g, '');
    }

    function Voice() {

        var that = this;

        that.lists = [];
        that.isOpened = '0';
        that.dom = null;

        that.createSpeaker = function () {
            var that = this;

            if (!storage.hasOwnProperty('speakerOpen')) {
                storage['speakerOpen'] = '0';
            }
            that.isOpened = storage['speakerOpen'];

            that.dom = $('<div class="sdkMspeaker ' + (that.isOpened == '1' ? '' : 'disabled') + '"></div>').appendTo('#J_Wrapper');
        };

        that.evt = function () {
            var that = this;

            that.dom.on('click', function () {
                if (that.isOpened == '1') {
                    that.dom.addClass('disabled');
                    that.isOpened = '0';
                    that.stopSpeak();
                } else {
                    that.dom.removeClass('disabled');
                    that.isOpened = '1';
                }

                storage['speakerOpen'] = that.isOpened;
            });
        };

        that.speak = function (msg) {
            var that = this;

            msg = pretreateMsg(msg);

            if (that.isOpened == '1') {
                that.lists.push(msg);
                that.startSpeak();
            }
        };

        that.startSpeak = function () {
            var that = this;

            if (!hasCashe || state == 3 || state == 4) {
                if (that.lists.length) {
                    var msg = that.lists.shift();
                    try {
                        if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                            SCSSDK.bridge.callSdk('startSdkWork', {
                                action: 'nativeReadChatContent',
                                data: msg
                            });
                        }
                    } catch (e) {}
                }
            }
        };

        that.stopSpeak = function () {
            try {
                if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                    SCSSDK.bridge.callSdk('startSdkWork', {
                        action: 'nativeStopReadChatContent'
                    });
                }
            } catch (e) {}
        };

        that.createSpeaker();
        that.evt();
    }

    module.exports = {
        speak: function speak(msg) {
            if (voice) voice.speak(msg);
        },

        statusCallback: function statusCallback(code) {
            state = code;
            voice.startSpeak();
        },

        ready: function ready() {
            if (!voice) voice = new Voice();
        },

        stop: function stop() {
            if (voice) voice.stopSpeak();
        }
    };
})();

/***/ }),
/* 43 */,
/* 44 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function () {
    var Authentication = function Authentication() {
        this.init();
    };
    Authentication.prototype = {
        init: function init() {
            this.jsonpID = 1000;
            this.sid = this.getCookie("sid");
            this.pt_key = this.getCookie("pt_key");
            this.USER_FLAG_CHECK = this.getCookie("USER_FLAG_CHECK");
            this.sign = "";
        },
        getService: function getService() {
            var c = this;
            c.sid = c.sid ? c.sid : "";
            c.USER_FLAG_CHECK = c.USER_FLAG_CHECK ? c.USER_FLAG_CHECK : "";
            var d = null;
            /*            var b = {
                            url: "//mapi.m.jd.com/sso/siteList.action",
                            method: "post",
                            async: false,
                            timeout: 1000,
                            data: "_format_=json&sid=" + c.sid + "&USER_FLAG_CHECK=" + c.USER_FLAG_CHECK + "&pt_key=" + c.pt_key,
                            error: function() {},
                            success: function(g) {
                                d = JSON.parse(g);
                                if (d.sign) {
                                    c.sign = d.sign
                                }
                                if (d && d.auth && d.auth.length > 0) {
                                    var f = d.auth;
                                    for (var e = 0; e < f.length; e++) {
                                        if (f[e]) {
                                            c.ajaxJsonp({
                                                url: "//mapi.m.jd.com/sso/jump.action?url=" + f[e] + "&sign=" + c.sign,
                                                callback: function(h) {}
                                            })
                                        }
                                    }
                                }
                            }
                        };
                        c.ajax(b)*/
        },
        getCookie: function getCookie(c) {
            var b,
                d = new RegExp("(^| )" + c + "=([^;]*)(;|$)");
            b = document.cookie.match(d);
            if (b) {
                return unescape(b[2]);
            } else {
                return null;
            }
        },
        ajaxJsonp: function ajaxJsonp(c) {
            var e = this;
            var f = "MAuthentication" + ++e.jsonpID;
            var b = document.createElement("script");
            var d = function d() {
                e.removeElement(b);
                delete window[f];
            };
            var g = function g() {
                d();
            };
            window[f] = function (h) {
                c.callback.call(e, h);
                d();
            };
            b.onerror = function () {
                g();
            };
            b.onload = function () {
                g();
            };
            b.src = c.url + "&callbackName=" + f;
            document.getElementsByTagName("head")[0].appendChild(b);
        },
        removeElement: function removeElement(c) {
            var b = c.parentNode;
            if (b) {
                b.removeChild(c);
            }
        },
        ajax: function ajax(c) {
            var b;
            try {
                b = new ActiveXObject("Msxml2.XMLHTTP");
            } catch (f) {
                try {
                    b = new ActiveXObject("Microsoft.XMLHTTP");
                } catch (f) {
                    b = new XMLHttpRequest();
                }
            }
            b.ajaxRunError = true;
            try {
                b.withCredentials = true;
            } catch (f) {}
            try {
                b.open(c.method, c.url, c.async);
                if (c.timeout) {
                    var d = c.source ? c.source : null;
                    setTimeout(function () {
                        if (b.ajaxRunError) {
                            b.onreadystatechange = function () {};
                            b.abort();
                            c.error.call(d);
                        }
                    }, c.timeout);
                }
                b.onreadystatechange = function () {
                    var g = c.source ? c.source : null;
                    if (b.readyState == 4) {
                        if (b.status == 200) {
                            b.ajaxRunError = false;
                            var e = b.responseText;
                            c.success.call(g, e);
                        } else {
                            if (c.error) {
                                c.error.call(g);
                            }
                        }
                    }
                };
                if (c.method == "GET" || c.method == "get") {
                    b.send(null);
                } else {
                    if (c.method == "POST" || c.method == "post") {
                        b.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
                        b.send(c.data);
                    }
                }
            } catch (f) {}
        },
        // i 是一个回调函数
        addCart: function addCart(json) {
            var c, g, o, d, n, e, h, i, l, j;
            c = json.c || '';
            g = json.g || '';
            o = json.o || '';
            d = json.d || '';
            n = json.n || '';
            e = json.e || '';
            h = json.h || '';
            i = json.i || '';
            l = json.l || '';
            j = json.j || '';
            var b = this;
            var k = "&resourceType=" + d + "&resourceValue=" + n + "&sid=" + e + "&clientKey=" + h;
            if (o) {
                var m = "//mapi.m.jd.com/cart/add.json?wareId=" + c + "&num=" + g + "&suitSkuId=" + c + "&suitSkuNum=" + g + "&sType=8&ybId=" + o + k;
            } else {
                var m = "//mapi.m.jd.com/cart/add.json?wareId=" + c + "&num=" + g + k;
            }
            var f = {
                url: m + "&ran=" + Math.random(),
                method: "post",
                async: false,
                timeout: 1000,
                error: function error() {},
                success: function success(q) {
                    var p = l ? l : null;
                    if (i && Object.prototype.toString.apply(i) === "[object Function]") {
                        i.call(p, q);
                    }
                }
            };
            if (j && Object.prototype.toString.apply(j) === "[object Function]") {
                j.call();
            }
            b.ajax(f);
        },
        suitAddToCart: function suitAddToCart(c, g, d, n, e, h, i, l, j) {
            var b = this;
            var k = "&resourceType=" + d + "&resourceValue=" + n + "&sid=" + e + "&clientKey=" + h;
            var m = "//mapi.m.jd.com/cart/add.json?wareId=" + c + "&suitSkuNum=" + g + "&sType=4" + k;
            var f = {
                url: m + "&ran=" + Math.random(),
                method: "post",
                async: false,
                timeout: 1000,
                error: function error() {},
                success: function success(p) {
                    var o = l ? l : null;
                    if (i && Object.prototype.toString.apply(i) === "[object Function]") {
                        i.call(o, p);
                    }
                }
            };
            if (j && Object.prototype.toString.apply(j) === "[object Function]") {
                j.call();
            }
            b.ajax(f);
        }
    };
    var a = new Authentication();
    window.MAuthentication = {
        getService: function getService() {
            a.getService.apply(a, arguments);
        },
        addCart: function addCart() {
            a.addCart.apply(a, arguments);
        },
        suitAddToCart: function suitAddToCart() {
            a.suitAddToCart.apply(a, arguments);
        }
    };
    window.MAuthentication.getService();

    module.exports = MAuthentication;
})();

/***/ }),
/* 45 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function () {
    var $ = __webpack_require__(0);
    var iScroll = __webpack_require__(5);
    var settings = null;
    var defaults = {
        counts: 6, //要显示多少个月份
        cb: '', //回调函数
        joinCharacter: '-', //返回时间日期连接符号 eg: 2017-07-13
        showLastOrNextDayInCurrent: false, //是否在当前月显示 上月 或者 下月的日期
        iSingle: false,
        startDate: null,
        selectDate: null
    };
    var width = document.body.clientWidth * 0.137;
    var scroll = null;

    function Calendar(options) {
        var that = this;

        that.FINALDATE = [];
        settings = $.extend({}, defaults, options || {});
        this._init();
    }

    // 实例初始化
    Calendar.prototype._init = function () {
        var that = this;

        that.layoutInit();
        that.eventInit();
    };

    Calendar.prototype.render = function (options) {
        var that = this;

        that.FINALDATE = [];

        settings = $.extend({}, defaults, options || {});
        that.dataInit();
        that.showOrHide(true);
        if (scroll) {
            scroll.destroy();
        }
        setTimeout(function () {
            scroll = new iScroll('#_calendar');
        }, 10);
    };

    // 动态生成HTML结构 append到 ele 元素下
    Calendar.prototype.layoutInit = function () {
        var that = this;

        $('body').append('<div id="calendar3889" class="calendar_wrap"><div class="cal_modal"></div><div class="calendar_title"><div class="calendar_back"><i></i></div>选择日期</div><div id="_calendar" class="_calendar"><div></div></div></div>');
    };
    Calendar.prototype.dataInit = function () {
        var that = this;

        var htmlWrap = '';
        var DAYSINMONTH = [];
        var NOW = new Date();

        if (settings.startDate) {
            NOW = new Date(settings.startDate);
        }

        var selectMonth = '';
        var selectDay = '';

        if (settings.selectDate) {
            var OBJ = new Date(settings.selectDate);
            selectMonth = OBJ.getMonth();
            selectDay = OBJ.getDate();
        }
        var dataKey = 0;
        var startMonthIndex = NOW.getMonth() - new Date().getMonth();

        for (var i = 0; i < settings.counts; i++) {
            var nowDate = new Date();
            var headHtml = '';

            // 获取循环中的当前时间
            var currentDate = nowDate.setMonth(nowDate.getMonth() + i);
            currentDate = new Date(currentDate);
            var currentYear = currentDate.getFullYear();
            var currentMonth = currentDate.getMonth();

            // 设置循环中当前时间
            var setCurrentDate = new Date(currentYear, currentMonth, 1);
            var firstDate = setCurrentDate.getDay();

            headHtml = currentMonth + 1 >= 10 ? '<p>' + currentYear + '年&nbsp;' + (currentMonth + 1) + '月</p>' : '<p>' + currentYear + '年&nbsp;0' + (currentMonth + 1) + '月</p><div class="weekHead"><span class="weekDay" style="width:' + width + 'px">一</span><span class="weekDay" style="width:' + width + 'px">二</span><span class="weekDay" style="width:' + width + 'px">三</span><span class="weekDay" style="width:' + width + 'px">四</span><span class="weekDay" style="width:' + width + 'px">五</span><span class="weekDay" style="width:' + width + 'px">六</span><span class="weekDay" style="width:' + width + 'px">日</span></div>';

            // 获取平年闰年每个月天数
            DAYSINMONTH = Calendar.isLeapYear(currentYear) ? new Array(31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31) : new Array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);

            var currentMonthAllDays = DAYSINMONTH[currentMonth] + firstDate;
            var lastMonthAllDays = DAYSINMONTH[currentMonth - 1 >= 0 ? currentMonth - 1 : 0];
            var nextMouthAllDays = DAYSINMONTH[currentMonth + 1 >= 11 ? currentMonth + 1 : 0];
            var allDayHtml = '';
            var allMonthHtml = '';
            for (var j = 0, listDay = 1, showDay = 1; j < Math.ceil(currentMonthAllDays / 7); j++) {
                allDayHtml = '';
                for (var k = 1; k <= 7; k++) {
                    if (listDay < firstDate) {
                        var showorhide = 'li_day last_month_day ' + (settings.showLastOrNextDayInCurrent ? '' : 'nextorlasthide'); //设置上月时间是否显示
                        allDayHtml += '<li  style="height:' + width + 'px;width:' + width + 'px"  class="' + showorhide + '"><span style="height:' + width * 0.7 + 'px;line-height:' + width * 0.7 + 'px;z-index:2">' + (lastMonthAllDays - firstDate + listDay + 1) + '</span></li>';
                    } else if (listDay < currentMonthAllDays) {

                        if (i < startMonthIndex || i === startMonthIndex && showDay < NOW.getDate()) {
                            // 当月已经过去的时间
                            allDayHtml += '<li  style="height:' + width + 'px;width:' + width + 'px" class="li_day grey_day"><span style="height:' + width * 0.7 + 'px;line-height:' + width * 0.7 + 'px;z-index:2">' + showDay + '</span></li>';
                        } else {
                            // 当月剩下的时间
                            var cls = '';
                            cls = selectMonth && selectMonth == currentMonth && +selectDay == showDay ? 'cal_choosed' : '';
                            allDayHtml += '<li data-key=' + dataKey + ' style="height:' + width + 'px;width:' + width + 'px"  class="li_day show_day ' + cls + '"><span style="height:' + width * 0.7 + 'px;line-height:' + width * 0.7 + 'px;z-index:2">' + showDay + '</span></li>';
                            dataKey++;
                        }
                        showDay++; //当月天数自增
                    } else {}
                    listDay++;
                }
                allMonthHtml += '<ul>' + allDayHtml + '</ul>';
            }

            allMonthHtml = '<div>' + allMonthHtml + '</div>';

            htmlWrap += '<div style="padding:2px">' + headHtml + allMonthHtml + '</div>';
        }

        $('#_calendar').html('<div>' + htmlWrap + '</div>');
    };
    // 销毁当前实例
    Calendar.prototype.destroy = function () {
        var that = this;

        $('body').find(findSingleOrDouble).remove();
    };

    // 隐藏或者显示 当前实例 日历
    Calendar.prototype.showOrHide = function (flag) {
        var that = this;
        $('#calendar3889').css('display', flag ? 'inherit' : 'none');

        $('#_calendar').html();
    };

    //事件绑定
    Calendar.prototype.eventInit = function () {
        var that = this;

        var startData = [];
        var endData = [];
        var sendDate = [];

        // 返回按钮
        $('#calendar3889 .calendar_back').on('click', function (e) {
            that.showOrHide(false);
        });

        // 点击天 的时候
        $('body').on('click', '.show_day', function (e) {
            var item = $(this);

            startData = [];
            endData = [];
            sendDate = [];
            if (!settings.iSingle) {
                if (!$('.go_day').length && !$('.back_day').length) {
                    item.find('span').eq(0).css('color', '#fff');
                    item.append('<dl class="REM"><span class="go_day" >出发</span ><span class="cal_choose_one" style="left:-1px;"></span><span class="cal_back" style="top:' + (width * 0.3 / 2 - 1) + 'px;height:' + width * 0.7 + 'px"></span></dl>');
                } else if ($('.go_day').length && !$('.back_day').length) {
                    var goEle = $('.go_day');

                    item.find('span').eq(0).css('color', '#fff');
                    if (parseInt($('.go_day').parent().parent().attr('data-key')) > parseInt(item.attr('data-key'))) {
                        goEle.text('回家');
                        goEle.siblings('.cal_back').css({ opacity: 1, left: 0, background: 'rgba(78, 181, 232,0.1)' });
                        goEle.siblings('.cal_choose_one').css({ left: '1px' });

                        var goday = $(this).find('span').eq(0).text();
                        goday = +goday >= 10 ? goday : '0' + goday;
                        item.parents('div').eq(1).find('p').text().replace(/(\d+).+?(\d+)/, function (v, i, j) {
                            startData.push(i);
                            startData.push(j);
                        });
                        goday ? startData.push(goday) && sendDate.push(startData.join(settings.joinCharacter)) : '';

                        var backday = goEle.parent().siblings('span').text();
                        goEle.parents('div').eq(1).find('p').text().replace(/(\d+).+?(\d+)/, function (v, i, j) {
                            endData.push(i);
                            endData.push(j);
                        });
                        backday = +backday >= 10 ? backday : '0' + backday;
                        backday ? endData.push(backday) && sendDate.push(endData.join(settings.joinCharacter)) : '';

                        item.append('<dl class="REM"><span class="back_day" >出发</span><span class="cal_choose_one" style="left:-1px;"></span><span class="cal_back" style="opacity:1;top:' + (width * 0.3 / 2 - 1) + 'px;height:' + width * 0.7 + 'px"></span></dl>');
                    } else {
                        var ele = $('.go_day');
                        ele.siblings('.cal_back').css({ opacity: 1 });

                        var goday = ele.parent().siblings('span').text();

                        ele.parents('div').eq(1).find('p').text().replace(/(\d+).+?(\d+)/, function (v, i, j) {
                            startData.push(i);
                            startData.push(j);
                        });
                        goday = +goday >= 10 ? goday : '0' + goday;
                        goday ? startData.push(goday) && sendDate.push(startData.join(settings.joinCharacter)) : '';

                        var backday = $(this).find('span').eq(0).text();
                        $(this).parents('div').eq(1).find('p').text().replace(/(\d+).+?(\d+)/, function (v, i, j) {
                            endData.push(i);
                            endData.push(j);
                        });
                        backday = +backday >= 10 ? backday : '0' + backday;
                        backday ? endData.push(backday) && sendDate.push(endData.join(settings.joinCharacter)) : '';

                        item.append('<dl class="REM"><span class="back_day" >回家</span><span class="cal_choose_one" style="left:1px;"></span><span class="cal_back" style="left:0px;opacity:1;top:' + (width * 0.3 / 2 - 1) + 'px;height:' + width * 0.7 + 'px"></span></dl>');
                    }
                    that.showOrHide(false);
                    // console.log(sendDate);
                    that.FINALDATE = sendDate;
                    settings.cb && settings.cb(sendDate);
                    Calendar.drawColor(parseInt(ele.parent().parent().attr('data-key')), parseInt($(this).attr('data-key')));
                } else if ($('.go_day').length && $('.back_day').length) {
                    $('.go_day').closest('li').find('span').eq(0).css('color', '#333');
                    $('.back_day').closest('li').find('span').eq(0).css('color', '#333');
                    $(this).find('span').eq(0).css('color', '#fff');

                    $('.REM').remove();
                    Calendar.drawColor($('.show_day').length + 1, $('.show_day').length + 1);
                    item.append('<dl class="REM"><span class="go_day">出发</span><span class="cal_choose_one" style="left:-1px;"></span><span class="cal_back" style="top:' + (width * 0.3 / 2 - 1) + 'px;height:' + width * 0.7 + 'px"></span><dl>');
                }
            } else {
                if (!$('.go_day').length) {
                    item.find('span').eq(0).css('color', '#fff');
                    item.append('<dl class="REM"><span class="go_day" ></span ><span class="cal_choose_one" style="left:-1px;"></span><span class="cal_back" style="top:' + (width * 0.3 / 2 - 1) + 'px;height:' + width * 0.7 + 'px"></span></dl>');
                } else {
                    $('.go_day').closest('li').find('span').eq(0).css('color', '#333');
                    $('.REM').remove();
                    item.append('<dl class="REM"><span class="go_day" ></span ><span class="cal_choose_one" style="left:-1px;"></span><span class="cal_back" style="top:' + (width * 0.3 / 2 - 1) + 'px;height:' + width * 0.7 + 'px"></span></dl>');
                }

                var goday = item.find('span').eq(0).text();
                goday = +goday >= 10 ? goday : '0' + goday;
                item.parents('div').eq(1).find('p').text().replace(/(\d+).+?(\d+)/, function (v, i, j) {
                    startData.push(i);
                    startData.push(j);
                });
                goday ? startData.push(goday) && sendDate.push(startData.join(settings.joinCharacter)) : '';
                that.FINALDATE = sendDate;
                settings.cb && settings.cb(sendDate, settings.triggerEle);
                that.showOrHide(false);
            }
        });
    };

    //区间着色
    Calendar.drawColor = function (startKey, endKey, color) {

        var showDays = $('.show_day');
        var temp = 0;
        var startEle = $('.go_day').parent().attr('data-key');

        // 交换前后位置
        if (startKey > endKey) {
            temp = startKey;
            startKey = endKey;
            endKey = temp;
        }
        for (var i = 0; i < showDays.length; i++) {
            if (parseInt($(showDays[i]).attr('data-key')) > startKey && parseInt($(showDays[i]).attr('data-key')) < endKey) {
                $(showDays[i]).find('span').css({ background: 'rgba(78, 181, 232,0.1)' });
            } else {
                $(showDays[i]).find('span').css({ background: '' });
            }
        }
    };

    // 判断是否为平年闰年
    Calendar.isLeapYear = function (year) {
        return year % 4 == 0 && (year % 100 != 0 || year % 400 == 0);
    };

    var _instance = null;

    module.exports = {
        instance: function instance() {
            if (!_instance) {
                _instance = new Calendar();
            }
            return _instance;
        },
        render: function render(options) {
            Calendar.render(options);
        }
    };
})();

/***/ }),
/* 46 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * dropload
 * 西门(http://ons.me/526.html)
 * https://github.com/ximan/dropload
 * 0.9.1(161205)
 */

;(function () {
    'use strict';

    __webpack_require__(65);
    var $ = __webpack_require__(0);
    var win = window;
    var doc = document;
    var $win = $(win);
    var $doc = $(doc);
    /*    $.fn.dropload = function(options){
            return new MyDropLoad(this, options);
        };*/
    var MyDropLoad = function MyDropLoad(element, options) {
        var me = this;
        me.$element = element;
        // 上方是否插入DOM
        me.upInsertDOM = false;
        // loading状态
        me.loading = false;
        // 是否锁定
        me.isLockUp = false;
        me.isLockDown = false;
        // 是否有数据
        me.isData = true;
        me._scrollTop = 0;
        me._threshold = 0;
        me.init(options);
    };
    // 初始化
    MyDropLoad.prototype.init = function (options) {
        var me = this;
        me.opts = $.extend(true, {}, {
            scrollArea: me.$element, // 滑动区域
            domUp: { // 上方DOM
                domClass: 'dropload-up',
                domRefresh: '<div class="dropload-refresh">↓下拉刷新</div>',
                domUpdate: '<div class="dropload-update">↑释放更新</div>',
                domLoad: '<div class="dropload-load"><span class="loading"></span>加载中...</div>'
            },
            domDown: { // 下方DOM
                domClass: 'dropload-down',
                domRefresh: '<div class="dropload-refresh">↑上拉加载更多</div>',
                domLoad: '<div class="dropload-load"><span class="loading"></span>加载中...</div>',
                domNoData: '<div class="dropload-noData">暂无数据</div>'
            },
            autoLoad: true, // 自动加载
            distance: 50, // 拉动距离
            threshold: '', // 提前加载距离
            loadUpFn: '', // 上方function
            loadDownFn: '' // 下方function
        }, options);

        // 如果加载下方，事先在下方插入DOM
        if (me.opts.loadDownFn != '') {
            me.$element.append('<div class="' + me.opts.domDown.domClass + '">' + me.opts.domDown.domRefresh + '</div>');
            me.$domDown = $('.' + me.opts.domDown.domClass);
        }

        // 计算提前加载距离
        if (!!me.$domDown && me.opts.threshold === '') {
            // 默认滑到加载区2/3处时加载
            me._threshold = Math.floor(me.$domDown.height() * 1 / 3);
        } else {
            me._threshold = me.opts.threshold;
        }

        // 判断滚动区域
        if (me.opts.scrollArea == win) {
            me.$scrollArea = $win;
            setTimeout(function () {
                // 获取文档高度
                me._scrollContentHeight = $doc.height();
                // 获取win显示区高度  —— 这里有坑
                me._scrollWindowHeight = doc.documentElement.clientHeight;
            }, 200);
        } else {
            me.$scrollArea = me.opts.scrollArea;
            setTimeout(function () {
                me._scrollContentHeight = me.$element[0].scrollHeight;
                me._scrollWindowHeight = me.$element.height();
            }, 200);
        }
        fnAutoLoad(me);

        // 窗口调整
        $win.on('resize', function () {
            clearTimeout(me.timer);
            me.timer = setTimeout(function () {
                if (me.opts.scrollArea == win) {
                    // 重新获取win显示区高度
                    me._scrollWindowHeight = win.innerHeight;
                } else {
                    me._scrollWindowHeight = me.$element.height();
                }
                fnAutoLoad(me);
            }, 150);
        });

        // 绑定触摸
        me.$element.on('touchstart', function (e) {
            if (!me.loading) {
                fnTouches(e);
                fnTouchstart(e, me);
            }
        });
        me.$element.on('touchmove', function (e) {
            if (!me.loading) {
                fnTouches(e, me);
                fnTouchmove(e, me);
            } else if (!me.$domUp.length || me.$domUp && !me.$domUp.children().length) {
                me.$domUp.remove();
                me.loading = false;
                fnTouches(e, me);
                fnTouchmove(e, me);
            }
        });
        me.$element.on('touchend', function () {
            if (!me.loading) {
                fnTouchend(me);
            }
        });

        // 加载下方
        me.$scrollArea.on('scroll', function () {
            me._scrollTop = me.$scrollArea.scrollTop();

            // 滚动页面触发加载数据
            if (me.opts.loadDownFn != '' && !me.loading && !me.isLockDown && me._scrollContentHeight - me._threshold <= me._scrollWindowHeight + me._scrollTop) {
                loadDown(me);
            }
        });
    };

    // touches
    function fnTouches(e) {
        if (!e.touches) {
            e.touches = e.originalEvent.touches;
        }
    }

    // touchstart
    function fnTouchstart(e, me) {
        me._startY = e.touches[0].pageY;
        // 记住触摸时的scrolltop值
        me.touchScrollTop = me.$scrollArea.scrollTop();
    }

    // touchmove
    function fnTouchmove(e, me) {
        me._curY = e.touches[0].pageY;
        me._moveY = me._curY - me._startY;

        if (me._moveY > 0) {
            me.direction = 'down';
        } else if (me._moveY < 0) {
            me.direction = 'up';
        }

        var _absMoveY = Math.abs(me._moveY);

        // 加载上方
        if (me.opts.loadUpFn != '' && me.touchScrollTop <= 0 && me.direction == 'down' && !me.isLockUp) {
            e.preventDefault();

            me.$domUp = $('.' + me.opts.domUp.domClass);
            // 如果加载区没有DOM
            if (!me.upInsertDOM) {
                me.$element.prepend('<div class="' + me.opts.domUp.domClass + '"></div>');
                me.upInsertDOM = true;
            }

            fnTransition(me.$domUp, 0);

            // 下拉
            if (_absMoveY <= me.opts.distance) {
                me._offsetY = _absMoveY;
                // todo：move时会不断清空、增加dom，有可能影响性能，下同
                me.$domUp.html(me.opts.domUp.domRefresh);
                // 指定距离 < 下拉距离 < 指定距离*2
            } else if (_absMoveY > me.opts.distance && _absMoveY <= me.opts.distance * 2) {
                me._offsetY = me.opts.distance + (_absMoveY - me.opts.distance) * 0.5;
                me.$domUp.html(me.opts.domUp.domUpdate);
                // 下拉距离 > 指定距离*2
            } else {
                me._offsetY = me.opts.distance + me.opts.distance * 0.5 + (_absMoveY - me.opts.distance * 2) * 0.2;
            }

            me.$domUp.css({ 'height': me._offsetY });
        }
    }

    // touchend
    function fnTouchend(me) {
        var _absMoveY = Math.abs(me._moveY);
        if (me.opts.loadUpFn != '' && me.touchScrollTop <= 0 && me.direction == 'down' && !me.isLockUp) {
            fnTransition(me.$domUp, 300);

            if (_absMoveY > me.opts.distance) {
                me.$domUp.css({ 'height': me.$domUp.children().height() });
                me.$domUp.html(me.opts.domUp.domLoad);
                me.loading = true;
                me.opts.loadUpFn(me);
                me.$scrollArea.scrollTop(0);
            } else {
                me.$domUp.css({ 'height': '0' }).on('webkitTransitionEnd mozTransitionEnd transitionend', function () {
                    me.upInsertDOM = false;
                    $(this).remove();
                });
            }
            me._moveY = 0;
        }
    }

    // 如果文档高度不大于窗口高度，数据较少，自动加载下方数据
    function fnAutoLoad(me) {
        if (me.opts.loadDownFn != '' && me.opts.autoLoad) {
            if (me._scrollContentHeight - me._threshold <= me._scrollWindowHeight) {
                loadDown(me);
            }
        }
    }

    // 重新获取文档高度
    function fnRecoverContentHeight(me) {
        if (me.opts.scrollArea == win) {
            me._scrollContentHeight = $doc.height();
        } else {
            me._scrollContentHeight = me.$element[0].scrollHeight;
        }
    }

    // 加载下方
    function loadDown(me) {
        me.direction = 'up';
        me.$domDown.html(me.opts.domDown.domLoad);
        me.loading = true;
        me.opts.loadDownFn(me);
    }

    // 锁定
    MyDropLoad.prototype.lock = function (direction) {
        var me = this;
        // 如果不指定方向
        if (direction === undefined) {
            // 如果操作方向向上
            if (me.direction == 'up') {
                me.isLockDown = true;
                // 如果操作方向向下
            } else if (me.direction == 'down') {
                me.isLockUp = true;
            } else {
                me.isLockUp = true;
                me.isLockDown = true;
            }
            // 如果指定锁上方
        } else if (direction == 'up') {
            me.isLockUp = true;
            // 如果指定锁下方
        } else if (direction == 'down') {
            me.isLockDown = true;
            // 为了解决DEMO5中tab效果bug，因为滑动到下面，再滑上去点tab，direction=down，所以有bug
            me.direction = 'up';
        }
    };

    // 解锁
    MyDropLoad.prototype.unlock = function () {
        var me = this;
        // 简单粗暴解锁
        me.isLockUp = false;
        me.isLockDown = false;
        // 为了解决DEMO5中tab效果bug，因为滑动到下面，再滑上去点tab，direction=down，所以有bug
        me.direction = 'up';
    };

    // 无数据
    MyDropLoad.prototype.noData = function (flag) {
        var me = this;
        if (flag === undefined || flag == true) {
            me.isData = false;
        } else if (flag == false) {
            me.isData = true;
        }
    };

    // 重置
    MyDropLoad.prototype.resetload = function () {
        var me = this;
        if (me.direction == 'down' && me.upInsertDOM) {
            me.$domUp.css({ 'height': '0' }).on('webkitTransitionEnd mozTransitionEnd transitionend', function () {
                me.loading = false;
                me.upInsertDOM = false;
                $(this).remove();
                fnRecoverContentHeight(me);
            });
        } else if (me.direction == 'up') {
            me.loading = false;
            // 如果有数据
            if (me.isData) {
                // 加载区修改样式
                if (me.$domDown) {
                    me.$domDown.html(me.opts.domDown.domRefresh);
                }
                fnRecoverContentHeight(me);
                fnAutoLoad(me);
            } else {
                // 如果没数据
                if (me.$domDown) {
                    me.$domDown.html(me.opts.domDown.domNoData);
                }
            }
        }
    };

    // css过渡
    function fnTransition(dom, num) {
        dom.css({
            '-webkit-transition': 'all ' + num + 'ms',
            'transition': 'all ' + num + 'ms'
        });
    }
    MyDropLoad.getInstance = function (element, options) {
        return new MyDropLoad(element, options);
    };
    module.exports = MyDropLoad;
})();

/***/ }),
/* 47 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
var __WEBPACK_AMD_DEFINE_RESULT__;

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

!function (e, t) {
  "use strict";
   true ? !(__WEBPACK_AMD_DEFINE_RESULT__ = function () {
    return e.jsBridgeV3 = t(e);
  }.call(exports, __webpack_require__, exports, module),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__)) : "undefined" != typeof module && module.exports ? module.exports = t(e) : e.jsBridgeV3 = t(e);
}("undefined" != typeof window ? window : undefined, function (e) {
  function t() {
    this.tasks = [], this.state = "pending", this.data = null;
  }t.prototype = { constructor: t, resolve: function resolve(e) {
      this.state = "resolved", e && (this.data = e);var t = this.tasks;for (t.length; t.length > 0;) {
        t.shift().call(this.data, this.data);
      }
    }, then: function then(e) {
      return "function" == typeof e && (this.tasks.push(e), "resolved" === this.state && this.resolve()), this;
    } };var o = null,
      n = e.navigator.userAgent,
      i = /(iPhone|iPad|iPod)/i,
      a = /(jdapp)/i,
      s = null;return i.test(n) || (e.goToGetres = function (e) {
    o(e);
  }), a.test(n) && (e.goToJDAppGetres = function (e) {
    o(e);
  }), function () {
    function r() {
      var e = n.toLowerCase(),
          t = {},
          o = /jdjr-app/.test(e);return t.isOur = o, o && (t.isIos = /clienttype=ios/.test(e), t.isAnd = /jdjr-app-android/.test(e)), t;
    }function c(e) {
      return "string" == typeof e && (e = e.replace(/\"/g, "'")), e;
    }function l(e) {
      var t = "";if (e instanceof Array) {
        for (var o = 0, n = e.length; o < n; o++) {
          "object" == _typeof(e[o]) ? t += d(e[o]) + "," : t += '"' + e[o] + '",';
        }return t.substring(0, t.length - 1);
      }
    }function d(e) {
      var t = "{";for (key in e) {
        "object" == _typeof(e[key]) ? e[key] instanceof Array ? t += '"' + key + '":[' + l(e[key]) + "]," : t += '"' + key + '":' + d(e[key]) + "," : t += '"' + key + '":"' + c(e[key]) + '",';
      }return t = t.substring(0, t.length - 1), t += "}";
    }function p(t) {
      try {
        i.test(n) ? B && B(t) : "object" == (typeof t === "undefined" ? "undefined" : _typeof(t)) ? e.jd.closeAndWebView(d(t)) : e.jd.closeWebView(t);
      } catch (e) {
        console.log("error");
      }
    }function f(t) {
      try {
        var o = {},
            a = function a(e) {
          var t = {},
              o = { appId: E.appId, img: E.img, link: E.link, desc: E.desc, title: E.title, friendesc: E.friendesc };"object" != (typeof e === "undefined" ? "undefined" : _typeof(e)) && (e = o);for (k in o) {
            "img" == k || "link" == k ? t[k] = e[k].length <= 0 ? o[k] : /http:|https:/i.test(e[k]) ? e[k] : window.location.protocol + e[k] : t[k] = e[k] || o[k];
          }return t;
        };switch (t.optionType) {case 1:
            o.isShow = t.isShow, o.optionType = 1, o.btnText = t.btnText || E.btnTextS, o.shareDate = a(t.shareDate), !!t.shareDataNew && (o.shareDataNew = t.shareDataNew), t.shareDate.type && (o.shareDate.type = t.shareDate.type);break;case 2:
            o.isShow = t.isShow, o.optionType = 2, o.btnText = t.btnText || E.btnTextJ, o.jumpLiDate = t.jumpLiDate;break;case 3:
            o.isShow = t.isShow, o.optionType = 3, o.btnText = t.btnText || E.btnTextN, o.jumpNaDate = t.jumpNaDate;break;case 4:
            o.isShow = t.isShow, o.optionType = 4, o.btnText = t.btnText || E.btnTextN, o.showData = t.showData;break;default:
            o.isShow = t.isShow, o.optionType = 1, o.btnText = t.btnText, o.shareDate = a(t.shareDate), !!t.shareDataNew && (o.shareDataNew = t.shareDataNew), t.shareDate.type && (o.shareDate.type = t.shareDate.type);}i.test(n) ? C && C(o) : e.jd.sendWeiXinCot(d(o));
      } catch (e) {
        console.log("error");
      }
    }function u() {
      try {
        i.test(n) ? H && H() : e.jd.goToComment();
      } catch (e) {
        console.log("error");
      }
    }function y(t) {
      try {
        i.test(n) ? I && I(t) : e.jd.getResponse(d(t));
      } catch (e) {
        console.log("error");
      }
    }function b(t) {
      try {
        a.test(n.toLowerCase()) ? i.test(n) ? window.location.href = "native://pay?type=" + t.type + "&appId=" + t.appId + "&payParam=" + t.payParam + "&bizParam=" + t.bizParam + "&callback=goToJDAppGetres" : e.JDPaySdk && e.JDPaySdk.pay(t.type, t.appId, t.payParam, t.bizParam, "goToJDAppGetres") : i.test(n) ? iosJDPaySDK && iosJDPaySDK(t) : e.jd.JDPaySDK(d(t));
      } catch (e) {
        console.log("error");
      }
    }function h(t) {
      try {
        if (i.test(n)) iosWebExtend && iosWebExtend(t);else {
          var o = {};o.productId = t.productId, o.forward = t, o.isclose = t.isclose, o.isShowTitle = t.isShowTitle, "object" == (typeof o === "undefined" ? "undefined" : _typeof(o)) ? e.jd.closeWebViewExtend(d(o)) : e.jd.closeWebViewExtend(o);
        }
      } catch (e) {
        console.log("error");
      }
    }function w(t) {
      try {
        i.test(n) ? iosWebViewNaviBar && iosWebViewNaviBar(t) : "object" == (typeof t === "undefined" ? "undefined" : _typeof(t)) ? e.jd.WebViewNaviBar(d(t)) : e.jd.WebViewNaviBar(t);
      } catch (e) {
        console.log("error");
      }
    }function j(t) {
      try {
        i.test(n) ? iosJDJRWebStat && iosJDJRWebStat(t) : "object" == (typeof t === "undefined" ? "undefined" : _typeof(t)) ? e.jd.JDJRWebStat(d(t)) : e.jd.JDJRWebStat(t);
      } catch (e) {
        console.log("error+" + e);
      }
    }function g(t) {
      try {
        i.test(n) ? A && A(t) : e.jd.sendRecord(d(t));
      } catch (e) {
        console.log("error");
      }
    }function D(e) {
      "" != e && "object" == (typeof e === "undefined" ? "undefined" : _typeof(e)) && p(e);
    }function T() {
      p();
    }function v(e) {
      "" != e && "object" == (typeof e === "undefined" ? "undefined" : _typeof(e)) && f(e);
    }function W() {
      u();
    }function m() {
      return r();
    }function J(e, t) {
      o = e, "" !== t && "object" == (typeof t === "undefined" ? "undefined" : _typeof(t)) && y(t);
    }function S(e) {
      "" != e && "object" == (typeof e === "undefined" ? "undefined" : _typeof(e)) && g(e);
    }function x(e) {
      "" != e && "object" == (typeof e === "undefined" ? "undefined" : _typeof(e)) && h(e);
    }function N(e) {
      "" != e && "object" == (typeof e === "undefined" ? "undefined" : _typeof(e)) && w(e);
    }function V(e, t) {
      o = e, "" !== t && "object" == (typeof t === "undefined" ? "undefined" : _typeof(t)) && b(t);
    }function P(s) {
      var r = new t(),
          c = this,
          l = function l(e) {
        B = function B(t) {
          e.callHandler("closeWebView", t, function (e) {});
        }, iosWebExtend = function iosWebExtend(t) {
          e.callHandler("closeWebViewExtend", t, function (e) {});
        }, iosWebViewNaviBar = function iosWebViewNaviBar(t) {
          e.callHandler("WebViewNaviBar", t, function (e) {});
        }, C = function C(t) {
          e.callHandler("sendWeiXinCot", t, function (e) {});
        }, H = function H(t) {
          e.callHandler("goToComment", t, function (e) {});
        }, I = function I(t) {
          e.callHandler("getResponse", t, function (e) {});
        }, iosJDPaySDK = function iosJDPaySDK(t) {
          e.callHandler("JDPaySDK", t, function (e) {});
        }, A = function A(t) {
          e.callHandler("sendRecord", t, function (e) {});
        }, iosJDJRWebStat = function iosJDJRWebStat(t) {
          e.callHandler("JDJRWebStat", t, function (e) {});
        }, i.test(n) && e.init(function (e, t) {
          o(e);
        }), s && "function" == typeof s && s.call(c, c), r.resolve(c);
      };return e.WebViewJavascriptBridge ? l(WebViewJavascriptBridge) : e.document.attachEvent ? l(WebViewJavascriptBridge) : a.test(n.toLowerCase()) ? (s && "function" == typeof s && s.call(c, c), r.resolve(c)) : (e.document.addEventListener("WebViewJavascriptBridgeReady", function () {
        l(WebViewJavascriptBridge);
      }, !1), i.test(n) || (s && "function" == typeof s && s.call(c, c), r.resolve(c))), r;
    }function R(e) {
      return window.isBridgeOnReady && null !== s || (window.isBridgeOnReady = !0, s = P.call(this, e)), s;
    }var B = null,
        C = null,
        H = null,
        I = null,
        A = null,
        E = { appId: "", img: window.location.protocol + "//m.jr.jd.com/statics/logo.jpg", link: window.location.protocol + "//m.jr.jd.com/", desc: "最具全面的理财软件", title: "欢迎使用京东金融app", friendesc: "欢迎使用京东金融app", btnTextS: "分享", btnTextJ: "跳转", btnTextN: "金融" };return { onReady: R, jsToNative: D, jsToNaClose: T, jsToNaWeiXin: v, jsToComment: W, jsToNaMsg: m, jsToGetResp: J, jdPay: V, jsSendRecord: S, jsOpenWeb: x, setNaviBar: N, setJRWebStat: j };
  }();
});

/***/ }),
/* 48 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
* @Author: cdhuangjing12
* @Date:   2017-08-17 
*/

(function () {
    __webpack_require__(68);
    var defaults = {
        tabSelector: '.container',
        idSelector: '',
        contentHtml: '',
        iScroll: false,
        title: '',
        // 显示弹层时的回调函数
        openCallback: null,
        // 关闭弹层时的回调函数
        closeCallback: null
    };
    var config = null;
    var $ = __webpack_require__(0);
    // 设置动画效果
    function setAnim(dom, cls, callback) {
        dom.addClass(cls).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function () {
            var clsArr = cls.split(' ');
            for (var i = clsArr.length - 1; i >= 0; i--) {
                if (clsArr[i]) {
                    $(this).removeClass(clsArr[i]);
                }
            };
            callback && callback();
        });
    };

    function PopFull(options) {
        var that = this;
        config = $.extend(defaults, options || {});

        that.openList = [];
        that.closeList = [];
        if ($(config.tabSelector).length == 0) {
            config.tabSelector = '.main';
        }
    }

    PopFull.prototype.create = function () {
        var that = this;
        if ($('#popFull').length > 0) {
            $('#popFull').remove();
        }
        var popHtml = '<div class="pop-full" id="popFull">' + '<div class="pop-full-box" id="' + config.idSelector + '">' + '<div class="pop-full-header">' + '<div class="pop-full-close"><a href="javascript:;"></a></div>';
        if (config.title) {
            popHtml += '<div class="pop-full-title">' + config.title + '</div>';
        }
        popHtml += '</div><div class="pop-full-body" id="popFullBody">' + config.contentHtml + '</div></div></div>';
        $('body').append(popHtml);
        that.popfull = $('#popFull');
    };

    PopFull.prototype.setAttr = function () {
        var that = this;
        var winH = $(window).height();
        var winW = $(window).width();
        var $tab = $(config.tabSelector);
        $tab.css({
            "width": winW + "px"
        });
        that.popfull.css({
            "height": winH + "px",
            "width": winW + "px",
            "margin-left": winW + "px",
            "z-index": 2
        });
        that.popfull.find(".pop-full-body").css({
            "height": winH - 80 + "px"
        });
    };

    PopFull.prototype.animateFn = function (flag) {
        var that = this;
        var winH = $(window).height();
        var winW = $(window).width();
        var $tab = $(config.tabSelector);
        var mleft = winW + 'px';

        var time = 300;
        $tab.css({
            "position": 'absolute',
            "left": 0,
            "z-index": -1
        });
        // 进入场景展示
        if (flag) {
            $('body').addClass('overflow-hidden');
            that.popfull.css({ "display": "block" });
            that.popfull.animate({
                "margin-left": 0
            }, time);
            $tab.animate({
                "left": "-" + mleft
            }, time);
            setTimeout(function () {
                $('body').removeClass('overflow-hidden');
            }, time);
        } else {
            // 退出场景移除元素
            that.popfull.remove();
            that.popfull.animate({
                "margin-left": mleft
            }, time, '', function () {
                that.popfull.remove();
            });
            $tab.animate({
                "left": 0
            }, time, '', function () {
                $(this).removeAttr('style');
            });
            $('body').addClass('overflow-hidden');
            setTimeout(function () {
                $('body').removeClass('overflow-hidden');
            }, time);
        }
    };
    PopFull.prototype.open = function (options) {
        var that = this;
        config = $.extend(config, options || {});
        that.create();
        that.setAttr();
        setTimeout(function () {
            that.animateFn(true);
        }, 100);

        if (config.iScroll) {
            new iScroll('popFullBody', {
                hScrollbar: false
            });
        }

        that.popfull.find('.pop-full-close').click(function () {
            that.hide();
        });

        if (this.openList.length) {
            for (var i = 0, len = this.openList.length; i < len; i++) {
                this.openList[i].call(that);
            }
        }
        if (typeof config.openCallback == 'function') {
            config.openCallback.call(that);
        };
        $(window).resize(function () {
            that.setAttr();
        });
    };

    PopFull.prototype.hide = function () {
        var that = this;
        that.animateFn(false);
        if (this.closeList.length) {
            for (var i = 0, len = this.closeList.length; i < len; i++) {
                this.closeList[i].call(that);
            }
        }
        if (typeof config.closeCallback == 'function') {
            config.closeCallback.call(that);
        }
    };

    PopFull.prototype.addMethod = function (action, method) {
        if (typeof method !== 'function') {
            return;
        }
        if (action == 'open') {
            this.openList.push(method);
        } else if (action == 'close') {
            this.closeList.push(method);
        }
    };

    var instance = null;
    PopFull.getInstance = function (options) {
        if (!instance) {
            instance = new PopFull(options);
        }
        return instance;
    };
    module.exports = PopFull;
})();

/***/ }),
/* 49 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(module) {var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

window.eve = undefined;
!function t(e, r) {
  "object" == ( false ? "undefined" : _typeof(exports)) && "object" == ( false ? "undefined" : _typeof(module)) ? module.exports = r() :  true ? !(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_FACTORY__ = (r),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__)) : "object" == (typeof exports === "undefined" ? "undefined" : _typeof(exports)) ? exports.Raphael = r() : e.Raphael = r();
}(undefined, function () {
  return function (t) {
    function e(i) {
      if (r[i]) return r[i].exports;var n = r[i] = { exports: {}, id: i, loaded: !1 };return t[i].call(n.exports, n, n.exports, e), n.loaded = !0, n.exports;
    }var r = {};return e.m = t, e.c = r, e.p = "", e(0);
  }([function (t, e, r) {
    var i, n;i = [r(1), r(3), r(4)], n = function (t) {
      return t;
    }.apply(e, i), !(void 0 !== n && (t.exports = n));
  }, function (t, e, r) {
    var i, n;i = [r(2)], n = function (t) {
      function e(r) {
        if (e.is(r, "function")) return w ? r() : t.on("raphael.DOMload", r);if (e.is(r, Q)) return e._engine.create[z](e, r.splice(0, 3 + e.is(r[0], $))).add(r);var i = Array.prototype.slice.call(arguments, 0);if (e.is(i[i.length - 1], "function")) {
          var n = i.pop();return w ? n.call(e._engine.create[z](e, i)) : t.on("raphael.DOMload", function () {
            n.call(e._engine.create[z](e, i));
          });
        }return e._engine.create[z](e, arguments);
      }function r(t) {
        if ("function" == typeof t || Object(t) !== t) return t;var e = new t.constructor();for (var i in t) {
          t[A](i) && (e[i] = r(t[i]));
        }return e;
      }function i(t, e) {
        for (var r = 0, i = t.length; r < i; r++) {
          if (t[r] === e) return t.push(t.splice(r, 1)[0]);
        }
      }function n(t, e, r) {
        function n() {
          var a = Array.prototype.slice.call(arguments, 0),
              s = a.join("␀"),
              o = n.cache = n.cache || {},
              l = n.count = n.count || [];return o[A](s) ? (i(l, s), r ? r(o[s]) : o[s]) : (l.length >= 1e3 && delete o[l.shift()], l.push(s), o[s] = t[z](e, a), r ? r(o[s]) : o[s]);
        }return n;
      }function a() {
        return this.hex;
      }function s(t, e) {
        for (var r = [], i = 0, n = t.length; n - 2 * !e > i; i += 2) {
          var a = [{ x: +t[i - 2], y: +t[i - 1] }, { x: +t[i], y: +t[i + 1] }, { x: +t[i + 2], y: +t[i + 3] }, { x: +t[i + 4], y: +t[i + 5] }];e ? i ? n - 4 == i ? a[3] = { x: +t[0], y: +t[1] } : n - 2 == i && (a[2] = { x: +t[0], y: +t[1] }, a[3] = { x: +t[2], y: +t[3] }) : a[0] = { x: +t[n - 2], y: +t[n - 1] } : n - 4 == i ? a[3] = a[2] : i || (a[0] = { x: +t[i], y: +t[i + 1] }), r.push(["C", (-a[0].x + 6 * a[1].x + a[2].x) / 6, (-a[0].y + 6 * a[1].y + a[2].y) / 6, (a[1].x + 6 * a[2].x - a[3].x) / 6, (a[1].y + 6 * a[2].y - a[3].y) / 6, a[2].x, a[2].y]);
        }return r;
      }function o(t, e, r, i, n) {
        var a = -3 * e + 9 * r - 9 * i + 3 * n,
            s = t * a + 6 * e - 12 * r + 6 * i;return t * s - 3 * e + 3 * r;
      }function l(t, e, r, i, n, a, s, l, h) {
        null == h && (h = 1), h = h > 1 ? 1 : h < 0 ? 0 : h;for (var u = h / 2, c = 12, f = [-.1252, .1252, -.3678, .3678, -.5873, .5873, -.7699, .7699, -.9041, .9041, -.9816, .9816], p = [.2491, .2491, .2335, .2335, .2032, .2032, .1601, .1601, .1069, .1069, .0472, .0472], d = 0, g = 0; g < c; g++) {
          var v = u * f[g] + u,
              x = o(v, t, r, n, s),
              y = o(v, e, i, a, l),
              m = x * x + y * y;d += p[g] * Y.sqrt(m);
        }return u * d;
      }function h(t, e, r, i, n, a, s, o, h) {
        if (!(h < 0 || l(t, e, r, i, n, a, s, o) < h)) {
          var u = 1,
              c = u / 2,
              f = u - c,
              p,
              d = .01;for (p = l(t, e, r, i, n, a, s, o, f); H(p - h) > d;) {
            c /= 2, f += (p < h ? 1 : -1) * c, p = l(t, e, r, i, n, a, s, o, f);
          }return f;
        }
      }function u(t, e, r, i, n, a, s, o) {
        if (!(W(t, r) < G(n, s) || G(t, r) > W(n, s) || W(e, i) < G(a, o) || G(e, i) > W(a, o))) {
          var l = (t * i - e * r) * (n - s) - (t - r) * (n * o - a * s),
              h = (t * i - e * r) * (a - o) - (e - i) * (n * o - a * s),
              u = (t - r) * (a - o) - (e - i) * (n - s);if (u) {
            var c = l / u,
                f = h / u,
                p = +c.toFixed(2),
                d = +f.toFixed(2);if (!(p < +G(t, r).toFixed(2) || p > +W(t, r).toFixed(2) || p < +G(n, s).toFixed(2) || p > +W(n, s).toFixed(2) || d < +G(e, i).toFixed(2) || d > +W(e, i).toFixed(2) || d < +G(a, o).toFixed(2) || d > +W(a, o).toFixed(2))) return { x: c, y: f };
          }
        }
      }function c(t, e) {
        return p(t, e);
      }function f(t, e) {
        return p(t, e, 1);
      }function p(t, r, i) {
        var n = e.bezierBBox(t),
            a = e.bezierBBox(r);if (!e.isBBoxIntersect(n, a)) return i ? 0 : [];for (var s = l.apply(0, t), o = l.apply(0, r), h = W(~~(s / 5), 1), c = W(~~(o / 5), 1), f = [], p = [], d = {}, g = i ? 0 : [], v = 0; v < h + 1; v++) {
          var x = e.findDotsAtSegment.apply(e, t.concat(v / h));f.push({ x: x.x, y: x.y, t: v / h });
        }for (v = 0; v < c + 1; v++) {
          x = e.findDotsAtSegment.apply(e, r.concat(v / c)), p.push({ x: x.x, y: x.y, t: v / c });
        }for (v = 0; v < h; v++) {
          for (var y = 0; y < c; y++) {
            var m = f[v],
                b = f[v + 1],
                _ = p[y],
                w = p[y + 1],
                k = H(b.x - m.x) < .001 ? "y" : "x",
                B = H(w.x - _.x) < .001 ? "y" : "x",
                C = u(m.x, m.y, b.x, b.y, _.x, _.y, w.x, w.y);if (C) {
              if (d[C.x.toFixed(4)] == C.y.toFixed(4)) continue;d[C.x.toFixed(4)] = C.y.toFixed(4);var S = m.t + H((C[k] - m[k]) / (b[k] - m[k])) * (b.t - m.t),
                  A = _.t + H((C[B] - _[B]) / (w[B] - _[B])) * (w.t - _.t);S >= 0 && S <= 1.001 && A >= 0 && A <= 1.001 && (i ? g++ : g.push({ x: C.x, y: C.y, t1: G(S, 1), t2: G(A, 1) }));
            }
          }
        }return g;
      }function d(t, r, i) {
        t = e._path2curve(t), r = e._path2curve(r);for (var n, a, s, o, l, h, u, c, f, d, g = i ? 0 : [], v = 0, x = t.length; v < x; v++) {
          var y = t[v];if ("M" == y[0]) n = l = y[1], a = h = y[2];else {
            "C" == y[0] ? (f = [n, a].concat(y.slice(1)), n = f[6], a = f[7]) : (f = [n, a, n, a, l, h, l, h], n = l, a = h);for (var m = 0, b = r.length; m < b; m++) {
              var _ = r[m];if ("M" == _[0]) s = u = _[1], o = c = _[2];else {
                "C" == _[0] ? (d = [s, o].concat(_.slice(1)), s = d[6], o = d[7]) : (d = [s, o, s, o, u, c, u, c], s = u, o = c);var w = p(f, d, i);if (i) g += w;else {
                  for (var k = 0, B = w.length; k < B; k++) {
                    w[k].segment1 = v, w[k].segment2 = m, w[k].bez1 = f, w[k].bez2 = d;
                  }g = g.concat(w);
                }
              }
            }
          }
        }return g;
      }function g(t, e, r, i, n, a) {
        null != t ? (this.a = +t, this.b = +e, this.c = +r, this.d = +i, this.e = +n, this.f = +a) : (this.a = 1, this.b = 0, this.c = 0, this.d = 1, this.e = 0, this.f = 0);
      }function v() {
        return this.x + j + this.y;
      }function x() {
        return this.x + j + this.y + j + this.width + " × " + this.height;
      }function y(t, e, r, i, n, a) {
        function s(t) {
          return ((c * t + u) * t + h) * t;
        }function o(t, e) {
          var r = l(t, e);return ((d * r + p) * r + f) * r;
        }function l(t, e) {
          var r, i, n, a, o, l;for (n = t, l = 0; l < 8; l++) {
            if (a = s(n) - t, H(a) < e) return n;if (o = (3 * c * n + 2 * u) * n + h, H(o) < 1e-6) break;n -= a / o;
          }if (r = 0, i = 1, n = t, n < r) return r;if (n > i) return i;for (; r < i;) {
            if (a = s(n), H(a - t) < e) return n;t > a ? r = n : i = n, n = (i - r) / 2 + r;
          }return n;
        }var h = 3 * e,
            u = 3 * (i - e) - h,
            c = 1 - h - u,
            f = 3 * r,
            p = 3 * (n - r) - f,
            d = 1 - f - p;return o(t, 1 / (200 * a));
      }function m(t, e) {
        var r = [],
            i = {};if (this.ms = e, this.times = 1, t) {
          for (var n in t) {
            t[A](n) && (i[ht(n)] = t[n], r.push(ht(n)));
          }r.sort(Bt);
        }this.anim = i, this.top = r[r.length - 1], this.percents = r;
      }function b(r, i, n, a, s, o) {
        n = ht(n);var l,
            h,
            u,
            c = [],
            f,
            p,
            d,
            v = r.ms,
            x = {},
            m = {},
            b = {};if (a) for (w = 0, B = Ee.length; w < B; w++) {
          var _ = Ee[w];if (_.el.id == i.id && _.anim == r) {
            _.percent != n ? (Ee.splice(w, 1), u = 1) : h = _, i.attr(_.totalOrigin);break;
          }
        } else a = +m;for (var w = 0, B = r.percents.length; w < B; w++) {
          if (r.percents[w] == n || r.percents[w] > a * r.top) {
            n = r.percents[w], p = r.percents[w - 1] || 0, v = v / r.top * (n - p), f = r.percents[w + 1], l = r.anim[n];break;
          }a && i.attr(r.anim[r.percents[w]]);
        }if (l) {
          if (h) h.initstatus = a, h.start = new Date() - h.ms * a;else {
            for (var C in l) {
              if (l[A](C) && (pt[A](C) || i.paper.customAttributes[A](C))) switch (x[C] = i.attr(C), null == x[C] && (x[C] = ft[C]), m[C] = l[C], pt[C]) {case $:
                  b[C] = (m[C] - x[C]) / v;break;case "colour":
                  x[C] = e.getRGB(x[C]);var S = e.getRGB(m[C]);b[C] = { r: (S.r - x[C].r) / v, g: (S.g - x[C].g) / v, b: (S.b - x[C].b) / v };break;case "path":
                  var T = Qt(x[C], m[C]),
                      E = T[1];for (x[C] = T[0], b[C] = [], w = 0, B = x[C].length; w < B; w++) {
                    b[C][w] = [0];for (var M = 1, N = x[C][w].length; M < N; M++) {
                      b[C][w][M] = (E[w][M] - x[C][w][M]) / v;
                    }
                  }break;case "transform":
                  var L = i._,
                      z = le(L[C], m[C]);if (z) for (x[C] = z.from, m[C] = z.to, b[C] = [], b[C].real = !0, w = 0, B = x[C].length; w < B; w++) {
                    for (b[C][w] = [x[C][w][0]], M = 1, N = x[C][w].length; M < N; M++) {
                      b[C][w][M] = (m[C][w][M] - x[C][w][M]) / v;
                    }
                  } else {
                    var F = i.matrix || new g(),
                        R = { _: { transform: L.transform }, getBBox: function getBBox() {
                        return i.getBBox(1);
                      } };x[C] = [F.a, F.b, F.c, F.d, F.e, F.f], se(R, m[C]), m[C] = R._.transform, b[C] = [(R.matrix.a - F.a) / v, (R.matrix.b - F.b) / v, (R.matrix.c - F.c) / v, (R.matrix.d - F.d) / v, (R.matrix.e - F.e) / v, (R.matrix.f - F.f) / v];
                  }break;case "csv":
                  var j = I(l[C])[q](k),
                      D = I(x[C])[q](k);if ("clip-rect" == C) for (x[C] = D, b[C] = [], w = D.length; w--;) {
                    b[C][w] = (j[w] - x[C][w]) / v;
                  }m[C] = j;break;default:
                  for (j = [][P](l[C]), D = [][P](x[C]), b[C] = [], w = i.paper.customAttributes[C].length; w--;) {
                    b[C][w] = ((j[w] || 0) - (D[w] || 0)) / v;
                  }}
            }var V = l.easing,
                O = e.easing_formulas[V];if (!O) if (O = I(V).match(st), O && 5 == O.length) {
              var Y = O;O = function O(t) {
                return y(t, +Y[1], +Y[2], +Y[3], +Y[4], v);
              };
            } else O = St;if (d = l.start || r.start || +new Date(), _ = { anim: r, percent: n, timestamp: d, start: d + (r.del || 0), status: 0, initstatus: a || 0, stop: !1, ms: v, easing: O, from: x, diff: b, to: m, el: i, callback: l.callback, prev: p, next: f, repeat: o || r.times, origin: i.attr(), totalOrigin: s }, Ee.push(_), a && !h && !u && (_.stop = !0, _.start = new Date() - v * a, 1 == Ee.length)) return Ne();u && (_.start = new Date() - _.ms * a), 1 == Ee.length && Me(Ne);
          }t("raphael.anim.start." + i.id, i, r);
        }
      }function _(t) {
        for (var e = 0; e < Ee.length; e++) {
          Ee[e].el.paper == t && Ee.splice(e--, 1);
        }
      }e.version = "2.2.0", e.eve = t;var w,
          k = /[, ]+/,
          B = { circle: 1, rect: 1, path: 1, ellipse: 1, text: 1, image: 1 },
          C = /\{(\d+)\}/g,
          S = "prototype",
          A = "hasOwnProperty",
          T = { doc: document, win: window },
          E = { was: Object.prototype[A].call(T.win, "Raphael"), is: T.win.Raphael },
          M = function M() {
        this.ca = this.customAttributes = {};
      },
          N,
          L = "appendChild",
          z = "apply",
          P = "concat",
          F = "ontouchstart" in T.win || T.win.DocumentTouch && T.doc instanceof DocumentTouch,
          R = "",
          j = " ",
          I = String,
          q = "split",
          D = "click dblclick mousedown mousemove mouseout mouseover mouseup touchstart touchmove touchend touchcancel"[q](j),
          V = { mousedown: "touchstart", mousemove: "touchmove", mouseup: "touchend" },
          O = I.prototype.toLowerCase,
          Y = Math,
          W = Y.max,
          G = Y.min,
          H = Y.abs,
          X = Y.pow,
          U = Y.PI,
          $ = "number",
          Z = "string",
          Q = "array",
          J = "toString",
          K = "fill",
          tt = Object.prototype.toString,
          et = {},
          rt = "push",
          it = e._ISURL = /^url\(['"]?(.+?)['"]?\)$/i,
          nt = /^\s*((#[a-f\d]{6})|(#[a-f\d]{3})|rgba?\(\s*([\d\.]+%?\s*,\s*[\d\.]+%?\s*,\s*[\d\.]+%?(?:\s*,\s*[\d\.]+%?)?)\s*\)|hsba?\(\s*([\d\.]+(?:deg|\xb0|%)?\s*,\s*[\d\.]+%?\s*,\s*[\d\.]+(?:%?\s*,\s*[\d\.]+)?)%?\s*\)|hsla?\(\s*([\d\.]+(?:deg|\xb0|%)?\s*,\s*[\d\.]+%?\s*,\s*[\d\.]+(?:%?\s*,\s*[\d\.]+)?)%?\s*\))\s*$/i,
          at = { NaN: 1, Infinity: 1, "-Infinity": 1 },
          st = /^(?:cubic-)?bezier\(([^,]+),([^,]+),([^,]+),([^\)]+)\)/,
          ot = Y.round,
          lt = "setAttribute",
          ht = parseFloat,
          ut = parseInt,
          ct = I.prototype.toUpperCase,
          ft = e._availableAttrs = { "arrow-end": "none", "arrow-start": "none", blur: 0, "clip-rect": "0 0 1e9 1e9", cursor: "default", cx: 0, cy: 0, fill: "#fff", "fill-opacity": 1, font: '10px "Arial"', "font-family": '"Arial"', "font-size": "10", "font-style": "normal", "font-weight": 400, gradient: 0, height: 0, href: "http://raphaeljs.com/", "letter-spacing": 0, opacity: 1, path: "M0,0", r: 0, rx: 0, ry: 0, src: "", stroke: "#000", "stroke-dasharray": "", "stroke-linecap": "butt", "stroke-linejoin": "butt", "stroke-miterlimit": 0, "stroke-opacity": 1, "stroke-width": 1, target: "_blank", "text-anchor": "middle", title: "Raphael", transform: "", width: 0, x: 0, y: 0, "class": "" },
          pt = e._availableAnimAttrs = { blur: $, "clip-rect": "csv", cx: $, cy: $, fill: "colour", "fill-opacity": $, "font-size": $, height: $, opacity: $, path: "path", r: $, rx: $, ry: $, stroke: "colour", "stroke-opacity": $, "stroke-width": $, transform: "transform", width: $, x: $, y: $ },
          dt = /[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]/g,
          gt = /[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]*,[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]*/,
          vt = { hs: 1, rg: 1 },
          xt = /,?([achlmqrstvxz]),?/gi,
          yt = /([achlmrqstvz])[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029,]*((-?\d*\.?\d*(?:e[\-+]?\d+)?[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]*,?[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]*)+)/gi,
          mt = /([rstm])[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029,]*((-?\d*\.?\d*(?:e[\-+]?\d+)?[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]*,?[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]*)+)/gi,
          bt = /(-?\d*\.?\d*(?:e[\-+]?\d+)?)[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]*,?[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]*/gi,
          _t = e._radial_gradient = /^r(?:\(([^,]+?)[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]*,[\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029]*([^\)]+?)\))?/,
          wt = {},
          kt = function kt(t, e) {
        return t.key - e.key;
      },
          Bt = function Bt(t, e) {
        return ht(t) - ht(e);
      },
          Ct = function Ct() {},
          St = function St(t) {
        return t;
      },
          At = e._rectPath = function (t, e, r, i, n) {
        return n ? [["M", t + n, e], ["l", r - 2 * n, 0], ["a", n, n, 0, 0, 1, n, n], ["l", 0, i - 2 * n], ["a", n, n, 0, 0, 1, -n, n], ["l", 2 * n - r, 0], ["a", n, n, 0, 0, 1, -n, -n], ["l", 0, 2 * n - i], ["a", n, n, 0, 0, 1, n, -n], ["z"]] : [["M", t, e], ["l", r, 0], ["l", 0, i], ["l", -r, 0], ["z"]];
      },
          Tt = function Tt(t, e, r, i) {
        return null == i && (i = r), [["M", t, e], ["m", 0, -i], ["a", r, i, 0, 1, 1, 0, 2 * i], ["a", r, i, 0, 1, 1, 0, -2 * i], ["z"]];
      },
          Et = e._getPath = { path: function path(t) {
          return t.attr("path");
        }, circle: function circle(t) {
          var e = t.attrs;return Tt(e.cx, e.cy, e.r);
        }, ellipse: function ellipse(t) {
          var e = t.attrs;return Tt(e.cx, e.cy, e.rx, e.ry);
        }, rect: function rect(t) {
          var e = t.attrs;return At(e.x, e.y, e.width, e.height, e.r);
        }, image: function image(t) {
          var e = t.attrs;return At(e.x, e.y, e.width, e.height);
        }, text: function text(t) {
          var e = t._getBBox();return At(e.x, e.y, e.width, e.height);
        }, set: function set(t) {
          var e = t._getBBox();return At(e.x, e.y, e.width, e.height);
        } },
          Mt = e.mapPath = function (t, e) {
        if (!e) return t;var r, i, n, a, s, o, l;for (t = Qt(t), n = 0, s = t.length; n < s; n++) {
          for (l = t[n], a = 1, o = l.length; a < o; a += 2) {
            r = e.x(l[a], l[a + 1]), i = e.y(l[a], l[a + 1]), l[a] = r, l[a + 1] = i;
          }
        }return t;
      };if (e._g = T, e.type = T.win.SVGAngle || T.doc.implementation.hasFeature("http://www.w3.org/TR/SVG11/feature#BasicStructure", "1.1") ? "SVG" : "VML", "VML" == e.type) {
        var Nt = T.doc.createElement("div"),
            Lt;if (Nt.innerHTML = '<v:shape adj="1"/>', Lt = Nt.firstChild, Lt.style.behavior = "url(#default#VML)", !Lt || "object" != _typeof(Lt.adj)) return e.type = R;Nt = null;
      }e.svg = !(e.vml = "VML" == e.type), e._Paper = M, e.fn = N = M.prototype = e.prototype, e._id = 0, e.is = function (t, e) {
        return e = O.call(e), "finite" == e ? !at[A](+t) : "array" == e ? t instanceof Array : "null" == e && null === t || e == (typeof t === "undefined" ? "undefined" : _typeof(t)) && null !== t || "object" == e && t === Object(t) || "array" == e && Array.isArray && Array.isArray(t) || tt.call(t).slice(8, -1).toLowerCase() == e;
      }, e.angle = function (t, r, i, n, a, s) {
        if (null == a) {
          var o = t - i,
              l = r - n;return o || l ? (180 + 180 * Y.atan2(-l, -o) / U + 360) % 360 : 0;
        }return e.angle(t, r, a, s) - e.angle(i, n, a, s);
      }, e.rad = function (t) {
        return t % 360 * U / 180;
      }, e.deg = function (t) {
        return Math.round(180 * t / U % 360 * 1e3) / 1e3;
      }, e.snapTo = function (t, r, i) {
        if (i = e.is(i, "finite") ? i : 10, e.is(t, Q)) {
          for (var n = t.length; n--;) {
            if (H(t[n] - r) <= i) return t[n];
          }
        } else {
          t = +t;var a = r % t;if (a < i) return r - a;if (a > t - i) return r - a + t;
        }return r;
      };var zt = e.createUUID = function (t, e) {
        return function () {
          return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(t, e).toUpperCase();
        };
      }(/[xy]/g, function (t) {
        var e = 16 * Y.random() | 0,
            r = "x" == t ? e : 3 & e | 8;return r.toString(16);
      });e.setWindow = function (r) {
        t("raphael.setWindow", e, T.win, r), T.win = r, T.doc = T.win.document, e._engine.initWin && e._engine.initWin(T.win);
      };var _Pt = function Pt(t) {
        if (e.vml) {
          var r = /^\s+|\s+$/g,
              i;try {
            var a = new ActiveXObject("htmlfile");a.write("<body>"), a.close(), i = a.body;
          } catch (s) {
            i = createPopup().document.body;
          }var o = i.createTextRange();_Pt = n(function (t) {
            try {
              i.style.color = I(t).replace(r, R);var e = o.queryCommandValue("ForeColor");return e = (255 & e) << 16 | 65280 & e | (16711680 & e) >>> 16, "#" + ("000000" + e.toString(16)).slice(-6);
            } catch (n) {
              return "none";
            }
          });
        } else {
          var l = T.doc.createElement("i");l.title = "Raphaël Colour Picker", l.style.display = "none", T.doc.body.appendChild(l), _Pt = n(function (t) {
            return l.style.color = t, T.doc.defaultView.getComputedStyle(l, R).getPropertyValue("color");
          });
        }return _Pt(t);
      },
          Ft = function Ft() {
        return "hsb(" + [this.h, this.s, this.b] + ")";
      },
          Rt = function Rt() {
        return "hsl(" + [this.h, this.s, this.l] + ")";
      },
          jt = function jt() {
        return this.hex;
      },
          It = function It(t, r, i) {
        if (null == r && e.is(t, "object") && "r" in t && "g" in t && "b" in t && (i = t.b, r = t.g, t = t.r), null == r && e.is(t, Z)) {
          var n = e.getRGB(t);t = n.r, r = n.g, i = n.b;
        }return (t > 1 || r > 1 || i > 1) && (t /= 255, r /= 255, i /= 255), [t, r, i];
      },
          qt = function qt(t, r, i, n) {
        t *= 255, r *= 255, i *= 255;var a = { r: t, g: r, b: i, hex: e.rgb(t, r, i), toString: jt };return e.is(n, "finite") && (a.opacity = n), a;
      };e.color = function (t) {
        var r;return e.is(t, "object") && "h" in t && "s" in t && "b" in t ? (r = e.hsb2rgb(t), t.r = r.r, t.g = r.g, t.b = r.b, t.hex = r.hex) : e.is(t, "object") && "h" in t && "s" in t && "l" in t ? (r = e.hsl2rgb(t), t.r = r.r, t.g = r.g, t.b = r.b, t.hex = r.hex) : (e.is(t, "string") && (t = e.getRGB(t)), e.is(t, "object") && "r" in t && "g" in t && "b" in t ? (r = e.rgb2hsl(t), t.h = r.h, t.s = r.s, t.l = r.l, r = e.rgb2hsb(t), t.v = r.b) : (t = { hex: "none" }, t.r = t.g = t.b = t.h = t.s = t.v = t.l = -1)), t.toString = jt, t;
      }, e.hsb2rgb = function (t, e, r, i) {
        this.is(t, "object") && "h" in t && "s" in t && "b" in t && (r = t.b, e = t.s, i = t.o, t = t.h), t *= 360;var n, a, s, o, l;return t = t % 360 / 60, l = r * e, o = l * (1 - H(t % 2 - 1)), n = a = s = r - l, t = ~~t, n += [l, o, 0, 0, o, l][t], a += [o, l, l, o, 0, 0][t], s += [0, 0, o, l, l, o][t], qt(n, a, s, i);
      }, e.hsl2rgb = function (t, e, r, i) {
        this.is(t, "object") && "h" in t && "s" in t && "l" in t && (r = t.l, e = t.s, t = t.h), (t > 1 || e > 1 || r > 1) && (t /= 360, e /= 100, r /= 100), t *= 360;var n, a, s, o, l;return t = t % 360 / 60, l = 2 * e * (r < .5 ? r : 1 - r), o = l * (1 - H(t % 2 - 1)), n = a = s = r - l / 2, t = ~~t, n += [l, o, 0, 0, o, l][t], a += [o, l, l, o, 0, 0][t], s += [0, 0, o, l, l, o][t], qt(n, a, s, i);
      }, e.rgb2hsb = function (t, e, r) {
        r = It(t, e, r), t = r[0], e = r[1], r = r[2];var i, n, a, s;return a = W(t, e, r), s = a - G(t, e, r), i = 0 == s ? null : a == t ? (e - r) / s : a == e ? (r - t) / s + 2 : (t - e) / s + 4, i = (i + 360) % 6 * 60 / 360, n = 0 == s ? 0 : s / a, { h: i, s: n, b: a, toString: Ft };
      }, e.rgb2hsl = function (t, e, r) {
        r = It(t, e, r), t = r[0], e = r[1], r = r[2];var i, n, a, s, o, l;return s = W(t, e, r), o = G(t, e, r), l = s - o, i = 0 == l ? null : s == t ? (e - r) / l : s == e ? (r - t) / l + 2 : (t - e) / l + 4, i = (i + 360) % 6 * 60 / 360, a = (s + o) / 2, n = 0 == l ? 0 : a < .5 ? l / (2 * a) : l / (2 - 2 * a), { h: i, s: n, l: a, toString: Rt };
      }, e._path2string = function () {
        return this.join(",").replace(xt, "$1");
      };var Dt = e._preload = function (t, e) {
        var r = T.doc.createElement("img");r.style.cssText = "position:absolute;left:-9999em;top:-9999em", r.onload = function () {
          e.call(this), this.onload = null, T.doc.body.removeChild(this);
        }, r.onerror = function () {
          T.doc.body.removeChild(this);
        }, T.doc.body.appendChild(r), r.src = t;
      };e.getRGB = n(function (t) {
        if (!t || (t = I(t)).indexOf("-") + 1) return { r: -1, g: -1, b: -1, hex: "none", error: 1, toString: a };if ("none" == t) return { r: -1, g: -1, b: -1, hex: "none", toString: a };!(vt[A](t.toLowerCase().substring(0, 2)) || "#" == t.charAt()) && (t = _Pt(t));var r,
            i,
            n,
            s,
            o,
            l,
            h,
            u = t.match(nt);return u ? (u[2] && (s = ut(u[2].substring(5), 16), n = ut(u[2].substring(3, 5), 16), i = ut(u[2].substring(1, 3), 16)), u[3] && (s = ut((l = u[3].charAt(3)) + l, 16), n = ut((l = u[3].charAt(2)) + l, 16), i = ut((l = u[3].charAt(1)) + l, 16)), u[4] && (h = u[4][q](gt), i = ht(h[0]), "%" == h[0].slice(-1) && (i *= 2.55), n = ht(h[1]), "%" == h[1].slice(-1) && (n *= 2.55), s = ht(h[2]), "%" == h[2].slice(-1) && (s *= 2.55), "rgba" == u[1].toLowerCase().slice(0, 4) && (o = ht(h[3])), h[3] && "%" == h[3].slice(-1) && (o /= 100)), u[5] ? (h = u[5][q](gt), i = ht(h[0]), "%" == h[0].slice(-1) && (i *= 2.55), n = ht(h[1]), "%" == h[1].slice(-1) && (n *= 2.55), s = ht(h[2]), "%" == h[2].slice(-1) && (s *= 2.55), ("deg" == h[0].slice(-3) || "°" == h[0].slice(-1)) && (i /= 360), "hsba" == u[1].toLowerCase().slice(0, 4) && (o = ht(h[3])), h[3] && "%" == h[3].slice(-1) && (o /= 100), e.hsb2rgb(i, n, s, o)) : u[6] ? (h = u[6][q](gt), i = ht(h[0]), "%" == h[0].slice(-1) && (i *= 2.55), n = ht(h[1]), "%" == h[1].slice(-1) && (n *= 2.55), s = ht(h[2]), "%" == h[2].slice(-1) && (s *= 2.55), ("deg" == h[0].slice(-3) || "°" == h[0].slice(-1)) && (i /= 360), "hsla" == u[1].toLowerCase().slice(0, 4) && (o = ht(h[3])), h[3] && "%" == h[3].slice(-1) && (o /= 100), e.hsl2rgb(i, n, s, o)) : (u = { r: i, g: n, b: s, toString: a }, u.hex = "#" + (16777216 | s | n << 8 | i << 16).toString(16).slice(1), e.is(o, "finite") && (u.opacity = o), u)) : { r: -1, g: -1, b: -1, hex: "none", error: 1, toString: a };
      }, e), e.hsb = n(function (t, r, i) {
        return e.hsb2rgb(t, r, i).hex;
      }), e.hsl = n(function (t, r, i) {
        return e.hsl2rgb(t, r, i).hex;
      }), e.rgb = n(function (t, e, r) {
        function i(t) {
          return t + .5 | 0;
        }return "#" + (16777216 | i(r) | i(e) << 8 | i(t) << 16).toString(16).slice(1);
      }), e.getColor = function (t) {
        var e = this.getColor.start = this.getColor.start || { h: 0, s: 1, b: t || .75 },
            r = this.hsb2rgb(e.h, e.s, e.b);return e.h += .075, e.h > 1 && (e.h = 0, e.s -= .2, e.s <= 0 && (this.getColor.start = { h: 0, s: 1, b: e.b })), r.hex;
      }, e.getColor.reset = function () {
        delete this.start;
      }, e.parsePathString = function (t) {
        if (!t) return null;var r = Vt(t);if (r.arr) return Yt(r.arr);var i = { a: 7, c: 6, h: 1, l: 2, m: 2, r: 4, q: 4, s: 4, t: 2, v: 1, z: 0 },
            n = [];return e.is(t, Q) && e.is(t[0], Q) && (n = Yt(t)), n.length || I(t).replace(yt, function (t, e, r) {
          var a = [],
              s = e.toLowerCase();if (r.replace(bt, function (t, e) {
            e && a.push(+e);
          }), "m" == s && a.length > 2 && (n.push([e][P](a.splice(0, 2))), s = "l", e = "m" == e ? "l" : "L"), "r" == s) n.push([e][P](a));else for (; a.length >= i[s] && (n.push([e][P](a.splice(0, i[s]))), i[s]);) {}
        }), n.toString = e._path2string, r.arr = Yt(n), n;
      }, e.parseTransformString = n(function (t) {
        if (!t) return null;var r = { r: 3, s: 4, t: 2, m: 6 },
            i = [];return e.is(t, Q) && e.is(t[0], Q) && (i = Yt(t)), i.length || I(t).replace(mt, function (t, e, r) {
          var n = [],
              a = O.call(e);r.replace(bt, function (t, e) {
            e && n.push(+e);
          }), i.push([e][P](n));
        }), i.toString = e._path2string, i;
      });var Vt = function Vt(t) {
        var e = Vt.ps = Vt.ps || {};return e[t] ? e[t].sleep = 100 : e[t] = { sleep: 100 }, setTimeout(function () {
          for (var r in e) {
            e[A](r) && r != t && (e[r].sleep--, !e[r].sleep && delete e[r]);
          }
        }), e[t];
      };e.findDotsAtSegment = function (t, e, r, i, n, a, s, o, l) {
        var h = 1 - l,
            u = X(h, 3),
            c = X(h, 2),
            f = l * l,
            p = f * l,
            d = u * t + 3 * c * l * r + 3 * h * l * l * n + p * s,
            g = u * e + 3 * c * l * i + 3 * h * l * l * a + p * o,
            v = t + 2 * l * (r - t) + f * (n - 2 * r + t),
            x = e + 2 * l * (i - e) + f * (a - 2 * i + e),
            y = r + 2 * l * (n - r) + f * (s - 2 * n + r),
            m = i + 2 * l * (a - i) + f * (o - 2 * a + i),
            b = h * t + l * r,
            _ = h * e + l * i,
            w = h * n + l * s,
            k = h * a + l * o,
            B = 90 - 180 * Y.atan2(v - y, x - m) / U;return (v > y || x < m) && (B += 180), { x: d, y: g, m: { x: v, y: x }, n: { x: y, y: m }, start: { x: b, y: _ }, end: { x: w, y: k }, alpha: B };
      }, e.bezierBBox = function (t, r, i, n, a, s, o, l) {
        e.is(t, "array") || (t = [t, r, i, n, a, s, o, l]);var h = Zt.apply(null, t);return { x: h.min.x, y: h.min.y, x2: h.max.x, y2: h.max.y, width: h.max.x - h.min.x, height: h.max.y - h.min.y };
      }, e.isPointInsideBBox = function (t, e, r) {
        return e >= t.x && e <= t.x2 && r >= t.y && r <= t.y2;
      }, e.isBBoxIntersect = function (t, r) {
        var i = e.isPointInsideBBox;return i(r, t.x, t.y) || i(r, t.x2, t.y) || i(r, t.x, t.y2) || i(r, t.x2, t.y2) || i(t, r.x, r.y) || i(t, r.x2, r.y) || i(t, r.x, r.y2) || i(t, r.x2, r.y2) || (t.x < r.x2 && t.x > r.x || r.x < t.x2 && r.x > t.x) && (t.y < r.y2 && t.y > r.y || r.y < t.y2 && r.y > t.y);
      }, e.pathIntersection = function (t, e) {
        return d(t, e);
      }, e.pathIntersectionNumber = function (t, e) {
        return d(t, e, 1);
      }, e.isPointInsidePath = function (t, r, i) {
        var n = e.pathBBox(t);return e.isPointInsideBBox(n, r, i) && d(t, [["M", r, i], ["H", n.x2 + 10]], 1) % 2 == 1;
      }, e._removedFactory = function (e) {
        return function () {
          t("raphael.log", null, "Raphaël: you are calling to method “" + e + "” of removed object", e);
        };
      };var Ot = e.pathBBox = function (t) {
        var e = Vt(t);if (e.bbox) return r(e.bbox);if (!t) return { x: 0, y: 0, width: 0, height: 0, x2: 0, y2: 0 };t = Qt(t);for (var i = 0, n = 0, a = [], s = [], o, l = 0, h = t.length; l < h; l++) {
          if (o = t[l], "M" == o[0]) i = o[1], n = o[2], a.push(i), s.push(n);else {
            var u = Zt(i, n, o[1], o[2], o[3], o[4], o[5], o[6]);a = a[P](u.min.x, u.max.x), s = s[P](u.min.y, u.max.y), i = o[5], n = o[6];
          }
        }var c = G[z](0, a),
            f = G[z](0, s),
            p = W[z](0, a),
            d = W[z](0, s),
            g = p - c,
            v = d - f,
            x = { x: c, y: f, x2: p, y2: d, width: g, height: v, cx: c + g / 2, cy: f + v / 2 };return e.bbox = r(x), x;
      },
          Yt = function Yt(t) {
        var i = r(t);return i.toString = e._path2string, i;
      },
          Wt = e._pathToRelative = function (t) {
        var r = Vt(t);if (r.rel) return Yt(r.rel);e.is(t, Q) && e.is(t && t[0], Q) || (t = e.parsePathString(t));var i = [],
            n = 0,
            a = 0,
            s = 0,
            o = 0,
            l = 0;"M" == t[0][0] && (n = t[0][1], a = t[0][2], s = n, o = a, l++, i.push(["M", n, a]));for (var h = l, u = t.length; h < u; h++) {
          var c = i[h] = [],
              f = t[h];if (f[0] != O.call(f[0])) switch (c[0] = O.call(f[0]), c[0]) {case "a":
              c[1] = f[1], c[2] = f[2], c[3] = f[3], c[4] = f[4], c[5] = f[5], c[6] = +(f[6] - n).toFixed(3), c[7] = +(f[7] - a).toFixed(3);break;case "v":
              c[1] = +(f[1] - a).toFixed(3);break;case "m":
              s = f[1], o = f[2];default:
              for (var p = 1, d = f.length; p < d; p++) {
                c[p] = +(f[p] - (p % 2 ? n : a)).toFixed(3);
              }} else {
            c = i[h] = [], "m" == f[0] && (s = f[1] + n, o = f[2] + a);for (var g = 0, v = f.length; g < v; g++) {
              i[h][g] = f[g];
            }
          }var x = i[h].length;switch (i[h][0]) {case "z":
              n = s, a = o;break;case "h":
              n += +i[h][x - 1];break;case "v":
              a += +i[h][x - 1];break;default:
              n += +i[h][x - 2], a += +i[h][x - 1];}
        }return i.toString = e._path2string, r.rel = Yt(i), i;
      },
          Gt = e._pathToAbsolute = function (t) {
        var r = Vt(t);if (r.abs) return Yt(r.abs);if (e.is(t, Q) && e.is(t && t[0], Q) || (t = e.parsePathString(t)), !t || !t.length) return [["M", 0, 0]];var i = [],
            n = 0,
            a = 0,
            o = 0,
            l = 0,
            h = 0;"M" == t[0][0] && (n = +t[0][1], a = +t[0][2], o = n, l = a, h++, i[0] = ["M", n, a]);for (var u = 3 == t.length && "M" == t[0][0] && "R" == t[1][0].toUpperCase() && "Z" == t[2][0].toUpperCase(), c, f, p = h, d = t.length; p < d; p++) {
          if (i.push(c = []), f = t[p], f[0] != ct.call(f[0])) switch (c[0] = ct.call(f[0]), c[0]) {case "A":
              c[1] = f[1], c[2] = f[2], c[3] = f[3], c[4] = f[4], c[5] = f[5], c[6] = +(f[6] + n), c[7] = +(f[7] + a);break;case "V":
              c[1] = +f[1] + a;break;case "H":
              c[1] = +f[1] + n;break;case "R":
              for (var g = [n, a][P](f.slice(1)), v = 2, x = g.length; v < x; v++) {
                g[v] = +g[v] + n, g[++v] = +g[v] + a;
              }i.pop(), i = i[P](s(g, u));break;case "M":
              o = +f[1] + n, l = +f[2] + a;default:
              for (v = 1, x = f.length; v < x; v++) {
                c[v] = +f[v] + (v % 2 ? n : a);
              }} else if ("R" == f[0]) g = [n, a][P](f.slice(1)), i.pop(), i = i[P](s(g, u)), c = ["R"][P](f.slice(-2));else for (var y = 0, m = f.length; y < m; y++) {
            c[y] = f[y];
          }switch (c[0]) {case "Z":
              n = o, a = l;break;case "H":
              n = c[1];break;case "V":
              a = c[1];break;case "M":
              o = c[c.length - 2], l = c[c.length - 1];default:
              n = c[c.length - 2], a = c[c.length - 1];}
        }return i.toString = e._path2string, r.abs = Yt(i), i;
      },
          Ht = function Ht(t, e, r, i) {
        return [t, e, r, i, r, i];
      },
          Xt = function Xt(t, e, r, i, n, a) {
        var s = 1 / 3,
            o = 2 / 3;return [s * t + o * r, s * e + o * i, s * n + o * r, s * a + o * i, n, a];
      },
          Ut = function Ut(t, e, r, i, a, s, o, l, h, u) {
        var c = 120 * U / 180,
            f = U / 180 * (+a || 0),
            p = [],
            d,
            g = n(function (t, e, r) {
          var i = t * Y.cos(r) - e * Y.sin(r),
              n = t * Y.sin(r) + e * Y.cos(r);return { x: i, y: n };
        });if (u) S = u[0], A = u[1], B = u[2], C = u[3];else {
          d = g(t, e, -f), t = d.x, e = d.y, d = g(l, h, -f), l = d.x, h = d.y;var v = Y.cos(U / 180 * a),
              x = Y.sin(U / 180 * a),
              y = (t - l) / 2,
              m = (e - h) / 2,
              b = y * y / (r * r) + m * m / (i * i);b > 1 && (b = Y.sqrt(b), r = b * r, i = b * i);var _ = r * r,
              w = i * i,
              k = (s == o ? -1 : 1) * Y.sqrt(H((_ * w - _ * m * m - w * y * y) / (_ * m * m + w * y * y))),
              B = k * r * m / i + (t + l) / 2,
              C = k * -i * y / r + (e + h) / 2,
              S = Y.asin(((e - C) / i).toFixed(9)),
              A = Y.asin(((h - C) / i).toFixed(9));S = t < B ? U - S : S, A = l < B ? U - A : A, S < 0 && (S = 2 * U + S), A < 0 && (A = 2 * U + A), o && S > A && (S -= 2 * U), !o && A > S && (A -= 2 * U);
        }var T = A - S;if (H(T) > c) {
          var E = A,
              M = l,
              N = h;A = S + c * (o && A > S ? 1 : -1), l = B + r * Y.cos(A), h = C + i * Y.sin(A), p = Ut(l, h, r, i, a, 0, o, M, N, [A, E, B, C]);
        }T = A - S;var L = Y.cos(S),
            z = Y.sin(S),
            F = Y.cos(A),
            R = Y.sin(A),
            j = Y.tan(T / 4),
            I = 4 / 3 * r * j,
            D = 4 / 3 * i * j,
            V = [t, e],
            O = [t + I * z, e - D * L],
            W = [l + I * R, h - D * F],
            G = [l, h];if (O[0] = 2 * V[0] - O[0], O[1] = 2 * V[1] - O[1], u) return [O, W, G][P](p);p = [O, W, G][P](p).join()[q](",");for (var X = [], $ = 0, Z = p.length; $ < Z; $++) {
          X[$] = $ % 2 ? g(p[$ - 1], p[$], f).y : g(p[$], p[$ + 1], f).x;
        }return X;
      },
          $t = function $t(t, e, r, i, n, a, s, o, l) {
        var h = 1 - l;return { x: X(h, 3) * t + 3 * X(h, 2) * l * r + 3 * h * l * l * n + X(l, 3) * s, y: X(h, 3) * e + 3 * X(h, 2) * l * i + 3 * h * l * l * a + X(l, 3) * o };
      },
          Zt = n(function (t, e, r, i, n, a, s, o) {
        var l = n - 2 * r + t - (s - 2 * n + r),
            h = 2 * (r - t) - 2 * (n - r),
            u = t - r,
            c = (-h + Y.sqrt(h * h - 4 * l * u)) / 2 / l,
            f = (-h - Y.sqrt(h * h - 4 * l * u)) / 2 / l,
            p = [e, o],
            d = [t, s],
            g;return H(c) > "1e12" && (c = .5), H(f) > "1e12" && (f = .5), c > 0 && c < 1 && (g = $t(t, e, r, i, n, a, s, o, c), d.push(g.x), p.push(g.y)), f > 0 && f < 1 && (g = $t(t, e, r, i, n, a, s, o, f), d.push(g.x), p.push(g.y)), l = a - 2 * i + e - (o - 2 * a + i), h = 2 * (i - e) - 2 * (a - i), u = e - i, c = (-h + Y.sqrt(h * h - 4 * l * u)) / 2 / l, f = (-h - Y.sqrt(h * h - 4 * l * u)) / 2 / l, H(c) > "1e12" && (c = .5), H(f) > "1e12" && (f = .5), c > 0 && c < 1 && (g = $t(t, e, r, i, n, a, s, o, c), d.push(g.x), p.push(g.y)), f > 0 && f < 1 && (g = $t(t, e, r, i, n, a, s, o, f), d.push(g.x), p.push(g.y)), { min: { x: G[z](0, d), y: G[z](0, p) }, max: { x: W[z](0, d), y: W[z](0, p) } };
      }),
          Qt = e._path2curve = n(function (t, e) {
        var r = !e && Vt(t);if (!e && r.curve) return Yt(r.curve);for (var i = Gt(t), n = e && Gt(e), a = { x: 0, y: 0, bx: 0, by: 0, X: 0, Y: 0, qx: null, qy: null }, s = { x: 0, y: 0, bx: 0, by: 0, X: 0, Y: 0, qx: null, qy: null }, o = function o(t, e, r) {
          var i,
              n,
              a = { T: 1, Q: 1 };if (!t) return ["C", e.x, e.y, e.x, e.y, e.x, e.y];switch (!(t[0] in a) && (e.qx = e.qy = null), t[0]) {case "M":
              e.X = t[1], e.Y = t[2];break;case "A":
              t = ["C"][P](Ut[z](0, [e.x, e.y][P](t.slice(1))));break;case "S":
              "C" == r || "S" == r ? (i = 2 * e.x - e.bx, n = 2 * e.y - e.by) : (i = e.x, n = e.y), t = ["C", i, n][P](t.slice(1));break;case "T":
              "Q" == r || "T" == r ? (e.qx = 2 * e.x - e.qx, e.qy = 2 * e.y - e.qy) : (e.qx = e.x, e.qy = e.y), t = ["C"][P](Xt(e.x, e.y, e.qx, e.qy, t[1], t[2]));break;case "Q":
              e.qx = t[1], e.qy = t[2], t = ["C"][P](Xt(e.x, e.y, t[1], t[2], t[3], t[4]));break;case "L":
              t = ["C"][P](Ht(e.x, e.y, t[1], t[2]));break;case "H":
              t = ["C"][P](Ht(e.x, e.y, t[1], e.y));break;case "V":
              t = ["C"][P](Ht(e.x, e.y, e.x, t[1]));break;case "Z":
              t = ["C"][P](Ht(e.x, e.y, e.X, e.Y));}return t;
        }, l = function l(t, e) {
          if (t[e].length > 7) {
            t[e].shift();for (var r = t[e]; r.length;) {
              u[e] = "A", n && (c[e] = "A"), t.splice(e++, 0, ["C"][P](r.splice(0, 6)));
            }t.splice(e, 1), g = W(i.length, n && n.length || 0);
          }
        }, h = function h(t, e, r, a, s) {
          t && e && "M" == t[s][0] && "M" != e[s][0] && (e.splice(s, 0, ["M", a.x, a.y]), r.bx = 0, r.by = 0, r.x = t[s][1], r.y = t[s][2], g = W(i.length, n && n.length || 0));
        }, u = [], c = [], f = "", p = "", d = 0, g = W(i.length, n && n.length || 0); d < g; d++) {
          i[d] && (f = i[d][0]), "C" != f && (u[d] = f, d && (p = u[d - 1])), i[d] = o(i[d], a, p), "A" != u[d] && "C" == f && (u[d] = "C"), l(i, d), n && (n[d] && (f = n[d][0]), "C" != f && (c[d] = f, d && (p = c[d - 1])), n[d] = o(n[d], s, p), "A" != c[d] && "C" == f && (c[d] = "C"), l(n, d)), h(i, n, a, s, d), h(n, i, s, a, d);var v = i[d],
              x = n && n[d],
              y = v.length,
              m = n && x.length;a.x = v[y - 2], a.y = v[y - 1], a.bx = ht(v[y - 4]) || a.x, a.by = ht(v[y - 3]) || a.y, s.bx = n && (ht(x[m - 4]) || s.x), s.by = n && (ht(x[m - 3]) || s.y), s.x = n && x[m - 2], s.y = n && x[m - 1];
        }return n || (r.curve = Yt(i)), n ? [i, n] : i;
      }, null, Yt),
          Jt = e._parseDots = n(function (t) {
        for (var r = [], i = 0, n = t.length; i < n; i++) {
          var a = {},
              s = t[i].match(/^([^:]*):?([\d\.]*)/);if (a.color = e.getRGB(s[1]), a.color.error) return null;a.opacity = a.color.opacity, a.color = a.color.hex, s[2] && (a.offset = s[2] + "%"), r.push(a);
        }for (i = 1, n = r.length - 1; i < n; i++) {
          if (!r[i].offset) {
            for (var o = ht(r[i - 1].offset || 0), l = 0, h = i + 1; h < n; h++) {
              if (r[h].offset) {
                l = r[h].offset;break;
              }
            }l || (l = 100, h = n), l = ht(l);for (var u = (l - o) / (h - i + 1); i < h; i++) {
              o += u, r[i].offset = o + "%";
            }
          }
        }return r;
      }),
          Kt = e._tear = function (t, e) {
        t == e.top && (e.top = t.prev), t == e.bottom && (e.bottom = t.next), t.next && (t.next.prev = t.prev), t.prev && (t.prev.next = t.next);
      },
          te = e._tofront = function (t, e) {
        e.top !== t && (Kt(t, e), t.next = null, t.prev = e.top, e.top.next = t, e.top = t);
      },
          ee = e._toback = function (t, e) {
        e.bottom !== t && (Kt(t, e), t.next = e.bottom, t.prev = null, e.bottom.prev = t, e.bottom = t);
      },
          re = e._insertafter = function (t, e, r) {
        Kt(t, r), e == r.top && (r.top = t), e.next && (e.next.prev = t), t.next = e.next, t.prev = e, e.next = t;
      },
          ie = e._insertbefore = function (t, e, r) {
        Kt(t, r), e == r.bottom && (r.bottom = t), e.prev && (e.prev.next = t), t.prev = e.prev, e.prev = t, t.next = e;
      },
          ne = e.toMatrix = function (t, e) {
        var r = Ot(t),
            i = { _: { transform: R }, getBBox: function getBBox() {
            return r;
          } };return se(i, e), i.matrix;
      },
          ae = e.transformPath = function (t, e) {
        return Mt(t, ne(t, e));
      },
          se = e._extractTransform = function (t, r) {
        if (null == r) return t._.transform;r = I(r).replace(/\.{3}|\u2026/g, t._.transform || R);var i = e.parseTransformString(r),
            n = 0,
            a = 0,
            s = 0,
            o = 1,
            l = 1,
            h = t._,
            u = new g();if (h.transform = i || [], i) for (var c = 0, f = i.length; c < f; c++) {
          var p = i[c],
              d = p.length,
              v = I(p[0]).toLowerCase(),
              x = p[0] != v,
              y = x ? u.invert() : 0,
              m,
              b,
              _,
              w,
              k;"t" == v && 3 == d ? x ? (m = y.x(0, 0), b = y.y(0, 0), _ = y.x(p[1], p[2]), w = y.y(p[1], p[2]), u.translate(_ - m, w - b)) : u.translate(p[1], p[2]) : "r" == v ? 2 == d ? (k = k || t.getBBox(1), u.rotate(p[1], k.x + k.width / 2, k.y + k.height / 2), n += p[1]) : 4 == d && (x ? (_ = y.x(p[2], p[3]), w = y.y(p[2], p[3]), u.rotate(p[1], _, w)) : u.rotate(p[1], p[2], p[3]), n += p[1]) : "s" == v ? 2 == d || 3 == d ? (k = k || t.getBBox(1), u.scale(p[1], p[d - 1], k.x + k.width / 2, k.y + k.height / 2), o *= p[1], l *= p[d - 1]) : 5 == d && (x ? (_ = y.x(p[3], p[4]), w = y.y(p[3], p[4]), u.scale(p[1], p[2], _, w)) : u.scale(p[1], p[2], p[3], p[4]), o *= p[1], l *= p[2]) : "m" == v && 7 == d && u.add(p[1], p[2], p[3], p[4], p[5], p[6]), h.dirtyT = 1, t.matrix = u;
        }t.matrix = u, h.sx = o, h.sy = l, h.deg = n, h.dx = a = u.e, h.dy = s = u.f, 1 == o && 1 == l && !n && h.bbox ? (h.bbox.x += +a, h.bbox.y += +s) : h.dirtyT = 1;
      },
          oe = function oe(t) {
        var e = t[0];switch (e.toLowerCase()) {case "t":
            return [e, 0, 0];case "m":
            return [e, 1, 0, 0, 1, 0, 0];case "r":
            return 4 == t.length ? [e, 0, t[2], t[3]] : [e, 0];case "s":
            return 5 == t.length ? [e, 1, 1, t[3], t[4]] : 3 == t.length ? [e, 1, 1] : [e, 1];}
      },
          le = e._equaliseTransform = function (t, r) {
        r = I(r).replace(/\.{3}|\u2026/g, t), t = e.parseTransformString(t) || [], r = e.parseTransformString(r) || [];for (var i = W(t.length, r.length), n = [], a = [], s = 0, o, l, h, u; s < i; s++) {
          if (h = t[s] || oe(r[s]), u = r[s] || oe(h), h[0] != u[0] || "r" == h[0].toLowerCase() && (h[2] != u[2] || h[3] != u[3]) || "s" == h[0].toLowerCase() && (h[3] != u[3] || h[4] != u[4])) return;for (n[s] = [], a[s] = [], o = 0, l = W(h.length, u.length); o < l; o++) {
            o in h && (n[s][o] = h[o]), o in u && (a[s][o] = u[o]);
          }
        }return { from: n, to: a };
      };e._getContainer = function (t, r, i, n) {
        var a;if (a = null != n || e.is(t, "object") ? t : T.doc.getElementById(t), null != a) return a.tagName ? null == r ? { container: a, width: a.style.pixelWidth || a.offsetWidth, height: a.style.pixelHeight || a.offsetHeight } : { container: a, width: r, height: i } : { container: 1, x: t, y: r, width: i, height: n };
      }, e.pathToRelative = Wt, e._engine = {}, e.path2curve = Qt, e.matrix = function (t, e, r, i, n, a) {
        return new g(t, e, r, i, n, a);
      }, function (t) {
        function r(t) {
          return t[0] * t[0] + t[1] * t[1];
        }function i(t) {
          var e = Y.sqrt(r(t));t[0] && (t[0] /= e), t[1] && (t[1] /= e);
        }t.add = function (t, e, r, i, n, a) {
          var s = [[], [], []],
              o = [[this.a, this.c, this.e], [this.b, this.d, this.f], [0, 0, 1]],
              l = [[t, r, n], [e, i, a], [0, 0, 1]],
              h,
              u,
              c,
              f;for (t && t instanceof g && (l = [[t.a, t.c, t.e], [t.b, t.d, t.f], [0, 0, 1]]), h = 0; h < 3; h++) {
            for (u = 0; u < 3; u++) {
              for (f = 0, c = 0; c < 3; c++) {
                f += o[h][c] * l[c][u];
              }s[h][u] = f;
            }
          }this.a = s[0][0], this.b = s[1][0], this.c = s[0][1], this.d = s[1][1], this.e = s[0][2], this.f = s[1][2];
        }, t.invert = function () {
          var t = this,
              e = t.a * t.d - t.b * t.c;return new g(t.d / e, -t.b / e, -t.c / e, t.a / e, (t.c * t.f - t.d * t.e) / e, (t.b * t.e - t.a * t.f) / e);
        }, t.clone = function () {
          return new g(this.a, this.b, this.c, this.d, this.e, this.f);
        }, t.translate = function (t, e) {
          this.add(1, 0, 0, 1, t, e);
        }, t.scale = function (t, e, r, i) {
          null == e && (e = t), (r || i) && this.add(1, 0, 0, 1, r, i), this.add(t, 0, 0, e, 0, 0), (r || i) && this.add(1, 0, 0, 1, -r, -i);
        }, t.rotate = function (t, r, i) {
          t = e.rad(t), r = r || 0, i = i || 0;var n = +Y.cos(t).toFixed(9),
              a = +Y.sin(t).toFixed(9);this.add(n, a, -a, n, r, i), this.add(1, 0, 0, 1, -r, -i);
        }, t.x = function (t, e) {
          return t * this.a + e * this.c + this.e;
        }, t.y = function (t, e) {
          return t * this.b + e * this.d + this.f;
        }, t.get = function (t) {
          return +this[I.fromCharCode(97 + t)].toFixed(4);
        }, t.toString = function () {
          return e.svg ? "matrix(" + [this.get(0), this.get(1), this.get(2), this.get(3), this.get(4), this.get(5)].join() + ")" : [this.get(0), this.get(2), this.get(1), this.get(3), 0, 0].join();
        }, t.toFilter = function () {
          return "progid:DXImageTransform.Microsoft.Matrix(M11=" + this.get(0) + ", M12=" + this.get(2) + ", M21=" + this.get(1) + ", M22=" + this.get(3) + ", Dx=" + this.get(4) + ", Dy=" + this.get(5) + ", sizingmethod='auto expand')";
        }, t.offset = function () {
          return [this.e.toFixed(4), this.f.toFixed(4)];
        }, t.split = function () {
          var t = {};t.dx = this.e, t.dy = this.f;var n = [[this.a, this.c], [this.b, this.d]];t.scalex = Y.sqrt(r(n[0])), i(n[0]), t.shear = n[0][0] * n[1][0] + n[0][1] * n[1][1], n[1] = [n[1][0] - n[0][0] * t.shear, n[1][1] - n[0][1] * t.shear], t.scaley = Y.sqrt(r(n[1])), i(n[1]), t.shear /= t.scaley;var a = -n[0][1],
              s = n[1][1];return s < 0 ? (t.rotate = e.deg(Y.acos(s)), a < 0 && (t.rotate = 360 - t.rotate)) : t.rotate = e.deg(Y.asin(a)), t.isSimple = !(+t.shear.toFixed(9) || t.scalex.toFixed(9) != t.scaley.toFixed(9) && t.rotate), t.isSuperSimple = !+t.shear.toFixed(9) && t.scalex.toFixed(9) == t.scaley.toFixed(9) && !t.rotate, t.noRotation = !+t.shear.toFixed(9) && !t.rotate, t;
        }, t.toTransformString = function (t) {
          var e = t || this[q]();return e.isSimple ? (e.scalex = +e.scalex.toFixed(4), e.scaley = +e.scaley.toFixed(4), e.rotate = +e.rotate.toFixed(4), (e.dx || e.dy ? "t" + [e.dx, e.dy] : R) + (1 != e.scalex || 1 != e.scaley ? "s" + [e.scalex, e.scaley, 0, 0] : R) + (e.rotate ? "r" + [e.rotate, 0, 0] : R)) : "m" + [this.get(0), this.get(1), this.get(2), this.get(3), this.get(4), this.get(5)];
        };
      }(g.prototype);for (var he = function he() {
        this.returnValue = !1;
      }, ue = function ue() {
        return this.originalEvent.preventDefault();
      }, ce = function ce() {
        this.cancelBubble = !0;
      }, fe = function fe() {
        return this.originalEvent.stopPropagation();
      }, pe = function pe(t) {
        var e = T.doc.documentElement.scrollTop || T.doc.body.scrollTop,
            r = T.doc.documentElement.scrollLeft || T.doc.body.scrollLeft;return { x: t.clientX + r, y: t.clientY + e };
      }, de = function () {
        return T.doc.addEventListener ? function (t, e, r, i) {
          var n = function n(t) {
            var e = pe(t);return r.call(i, t, e.x, e.y);
          };if (t.addEventListener(e, n, !1), F && V[e]) {
            var a = function a(e) {
              for (var n = pe(e), a = e, s = 0, o = e.targetTouches && e.targetTouches.length; s < o; s++) {
                if (e.targetTouches[s].target == t) {
                  e = e.targetTouches[s], e.originalEvent = a, e.preventDefault = ue, e.stopPropagation = fe;break;
                }
              }return r.call(i, e, n.x, n.y);
            };t.addEventListener(V[e], a, !1);
          }return function () {
            return t.removeEventListener(e, n, !1), F && V[e] && t.removeEventListener(V[e], a, !1), !0;
          };
        } : T.doc.attachEvent ? function (t, e, r, i) {
          var n = function n(t) {
            t = t || T.win.event;var e = T.doc.documentElement.scrollTop || T.doc.body.scrollTop,
                n = T.doc.documentElement.scrollLeft || T.doc.body.scrollLeft,
                a = t.clientX + n,
                s = t.clientY + e;return t.preventDefault = t.preventDefault || he, t.stopPropagation = t.stopPropagation || ce, r.call(i, t, a, s);
          };t.attachEvent("on" + e, n);var a = function a() {
            return t.detachEvent("on" + e, n), !0;
          };return a;
        } : void 0;
      }(), ge = [], ve = function ve(e) {
        for (var r = e.clientX, i = e.clientY, n = T.doc.documentElement.scrollTop || T.doc.body.scrollTop, a = T.doc.documentElement.scrollLeft || T.doc.body.scrollLeft, s, o = ge.length; o--;) {
          if (s = ge[o], F && e.touches) {
            for (var l = e.touches.length, h; l--;) {
              if (h = e.touches[l], h.identifier == s.el._drag.id) {
                r = h.clientX, i = h.clientY, (e.originalEvent ? e.originalEvent : e).preventDefault();break;
              }
            }
          } else e.preventDefault();var u = s.el.node,
              c,
              f = u.nextSibling,
              p = u.parentNode,
              d = u.style.display;T.win.opera && p.removeChild(u), u.style.display = "none", c = s.el.paper.getElementByPoint(r, i), u.style.display = d, T.win.opera && (f ? p.insertBefore(u, f) : p.appendChild(u)), c && t("raphael.drag.over." + s.el.id, s.el, c), r += a, i += n, t("raphael.drag.move." + s.el.id, s.move_scope || s.el, r - s.el._drag.x, i - s.el._drag.y, r, i, e);
        }
      }, xe = function xe(r) {
        e.unmousemove(ve).unmouseup(xe);for (var i = ge.length, n; i--;) {
          n = ge[i], n.el._drag = {}, t("raphael.drag.end." + n.el.id, n.end_scope || n.start_scope || n.move_scope || n.el, r);
        }ge = [];
      }, ye = e.el = {}, me = D.length; me--;) {
        !function (t) {
          e[t] = ye[t] = function (r, i) {
            return e.is(r, "function") && (this.events = this.events || [], this.events.push({ name: t, f: r, unbind: de(this.shape || this.node || T.doc, t, r, i || this) })), this;
          }, e["un" + t] = ye["un" + t] = function (r) {
            for (var i = this.events || [], n = i.length; n--;) {
              i[n].name != t || !e.is(r, "undefined") && i[n].f != r || (i[n].unbind(), i.splice(n, 1), !i.length && delete this.events);
            }return this;
          };
        }(D[me]);
      }ye.data = function (r, i) {
        var n = wt[this.id] = wt[this.id] || {};if (0 == arguments.length) return n;if (1 == arguments.length) {
          if (e.is(r, "object")) {
            for (var a in r) {
              r[A](a) && this.data(a, r[a]);
            }return this;
          }return t("raphael.data.get." + this.id, this, n[r], r), n[r];
        }return n[r] = i, t("raphael.data.set." + this.id, this, i, r), this;
      }, ye.removeData = function (t) {
        return null == t ? wt[this.id] = {} : wt[this.id] && delete wt[this.id][t], this;
      }, ye.getData = function () {
        return r(wt[this.id] || {});
      }, ye.hover = function (t, e, r, i) {
        return this.mouseover(t, r).mouseout(e, i || r);
      }, ye.unhover = function (t, e) {
        return this.unmouseover(t).unmouseout(e);
      };var be = [];ye.drag = function (r, i, n, a, s, o) {
        function l(l) {
          (l.originalEvent || l).preventDefault();var h = l.clientX,
              u = l.clientY,
              c = T.doc.documentElement.scrollTop || T.doc.body.scrollTop,
              f = T.doc.documentElement.scrollLeft || T.doc.body.scrollLeft;if (this._drag.id = l.identifier, F && l.touches) for (var p = l.touches.length, d; p--;) {
            if (d = l.touches[p], this._drag.id = d.identifier, d.identifier == this._drag.id) {
              h = d.clientX, u = d.clientY;break;
            }
          }this._drag.x = h + f, this._drag.y = u + c, !ge.length && e.mousemove(ve).mouseup(xe), ge.push({ el: this, move_scope: a, start_scope: s, end_scope: o }), i && t.on("raphael.drag.start." + this.id, i), r && t.on("raphael.drag.move." + this.id, r), n && t.on("raphael.drag.end." + this.id, n), t("raphael.drag.start." + this.id, s || a || this, l.clientX + f, l.clientY + c, l);
        }return this._drag = {}, be.push({ el: this, start: l }), this.mousedown(l), this;
      }, ye.onDragOver = function (e) {
        e ? t.on("raphael.drag.over." + this.id, e) : t.unbind("raphael.drag.over." + this.id);
      }, ye.undrag = function () {
        for (var r = be.length; r--;) {
          be[r].el == this && (this.unmousedown(be[r].start), be.splice(r, 1), t.unbind("raphael.drag.*." + this.id));
        }!be.length && e.unmousemove(ve).unmouseup(xe), ge = [];
      }, N.circle = function (t, r, i) {
        var n = e._engine.circle(this, t || 0, r || 0, i || 0);return this.__set__ && this.__set__.push(n), n;
      }, N.rect = function (t, r, i, n, a) {
        var s = e._engine.rect(this, t || 0, r || 0, i || 0, n || 0, a || 0);return this.__set__ && this.__set__.push(s), s;
      }, N.ellipse = function (t, r, i, n) {
        var a = e._engine.ellipse(this, t || 0, r || 0, i || 0, n || 0);return this.__set__ && this.__set__.push(a), a;
      }, N.path = function (t) {
        t && !e.is(t, Z) && !e.is(t[0], Q) && (t += R);var r = e._engine.path(e.format[z](e, arguments), this);return this.__set__ && this.__set__.push(r), r;
      }, N.image = function (t, r, i, n, a) {
        var s = e._engine.image(this, t || "about:blank", r || 0, i || 0, n || 0, a || 0);return this.__set__ && this.__set__.push(s), s;
      }, N.text = function (t, r, i) {
        var n = e._engine.text(this, t || 0, r || 0, I(i));return this.__set__ && this.__set__.push(n), n;
      }, N.set = function (t) {
        !e.is(t, "array") && (t = Array.prototype.splice.call(arguments, 0, arguments.length));var r = new ze(t);return this.__set__ && this.__set__.push(r), r.paper = this, r.type = "set", r;
      }, N.setStart = function (t) {
        this.__set__ = t || this.set();
      }, N.setFinish = function (t) {
        var e = this.__set__;return delete this.__set__, e;
      }, N.getSize = function () {
        var t = this.canvas.parentNode;return { width: t.offsetWidth, height: t.offsetHeight };
      }, N.setSize = function (t, r) {
        return e._engine.setSize.call(this, t, r);
      }, N.setViewBox = function (t, r, i, n, a) {
        return e._engine.setViewBox.call(this, t, r, i, n, a);
      }, N.top = N.bottom = null, N.raphael = e;var _e = function _e(t) {
        var e = t.getBoundingClientRect(),
            r = t.ownerDocument,
            i = r.body,
            n = r.documentElement,
            a = n.clientTop || i.clientTop || 0,
            s = n.clientLeft || i.clientLeft || 0,
            o = e.top + (T.win.pageYOffset || n.scrollTop || i.scrollTop) - a,
            l = e.left + (T.win.pageXOffset || n.scrollLeft || i.scrollLeft) - s;return { y: o, x: l };
      };N.getElementByPoint = function (t, e) {
        var r = this,
            i = r.canvas,
            n = T.doc.elementFromPoint(t, e);if (T.win.opera && "svg" == n.tagName) {
          var a = _e(i),
              s = i.createSVGRect();s.x = t - a.x, s.y = e - a.y, s.width = s.height = 1;var o = i.getIntersectionList(s, null);o.length && (n = o[o.length - 1]);
        }if (!n) return null;for (; n.parentNode && n != i.parentNode && !n.raphael;) {
          n = n.parentNode;
        }return n == r.canvas.parentNode && (n = i), n = n && n.raphael ? r.getById(n.raphaelid) : null;
      }, N.getElementsByBBox = function (t) {
        var r = this.set();return this.forEach(function (i) {
          e.isBBoxIntersect(i.getBBox(), t) && r.push(i);
        }), r;
      }, N.getById = function (t) {
        for (var e = this.bottom; e;) {
          if (e.id == t) return e;e = e.next;
        }return null;
      }, N.forEach = function (t, e) {
        for (var r = this.bottom; r;) {
          if (t.call(e, r) === !1) return this;r = r.next;
        }return this;
      }, N.getElementsByPoint = function (t, e) {
        var r = this.set();return this.forEach(function (i) {
          i.isPointInside(t, e) && r.push(i);
        }), r;
      }, ye.isPointInside = function (t, r) {
        var i = this.realPath = Et[this.type](this);return this.attr("transform") && this.attr("transform").length && (i = e.transformPath(i, this.attr("transform"))), e.isPointInsidePath(i, t, r);
      }, ye.getBBox = function (t) {
        if (this.removed) return {};var e = this._;return t ? (!e.dirty && e.bboxwt || (this.realPath = Et[this.type](this), e.bboxwt = Ot(this.realPath), e.bboxwt.toString = x, e.dirty = 0), e.bboxwt) : ((e.dirty || e.dirtyT || !e.bbox) && (!e.dirty && this.realPath || (e.bboxwt = 0, this.realPath = Et[this.type](this)), e.bbox = Ot(Mt(this.realPath, this.matrix)), e.bbox.toString = x, e.dirty = e.dirtyT = 0), e.bbox);
      }, ye.clone = function () {
        if (this.removed) return null;var t = this.paper[this.type]().attr(this.attr());return this.__set__ && this.__set__.push(t), t;
      }, ye.glow = function (t) {
        if ("text" == this.type) return null;t = t || {};var e = { width: (t.width || 10) + (+this.attr("stroke-width") || 1), fill: t.fill || !1, opacity: null == t.opacity ? .5 : t.opacity, offsetx: t.offsetx || 0, offsety: t.offsety || 0, color: t.color || "#000" },
            r = e.width / 2,
            i = this.paper,
            n = i.set(),
            a = this.realPath || Et[this.type](this);a = this.matrix ? Mt(a, this.matrix) : a;for (var s = 1; s < r + 1; s++) {
          n.push(i.path(a).attr({ stroke: e.color, fill: e.fill ? e.color : "none", "stroke-linejoin": "round", "stroke-linecap": "round", "stroke-width": +(e.width / r * s).toFixed(3), opacity: +(e.opacity / r).toFixed(3) }));
        }return n.insertBefore(this).translate(e.offsetx, e.offsety);
      };var we = {},
          ke = function ke(t, r, i, n, a, s, o, u, c) {
        return null == c ? l(t, r, i, n, a, s, o, u) : e.findDotsAtSegment(t, r, i, n, a, s, o, u, h(t, r, i, n, a, s, o, u, c));
      },
          Be = function Be(t, r) {
        return function (i, n, a) {
          i = Qt(i);for (var s, o, l, h, u = "", c = {}, f, p = 0, d = 0, g = i.length; d < g; d++) {
            if (l = i[d], "M" == l[0]) s = +l[1], o = +l[2];else {
              if (h = ke(s, o, l[1], l[2], l[3], l[4], l[5], l[6]), p + h > n) {
                if (r && !c.start) {
                  if (f = ke(s, o, l[1], l[2], l[3], l[4], l[5], l[6], n - p), u += ["C" + f.start.x, f.start.y, f.m.x, f.m.y, f.x, f.y], a) return u;c.start = u, u = ["M" + f.x, f.y + "C" + f.n.x, f.n.y, f.end.x, f.end.y, l[5], l[6]].join(), p += h, s = +l[5], o = +l[6];continue;
                }if (!t && !r) return f = ke(s, o, l[1], l[2], l[3], l[4], l[5], l[6], n - p), { x: f.x, y: f.y, alpha: f.alpha };
              }p += h, s = +l[5], o = +l[6];
            }u += l.shift() + l;
          }return c.end = u, f = t ? p : r ? c : e.findDotsAtSegment(s, o, l[0], l[1], l[2], l[3], l[4], l[5], 1), f.alpha && (f = { x: f.x, y: f.y, alpha: f.alpha }), f;
        };
      },
          Ce = Be(1),
          Se = Be(),
          Ae = Be(0, 1);e.getTotalLength = Ce, e.getPointAtLength = Se, e.getSubpath = function (t, e, r) {
        if (this.getTotalLength(t) - r < 1e-6) return Ae(t, e).end;var i = Ae(t, r, 1);return e ? Ae(i, e).end : i;
      }, ye.getTotalLength = function () {
        var t = this.getPath();if (t) return this.node.getTotalLength ? this.node.getTotalLength() : Ce(t);
      }, ye.getPointAtLength = function (t) {
        var e = this.getPath();if (e) return Se(e, t);
      }, ye.getPath = function () {
        var t,
            r = e._getPath[this.type];if ("text" != this.type && "set" != this.type) return r && (t = r(this)), t;
      }, ye.getSubpath = function (t, r) {
        var i = this.getPath();if (i) return e.getSubpath(i, t, r);
      };var Te = e.easing_formulas = { linear: function linear(t) {
          return t;
        }, "<": function _(t) {
          return X(t, 1.7);
        }, ">": function _(t) {
          return X(t, .48);
        }, "<>": function _(t) {
          var e = .48 - t / 1.04,
              r = Y.sqrt(.1734 + e * e),
              i = r - e,
              n = X(H(i), 1 / 3) * (i < 0 ? -1 : 1),
              a = -r - e,
              s = X(H(a), 1 / 3) * (a < 0 ? -1 : 1),
              o = n + s + .5;return 3 * (1 - o) * o * o + o * o * o;
        }, backIn: function backIn(t) {
          var e = 1.70158;return t * t * ((e + 1) * t - e);
        }, backOut: function backOut(t) {
          t -= 1;var e = 1.70158;return t * t * ((e + 1) * t + e) + 1;
        }, elastic: function elastic(t) {
          return t == !!t ? t : X(2, -10 * t) * Y.sin((t - .075) * (2 * U) / .3) + 1;
        }, bounce: function bounce(t) {
          var e = 7.5625,
              r = 2.75,
              i;return t < 1 / r ? i = e * t * t : t < 2 / r ? (t -= 1.5 / r, i = e * t * t + .75) : t < 2.5 / r ? (t -= 2.25 / r, i = e * t * t + .9375) : (t -= 2.625 / r, i = e * t * t + .984375), i;
        } };Te.easeIn = Te["ease-in"] = Te["<"], Te.easeOut = Te["ease-out"] = Te[">"], Te.easeInOut = Te["ease-in-out"] = Te["<>"], Te["back-in"] = Te.backIn, Te["back-out"] = Te.backOut;var Ee = [],
          Me = window.requestAnimationFrame || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || window.oRequestAnimationFrame || window.msRequestAnimationFrame || function (t) {
        setTimeout(t, 16);
      },
          Ne = function Ne() {
        for (var r = +new Date(), i = 0; i < Ee.length; i++) {
          var n = Ee[i];if (!n.el.removed && !n.paused) {
            var a = r - n.start,
                s = n.ms,
                o = n.easing,
                l = n.from,
                h = n.diff,
                u = n.to,
                c = n.t,
                f = n.el,
                p = {},
                d,
                g = {},
                v;if (n.initstatus ? (a = (n.initstatus * n.anim.top - n.prev) / (n.percent - n.prev) * s, n.status = n.initstatus, delete n.initstatus, n.stop && Ee.splice(i--, 1)) : n.status = (n.prev + (n.percent - n.prev) * (a / s)) / n.anim.top, !(a < 0)) if (a < s) {
              var x = o(a / s);for (var y in l) {
                if (l[A](y)) {
                  switch (pt[y]) {case $:
                      d = +l[y] + x * s * h[y];break;case "colour":
                      d = "rgb(" + [Le(ot(l[y].r + x * s * h[y].r)), Le(ot(l[y].g + x * s * h[y].g)), Le(ot(l[y].b + x * s * h[y].b))].join(",") + ")";break;case "path":
                      d = [];for (var m = 0, _ = l[y].length; m < _; m++) {
                        d[m] = [l[y][m][0]];for (var w = 1, k = l[y][m].length; w < k; w++) {
                          d[m][w] = +l[y][m][w] + x * s * h[y][m][w];
                        }d[m] = d[m].join(j);
                      }d = d.join(j);break;case "transform":
                      if (h[y].real) for (d = [], m = 0, _ = l[y].length; m < _; m++) {
                        for (d[m] = [l[y][m][0]], w = 1, k = l[y][m].length; w < k; w++) {
                          d[m][w] = l[y][m][w] + x * s * h[y][m][w];
                        }
                      } else {
                        var B = function B(t) {
                          return +l[y][t] + x * s * h[y][t];
                        };d = [["m", B(0), B(1), B(2), B(3), B(4), B(5)]];
                      }break;case "csv":
                      if ("clip-rect" == y) for (d = [], m = 4; m--;) {
                        d[m] = +l[y][m] + x * s * h[y][m];
                      }break;default:
                      var C = [][P](l[y]);for (d = [], m = f.paper.customAttributes[y].length; m--;) {
                        d[m] = +C[m] + x * s * h[y][m];
                      }}p[y] = d;
                }
              }f.attr(p), function (e, r, i) {
                setTimeout(function () {
                  t("raphael.anim.frame." + e, r, i);
                });
              }(f.id, f, n.anim);
            } else {
              if (function (r, i, n) {
                setTimeout(function () {
                  t("raphael.anim.frame." + i.id, i, n), t("raphael.anim.finish." + i.id, i, n), e.is(r, "function") && r.call(i);
                });
              }(n.callback, f, n.anim), f.attr(u), Ee.splice(i--, 1), n.repeat > 1 && !n.next) {
                for (v in u) {
                  u[A](v) && (g[v] = n.totalOrigin[v]);
                }n.el.attr(g), b(n.anim, n.el, n.anim.percents[0], null, n.totalOrigin, n.repeat - 1);
              }n.next && !n.stop && b(n.anim, n.el, n.next, null, n.totalOrigin, n.repeat);
            }
          }
        }Ee.length && Me(Ne);
      },
          Le = function Le(t) {
        return t > 255 ? 255 : t < 0 ? 0 : t;
      };ye.animateWith = function (t, r, i, n, a, s) {
        var o = this;if (o.removed) return s && s.call(o), o;var l = i instanceof m ? i : e.animation(i, n, a, s),
            h,
            u;b(l, o, l.percents[0], null, o.attr());for (var c = 0, f = Ee.length; c < f; c++) {
          if (Ee[c].anim == r && Ee[c].el == t) {
            Ee[f - 1].start = Ee[c].start;break;
          }
        }return o;
      }, ye.onAnimation = function (e) {
        return e ? t.on("raphael.anim.frame." + this.id, e) : t.unbind("raphael.anim.frame." + this.id), this;
      }, m.prototype.delay = function (t) {
        var e = new m(this.anim, this.ms);return e.times = this.times, e.del = +t || 0, e;
      }, m.prototype.repeat = function (t) {
        var e = new m(this.anim, this.ms);return e.del = this.del, e.times = Y.floor(W(t, 0)) || 1, e;
      }, e.animation = function (t, r, i, n) {
        if (t instanceof m) return t;!e.is(i, "function") && i || (n = n || i || null, i = null), t = Object(t), r = +r || 0;var a = {},
            s,
            o;for (o in t) {
          t[A](o) && ht(o) != o && ht(o) + "%" != o && (s = !0, a[o] = t[o]);
        }if (s) return i && (a.easing = i), n && (a.callback = n), new m({ 100: a }, r);if (n) {
          var l = 0;for (var h in t) {
            var u = ut(h);t[A](h) && u > l && (l = u);
          }l += "%", !t[l].callback && (t[l].callback = n);
        }return new m(t, r);
      }, ye.animate = function (t, r, i, n) {
        var a = this;if (a.removed) return n && n.call(a), a;var s = t instanceof m ? t : e.animation(t, r, i, n);return b(s, a, s.percents[0], null, a.attr()), a;
      }, ye.setTime = function (t, e) {
        return t && null != e && this.status(t, G(e, t.ms) / t.ms), this;
      }, ye.status = function (t, e) {
        var r = [],
            i = 0,
            n,
            a;if (null != e) return b(t, this, -1, G(e, 1)), this;for (n = Ee.length; i < n; i++) {
          if (a = Ee[i], a.el.id == this.id && (!t || a.anim == t)) {
            if (t) return a.status;r.push({ anim: a.anim, status: a.status });
          }
        }return t ? 0 : r;
      }, ye.pause = function (e) {
        for (var r = 0; r < Ee.length; r++) {
          Ee[r].el.id != this.id || e && Ee[r].anim != e || t("raphael.anim.pause." + this.id, this, Ee[r].anim) !== !1 && (Ee[r].paused = !0);
        }return this;
      }, ye.resume = function (e) {
        for (var r = 0; r < Ee.length; r++) {
          if (Ee[r].el.id == this.id && (!e || Ee[r].anim == e)) {
            var i = Ee[r];t("raphael.anim.resume." + this.id, this, i.anim) !== !1 && (delete i.paused, this.status(i.anim, i.status));
          }
        }return this;
      }, ye.stop = function (e) {
        for (var r = 0; r < Ee.length; r++) {
          Ee[r].el.id != this.id || e && Ee[r].anim != e || t("raphael.anim.stop." + this.id, this, Ee[r].anim) !== !1 && Ee.splice(r--, 1);
        }return this;
      }, t.on("raphael.remove", _), t.on("raphael.clear", _), ye.toString = function () {
        return "Raphaël’s object";
      };var ze = function ze(t) {
        if (this.items = [], this.length = 0, this.type = "set", t) for (var e = 0, r = t.length; e < r; e++) {
          !t[e] || t[e].constructor != ye.constructor && t[e].constructor != ze || (this[this.items.length] = this.items[this.items.length] = t[e], this.length++);
        }
      },
          Pe = ze.prototype;Pe.push = function () {
        for (var t, e, r = 0, i = arguments.length; r < i; r++) {
          t = arguments[r], !t || t.constructor != ye.constructor && t.constructor != ze || (e = this.items.length, this[e] = this.items[e] = t, this.length++);
        }return this;
      }, Pe.pop = function () {
        return this.length && delete this[this.length--], this.items.pop();
      }, Pe.forEach = function (t, e) {
        for (var r = 0, i = this.items.length; r < i; r++) {
          if (t.call(e, this.items[r], r) === !1) return this;
        }return this;
      };for (var Fe in ye) {
        ye[A](Fe) && (Pe[Fe] = function (t) {
          return function () {
            var e = arguments;return this.forEach(function (r) {
              r[t][z](r, e);
            });
          };
        }(Fe));
      }return Pe.attr = function (t, r) {
        if (t && e.is(t, Q) && e.is(t[0], "object")) for (var i = 0, n = t.length; i < n; i++) {
          this.items[i].attr(t[i]);
        } else for (var a = 0, s = this.items.length; a < s; a++) {
          this.items[a].attr(t, r);
        }return this;
      }, Pe.clear = function () {
        for (; this.length;) {
          this.pop();
        }
      }, Pe.splice = function (t, e, r) {
        t = t < 0 ? W(this.length + t, 0) : t, e = W(0, G(this.length - t, e));var i = [],
            n = [],
            a = [],
            s;for (s = 2; s < arguments.length; s++) {
          a.push(arguments[s]);
        }for (s = 0; s < e; s++) {
          n.push(this[t + s]);
        }for (; s < this.length - t; s++) {
          i.push(this[t + s]);
        }var o = a.length;for (s = 0; s < o + i.length; s++) {
          this.items[t + s] = this[t + s] = s < o ? a[s] : i[s - o];
        }for (s = this.items.length = this.length -= e - o; this[s];) {
          delete this[s++];
        }return new ze(n);
      }, Pe.exclude = function (t) {
        for (var e = 0, r = this.length; e < r; e++) {
          if (this[e] == t) return this.splice(e, 1), !0;
        }
      }, Pe.animate = function (t, r, i, n) {
        (e.is(i, "function") || !i) && (n = i || null);var a = this.items.length,
            s = a,
            o,
            l = this,
            h;if (!a) return this;n && (h = function h() {
          ! --a && n.call(l);
        }), i = e.is(i, Z) ? i : h;var u = e.animation(t, r, i, h);for (o = this.items[--s].animate(u); s--;) {
          this.items[s] && !this.items[s].removed && this.items[s].animateWith(o, u, u), this.items[s] && !this.items[s].removed || a--;
        }return this;
      }, Pe.insertAfter = function (t) {
        for (var e = this.items.length; e--;) {
          this.items[e].insertAfter(t);
        }return this;
      }, Pe.getBBox = function () {
        for (var t = [], e = [], r = [], i = [], n = this.items.length; n--;) {
          if (!this.items[n].removed) {
            var a = this.items[n].getBBox();t.push(a.x), e.push(a.y), r.push(a.x + a.width), i.push(a.y + a.height);
          }
        }return t = G[z](0, t), e = G[z](0, e), r = W[z](0, r), i = W[z](0, i), { x: t, y: e, x2: r, y2: i, width: r - t, height: i - e };
      }, Pe.clone = function (t) {
        t = this.paper.set();for (var e = 0, r = this.items.length; e < r; e++) {
          t.push(this.items[e].clone());
        }return t;
      }, Pe.toString = function () {
        return "Raphaël‘s set";
      }, Pe.glow = function (t) {
        var e = this.paper.set();return this.forEach(function (r, i) {
          var n = r.glow(t);null != n && n.forEach(function (t, r) {
            e.push(t);
          });
        }), e;
      }, Pe.isPointInside = function (t, e) {
        var r = !1;return this.forEach(function (i) {
          if (i.isPointInside(t, e)) return r = !0, !1;
        }), r;
      }, e.registerFont = function (t) {
        if (!t.face) return t;this.fonts = this.fonts || {};var e = { w: t.w, face: {}, glyphs: {} },
            r = t.face["font-family"];for (var i in t.face) {
          t.face[A](i) && (e.face[i] = t.face[i]);
        }if (this.fonts[r] ? this.fonts[r].push(e) : this.fonts[r] = [e], !t.svg) {
          e.face["units-per-em"] = ut(t.face["units-per-em"], 10);for (var n in t.glyphs) {
            if (t.glyphs[A](n)) {
              var a = t.glyphs[n];if (e.glyphs[n] = { w: a.w, k: {}, d: a.d && "M" + a.d.replace(/[mlcxtrv]/g, function (t) {
                  return { l: "L", c: "C", x: "z", t: "m", r: "l", v: "c" }[t] || "M";
                }) + "z" }, a.k) for (var s in a.k) {
                a[A](s) && (e.glyphs[n].k[s] = a.k[s]);
              }
            }
          }
        }return t;
      }, N.getFont = function (t, r, i, n) {
        if (n = n || "normal", i = i || "normal", r = +r || { normal: 400, bold: 700, lighter: 300, bolder: 800 }[r] || 400, e.fonts) {
          var a = e.fonts[t];if (!a) {
            var s = new RegExp("(^|\\s)" + t.replace(/[^\w\d\s+!~.:_-]/g, R) + "(\\s|$)", "i");for (var o in e.fonts) {
              if (e.fonts[A](o) && s.test(o)) {
                a = e.fonts[o];break;
              }
            }
          }var l;if (a) for (var h = 0, u = a.length; h < u && (l = a[h], l.face["font-weight"] != r || l.face["font-style"] != i && l.face["font-style"] || l.face["font-stretch"] != n); h++) {}return l;
        }
      }, N.print = function (t, r, i, n, a, s, o, l) {
        s = s || "middle", o = W(G(o || 0, 1), -1), l = W(G(l || 1, 3), 1);var h = I(i)[q](R),
            u = 0,
            c = 0,
            f = R,
            p;if (e.is(n, "string") && (n = this.getFont(n)), n) {
          p = (a || 16) / n.face["units-per-em"];for (var d = n.face.bbox[q](k), g = +d[0], v = d[3] - d[1], x = 0, y = +d[1] + ("baseline" == s ? v + +n.face.descent : v / 2), m = 0, b = h.length; m < b; m++) {
            if ("\n" == h[m]) u = 0, w = 0, c = 0, x += v * l;else {
              var _ = c && n.glyphs[h[m - 1]] || {},
                  w = n.glyphs[h[m]];u += c ? (_.w || n.w) + (_.k && _.k[h[m]] || 0) + n.w * o : 0, c = 1;
            }w && w.d && (f += e.transformPath(w.d, ["t", u * p, x * p, "s", p, p, g, y, "t", (t - g) / p, (r - y) / p]));
          }
        }return this.path(f).attr({ fill: "#000", stroke: "none" });
      }, N.add = function (t) {
        if (e.is(t, "array")) for (var r = this.set(), i = 0, n = t.length, a; i < n; i++) {
          a = t[i] || {}, B[A](a.type) && r.push(this[a.type]().attr(a));
        }return r;
      }, e.format = function (t, r) {
        var i = e.is(r, Q) ? [0][P](r) : arguments;return t && e.is(t, Z) && i.length - 1 && (t = t.replace(C, function (t, e) {
          return null == i[++e] ? R : i[e];
        })), t || R;
      }, e.fullfill = function () {
        var t = /\{([^\}]+)\}/g,
            e = /(?:(?:^|\.)(.+?)(?=\[|\.|$|\()|\[('|")(.+?)\2\])(\(\))?/g,
            r = function r(t, _r, i) {
          var n = i;return _r.replace(e, function (t, e, r, i, a) {
            e = e || i, n && (e in n && (n = n[e]), "function" == typeof n && a && (n = n()));
          }), n = (null == n || n == i ? t : n) + "";
        };return function (e, i) {
          return String(e).replace(t, function (t, e) {
            return r(t, e, i);
          });
        };
      }(), e.ninja = function () {
        if (E.was) T.win.Raphael = E.is;else {
          window.Raphael = void 0;try {
            delete window.Raphael;
          } catch (t) {}
        }return e;
      }, e.st = Pe, t.on("raphael.DOMload", function () {
        w = !0;
      }), function (t, r, _i) {
        function n() {
          /in/.test(t.readyState) ? setTimeout(n, 9) : e.eve("raphael.DOMload");
        }null == t.readyState && t.addEventListener && (t.addEventListener(r, _i = function i() {
          t.removeEventListener(r, _i, !1), t.readyState = "complete";
        }, !1), t.readyState = "loading"), n();
      }(document, "DOMContentLoaded"), e;
    }.apply(e, i), !(void 0 !== n && (t.exports = n));
  }, function (t, e, r) {
    var i, n;!function (r) {
      var a = "0.5.0",
          s = "hasOwnProperty",
          o = /[\.\/]/,
          l = /\s*,\s*/,
          h = "*",
          u = function u() {},
          c = function c(t, e) {
        return t - e;
      },
          f,
          p,
          d = { n: {} },
          g = function g() {
        for (var t = 0, e = this.length; t < e; t++) {
          if ("undefined" != typeof this[t]) return this[t];
        }
      },
          v = function v() {
        for (var t = this.length; --t;) {
          if ("undefined" != typeof this[t]) return this[t];
        }
      },
          x = Object.prototype.toString,
          y = String,
          m = Array.isArray || function (t) {
        return t instanceof Array || "[object Array]" == x.call(t);
      };eve = function (_eve) {
        function eve(_x, _x2) {
          return _eve.apply(this, arguments);
        }

        eve.toString = function () {
          return _eve.toString();
        };

        return eve;
      }(function (t, e) {
        var r = d,
            i = p,
            n = Array.prototype.slice.call(arguments, 2),
            a = eve.listeners(t),
            s = 0,
            o = !1,
            l,
            h = [],
            u = {},
            x = [],
            y = f,
            m = [];x.firstDefined = g, x.lastDefined = v, f = t, p = 0;for (var b = 0, _ = a.length; b < _; b++) {
          "zIndex" in a[b] && (h.push(a[b].zIndex), a[b].zIndex < 0 && (u[a[b].zIndex] = a[b]));
        }for (h.sort(c); h[s] < 0;) {
          if (l = u[h[s++]], x.push(l.apply(e, n)), p) return p = i, x;
        }for (b = 0; b < _; b++) {
          if (l = a[b], "zIndex" in l) {
            if (l.zIndex == h[s]) {
              if (x.push(l.apply(e, n)), p) break;do {
                if (s++, l = u[h[s]], l && x.push(l.apply(e, n)), p) break;
              } while (l);
            } else u[l.zIndex] = l;
          } else if (x.push(l.apply(e, n)), p) break;
        }return p = i, f = y, x;
      }), eve._events = d, eve.listeners = function (t) {
        var e = m(t) ? t : t.split(o),
            r = d,
            i,
            n,
            a,
            s,
            l,
            u,
            c,
            f,
            p = [r],
            g = [];for (s = 0, l = e.length; s < l; s++) {
          for (f = [], u = 0, c = p.length; u < c; u++) {
            for (r = p[u].n, n = [r[e[s]], r[h]], a = 2; a--;) {
              i = n[a], i && (f.push(i), g = g.concat(i.f || []));
            }
          }p = f;
        }return g;
      }, eve.separator = function (t) {
        t ? (t = y(t).replace(/(?=[\.\^\]\[\-])/g, "\\"), t = "[" + t + "]", o = new RegExp(t)) : o = /[\.\/]/;
      }, eve.on = function (t, e) {
        if ("function" != typeof e) return function () {};for (var r = m(t) ? m(t[0]) ? t : [t] : y(t).split(l), i = 0, n = r.length; i < n; i++) {
          !function (t) {
            for (var r = m(t) ? t : y(t).split(o), i = d, n, a = 0, s = r.length; a < s; a++) {
              i = i.n, i = i.hasOwnProperty(r[a]) && i[r[a]] || (i[r[a]] = { n: {} });
            }for (i.f = i.f || [], a = 0, s = i.f.length; a < s; a++) {
              if (i.f[a] == e) {
                n = !0;break;
              }
            }!n && i.f.push(e);
          }(r[i]);
        }return function (t) {
          +t == +t && (e.zIndex = +t);
        };
      }, eve.f = function (t) {
        var e = [].slice.call(arguments, 1);return function () {
          eve.apply(null, [t, null].concat(e).concat([].slice.call(arguments, 0)));
        };
      }, eve.stop = function () {
        p = 1;
      }, eve.nt = function (t) {
        var e = m(f) ? f.join(".") : f;return t ? new RegExp("(?:\\.|\\/|^)" + t + "(?:\\.|\\/|$)").test(e) : e;
      }, eve.nts = function () {
        return m(f) ? f : f.split(o);
      }, eve.off = eve.unbind = function (t, e) {
        if (!t) return void (eve._events = d = { n: {} });var r = m(t) ? m(t[0]) ? t : [t] : y(t).split(l);if (r.length > 1) for (var i = 0, n = r.length; i < n; i++) {
          eve.off(r[i], e);
        } else {
          r = m(t) ? t : y(t).split(o);var a,
              u,
              c,
              i,
              n,
              f,
              p,
              g = [d];for (i = 0, n = r.length; i < n; i++) {
            for (f = 0; f < g.length; f += c.length - 2) {
              if (c = [f, 1], a = g[f].n, r[i] != h) a[r[i]] && c.push(a[r[i]]);else for (u in a) {
                a[s](u) && c.push(a[u]);
              }g.splice.apply(g, c);
            }
          }for (i = 0, n = g.length; i < n; i++) {
            for (a = g[i]; a.n;) {
              if (e) {
                if (a.f) {
                  for (f = 0, p = a.f.length; f < p; f++) {
                    if (a.f[f] == e) {
                      a.f.splice(f, 1);break;
                    }
                  }!a.f.length && delete a.f;
                }for (u in a.n) {
                  if (a.n[s](u) && a.n[u].f) {
                    var v = a.n[u].f;for (f = 0, p = v.length; f < p; f++) {
                      if (v[f] == e) {
                        v.splice(f, 1);break;
                      }
                    }!v.length && delete a.n[u].f;
                  }
                }
              } else {
                delete a.f;for (u in a.n) {
                  a.n[s](u) && a.n[u].f && delete a.n[u].f;
                }
              }a = a.n;
            }
          }
        }
      }, eve.once = function (t, e) {
        var r = function r() {
          return eve.off(t, r), e.apply(this, arguments);
        };return eve.on(t, r);
      }, eve.version = a, eve.toString = function () {
        return "You are running Eve " + a;
      }, "undefined" != typeof t && t.exports ? t.exports = eve : (i = [], n = function () {
        return eve;
      }.apply(e, i), !(void 0 !== n && (t.exports = n)));
    }(this);
  }, function (t, e, r) {
    var i, n;i = [r(1)], n = function (t) {
      if (!t || t.svg) {
        var e = "hasOwnProperty",
            r = String,
            i = parseFloat,
            n = parseInt,
            a = Math,
            s = a.max,
            o = a.abs,
            l = a.pow,
            h = /[, ]+/,
            u = t.eve,
            c = "",
            f = " ",
            p = "http://www.w3.org/1999/xlink",
            d = { block: "M5,0 0,2.5 5,5z", classic: "M5,0 0,2.5 5,5 3.5,3 3.5,2z", diamond: "M2.5,0 5,2.5 2.5,5 0,2.5z", open: "M6,1 1,3.5 6,6", oval: "M2.5,0A2.5,2.5,0,0,1,2.5,5 2.5,2.5,0,0,1,2.5,0z" },
            g = {};t.toString = function () {
          return "Your browser supports SVG.\nYou are running Raphaël " + this.version;
        };var v = function v(i, n) {
          if (n) {
            "string" == typeof i && (i = v(i));for (var a in n) {
              n[e](a) && ("xlink:" == a.substring(0, 6) ? i.setAttributeNS(p, a.substring(6), r(n[a])) : i.setAttribute(a, r(n[a])));
            }
          } else i = t._g.doc.createElementNS("http://www.w3.org/2000/svg", i), i.style && (i.style.webkitTapHighlightColor = "rgba(0,0,0,0)");return i;
        },
            x = function x(e, n) {
          var h = "linear",
              u = e.id + n,
              f = .5,
              p = .5,
              d = e.node,
              g = e.paper,
              x = d.style,
              y = t._g.doc.getElementById(u);if (!y) {
            if (n = r(n).replace(t._radial_gradient, function (t, e, r) {
              if (h = "radial", e && r) {
                f = i(e), p = i(r);var n = 2 * (p > .5) - 1;l(f - .5, 2) + l(p - .5, 2) > .25 && (p = a.sqrt(.25 - l(f - .5, 2)) * n + .5) && .5 != p && (p = p.toFixed(5) - 1e-5 * n);
              }return c;
            }), n = n.split(/\s*\-\s*/), "linear" == h) {
              var b = n.shift();if (b = -i(b), isNaN(b)) return null;var _ = [0, 0, a.cos(t.rad(b)), a.sin(t.rad(b))],
                  w = 1 / (s(o(_[2]), o(_[3])) || 1);_[2] *= w, _[3] *= w, _[2] < 0 && (_[0] = -_[2], _[2] = 0), _[3] < 0 && (_[1] = -_[3], _[3] = 0);
            }var k = t._parseDots(n);if (!k) return null;if (u = u.replace(/[\(\)\s,\xb0#]/g, "_"), e.gradient && u != e.gradient.id && (g.defs.removeChild(e.gradient), delete e.gradient), !e.gradient) {
              y = v(h + "Gradient", { id: u }), e.gradient = y, v(y, "radial" == h ? { fx: f, fy: p } : { x1: _[0], y1: _[1], x2: _[2], y2: _[3], gradientTransform: e.matrix.invert() }), g.defs.appendChild(y);for (var B = 0, C = k.length; B < C; B++) {
                y.appendChild(v("stop", { offset: k[B].offset ? k[B].offset : B ? "100%" : "0%", "stop-color": k[B].color || "#fff", "stop-opacity": isFinite(k[B].opacity) ? k[B].opacity : 1 }));
              }
            }
          }return v(d, { fill: m(u), opacity: 1, "fill-opacity": 1 }), x.fill = c, x.opacity = 1, x.fillOpacity = 1, 1;
        },
            y = function y() {
          var t = document.documentMode;return t && (9 === t || 10 === t);
        },
            m = function m(t) {
          if (y()) return "url('#" + t + "')";var e = document.location,
              r = e.protocol + "//" + e.host + e.pathname + e.search;return "url('" + r + "#" + t + "')";
        },
            b = function b(t) {
          var e = t.getBBox(1);v(t.pattern, { patternTransform: t.matrix.invert() + " translate(" + e.x + "," + e.y + ")" });
        },
            _ = function _(i, n, a) {
          if ("path" == i.type) {
            for (var s = r(n).toLowerCase().split("-"), o = i.paper, l = a ? "end" : "start", h = i.node, u = i.attrs, f = u["stroke-width"], p = s.length, x = "classic", y, m, b, _, w, k = 3, B = 3, C = 5; p--;) {
              switch (s[p]) {case "block":case "classic":case "oval":case "diamond":case "open":case "none":
                  x = s[p];break;case "wide":
                  B = 5;break;case "narrow":
                  B = 2;break;case "long":
                  k = 5;break;case "short":
                  k = 2;}
            }if ("open" == x ? (k += 2, B += 2, C += 2, b = 1, _ = a ? 4 : 1, w = { fill: "none", stroke: u.stroke }) : (_ = b = k / 2, w = { fill: u.stroke, stroke: "none" }), i._.arrows ? a ? (i._.arrows.endPath && g[i._.arrows.endPath]--, i._.arrows.endMarker && g[i._.arrows.endMarker]--) : (i._.arrows.startPath && g[i._.arrows.startPath]--, i._.arrows.startMarker && g[i._.arrows.startMarker]--) : i._.arrows = {}, "none" != x) {
              var S = "raphael-marker-" + x,
                  A = "raphael-marker-" + l + x + k + B + "-obj" + i.id;t._g.doc.getElementById(S) ? g[S]++ : (o.defs.appendChild(v(v("path"), { "stroke-linecap": "round", d: d[x], id: S })), g[S] = 1);var T = t._g.doc.getElementById(A),
                  E;T ? (g[A]++, E = T.getElementsByTagName("use")[0]) : (T = v(v("marker"), { id: A, markerHeight: B, markerWidth: k, orient: "auto", refX: _, refY: B / 2 }), E = v(v("use"), { "xlink:href": "#" + S, transform: (a ? "rotate(180 " + k / 2 + " " + B / 2 + ") " : c) + "scale(" + k / C + "," + B / C + ")", "stroke-width": (1 / ((k / C + B / C) / 2)).toFixed(4) }), T.appendChild(E), o.defs.appendChild(T), g[A] = 1), v(E, w);var M = b * ("diamond" != x && "oval" != x);a ? (y = i._.arrows.startdx * f || 0, m = t.getTotalLength(u.path) - M * f) : (y = M * f, m = t.getTotalLength(u.path) - (i._.arrows.enddx * f || 0)), w = {}, w["marker-" + l] = "url(#" + A + ")", (m || y) && (w.d = t.getSubpath(u.path, y, m)), v(h, w), i._.arrows[l + "Path"] = S, i._.arrows[l + "Marker"] = A, i._.arrows[l + "dx"] = M, i._.arrows[l + "Type"] = x, i._.arrows[l + "String"] = n;
            } else a ? (y = i._.arrows.startdx * f || 0, m = t.getTotalLength(u.path) - y) : (y = 0, m = t.getTotalLength(u.path) - (i._.arrows.enddx * f || 0)), i._.arrows[l + "Path"] && v(h, { d: t.getSubpath(u.path, y, m) }), delete i._.arrows[l + "Path"], delete i._.arrows[l + "Marker"], delete i._.arrows[l + "dx"], delete i._.arrows[l + "Type"], delete i._.arrows[l + "String"];for (w in g) {
              if (g[e](w) && !g[w]) {
                var N = t._g.doc.getElementById(w);N && N.parentNode.removeChild(N);
              }
            }
          }
        },
            w = { "-": [3, 1], ".": [1, 1], "-.": [3, 1, 1, 1], "-..": [3, 1, 1, 1, 1, 1], ". ": [1, 3], "- ": [4, 3], "--": [8, 3], "- .": [4, 3, 1, 3], "--.": [8, 3, 1, 3], "--..": [8, 3, 1, 3, 1, 3] },
            k = function k(t, e, i) {
          if (e = w[r(e).toLowerCase()]) {
            for (var n = t.attrs["stroke-width"] || "1", a = { round: n, square: n, butt: 0 }[t.attrs["stroke-linecap"] || i["stroke-linecap"]] || 0, s = [], o = e.length; o--;) {
              s[o] = e[o] * n + (o % 2 ? 1 : -1) * a;
            }v(t.node, { "stroke-dasharray": s.join(",") });
          } else v(t.node, { "stroke-dasharray": "none" });
        },
            B = function B(i, a) {
          var l = i.node,
              u = i.attrs,
              f = l.style.visibility;l.style.visibility = "hidden";for (var d in a) {
            if (a[e](d)) {
              if (!t._availableAttrs[e](d)) continue;var g = a[d];switch (u[d] = g, d) {case "blur":
                  i.blur(g);break;case "title":
                  var y = l.getElementsByTagName("title");if (y.length && (y = y[0])) y.firstChild.nodeValue = g;else {
                    y = v("title");var m = t._g.doc.createTextNode(g);y.appendChild(m), l.appendChild(y);
                  }break;case "href":case "target":
                  var w = l.parentNode;if ("a" != w.tagName.toLowerCase()) {
                    var B = v("a");w.insertBefore(B, l), B.appendChild(l), w = B;
                  }"target" == d ? w.setAttributeNS(p, "show", "blank" == g ? "new" : g) : w.setAttributeNS(p, d, g);break;case "cursor":
                  l.style.cursor = g;break;case "transform":
                  i.transform(g);break;case "arrow-start":
                  _(i, g);break;case "arrow-end":
                  _(i, g, 1);break;case "clip-rect":
                  var C = r(g).split(h);if (4 == C.length) {
                    i.clip && i.clip.parentNode.parentNode.removeChild(i.clip.parentNode);var A = v("clipPath"),
                        T = v("rect");A.id = t.createUUID(), v(T, { x: C[0], y: C[1], width: C[2], height: C[3] }), A.appendChild(T), i.paper.defs.appendChild(A), v(l, { "clip-path": "url(#" + A.id + ")" }), i.clip = T;
                  }if (!g) {
                    var E = l.getAttribute("clip-path");if (E) {
                      var M = t._g.doc.getElementById(E.replace(/(^url\(#|\)$)/g, c));M && M.parentNode.removeChild(M), v(l, { "clip-path": c }), delete i.clip;
                    }
                  }break;case "path":
                  "path" == i.type && (v(l, { d: g ? u.path = t._pathToAbsolute(g) : "M0,0" }), i._.dirty = 1, i._.arrows && ("startString" in i._.arrows && _(i, i._.arrows.startString), "endString" in i._.arrows && _(i, i._.arrows.endString, 1)));break;case "width":
                  if (l.setAttribute(d, g), i._.dirty = 1, !u.fx) break;d = "x", g = u.x;case "x":
                  u.fx && (g = -u.x - (u.width || 0));case "rx":
                  if ("rx" == d && "rect" == i.type) break;case "cx":
                  l.setAttribute(d, g), i.pattern && b(i), i._.dirty = 1;break;case "height":
                  if (l.setAttribute(d, g), i._.dirty = 1, !u.fy) break;d = "y", g = u.y;case "y":
                  u.fy && (g = -u.y - (u.height || 0));case "ry":
                  if ("ry" == d && "rect" == i.type) break;case "cy":
                  l.setAttribute(d, g), i.pattern && b(i), i._.dirty = 1;break;case "r":
                  "rect" == i.type ? v(l, { rx: g, ry: g }) : l.setAttribute(d, g), i._.dirty = 1;break;case "src":
                  "image" == i.type && l.setAttributeNS(p, "href", g);break;case "stroke-width":
                  1 == i._.sx && 1 == i._.sy || (g /= s(o(i._.sx), o(i._.sy)) || 1), l.setAttribute(d, g), u["stroke-dasharray"] && k(i, u["stroke-dasharray"], a), i._.arrows && ("startString" in i._.arrows && _(i, i._.arrows.startString), "endString" in i._.arrows && _(i, i._.arrows.endString, 1));break;case "stroke-dasharray":
                  k(i, g, a);break;case "fill":
                  var N = r(g).match(t._ISURL);if (N) {
                    A = v("pattern");var L = v("image");A.id = t.createUUID(), v(A, { x: 0, y: 0, patternUnits: "userSpaceOnUse", height: 1, width: 1 }), v(L, { x: 0, y: 0, "xlink:href": N[1] }), A.appendChild(L), function (e) {
                      t._preload(N[1], function () {
                        var t = this.offsetWidth,
                            r = this.offsetHeight;v(e, { width: t, height: r }), v(L, { width: t, height: r });
                      });
                    }(A), i.paper.defs.appendChild(A), v(l, { fill: "url(#" + A.id + ")" }), i.pattern = A, i.pattern && b(i);break;
                  }var z = t.getRGB(g);if (z.error) {
                    if (("circle" == i.type || "ellipse" == i.type || "r" != r(g).charAt()) && x(i, g)) {
                      if ("opacity" in u || "fill-opacity" in u) {
                        var P = t._g.doc.getElementById(l.getAttribute("fill").replace(/^url\(#|\)$/g, c));if (P) {
                          var F = P.getElementsByTagName("stop");v(F[F.length - 1], { "stop-opacity": ("opacity" in u ? u.opacity : 1) * ("fill-opacity" in u ? u["fill-opacity"] : 1) });
                        }
                      }u.gradient = g, u.fill = "none";break;
                    }
                  } else delete a.gradient, delete u.gradient, !t.is(u.opacity, "undefined") && t.is(a.opacity, "undefined") && v(l, { opacity: u.opacity }), !t.is(u["fill-opacity"], "undefined") && t.is(a["fill-opacity"], "undefined") && v(l, { "fill-opacity": u["fill-opacity"] });z[e]("opacity") && v(l, { "fill-opacity": z.opacity > 1 ? z.opacity / 100 : z.opacity });case "stroke":
                  z = t.getRGB(g), l.setAttribute(d, z.hex), "stroke" == d && z[e]("opacity") && v(l, { "stroke-opacity": z.opacity > 1 ? z.opacity / 100 : z.opacity }), "stroke" == d && i._.arrows && ("startString" in i._.arrows && _(i, i._.arrows.startString), "endString" in i._.arrows && _(i, i._.arrows.endString, 1));break;case "gradient":
                  ("circle" == i.type || "ellipse" == i.type || "r" != r(g).charAt()) && x(i, g);break;case "opacity":
                  u.gradient && !u[e]("stroke-opacity") && v(l, { "stroke-opacity": g > 1 ? g / 100 : g });case "fill-opacity":
                  if (u.gradient) {
                    P = t._g.doc.getElementById(l.getAttribute("fill").replace(/^url\(#|\)$/g, c)), P && (F = P.getElementsByTagName("stop"), v(F[F.length - 1], { "stop-opacity": g }));break;
                  }default:
                  "font-size" == d && (g = n(g, 10) + "px");var R = d.replace(/(\-.)/g, function (t) {
                    return t.substring(1).toUpperCase();
                  });l.style[R] = g, i._.dirty = 1, l.setAttribute(d, g);}
            }
          }S(i, a), l.style.visibility = f;
        },
            C = 1.2,
            S = function S(i, a) {
          if ("text" == i.type && (a[e]("text") || a[e]("font") || a[e]("font-size") || a[e]("x") || a[e]("y"))) {
            var s = i.attrs,
                o = i.node,
                l = o.firstChild ? n(t._g.doc.defaultView.getComputedStyle(o.firstChild, c).getPropertyValue("font-size"), 10) : 10;if (a[e]("text")) {
              for (s.text = a.text; o.firstChild;) {
                o.removeChild(o.firstChild);
              }for (var h = r(a.text).split("\n"), u = [], f, p = 0, d = h.length; p < d; p++) {
                f = v("tspan"), p && v(f, { dy: l * C, x: s.x }), f.appendChild(t._g.doc.createTextNode(h[p])), o.appendChild(f), u[p] = f;
              }
            } else for (u = o.getElementsByTagName("tspan"), p = 0, d = u.length; p < d; p++) {
              p ? v(u[p], { dy: l * C, x: s.x }) : v(u[0], { dy: 0 });
            }v(o, { x: s.x, y: s.y }), i._.dirty = 1;var g = i._getBBox(),
                x = s.y - (g.y + g.height / 2);x && t.is(x, "finite") && v(u[0], { dy: x });
          }
        },
            A = function A(t) {
          return t.parentNode && "a" === t.parentNode.tagName.toLowerCase() ? t.parentNode : t;
        },
            T = function T(e, r) {
          function i() {
            return ("0000" + (Math.random() * Math.pow(36, 5) << 0).toString(36)).slice(-5);
          }var n = 0,
              a = 0;this[0] = this.node = e, e.raphael = !0, this.id = i(), e.raphaelid = this.id, this.matrix = t.matrix(), this.realPath = null, this.paper = r, this.attrs = this.attrs || {}, this._ = { transform: [], sx: 1, sy: 1, deg: 0, dx: 0, dy: 0, dirty: 1 }, !r.bottom && (r.bottom = this), this.prev = r.top, r.top && (r.top.next = this), r.top = this, this.next = null;
        },
            E = t.el;T.prototype = E, E.constructor = T, t._engine.path = function (t, e) {
          var r = v("path");e.canvas && e.canvas.appendChild(r);var i = new T(r, e);return i.type = "path", B(i, { fill: "none", stroke: "#000", path: t }), i;
        }, E.rotate = function (t, e, n) {
          if (this.removed) return this;if (t = r(t).split(h), t.length - 1 && (e = i(t[1]), n = i(t[2])), t = i(t[0]), null == n && (e = n), null == e || null == n) {
            var a = this.getBBox(1);e = a.x + a.width / 2, n = a.y + a.height / 2;
          }return this.transform(this._.transform.concat([["r", t, e, n]])), this;
        }, E.scale = function (t, e, n, a) {
          if (this.removed) return this;if (t = r(t).split(h), t.length - 1 && (e = i(t[1]), n = i(t[2]), a = i(t[3])), t = i(t[0]), null == e && (e = t), null == a && (n = a), null == n || null == a) var s = this.getBBox(1);return n = null == n ? s.x + s.width / 2 : n, a = null == a ? s.y + s.height / 2 : a, this.transform(this._.transform.concat([["s", t, e, n, a]])), this;
        }, E.translate = function (t, e) {
          return this.removed ? this : (t = r(t).split(h), t.length - 1 && (e = i(t[1])), t = i(t[0]) || 0, e = +e || 0, this.transform(this._.transform.concat([["t", t, e]])), this);
        }, E.transform = function (r) {
          var i = this._;if (null == r) return i.transform;if (t._extractTransform(this, r), this.clip && v(this.clip, { transform: this.matrix.invert() }), this.pattern && b(this), this.node && v(this.node, { transform: this.matrix }), 1 != i.sx || 1 != i.sy) {
            var n = this.attrs[e]("stroke-width") ? this.attrs["stroke-width"] : 1;this.attr({ "stroke-width": n });
          }return this;
        }, E.hide = function () {
          return this.removed || (this.node.style.display = "none"), this;
        }, E.show = function () {
          return this.removed || (this.node.style.display = ""), this;
        }, E.remove = function () {
          var e = A(this.node);if (!this.removed && e.parentNode) {
            var r = this.paper;r.__set__ && r.__set__.exclude(this), u.unbind("raphael.*.*." + this.id), this.gradient && r.defs.removeChild(this.gradient), t._tear(this, r), e.parentNode.removeChild(e), this.removeData();for (var i in this) {
              this[i] = "function" == typeof this[i] ? t._removedFactory(i) : null;
            }this.removed = !0;
          }
        }, E._getBBox = function () {
          if ("none" == this.node.style.display) {
            this.show();var t = !0;
          }var e = !1,
              r;this.paper.canvas.parentElement ? r = this.paper.canvas.parentElement.style : this.paper.canvas.parentNode && (r = this.paper.canvas.parentNode.style), r && "none" == r.display && (e = !0, r.display = "");var i = {};try {
            i = this.node.getBBox();
          } catch (n) {
            i = { x: this.node.clientLeft, y: this.node.clientTop, width: this.node.clientWidth, height: this.node.clientHeight };
          } finally {
            i = i || {}, e && (r.display = "none");
          }return t && this.hide(), i;
        }, E.attr = function (r, i) {
          if (this.removed) return this;if (null == r) {
            var n = {};for (var a in this.attrs) {
              this.attrs[e](a) && (n[a] = this.attrs[a]);
            }return n.gradient && "none" == n.fill && (n.fill = n.gradient) && delete n.gradient, n.transform = this._.transform, n;
          }if (null == i && t.is(r, "string")) {
            if ("fill" == r && "none" == this.attrs.fill && this.attrs.gradient) return this.attrs.gradient;if ("transform" == r) return this._.transform;for (var s = r.split(h), o = {}, l = 0, c = s.length; l < c; l++) {
              r = s[l], r in this.attrs ? o[r] = this.attrs[r] : t.is(this.paper.customAttributes[r], "function") ? o[r] = this.paper.customAttributes[r].def : o[r] = t._availableAttrs[r];
            }return c - 1 ? o : o[s[0]];
          }if (null == i && t.is(r, "array")) {
            for (o = {}, l = 0, c = r.length; l < c; l++) {
              o[r[l]] = this.attr(r[l]);
            }return o;
          }if (null != i) {
            var f = {};f[r] = i;
          } else null != r && t.is(r, "object") && (f = r);for (var p in f) {
            u("raphael.attr." + p + "." + this.id, this, f[p]);
          }for (p in this.paper.customAttributes) {
            if (this.paper.customAttributes[e](p) && f[e](p) && t.is(this.paper.customAttributes[p], "function")) {
              var d = this.paper.customAttributes[p].apply(this, [].concat(f[p]));this.attrs[p] = f[p];for (var g in d) {
                d[e](g) && (f[g] = d[g]);
              }
            }
          }return B(this, f), this;
        }, E.toFront = function () {
          if (this.removed) return this;var e = A(this.node);e.parentNode.appendChild(e);var r = this.paper;return r.top != this && t._tofront(this, r), this;
        }, E.toBack = function () {
          if (this.removed) return this;var e = A(this.node),
              r = e.parentNode;r.insertBefore(e, r.firstChild), t._toback(this, this.paper);var i = this.paper;return this;
        }, E.insertAfter = function (e) {
          if (this.removed || !e) return this;var r = A(this.node),
              i = A(e.node || e[e.length - 1].node);return i.nextSibling ? i.parentNode.insertBefore(r, i.nextSibling) : i.parentNode.appendChild(r), t._insertafter(this, e, this.paper), this;
        }, E.insertBefore = function (e) {
          if (this.removed || !e) return this;var r = A(this.node),
              i = A(e.node || e[0].node);return i.parentNode.insertBefore(r, i), t._insertbefore(this, e, this.paper), this;
        }, E.blur = function (e) {
          var r = this;if (0 !== +e) {
            var i = v("filter"),
                n = v("feGaussianBlur");r.attrs.blur = e, i.id = t.createUUID(), v(n, { stdDeviation: +e || 1.5 }), i.appendChild(n), r.paper.defs.appendChild(i), r._blur = i, v(r.node, { filter: "url(#" + i.id + ")" });
          } else r._blur && (r._blur.parentNode.removeChild(r._blur), delete r._blur, delete r.attrs.blur), r.node.removeAttribute("filter");return r;
        }, t._engine.circle = function (t, e, r, i) {
          var n = v("circle");t.canvas && t.canvas.appendChild(n);var a = new T(n, t);return a.attrs = { cx: e, cy: r, r: i, fill: "none", stroke: "#000" }, a.type = "circle", v(n, a.attrs), a;
        }, t._engine.rect = function (t, e, r, i, n, a) {
          var s = v("rect");t.canvas && t.canvas.appendChild(s);var o = new T(s, t);return o.attrs = { x: e, y: r, width: i, height: n, rx: a || 0, ry: a || 0, fill: "none", stroke: "#000" }, o.type = "rect", v(s, o.attrs), o;
        }, t._engine.ellipse = function (t, e, r, i, n) {
          var a = v("ellipse");t.canvas && t.canvas.appendChild(a);var s = new T(a, t);return s.attrs = { cx: e, cy: r, rx: i, ry: n, fill: "none", stroke: "#000" }, s.type = "ellipse", v(a, s.attrs), s;
        }, t._engine.image = function (t, e, r, i, n, a) {
          var s = v("image");v(s, { x: r, y: i, width: n, height: a, preserveAspectRatio: "none" }), s.setAttributeNS(p, "href", e), t.canvas && t.canvas.appendChild(s);var o = new T(s, t);return o.attrs = { x: r, y: i, width: n, height: a, src: e }, o.type = "image", o;
        }, t._engine.text = function (e, r, i, n) {
          var a = v("text");e.canvas && e.canvas.appendChild(a);var s = new T(a, e);return s.attrs = { x: r, y: i, "text-anchor": "middle", text: n, "font-family": t._availableAttrs["font-family"], "font-size": t._availableAttrs["font-size"], stroke: "none", fill: "#000" }, s.type = "text", B(s, s.attrs), s;
        }, t._engine.setSize = function (t, e) {
          return this.width = t || this.width, this.height = e || this.height, this.canvas.setAttribute("width", this.width), this.canvas.setAttribute("height", this.height), this._viewBox && this.setViewBox.apply(this, this._viewBox), this;
        }, t._engine.create = function () {
          var e = t._getContainer.apply(0, arguments),
              r = e && e.container,
              i = e.x,
              n = e.y,
              a = e.width,
              s = e.height;if (!r) throw new Error("SVG container not found.");var o = v("svg"),
              l = "overflow:hidden;",
              h;return i = i || 0, n = n || 0, a = a || 512, s = s || 342, v(o, { height: s, version: 1.1, width: a, xmlns: "http://www.w3.org/2000/svg", "xmlns:xlink": "http://www.w3.org/1999/xlink" }), 1 == r ? (o.style.cssText = l + "position:absolute;left:" + i + "px;top:" + n + "px", t._g.doc.body.appendChild(o), h = 1) : (o.style.cssText = l + "position:relative", r.firstChild ? r.insertBefore(o, r.firstChild) : r.appendChild(o)), r = new t._Paper(), r.width = a, r.height = s, r.canvas = o, r.clear(), r._left = r._top = 0, h && (r.renderfix = function () {}), r.renderfix(), r;
        }, t._engine.setViewBox = function (t, e, r, i, n) {
          u("raphael.setViewBox", this, this._viewBox, [t, e, r, i, n]);var a = this.getSize(),
              o = s(r / a.width, i / a.height),
              l = this.top,
              h = n ? "xMidYMid meet" : "xMinYMin",
              c,
              p;for (null == t ? (this._vbSize && (o = 1), delete this._vbSize, c = "0 0 " + this.width + f + this.height) : (this._vbSize = o, c = t + f + e + f + r + f + i), v(this.canvas, { viewBox: c, preserveAspectRatio: h }); o && l;) {
            p = "stroke-width" in l.attrs ? l.attrs["stroke-width"] : 1, l.attr({ "stroke-width": p }), l._.dirty = 1, l._.dirtyT = 1, l = l.prev;
          }return this._viewBox = [t, e, r, i, !!n], this;
        }, t.prototype.renderfix = function () {
          var t = this.canvas,
              e = t.style,
              r;try {
            r = t.getScreenCTM() || t.createSVGMatrix();
          } catch (i) {
            r = t.createSVGMatrix();
          }var n = -r.e % 1,
              a = -r.f % 1;(n || a) && (n && (this._left = (this._left + n) % 1, e.left = this._left + "px"), a && (this._top = (this._top + a) % 1, e.top = this._top + "px"));
        }, t.prototype.clear = function () {
          t.eve("raphael.clear", this);for (var e = this.canvas; e.firstChild;) {
            e.removeChild(e.firstChild);
          }this.bottom = this.top = null, (this.desc = v("desc")).appendChild(t._g.doc.createTextNode("Created with Raphaël " + t.version)), e.appendChild(this.desc), e.appendChild(this.defs = v("defs"));
        }, t.prototype.remove = function () {
          u("raphael.remove", this), this.canvas.parentNode && this.canvas.parentNode.removeChild(this.canvas);for (var e in this) {
            this[e] = "function" == typeof this[e] ? t._removedFactory(e) : null;
          }
        };var M = t.st;for (var N in E) {
          E[e](N) && !M[e](N) && (M[N] = function (t) {
            return function () {
              var e = arguments;return this.forEach(function (r) {
                r[t].apply(r, e);
              });
            };
          }(N));
        }
      }
    }.apply(e, i), !(void 0 !== n && (t.exports = n));
  }, function (t, e, r) {
    var i, n;i = [r(1)], n = function (t) {
      if (!t || t.vml) {
        var e = "hasOwnProperty",
            r = String,
            i = parseFloat,
            n = Math,
            a = n.round,
            s = n.max,
            o = n.min,
            l = n.abs,
            h = "fill",
            u = /[, ]+/,
            c = t.eve,
            f = " progid:DXImageTransform.Microsoft",
            p = " ",
            d = "",
            g = { M: "m", L: "l", C: "c", Z: "x", m: "t", l: "r", c: "v", z: "x" },
            v = /([clmz]),?([^clmz]*)/gi,
            x = / progid:\S+Blur\([^\)]+\)/g,
            y = /-?[^,\s-]+/g,
            m = "position:absolute;left:0;top:0;width:1px;height:1px;behavior:url(#default#VML)",
            b = 21600,
            _ = { path: 1, rect: 1, image: 1 },
            w = { circle: 1, ellipse: 1 },
            k = function k(e) {
          var i = /[ahqstv]/gi,
              n = t._pathToAbsolute;if (r(e).match(i) && (n = t._path2curve), i = /[clmz]/g, n == t._pathToAbsolute && !r(e).match(i)) {
            var s = r(e).replace(v, function (t, e, r) {
              var i = [],
                  n = "m" == e.toLowerCase(),
                  s = g[e];return r.replace(y, function (t) {
                n && 2 == i.length && (s += i + g["m" == e ? "l" : "L"], i = []), i.push(a(t * b));
              }), s + i;
            });return s;
          }var o = n(e),
              l,
              h;s = [];for (var u = 0, c = o.length; u < c; u++) {
            l = o[u], h = o[u][0].toLowerCase(), "z" == h && (h = "x");for (var f = 1, x = l.length; f < x; f++) {
              h += a(l[f] * b) + (f != x - 1 ? "," : d);
            }s.push(h);
          }return s.join(p);
        },
            B = function B(e, r, i) {
          var n = t.matrix();return n.rotate(-e, .5, .5), { dx: n.x(r, i), dy: n.y(r, i) };
        },
            C = function C(t, e, r, i, n, a) {
          var s = t._,
              o = t.matrix,
              u = s.fillpos,
              c = t.node,
              f = c.style,
              d = 1,
              g = "",
              v,
              x = b / e,
              y = b / r;if (f.visibility = "hidden", e && r) {
            if (c.coordsize = l(x) + p + l(y), f.rotation = a * (e * r < 0 ? -1 : 1), a) {
              var m = B(a, i, n);i = m.dx, n = m.dy;
            }if (e < 0 && (g += "x"), r < 0 && (g += " y") && (d = -1), f.flip = g, c.coordorigin = i * -x + p + n * -y, u || s.fillsize) {
              var _ = c.getElementsByTagName(h);_ = _ && _[0], c.removeChild(_), u && (m = B(a, o.x(u[0], u[1]), o.y(u[0], u[1])), _.position = m.dx * d + p + m.dy * d), s.fillsize && (_.size = s.fillsize[0] * l(e) + p + s.fillsize[1] * l(r)), c.appendChild(_);
            }f.visibility = "visible";
          }
        };t.toString = function () {
          return "Your browser doesn’t support SVG. Falling down to VML.\nYou are running Raphaël " + this.version;
        };var S = function S(t, e, i) {
          for (var n = r(e).toLowerCase().split("-"), a = i ? "end" : "start", s = n.length, o = "classic", l = "medium", h = "medium"; s--;) {
            switch (n[s]) {case "block":case "classic":case "oval":case "diamond":case "open":case "none":
                o = n[s];break;case "wide":case "narrow":
                h = n[s];break;case "long":case "short":
                l = n[s];}
          }var u = t.node.getElementsByTagName("stroke")[0];u[a + "arrow"] = o, u[a + "arrowlength"] = l, u[a + "arrowwidth"] = h;
        },
            A = function A(n, l) {
          n.attrs = n.attrs || {};var c = n.node,
              f = n.attrs,
              g = c.style,
              v,
              x = _[n.type] && (l.x != f.x || l.y != f.y || l.width != f.width || l.height != f.height || l.cx != f.cx || l.cy != f.cy || l.rx != f.rx || l.ry != f.ry || l.r != f.r),
              y = w[n.type] && (f.cx != l.cx || f.cy != l.cy || f.r != l.r || f.rx != l.rx || f.ry != l.ry),
              m = n;for (var B in l) {
            l[e](B) && (f[B] = l[B]);
          }if (x && (f.path = t._getPath[n.type](n), n._.dirty = 1), l.href && (c.href = l.href), l.title && (c.title = l.title), l.target && (c.target = l.target), l.cursor && (g.cursor = l.cursor), "blur" in l && n.blur(l.blur), (l.path && "path" == n.type || x) && (c.path = k(~r(f.path).toLowerCase().indexOf("r") ? t._pathToAbsolute(f.path) : f.path), n._.dirty = 1, "image" == n.type && (n._.fillpos = [f.x, f.y], n._.fillsize = [f.width, f.height], C(n, 1, 1, 0, 0, 0))), "transform" in l && n.transform(l.transform), y) {
            var A = +f.cx,
                E = +f.cy,
                M = +f.rx || +f.r || 0,
                L = +f.ry || +f.r || 0;c.path = t.format("ar{0},{1},{2},{3},{4},{1},{4},{1}x", a((A - M) * b), a((E - L) * b), a((A + M) * b), a((E + L) * b), a(A * b)), n._.dirty = 1;
          }if ("clip-rect" in l) {
            var z = r(l["clip-rect"]).split(u);if (4 == z.length) {
              z[2] = +z[2] + +z[0], z[3] = +z[3] + +z[1];var P = c.clipRect || t._g.doc.createElement("div"),
                  F = P.style;F.clip = t.format("rect({1}px {2}px {3}px {0}px)", z), c.clipRect || (F.position = "absolute", F.top = 0, F.left = 0, F.width = n.paper.width + "px", F.height = n.paper.height + "px", c.parentNode.insertBefore(P, c), P.appendChild(c), c.clipRect = P);
            }l["clip-rect"] || c.clipRect && (c.clipRect.style.clip = "auto");
          }if (n.textpath) {
            var R = n.textpath.style;l.font && (R.font = l.font), l["font-family"] && (R.fontFamily = '"' + l["font-family"].split(",")[0].replace(/^['"]+|['"]+$/g, d) + '"'), l["font-size"] && (R.fontSize = l["font-size"]), l["font-weight"] && (R.fontWeight = l["font-weight"]), l["font-style"] && (R.fontStyle = l["font-style"]);
          }if ("arrow-start" in l && S(m, l["arrow-start"]), "arrow-end" in l && S(m, l["arrow-end"], 1), null != l.opacity || null != l.fill || null != l.src || null != l.stroke || null != l["stroke-width"] || null != l["stroke-opacity"] || null != l["fill-opacity"] || null != l["stroke-dasharray"] || null != l["stroke-miterlimit"] || null != l["stroke-linejoin"] || null != l["stroke-linecap"]) {
            var j = c.getElementsByTagName(h),
                I = !1;if (j = j && j[0], !j && (I = j = N(h)), "image" == n.type && l.src && (j.src = l.src), l.fill && (j.on = !0), null != j.on && "none" != l.fill && null !== l.fill || (j.on = !1), j.on && l.fill) {
              var q = r(l.fill).match(t._ISURL);if (q) {
                j.parentNode == c && c.removeChild(j), j.rotate = !0, j.src = q[1], j.type = "tile";var D = n.getBBox(1);j.position = D.x + p + D.y, n._.fillpos = [D.x, D.y], t._preload(q[1], function () {
                  n._.fillsize = [this.offsetWidth, this.offsetHeight];
                });
              } else j.color = t.getRGB(l.fill).hex, j.src = d, j.type = "solid", t.getRGB(l.fill).error && (m.type in { circle: 1, ellipse: 1 } || "r" != r(l.fill).charAt()) && T(m, l.fill, j) && (f.fill = "none", f.gradient = l.fill, j.rotate = !1);
            }if ("fill-opacity" in l || "opacity" in l) {
              var V = ((+f["fill-opacity"] + 1 || 2) - 1) * ((+f.opacity + 1 || 2) - 1) * ((+t.getRGB(l.fill).o + 1 || 2) - 1);V = o(s(V, 0), 1), j.opacity = V, j.src && (j.color = "none");
            }c.appendChild(j);var O = c.getElementsByTagName("stroke") && c.getElementsByTagName("stroke")[0],
                Y = !1;!O && (Y = O = N("stroke")), (l.stroke && "none" != l.stroke || l["stroke-width"] || null != l["stroke-opacity"] || l["stroke-dasharray"] || l["stroke-miterlimit"] || l["stroke-linejoin"] || l["stroke-linecap"]) && (O.on = !0), ("none" == l.stroke || null === l.stroke || null == O.on || 0 == l.stroke || 0 == l["stroke-width"]) && (O.on = !1);var W = t.getRGB(l.stroke);O.on && l.stroke && (O.color = W.hex), V = ((+f["stroke-opacity"] + 1 || 2) - 1) * ((+f.opacity + 1 || 2) - 1) * ((+W.o + 1 || 2) - 1);var G = .75 * (i(l["stroke-width"]) || 1);if (V = o(s(V, 0), 1), null == l["stroke-width"] && (G = f["stroke-width"]), l["stroke-width"] && (O.weight = G), G && G < 1 && (V *= G) && (O.weight = 1), O.opacity = V, l["stroke-linejoin"] && (O.joinstyle = l["stroke-linejoin"] || "miter"), O.miterlimit = l["stroke-miterlimit"] || 8, l["stroke-linecap"] && (O.endcap = "butt" == l["stroke-linecap"] ? "flat" : "square" == l["stroke-linecap"] ? "square" : "round"), "stroke-dasharray" in l) {
              var H = { "-": "shortdash", ".": "shortdot", "-.": "shortdashdot", "-..": "shortdashdotdot", ". ": "dot", "- ": "dash", "--": "longdash", "- .": "dashdot", "--.": "longdashdot", "--..": "longdashdotdot" };O.dashstyle = H[e](l["stroke-dasharray"]) ? H[l["stroke-dasharray"]] : d;
            }Y && c.appendChild(O);
          }if ("text" == m.type) {
            m.paper.canvas.style.display = d;var X = m.paper.span,
                U = 100,
                $ = f.font && f.font.match(/\d+(?:\.\d*)?(?=px)/);g = X.style, f.font && (g.font = f.font), f["font-family"] && (g.fontFamily = f["font-family"]), f["font-weight"] && (g.fontWeight = f["font-weight"]), f["font-style"] && (g.fontStyle = f["font-style"]), $ = i(f["font-size"] || $ && $[0]) || 10, g.fontSize = $ * U + "px", m.textpath.string && (X.innerHTML = r(m.textpath.string).replace(/</g, "&#60;").replace(/&/g, "&#38;").replace(/\n/g, "<br>"));var Z = X.getBoundingClientRect();m.W = f.w = (Z.right - Z.left) / U, m.H = f.h = (Z.bottom - Z.top) / U, m.X = f.x, m.Y = f.y + m.H / 2, ("x" in l || "y" in l) && (m.path.v = t.format("m{0},{1}l{2},{1}", a(f.x * b), a(f.y * b), a(f.x * b) + 1));for (var Q = ["x", "y", "text", "font", "font-family", "font-weight", "font-style", "font-size"], J = 0, K = Q.length; J < K; J++) {
              if (Q[J] in l) {
                m._.dirty = 1;break;
              }
            }switch (f["text-anchor"]) {case "start":
                m.textpath.style["v-text-align"] = "left", m.bbx = m.W / 2;break;case "end":
                m.textpath.style["v-text-align"] = "right", m.bbx = -m.W / 2;break;default:
                m.textpath.style["v-text-align"] = "center", m.bbx = 0;}m.textpath.style["v-text-kern"] = !0;
          }
        },
            T = function T(e, a, s) {
          e.attrs = e.attrs || {};var o = e.attrs,
              l = Math.pow,
              h,
              u,
              c = "linear",
              f = ".5 .5";if (e.attrs.gradient = a, a = r(a).replace(t._radial_gradient, function (t, e, r) {
            return c = "radial", e && r && (e = i(e), r = i(r), l(e - .5, 2) + l(r - .5, 2) > .25 && (r = n.sqrt(.25 - l(e - .5, 2)) * (2 * (r > .5) - 1) + .5), f = e + p + r), d;
          }), a = a.split(/\s*\-\s*/), "linear" == c) {
            var g = a.shift();if (g = -i(g), isNaN(g)) return null;
          }var v = t._parseDots(a);if (!v) return null;if (e = e.shape || e.node, v.length) {
            e.removeChild(s), s.on = !0, s.method = "none", s.color = v[0].color, s.color2 = v[v.length - 1].color;for (var x = [], y = 0, m = v.length; y < m; y++) {
              v[y].offset && x.push(v[y].offset + p + v[y].color);
            }s.colors = x.length ? x.join() : "0% " + s.color, "radial" == c ? (s.type = "gradientTitle", s.focus = "100%", s.focussize = "0 0", s.focusposition = f, s.angle = 0) : (s.type = "gradient", s.angle = (270 - g) % 360), e.appendChild(s);
          }return 1;
        },
            E = function E(e, r) {
          this[0] = this.node = e, e.raphael = !0, this.id = t._oid++, e.raphaelid = this.id, this.X = 0, this.Y = 0, this.attrs = {}, this.paper = r, this.matrix = t.matrix(), this._ = { transform: [], sx: 1, sy: 1, dx: 0, dy: 0, deg: 0, dirty: 1, dirtyT: 1 }, !r.bottom && (r.bottom = this), this.prev = r.top, r.top && (r.top.next = this), r.top = this, this.next = null;
        },
            M = t.el;E.prototype = M, M.constructor = E, M.transform = function (e) {
          if (null == e) return this._.transform;var i = this.paper._viewBoxShift,
              n = i ? "s" + [i.scale, i.scale] + "-1-1t" + [i.dx, i.dy] : d,
              a;i && (a = e = r(e).replace(/\.{3}|\u2026/g, this._.transform || d)), t._extractTransform(this, n + e);var s = this.matrix.clone(),
              o = this.skew,
              l = this.node,
              h,
              u = ~r(this.attrs.fill).indexOf("-"),
              c = !r(this.attrs.fill).indexOf("url(");if (s.translate(1, 1), c || u || "image" == this.type) {
            if (o.matrix = "1 0 0 1", o.offset = "0 0", h = s.split(), u && h.noRotation || !h.isSimple) {
              l.style.filter = s.toFilter();var f = this.getBBox(),
                  g = this.getBBox(1),
                  v = f.x - g.x,
                  x = f.y - g.y;l.coordorigin = v * -b + p + x * -b, C(this, 1, 1, v, x, 0);
            } else l.style.filter = d, C(this, h.scalex, h.scaley, h.dx, h.dy, h.rotate);
          } else l.style.filter = d, o.matrix = r(s), o.offset = s.offset();return null !== a && (this._.transform = a, t._extractTransform(this, a)), this;
        }, M.rotate = function (t, e, n) {
          if (this.removed) return this;if (null != t) {
            if (t = r(t).split(u), t.length - 1 && (e = i(t[1]), n = i(t[2])), t = i(t[0]), null == n && (e = n), null == e || null == n) {
              var a = this.getBBox(1);e = a.x + a.width / 2, n = a.y + a.height / 2;
            }return this._.dirtyT = 1, this.transform(this._.transform.concat([["r", t, e, n]])), this;
          }
        }, M.translate = function (t, e) {
          return this.removed ? this : (t = r(t).split(u), t.length - 1 && (e = i(t[1])), t = i(t[0]) || 0, e = +e || 0, this._.bbox && (this._.bbox.x += t, this._.bbox.y += e), this.transform(this._.transform.concat([["t", t, e]])), this);
        }, M.scale = function (t, e, n, a) {
          if (this.removed) return this;if (t = r(t).split(u), t.length - 1 && (e = i(t[1]), n = i(t[2]), a = i(t[3]), isNaN(n) && (n = null), isNaN(a) && (a = null)), t = i(t[0]), null == e && (e = t), null == a && (n = a), null == n || null == a) var s = this.getBBox(1);return n = null == n ? s.x + s.width / 2 : n, a = null == a ? s.y + s.height / 2 : a, this.transform(this._.transform.concat([["s", t, e, n, a]])), this._.dirtyT = 1, this;
        }, M.hide = function () {
          return !this.removed && (this.node.style.display = "none"), this;
        }, M.show = function () {
          return !this.removed && (this.node.style.display = d), this;
        }, M.auxGetBBox = t.el.getBBox, M.getBBox = function () {
          var t = this.auxGetBBox();if (this.paper && this.paper._viewBoxShift) {
            var e = {},
                r = 1 / this.paper._viewBoxShift.scale;return e.x = t.x - this.paper._viewBoxShift.dx, e.x *= r, e.y = t.y - this.paper._viewBoxShift.dy, e.y *= r, e.width = t.width * r, e.height = t.height * r, e.x2 = e.x + e.width, e.y2 = e.y + e.height, e;
          }return t;
        }, M._getBBox = function () {
          return this.removed ? {} : { x: this.X + (this.bbx || 0) - this.W / 2, y: this.Y - this.H, width: this.W, height: this.H };
        }, M.remove = function () {
          if (!this.removed && this.node.parentNode) {
            this.paper.__set__ && this.paper.__set__.exclude(this), t.eve.unbind("raphael.*.*." + this.id), t._tear(this, this.paper), this.node.parentNode.removeChild(this.node), this.shape && this.shape.parentNode.removeChild(this.shape);for (var e in this) {
              this[e] = "function" == typeof this[e] ? t._removedFactory(e) : null;
            }this.removed = !0;
          }
        }, M.attr = function (r, i) {
          if (this.removed) return this;if (null == r) {
            var n = {};for (var a in this.attrs) {
              this.attrs[e](a) && (n[a] = this.attrs[a]);
            }return n.gradient && "none" == n.fill && (n.fill = n.gradient) && delete n.gradient, n.transform = this._.transform, n;
          }if (null == i && t.is(r, "string")) {
            if (r == h && "none" == this.attrs.fill && this.attrs.gradient) return this.attrs.gradient;for (var s = r.split(u), o = {}, l = 0, f = s.length; l < f; l++) {
              r = s[l], r in this.attrs ? o[r] = this.attrs[r] : t.is(this.paper.customAttributes[r], "function") ? o[r] = this.paper.customAttributes[r].def : o[r] = t._availableAttrs[r];
            }return f - 1 ? o : o[s[0]];
          }if (this.attrs && null == i && t.is(r, "array")) {
            for (o = {}, l = 0, f = r.length; l < f; l++) {
              o[r[l]] = this.attr(r[l]);
            }return o;
          }var p;null != i && (p = {}, p[r] = i), null == i && t.is(r, "object") && (p = r);for (var d in p) {
            c("raphael.attr." + d + "." + this.id, this, p[d]);
          }if (p) {
            for (d in this.paper.customAttributes) {
              if (this.paper.customAttributes[e](d) && p[e](d) && t.is(this.paper.customAttributes[d], "function")) {
                var g = this.paper.customAttributes[d].apply(this, [].concat(p[d]));this.attrs[d] = p[d];for (var v in g) {
                  g[e](v) && (p[v] = g[v]);
                }
              }
            }p.text && "text" == this.type && (this.textpath.string = p.text), A(this, p);
          }return this;
        }, M.toFront = function () {
          return !this.removed && this.node.parentNode.appendChild(this.node), this.paper && this.paper.top != this && t._tofront(this, this.paper), this;
        }, M.toBack = function () {
          return this.removed ? this : (this.node.parentNode.firstChild != this.node && (this.node.parentNode.insertBefore(this.node, this.node.parentNode.firstChild), t._toback(this, this.paper)), this);
        }, M.insertAfter = function (e) {
          return this.removed ? this : (e.constructor == t.st.constructor && (e = e[e.length - 1]), e.node.nextSibling ? e.node.parentNode.insertBefore(this.node, e.node.nextSibling) : e.node.parentNode.appendChild(this.node), t._insertafter(this, e, this.paper), this);
        }, M.insertBefore = function (e) {
          return this.removed ? this : (e.constructor == t.st.constructor && (e = e[0]), e.node.parentNode.insertBefore(this.node, e.node), t._insertbefore(this, e, this.paper), this);
        }, M.blur = function (e) {
          var r = this.node.runtimeStyle,
              i = r.filter;return i = i.replace(x, d), 0 !== +e ? (this.attrs.blur = e, r.filter = i + p + f + ".Blur(pixelradius=" + (+e || 1.5) + ")", r.margin = t.format("-{0}px 0 0 -{0}px", a(+e || 1.5))) : (r.filter = i, r.margin = 0, delete this.attrs.blur), this;
        }, t._engine.path = function (t, e) {
          var r = N("shape");r.style.cssText = m, r.coordsize = b + p + b, r.coordorigin = e.coordorigin;var i = new E(r, e),
              n = { fill: "none", stroke: "#000" };t && (n.path = t), i.type = "path", i.path = [], i.Path = d, A(i, n), e.canvas && e.canvas.appendChild(r);var a = N("skew");return a.on = !0, r.appendChild(a), i.skew = a, i.transform(d), i;
        }, t._engine.rect = function (e, r, i, n, a, s) {
          var o = t._rectPath(r, i, n, a, s),
              l = e.path(o),
              h = l.attrs;return l.X = h.x = r, l.Y = h.y = i, l.W = h.width = n, l.H = h.height = a, h.r = s, h.path = o, l.type = "rect", l;
        }, t._engine.ellipse = function (t, e, r, i, n) {
          var a = t.path(),
              s = a.attrs;return a.X = e - i, a.Y = r - n, a.W = 2 * i, a.H = 2 * n, a.type = "ellipse", A(a, { cx: e, cy: r, rx: i, ry: n }), a;
        }, t._engine.circle = function (t, e, r, i) {
          var n = t.path(),
              a = n.attrs;return n.X = e - i, n.Y = r - i, n.W = n.H = 2 * i, n.type = "circle", A(n, { cx: e, cy: r, r: i }), n;
        }, t._engine.image = function (e, r, i, n, a, s) {
          var o = t._rectPath(i, n, a, s),
              l = e.path(o).attr({ stroke: "none" }),
              u = l.attrs,
              c = l.node,
              f = c.getElementsByTagName(h)[0];return u.src = r, l.X = u.x = i, l.Y = u.y = n, l.W = u.width = a, l.H = u.height = s, u.path = o, l.type = "image", f.parentNode == c && c.removeChild(f), f.rotate = !0, f.src = r, f.type = "tile", l._.fillpos = [i, n], l._.fillsize = [a, s], c.appendChild(f), C(l, 1, 1, 0, 0, 0), l;
        }, t._engine.text = function (e, i, n, s) {
          var o = N("shape"),
              l = N("path"),
              h = N("textpath");i = i || 0, n = n || 0, s = s || "", l.v = t.format("m{0},{1}l{2},{1}", a(i * b), a(n * b), a(i * b) + 1), l.textpathok = !0, h.string = r(s), h.on = !0, o.style.cssText = m, o.coordsize = b + p + b, o.coordorigin = "0 0";var u = new E(o, e),
              c = { fill: "#000", stroke: "none", font: t._availableAttrs.font, text: s };u.shape = o, u.path = l, u.textpath = h, u.type = "text", u.attrs.text = r(s), u.attrs.x = i, u.attrs.y = n, u.attrs.w = 1, u.attrs.h = 1, A(u, c), o.appendChild(h), o.appendChild(l), e.canvas.appendChild(o);var f = N("skew");return f.on = !0, o.appendChild(f), u.skew = f, u.transform(d), u;
        }, t._engine.setSize = function (e, r) {
          var i = this.canvas.style;return this.width = e, this.height = r, e == +e && (e += "px"), r == +r && (r += "px"), i.width = e, i.height = r, i.clip = "rect(0 " + e + " " + r + " 0)", this._viewBox && t._engine.setViewBox.apply(this, this._viewBox), this;
        }, t._engine.setViewBox = function (e, r, i, n, a) {
          t.eve("raphael.setViewBox", this, this._viewBox, [e, r, i, n, a]);var s = this.getSize(),
              o = s.width,
              l = s.height,
              h,
              u;return a && (h = l / n, u = o / i, i * h < o && (e -= (o - i * h) / 2 / h), n * u < l && (r -= (l - n * u) / 2 / u)), this._viewBox = [e, r, i, n, !!a], this._viewBoxShift = { dx: -e, dy: -r, scale: s }, this.forEach(function (t) {
            t.transform("...");
          }), this;
        };var N;t._engine.initWin = function (t) {
          var e = t.document;e.styleSheets.length < 31 ? e.createStyleSheet().addRule(".rvml", "behavior:url(#default#VML)") : e.styleSheets[0].addRule(".rvml", "behavior:url(#default#VML)");try {
            !e.namespaces.rvml && e.namespaces.add("rvml", "urn:schemas-microsoft-com:vml"), N = function N(t) {
              return e.createElement("<rvml:" + t + ' class="rvml">');
            };
          } catch (r) {
            N = function N(t) {
              return e.createElement("<" + t + ' xmlns="urn:schemas-microsoft.com:vml" class="rvml">');
            };
          }
        }, t._engine.initWin(t._g.win), t._engine.create = function () {
          var e = t._getContainer.apply(0, arguments),
              r = e.container,
              i = e.height,
              n,
              a = e.width,
              s = e.x,
              o = e.y;if (!r) throw new Error("VML container not found.");var l = new t._Paper(),
              h = l.canvas = t._g.doc.createElement("div"),
              u = h.style;return s = s || 0, o = o || 0, a = a || 512, i = i || 342, l.width = a, l.height = i, a == +a && (a += "px"), i == +i && (i += "px"), l.coordsize = 1e3 * b + p + 1e3 * b, l.coordorigin = "0 0", l.span = t._g.doc.createElement("span"), l.span.style.cssText = "position:absolute;left:-9999em;top:-9999em;padding:0;margin:0;line-height:1;", h.appendChild(l.span), u.cssText = t.format("top:0;left:0;width:{0};height:{1};display:inline-block;position:relative;clip:rect(0 {0} {1} 0);overflow:hidden", a, i), 1 == r ? (t._g.doc.body.appendChild(h), u.left = s + "px", u.top = o + "px", u.position = "absolute") : r.firstChild ? r.insertBefore(h, r.firstChild) : r.appendChild(h), l.renderfix = function () {}, l;
        }, t.prototype.clear = function () {
          t.eve("raphael.clear", this), this.canvas.innerHTML = d, this.span = t._g.doc.createElement("span"), this.span.style.cssText = "position:absolute;left:-9999em;top:-9999em;padding:0;margin:0;line-height:1;display:inline;", this.canvas.appendChild(this.span), this.bottom = this.top = null;
        }, t.prototype.remove = function () {
          t.eve("raphael.remove", this), this.canvas.parentNode.removeChild(this.canvas);for (var e in this) {
            this[e] = "function" == typeof this[e] ? t._removedFactory(e) : null;
          }return !0;
        };var L = t.st;for (var z in M) {
          M[e](z) && !L[e](z) && (L[z] = function (t) {
            return function () {
              var e = arguments;return this.forEach(function (r) {
                r[t].apply(r, e);
              });
            };
          }(z));
        }
      }
    }.apply(e, i), !(void 0 !== n && (t.exports = n));
  }]);
});
/* WEBPACK VAR INJECTION */}.call(exports, __webpack_require__(15)(module)))

/***/ }),
/* 50 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function () {
    __webpack_require__(70);
    var _default = {
        contentHtml: '',
        closeCallBack: function closeCallBack() {}
    };
    var $ = __webpack_require__(0);
    function Shadow(cfg) {
        var config = $.extend({}, _default, cfg || {});

        this.get = function (n) {
            return config[n];
        };

        this.set = function (n, v) {
            config[n] = v;
        };
        this.init();
    }

    Shadow.prototype.init = function () {
        var $fillPop = $('#J_ShadowPop');
        if (!$fillPop.length) {
            $fillPop = $('<div class="shadow-pop" id="J_ShadowPop">' + '<div class="shadow-layer"></div>' + '<div class="J_ShadowBox shadow-box">' + '<div class="new-win-tips">' + '<p class="new-p01">您已在其他页面发起咨询，当前咨询已失效!</p>' + '<p class="btn-box"><a href="javascript:;" onclick="reload()"> 请点击这里重新咨询</a></p>' + '</div>' + '</div>' + '</div>');
            $fillPop.appendTo('body');
        }
        // $fillPop.find('.J_ShadowBox').empty();
        $fillPop.hide();
        this.fillPop = $fillPop;
        this.fillBox = $fillPop.find('.J_ShadowBox');
    };

    Shadow.prototype.open = function (cfg) {
        var that = this;
        if (cfg && cfg.closeCallBack) {
            that.closeCallBack = cfg.closeCallBack;
        }
        if (cfg && cfg.contentHtml) {
            that.fillBox.empty();
            that.fillBox.html(cfg.contentHtml);
        }
        that.fillPop.show();
        that.setPosition();
        $(window).scroll(function () {
            that.setPosition();
        });
        $(window).resize(function () {
            that.setPosition();
        });
        //that.bindBtnEvt();
    };
    // 绑定确定按钮事件
    Shadow.prototype.bindBtnEvt = function () {
        var that = this;
        $('.J_ShadowClose').click(function () {
            that.hide();
        });
    };
    // 设置弹框的位置
    Shadow.prototype.setPosition = function () {
        var that = this;
        var _wh = $(window).height();
        var _ww = $(window).width();
        var _ph = that.fillBox.height();
        var _pw = that.fillBox.width();
        var _top = parseInt((_wh - _ph) / 2);
        _top = _top >= 0 ? _top : 0;
        var _left = parseInt((_ww - _pw) / 2);
        _left = _left >= 0 ? _left : 0;
        that.fillBox.css({
            'position': 'absolute',
            'top': _top,
            'left': _left,
            'z-index': 1002
        });
    };

    Shadow.prototype.hide = function (cfg) {
        var that = this;
        $('#J_ShadowPop').hide();
        if (typeof that.closeCallback == 'function') {
            that.closeCallback.call(that);
        }
    };

    Shadow.getInstance = function (cfg) {
        return new Shadow(cfg);
    };

    module.exports = Shadow;
})();

/***/ }),
/* 51 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*! Swipebox v1.4.4 | Constantin Saguin csag.co | MIT License | github.com/brutaldesign/swipebox */
var $ = __webpack_require__(0);
__webpack_require__(71);
module.exports = {
    install: function install(window, document, $, undefined) {

        $.swipebox = function (elem, options) {

            // Default options
            var ui,
                defaults = {
                useCSS: true,
                useSVG: true,
                initialIndexOnArray: 0,
                removeBarsOnMobile: true,
                hideCloseButtonOnMobile: false,
                hideBarsDelay: 3000,
                videoMaxWidth: 1140,
                vimeoColor: 'cccccc',
                beforeOpen: null,
                afterOpen: null,
                afterClose: null,
                afterMedia: null,
                nextSlide: null,
                prevSlide: null,
                loopAtEnd: false,
                autoplayVideos: false,
                queryStringData: {},
                toggleClassOnLoad: ''
            },
                plugin = this,
                elements = [],
                // slides array [ { href:'...', title:'...' }, ...],
            $elem,

            //                  selector = elem.selector,
            selector = options.selector,
                isMobile = navigator.userAgent.match(/(iPad)|(iPhone)|(iPod)|(Android)|(PlayBook)|(BB10)|(BlackBerry)|(Opera Mini)|(IEMobile)|(webOS)|(MeeGo)/i),
                isTouch = isMobile !== null || document.createTouch !== undefined || 'ontouchstart' in window || 'onmsgesturechange' in window || navigator.msMaxTouchPoints,
                supportSVG = !!document.createElementNS && !!document.createElementNS('http://www.w3.org/2000/svg', 'svg').createSVGRect,
                winWidth = window.innerWidth ? window.innerWidth : $(window).width(),
                winHeight = window.innerHeight ? window.innerHeight : $(window).height(),
                currentX = 0,

            /* jshint multistr: true */
            html = '<div id="swipebox-overlay">\
					<div id="swipebox-container">\
						<div id="swipebox-slider"></div>\
						<div id="swipebox-top-bar">\
							<div id="swipebox-title"></div>\
						</div>\
						<div id="swipebox-bottom-bar">\
							<div id="swipebox-arrows">\
								<a id="swipebox-prev"></a>\
								<a id="swipebox-next"></a>\
							</div>\
						</div>\
						<a id="swipebox-close"></a>\
					</div>\
			</div>';

            plugin.settings = {};

            $.swipebox.close = function () {
                ui.closeSlide();
            };

            $.swipebox.extend = function () {
                return ui;
            };

            plugin.init = function () {

                plugin.settings = $.extend({}, defaults, options);

                if ($.isArray(elem)) {
                    elements = elem;
                    ui.target = $(window);
                    ui.init(plugin.settings.initialIndexOnArray);
                } else {

                    $(document).on('click', selector, function (event) {

                        if (event.target.parentNode.className === 'slide current') {

                            return false;
                        }

                        if (!$.isArray(elem)) {
                            ui.destroy();
                            $elem = $(selector);
                            ui.actions();
                        }

                        elements = [];
                        var index, relType, relVal;

                        // Allow for HTML5 compliant attribute before legacy use of rel
                        if (!relVal) {
                            relType = 'data-rel';
                            relVal = $(this).attr(relType);
                        }

                        if (!relVal) {
                            relType = 'rel';
                            relVal = $(this).attr(relType);
                        }

                        if (relVal && relVal !== '' && relVal !== 'nofollow') {
                            $elem = $(selector).filter('[' + relType + '="' + relVal + '"]');
                        } else {
                            $elem = $(selector);
                        }

                        $elem.each(function () {

                            var title = null,
                                href = null;

                            if ($(this).attr('title')) {
                                title = $(this).attr('title');
                            }

                            if ($(this).attr('href')) {
                                href = $(this).attr('href');
                            }

                            elements.push({
                                href: href,
                                title: title
                            });
                        });

                        index = $elem.index($(this));
                        event.preventDefault();
                        event.stopPropagation();
                        ui.target = $(event.target);
                        ui.init(index);
                    });
                }
            };

            ui = {

                /**
                 * Initiate Swipebox
                 */
                init: function init(index) {
                    if (plugin.settings.beforeOpen) {
                        plugin.settings.beforeOpen();
                    }
                    this.target.trigger('swipebox-start');
                    $.swipebox.isOpen = true;
                    this.build();
                    this.openSlide(index);
                    this.openMedia(index);
                    this.preloadMedia(index + 1);
                    this.preloadMedia(index - 1);
                    if (plugin.settings.afterOpen) {
                        plugin.settings.afterOpen(index);
                    }
                },

                /**
                 * Built HTML containers and fire main functions
                 */
                build: function build() {
                    var $this = this,
                        bg;

                    $('body').append(html);

                    if (supportSVG && plugin.settings.useSVG === true) {
                        bg = $('#swipebox-close').css('background-image');
                        bg = bg.replace('png', 'svg');
                        $('#swipebox-prev, #swipebox-next, #swipebox-close').css({
                            'background-image': bg
                        });
                    }

                    if (isMobile && plugin.settings.removeBarsOnMobile) {
                        $('#swipebox-bottom-bar, #swipebox-top-bar').remove();
                    }

                    $.each(elements, function () {
                        $('#swipebox-slider').append('<div class="slide"></div>');
                    });

                    $this.setDim();
                    $this.actions();

                    if (isTouch) {
                        $this.gesture();
                    }

                    // Devices can have both touch and keyboard input so always allow key events
                    $this.keyboard();

                    $this.animBars();
                    $this.resize();
                    if (plugin.settings.touchClose) {
                        $('#swipebox-close').hide();
                    }
                },

                /**
                 * Set dimensions depending on windows width and height
                 */
                setDim: function setDim() {

                    var width,
                        height,
                        sliderCss = {};

                    // Reset dimensions on mobile orientation change
                    if ('onorientationchange' in window) {

                        window.addEventListener('orientationchange', function () {
                            if (window.orientation === 0) {
                                width = winWidth;
                                height = winHeight;
                            } else if (window.orientation === 90 || window.orientation === -90) {
                                width = winHeight;
                                height = winWidth;
                            }
                        }, false);
                    } else {

                        width = window.innerWidth ? window.innerWidth : $(window).width();
                        height = window.innerHeight ? window.innerHeight : $(window).height();
                    }

                    sliderCss = {
                        width: width,
                        height: height
                    };

                    $('#swipebox-overlay').css(sliderCss);
                },

                /**
                 * Reset dimensions on window resize envent
                 */
                resize: function resize() {
                    var $this = this;

                    $(window).resize(function () {
                        $this.setDim();
                    }).resize();
                },

                /**
                 * Check if device supports CSS transitions
                 */
                supportTransition: function supportTransition() {

                    var prefixes = 'transition WebkitTransition MozTransition OTransition msTransition KhtmlTransition'.split(' '),
                        i;

                    for (i = 0; i < prefixes.length; i++) {
                        if (document.createElement('div').style[prefixes[i]] !== undefined) {
                            return prefixes[i];
                        }
                    }
                    return false;
                },

                /**
                 * Check if CSS transitions are allowed (options + devicesupport)
                 */
                doCssTrans: function doCssTrans() {
                    if (plugin.settings.useCSS && this.supportTransition()) {
                        return true;
                    }
                },

                /**
                 * Touch navigation
                 */
                gesture: function gesture() {

                    var $this = this,
                        index,
                        hDistance,
                        vDistance,
                        hDistanceLast,
                        vDistanceLast,
                        hDistancePercent,
                        vSwipe = false,
                        hSwipe = false,
                        hSwipMinDistance = 10,
                        vSwipMinDistance = 50,
                        startCoords = {},
                        endCoords = {},
                        bars = $('#swipebox-top-bar, #swipebox-bottom-bar'),
                        slider = $('#swipebox-slider');

                    bars.addClass('visible-bars');
                    $this.setTimeout();

                    $('body').bind('touchstart', function (event) {

                        $(this).addClass('touching');
                        index = $('#swipebox-slider .slide').index($('#swipebox-slider .slide.current'));
                        endCoords = event.originalEvent.targetTouches[0];
                        startCoords.pageX = event.originalEvent.targetTouches[0].pageX;
                        startCoords.pageY = event.originalEvent.targetTouches[0].pageY;

                        $('#swipebox-slider').css({
                            '-webkit-transform': 'translate3d(' + currentX + '%, 0, 0)',
                            'transform': 'translate3d(' + currentX + '%, 0, 0)'
                        });

                        $('.touching').bind('touchmove', function (event) {
                            event.preventDefault();
                            event.stopPropagation();
                            endCoords = event.originalEvent.targetTouches[0];

                            if (!hSwipe) {
                                vDistanceLast = vDistance;
                                vDistance = endCoords.pageY - startCoords.pageY;
                                if (Math.abs(vDistance) >= vSwipMinDistance || vSwipe) {
                                    var opacity = 0.75 - Math.abs(vDistance) / slider.height();

                                    slider.css({ 'top': vDistance + 'px' });
                                    slider.css({ 'opacity': opacity });

                                    vSwipe = true;
                                }
                            }

                            hDistanceLast = hDistance;
                            hDistance = endCoords.pageX - startCoords.pageX;
                            hDistancePercent = hDistance * 100 / winWidth;

                            if (!hSwipe && !vSwipe && Math.abs(hDistance) >= hSwipMinDistance) {
                                $('#swipebox-slider').css({
                                    '-webkit-transition': '',
                                    'transition': ''
                                });
                                hSwipe = true;
                            }

                            if (hSwipe) {

                                // swipe left
                                if (0 < hDistance) {

                                    // first slide
                                    if (0 === index) {
                                        // console.log( 'first' );
                                        $('#swipebox-overlay').addClass('leftSpringTouch');
                                    } else {
                                        // Follow gesture
                                        $('#swipebox-overlay').removeClass('leftSpringTouch').removeClass('rightSpringTouch');
                                        $('#swipebox-slider').css({
                                            '-webkit-transform': 'translate3d(' + (currentX + hDistancePercent) + '%, 0, 0)',
                                            'transform': 'translate3d(' + (currentX + hDistancePercent) + '%, 0, 0)'
                                        });
                                    }

                                    // swipe rught
                                } else if (0 > hDistance) {

                                    // last Slide
                                    if (elements.length === index + 1) {
                                        // console.log( 'last' );
                                        $('#swipebox-overlay').addClass('rightSpringTouch');
                                    } else {
                                        $('#swipebox-overlay').removeClass('leftSpringTouch').removeClass('rightSpringTouch');
                                        $('#swipebox-slider').css({
                                            '-webkit-transform': 'translate3d(' + (currentX + hDistancePercent) + '%, 0, 0)',
                                            'transform': 'translate3d(' + (currentX + hDistancePercent) + '%, 0, 0)'
                                        });
                                    }
                                }
                            }
                        });

                        return false;
                    }).bind('touchend', function (event) {
                        event.preventDefault();
                        event.stopPropagation();

                        $('#swipebox-slider').css({
                            '-webkit-transition': '-webkit-transform 0.4s ease',
                            'transition': 'transform 0.4s ease'
                        });

                        vDistance = endCoords.pageY - startCoords.pageY;
                        hDistance = endCoords.pageX - startCoords.pageX;
                        hDistancePercent = hDistance * 100 / winWidth;

                        // Swipe to bottom to close
                        if (vSwipe) {
                            vSwipe = false;
                            if (Math.abs(vDistance) >= 2 * vSwipMinDistance && Math.abs(vDistance) > Math.abs(vDistanceLast)) {
                                var vOffset = vDistance > 0 ? slider.height() : -slider.height();
                                slider.animate({ top: vOffset + 'px', 'opacity': 0 }, 300, function () {
                                    $this.closeSlide();
                                });
                            } else {
                                slider.animate({ top: 0, 'opacity': 1 }, 300);
                            }
                        } else if (hSwipe) {

                            hSwipe = false;

                            // swipeLeft
                            if (hDistance >= hSwipMinDistance && hDistance >= hDistanceLast) {

                                $this.getPrev();

                                // swipeRight
                            } else if (hDistance <= -hSwipMinDistance && hDistance <= hDistanceLast) {

                                $this.getNext();
                            }
                        } else {
                            // Top and bottom bars have been removed on touchable devices
                            // tap
                            if (!bars.hasClass('visible-bars')) {
                                if (plugin.settings.touchClose) {
                                    $this.closeSlide();
                                }
                                $this.showBars();
                                $this.setTimeout();
                            } else {
                                $this.clearTimeout();
                                $this.hideBars();
                            }
                        }

                        $('#swipebox-slider').css({
                            '-webkit-transform': 'translate3d(' + currentX + '%, 0, 0)',
                            'transform': 'translate3d(' + currentX + '%, 0, 0)'
                        });

                        $('#swipebox-overlay').removeClass('leftSpringTouch').removeClass('rightSpringTouch');
                        $('.touching').off('touchmove').removeClass('touching');
                    });
                },

                /**
                 * Set timer to hide the action bars
                 */
                setTimeout: function setTimeout() {
                    if (plugin.settings.hideBarsDelay > 0) {
                        var $this = this;
                        $this.clearTimeout();
                        $this.timeout = window.setTimeout(function () {
                            $this.hideBars();
                        }, plugin.settings.hideBarsDelay);
                    }
                },

                /**
                 * Clear timer
                 */
                clearTimeout: function clearTimeout() {
                    window.clearTimeout(this.timeout);
                    this.timeout = null;
                },

                /**
                 * Show navigation and title bars
                 */
                showBars: function showBars() {
                    var bars = $('#swipebox-top-bar, #swipebox-bottom-bar');
                    if (this.doCssTrans()) {
                        bars.addClass('visible-bars');
                    } else {
                        $('#swipebox-top-bar').animate({ top: 0 }, 500);
                        $('#swipebox-bottom-bar').animate({ bottom: 0 }, 500);
                        setTimeout(function () {
                            bars.addClass('visible-bars');
                        }, 1000);
                    }
                },

                /**
                 * Hide navigation and title bars
                 */
                hideBars: function hideBars() {
                    var bars = $('#swipebox-top-bar, #swipebox-bottom-bar');
                    if (this.doCssTrans()) {
                        bars.removeClass('visible-bars');
                    } else {
                        $('#swipebox-top-bar').animate({ top: '-50px' }, 500);
                        $('#swipebox-bottom-bar').animate({ bottom: '-50px' }, 500);
                        setTimeout(function () {
                            bars.removeClass('visible-bars');
                        }, 1000);
                    }
                },

                /**
                 * Animate navigation and top bars
                 */
                animBars: function animBars() {
                    var $this = this,
                        bars = $('#swipebox-top-bar, #swipebox-bottom-bar');

                    bars.addClass('visible-bars');
                    $this.setTimeout();

                    $('#swipebox-slider').click(function () {
                        if (!bars.hasClass('visible-bars')) {
                            $this.showBars();
                            $this.setTimeout();
                        }
                    });

                    $('#swipebox-bottom-bar').hover(function () {
                        $this.showBars();
                        bars.addClass('visible-bars');
                        $this.clearTimeout();
                    }, function () {
                        if (plugin.settings.hideBarsDelay > 0) {
                            bars.removeClass('visible-bars');
                            $this.setTimeout();
                        }
                    });
                },

                /**
                 * Keyboard navigation
                 */
                keyboard: function keyboard() {
                    var $this = this;
                    $(window).bind('keyup', function (event) {
                        event.preventDefault();
                        event.stopPropagation();

                        if (event.keyCode === 37) {

                            $this.getPrev();
                        } else if (event.keyCode === 39) {

                            $this.getNext();
                        } else if (event.keyCode === 27) {

                            $this.closeSlide();
                        }
                    });
                },

                /**
                 * Navigation events : go to next slide, go to prevous slide and close
                 */
                actions: function actions() {
                    var $this = this,
                        action = 'touchend click'; // Just detect for both event types to allow for multi-input

                    if (elements.length < 2) {

                        $('#swipebox-bottom-bar').hide();

                        if (undefined === elements[1]) {
                            $('#swipebox-top-bar').hide();
                        }
                    } else {
                        $('#swipebox-prev').bind(action, function (event) {
                            event.preventDefault();
                            event.stopPropagation();
                            $this.getPrev();
                            $this.setTimeout();
                        });

                        $('#swipebox-next').bind(action, function (event) {
                            event.preventDefault();
                            event.stopPropagation();
                            $this.getNext();
                            $this.setTimeout();
                        });
                    }

                    $('#swipebox-close').bind(action, function () {
                        $this.closeSlide();
                    });
                },

                /**
                 * Set current slide
                 */
                setSlide: function setSlide(index, isFirst) {

                    isFirst = isFirst || false;

                    var slider = $('#swipebox-slider');

                    currentX = -index * 100;

                    if (this.doCssTrans()) {
                        slider.css({
                            '-webkit-transform': 'translate3d(' + -index * 100 + '%, 0, 0)',
                            'transform': 'translate3d(' + -index * 100 + '%, 0, 0)'
                        });
                    } else {
                        slider.animate({ left: -index * 100 + '%' });
                    }

                    $('#swipebox-slider .slide').removeClass('current');
                    $('#swipebox-slider .slide').eq(index).addClass('current');
                    this.setTitle(index);

                    if (isFirst) {
                        slider.fadeIn();
                    }

                    $('#swipebox-prev, #swipebox-next').removeClass('disabled');

                    if (index === 0) {
                        $('#swipebox-prev').addClass('disabled');
                    } else if (index === elements.length - 1 && plugin.settings.loopAtEnd !== true) {
                        $('#swipebox-next').addClass('disabled');
                    }
                },

                /**
                 * Open slide
                 */
                openSlide: function openSlide(index) {
                    $('html').addClass('swipebox-html');
                    if (isTouch) {
                        $('html').addClass('swipebox-touch');

                        if (plugin.settings.hideCloseButtonOnMobile) {
                            $('html').addClass('swipebox-no-close-button');
                        }
                    } else {
                        $('html').addClass('swipebox-no-touch');
                    }
                    $(window).trigger('resize'); // fix scroll bar visibility on desktop
                    this.setSlide(index, true);
                },

                /**
                 * Set a time out if the media is a video
                 */
                preloadMedia: function preloadMedia(index) {
                    var $this = this,
                        src = null;

                    if (elements[index] !== undefined) {
                        src = elements[index].href;
                    }

                    if (!$this.isVideo(src)) {
                        setTimeout(function () {
                            $this.openMedia(index);
                        }, 1000);
                    } else {
                        $this.openMedia(index);
                    }
                },

                /**
                 * Open
                 */
                openMedia: function openMedia(index) {
                    var $this = this,
                        src,
                        slide;

                    if (elements[index] !== undefined) {
                        src = elements[index].href;
                    }

                    if (index < 0 || index >= elements.length) {
                        return false;
                    }

                    slide = $('#swipebox-slider .slide').eq(index);

                    if (!$this.isVideo(src)) {
                        slide.addClass('slide-loading');
                        $this.loadMedia(src, function () {
                            slide.removeClass('slide-loading');
                            slide.html(this);

                            if (plugin.settings.afterMedia) {
                                plugin.settings.afterMedia(index);
                            }
                        });
                    } else {
                        slide.html($this.getVideo(src));

                        if (plugin.settings.afterMedia) {
                            plugin.settings.afterMedia(index);
                        }
                    }
                },

                /**
                 * Set link title attribute as caption
                 */
                setTitle: function setTitle(index) {
                    var title = null;

                    $('#swipebox-title').empty();

                    if (elements[index] !== undefined) {
                        title = elements[index].title;
                    }

                    if (title) {
                        $('#swipebox-top-bar').show();
                        $('#swipebox-title').append(title);
                    } else {
                        $('#swipebox-top-bar').hide();
                    }
                },

                /**
                 * Check if the URL is a video
                 */
                isVideo: function isVideo(src) {

                    if (src) {
                        if (src.match(/(youtube\.com|youtube-nocookie\.com)\/watch\?v=([a-zA-Z0-9\-_]+)/) || src.match(/vimeo\.com\/([0-9]*)/) || src.match(/youtu\.be\/([a-zA-Z0-9\-_]+)/)) {
                            return true;
                        }

                        if (src.toLowerCase().indexOf('swipeboxvideo=1') >= 0) {

                            return true;
                        }
                    }
                },

                /**
                 * Parse URI querystring and:
                 * - overrides value provided via dictionary
                 * - rebuild it again returning a string
                 */
                parseUri: function parseUri(uri, customData) {
                    var a = document.createElement('a'),
                        qs = {};

                    // Decode the URI
                    a.href = decodeURIComponent(uri);

                    // QueryString to Object
                    if (a.search) {
                        qs = JSON.parse('{"' + a.search.toLowerCase().replace('?', '').replace(/&/g, '","').replace(/=/g, '":"') + '"}');
                    }

                    // Extend with custom data
                    if ($.isPlainObject(customData)) {
                        qs = $.extend(qs, customData, plugin.settings.queryStringData); // The dev has always the final word
                    }

                    // Return querystring as a string
                    return $.map(qs, function (val, key) {
                        if (val && val > '') {
                            return encodeURIComponent(key) + '=' + encodeURIComponent(val);
                        }
                    }).join('&');
                },

                /**
                 * Get video iframe code from URL
                 */
                getVideo: function getVideo(url) {
                    var iframe = '',
                        youtubeUrl = url.match(/((?:www\.)?youtube\.com|(?:www\.)?youtube-nocookie\.com)\/watch\?v=([a-zA-Z0-9\-_]+)/),
                        youtubeShortUrl = url.match(/(?:www\.)?youtu\.be\/([a-zA-Z0-9\-_]+)/),
                        vimeoUrl = url.match(/(?:www\.)?vimeo\.com\/([0-9]*)/),
                        qs = '';
                    if (youtubeUrl || youtubeShortUrl) {
                        if (youtubeShortUrl) {
                            youtubeUrl = youtubeShortUrl;
                        }
                        qs = ui.parseUri(url, {
                            'autoplay': plugin.settings.autoplayVideos ? '1' : '0',
                            'v': ''
                        });
                        iframe = '<iframe width="560" height="315" src="//' + youtubeUrl[1] + '/embed/' + youtubeUrl[2] + '?' + qs + '" frameborder="0" allowfullscreen></iframe>';
                    } else if (vimeoUrl) {
                        qs = ui.parseUri(url, {
                            'autoplay': plugin.settings.autoplayVideos ? '1' : '0',
                            'byline': '0',
                            'portrait': '0',
                            'color': plugin.settings.vimeoColor
                        });
                        iframe = '<iframe width="560" height="315"  src="//player.vimeo.com/video/' + vimeoUrl[1] + '?' + qs + '" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>';
                    } else {
                        iframe = '<iframe width="560" height="315" src="' + url + '" frameborder="0" allowfullscreen></iframe>';
                    }

                    return '<div class="swipebox-video-container" style="max-width:' + plugin.settings.videoMaxWidth + 'px"><div class="swipebox-video">' + iframe + '</div></div>';
                },

                /**
                 * Load image
                 */
                loadMedia: function loadMedia(src, callback) {
                    // Inline content
                    if (src.trim().indexOf('#') === 0) {
                        callback.call($('<div>', {
                            'class': 'swipebox-inline-container'
                        }).append($(src).clone().toggleClass(plugin.settings.toggleClassOnLoad)));
                    }
                    // Everything else
                    else {
                            if (!this.isVideo(src)) {
                                var img = $('<img>').on('load', function () {
                                    callback.call(img);
                                });

                                img.attr('src', src);
                            }
                        }
                },

                /**
                 * Get next slide
                 */
                getNext: function getNext() {
                    var $this = this,
                        src,
                        index = $('#swipebox-slider .slide').index($('#swipebox-slider .slide.current'));
                    if (index + 1 < elements.length) {

                        src = $('#swipebox-slider .slide').eq(index).contents().find('iframe').attr('src');
                        $('#swipebox-slider .slide').eq(index).contents().find('iframe').attr('src', src);
                        index++;
                        $this.setSlide(index);
                        $this.preloadMedia(index + 1);
                        if (plugin.settings.nextSlide) {
                            plugin.settings.nextSlide(index);
                        }
                    } else {

                        if (plugin.settings.loopAtEnd === true) {
                            src = $('#swipebox-slider .slide').eq(index).contents().find('iframe').attr('src');
                            $('#swipebox-slider .slide').eq(index).contents().find('iframe').attr('src', src);
                            index = 0;
                            $this.preloadMedia(index);
                            $this.setSlide(index);
                            $this.preloadMedia(index + 1);
                            if (plugin.settings.nextSlide) {
                                plugin.settings.nextSlide(index);
                            }
                        } else {
                            $('#swipebox-overlay').addClass('rightSpring');
                            setTimeout(function () {
                                $('#swipebox-overlay').removeClass('rightSpring');
                            }, 500);
                        }
                    }
                },

                /**
                 * Get previous slide
                 */
                getPrev: function getPrev() {
                    var index = $('#swipebox-slider .slide').index($('#swipebox-slider .slide.current')),
                        src;
                    if (index > 0) {
                        src = $('#swipebox-slider .slide').eq(index).contents().find('iframe').attr('src');
                        $('#swipebox-slider .slide').eq(index).contents().find('iframe').attr('src', src);
                        index--;
                        this.setSlide(index);
                        this.preloadMedia(index - 1);
                        if (plugin.settings.prevSlide) {
                            plugin.settings.prevSlide(index);
                        }
                    } else {
                        $('#swipebox-overlay').addClass('leftSpring');
                        setTimeout(function () {
                            $('#swipebox-overlay').removeClass('leftSpring');
                        }, 500);
                    }
                },
                /* jshint unused:false */
                nextSlide: function nextSlide(index) {
                    // Callback for next slide
                },

                prevSlide: function prevSlide(index) {
                    // Callback for prev slide
                },

                /**
                 * Close
                 */
                closeSlide: function closeSlide() {
                    $('html').removeClass('swipebox-html');
                    $('html').removeClass('swipebox-touch');
                    $(window).trigger('resize');
                    this.destroy();
                },

                /**
                 * Destroy the whole thing
                 */
                destroy: function destroy() {
                    $(window).unbind('keyup');
                    $('body').unbind('touchstart');
                    $('body').unbind('touchmove');
                    $('body').unbind('touchend');
                    $('#swipebox-slider').unbind();
                    $('#swipebox-overlay').remove();

                    if (!$.isArray(elem)) {
                        elem.removeData('_swipebox');
                    }

                    if (this.target) {
                        this.target.trigger('swipebox-destroy');
                    }

                    $.swipebox.isOpen = false;

                    if (plugin.settings.afterClose) {
                        plugin.settings.afterClose();
                    }
                }
            };

            plugin.init();
        };

        $.fn.swipebox = function (options) {

            if (!$.data(this, '_swipebox')) {
                var swipebox = new $.swipebox(this, options);
                this.data('_swipebox', swipebox);
            }
            return this.data('_swipebox');
        };
    }
};

/***/ }),
/* 52 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function () {
    var $ = __webpack_require__(0);
    var clickEvt = function () {
        var isTouchPad = /hp-tablet/gi.test(navigator.appVersion);
        var hasTouch = 'ontouchstart' in window && !isTouchPad;
        return hasTouch ? 'touchstart' : 'mousedown';
    }();
    var _default = {
        cls: 'on',
        evt: clickEvt,
        handle: $.noop(),
        index: 0,
        isTrigger: true
    };
    var opts = {};

    function Tab(args) {
        opts = $.extend({}, _default, args || {});
        this.init();
    }
    Tab.prototype.init = function () {
        var nodes = $(opts.nodes);
        if (nodes.length) {
            nodes.each(function (i, n) {
                var item = $(n);
                item.bind(opts.evt, function (e) {
                    if (item.hasClass(opts.cls)) return;
                    item.addClass(opts.cls).siblings().removeClass(opts.cls);
                    opts.handle(e, n, i);
                });
            });
            if (opts.isTrigger) {
                nodes.eq(opts.index).trigger(opts.evt);
            }
        }
    };

    Tab.getInstance = function (cfg) {
        return new Tab(cfg);
    };

    module.exports = Tab;
})();

/***/ }),
/* 53 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function () {
    __webpack_require__(73);
    var config = __webpack_require__(2);
    var QuestionParser = __webpack_require__(17);
    var Render = __webpack_require__(8);
    var Mediator = __webpack_require__(3);
    var DataManager = __webpack_require__(6);
    var utils = __webpack_require__(1);
    var $ = __webpack_require__(0);
    var indexItem = 0;
    var _default = {
        wrapId: '',
        imgPrevData: [],
        imgPathArr: [],
        itemData: [],
        iframeFlag: !!0,
        sendImgEvt: function sendImgEvt(data) {}
    };

    function Upload(args) {
        var options = $.extend({}, _default, args || {});
        this.get = function (n) {
            return options[n];
        };
        this.set = function (n, v) {
            options[n] = v;
        };
        this.$uploadBtn = $(this.get('wrapId'));
        this.questionParser = QuestionParser.getInstance();
        this.render = Render.getInstance();
        this.mediator = Mediator.getInstance();
        this.dataManager = DataManager.getInstance();
        this.uploadCount = 0;
        this.uploadLoading = 0;
        this.init();
    }
    Upload.prototype.init = function () {
        var that = this;
        that.initUploadHtml();
    };
    // 初始化上传dom
    Upload.prototype.initUploadHtml = function () {
        var that = this;
        var html = '<form method="POST" class="im-file-form" id="J_FileForm" name="fileForm" enctype="multipart/form-data"><input class="upload-file" accept="image/*" type="file" name="upFile" id="J_UpFile"></form>';
        that.$uploadBtn.append(html);
        that.initUploadFile();
    };
    // 初始化上传事件
    Upload.prototype.initUploadFile = function () {
        var that = this;
        var fileBtnDom = document.getElementById('J_UpFile');
        var $fileBtn = $('#J_UpFile');
        if ($fileBtn) {
            $fileBtn.change(function () {
                if (checkImg(fileBtnDom, "10", "M")) {
                    var loadingData = {
                        'target': 'customer',
                        'type': 'loading',
                        'content': [{
                            'url': config.static.loadingPic,
                            'thumbnail': config.static.loadingPic
                        }]
                    };
                    that.get('sendImgEvt')(loadingData, function (o) {
                        that.get('itemData').push(o.fmid);
                        that.uploadLoading++;
                        var parentItem = $('.J_ChatItem[data-fmid="' + o.fmid + '"]');
                        parentItem.find('.J_SendStatus').removeClass('err');
                        that.compressFile(fileBtnDom.files[0], o);
                    });
                }
            });
        }
    };

    Upload.prototype.ajaxUploadFile = function (obj) {
        var that = this;
        document.domain = 'jd.com';
        // var isyhd = $("#yhdEntry").val() ? true : false;//一号店兼容
        // if (isyhd) {
        //     document.domain = 'yhd.com';
        // }else{
        //     document.domain = 'jd.com';
        // }
        var $fileForm = $('#J_FileForm');
        var $callback = $('<input type="hidden" name="callback" id="J_CallBack" value="callback" />');
        $fileForm.append($callback);
        var form = $fileForm.get(0);
        form.method = "post";
        // 传参filename
        $("input:file").attr("name", "upload");
        form.action = config.api.upload;
        if (!that.iframeFlag) {
            $("body").append("<iframe id='J_UploadFrame' name='uploadFrame'></iframe>");
            that.iframeFlag = !!1;
        }
        form.target = "uploadFrame";
        form.submit();
        setTimeout(function () {
            form.reset();
        }, 1000);
        $("iframe[name='uploadFrame']").css('display', 'none');
        var imageData = '';
        $('#J_UploadFrame').on('load', function () {
            var text = '';
            if (this.contentDocument) {
                text = this.contentDocument.body.innerHTML;
                this.contentDocument.body.innerHTML = "";
            } else if (this.contentWindow.document) {
                text = this.contentWindow.document.body.innerHTML;
                this.contentWindow.document.body.innerHTML = "";
            }
            if (text != null && text != "") {
                var result = JSON.parse(text);
                var imgPath = '';
                var imageData = null;
                var tempObj = {};
                if (result.path != "") {
                    if (utils.supportHttps() && result.path) {
                        result.path = utils.replaceToHttpsProtocol(result.path);
                    }

                    // 发送图片
                    imageData = {
                        'target': 'customer',
                        'type': 'image',
                        'hidden': !!1,
                        'content': [{
                            'url': result.path,
                            'thumbnail': result.path
                        }]
                    };
                    imgPath = result.path;
                } else {
                    imgPath = config.static.loadingErr;
                    imageData = null;
                }
                tempObj = {
                    imageData: imageData,
                    imgPath: imgPath,
                    isShow: !!0
                };
                that.uploadCount++;
                var item = $('.J_ChatItem[data-type="loading"]');
                var maxLen = item.length;
                for (var i = 0; i < maxLen; i++) {

                    var parentItem = item.eq(i);
                    var isload = parentItem.attr('data-isload');
                    if (isload) {
                        continue;
                    } else {
                        parentItem.attr('data-i', that.uploadCount);
                        that.get('imgPrevData').push(tempObj);
                        that.errorMsg(imgPath, imageData);
                    }
                }
            }
        });
    };
    Upload.prototype.errorMsg = function (imgPath, imageData) {
        var that = this;
        var imageData = that.get('imgPrevData')[that.uploadCount - 1];
        if (imageData) {
            var senImgData = function senImgData() {
                var len = that.get('imgPrevData').length;
                for (var j = 0; j < len; j++) {
                    if (!that.get('imgPrevData')[j].isShow && that.get('imgPrevData')[j].imageData) {
                        that.get('imgPrevData')[j].isShow = !!1;
                        that.get('sendImgEvt')(that.get('imgPrevData')[j].imageData);
                    }
                }
            };

            var imgObj = new Image();
            // imgPath += imgPath;
            imgObj.src = imgPath;
            imgObj.setAttribute('index', that.uploadCount);
            imgObj.onload = function () {
                var parentItem = $('.J_ChatItem[data-type="loading"][data-i="' + that.uploadCount + '"]');
                var id = parentItem.attr('data-id');
                var prevData = that.dataManager.get(id);
                if (prevData) {
                    prevData.content[0].url = imgPath;
                    prevData.content[0].thumbnail = imgPath;
                    that.dataManager.set(id, prevData);
                }
                var itemLen = parentItem.length;
                var imgSrc = '';
                var sendData = imageData;
                if (itemLen > 1) {
                    for (var i = 0; i < itemLen; i++) {
                        if (i == itemLen - 1) {
                            imgSrc = imgObj.src;
                        } else {
                            imgSrc = config.static.loadingErr;
                            sendData = null;
                        }
                        var $li = $(parentItem[i]);

                        var imgHeight = 0;
                        var loadImgHeight = $li.find('.J_ChatImg').height();
                        var parentHeight = $li.height();
                        if (imgObj.width > 215) {
                            // imgHeight = (imgObj.height * 215)/imgObj.width;
                            // $li.css('height', parentHeight - loadImgHeight + imgHeight + 'px');
                        } else {
                            $li.css('height', parentHeight - loadImgHeight + imgObj.height + 'px');
                        }
                        clearTimeout($li.timer);
                        $li.find('.J_SendStatus').removeClass('err');
                        $li.find('.image-file').attr('href', imgSrc);
                        $li.find('.J_ChatImg').attr('data-src', imgSrc);
                        $li.find('.J_ChatImg').attr('src', imgSrc + '!q20');
                        $li.attr('data-isload', true);
                        $li.timer = setTimeout(function () {
                            that.mediator.publish(config.operators.REFRESH_SCROLL);
                            that.mediator.publish(config.operators.SCROLL_TO_FOOT);
                            senImgData();
                        }, 500);
                    }
                } else {

                    var imgHeight = 0;
                    var loadImgHeight = parentItem.find('.J_ChatImg').height();
                    var parentHeight = parentItem.height();
                    if (imgObj.width > 215) {
                        // imgHeight = (imgObj.height * 215)/imgObj.width;
                        // parentItem.css('height', parentHeight - loadImgHeight + imgHeight + 'px');
                    } else {
                        parentItem.css('height', parentHeight - loadImgHeight + imgObj.height + 'px');
                    }
                    imgSrc = imgObj.src;
                    clearTimeout(parentItem.timer);
                    parentItem.find('.J_SendStatus').removeClass('err');
                    parentItem.find('.image-file').attr('href', imgSrc);
                    parentItem.find('.J_ChatImg').attr('data-src', imgSrc);
                    parentItem.find('.J_ChatImg').attr('src', imgSrc + '!q20');
                    parentItem.attr('data-isload', true);
                    parentItem.timer = setTimeout(function () {
                        that.mediator.publish(config.operators.REFRESH_SCROLL);
                        that.mediator.publish(config.operators.SCROLL_TO_FOOT);
                        senImgData();
                    }, 500);
                }
            };
        }
    };
    // 初始上传dom
    Upload.prototype.compressFile = function (srcImage, obj) {
        var that = this;
        document.domain = 'jd.com';
        // var isyhd = $("#yhdEntry").val() ? true : false;//一号店兼容
        // if (isyhd) {
        //     document.domain = 'yhd.com';
        // }else{
        //     document.domain = 'jd.com';
        // }
        that.ajaxUploadFile(obj);
        return;
        var url = getURLObject();
        if (url) {
            var img = new Image();
            img.src = url.createObjectURL(srcImage);
            srcImage = img;
            srcImage.onload = function () {
                that.ajaxUploadFile(obj);
            };
            srcImage.onerror = function () {
                setTimeout(function () {
                    window.alert("上传出错了~");
                }, 0);
            };
        }
    };

    function getURLObject() {
        return window.URL && window.URL.createObjectURL ? window.URL : window.webkitURL && window.webkitURL.createObjectURL ? window.webkitURL : null;
    }
    /**
     * 判断图片类型 type="file"的javascript对象 true-符合要求,false-不符合
     */
    function checkImg(img_obj, img_size, size_type) {
        if (img_obj.value == "") {
            setTimeout(function () {
                window.alert("请选择图片");
            }, 0);
            return false;
        } else {
            //var imgValue = 
            if (!/\.(jpg|jpeg|png|gif|bmp)$/i.test(img_obj.value) && !/\.(jpg|jpeg|png|gif|bmp)$/i.test(img_obj.files[0].type)) {
                img_obj.value = "";
                setTimeout(function () {
                    window.alert("请确保文件为图像类型");
                }, 0);
                return false;
            } else {
                // 检测上传文件的大小
                var isIE = /msie/i.test(navigator.userAgent) && !window.opera;
                var fileSize = 0;
                if (isIE && !img_obj.files) {
                    var filePath = img_obj.value;
                    // 如果javascript脚本中报这个错误是因为IE的安全设置不允许运行未标记为安全的activeX控件
                    // 更改IE的安全设置，把相应的选项打开即可。
                    var fileSystem = new ActiveXObject("Scripting.FileSystemObject");
                    var file = fileSystem.GetFile(filePath);
                    fileSize = file.Size;
                } else {
                    fileSize = img_obj.files[0].size;
                }
                var size = fileSize / 1024;
                if (size > img_size * 1024) {
                    img_obj.value = "";
                    setTimeout(function () {
                        window.alert("上传图片不能大于" + img_size + size_type + "！");
                    }, 0);
                    return false;
                }
            }
        }
        return true;
    }

    Upload.getInstance = function (cfg) {
        return new Upload(cfg);
    };

    module.exports = Upload;
})();

/***/ }),
/* 54 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


(function () {
    __webpack_require__(74);
    var $ = __webpack_require__(0);
    var configs = __webpack_require__(2);
    var Mediator = __webpack_require__(3);
    var Sender = __webpack_require__(12);
    var Receiver = __webpack_require__(18);
    var LandFill = __webpack_require__(7);
    var defaults = {
        exitCallBack: null, //退出时回调
        actData: null, //活动内容
        time: 500, // 默认消息之间的间隔时间
        hiddenIdSel: "#J_FastLink", //快捷入口容器
        wrapper: "#J_Toolbar", // 插入按钮元素容器
        idName: "customEntry", //按钮展示容器id
        className: "im-chat-help" //按钮展示容器class
    };
    var mediator = Mediator.getInstance();
    // 百科埋点
    function triggerLandfill(obj) {
        // event_type: 0、展示（触发）；1、点击
        // component_type:  1/百科图片（活动图片） 2/百科条目 
        //                  3/百科条目继续按钮     4/百科活动跳转按钮
        //                  5/百科条目跳转按钮     6/百科条目结束按钮
        // component_id: 百科条目id ()
        // component_content: 组件内容(当component_type = 1时，记录图片url)
        var param = {
            typeCode: 'baike_activity',
            content: {
                event_type: obj.event_type,
                component_type: obj.type,
                component_id: obj.wikiId,
                component_content: obj.content
            }
        };
        LandFill.triggerLandImg(param);
    }
    /*
     * event
    */
    var isTaped = !1;
    function resetTaped() {
        setTimeout(function () {
            isTaped = !1;
        }, 500);
    }

    function WikiActivity(options) {
        var that = this;
        that.settings = $.extend({}, defaults, options || {});
        that.sender = Sender.getInstance();
        that.receiver = Receiver.getInstance();
    }

    WikiActivity.prototype.init = function (options) {
        var that = this;
        that.settings = $.extend({}, that.settings, options || {});
        that.actData = that.settings.actData || [];
        that.curIndex = 0; // 活动数据当前下标
        that.wikiIndex = 0; //百科条目当前下标
        that.isWiki = !!0; // 是否为百科库
        that.wikiChildIndex = 0; //百科条目中消息当前下标
        that.wikiId = -1;
        that.linkScroller = null;
        that.stop = false; //是否展示按钮，停止渲染
        if (that.actData) {
            that.showData(false);
        }
        that.bindEvt();
    };

    // 事件
    WikiActivity.prototype.bindEvt = function () {
        var that = this;
        var $dom = $(that.settings.wrapper);
        $dom.on('touchStart click', '.J_WikiActBtn', function () {
            if (isTaped) return false;
            isTaped = !0;
            resetTaped();

            var type = $(this).attr('data-type');
            var actId = $(this).attr('data-actId');
            var jimiText = $(this).attr('data-reply');
            var selfText = $(this).attr('data-content');
            var pointType = 0;
            if (selfText) {
                that.showMsg({ who: 'customer', content: selfText });
            }
            if (jimiText) {
                that.showMsg({ who: 'service', content: jimiText });
            }

            switch (type) {
                case 'btn_go':
                    // 继续条目中的内容
                    if (that.isWiki) {
                        that.wikiChildIndex++;
                    } else {
                        that.curIndex++;
                    }
                    pointType = 3;
                    that.showData(that.isWiki);
                    break;
                case 'btn_act_skip':
                    // 跳转活动
                    pointType = 4;
                    if (actId) {
                        that.receiver.getWikiDetail(actId);
                    }
                    break;
                case 'btn_skip':
                    //继续下一个条目
                    that.wikiIndex++;
                    that.wikiChildIndex = 0;
                    pointType = 5;
                    that.showData(that.isWiki);
                    break;
                case 'btn_end':
                    //结束活动
                    pointType = 6;
                    that.exit();
                    break;
            }
            setTimeout(function () {
                mediator.publish(configs.operators.SCROLL_TO_FOOT);
            }, 200);
            triggerLandfill({
                event_type: 1,
                type: pointType,
                wikiId: that.isWiki ? that.wiki_id : ''
            });
        });
        $dom.on('click', '.J_WikiActImg', function () {
            var wikiId = $(this).attr('data-wId');
            triggerLandfill({
                event_type: 1,
                type: 1,
                wikiId: wikiId,
                content: $(this).attr('src')
            });
        });
    };
    // 百科库数据处理工厂
    WikiActivity.prototype.setWiki = function (data) {
        var that = this;
        that.wikiIndex = 0;
        that.wikiChildIndex = 0;
        var wikiContent = data.wiki_list;
        // mode: 1/顺序;2/单循随机;3/多循随机
        if (data.mode == 2 || data.mode == 3) {
            wikiContent = that.shuffle(data.wiki_list);
        }
        return wikiContent;
    };

    // 对数组随机排序
    WikiActivity.prototype.shuffle = function (data) {
        var len = data.length;
        for (var i = 0; i < len - 1; i++) {
            var idx = Math.floor(Math.random() * (len - i));
            var temp = data[idx];
            data[idx] = data[len - i - 1];
            data[len - i - 1] = temp;
        }
        return data;
    };

    // 百科展示数据逻辑处理
    WikiActivity.prototype.handWikiData = function () {
        var that = this;
        var data = [];
        var wikiList = that.actData[that.curIndex].wiki_list;
        var wikiListLen = wikiList.length;
        if (that.wikiIndex < wikiListLen) {
            data = wikiList[that.wikiIndex].wiki_detail;
            if (that.wikiChildIndex >= data.length) {
                if (that.wikiIndex + 1 < wikiListLen) {
                    that.wikiIndex++;
                    that.wikiChildIndex = 0;
                    data = wikiList[that.wikiIndex].wiki_detail;
                } else {
                    // 多次循环结束时处理
                    if (that.actData[that.curIndex].mode == 3) {
                        that.actData[that.curIndex].wiki_list = that.setWiki(that.actData[that.curIndex]);
                        data = that.actData[that.curIndex].wiki_list[that.wikiIndex].wiki_detail;
                    } else {
                        // 单次or顺序循环结束时处理
                        data = that.actData;
                        that.isWiki = false;
                        that.curIndex++;
                    }
                }
            }
        } else {
            // 多次循环结束时处理
            if (that.actData[that.curIndex].mode == 3) {
                that.actData[that.curIndex].wiki_list = that.setWiki(that.actData[that.curIndex]);
                data = that.actData[that.curIndex].wiki_list[that.wikiIndex].wiki_detail;
            } else {
                // 单次or顺序循环结束时处理
                data = that.actData;
                that.isWiki = false;
                that.curIndex++;
            }
        }
        return data;
    };

    // 百科活动内容展示
    // type: txt/文本,img/图片,btn/按钮,wiki/百科
    // isWiki true百科库内容 false百科活动
    WikiActivity.prototype.showData = function (isWiki) {
        var that = this;
        var data = [];
        that.isWiki = isWiki || false;
        that.stop = false;
        if (that.isWiki) {
            data = that.handWikiData();
        } else {
            data = that.actData;
        }
        var start = that.isWiki ? that.wikiChildIndex : that.curIndex;

        // 消息结束退出场景
        if (that.curIndex == that.actData.length) {
            that.exit();
            return;
        }

        // 循环展示数据池消息，遇到按钮消息停止循环
        for (var i = start; i < data.length; i++) {
            // 记录当前展示下标
            if (that.isWiki) {
                that.wikiChildIndex = i;
            } else {
                that.curIndex = i;
                that.wikiChildIndex = 0;
            }
            var showConten = '';
            switch (data[i].type) {
                case 'txt':
                    showConten = data[i].content;
                    break;
                case 'img':
                    if (data[i].href) {
                        var tHref = data[i].href.replace(/^http\:\/\//, 'https://').replace(/^\/\//, 'https://');
                        var wikiId = that.isWiki ? that.wiki_id : '';
                        showConten = '<a href="' + tHref + '"><img data-wId="' + wikiId + '"  class="J_WikiActImg" src="' + data[i].content + '"/></a>';
                        triggerLandfill({
                            event_type: 0,
                            type: 1,
                            wikiId: wikiId,
                            content: data[i].content
                        });
                    } else {
                        showConten = '<img src="' + data[i].content + '"/>';
                    }
                    break;
                case 'wiki':
                    data[i].wiki_list = that.setWiki(data[i]);
                    that.isWiki = true;
                    $.each(data[i].wiki_list, function (j, item) {
                        that.wikiId = item.wiki_id;
                        that.wikiIndex = j;
                        that.wikiChildIndex = 0;
                        triggerLandfill({
                            event_type: 0,
                            type: 2,
                            wikiId: item.wiki_id
                        });
                        that.showData(true);
                        if (that.stop) {
                            return false;
                        }
                    });
                    break;
                case 'product':
                    var p_id = 'J_ServerMsg_wiki' + new Date().getTime();
                    var p_answerData = data[i].content;
                    var p_answer_note = data[i].answer_note;
                    var p_template = data[i].template;
                    var p_state = p_answer_note == 501 ? 0 : 1;
                    that.sender.showServerMessage({
                        id: p_id,
                        type: 'template',
                        target: 'service',
                        uuid: p_id,
                        tid: 'kmsform_jimi_wiki_platform',
                        template: p_template,
                        originData: {
                            answers: {
                                answer: p_answerData,
                                answer_note: p_answer_note,
                                answer_title: ''
                            },
                            ptype: 'm_customer_product_data',
                            state: p_state
                        },
                        content: p_answerData,
                        ptype: 'm_customer_product_data',
                        answer_note: p_answer_note,
                        notGetTemplate: true
                    });
                    break;
                case 'btn':
                    that.btnShow(data[i].content);
                    that.stop = true;
                    break;
                default:
                    break;
            }
            // 文本图片类型消息展示
            if (showConten) {
                (function (i, showConten) {
                    var timer = (i - start) * that.settings.time;
                    setTimeout(function () {
                        that.showMsg({ who: 'service', content: showConten });
                    }, timer);
                })(i, showConten);
            }
            // 遇到按钮类型消息停止循环
            if (that.stop) {
                return true;
            }
        }
        //活动结束时退出
        if (that.curIndex == that.actData.length - 1 && !that.isWiki) {
            that.exit();
        }
    };

    WikiActivity.prototype.showMsg = function (obj) {
        var that = this;
        var id = 'J_ServerMsg_wiki' + new Date().getTime();
        that.sender.showServerMessage({
            id: id,
            type: 'text',
            target: obj.who || 'service',
            content: obj.content
        });
    };

    // 百科活动按钮创建及展示
    WikiActivity.prototype.btnShow = function (item) {
        var that = this;
        var inHtml = '';
        $.each(item, function (i, key) {
            inHtml += '<li><a href="javascript:;" class="cf-btn J_WikiActBtn" data-actId="' + key.act_id + '" data-content="' + (key.content || '') + '" data-type="' + key.type + '" data-reply="' + (key.reply || '') + '">' + key.name + '</a></li>';
            var pointType = 0;
            switch (key.type) {
                case 'btn_go':
                    pointType = 3;
                    break;
                case 'btn_act_skip':
                    pointType = 4;
                    break;
                case 'btn_skip':
                    pointType = 5;
                    break;
                case 'btn_end':
                    pointType = 6;
                    break;
            }
            triggerLandfill({
                event_type: 0,
                type: pointType,
                wikiId: that.isWiki ? that.wiki_id : ''
            });
        });
        var $dom = $("#" + that.settings.idName);
        var $hiddenIdSel = $(that.settings.hiddenIdSel);
        if ($dom.length == 0) {
            that.setAnim($hiddenIdSel.children('ul'), 'fadeOutDownZd animated-zing', function () {
                $(that.settings.wrapper).prepend('<div class="' + that.settings.className + '" id="' + that.settings.idName + '"><ul></ul></div>');
                $hiddenIdSel.hide();
                $("#" + that.settings.idName).show();
                var $ul = $("#" + that.settings.idName).children('ul');
                $ul.append(inHtml);
                that.setAnim($ul, 'bounceInZd animated-fast');
            });
        } else {
            $hiddenIdSel.hide();
            $dom.show();
            if ($dom.children('ul').length == 0) {
                $dom.html('<ul></ul>');
            }
            var $ul = $dom.children('ul');
            if ($ul.find('li').length > 0) {
                that.setAnim($ul, 'bounceOutLeftZd animated-fast');
                setTimeout(function () {
                    $ul.html('').append(inHtml);
                    that.setAnim($ul, 'bounceInRightZd animated-fast');
                }, 300);
            } else {
                $ul.append(inHtml);
                that.setAnim($ul, 'bounceInRightZd animated-fast');
            }
        }
    };

    //设置动画效果
    WikiActivity.prototype.setAnim = function (dom, cls, callback) {
        dom.addClass(cls).one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function () {
            var clsArr = cls.split(' ');
            for (var i = clsArr.length - 1; i >= 0; i--) {
                if (clsArr[i]) {
                    $(this).removeClass(clsArr[i]);
                }
            }
            callback && callback();
        });
    };
    // 退出百科活动
    WikiActivity.prototype.exit = function () {
        var that = this;
        that.setAnim($("#" + that.settings.idName).children('ul'), 'bounceOutZd animated-fast');
        setTimeout(function () {
            $("#" + that.settings.idName).html('').hide();
            $(that.settings.hiddenIdSel).show();
            that.setAnim($(that.settings.hiddenIdSel).children('ul'), 'fadeInUpZd animated-zing');
            that.settings.exitCallBack && that.settings.exitCallBack();
        }, 200);
    };

    var instance = null;
    WikiActivity.getInstance = function (options) {
        if (!instance) instance = new WikiActivity(options);
        return instance;
    };

    module.exports = WikiActivity;
})();

/***/ }),
/* 55 */,
/* 56 */,
/* 57 */,
/* 58 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Created by lvchenyang on 2017/1/24.
 */

var aspect = __webpack_require__(37);
var Sender = __webpack_require__(12);
var App = __webpack_require__(16);
var EventHandler = __webpack_require__(21);
var LandFill = __webpack_require__(7);
var ChatConfig = __webpack_require__(4);
var $ = __webpack_require__(0);
var config = __webpack_require__(2);

// sid 更新
aspect.before(App.INSTANCE, 'sendCallBack', function () {
    var data = arguments[0];
    var result = data.resultBack;
    var sid = '';
    if (result && result.chatinfo && result.chatinfo.sid) {
        sid = result.chatinfo.sid;
    } else if (result && result.sid) {
        sid = result.sid;
    }
    if (sid) {
        LandFill.set('cid', sid);
    }
    return arguments;
});

// 统计无人客服评价记录
aspect.before(Sender.getInstance(), 'sendEvaluate', function () {
    var data = arguments[0];
    LandFill.unmannedCustomerEvaluation(data.score, data.evaqId);
    return arguments;
});
// data-type 1 预判问题  type 0 :首问语卡片
// 首问题语卡片图片banner埋点
aspect.before(EventHandler.getInstance(), 'sendFirstBanner', function () {
    var ev = arguments[1];
    var $q = $(ev.currentTarget);
    var subLst = $q.parents('.comon-pic-list').siblings('.sub-lst');
    var cardType = $q.parents('ul').attr('data-type');
    var position = $q.attr('data-position');
    var jsonData = {};
    jsonData.source = LandFill.get('source');
    jsonData.version = LandFill.get('proVer');
    jsonData.cid = LandFill.get('cid');
    jsonData.event_type = 1;
    jsonData.user_pin = LandFill.get('pin');

    jsonData.card_id = $q.parents('ul').attr('data-card');
    jsonData.component_id = $q.attr('data-id');
    jsonData.component_content = $q.find('img').attr('src');
    jsonData.component_location = position;
    jsonData.component_type = 0;
    jsonData.uuid = $q.parents('ul').attr('data-openuuid') || null;
    // postion  空   1问题预判 有值   0配置的答案
    jsonData.card_type = cardType;
    var para = {
        typeCode: 'jimi_dc_wrkf_2_log_question_cards',
        content: JSON.stringify(jsonData)
    };
    LandFill.triggerLandImg(para);
    return arguments;
});
// data-type 1 预判问题  type 0 :首问语卡片
// 无人客服问题卡片记录
aspect.before(EventHandler.getInstance(), 'sendFirstCard', function () {
    var ev = arguments[1];
    var $q = $(ev.currentTarget);
    var position = $q.attr('data-position');
    var cardId = $q.parents('ul').attr('data-card');
    var id = $q.attr('data-id');
    var content = $q.text();
    var location = $q.attr('data-position');
    var componentType = 1;
    var cardType = $q.parents('ul').attr('data-type');
    var uuid = $q.parents('ul').attr('data-openuuid') || null;
    LandFill.unmannedCustomerCard(cardType, cardId, componentType, id, content, location, uuid);
    return arguments;
});

// 无人客服快捷入口记录
aspect.before(EventHandler.getInstance(), 'doFastLink', function () {
    var ev = arguments[1];
    var $q = $(ev.currentTarget);
    var jsonData = {};
    jsonData.source = LandFill.get('source');
    jsonData.version = LandFill.get('proVer');
    jsonData.cid = LandFill.get('cid');
    jsonData.user_pin = LandFill.get('pin');
    jsonData.event_type = 1;

    jsonData.entry_id = $q.attr('data-id');
    jsonData.entry_type = $q.attr('data-type');
    jsonData.entry_content = $q.text();
    jsonData.location = $q.attr('data-position');
    var para = {
        typeCode: 'jimi_dc_wrkf_2_log_quick_entry',
        content: JSON.stringify(jsonData)
    };
    if (config.isSdk) {
        LandFill.unmannedCustomerQuickEntry(jsonData);
    } else {
        LandFill.triggerLandImg(para);
    }
    return arguments;
});

// 链接类型快捷入口埋点
aspect.before(EventHandler.getInstance(), 'fastLinkJump', function () {
    try {
        var ev = arguments[1];
        var $q = $(ev.currentTarget);
        var jsonData = {};
        $q[0].tagName == 'A' ? $q = $($q.closest('li')) : '';
        jsonData.source = LandFill.get('source');
        jsonData.version = LandFill.get('proVer');
        jsonData.cid = LandFill.get('cid');
        jsonData.user_pin = LandFill.get('pin');
        jsonData.event_type = 1;

        jsonData.location = $q.attr('data-position');

        console.log($q[0].tagName, $q, 1314);
        jsonData.entry_id = $q.attr('data-id');
        jsonData.entry_type = $q.attr('data-type');
        jsonData.entry_content = $q.text();

        var para = {
            typeCode: 'jimi_dc_wrkf_2_log_quick_entry',
            content: JSON.stringify(jsonData)
        };
        if (config.isSdk) {
            LandFill.unmannedCustomerQuickEntry(jsonData);
        } else {
            LandFill.triggerLandImg(para);
        }
    } catch (error) {
        alert('err1');
    }
    return arguments;
});

/*aspect.before(EventHandler.getInstance(), 'doFastLink', function() {
    var ev = arguments[1];
    var $q = $(ev.currentTarget);
    var entryId = $q.attr('data-id');
    var entryType = $q.attr('data-type');
    var content = $q.text();
    var location = $q.index();
    if (entryType == 0) {
        LandFill.unmannedCustomerQuickEntry(entryId, entryType, content, location);
    }
    return arguments;
});*/

// 转接电话客服埋点
aspect.before(EventHandler.getInstance(), 'doToTell', function () {

    var ev = arguments[1];
    var $q = $(ev.currentTarget);
    var code = $q.attr('data-code');
    var dst = $q.attr('data-tdd') || '';
    var lm = $q.attr('data-lm');
    var messageId = $q.attr('data-id');
    var telUrl = $q.attr('data-tel') || null;
    var type = '';
    if (code == 1) {
        if (lm == 1) {
            type = 'message';
        } else {
            type = 'online';
        }
    } else if (code = 2) {
        if (telUrl) {
            // 电话
            type = 'phone';
            dst = '';
        } else {
            // 在线
            if (lm == 1) {
                type = 'message';
            } else {
                type = 'online';
            }
        }
    } else if (code = 3) {
        type = 'phone';
        dst = '';
    }
    var jsonData = {};
    jsonData.source = LandFill.get('source');
    jsonData.version = LandFill.get('proVer');
    jsonData.user_pin = LandFill.get('pin');
    jsonData.session_id = LandFill.get('cid');
    jsonData.message_id = messageId;
    jsonData.type = type;
    jsonData.dst = dst;
    var para = {
        typeCode: 'jimi_dc_to_labour_click',
        content: JSON.stringify(jsonData)
    };
    if (config.isSdk) {
        LandFill.unmannedCustomerSwitch(jsonData);
    } else {
        LandFill.triggerLandImg(para);
    }
    return arguments;
});

// 转接在线客服埋点
aspect.before(EventHandler.getInstance(), 'doToCustomer', function () {
    var ev = arguments[1];
    var $q = $(ev.currentTarget);
    var code = $q.attr('data-code');
    var dst = $q.attr('data-tdd') || '';
    var lm = $q.attr('data-lm');
    var messageId = $q.attr('data-id');
    var telUrl = $q.attr('data-tel') || null;
    var type = '';
    if (code == 1) {
        if (lm == 1) {
            type = 'message';
        } else {
            type = 'online';
        }
    } else if (code = 2) {
        if (telUrl) {
            // 电话
            type = 'phone';
            dst = '';
        } else {
            // 在线
            if (lm == 1) {
                type = 'message';
            } else {
                type = 'online';
            }
        }
    } else if (code = 3) {
        type = 'phone';
        dst = '';
    }
    var jsonData = {};
    jsonData.source = LandFill.get('source');
    jsonData.version = LandFill.get('proVer');
    jsonData.user_pin = LandFill.get('pin');
    jsonData.session_id = LandFill.get('cid');
    jsonData.message_id = messageId;
    jsonData.type = type;
    jsonData.dst = dst;
    var para = {
        typeCode: 'jimi_dc_to_labour_click',
        content: JSON.stringify(jsonData)
    };
    if (config.isSdk) {
        LandFill.unmannedCustomerSwitch(jsonData);
    } else {
        LandFill.triggerLandImg(para);
    }
    return arguments;
});

// 引导订单埋点   聊天面板
aspect.before(EventHandler.getInstance(), 'chooseOrder', function () {
    var ev = arguments[1];
    var $q = $(ev.currentTarget);
    var parent = $q.parents('.J_ChatItem') || $q.parents('.im-box-pop');
    var eventType = 1;
    var componentCode = parent.attr('data-code');
    var componentType = parent.attr('data-type');
    LandFill.unmannedCustomerForm(eventType, componentCode, componentType);
    return arguments;
});

// 引导订单埋点 弹层
aspect.before(EventHandler.getInstance(), 'choosePopOrder', function () {
    var ev = arguments[1];
    var $q = $(ev.currentTarget);
    var parent = $q.parents('.im-box-pop') || $q.parents('.J_ChatItem');
    var eventType = 1;
    var componentCode = parent.attr('data-code');
    var componentType = parent.attr('data-type');
    LandFill.unmannedCustomerForm(eventType, componentCode, componentType);
    return arguments;
});

// 用户反馈和折叠答案埋点
aspect.before(EventHandler.getInstance(), 'feedbackMethod', function () {
    var ev = arguments[1];
    var item = $(ev.currentTarget);
    var message = item.closest('a');
    var outerDOM = item.closest('.J_ChatItem');
    var affixQuestions = JSON.parse(item.closest('.J_ChatItem').attr('template-data'));
    var messageId = affixQuestions.messageId;
    affixQuestions = affixQuestions.originData.answers.answer;
    var index = message.index();
    if (message.attr('data-type') == 'm_customer_user_feedback') {
        var contentJson = {
            user_pin: LandFill.get('pin'),
            event_type: 1,
            cid: LandFill.get('cid'),
            mid: messageId,
            question: '',
            answer: affixQuestions[index].question,
            feedback_type: 1,
            source: LandFill.get('source'),
            version: LandFill.get('proVer'),
            presale_classify: affixQuestions[index].classifyName
        };
        if (config.isSdk) {
            LandFill.userFeedBack(contentJson);
        } else {
            LandFill.triggerLandImg({
                typeCode: 'jimi_dc_wrkf_2_rhetorical_question',
                content: JSON.stringify(contentJson)
            });
        }
    } else {
        var contentJson = {
            message_id: messageId,
            interactive_id: outerDOM.attr('uuid'),
            click_type: 'fold',
            ask_time: '$currentTime',
            refer: encodeURIComponent(location.href),
            desc: '换一批',
            source: LandFill.get('source')
        };
        LandFill.finacialBoom(contentJson);
    }
    return arguments;
});

// 理财基金换一批埋点
aspect.before(EventHandler.getInstance(), 'finacialSwichGroup', function () {
    var ev = arguments[1];
    var item = $(ev.currentTarget);
    var outerDOM = item.closest('.J_ChatItem');
    var message = item.closest('.J_ChatItem').attr('template-data');
    var affixQuestions = JSON.parse(message);
    var messageId = affixQuestions.messageId;
    var clickType = /理财列表/.test(message) ? 'lc_change' : 'jj_change';
    var contentJson = {
        message_id: messageId,
        interactive_id: outerDOM.attr('uuid'),
        click_type: clickType,
        ask_time: '$currentTime',
        refer: encodeURIComponent(location.href),
        desc: '换一批',
        // code : outerLi.attr('fin-id') || outerLi.attr('fund-id'),
        source: LandFill.get('source')
    };
    LandFill.finacialBoom(contentJson);
    return arguments;
});

// 理财，基金类型选择埋点
aspect.before(EventHandler.getInstance(), 'sendBlankItem', function () {
    var _contentJson;

    try {
        var ev = arguments[1];
        var item = $(ev.currentTarget);
        var ulInfo = item.closest('ul');
        var liInfo = item.closest('li');
        var outerDOM = item.closest('.blank-box');
        var message = outerDOM.attr('template-data');
        var affixQuestions = JSON.parse(message);
        var messageId = affixQuestions.messageId;
        var classCate = ulInfo.attr('data-category');
        var propertyName = ulInfo.attr('data-propertyname');
        var clickType;

        propertyName = propertyName.replace(/^\s+|\s+$/g, "");
        if (classCate == '1') {
            clickType = propertyName == '类型' ? 'lc_type' : 'lc_limit';
        } else if (classCate == '2') {
            clickType = propertyName == '基金种类' ? 'jj_type' : 'jj_risk';
        } else {
            return arguments;
        }
    } catch (error) {}
    var contentJson = (_contentJson = {
        message_id: messageId,
        interactive_id: outerDOM.attr('uuid'),
        click_type: clickType,
        ask_time: '$currentTime',
        refer: encodeURIComponent(location.href),
        desc: '换一批',
        // code : outerLi.attr('fin-id') || outerLi.attr('fund-id'),
        code: liInfo.attr('data-id')
    }, _defineProperty(_contentJson, 'desc', liInfo.attr('data-name')), _defineProperty(_contentJson, 'source', LandFill.get('source')), _contentJson);
    LandFill.finacialBoom(contentJson);
    return arguments;
});

// 理财基金购买
aspect.before(EventHandler.getInstance(), 'buyFunds', function () {
    var ev = arguments[1];
    var item = $(ev.currentTarget);
    var outerDOM = item.closest('.J_ChatItem');
    var message = item.closest('.J_ChatItem').attr('template-data');
    var affixQuestions = JSON.parse(message);
    var messageId = affixQuestions.messageId;
    var clickType = /理财列表/.test(message) ? 'lc_buy' : 'jj_buy';
    var contentJson = {
        message_id: messageId,
        interactive_id: outerDOM.attr('uuid'),
        click_type: clickType,
        ask_time: '$currentTime',
        refer: encodeURIComponent(location.href),
        desc: '购买',
        // code : outerLi.attr('fin-id') || outerLi.attr('fund-id'),
        source: LandFill.get('source')
    };
    LandFill.finacialBoom(contentJson);
    return arguments;
});

aspect.before(EventHandler.getInstance(), 'jinbaitiaohuanqian', function () {
    var msgid, interactiveid, clickType, textTitle;
    var ev = arguments[1];
    var item = $(ev.currentTarget);
    var bt_text = item.text();
    var outerDOM = item.closest('.J_ChatItem');
    var message = item.closest('.J_ChatItem').attr('template-data');
    var affixQuestions = JSON.parse(message);
    var messageId = affixQuestions.messageId;
    var displayItem = item.closest('.display');
    // var outerDOM = item.closest('.jimi-list-pop');
    try {
        if (displayItem.attr('showType') === 'pop') {
            var titleDOM = $(outerDOM.find('.jimi-box-title')[0]);
        } else {
            var titleDOM = $(item.closest('.acount-detail').find('.gray-deep')[0]);
        }
        textTitle = titleDOM.text();
        if (textTitle == '您的白条账单明细') {
            clickType = bt_text == '分期' ? 'bt_repayback' : 'bt_payback';
        } else {
            clickType = 'jt_payback';
        }
        var contentJson = {
            message_id: messageId,
            interactive_id: outerDOM.attr('uuid'),
            click_type: clickType,
            ask_time: '$currentTime',
            refer: encodeURIComponent(location.href),
            desc: '购买',
            code: '',
            source: LandFill.get('source')
        };
    } catch (error) {
        return arguments;
    }
    LandFill.finacialBoom(contentJson);
    return arguments;
});

aspect.before(EventHandler.getInstance(), 'jinBaiTiaoMoreBoom', function () {
    var ev = arguments[1];
    var item = $(ev.currentTarget);
    var outerDOM = item.closest('.J_ChatItem');
    var className = item.attr('class');
    var message = item.closest('.J_ChatItem').attr('template-data');
    var affixQuestions = JSON.parse(message);
    var messageId = affixQuestions.messageId;
    var clickType = '';
    switch (className) {
        case 'whiteRepay':
            clickType = 'bt_more';
            break;
        case 'goldRepay':
            clickType = 'jt_more';
            break;
        case 'jtRepayNow':
            clickType = 'jt_now';
            break;
        case 'btRepayNow':
            clickType = 'bt_imme_repayment';
            break;
        default:
            clickType = '';
    }
    var param = {
        message_id: messageId,
        interactive_id: outerDOM.attr('uuid'),
        click_type: clickType,
        ask_time: '$currentTime',
        refer: encodeURIComponent(location.href),
        code: ''
    };
    LandFill.finacialBoom(param);
    return arguments;
});

// 白条立即还款
aspect.before(EventHandler.getInstance(), 'bTPayNow', function () {
    var ev = arguments[1];
    var item = $(ev.currentTarget);
    var outerDOM = item.closest('.J_ChatItem');
    var className = item.attr('class');
    var message = item.closest('.J_ChatItem').attr('template-data');
    var affixQuestions = JSON.parse(message);
    var messageId = affixQuestions.messageId;
    var param = {
        message_id: messageId,
        interactive_id: outerDOM.attr('uuid'),
        click_type: 'bt_imme_repayment',
        ask_time: '$currentTime',
        refer: encodeURIComponent(location.href),
        code: ''
    };
    LandFill.finacialBoom(param);
    return arguments;
});

// 发送消息埋点
aspect.before(EventHandler.getInstance(), 'sendEvaluate', function () {
    var ev = arguments[1];
    var item = $(ev.currentTarget);
    // var outerDOM = item.closest('.J_ChatItem');
    // var className = item.attr('class');
    // var message = item.closest('.J_ChatItem').attr('template-data');
    // var affixQuestions = JSON.parse(message);
    // var messageId = affixQuestions.messageId;
    var infoDom = $('.im-chat-list li');
    var messageId = infoDom.eq(1).attr('data-id');
    var interactive_id;
    for (var i = 0; i < infoDom.length; i++) {
        if ($(infoDom[i]).attr('uuid')) {
            interactive_id = $(infoDom[i]).attr('uuid');
            break;
        }
    }
    var param = {
        message_id: messageId,
        interactive_id: interactive_id,
        click_type: 'submit_satisfy',
        ask_time: '$currentTime',
        refer: encodeURIComponent(location.href),
        code: '点击提交满意度'
    };
    LandFill.finacialBoom(param);
    return arguments;
});

// 横向切入发送消息
aspect.before(Sender.getInstance(), 'sendMsg', function () {

    //
    return arguments;
});

/***/ }),
/* 59 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 60 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 61 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 62 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 63 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 64 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 65 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 66 */,
/* 67 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 68 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 69 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 70 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 71 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 72 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 73 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 74 */
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),
/* 75 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/abc.png";

/***/ }),
/* 76 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bcom.png";

/***/ }),
/* 77 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bjrcb.png";

/***/ }),
/* 78 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bob.png";

/***/ }),
/* 79 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/boc.png";

/***/ }),
/* 80 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bocd.png";

/***/ }),
/* 81 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/cbhb.png";

/***/ }),
/* 82 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/ccb.png";

/***/ }),
/* 83 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/ceb.png";

/***/ }),
/* 84 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/cib.png";

/***/ }),
/* 85 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/citic.png";

/***/ }),
/* 86 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/cmb.png";

/***/ }),
/* 87 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/cmbc.png";

/***/ }),
/* 88 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/cqrcb.png";

/***/ }),
/* 89 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/czb.png";

/***/ }),
/* 90 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/default.png";

/***/ }),
/* 91 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/gdb.png";

/***/ }),
/* 92 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/gzcb.png";

/***/ }),
/* 93 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/hsb.png";

/***/ }),
/* 94 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/hxb.png";

/***/ }),
/* 95 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/hzb.png";

/***/ }),
/* 96 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/icbc.png";

/***/ }),
/* 97 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/jsb.png";

/***/ }),
/* 98 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/nbcb.png";

/***/ }),
/* 99 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/njcb.png";

/***/ }),
/* 100 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/pab.png";

/***/ }),
/* 101 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/post.png";

/***/ }),
/* 102 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/shb.png";

/***/ }),
/* 103 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/spdb.png";

/***/ }),
/* 104 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/srcb.png";

/***/ }),
/* 105 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/00000-big.jpg";

/***/ }),
/* 106 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/01.png";

/***/ }),
/* 107 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/01_0.png";

/***/ }),
/* 108 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/03.png";

/***/ }),
/* 109 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/1@3x.png";

/***/ }),
/* 110 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/author.png";

/***/ }),
/* 111 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bg_arrow.png";

/***/ }),
/* 112 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bg_close.png";

/***/ }),
/* 113 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bg_customer_i.png";

/***/ }),
/* 114 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bg_faq.png";

/***/ }),
/* 115 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bg_faq_no.png";

/***/ }),
/* 116 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bg_icon_star.png";

/***/ }),
/* 117 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bg_line.png";

/***/ }),
/* 118 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bg_search_cl.png";

/***/ }),
/* 119 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bg_sevice_i.png";

/***/ }),
/* 120 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/bg_uncheck.png";

/***/ }),
/* 121 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/blue.png";

/***/ }),
/* 122 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/btn_icon01.png";

/***/ }),
/* 123 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/btn_icon02.png";

/***/ }),
/* 124 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/btn_icon03.png";

/***/ }),
/* 125 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/btn_icon04.png";

/***/ }),
/* 126 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/btn_icon05.png";

/***/ }),
/* 127 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/change.png";

/***/ }),
/* 128 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/default_220x220.gif";

/***/ }),
/* 129 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/delete_info.png";

/***/ }),
/* 130 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/edit.png";

/***/ }),
/* 131 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/error_faq.png";

/***/ }),
/* 132 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/errorpic.png";

/***/ }),
/* 133 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/goTo.png";

/***/ }),
/* 134 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/icon_A.png";

/***/ }),
/* 135 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/icon_Q.png";

/***/ }),
/* 136 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/icon_logo.png";

/***/ }),
/* 137 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/icon_renew.png";

/***/ }),
/* 138 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/icon_warning.png";

/***/ }),
/* 139 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/jd_loading.gif";

/***/ }),
/* 140 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/loading.gif";

/***/ }),
/* 141 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/loading2.gif";

/***/ }),
/* 142 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/loading_x.png";

/***/ }),
/* 143 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/pic_jd_offline.png";

/***/ }),
/* 144 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/pic_jd_online.png";

/***/ }),
/* 145 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/pic_jimi.png";

/***/ }),
/* 146 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/pic_person_offline.png";

/***/ }),
/* 147 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/pic_person_online.png";

/***/ }),
/* 148 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/search-icon.png";

/***/ }),
/* 149 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/selected.png";

/***/ }),
/* 150 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/star_lg.png";

/***/ }),
/* 151 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/star_on_lg.png";

/***/ }),
/* 152 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/tool_cell01.png";

/***/ }),
/* 153 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/tool_cell01_s.png";

/***/ }),
/* 154 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/tool_cell02.png";

/***/ }),
/* 155 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/tool_cell02_s.png";

/***/ }),
/* 156 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/tool_cell03.png";

/***/ }),
/* 157 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/tool_cell03_s.png";

/***/ }),
/* 158 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/tool_cell04.png";

/***/ }),
/* 159 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/tool_cell04_s.png";

/***/ }),
/* 160 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/tool_cell05.png";

/***/ }),
/* 161 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/tool_cell05_s.png";

/***/ }),
/* 162 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/waiter.jpg";

/***/ }),
/* 163 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/iconend.png";

/***/ }),
/* 164 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s01.png";

/***/ }),
/* 165 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s02.png";

/***/ }),
/* 166 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s03.png";

/***/ }),
/* 167 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s04.png";

/***/ }),
/* 168 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s05.png";

/***/ }),
/* 169 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s06.png";

/***/ }),
/* 170 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s07.png";

/***/ }),
/* 171 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s08.png";

/***/ }),
/* 172 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s09.png";

/***/ }),
/* 173 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s10.png";

/***/ }),
/* 174 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s11.png";

/***/ }),
/* 175 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s12.png";

/***/ }),
/* 176 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s13.png";

/***/ }),
/* 177 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s14.png";

/***/ }),
/* 178 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s15.png";

/***/ }),
/* 179 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s16.png";

/***/ }),
/* 180 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s17.png";

/***/ }),
/* 181 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s18.png";

/***/ }),
/* 182 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s19.png";

/***/ }),
/* 183 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s20.png";

/***/ }),
/* 184 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s21.png";

/***/ }),
/* 185 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s22.png";

/***/ }),
/* 186 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s23.png";

/***/ }),
/* 187 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s24.png";

/***/ }),
/* 188 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s25.png";

/***/ }),
/* 189 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s26.png";

/***/ }),
/* 190 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s27.png";

/***/ }),
/* 191 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s28.png";

/***/ }),
/* 192 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s29.png";

/***/ }),
/* 193 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s30.png";

/***/ }),
/* 194 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s31.png";

/***/ }),
/* 195 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s32.png";

/***/ }),
/* 196 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s33.png";

/***/ }),
/* 197 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s34.png";

/***/ }),
/* 198 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s35.png";

/***/ }),
/* 199 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s36.png";

/***/ }),
/* 200 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s37.png";

/***/ }),
/* 201 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s38.png";

/***/ }),
/* 202 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s39.png";

/***/ }),
/* 203 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s40.png";

/***/ }),
/* 204 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s41.png";

/***/ }),
/* 205 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s42.png";

/***/ }),
/* 206 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s43.png";

/***/ }),
/* 207 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s44.png";

/***/ }),
/* 208 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s45.png";

/***/ }),
/* 209 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s46.png";

/***/ }),
/* 210 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s47.png";

/***/ }),
/* 211 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s48.png";

/***/ }),
/* 212 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s49.png";

/***/ }),
/* 213 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s50.png";

/***/ }),
/* 214 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s51.png";

/***/ }),
/* 215 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s52.png";

/***/ }),
/* 216 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s53.png";

/***/ }),
/* 217 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s54.png";

/***/ }),
/* 218 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s55.png";

/***/ }),
/* 219 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s56.png";

/***/ }),
/* 220 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s57.png";

/***/ }),
/* 221 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s58.png";

/***/ }),
/* 222 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s59.png";

/***/ }),
/* 223 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s60.png";

/***/ }),
/* 224 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s61.png";

/***/ }),
/* 225 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s62.png";

/***/ }),
/* 226 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s63.png";

/***/ }),
/* 227 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s64.png";

/***/ }),
/* 228 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s65.png";

/***/ }),
/* 229 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s66.png";

/***/ }),
/* 230 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s67.png";

/***/ }),
/* 231 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s68.png";

/***/ }),
/* 232 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s69.png";

/***/ }),
/* 233 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s70.png";

/***/ }),
/* 234 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s71.png";

/***/ }),
/* 235 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/s72.png";

/***/ }),
/* 236 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b01.gif";

/***/ }),
/* 237 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b02.gif";

/***/ }),
/* 238 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b03.gif";

/***/ }),
/* 239 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b04.gif";

/***/ }),
/* 240 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b05.gif";

/***/ }),
/* 241 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b06.gif";

/***/ }),
/* 242 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b07.gif";

/***/ }),
/* 243 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b08.gif";

/***/ }),
/* 244 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b09.gif";

/***/ }),
/* 245 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b10.gif";

/***/ }),
/* 246 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b11.gif";

/***/ }),
/* 247 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b12.gif";

/***/ }),
/* 248 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b13.gif";

/***/ }),
/* 249 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b14.gif";

/***/ }),
/* 250 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b15.gif";

/***/ }),
/* 251 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/b16.gif";

/***/ }),
/* 252 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j01.gif";

/***/ }),
/* 253 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j02.gif";

/***/ }),
/* 254 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j03.gif";

/***/ }),
/* 255 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j04.gif";

/***/ }),
/* 256 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j05.gif";

/***/ }),
/* 257 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j06.gif";

/***/ }),
/* 258 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j07.gif";

/***/ }),
/* 259 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j08.gif";

/***/ }),
/* 260 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j09.gif";

/***/ }),
/* 261 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j10.gif";

/***/ }),
/* 262 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j11.gif";

/***/ }),
/* 263 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j12.gif";

/***/ }),
/* 264 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j13.gif";

/***/ }),
/* 265 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j14.gif";

/***/ }),
/* 266 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j15.gif";

/***/ }),
/* 267 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/j16.gif";

/***/ }),
/* 268 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/icons.png";

/***/ }),
/* 269 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/icons.svg";

/***/ }),
/* 270 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "20171031/images/loader.gif";

/***/ }),
/* 271 */,
/* 272 */
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./bankIcon/abc.png": 75,
	"./bankIcon/bcom.png": 76,
	"./bankIcon/bjrcb.png": 77,
	"./bankIcon/bob.png": 78,
	"./bankIcon/boc.png": 79,
	"./bankIcon/bocd.png": 80,
	"./bankIcon/cbhb.png": 81,
	"./bankIcon/ccb.png": 82,
	"./bankIcon/ceb.png": 83,
	"./bankIcon/cib.png": 84,
	"./bankIcon/citic.png": 85,
	"./bankIcon/cmb.png": 86,
	"./bankIcon/cmbc.png": 87,
	"./bankIcon/cqrcb.png": 88,
	"./bankIcon/czb.png": 89,
	"./bankIcon/default.png": 90,
	"./bankIcon/gdb.png": 91,
	"./bankIcon/gzcb.png": 92,
	"./bankIcon/hsb.png": 93,
	"./bankIcon/hxb.png": 94,
	"./bankIcon/hzb.png": 95,
	"./bankIcon/icbc.png": 96,
	"./bankIcon/jsb.png": 97,
	"./bankIcon/nbcb.png": 98,
	"./bankIcon/njcb.png": 99,
	"./bankIcon/pab.png": 100,
	"./bankIcon/post.png": 101,
	"./bankIcon/shb.png": 102,
	"./bankIcon/spdb.png": 103,
	"./bankIcon/srcb.png": 104,
	"./chat/00000-big.jpg": 105,
	"./chat/01.png": 106,
	"./chat/01_0.png": 107,
	"./chat/03.png": 108,
	"./chat/1@3x.png": 109,
	"./chat/author.png": 110,
	"./chat/bg_arrow.png": 111,
	"./chat/bg_close.png": 112,
	"./chat/bg_customer_i.png": 113,
	"./chat/bg_faq.png": 114,
	"./chat/bg_faq_no.png": 115,
	"./chat/bg_icon_star.png": 116,
	"./chat/bg_line.png": 117,
	"./chat/bg_search_cl.png": 118,
	"./chat/bg_sevice_i.png": 119,
	"./chat/bg_uncheck.png": 120,
	"./chat/blue.png": 121,
	"./chat/btn_icon01.png": 122,
	"./chat/btn_icon02.png": 123,
	"./chat/btn_icon03.png": 124,
	"./chat/btn_icon04.png": 125,
	"./chat/btn_icon05.png": 126,
	"./chat/change.png": 127,
	"./chat/default_220x220.gif": 128,
	"./chat/delete_info.png": 129,
	"./chat/edit.png": 130,
	"./chat/error_faq.png": 131,
	"./chat/errorpic.png": 132,
	"./chat/goTo.png": 133,
	"./chat/icon_A.png": 134,
	"./chat/icon_Q.png": 135,
	"./chat/icon_logo.png": 136,
	"./chat/icon_renew.png": 137,
	"./chat/icon_warning.png": 138,
	"./chat/jd_loading.gif": 139,
	"./chat/loading.gif": 140,
	"./chat/loading2.gif": 141,
	"./chat/loading_x.png": 142,
	"./chat/pic_jd_offline.png": 143,
	"./chat/pic_jd_online.png": 144,
	"./chat/pic_jimi.png": 145,
	"./chat/pic_person_offline.png": 146,
	"./chat/pic_person_online.png": 147,
	"./chat/search-icon.png": 148,
	"./chat/selected.png": 149,
	"./chat/star_lg.png": 150,
	"./chat/star_on_lg.png": 151,
	"./chat/tool_cell01.png": 152,
	"./chat/tool_cell01_s.png": 153,
	"./chat/tool_cell02.png": 154,
	"./chat/tool_cell02_s.png": 155,
	"./chat/tool_cell03.png": 156,
	"./chat/tool_cell03_s.png": 157,
	"./chat/tool_cell04.png": 158,
	"./chat/tool_cell04_s.png": 159,
	"./chat/tool_cell05.png": 160,
	"./chat/tool_cell05_s.png": 161,
	"./chat/waiter.jpg": 162,
	"./component/iconend.png": 163,
	"./express/base/s01.png": 164,
	"./express/base/s02.png": 165,
	"./express/base/s03.png": 166,
	"./express/base/s04.png": 167,
	"./express/base/s05.png": 168,
	"./express/base/s06.png": 169,
	"./express/base/s07.png": 170,
	"./express/base/s08.png": 171,
	"./express/base/s09.png": 172,
	"./express/base/s10.png": 173,
	"./express/base/s11.png": 174,
	"./express/base/s12.png": 175,
	"./express/base/s13.png": 176,
	"./express/base/s14.png": 177,
	"./express/base/s15.png": 178,
	"./express/base/s16.png": 179,
	"./express/base/s17.png": 180,
	"./express/base/s18.png": 181,
	"./express/base/s19.png": 182,
	"./express/base/s20.png": 183,
	"./express/base/s21.png": 184,
	"./express/base/s22.png": 185,
	"./express/base/s23.png": 186,
	"./express/base/s24.png": 187,
	"./express/base/s25.png": 188,
	"./express/base/s26.png": 189,
	"./express/base/s27.png": 190,
	"./express/base/s28.png": 191,
	"./express/base/s29.png": 192,
	"./express/base/s30.png": 193,
	"./express/base/s31.png": 194,
	"./express/base/s32.png": 195,
	"./express/base/s33.png": 196,
	"./express/base/s34.png": 197,
	"./express/base/s35.png": 198,
	"./express/base/s36.png": 199,
	"./express/base/s37.png": 200,
	"./express/base/s38.png": 201,
	"./express/base/s39.png": 202,
	"./express/base/s40.png": 203,
	"./express/base/s41.png": 204,
	"./express/base/s42.png": 205,
	"./express/base/s43.png": 206,
	"./express/base/s44.png": 207,
	"./express/base/s45.png": 208,
	"./express/base/s46.png": 209,
	"./express/base/s47.png": 210,
	"./express/base/s48.png": 211,
	"./express/base/s49.png": 212,
	"./express/base/s50.png": 213,
	"./express/base/s51.png": 214,
	"./express/base/s52.png": 215,
	"./express/base/s53.png": 216,
	"./express/base/s54.png": 217,
	"./express/base/s55.png": 218,
	"./express/base/s56.png": 219,
	"./express/base/s57.png": 220,
	"./express/base/s58.png": 221,
	"./express/base/s59.png": 222,
	"./express/base/s60.png": 223,
	"./express/base/s61.png": 224,
	"./express/base/s62.png": 225,
	"./express/base/s63.png": 226,
	"./express/base/s64.png": 227,
	"./express/base/s65.png": 228,
	"./express/base/s66.png": 229,
	"./express/base/s67.png": 230,
	"./express/base/s68.png": 231,
	"./express/base/s69.png": 232,
	"./express/base/s70.png": 233,
	"./express/base/s71.png": 234,
	"./express/base/s72.png": 235,
	"./express/dongdong/b01.gif": 236,
	"./express/dongdong/b02.gif": 237,
	"./express/dongdong/b03.gif": 238,
	"./express/dongdong/b04.gif": 239,
	"./express/dongdong/b05.gif": 240,
	"./express/dongdong/b06.gif": 241,
	"./express/dongdong/b07.gif": 242,
	"./express/dongdong/b08.gif": 243,
	"./express/dongdong/b09.gif": 244,
	"./express/dongdong/b10.gif": 245,
	"./express/dongdong/b11.gif": 246,
	"./express/dongdong/b12.gif": 247,
	"./express/dongdong/b13.gif": 248,
	"./express/dongdong/b14.gif": 249,
	"./express/dongdong/b15.gif": 250,
	"./express/dongdong/b16.gif": 251,
	"./express/joy/j01.gif": 252,
	"./express/joy/j02.gif": 253,
	"./express/joy/j03.gif": 254,
	"./express/joy/j04.gif": 255,
	"./express/joy/j05.gif": 256,
	"./express/joy/j06.gif": 257,
	"./express/joy/j07.gif": 258,
	"./express/joy/j08.gif": 259,
	"./express/joy/j09.gif": 260,
	"./express/joy/j10.gif": 261,
	"./express/joy/j11.gif": 262,
	"./express/joy/j12.gif": 263,
	"./express/joy/j13.gif": 264,
	"./express/joy/j14.gif": 265,
	"./express/joy/j15.gif": 266,
	"./express/joy/j16.gif": 267,
	"./swipe/icons.png": 268,
	"./swipe/icons.svg": 269,
	"./swipe/loader.gif": 270
};
function webpackContext(req) {
	return __webpack_require__(webpackContextResolve(req));
};
function webpackContextResolve(req) {
	var id = map[req];
	if(!(id + 1)) // check for number or string
		throw new Error("Cannot find module '" + req + "'.");
	return id;
};
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = 272;

/***/ }),
/* 273 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(33);


/***/ })
],[273]);
//# sourceMappingURL=index.9023e1676ff57f0fe460.js.map